﻿Imports System
Imports System.IO
Imports System.Security.Cryptography
Imports System.Security.Cryptography.X509Certificates
Imports System.Security.Cryptography.Xml
Imports System.Text
Imports System.Xml

' Voeg eerst een reference aan System.Security en System.Windows.Forms toe voor nieuwe projecten
Module Module1

    Sub Main(ByVal args() As [String])
        Dim Filename As String
        Dim gebruik As String

        ' Zet comments aan of uit voor kiezen bestand en methode
        Filename = AskForFile("Kies te verifiëren bestand")
        If MsgBox("Ondertekenen voor EH? (EH=Yes, TA=No)", vbYesNo) = vbYes Then
            gebruik = "EH"
        Else
            gebruik = "TA"
        End If

        ' Zet comments aan of uit voor kiezen bestand en methode, 
        ' deze voorbeelden staan al in AortaTAenEH/bin/debug
        'Filename = "QURX_EX990111NL-soap-alleen-token.xml"
        'gebruik = "TA"

        ' Zet comments aan of uit voor kiezen bestand en methode, 
        ' deze voorbeelden staan al in AortaTAenEH/bin/debug
        'Filename = "PORX_EX932000NL02-soap-eh-alleen-token.xml"
        'gebruik = "EH"

        SignAndVerify(Filename, gebruik)
        ' Functie ClearAllCerts() kan gebruikt om certifcaat store op te schonen na einde gebruikers- of UZIpas-sessie
        ' Dit is nuttig wanneer meerdere gebruikers hetzelfde werkstation gebruiken, dan heeft cert store 
        ' meerdere certificaten, wat trager is en niet combineert met de bug uit Safesign 3.0.45
        ' Hier alleen opgenomen als comment omdat voorbeeldcode geen sessies kent
        '
        ' ClearAllCerts()

        Console.WriteLine("Klik Enter om te stoppen")
        Console.ReadLine()
    End Sub

    Sub SignAndVerify(ByVal Filename As String, ByVal gebruik As String)
        Try
            ' Generate a signing key.
            Dim cert As X509Certificate2
            Dim tbl As New NameTable
            Dim nsmgr As XmlNamespaceManager
            Dim context As String = "signedData"
            Dim shaVersion As String = "SHA1"
            Dim signedFilename As String = Path.GetFileNameWithoutExtension(Filename) & "_signed" & Path.GetExtension(Filename)
            Dim certFilename As String

            If gebruik = "EH" Then
                context = "signedDataPrescription"
                shaVersion = "SHA256"
            End If

            nsmgr = GetXmlNamespaceManager()

            cert = GetCertFromStore(gebruik)

            Dim props As Dictionary(Of String, String)
            props = UziProps(cert)

            ' Cert opslaan als een bestand, is makkelijk voor debuggen en testen van TA
            If gebruik = "EH" Then
                certFilename = "NonRepudiation-" & props("CN")
            Else
                certFilename = "DigitalSignature-" & props("CN")
            End If
            SaveCert(cert, certFilename)
            Console.WriteLine("Gekozen cert: " & certFilename)

            Console.WriteLine("Signing XML file: " & Filename)
            SignXmlFile(Filename, signedFilename, cert, nsmgr, gebruik, context, shaVersion)
            Console.WriteLine("XML file ondertekend: " & signedFilename)

            ' Verify the signature of the signed XML.
            Console.WriteLine("Valideren signature: " & signedFilename)

            ' Cert laden van eerder opgeslagen bestand
            ' In werkelijkheid zal het certificaat voor valideren bij TA opgehaald worden uit het UZI-register met LDAP of OCSP
            ' of bij EH uit wss:BinarySecurityToken gehaald worden
            cert = GetCertFromFile(certFilename & ".cer")
            Dim result As Boolean
            result = VerifyXmlFileWithCert(signedFilename, cert, nsmgr, context)

            ' Display the results of the signature verification to 
            ' the console.
            If result Then
                Console.WriteLine("De ondertekening is valide.")
            Else
                Console.WriteLine("De ondertekening is niet valide.")
            End If
        Catch e As CryptographicException
            Console.WriteLine(e.Message)
        End Try
    End Sub

End Module
