<?xml version="1.0" encoding="UTF-8"?>
<!--
==================================
Schematron schema for elab-rectarget (fragment schematron) 
  35.100 ClinicalDocument.recordTarget

Project: eLab

Copyright 2010 Nictiz


Author: dr Kai U. Heitmann

Version information:
  2010-02-16 KH initial release

DISCLAIMER:
Hoewel deze publicatie met de uiterste zorg is samengesteld, kan Nictiz geen aansprakelijkheid aanvaarden voor directe of indirecte schade ontstaan door de inhoud van
        de – al dan niet door derden aangeboden – informatie.

WARNING:
THIS FILE HAS BEEN GENERATED AUTOMAGICALLY. DON'T EDIT IT.

Creation date: 2010-03-29T21:27:03.749+02:00
==================================

--><!--
Template derived pattern
===========================================
ID: 
Item: ClinicalDocument.recordTarget
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron" id="elab-rectarget">
   <title>ClinicalDocument.recordTarget - scenario(s): cdauitslag</title>
   <!--
Template derived rules for ID: elab-rectarget
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.100']
Item: ClinicalDocument.recordTarget - scenario(s): cdauitslag
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.100']">
      <assert role="error" see="http://www.nictiz.nl/__TBD__/elab-rectarget"
              test="count(hl7:patientRole)&gt;=1 and not(hl7:patientRole/@nullFlavor)">recordTarget.patientRole: element hl7:patientRole is mandatory [min 1x]</assert>
   </rule>
   <!--
Template derived rules for ID: elab-rectarget
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.100']/hl7:patientRole
Item: recordTarget.patientRole
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.100']/hl7:patientRole">
      <assert role="error" see="http://www.nictiz.nl/__TBD__/elab-rectarget"
              test="@classCode='PAT'">recordTarget.patientRole: @classCode SHALL have value 'PAT' static </assert>
      <assert role="error" see="http://www.nictiz.nl/__TBD__/elab-rectarget"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">recordTarget.patientRole.id: element hl7:id is mandatory [min 1x]</assert>
      <assert role="error" see="http://www.nictiz.nl/__TBD__/elab-rectarget"
              test="count(hl7:addr)&gt;=1 ">recordTarget.patientRole.addr: element hl7:addr is required [min 1x]</assert>
      <assert role="error" see="http://www.nictiz.nl/__TBD__/elab-rectarget"
              test="count(hl7:addr)&lt;=2">recordTarget.patientRole.addr: element hl7:addr appears too often [max 2x]</assert>
      <assert role="error" see="http://www.nictiz.nl/__TBD__/elab-rectarget"
              test="count(hl7:telecom)&gt;=1 and not(hl7:telecom/@nullFlavor)">recordTarget.patientRole.telecom: element hl7:telecom is mandatory [min 1x]</assert>
      <assert role="error" see="http://www.nictiz.nl/__TBD__/elab-rectarget"
              test="count(hl7:patient)&gt;=1 and not(hl7:patient/@nullFlavor)">recordTarget.patientRole.patient: element hl7:patient is mandatory [min 1x]</assert>
      <assert role="error" see="http://www.nictiz.nl/__TBD__/elab-rectarget"
              test="count(hl7:patient)&lt;=1">recordTarget.patientRole.patient: element hl7:patient appears too often [max 1x]</assert>
      <assert role="error" see="http://www.nictiz.nl/__TBD__/elab-rectarget"
              test="count(hl7:providerOrganization)&gt;=0 ">recordTarget.patientRole.providerOrganization: element hl7:providerOrganization is required [min 0x]</assert>
      <assert role="error" see="http://www.nictiz.nl/__TBD__/elab-rectarget"
              test="count(hl7:providerOrganization)&lt;=1">recordTarget.patientRole.providerOrganization: element hl7:providerOrganization appears too often [max 1x]</assert>
   </rule>
   <!--
Template derived rules for ID: elab-rectarget
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.100']/hl7:patientRole/hl7:id
Item: recordTarget.patientRole.id
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.100']/hl7:patientRole/hl7:id">
      <assert role="error" see="http://www.nictiz.nl/__TBD__/elab-rectarget"
              test="count(../hl7:id[@root='2.16.840.1.113883.2.4.6.3' or (0=1)])&gt;0">recordTarget.patientRole.id: there SHALL be at least one hl7:id with @root present and valued '2.16.840.1.113883.2.4.6.3' static </assert>
   </rule>
   <!--
Template derived rules for ID: elab-rectarget
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.100']/hl7:patientRole/hl7:addr
Item: recordTarget.patientRole.addr
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.100']/hl7:patientRole/hl7:addr">
      <assert role="error"
              test="not(@use) or string-length(normalize-space(replace (@use, 'HP|PHYS|TMP', '')))=0">recordTarget.patientRole.addr: Attribute @use of addr SHALL contain codes HP PHYS PST or TMP only</assert>
      <assert role="error" test="../hl7:addr[@use='HP' or @use='TMP PHYS']">recordTarget.patientRole.addr: Addr SHALL be present with @use HP or TMP PHYS or both</assert>
   </rule>
   <!--
Template derived rules for ID: elab-rectarget
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.100']/hl7:patientRole/hl7:telecom
Item: recordTarget.patientRole.telecom
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.100']/hl7:patientRole/hl7:telecom">
      <assert test="@value">Telecom elements SHALL have a value attribute</assert>
      <assert test="@value=iri-to-uri(@value)">A telecom value SHALL be a valid URI e.g. '<value-of select="iri-to-uri(@value)"/>'.</assert>
      <let name="urlScheme" value="substring-before(@value,':')"/>
      <assert test="@value and document('../vocab/URL.urlScheme.xml')/*/hl7:code[@code=$urlScheme]">Telecom value heeft ongeldig URL scheme '<value-of select="$urlScheme"/>'</assert>
      <let name="urlStr" value="substring-after(@value,':')"/>
      <assert test="if ($urlScheme='tel' or $urlScheme='fax') then (matches($urlStr, '^(\+?([\d()./-]|(%[a-f\d]{2}))+)*(;(phone-context=((\+?([\d()./-]|(%[a-f\d]{2}))+)|(([a-z\d-]|(%[a-f\d]{2}))+(\.([a-z\d-]|(%[a-f\d]{2}))+)*))|(ext=[\d./-]+)|(isub=(([a-z\d();/?:@&amp;=+$,_.!~*-])|(%[a-f\d]{2}))+)|([a-z\d-]+=([a-z\d\[\]/:&amp;+$_.!~*()-]|(%[a-f\d]{2}))+)))*$')) else (1=1)"
              see="http://tools.ietf.org/html/rfc3966">This is not a
                                    valid <value-of select="$urlScheme"/> URL as defined in RFC 3966</assert>
      <assert test="if ($urlScheme='file') then (matches($urlStr, '^///{0,2}((((([1-2]\d{0,2})(\.([1-2]\d{0,2})){3})|(([\w-]+\.)+([a-z]+))))|([a-z][:|]))(/(([a-z\d$\.+!*(),?&amp;~_=-])|(%[a-f\d]{2}))*)*$','i')) else (1=1)"
              see="http://tools.ietf.org/html/rfc1738">This is not a valid <value-of select="$urlScheme"/> URL as defined in RFC 1738.</assert>
      <assert test="if ($urlScheme='nfs') then (matches($urlStr, '^//((((([1-2]\d{0,2})(\.([1-2]\d{0,2})){3})|(([\w-]+\.)+([a-z]+))))|([a-z][:|]))/?(/(([a-z\d$\.+!*(),?&amp;~_=-])|(%[a-f\d]{2}))*)*$','i')) else (1=1)"
              see="http://tools.ietf.org/html/rfc2224">This is not a valid <value-of select="$urlScheme"/> URL as defined in RFC 2224.</assert>
      <assert test="if ($urlScheme='ftp' or $urlScheme='ftps') then (matches($urlStr, '^//((([a-z\d$\.+!*(),?&amp;=~_-])|(%[a-f\d]{2}))+(:(([a-z\d$\.+!*(),?&amp;~_=-])|(%[a-f\d]{2}))*)?@)?((([1-2]\d{0,2})(\.([1-2]\d{0,2})){3})|(([\w-]+\.)+(aero|arpa|asia|biz|cat|com|coop|edu|gov|info|int|jobs|mil|mobi|museum|name|net|org|pro|tel|travel|[a-z]{2})))(:(([1-9]\d{0,4})|([a-z][\w-]*))?)?(/(([a-z\d$\.+!*(),?&amp;_~=-])|(%[a-f\d]{2}))*)*(;type=[aid])?$','i')) else (1=1)"
              see="http://tools.ietf.org/html/rfc1738">This is not
                                    a valid <value-of select="$urlScheme"/> URL as defined in RFC 1738.</assert>
      <assert test="if ($urlScheme='http' or $urlScheme='https') then (matches($urlStr, '^//((([a-z\d$\.+!*(),?&amp;~_=-])|(%[a-f\d]{2}))+(:(([a-z\d$\.+!*(),?&amp;~_=-])|(%[a-f\d]{2}))*)?@)?((([1-2]\d{0,2})(\.([1-2]\d{0,2})){3})|(([\w-]+\.)+(aero|arpa|asia|biz|cat|com|coop|edu|gov|info|int|jobs|mil|mobi|museum|name|net|org|pro|tel|travel|[a-z]{2})))(:(([1-9]\d{0,4})|([a-z]\w*))?)?(/(([a-z\d$\.+!*(),?&amp;~_=-])|(%[a-f\d]{2}))*)*(\?(([\w$_\.+;:@~!*(),])|(%[a-f\d]{2}))+=(([\w$_\.+;:/@~!*(),-])|(%[a-f\d]{2}))*(&amp;((([\w$_\.+;:@~!*(),])|(%[a-f\d]{2}))+=(([\w$_\.+;:/@~!*(),-])|(%[a-f\d]{2}))*)?)*)?(#([\w~!$+|.,*:=~_]|%[a-f\d]{2})*)?$','i')) else (1=1)"
              see="http://tools.ietf.org/html/rfc1738">This is
                                    not a valid <value-of select="$urlScheme"/> URL as defined in RFC 1738</assert>
      <assert test="if ($urlScheme='telnet') then (matches($urlStr, '^//((([a-z\d$\.+!*(),?&amp;~_=-])|(%[a-f\d]{2}))+(:(([a-z\d$\.+!*(),?&amp;=-])|(%[a-f\d]{2}))*)?@)?((([1-2]\d{0,2})(\.([1-2]\d{0,2})){3})|(([\w-]+\.)+(aero|arpa|asia|biz|cat|com|coop|edu|gov|info|int|jobs|mil|mobi|museum|name|net|org|pro|tel|travel|[a-z]{2})))(:(([1-9]\d{0,4})|([a-z]\w*))?)?(/(([a-z\d$\.+!*(),?&amp;=-])|(%[a-f\d]{2}))*)*$','i')) else (1=1)"
              see="http://tools.ietf.org/html/rfc1738">This is not a valid <value-of select="$urlScheme"/> URL as defined in RFC 1738.</assert>
      <assert test="if ($urlScheme='mailto') then (matches($urlStr, '^[a-z\d_\+-]+(\.[a-z\d_\+-]+)*@\w+(\.\w+)*\.([a-z]{2,4})$','i')) else (1=1)"
              see="http://tools.ietf.org/html/rfc2368">'<value-of select="$urlStr"/>'
                                    is not a valid e-mail address as defined in RFC 2368. It is not allow to make use of extra headers</assert>
      <assert test="if ($urlScheme='x-hl7-applicatie') then (matches($urlStr, '^2\.16\.840\.1\.113883\.2\.4\.6\.6\.[1-9]\d+$')) else (1=1)">This is not a valid HL7 application-id. A valid
                                    application id starts with '2.16.840.1.113883.2.4.6.6.' followd by a numeric part</assert>
      <assert test="if ($urlScheme='mllp') then (matches($urlStr, '^//(([1-2]\d{0,2})(\.([1-2]\d{0,2})){3}|(([\w-]+\.)+(aero|arpa|asia|biz|cat|com|coop|edu|gov|info|int|jobs|mil|mobi|museum|name|net|org|pro|tel|travel|[a-z]{2}))):(([1-9]\d{0,4})|([A-Za-z]\w*))/$')) else (1=1)">This is not a valid mllp URL. A valid mllp URL has format mllp://host:port/
                                    where 'host' is a name or IP and 'port' is a named port or a number</assert>
   </rule>
   <!--
Template derived rules for ID: elab-rectarget
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.100']/hl7:patientRole/hl7:patient
Item: recordTarget.patientRole.patient
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.100']/hl7:patientRole/hl7:patient">
      <assert role="error" see="http://www.nictiz.nl/__TBD__/elab-rectarget"
              test="@classCode='PSN'">recordTarget.patientRole.patient: @classCode SHALL have value 'PSN' static </assert>
      <assert role="error" see="http://www.nictiz.nl/__TBD__/elab-rectarget"
              test="count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)">recordTarget.patientRole.patient.name: element hl7:name is mandatory [min 1x]</assert>
      <assert role="error" see="http://www.nictiz.nl/__TBD__/elab-rectarget"
              test="count(hl7:name)&lt;=2">recordTarget.patientRole.patient.name: element hl7:name appears too often [max 2x]</assert>
      <assert role="error" see="http://www.nictiz.nl/__TBD__/elab-rectarget"
              test="count(hl7:administrativeGenderCode)&gt;=1 and not(hl7:administrativeGenderCode/@nullFlavor)">recordTarget.patientRole.patient.administrativeGenderCode: element hl7:administrativeGenderCode is mandatory [min 1x]</assert>
      <assert role="error" see="http://www.nictiz.nl/__TBD__/elab-rectarget"
              test="count(hl7:administrativeGenderCode)&lt;=1">recordTarget.patientRole.patient.administrativeGenderCode: element hl7:administrativeGenderCode appears too often [max 1x]</assert>
      <assert role="error" see="http://www.nictiz.nl/__TBD__/elab-rectarget"
              test="count(hl7:birthTime)&gt;=1 and not(hl7:birthTime/@nullFlavor)">recordTarget.patientRole.patient.birthTime: element hl7:birthTime is mandatory [min 1x]</assert>
      <assert role="error" see="http://www.nictiz.nl/__TBD__/elab-rectarget"
              test="count(hl7:birthTime)&lt;=1">recordTarget.patientRole.patient.birthTime: element hl7:birthTime appears too often [max 1x]</assert>
      <assert role="error" see="http://www.nictiz.nl/__TBD__/elab-rectarget"
              test="count(lab:multipleBirthInd)&gt;=1 ">recordTarget.patientRole.patient.multipleBirthInd: element lab:multipleBirthInd is required [min 1x]</assert>
      <assert role="error" see="http://www.nictiz.nl/__TBD__/elab-rectarget"
              test="count(lab:multipleBirthInd)&lt;=1">recordTarget.patientRole.patient.multipleBirthInd: element lab:multipleBirthInd appears too often [max 1x]</assert>
   </rule>
   <!--
Template derived rules for ID: elab-rectarget
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.100']/hl7:patientRole/hl7:patient/hl7:name
Item: recordTarget.patientRole.patient.name
-->

<!--
Template derived rules for ID: elab-rectarget
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.100']/hl7:patientRole/hl7:patient/hl7:administrativeGenderCode
Item: recordTarget.patientRole.patient.administrativeGenderCode
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.100']/hl7:patientRole/hl7:patient/hl7:administrativeGenderCode">
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="valueFromValueSet" value="'AdministrativeGender'"/>
      <let name="theDisplayName"
           value="(document('elab-COR.xml')/*/valueSet[@name = $valueFromValueSet]/conceptList/concept[@code = $theCode]/@displayName[1])"/>
      <let name="requiredCodeSystem"
           value="(document('elab-COR.xml')/*/valueSet[@name = $valueFromValueSet]/conceptList/concept[@code = $theCode]/@codeSystem)"/>
      <let name="levelType"
           value="(document('elab-COR.xml')/*/valueSet[@name = $valueFromValueSet]/conceptList/concept[@code = $theCode]/@levelType)"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavor"
           value="document('elab-COR.xml')/*/valueSet[@name = $valueFromValueSet]/conceptList/concept[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]"/>
      <assert role="error" see="http://www.nictiz.nl/__TBD__/elab-rectarget"
              test="(string-length($theDisplayName)&gt;0 and ($theCodeSystem=$requiredCodeSystem)) or string-length($validNullFlavor)&gt;0">recordTarget.patientRole.patient.administrativeGenderCode: @code be SHALL drawn from value set '<value-of select="$valueFromValueSet"/>' dynamic - found code= <value-of select="$theCode"/> codeSystem=<value-of select="$theCodeSystem"/>
      </assert>
      <assert role="error" see="http://www.nictiz.nl/__TBD__/elab-rectarget"
              test="not(@nullFlavor) or string-length($validNullFlavor)&gt;0">recordTarget.patientRole.patient.administrativeGenderCode: @nullFlavor '<value-of select="$theNullFlavor"/>' is not allowed in this context</assert>
      <assert role="error" see="http://www.nictiz.nl/__TBD__/elab-rectarget"
              test="not($levelType='A') or string-length($validNullFlavor)&gt;0">recordTarget.patientRole.patient.administrativeGenderCode: the code used in value is an abstract node and cannot be chosen as a valid code  - found: code=<value-of select="$theCode"/> codeSystem=<value-of select="$theCodeSystem"/>
      </assert>
   </rule>
   <!--
Template derived rules for ID: elab-rectarget
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.100']/hl7:patientRole/hl7:patient/hl7:birthTime
Item: recordTarget.patientRole.patient.birthTime
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.100']/hl7:patientRole/hl7:patient/hl7:birthTime">
      <assert role="error" see="http://www.nictiz.nl/__TBD__/elab-rectarget"
              test="@nullFlavor or (matches (@value, '^[0-9]{8,8}'))">recordTarget.patientRole.patient.birthTime: @value SHALL be a valid time stamp and of precision/format YMD</assert>
   </rule>
   <!--
Template derived rules for ID: elab-rectarget
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.100']/hl7:patientRole/hl7:patient/lab:multipleBirthInd
Item: recordTarget.patientRole.patient.multipleBirthInd
-->

<!--
Template derived rules for ID: elab-rectarget
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.100']/hl7:patientRole/hl7:providerOrganization
Item: recordTarget.patientRole.providerOrganization
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.100']/hl7:patientRole/hl7:providerOrganization">
      <assert role="error" see="http://www.nictiz.nl/__TBD__/elab-rectarget"
              test="@classCode='ORG'">recordTarget.patientRole.providerOrganization: @classCode SHALL have value 'ORG' static </assert>
      <assert role="error" see="http://www.nictiz.nl/__TBD__/elab-rectarget"
              test="@determinerCode='INSTANCE'">recordTarget.patientRole.providerOrganization: @determinerCode SHALL have value 'INSTANCE' static </assert>
      <assert role="error" see="http://www.nictiz.nl/__TBD__/elab-rectarget"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">recordTarget.patientRole.providerOrganization.id: element hl7:id is mandatory [min 1x]</assert>
   </rule>
   <!--
Template derived rules for ID: elab-rectarget
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.100']/hl7:patientRole/hl7:providerOrganization/hl7:id
Item: recordTarget.patientRole.providerOrganization.id
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.100']/hl7:patientRole/hl7:providerOrganization/hl7:id">
      <assert role="error" see="http://www.nictiz.nl/__TBD__/elab-rectarget"
              test="count(../hl7:id[@root='2.16.528.1.1007.3.3' or (0=1)])&gt;0">recordTarget.patientRole.providerOrganization.id: there SHALL be at least one hl7:id with @root present and valued '2.16.528.1.1007.3.3' static </assert>
   </rule>
</pattern>