<?xml version="1.0" encoding="UTF-8"?>
<pattern xmlns="http://purl.oclc.org/dsdl/schematron" abstract="true" id="QURX_MT990001NL">
    <title>Medication Combined Order Query - queryByParameter</title>
    <rule context="$element">
        <assert role="error" test="hl7:patientID"
            >QURX_MT990001NL: patientID moet een waarde hebben</assert>
    </rule>
    <rule context="$element/hl7:queryId">
        <extends rule="II"/>
        <assert role="error" test="@root and @extension"
            >QURX_MT990001NL: @root en @extension zijn verplicht</assert>
    </rule>
    <rule context="$element/hl7:administrationRequestEffectiveTimeInterval/hl7:value">
        <extends rule="IVL_TS"/>
        <assert role="error" test="hl7:low/@value or hl7:high/@value"
            >QURX_MT990001NL: value/low en/of value/high moet een waarde hebben</assert>
        <assert role="error" test="not(hl7:width or hl7:center or @value)"
            >QURX_MT990001NL: er zijn geen andere elementen toegestaan dan low en/of high</assert>
    </rule>
    <rule context="$element/hl7:availabilityTimeInterval/hl7:value">
        <assert role="error" test="false"
            >QURX_MT990001NL: <value-of select="local-name(..)"/> mag niet voorkomen</assert>
    </rule>
    <rule context="$element/hl7:dispensingPharmacistID/hl7:value">
        <assert role="error" test="false"
            >QURX_MT990001NL: <value-of select="local-name(..)"/> mag niet voorkomen</assert>
    </rule>
    <rule context="$element/hl7:medicationCode/hl7:value">
        <assert role="error" test="false"
            >QURX_MT990001NL: <value-of select="local-name(..)"/> mag niet voorkomen</assert>
    </rule>
    <rule context="$element/hl7:medicationCombinedOrderID/hl7:value">
        <assert role="error" test="false"
            >QURX_MT990001NL: <value-of select="local-name(..)"/> mag niet voorkomen</assert>
    </rule>
    <rule context="$element/hl7:patientID/hl7:value">
        <extends rule="II"/>
        <assert role="error" test="@root='2.16.840.1.113883.2.4.6.3'"
            >QURX_MT990001NL: value/@root moet '2.16.840.1.113883.2.4.6.3' zijn</assert>
    </rule>
    <rule context="$element/hl7:prescriptionAuthorID/hl7:value">
        <assert role="error" test="false"
            >QURX_MT990001NL: <value-of select="local-name(..)"/> mag niet voorkomen</assert>
    </rule>
    <rule context="$element/hl7:prescriptionAuthorRoleCode/hl7:value">
        <assert role="error" test="false"
            >QURX_MT990001NL: <value-of select="local-name(..)"/> mag niet voorkomen</assert>
    </rule>
    <rule context="$element/hl7:medicationCombinedOrderID/hl7:value">
        <assert role="error" test="false"
            >QURX_MT990001NL: <value-of select="local-name(..)"/> mag niet voorkomen</assert>
    </rule>
    <rule context="$element/hl7:prescriptionAuthorTimeInterval/hl7:value">
        <assert role="error" test="false"
            >QURX_MT990001NL: <value-of select="local-name(..)"/> mag niet voorkomen</assert>
    </rule>
    <rule context="$element/hl7:sortControl/hl7:value">
        <assert role="error" test="false"
            >QURX_MT990001NL: <value-of select="local-name(..)"/> mag niet voorkomen</assert>
    </rule>
</pattern>
