<?xml version="1.0" encoding="UTF-8"?>
<schema xmlns="http://purl.oclc.org/dsdl/schematron" queryBinding="xslt2">
   <title>Schematronvalidatie van REPC_IN002130NL - Notificatie in zorg name</title>
   <ns uri="urn:hl7-org:v3" prefix="hl7"/>
   <ns uri="http://www.w3.org/2001/XMLSchema-instance" prefix="xsi"/>
   <include href="coreschematron/xml.sch"/>
   <include href="coreschematron/attentionLine.sch"/>
   
   <include href="coreschematron/transmission-wrapper.sch"/>
   <include href="coreschematron/controlAct-wrapper.sch"/>
   
   <pattern is-a="attentionLine" id="REPC_IN002130NL-attentionLine">
      <param name="messagePatientId"
      value="hl7:ControlActProcess/hl7:subject/hl7:CareProvisionEvent/hl7:subject/hl7:patient/hl7:id[@root='2.16.840.1.113883.2.4.6.3']"/>
      <param name="attentionLineOptional" value="'false'"/>
   </pattern>
   
   <pattern is-a="transmission-wrapper" id="REPC_IN002130NL-wrapper">
      <param name="element" value="hl7:REPC_IN002130NL"/>
   </pattern>
   
   <pattern is-a="controlAct-wrapper" id="REPC_IN002130NL-controlAct">
      <param name="element" value="hl7:REPC_IN002130NL/hl7:ControlActProcess"/>
   </pattern>
   
   <pattern>
      <!-- profileId -->
      <rule context="hl7:REPC_IN002130NL/hl7:profileId">
         <extends rule="II"/>
         <assert role="error" test="@root='2.16.840.1.113883.2.4.3.11.1' and @extension='810'"
            >In de transmission wrapper moet het element profileId worden gevuld met de waarde '810'</assert>
      </rule>
      <rule context="hl7:REPC_IN002130NL/hl7:acceptAckCode">
         <extends rule="CS"/>
         <assert role="error" test="@code='AL'">In de transmission wrapper moet het veld acceptAckCode worden gevuld met waarde 'AL'.</assert>
      </rule>
   </pattern>
   
   <pattern>
      <title>Codes algemeen</title>
      <rule context="hl7:code">
         <assert test="(@code and @codeSystem) or @nullFlavor or @xsi:nil='true'">Code elementen moeten een
                        code en codesystem attribuut bevatten of een nullfavor.</assert>
      </rule>
   </pattern>
   <pattern>
      <title>Verantwoordelijke JGZ-organisatie</title>
   	<rule context="hl7:CareProvisionEvent/hl7:author/hl7:assignedEntity">
   		<assert role="error" test="not(hl7:id) or hl7:id/@root='2.16.528.1.1007.3.1' or hl7:id/@root='2.16.528.1.1007.3.3'">De OID van id/@root moet 2.16.528.1.1007.3.1 of '2.16.528.1.1007.3.3' zijn.</assert>
   	</rule>
   	<rule context="hl7:CareProvisionEvent/hl7:performer/hl7:assignedEntity">
   		<assert role="error" test="not(hl7:id) or hl7:id/@root='2.16.528.1.1007.3.1' or hl7:id/@root='2.16.528.1.1007.3.3'">De OID van id/@root moet 2.16.528.1.1007.3.1 of '2.16.528.1.1007.3.3' zijn.</assert>
   	</rule>
   </pattern>
</schema>