<?xml version="1.0" encoding="UTF-8"?>
<schema xmlns="http://purl.oclc.org/dsdl/schematron" queryBinding="xslt2">
   <title>Schematronvalidatie van REPC_IN002132NL - Resultaat audiologisch centrum</title>
   <ns uri="urn:hl7-org:v3" prefix="hl7"/>
   <ns uri="http://www.w3.org/2001/XMLSchema-instance" prefix="xsi"/>
   <include href="coreschematron/xml.sch"/>
   <include href="coreschematron/attentionLine.sch"/>
   
   <include href="coreschematron/transmission-wrapper.sch"/>
   <include href="coreschematron/controlAct-wrapper.sch"/>
   
   <pattern is-a="attentionLine" id="REPC_IN002132NL-attentionLine">
      <param name="messagePatientId"
      value="hl7:ControlActProcess/hl7:subject/hl7:CareProvisionEvent/hl7:subject/hl7:patient/hl7:id[@root='2.16.840.1.113883.2.4.6.3']"/>
      <param name="attentionLineOptional" value="'false'"/>
   </pattern>
   
   <pattern is-a="transmission-wrapper" id="REPC_IN002132NL-wrapper">
      <param name="element" value="hl7:REPC_IN002132NL"/>
   </pattern>
   
   <pattern is-a="controlAct-wrapper" id="REPC_IN002132NL-controlAct">
      <param name="element" value="hl7:REPC_IN002132NL/hl7:ControlActProcess"/>
   </pattern>
   
   <pattern>
      <!-- profileId -->
      <rule context="hl7:REPC_IN002132NL/hl7:profileId">
         <extends rule="II"/>
         <assert role="error" test="@root='2.16.840.1.113883.2.4.3.11.1' and @extension='810'"
            >In de transmission wrapper moet het element profileId worden gevuld met de waarde '810'</assert>
      </rule>
      <rule context="hl7:REPC_IN002132NL/hl7:acceptAckCode">
         <extends rule="CS"/>
         <assert role="error" test="@code='AL'">In de transmission wrapper moet het veld acceptAckCode worden gevuld met waarde 'AL'.</assert>
      </rule>
   </pattern>
   
   <!-- TODO... eerst specificaties, dan controles -->
</schema>