<?xml version="1.0" encoding="UTF-8"?>
<!-- 
    Implementatiehandleiding HL7v3 Basiscomponenten, v2.2 - Datatype 1.0 IVL_PQ - Interval of Physical Quantity
    Status: in behandeling
-->
<rule abstract="true" id="IVL_PQ" see="http://hl7book.net/index.php?title=DatatypesR1:IVL_PQ" xmlns="http://purl.oclc.org/dsdl/schematron">
    <extends rule="IVL"/>
    
    <assert role="error" test="not(hl7:low/@unit and hl7:high/@unit) or
        hl7:low/@unit = hl7:high/@unit"
        >Datatype IVL_PQ: units in low and high must be equal</assert>
    
    <assert role="error" test="not(hl7:low/@value and hl7:high/@value) or
        not(hl7:low/@unit = hl7:high/@unit) or
        hl7:low/@value &lt; hl7:high/@value"
        >Datatype IVL_PQ: low/@value must be lower than high/@value</assert>
</rule>