<?xml version="1.0" encoding="UTF-8"?>
<!-- 
    Implementatiehandleiding HL7v3 Basiscomponenten, v2.2 - Datatype 1.0 IVL_TS - Interval of Timestamp
    Status: in behandeling
-->
<rule abstract="true" id="IVL_TS" see="http://hl7book.net/index.php?title=DatatypesR1:IVL_TS" xmlns="http://purl.oclc.org/dsdl/schematron">
    <extends rule="IVL"/>
    
    <assert role="error" test="not(hl7:low/@value and hl7:high/@value) or string-length(hl7:low/@value) = string-length(hl7:high/@value)"
        >Datatype IVL_TS: low/@value must have the same precision as high/@value</assert>
    
    <assert role="error" test="not(hl7:low/@value and hl7:high/@value) or
        substring(concat(hl7:low/@value,'00000000000000'),1,14) &lt; substring(concat(hl7:high/@value,'00000000000000'),1,14)"
        >Datatype IVL_TS: low/@value must be before high/@value</assert>

    <!-- for width only us (microseconds),	ms (milliseconds),	s (seconds), min (minute), h (hours), d (day), wk (week), mo (month) and a (year) are allowed.
    -->
    <let name="tum" value="'^(us|ms|s|min|h|d|wk|mo|a|)$'"/>
    <assert role="error" test="matches(hl7:width/@unit, $tum)"
        >Datatype IVL_TS: for width only us (microseconds), ms (milliseconds), s (seconds), min (minute), h (hours), d (day), wk (week),
        mo (month) or a (year) are allowed</assert>
</rule>