<?xml version="1.0" encoding="UTF-8"?>
<!-- 
    Implementatiehandleiding HL7v3 Basiscomponenten, v2.2 - Datatype 1.0 SC - String with Code
    Status: in behandeling
-->
<rule abstract="true" id="SC" see="http://hl7book.net/index.php?title=DatatypesR1:SC" xmlns="http://purl.oclc.org/dsdl/schematron">
    <extends rule="ST"/>
    
    <assert role="error" test="@codeSystem or not(@code)"
        >Datatype SC: code requires codeSystem</assert>
    <assert role="error" test="@codeSystem or not(@codeSystemName)"
        >Datatype SC: codeSystemName only if codeSystem</assert>
    <assert role="error" test="@codeSystem or not(@codeSystemVersion)"
        >Datatype SC: codeSystemVersion only if codeSystem</assert>
    <assert role="error" test="@code or not(@displayName)"
        >Datatype SC: displayName only if code</assert>
    <assert role="error" test="@nullFlavor != 'OTH' or @codeSystem"
        >Datatype SC: nullFlavor 'OTH' requires codeSystem</assert>
    <assert role="error" test="not(@nullFlavor and @code)"
        >Datatype SC: no code if null</assert>
    <assert role="error" test="not(@nullFlavor and @displayName)"
        >Datatype SC: no displayName if null</assert>
    
    <report role="warning" test="@codeSystem and not(doc-available(concat('../vocab/',@codeSystem,'.xml')))"
        >Datatype CD: waarschuwing: onbekend codeSystem '<value-of select="@codeSystem"/>' gevonden met codeSystemName 
        '<value-of select="./@codeSystemName"/>'. Bestand '<value-of select="concat('../vocab/',@codeSystem,'.xml')"/>' ontbreekt.</report>
</rule>