<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.100.117
Description: COCT_RM900916NL02: Gegevens van rijksvaccinaties en andere vaccinaties
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.100.117">
   <title>A_Rijksvaccinatie [informational]</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.117
Context: *[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.117']]
Item: (A_Rijksvaccinatie-informational)
-->

<rule context="*[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.117']]"
         id="tmp-0ac31850-8409-4be2-a944-98e273d56c70">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.117.html"
              test="count(hl7:substanceAdministrationEvent)&gt;=1 and not(hl7:substanceAdministrationEvent/@nullFlavor)">(A_Rijksvaccinatie-informational): element hl7:substanceAdministrationEvent is mandatory [min 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.117
Context: *[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.117']]/hl7:substanceAdministrationEvent
Item: (A_Rijksvaccinatie-informational)
-->

<rule context="*[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.117']]/hl7:substanceAdministrationEvent"
         id="tmp-767e96ce-0051-4201-8b6f-4423c62fccc0">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.117.html"
              test="@classCode='SBADM' or not(@classCode)">(A_Rijksvaccinatie-informational): de waarde van @classCode MOET 'SBADM' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.117.html"
              test="@moodCode='EVN' or not(@moodCode)">(A_Rijksvaccinatie-informational): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error" test="not(@negationInd='true') or hl7:authorization">(A_Rijksvaccinatie-informational): als <name/>/@negationInd 'true' is, dan MOET er bezwaar zijn in authorization</assert>
      <assert role="error" test="@negationInd='true' or not(hl7:authorization)">(A_Rijksvaccinatie-informational): als <name/>/@negationInd 'false' is of afwezig, dan MAG er GEEN er bezwaar zijn in authorization</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.117.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.117'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.117']/@nullFlavor)">(A_Rijksvaccinatie-informational): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.117'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.117.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.117'])&lt;=1">(A_Rijksvaccinatie-informational): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.117'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.117.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(A_Rijksvaccinatie-informational): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.117.html"
              test="count(hl7:code)&lt;=1">(A_Rijksvaccinatie-informational): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.117.html"
              test="count(hl7:effectiveTime)&gt;=1 and not(hl7:effectiveTime/@nullFlavor)">(A_Rijksvaccinatie-informational): element hl7:effectiveTime is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.117.html"
              test="count(hl7:effectiveTime)&lt;=1">(A_Rijksvaccinatie-informational): element hl7:effectiveTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.117.html"
              test="count(hl7:consumable)&gt;=1 and not(hl7:consumable/@nullFlavor)">(A_Rijksvaccinatie-informational): element hl7:consumable is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.117.html"
              test="count(hl7:consumable)&lt;=1">(A_Rijksvaccinatie-informational): element hl7:consumable komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.117.html"
              test="count(hl7:performer[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']]])&gt;=1 and not(hl7:performer[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']]]/@nullFlavor)">(A_Rijksvaccinatie-informational): element hl7:performer[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.117.html"
              test="count(hl7:performer[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']]])&lt;=1">(A_Rijksvaccinatie-informational): element hl7:performer[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']]] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.117
Context: *[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.117']]/hl7:substanceAdministrationEvent/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.117']
Item: (A_Rijksvaccinatie-informational)
-->

<rule context="*[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.117']]/hl7:substanceAdministrationEvent/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.117']"
         id="tmp-69e6dd68-a1fa-452b-bde4-4d51de98d359">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.117.html"
              test="@root='2.16.840.1.113883.2.4.6.10.100.117'">(A_Rijksvaccinatie-informational): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.117' hebben.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.117.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(A_Rijksvaccinatie-informational): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.117
Context: *[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.117']]/hl7:substanceAdministrationEvent/hl7:code
Item: (A_Rijksvaccinatie-informational)
-->

<rule context="*[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.117']]/hl7:substanceAdministrationEvent/hl7:code"
         id="tmp-d704636a-46c9-48b7-bbe1-b45e27c122fe">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.117.html"
              test="@nullFlavor or (@code='IMMUNIZ' and @codeSystem='2.16.840.1.113883.5.4')">(A_Rijksvaccinatie-informational): de waarde van @code/@codeSystem MOET ''IMMUNIZ' codeSystem '2.16.840.1.113883.5.4'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.117
Context: *[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.117']]/hl7:substanceAdministrationEvent/hl7:effectiveTime
Item: (A_Rijksvaccinatie-informational)
-->

<rule context="*[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.117']]/hl7:substanceAdministrationEvent/hl7:effectiveTime"
         id="tmp-94c1d98f-9991-496d-a38c-285e172a4db3">
      <let name="theValue" value="@value"/>
      <assert role="error" test="matches(@value,'^[0-9]{8}')">(A_Rijksvaccinatie-informational): 
                        <name path=".."/>/<name/> moet tenminste tot op de dag nauwkeurig worden opgegeven</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.117
Context: *[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.117']]/hl7:substanceAdministrationEvent/hl7:consumable
Item: (A_Rijksvaccinatie-informational)
-->

<rule context="*[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.117']]/hl7:substanceAdministrationEvent/hl7:consumable"
         id="tmp-34e47231-004c-4363-8679-1ce8c7351190">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.117.html"
              test="@typeCode='CSM' or not(@typeCode)">(A_Rijksvaccinatie-informational): de waarde van @typeCode MOET 'CSM' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.117.html"
              test="count(hl7:medication)&gt;=1 and not(hl7:medication/@nullFlavor)">(A_Rijksvaccinatie-informational): element hl7:medication is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.117.html"
              test="count(hl7:medication)&lt;=1">(A_Rijksvaccinatie-informational): element hl7:medication komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.117
Context: *[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.117']]/hl7:substanceAdministrationEvent/hl7:consumable/hl7:medication
Item: (A_Rijksvaccinatie-informational)
-->

<rule context="*[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.117']]/hl7:substanceAdministrationEvent/hl7:consumable/hl7:medication"
         id="tmp-12a0dabf-bf8b-4330-9314-2719b1c77258">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.117.html"
              test="@classCode='ADMM' or not(@classCode)">(A_Rijksvaccinatie-informational): de waarde van @classCode MOET 'ADMM' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.117.html"
              test="count(hl7:administrableMedicine)&gt;=1 and not(hl7:administrableMedicine/@nullFlavor)">(A_Rijksvaccinatie-informational): element hl7:administrableMedicine is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.117.html"
              test="count(hl7:administrableMedicine)&lt;=1">(A_Rijksvaccinatie-informational): element hl7:administrableMedicine komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.117
Context: *[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.117']]/hl7:substanceAdministrationEvent/hl7:consumable/hl7:medication/hl7:administrableMedicine
Item: (A_Rijksvaccinatie-informational)
-->

<rule context="*[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.117']]/hl7:substanceAdministrationEvent/hl7:consumable/hl7:medication/hl7:administrableMedicine"
         id="tmp-f0b6816c-7ea8-421c-80c7-27c12ba9e67e">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.117.html"
              test="@classCode='MMAT' or not(@classCode)">(A_Rijksvaccinatie-informational): de waarde van @classCode MOET 'MMAT' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.117.html"
              test="@determinerCode='KIND' or not(@determinerCode)">(A_Rijksvaccinatie-informational): de waarde van @determinerCode MOET 'KIND' zijn.</assert>
      <assert role="error" test="hl7:lotNumberText or ../../../hl7:authorization">(A_Rijksvaccinatie-informational): lotNumberText moet het partijnummer bevatten, als er geen sprake is van bezwaar</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.117.html"
              test="count(hl7:code)&gt;=1 ">(A_Rijksvaccinatie-informational): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.117.html"
              test="count(hl7:code)&lt;=1">(A_Rijksvaccinatie-informational): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.117.html"
              test="count(hl7:lotNumberText)&lt;=1">(A_Rijksvaccinatie-informational): element hl7:lotNumberText komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.117
Context: *[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.117']]/hl7:substanceAdministrationEvent/hl7:consumable/hl7:medication/hl7:administrableMedicine/hl7:code
Item: (A_Rijksvaccinatie-informational)
-->

<rule context="*[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.117']]/hl7:substanceAdministrationEvent/hl7:consumable/hl7:medication/hl7:administrableMedicine/hl7:code"
         id="tmp-22aedce3-13e3-4fd7-a29f-73c815c3401e">
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-W0422_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-W0422_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.117.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(A_Rijksvaccinatie-informational): de waarde van @code MOET worden gekozen uit waardenlijst W0422_HL7 W0422 Soort vaccinatie (HL7) DYNAMIC.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.117.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(A_Rijksvaccinatie-informational): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0422_HL7 W0422 Soort vaccinatie (HL7) DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.117
Context: *[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.117']]/hl7:substanceAdministrationEvent/hl7:consumable/hl7:medication/hl7:administrableMedicine/hl7:lotNumberText
Item: (A_Rijksvaccinatie-informational)
-->

<rule context="*[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.117']]/hl7:substanceAdministrationEvent/hl7:consumable/hl7:medication/hl7:administrableMedicine/hl7:lotNumberText"
         id="tmp-9dcc0bf0-f902-4992-823a-88e9fbad9080">
      <let name="theValue" value="text()"/>
      <assert role="error" test="not(../../../../hl7:authorization)">(A_Rijksvaccinatie-informational): als er sprake van bezwaar is, mag er geen partijnummer aanwezig zijn</assert>
   </rule>


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.117
Context: *[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.117']]/hl7:substanceAdministrationEvent/hl7:performer[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']]]
Item: (A_Rijksvaccinatie-informational)
-->
<rule context="*[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.117']]/hl7:substanceAdministrationEvent/hl7:performer[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']]]"
         id="tmp-6370ffff-5ba9-4ca8-bc64-f0c957421455">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.117.html"
              test="@typeCode='PRF' or not(@typeCode)">(A_Rijksvaccinatie-informational): de waarde van @typeCode MOET 'PRF' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.117
Context: *[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.117']]/hl7:substanceAdministrationEvent/hl7:authorization
Item: (A_Rijksvaccinatie-informational)
-->

<rule context="*[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.117']]/hl7:substanceAdministrationEvent/hl7:authorization"
         id="tmp-424fd8fb-0eb7-45b2-aa4b-57044be26426">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.117.html"
              test="@typeCode='AUTH' or not(@typeCode)">(A_Rijksvaccinatie-informational): de waarde van @typeCode MOET 'AUTH' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.117.html"
              test="@contextConductionInd='false' or not(@contextConductionInd)">(A_Rijksvaccinatie-informational): de waarde van @contextConductionInd MOET 'false' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.117.html"
              test="count(hl7:consentEvent)&gt;=1 and not(hl7:consentEvent/@nullFlavor)">(A_Rijksvaccinatie-informational): element hl7:consentEvent is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.117.html"
              test="count(hl7:consentEvent)&lt;=1">(A_Rijksvaccinatie-informational): element hl7:consentEvent komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.117
Context: *[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.117']]/hl7:substanceAdministrationEvent/hl7:authorization/hl7:consentEvent
Item: (A_Rijksvaccinatie-informational)
-->

<rule context="*[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.117']]/hl7:substanceAdministrationEvent/hl7:authorization/hl7:consentEvent"
         id="tmp-6dd7f00f-6b5d-48e4-998d-c2ba5d9ef817">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.117.html"
              test="@classCode='CONS' or not(@classCode)">(A_Rijksvaccinatie-informational): de waarde van @classCode MOET 'CONS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.117.html"
              test="@moodCode='EVN' or not(@moodCode)">(A_Rijksvaccinatie-informational): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.117.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(A_Rijksvaccinatie-informational): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.117.html"
              test="count(hl7:code)&lt;=1">(A_Rijksvaccinatie-informational): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.117.html"
              test="count(hl7:reasonOf)&lt;=1">(A_Rijksvaccinatie-informational): element hl7:reasonOf komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.117
Context: *[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.117']]/hl7:substanceAdministrationEvent/hl7:authorization/hl7:consentEvent/hl7:code
Item: (A_Rijksvaccinatie-informational)
-->

<rule context="*[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.117']]/hl7:substanceAdministrationEvent/hl7:authorization/hl7:consentEvent/hl7:code"
         id="tmp-6939e2c2-ba73-40d6-b0e1-1539f4bc11bc">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.117.html"
              test="@nullFlavor or (@code='IMMUNIZ' and @codeSystem='2.16.840.1.113883.5.4')">(A_Rijksvaccinatie-informational): de waarde van @code/@codeSystem MOET ''IMMUNIZ' codeSystem '2.16.840.1.113883.5.4'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.117
Context: *[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.117']]/hl7:substanceAdministrationEvent/hl7:authorization/hl7:consentEvent/hl7:reasonOf
Item: (A_Rijksvaccinatie-informational)
-->

<rule context="*[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.117']]/hl7:substanceAdministrationEvent/hl7:authorization/hl7:consentEvent/hl7:reasonOf"
         id="tmp-89ffa09e-b227-422f-b0b6-78020a865740">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.117.html"
              test="@typeCode='RSON' or not(@typeCode)">(A_Rijksvaccinatie-informational): de waarde van @typeCode MOET 'RSON' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.117.html"
              test="count(hl7:observationEvent)&gt;=1 and not(hl7:observationEvent/@nullFlavor)">(A_Rijksvaccinatie-informational): element hl7:observationEvent is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.117.html"
              test="count(hl7:observationEvent)&lt;=1">(A_Rijksvaccinatie-informational): element hl7:observationEvent komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.117
Context: *[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.117']]/hl7:substanceAdministrationEvent/hl7:authorization/hl7:consentEvent/hl7:reasonOf/hl7:observationEvent
Item: (A_Rijksvaccinatie-informational)
-->

<rule context="*[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.117']]/hl7:substanceAdministrationEvent/hl7:authorization/hl7:consentEvent/hl7:reasonOf/hl7:observationEvent"
         id="tmp-14b13176-4952-457e-a9b3-3a6f3055f720">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.117.html"
              test="@classCode='OBS' or not(@classCode)">(A_Rijksvaccinatie-informational): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.117.html"
              test="@moodCode='EVN' or not(@moodCode)">(A_Rijksvaccinatie-informational): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.117.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(A_Rijksvaccinatie-informational): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.117.html"
              test="count(hl7:code)&lt;=1">(A_Rijksvaccinatie-informational): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.117.html"
              test="count(hl7:value)&gt;=1 ">(A_Rijksvaccinatie-informational): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.117.html"
              test="count(hl7:value)&lt;=1">(A_Rijksvaccinatie-informational): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.117
Context: *[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.117']]/hl7:substanceAdministrationEvent/hl7:authorization/hl7:consentEvent/hl7:reasonOf/hl7:observationEvent/hl7:code
Item: (A_Rijksvaccinatie-informational)
-->

<rule context="*[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.117']]/hl7:substanceAdministrationEvent/hl7:authorization/hl7:consentEvent/hl7:reasonOf/hl7:observationEvent/hl7:code"
         id="tmp-ac02cfe7-1465-49fe-b0ad-f2246adafbd3">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.117.html"
              test="@nullFlavor or (@code='683' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(A_Rijksvaccinatie-informational): de waarde van @code/@codeSystem MOET ''683' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.117
Context: *[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.117']]/hl7:substanceAdministrationEvent/hl7:authorization/hl7:consentEvent/hl7:reasonOf/hl7:observationEvent/hl7:value
Item: (A_Rijksvaccinatie-informational)
-->

<rule context="*[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.117']]/hl7:substanceAdministrationEvent/hl7:authorization/hl7:consentEvent/hl7:reasonOf/hl7:observationEvent/hl7:value"
         id="tmp-5f6499cb-b3a3-4f6b-9d68-cce940a29a1f">
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-W0323_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-W0323_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.117.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(A_Rijksvaccinatie-informational): de waarde van @code MOET worden gekozen uit waardenlijst W0323_HL7 W0323 Bezwaar (HL7) DYNAMIC.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.117.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(A_Rijksvaccinatie-informational): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0323_HL7 W0323 Bezwaar (HL7) DYNAMIC.</assert>
   </rule>
</pattern>
