<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.100.118
Description: COCT_RM900913NL: Gegevens van de pasgeborene en eerste levensweken
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.100.118">
   <title>A_NeonateData [universal]</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.118
Context: *[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]
Item: (A_NeonateData-universal)
-->

<rule context="*[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]"
         id="tmp-9401446e-59d0-4ce1-b271-b95df4a22cdd">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="count(hl7:neonateData)&gt;=1 and not(hl7:neonateData/@nullFlavor)">(A_NeonateData-universal): element hl7:neonateData is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="count(hl7:neonateData)&lt;=1">(A_NeonateData-universal): element hl7:neonateData komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.118
Context: *[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData
Item: (A_NeonateData-universal)
-->

<rule context="*[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData"
         id="tmp-f98edf21-9e39-41f9-b7c8-946b567f4588">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="@classCode='ORGANIZER' or not(@classCode)">(A_NeonateData-universal): de waarde van @classCode MOET 'ORGANIZER' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="@moodCode='EVN' or not(@moodCode)">(A_NeonateData-universal): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.118'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.118']/@nullFlavor)">(A_NeonateData-universal): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.118'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.118'])&lt;=1">(A_NeonateData-universal): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.118'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(A_NeonateData-universal): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="count(hl7:code)&lt;=1">(A_NeonateData-universal): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.118
Context: *[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.118']
Item: (A_NeonateData-universal)
-->

<rule context="*[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.118']"
         id="tmp-cfa51e3a-f3f5-4afa-8f8f-44bb088f3f5f">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="@root='2.16.840.1.113883.2.4.6.10.100.118'">(A_NeonateData-universal): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.118' hebben.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(A_NeonateData-universal): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.118
Context: *[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:code
Item: (A_NeonateData-universal)
-->

<rule context="*[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:code"
         id="tmp-62b333db-d521-40e2-9aeb-0763f04fa37c">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="@nullFlavor or (@code='R016' and @codeSystem='2.16.840.1.113883.2.4.4.40.391')">(A_NeonateData-universal): de waarde van @code/@codeSystem MOET ''R016' codeSystem '2.16.840.1.113883.2.4.4.40.391'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.118
Context: *[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component1
Item: (A_NeonateData-universal)
-->

<rule context="*[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component1"
         id="tmp-ffbe4560-74e3-477b-8344-2fb4df2aa04e">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="@typeCode='COMP' or not(@typeCode)">(A_NeonateData-universal): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="count(hl7:inPatientEncounter)&gt;=1 and not(hl7:inPatientEncounter/@nullFlavor)">(A_NeonateData-universal): element hl7:inPatientEncounter is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="count(hl7:inPatientEncounter)&lt;=1">(A_NeonateData-universal): element hl7:inPatientEncounter komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.118
Context: *[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component1/hl7:inPatientEncounter
Item: (A_NeonateData-universal)
-->

<rule context="*[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component1/hl7:inPatientEncounter"
         id="tmp-e9447fc2-39f0-441c-8af2-ecacfcf8d3d7">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="@classCode='ENC' or not(@classCode)">(A_NeonateData-universal): de waarde van @classCode MOET 'ENC' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="@moodCode='EVN' or not(@moodCode)">(A_NeonateData-universal): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(A_NeonateData-universal): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="count(hl7:code)&lt;=1">(A_NeonateData-universal): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="count(hl7:effectiveTime)&lt;=1">(A_NeonateData-universal): element hl7:effectiveTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="count(hl7:location)&lt;=1">(A_NeonateData-universal): element hl7:location komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.118
Context: *[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component1/hl7:inPatientEncounter/hl7:code
Item: (A_NeonateData-universal)
-->

<rule context="*[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component1/hl7:inPatientEncounter/hl7:code"
         id="tmp-7cf6ae4d-d7d2-4dce-b5f4-e86843625155">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="@nullFlavor or (@code='IMP' and @codeSystem='2.16.840.1.113883.5.4')">(A_NeonateData-universal): de waarde van @code/@codeSystem MOET ''IMP' codeSystem '2.16.840.1.113883.5.4'' zijn.</assert>
   </rule>


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.118
Context: *[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component1/hl7:inPatientEncounter/hl7:effectiveTime
Item: (A_NeonateData-universal)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.118
Context: *[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component1/hl7:inPatientEncounter
Item: (Periode-O-Start-O-Eind-O)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.118
Context: *[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component1/hl7:inPatientEncounter/hl7:effectiveTime
Item: (Periode-O-Start-O-Eind-O)
-->
<rule context="*[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component1/hl7:inPatientEncounter/hl7:effectiveTime"
         id="tmp-3c00fb07-2ee5-4a9b-9f44-d194162ef144">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="@nullFlavor='UNK' or not(@nullFlavor)">(Periode-O-Start-O-Eind-O): de waarde van @nullFlavor MOET 'UNK' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="count(hl7:low)&lt;=1">(Periode-O-Start-O-Eind-O): element hl7:low komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="count(hl7:high)&lt;=1">(Periode-O-Start-O-Eind-O): element hl7:high komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="count(hl7:width)=0">(Periode-O-Start-O-Eind-O): element hl7:width MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="count(hl7:center)=0">(Periode-O-Start-O-Eind-O): element hl7:center MAG NIET voorkomen.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.118
Context: *[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component1/hl7:inPatientEncounter/hl7:effectiveTime/hl7:low
Item: (Periode-O-Start-O-Eind-O)
-->
<rule context="*[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component1/hl7:inPatientEncounter/hl7:effectiveTime/hl7:low"
         id="tmp-8e372c22-d488-4439-82ac-de718864edc7">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="@nullFlavor='UNK' or not(@nullFlavor)">(Periode-O-Start-O-Eind-O): de waarde van @nullFlavor MOET 'UNK' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.118
Context: *[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component1/hl7:inPatientEncounter/hl7:effectiveTime/hl7:high
Item: (Periode-O-Start-O-Eind-O)
-->
<rule context="*[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component1/hl7:inPatientEncounter/hl7:effectiveTime/hl7:high"
         id="tmp-e5d96fb8-a8f3-4db6-ac05-20c0ccd4858c">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="@nullFlavor='UNK' or not(@nullFlavor)">(Periode-O-Start-O-Eind-O): de waarde van @nullFlavor MOET 'UNK' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.118
Context: *[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component1/hl7:inPatientEncounter/hl7:effectiveTime/hl7:width
Item: (Periode-O-Start-O-Eind-O)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.118
Context: *[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component1/hl7:inPatientEncounter/hl7:effectiveTime/hl7:center
Item: (Periode-O-Start-O-Eind-O)
-->
<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.118
Context: *[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component1/hl7:inPatientEncounter/hl7:location
Item: (A_NeonateData-universal)
-->

<rule context="*[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component1/hl7:inPatientEncounter/hl7:location"
         id="tmp-ecc1b40c-743a-4cdd-97fc-3d18d255e7ee">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="@typeCode='LOC' or not(@typeCode)">(A_NeonateData-universal): de waarde van @typeCode MOET 'LOC' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="count(hl7:serviceDeliveryLocation)&gt;=1 and not(hl7:serviceDeliveryLocation/@nullFlavor)">(A_NeonateData-universal): element hl7:serviceDeliveryLocation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="count(hl7:serviceDeliveryLocation)&lt;=1">(A_NeonateData-universal): element hl7:serviceDeliveryLocation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.118
Context: *[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component1/hl7:inPatientEncounter/hl7:location/hl7:serviceDeliveryLocation
Item: (A_NeonateData-universal)
-->

<rule context="*[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component1/hl7:inPatientEncounter/hl7:location/hl7:serviceDeliveryLocation"
         id="tmp-ad63fc93-c40b-44c5-b3c4-d30ebaa1a273">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="@typeCode='SDLOC' or not(@typeCode)">(A_NeonateData-universal): de waarde van @typeCode MOET 'SDLOC' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(A_NeonateData-universal): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="count(hl7:code)&lt;=1">(A_NeonateData-universal): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="count(hl7:locationOf)&lt;=1">(A_NeonateData-universal): element hl7:locationOf komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.118
Context: *[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component1/hl7:inPatientEncounter/hl7:location/hl7:serviceDeliveryLocation/hl7:code
Item: (A_NeonateData-universal)
-->

<rule context="*[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component1/hl7:inPatientEncounter/hl7:location/hl7:serviceDeliveryLocation/hl7:code"
         id="tmp-ed162434-2592-42fd-8dc3-f8b6d8b3b595">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="@nullFlavor or (@code='PEDICU' and @codeSystem='2.16.840.1.113883.5.111')">(A_NeonateData-universal): de waarde van @code/@codeSystem MOET ''PEDICU' codeSystem '2.16.840.1.113883.5.111'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.118
Context: *[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component1/hl7:inPatientEncounter/hl7:location/hl7:serviceDeliveryLocation/hl7:locationOf
Item: (A_NeonateData-universal)
-->

<rule context="*[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component1/hl7:inPatientEncounter/hl7:location/hl7:serviceDeliveryLocation/hl7:locationOf"
         id="tmp-53c626b0-fad0-4b1f-9416-1b85b4377984">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="@typeCode='LOC' or not(@typeCode)">(A_NeonateData-universal): de waarde van @typeCode MOET 'LOC' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="count(hl7:incubatorAccommodation)&gt;=1 ">(A_NeonateData-universal): element hl7:incubatorAccommodation is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="count(hl7:incubatorAccommodation)&lt;=1">(A_NeonateData-universal): element hl7:incubatorAccommodation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.118
Context: *[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component1/hl7:inPatientEncounter/hl7:location/hl7:serviceDeliveryLocation/hl7:locationOf/hl7:incubatorAccommodation
Item: (A_NeonateData-universal)
-->

<rule context="*[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component1/hl7:inPatientEncounter/hl7:location/hl7:serviceDeliveryLocation/hl7:locationOf/hl7:incubatorAccommodation"
         id="tmp-a594631b-8b39-4884-9717-9330089bd532">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="@classCode='ACCM' or not(@classCode)">(A_NeonateData-universal): de waarde van @classCode MOET 'ACCM' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="@moodCode='EVN' or not(@moodCode)">(A_NeonateData-universal): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(A_NeonateData-universal): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="count(hl7:code)&lt;=1">(A_NeonateData-universal): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.118
Context: *[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component1/hl7:inPatientEncounter/hl7:location/hl7:serviceDeliveryLocation/hl7:locationOf/hl7:incubatorAccommodation/hl7:code
Item: (A_NeonateData-universal)
-->

<rule context="*[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component1/hl7:inPatientEncounter/hl7:location/hl7:serviceDeliveryLocation/hl7:locationOf/hl7:incubatorAccommodation/hl7:code"
         id="tmp-97d9d10c-c9bf-48bc-81b8-97e230214764">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="@nullFlavor or (@code='144' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(A_NeonateData-universal): de waarde van @code/@codeSystem MOET ''144' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.118
Context: *[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component2
Item: (A_NeonateData-universal)
-->

<rule context="*[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component2"
         id="tmp-b2957fcc-b14c-4ebc-a0dc-e2c7cb7a5c81">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="@typeCode='COMP' or not(@typeCode)">(A_NeonateData-universal): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="count(hl7:substanceAdministrationEvent)&gt;=1 and not(hl7:substanceAdministrationEvent/@nullFlavor)">(A_NeonateData-universal): element hl7:substanceAdministrationEvent is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="count(hl7:substanceAdministrationEvent)&lt;=1">(A_NeonateData-universal): element hl7:substanceAdministrationEvent komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.118
Context: *[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component2/hl7:substanceAdministrationEvent
Item: (A_NeonateData-universal)
-->

<rule context="*[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component2/hl7:substanceAdministrationEvent"
         id="tmp-e4fdea61-44ec-4ca2-9880-260a647295d6">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="@classCode='SBADM' or not(@classCode)">(A_NeonateData-universal): de waarde van @classCode MOET 'SBADM' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="@moodCode='EVN' or not(@moodCode)">(A_NeonateData-universal): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="count(hl7:consumable)&gt;=1 and not(hl7:consumable/@nullFlavor)">(A_NeonateData-universal): element hl7:consumable is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="count(hl7:consumable)&lt;=1">(A_NeonateData-universal): element hl7:consumable komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.118
Context: *[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component2/hl7:substanceAdministrationEvent/hl7:consumable
Item: (A_NeonateData-universal)
-->

<rule context="*[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component2/hl7:substanceAdministrationEvent/hl7:consumable"
         id="tmp-27bddaf2-125f-43b0-a857-927dcdc499e0">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="@typeCode='CSM' or not(@typeCode)">(A_NeonateData-universal): de waarde van @typeCode MOET 'CSM' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="count(hl7:medication)&gt;=1 and not(hl7:medication/@nullFlavor)">(A_NeonateData-universal): element hl7:medication is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="count(hl7:medication)&lt;=1">(A_NeonateData-universal): element hl7:medication komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.118
Context: *[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component2/hl7:substanceAdministrationEvent/hl7:consumable/hl7:medication
Item: (A_NeonateData-universal)
-->

<rule context="*[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component2/hl7:substanceAdministrationEvent/hl7:consumable/hl7:medication"
         id="tmp-ab7ff44a-a589-4ab6-bef7-f9f60f32b152">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="@classCode='ADMM' or not(@classCode)">(A_NeonateData-universal): de waarde van @classCode MOET 'ADMM' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="count(hl7:materialKind)&gt;=1 and not(hl7:materialKind/@nullFlavor)">(A_NeonateData-universal): element hl7:materialKind is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="count(hl7:materialKind)&lt;=1">(A_NeonateData-universal): element hl7:materialKind komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.118
Context: *[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component2/hl7:substanceAdministrationEvent/hl7:consumable/hl7:medication/hl7:materialKind
Item: (A_NeonateData-universal)
-->

<rule context="*[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component2/hl7:substanceAdministrationEvent/hl7:consumable/hl7:medication/hl7:materialKind"
         id="tmp-6cc8e56c-6f8d-4ebd-8a8f-2d7b9fbaade1">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="@classCode='MAT' or not(@classCode)">(A_NeonateData-universal): de waarde van @classCode MOET 'MAT' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="@determinerCode='KIND' or not(@determinerCode)">(A_NeonateData-universal): de waarde van @determinerCode MOET 'KIND' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(A_NeonateData-universal): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="count(hl7:code)&lt;=1">(A_NeonateData-universal): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.118
Context: *[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component2/hl7:substanceAdministrationEvent/hl7:consumable/hl7:medication/hl7:materialKind/hl7:code
Item: (A_NeonateData-universal)
-->

<rule context="*[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component2/hl7:substanceAdministrationEvent/hl7:consumable/hl7:medication/hl7:materialKind/hl7:code"
         id="tmp-188ffa2d-d8c9-4319-8676-b83d1cd8d489">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="@nullFlavor or (@code='137' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='138' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='629' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(A_NeonateData-universal): de waarde van @code MOET één van de volgende codes bevatten: '137' codeSystem '2.16.840.1.113883.2.4.4.40.267' of '138' codeSystem '2.16.840.1.113883.2.4.4.40.267' of '629' codeSystem '2.16.840.1.113883.2.4.4.40.267'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.118
Context: *[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component3
Item: (A_NeonateData-universal)
-->

<rule context="*[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component3"
         id="tmp-2fd8ab8a-ab42-48f6-82f5-588fff5ba20a">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="@typeCode='COMP' or not(@typeCode)">(A_NeonateData-universal): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <let name="elmcount"
           value="count(hl7:neonateObservations[hl7:code[@code='108' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]|hl7:neonateObservations[hl7:code[@code='109' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]|hl7:neonateObservations[hl7:code[@code='8339-4' and @codeSystem='2.16.840.1.113883.6.1']]|hl7:neonateObservations[hl7:code[@code='111' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]|hl7:neonateObservations[hl7:code[@code='112' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]|hl7:neonateObservations[hl7:code[@code='113' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]|hl7:neonateObservations[hl7:code[@code='114' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]|hl7:neonateObservations[hl7:code[@code='115' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]|hl7:neonateObservations[hl7:code[(@code='9272-6' or @code='9274-2') and @codeSystem='2.16.840.1.113883.6.1']]|hl7:neonateObservations[hl7:code[(@code='626' or @code='131' or @code='133' or @code='134' or @code='135' or @code='145') and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]|hl7:neonateObservations[hl7:code[@code='747' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]|hl7:neonateObservations[hl7:code[@code='139' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]|hl7:neonateObservations[hl7:code[@code='140' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]|hl7:neonateObservations[hl7:code[@code='142' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']])"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="$elmcount&gt;=1">(A_NeonateData-universal): keuze (hl7:neonateObservations[hl7:code[@code='108' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']] of hl7:neonateObservations[hl7:code[@code='109' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']] of hl7:neonateObservations[hl7:code[@code='8339-4' and @codeSystem='2.16.840.1.113883.6.1']] of hl7:neonateObservations[hl7:code[@code='111' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']] of hl7:neonateObservations[hl7:code[@code='112' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']] of hl7:neonateObservations[hl7:code[@code='113' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']] of hl7:neonateObservations[hl7:code[@code='114' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']] of hl7:neonateObservations[hl7:code[@code='115' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']] of hl7:neonateObservations[hl7:code[(@code='9272-6' or @code='9274-2') and @codeSystem='2.16.840.1.113883.6.1']] of hl7:neonateObservations[hl7:code[(@code='626' or @code='131' or @code='133' or @code='134' or @code='135' or @code='145') and @codeSystem='2.16.840.1.113883.2.4.4.40.267']] of hl7:neonateObservations[hl7:code[@code='747' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']] of hl7:neonateObservations[hl7:code[@code='139' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']] of hl7:neonateObservations[hl7:code[@code='140' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']] of hl7:neonateObservations[hl7:code[@code='142' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]) bevat te weinig elementen [min 1x]</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="$elmcount&lt;=1">(A_NeonateData-universal): keuze (hl7:neonateObservations[hl7:code[@code='108' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']] of hl7:neonateObservations[hl7:code[@code='109' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']] of hl7:neonateObservations[hl7:code[@code='8339-4' and @codeSystem='2.16.840.1.113883.6.1']] of hl7:neonateObservations[hl7:code[@code='111' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']] of hl7:neonateObservations[hl7:code[@code='112' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']] of hl7:neonateObservations[hl7:code[@code='113' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']] of hl7:neonateObservations[hl7:code[@code='114' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']] of hl7:neonateObservations[hl7:code[@code='115' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']] of hl7:neonateObservations[hl7:code[(@code='9272-6' or @code='9274-2') and @codeSystem='2.16.840.1.113883.6.1']] of hl7:neonateObservations[hl7:code[(@code='626' or @code='131' or @code='133' or @code='134' or @code='135' or @code='145') and @codeSystem='2.16.840.1.113883.2.4.4.40.267']] of hl7:neonateObservations[hl7:code[@code='747' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']] of hl7:neonateObservations[hl7:code[@code='139' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']] of hl7:neonateObservations[hl7:code[@code='140' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']] of hl7:neonateObservations[hl7:code[@code='142' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]) bevat te veel elementen [max 1x]</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.118
Context: *[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component3
Item: (A_NeonateData-universal)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.118
Context: *[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component3/hl7:neonateObservations[hl7:code[@code='108' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]
Item: (A_NeonateData-universal)
-->

<rule context="*[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component3/hl7:neonateObservations[hl7:code[@code='108' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]"
         id="tmp-a2fbf706-7360-4329-b6cb-31de1c746ff9">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="@classCode='OBS' or not(@classCode)">(A_NeonateData-universal): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="@moodCode='EVN' or not(@moodCode)">(A_NeonateData-universal): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(A_NeonateData-universal): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="count(hl7:code)&lt;=1">(A_NeonateData-universal): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(A_NeonateData-universal): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="count(hl7:value)&lt;=1">(A_NeonateData-universal): element hl7:value komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="count(hl7:targetSiteCode)=0">(A_NeonateData-universal): element hl7:targetSiteCode MAG NIET voorkomen.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.118
Context: *[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component3/hl7:neonateObservations[hl7:code[@code='108' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:code
Item: (A_NeonateData-universal)
-->

<rule context="*[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component3/hl7:neonateObservations[hl7:code[@code='108' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:code"
         id="tmp-57c9a96b-efa7-4e40-be38-0324bd127b41">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="@nullFlavor or (@code='108' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(A_NeonateData-universal): de waarde van @code/@codeSystem MOET ''108' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.118
Context: *[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component3/hl7:neonateObservations[hl7:code[@code='108' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:value
Item: (A_NeonateData-universal)
-->

<rule context="*[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component3/hl7:neonateObservations[hl7:code[@code='108' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:value"
         id="tmp-46f6dfbb-4942-4c39-bab7-5a2d3f524eeb">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.118
Context: *[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component3/hl7:neonateObservations[hl7:code[@code='108' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:targetSiteCode
Item: (A_NeonateData-universal)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.118
Context: *[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component3/hl7:neonateObservations[hl7:code[@code='109' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]
Item: (A_NeonateData-universal)
-->

<rule context="*[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component3/hl7:neonateObservations[hl7:code[@code='109' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]"
         id="tmp-2dcc73c1-69a3-4882-bcf3-93e59b52e6d6">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="@classCode='OBS' or not(@classCode)">(A_NeonateData-universal): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="@moodCode='EVN' or not(@moodCode)">(A_NeonateData-universal): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              test="parent::hl7:component3/../hl7:component3[./*/hl7:code[@code='108' and @codeSystem='2.16.840.1.113883.2.4.4.40.267'] and ./*/hl7:value[@value='true']]">(A_NeonateData-universal): Als er sprake is van een volgnumer bij meerling dan MOET de meerlingindicator (BDS-element 108) op 'true' staan</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(A_NeonateData-universal): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="count(hl7:code)&lt;=1">(A_NeonateData-universal): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(A_NeonateData-universal): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="count(hl7:value)&lt;=1">(A_NeonateData-universal): element hl7:value komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="count(hl7:targetSiteCode)=0">(A_NeonateData-universal): element hl7:targetSiteCode MAG NIET voorkomen.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.118
Context: *[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component3/hl7:neonateObservations[hl7:code[@code='109' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:code
Item: (A_NeonateData-universal)
-->

<rule context="*[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component3/hl7:neonateObservations[hl7:code[@code='109' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:code"
         id="tmp-2fdd0f53-0762-48ff-9850-cb5bf46d8cb8">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="@nullFlavor or (@code='109' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(A_NeonateData-universal): de waarde van @code/@codeSystem MOET ''109' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.118
Context: *[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component3/hl7:neonateObservations[hl7:code[@code='109' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:value
Item: (A_NeonateData-universal)
-->

<rule context="*[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component3/hl7:neonateObservations[hl7:code[@code='109' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:value"
         id="tmp-310bfe2b-fdc6-460c-bf37-0f183d5605ad">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="(@nullFlavor or (number($theValue)&gt;=1))">(A_NeonateData-universal): value MOET in bereik [1..] liggen  </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.118
Context: *[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component3/hl7:neonateObservations[hl7:code[@code='109' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:targetSiteCode
Item: (A_NeonateData-universal)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.118
Context: *[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component3/hl7:neonateObservations[hl7:code[@code='8339-4' and @codeSystem='2.16.840.1.113883.6.1']]
Item: (A_NeonateData-universal)
-->

<rule context="*[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component3/hl7:neonateObservations[hl7:code[@code='8339-4' and @codeSystem='2.16.840.1.113883.6.1']]"
         id="tmp-1b220107-1843-41fa-af5a-68897f8d4722">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="@classCode='OBS' or not(@classCode)">(A_NeonateData-universal): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="@moodCode='EVN' or not(@moodCode)">(A_NeonateData-universal): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(A_NeonateData-universal): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="count(hl7:code)&lt;=1">(A_NeonateData-universal): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(A_NeonateData-universal): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="count(hl7:value)&lt;=1">(A_NeonateData-universal): element hl7:value komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="count(hl7:targetSiteCode)=0">(A_NeonateData-universal): element hl7:targetSiteCode MAG NIET voorkomen.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.118
Context: *[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component3/hl7:neonateObservations[hl7:code[@code='8339-4' and @codeSystem='2.16.840.1.113883.6.1']]/hl7:code
Item: (A_NeonateData-universal)
-->

<rule context="*[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component3/hl7:neonateObservations[hl7:code[@code='8339-4' and @codeSystem='2.16.840.1.113883.6.1']]/hl7:code"
         id="tmp-f8d62dc3-85db-4607-9517-154463ad433c">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="@nullFlavor or (@code='8339-4' and @codeSystem='2.16.840.1.113883.6.1')">(A_NeonateData-universal): de waarde van @code/@codeSystem MOET ''8339-4' codeSystem '2.16.840.1.113883.6.1'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.118
Context: *[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component3/hl7:neonateObservations[hl7:code[@code='8339-4' and @codeSystem='2.16.840.1.113883.6.1']]/hl7:value
Item: (A_NeonateData-universal)
-->

<rule context="*[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component3/hl7:neonateObservations[hl7:code[@code='8339-4' and @codeSystem='2.16.840.1.113883.6.1']]/hl7:value"
         id="tmp-cc63346d-46d4-45a4-97ba-27293986eefa">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="(@nullFlavor or (@unit='g' and number($theValue)&lt;=999999 and (matches($theValue, '^[-+]?[0-9]*$'))))">(A_NeonateData-universal): value MOET eenheid 'g' gebruiken en in bereik [..999999] liggen  en exact op 0 decimalen nauwkeurig zijn </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.118
Context: *[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component3/hl7:neonateObservations[hl7:code[@code='8339-4' and @codeSystem='2.16.840.1.113883.6.1']]/hl7:targetSiteCode
Item: (A_NeonateData-universal)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.118
Context: *[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component3/hl7:neonateObservations[hl7:code[@code='111' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]
Item: (A_NeonateData-universal)
-->

<rule context="*[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component3/hl7:neonateObservations[hl7:code[@code='111' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]"
         id="tmp-5a525d4a-1464-4877-a75a-827d26789266">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="@classCode='OBS' or not(@classCode)">(A_NeonateData-universal): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="@moodCode='EVN' or not(@moodCode)">(A_NeonateData-universal): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(A_NeonateData-universal): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="count(hl7:code)&lt;=1">(A_NeonateData-universal): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(A_NeonateData-universal): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="count(hl7:value)&lt;=1">(A_NeonateData-universal): element hl7:value komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="count(hl7:targetSiteCode)=0">(A_NeonateData-universal): element hl7:targetSiteCode MAG NIET voorkomen.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.118
Context: *[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component3/hl7:neonateObservations[hl7:code[@code='111' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:code
Item: (A_NeonateData-universal)
-->

<rule context="*[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component3/hl7:neonateObservations[hl7:code[@code='111' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:code"
         id="tmp-89811eaf-e722-45d8-bde5-1f3eba7a7227">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="@nullFlavor or (@code='111' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(A_NeonateData-universal): de waarde van @code/@codeSystem MOET ''111' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.118
Context: *[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component3/hl7:neonateObservations[hl7:code[@code='111' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:value
Item: (A_NeonateData-universal)
-->

<rule context="*[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component3/hl7:neonateObservations[hl7:code[@code='111' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:value"
         id="tmp-235b4cea-3edc-45e7-9b2b-c7e3aa0ec72f">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="(@nullFlavor or (@unit='g' and number($theValue)&lt;=999999 and (matches($theValue, '^[-+]?[0-9]*$'))))">(A_NeonateData-universal): value MOET eenheid 'g' gebruiken en in bereik [..999999] liggen  en exact op 0 decimalen nauwkeurig zijn </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.118
Context: *[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component3/hl7:neonateObservations[hl7:code[@code='111' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:targetSiteCode
Item: (A_NeonateData-universal)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.118
Context: *[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component3/hl7:neonateObservations[hl7:code[@code='112' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]
Item: (A_NeonateData-universal)
-->

<rule context="*[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component3/hl7:neonateObservations[hl7:code[@code='112' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]"
         id="tmp-733b2f50-006c-401e-9b6a-a1b5dd41df40">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="@classCode='OBS' or not(@classCode)">(A_NeonateData-universal): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="@moodCode='EVN' or not(@moodCode)">(A_NeonateData-universal): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(A_NeonateData-universal): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="count(hl7:code)&lt;=1">(A_NeonateData-universal): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(A_NeonateData-universal): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="count(hl7:value)&lt;=1">(A_NeonateData-universal): element hl7:value komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="count(hl7:targetSiteCode)=0">(A_NeonateData-universal): element hl7:targetSiteCode MAG NIET voorkomen.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.118
Context: *[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component3/hl7:neonateObservations[hl7:code[@code='112' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:code
Item: (A_NeonateData-universal)
-->

<rule context="*[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component3/hl7:neonateObservations[hl7:code[@code='112' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:code"
         id="tmp-e09920e6-3e3a-46b6-b329-d03dddf52d14">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="@nullFlavor or (@code='112' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(A_NeonateData-universal): de waarde van @code/@codeSystem MOET ''112' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.118
Context: *[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component3/hl7:neonateObservations[hl7:code[@code='112' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:value
Item: (A_NeonateData-universal)
-->

<rule context="*[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component3/hl7:neonateObservations[hl7:code[@code='112' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:value"
         id="tmp-039829d7-32f7-44c5-bdd6-25fcfa1aace7">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="(@nullFlavor or (@unit='mm' and number($theValue)&lt;=9999 and (matches($theValue, '^[-+]?[0-9]*$'))))">(A_NeonateData-universal): value MOET eenheid 'mm' gebruiken en in bereik [..9999] liggen  en exact op 0 decimalen nauwkeurig zijn </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.118
Context: *[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component3/hl7:neonateObservations[hl7:code[@code='112' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:targetSiteCode
Item: (A_NeonateData-universal)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.118
Context: *[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component3/hl7:neonateObservations[hl7:code[@code='113' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]
Item: (A_NeonateData-universal)
-->

<rule context="*[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component3/hl7:neonateObservations[hl7:code[@code='113' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]"
         id="tmp-25ee2b1b-71e2-4393-baed-6fd12ac568c3">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="@classCode='OBS' or not(@classCode)">(A_NeonateData-universal): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="@moodCode='EVN' or not(@moodCode)">(A_NeonateData-universal): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(A_NeonateData-universal): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="count(hl7:code)&lt;=1">(A_NeonateData-universal): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(A_NeonateData-universal): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="count(hl7:value)&lt;=1">(A_NeonateData-universal): element hl7:value komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="count(hl7:targetSiteCode)=0">(A_NeonateData-universal): element hl7:targetSiteCode MAG NIET voorkomen.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.118
Context: *[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component3/hl7:neonateObservations[hl7:code[@code='113' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:code
Item: (A_NeonateData-universal)
-->

<rule context="*[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component3/hl7:neonateObservations[hl7:code[@code='113' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:code"
         id="tmp-3a964657-9b89-48d3-9ab7-716226afbc75">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="@nullFlavor or (@code='113' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(A_NeonateData-universal): de waarde van @code/@codeSystem MOET ''113' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.118
Context: *[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component3/hl7:neonateObservations[hl7:code[@code='113' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:value
Item: (A_NeonateData-universal)
-->

<rule context="*[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component3/hl7:neonateObservations[hl7:code[@code='113' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:value"
         id="tmp-81fc4df5-2171-450c-a7b5-44be531963cd">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="(@nullFlavor or (@unit='mm' and number($theValue)&lt;=999 and (matches($theValue, '^[-+]?[0-9]*$'))))">(A_NeonateData-universal): value MOET eenheid 'mm' gebruiken en in bereik [..999] liggen  en exact op 0 decimalen nauwkeurig zijn </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.118
Context: *[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component3/hl7:neonateObservations[hl7:code[@code='113' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:targetSiteCode
Item: (A_NeonateData-universal)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.118
Context: *[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component3/hl7:neonateObservations[hl7:code[@code='114' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]
Item: (A_NeonateData-universal)
-->

<rule context="*[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component3/hl7:neonateObservations[hl7:code[@code='114' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]"
         id="tmp-fc834b34-ec86-4b30-9faf-ce852be7e5f2">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="@classCode='OBS' or not(@classCode)">(A_NeonateData-universal): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="@moodCode='EVN' or not(@moodCode)">(A_NeonateData-universal): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(A_NeonateData-universal): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="count(hl7:code)&lt;=1">(A_NeonateData-universal): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(A_NeonateData-universal): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="count(hl7:value)&lt;=1">(A_NeonateData-universal): element hl7:value komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="count(hl7:targetSiteCode)=0">(A_NeonateData-universal): element hl7:targetSiteCode MAG NIET voorkomen.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.118
Context: *[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component3/hl7:neonateObservations[hl7:code[@code='114' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:code
Item: (A_NeonateData-universal)
-->

<rule context="*[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component3/hl7:neonateObservations[hl7:code[@code='114' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:code"
         id="tmp-99fea8e5-105e-4551-9eb7-58a79fcf7b1f">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="@nullFlavor or (@code='114' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(A_NeonateData-universal): de waarde van @code/@codeSystem MOET ''114' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.118
Context: *[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component3/hl7:neonateObservations[hl7:code[@code='114' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:value
Item: (A_NeonateData-universal)
-->

<rule context="*[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component3/hl7:neonateObservations[hl7:code[@code='114' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:value"
         id="tmp-c91b2b35-b736-4dc1-96ff-35a029594402">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.118
Context: *[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component3/hl7:neonateObservations[hl7:code[@code='114' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:targetSiteCode
Item: (A_NeonateData-universal)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.118
Context: *[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component3/hl7:neonateObservations[hl7:code[@code='115' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]
Item: (A_NeonateData-universal)
-->

<rule context="*[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component3/hl7:neonateObservations[hl7:code[@code='115' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]"
         id="tmp-b9615acd-1438-458a-91f0-efd4e6b407e3">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="@classCode='OBS' or not(@classCode)">(A_NeonateData-universal): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="@moodCode='EVN' or not(@moodCode)">(A_NeonateData-universal): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(A_NeonateData-universal): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="count(hl7:code)&lt;=1">(A_NeonateData-universal): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(A_NeonateData-universal): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="count(hl7:value)&lt;=1">(A_NeonateData-universal): element hl7:value komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="count(hl7:targetSiteCode)=0">(A_NeonateData-universal): element hl7:targetSiteCode MAG NIET voorkomen.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.118
Context: *[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component3/hl7:neonateObservations[hl7:code[@code='115' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:code
Item: (A_NeonateData-universal)
-->

<rule context="*[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component3/hl7:neonateObservations[hl7:code[@code='115' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:code"
         id="tmp-3277a641-a489-4892-974f-12dbf52aa6d7">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="@nullFlavor or (@code='115' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(A_NeonateData-universal): de waarde van @code/@codeSystem MOET ''115' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.118
Context: *[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component3/hl7:neonateObservations[hl7:code[@code='115' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:value
Item: (A_NeonateData-universal)
-->

<rule context="*[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component3/hl7:neonateObservations[hl7:code[@code='115' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:value"
         id="tmp-781710ac-4974-4106-b05f-cd4dfc21a13f">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.118
Context: *[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component3/hl7:neonateObservations[hl7:code[@code='115' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:targetSiteCode
Item: (A_NeonateData-universal)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.118
Context: *[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component3/hl7:neonateObservations[hl7:code[(@code='9272-6' or @code='9274-2') and @codeSystem='2.16.840.1.113883.6.1']]
Item: (A_NeonateData-universal)
-->

<rule context="*[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component3/hl7:neonateObservations[hl7:code[(@code='9272-6' or @code='9274-2') and @codeSystem='2.16.840.1.113883.6.1']]"
         id="tmp-22ce7eb1-dcb6-4bd0-a160-665bc17f391b">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="@classCode='OBS' or not(@classCode)">(A_NeonateData-universal): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="@moodCode='EVN' or not(@moodCode)">(A_NeonateData-universal): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(A_NeonateData-universal): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="count(hl7:code)&lt;=1">(A_NeonateData-universal): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(A_NeonateData-universal): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="count(hl7:value)&lt;=1">(A_NeonateData-universal): element hl7:value komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="count(hl7:targetSiteCode)=0">(A_NeonateData-universal): element hl7:targetSiteCode MAG NIET voorkomen.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.118
Context: *[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component3/hl7:neonateObservations[hl7:code[(@code='9272-6' or @code='9274-2') and @codeSystem='2.16.840.1.113883.6.1']]/hl7:code
Item: (A_NeonateData-universal)
-->

<rule context="*[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component3/hl7:neonateObservations[hl7:code[(@code='9272-6' or @code='9274-2') and @codeSystem='2.16.840.1.113883.6.1']]/hl7:code"
         id="tmp-8ca22144-de0d-4b30-a13b-1810642ef77b">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="@nullFlavor or (@code='9272-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='9274-2' and @codeSystem='2.16.840.1.113883.6.1')">(A_NeonateData-universal): de waarde van @code MOET één van de volgende codes bevatten: '9272-6' codeSystem '2.16.840.1.113883.6.1' of '9274-2' codeSystem '2.16.840.1.113883.6.1'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.118
Context: *[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component3/hl7:neonateObservations[hl7:code[(@code='9272-6' or @code='9274-2') and @codeSystem='2.16.840.1.113883.6.1']]/hl7:value
Item: (A_NeonateData-universal)
-->

<rule context="*[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component3/hl7:neonateObservations[hl7:code[(@code='9272-6' or @code='9274-2') and @codeSystem='2.16.840.1.113883.6.1']]/hl7:value"
         id="tmp-3a8c85f7-36f2-45b1-90d2-83c3730d7db8">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="(@nullFlavor or (number($theValue)&gt;=0 and number($theValue)&lt;=10))">(A_NeonateData-universal): value MOET in bereik [0..10] liggen  </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.118
Context: *[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component3/hl7:neonateObservations[hl7:code[(@code='9272-6' or @code='9274-2') and @codeSystem='2.16.840.1.113883.6.1']]/hl7:targetSiteCode
Item: (A_NeonateData-universal)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.118
Context: *[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component3/hl7:neonateObservations[hl7:code[(@code='626' or @code='131' or @code='133' or @code='134' or @code='135' or @code='145') and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]
Item: (A_NeonateData-universal)
-->

<rule context="*[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component3/hl7:neonateObservations[hl7:code[(@code='626' or @code='131' or @code='133' or @code='134' or @code='135' or @code='145') and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]"
         id="tmp-b4bd045c-a9d6-4d12-a4af-c1574e6a6db6">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="@classCode='OBS' or not(@classCode)">(A_NeonateData-universal): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="@moodCode='EVN' or not(@moodCode)">(A_NeonateData-universal): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(A_NeonateData-universal): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="count(hl7:code)&lt;=1">(A_NeonateData-universal): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(A_NeonateData-universal): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="count(hl7:value)&lt;=1">(A_NeonateData-universal): element hl7:value komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="count(hl7:targetSiteCode)=0">(A_NeonateData-universal): element hl7:targetSiteCode MAG NIET voorkomen.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.118
Context: *[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component3/hl7:neonateObservations[hl7:code[(@code='626' or @code='131' or @code='133' or @code='134' or @code='135' or @code='145') and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:code
Item: (A_NeonateData-universal)
-->

<rule context="*[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component3/hl7:neonateObservations[hl7:code[(@code='626' or @code='131' or @code='133' or @code='134' or @code='135' or @code='145') and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:code"
         id="tmp-f3794c10-526d-49bd-aed3-e3b9224a285d">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="@nullFlavor or (@code='626' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='131' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='133' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='134' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='135' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='145' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(A_NeonateData-universal): de waarde van @code MOET één van de volgende codes bevatten: '626' codeSystem '2.16.840.1.113883.2.4.4.40.267' of '131' codeSystem '2.16.840.1.113883.2.4.4.40.267' of '133' codeSystem '2.16.840.1.113883.2.4.4.40.267' of '134' codeSystem '2.16.840.1.113883.2.4.4.40.267' of '135' codeSystem '2.16.840.1.113883.2.4.4.40.267' of '145' codeSystem '2.16.840.1.113883.2.4.4.40.267'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.118
Context: *[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component3/hl7:neonateObservations[hl7:code[(@code='626' or @code='131' or @code='133' or @code='134' or @code='135' or @code='145') and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:value
Item: (A_NeonateData-universal)
-->

<rule context="*[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component3/hl7:neonateObservations[hl7:code[(@code='626' or @code='131' or @code='133' or @code='134' or @code='135' or @code='145') and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:value"
         id="tmp-0aac89f1-0f52-4651-9a7c-547f261dc05c">
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.118
Context: *[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component3/hl7:neonateObservations[hl7:code[(@code='626' or @code='131' or @code='133' or @code='134' or @code='135' or @code='145') and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:targetSiteCode
Item: (A_NeonateData-universal)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.118
Context: *[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component3/hl7:neonateObservations[hl7:code[@code='747' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]
Item: (A_NeonateData-universal)
-->

<rule context="*[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component3/hl7:neonateObservations[hl7:code[@code='747' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]"
         id="tmp-5d20217e-67f9-453b-97e6-16dcf6c9e870">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="@classCode='OBS' or not(@classCode)">(A_NeonateData-universal): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="@moodCode='EVN' or not(@moodCode)">(A_NeonateData-universal): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(A_NeonateData-universal): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="count(hl7:code)&lt;=1">(A_NeonateData-universal): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="count(hl7:value)&gt;=1 ">(A_NeonateData-universal): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="count(hl7:value)&lt;=1">(A_NeonateData-universal): element hl7:value komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="count(hl7:targetSiteCode)=0">(A_NeonateData-universal): element hl7:targetSiteCode MAG NIET voorkomen.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.118
Context: *[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component3/hl7:neonateObservations[hl7:code[@code='747' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:code
Item: (A_NeonateData-universal)
-->

<rule context="*[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component3/hl7:neonateObservations[hl7:code[@code='747' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:code"
         id="tmp-53752c4f-4300-4902-8793-349140a239f8">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="@nullFlavor or (@code='747' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1340' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(A_NeonateData-universal): de waarde van @code MOET één van de volgende codes bevatten: '747' codeSystem '2.16.840.1.113883.2.4.4.40.267' of '1340' codeSystem '2.16.840.1.113883.2.4.4.40.267'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.118
Context: *[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component3/hl7:neonateObservations[hl7:code[@code='747' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:value
Item: (A_NeonateData-universal)
-->

<rule context="*[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component3/hl7:neonateObservations[hl7:code[@code='747' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:value"
         id="tmp-ff882a3e-be99-4970-afb8-bbb76dc62443">
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-W0177_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-W0177_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(A_NeonateData-universal): de waarde van @code MOET worden gekozen uit waardenlijst W0177_HL7 W0177 Melkvoeding (HL7) DYNAMIC.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(A_NeonateData-universal): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0177_HL7 W0177 Melkvoeding (HL7) DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.118
Context: *[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component3/hl7:neonateObservations[hl7:code[@code='747' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:targetSiteCode
Item: (A_NeonateData-universal)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.118
Context: *[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component3/hl7:neonateObservations[hl7:code[@code='139' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]
Item: (A_NeonateData-universal)
-->

<rule context="*[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component3/hl7:neonateObservations[hl7:code[@code='139' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]"
         id="tmp-49fdf5fe-43e5-4e3b-9140-39406511a9cf">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="@classCode='OBS' or not(@classCode)">(A_NeonateData-universal): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="@moodCode='EVN' or not(@moodCode)">(A_NeonateData-universal): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(A_NeonateData-universal): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="count(hl7:code)&lt;=1">(A_NeonateData-universal): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(A_NeonateData-universal): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="count(hl7:value)&lt;=1">(A_NeonateData-universal): element hl7:value komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="count(hl7:targetSiteCode)=0">(A_NeonateData-universal): element hl7:targetSiteCode MAG NIET voorkomen.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.118
Context: *[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component3/hl7:neonateObservations[hl7:code[@code='139' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:code
Item: (A_NeonateData-universal)
-->

<rule context="*[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component3/hl7:neonateObservations[hl7:code[@code='139' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:code"
         id="tmp-ce7ee7ca-e7ca-42e3-b03b-cdcc1d55c42b">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="@nullFlavor or (@code='139' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(A_NeonateData-universal): de waarde van @code/@codeSystem MOET ''139' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.118
Context: *[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component3/hl7:neonateObservations[hl7:code[@code='139' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:value
Item: (A_NeonateData-universal)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.118
Context: *[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component3/hl7:neonateObservations[hl7:code[@code='139' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]
Item: (Periode-M-Start-O-Eind-O)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.118
Context: *[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component3/hl7:neonateObservations[hl7:code[@code='139' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:value
Item: (Periode-M-Start-O-Eind-O)
-->
<rule context="*[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component3/hl7:neonateObservations[hl7:code[@code='139' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:value"
         id="tmp-2063afa5-06fe-472e-a64b-a8edfdf0521a">
      <let name="elmcount" value="count(hl7:low|hl7:high)"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="$elmcount&gt;=1">(Periode-M-Start-O-Eind-O): keuze (hl7:low of hl7:high) bevat te weinig elementen [min 1x]</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="$elmcount&lt;=2">(Periode-M-Start-O-Eind-O): keuze (hl7:low of hl7:high) bevat te veel elementen [max 2x]</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="count(hl7:width)=0">(Periode-M-Start-O-Eind-O): element hl7:width MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="count(hl7:center)=0">(Periode-M-Start-O-Eind-O): element hl7:center MAG NIET voorkomen.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.118
Context: *[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component3/hl7:neonateObservations[hl7:code[@code='139' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:value
Item: (Periode-M-Start-O-Eind-O)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.118
Context: *[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component3/hl7:neonateObservations[hl7:code[@code='139' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:value/hl7:low
Item: (Periode-M-Start-O-Eind-O)
-->
<rule context="*[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component3/hl7:neonateObservations[hl7:code[@code='139' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:value/hl7:low"
         id="tmp-75aba98b-9180-4bcf-9a4d-edee7f1b63bc">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="@nullFlavor='UNK' or not(@nullFlavor)">(Periode-M-Start-O-Eind-O): de waarde van @nullFlavor MOET 'UNK' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.118
Context: *[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component3/hl7:neonateObservations[hl7:code[@code='139' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:value/hl7:high
Item: (Periode-M-Start-O-Eind-O)
-->
<rule context="*[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component3/hl7:neonateObservations[hl7:code[@code='139' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:value/hl7:high"
         id="tmp-bcee7efc-d0c2-4bf0-adb6-fa30049e50e3">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="@nullFlavor='UNK' or not(@nullFlavor)">(Periode-M-Start-O-Eind-O): de waarde van @nullFlavor MOET 'UNK' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.118
Context: *[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component3/hl7:neonateObservations[hl7:code[@code='139' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:value/hl7:width
Item: (Periode-M-Start-O-Eind-O)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.118
Context: *[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component3/hl7:neonateObservations[hl7:code[@code='139' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:value/hl7:center
Item: (Periode-M-Start-O-Eind-O)
-->
<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.118
Context: *[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component3/hl7:neonateObservations[hl7:code[@code='139' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:targetSiteCode
Item: (A_NeonateData-universal)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.118
Context: *[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component3/hl7:neonateObservations[hl7:code[@code='140' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]
Item: (A_NeonateData-universal)
-->

<rule context="*[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component3/hl7:neonateObservations[hl7:code[@code='140' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]"
         id="tmp-0a804811-dde8-409d-a6f5-84a6e1ec01f2">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="@classCode='OBS' or not(@classCode)">(A_NeonateData-universal): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="@moodCode='EVN' or not(@moodCode)">(A_NeonateData-universal): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(A_NeonateData-universal): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="count(hl7:code)&lt;=1">(A_NeonateData-universal): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="count(hl7:value)&gt;=1 ">(A_NeonateData-universal): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="count(hl7:value)&lt;=1">(A_NeonateData-universal): element hl7:value komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="count(hl7:targetSiteCode)=0">(A_NeonateData-universal): element hl7:targetSiteCode MAG NIET voorkomen.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.118
Context: *[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component3/hl7:neonateObservations[hl7:code[@code='140' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:code
Item: (A_NeonateData-universal)
-->

<rule context="*[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component3/hl7:neonateObservations[hl7:code[@code='140' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:code"
         id="tmp-a455581e-482d-49d1-8021-4cbde8862dee">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="@nullFlavor or (@code='140' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(A_NeonateData-universal): de waarde van @code/@codeSystem MOET ''140' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.118
Context: *[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component3/hl7:neonateObservations[hl7:code[@code='140' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:value
Item: (A_NeonateData-universal)
-->

<rule context="*[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component3/hl7:neonateObservations[hl7:code[@code='140' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:value"
         id="tmp-8c893c19-a381-479b-aa10-cf188bec199a">
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-W0183_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-W0183_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(A_NeonateData-universal): de waarde van @code MOET worden gekozen uit waardenlijst W0183_HL7 W0183 Oorzaak geel zien (HL7) DYNAMIC.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(A_NeonateData-universal): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0183_HL7 W0183 Oorzaak geel zien (HL7) DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.118
Context: *[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component3/hl7:neonateObservations[hl7:code[@code='140' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:targetSiteCode
Item: (A_NeonateData-universal)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.118
Context: *[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component3/hl7:neonateObservations[hl7:code[@code='142' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]
Item: (A_NeonateData-universal)
-->

<rule context="*[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component3/hl7:neonateObservations[hl7:code[@code='142' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]"
         id="tmp-ad2489bd-8374-46b0-b355-48bca6a41aa9">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="@classCode='OBS' or not(@classCode)">(A_NeonateData-universal): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="@moodCode='EVN' or not(@moodCode)">(A_NeonateData-universal): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(A_NeonateData-universal): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="count(hl7:code)&lt;=1">(A_NeonateData-universal): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="count(hl7:value)&gt;=1 ">(A_NeonateData-universal): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="count(hl7:value)&lt;=1">(A_NeonateData-universal): element hl7:value komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="count(hl7:targetSiteCode)=0">(A_NeonateData-universal): element hl7:targetSiteCode MAG NIET voorkomen.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.118
Context: *[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component3/hl7:neonateObservations[hl7:code[@code='142' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:code
Item: (A_NeonateData-universal)
-->

<rule context="*[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component3/hl7:neonateObservations[hl7:code[@code='142' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:code"
         id="tmp-ddf3e6a1-ed2e-479f-8c39-153305729796">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="@nullFlavor or (@code='142' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(A_NeonateData-universal): de waarde van @code/@codeSystem MOET ''142' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.118
Context: *[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component3/hl7:neonateObservations[hl7:code[@code='142' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:value
Item: (A_NeonateData-universal)
-->

<rule context="*[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component3/hl7:neonateObservations[hl7:code[@code='142' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:value"
         id="tmp-910453cf-01fc-452d-b791-b3926228f3f1">
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-W0185_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-W0185_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(A_NeonateData-universal): de waarde van @code MOET worden gekozen uit waardenlijst W0185_HL7 W0185 Therapie (HL7) DYNAMIC.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(A_NeonateData-universal): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0185_HL7 W0185 Therapie (HL7) DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.118
Context: *[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component3/hl7:neonateObservations[hl7:code[@code='142' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:targetSiteCode
Item: (A_NeonateData-universal)
-->
</pattern>
