<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.100.119
Description: COCT_RM900917NL: Gegevens van de zorg die ontvangen is of wordt ontvangen door het gezin.
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.100.119">
   <title>A_OntvangenZorg [universal]</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.119
Context: *[hl7:patientCareProvision[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.119']]
Item: (A_OntvangenZorg-universal)
-->

<rule context="*[hl7:patientCareProvision[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.119']]"
         id="tmp-715008e2-783c-43ac-83cd-82dc7c508cae">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.119.html"
              test="count(hl7:patientCareProvision)&gt;=1 and not(hl7:patientCareProvision/@nullFlavor)">(A_OntvangenZorg-universal): element hl7:patientCareProvision is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.119.html"
              test="count(hl7:patientCareProvision)&lt;=1">(A_OntvangenZorg-universal): element hl7:patientCareProvision komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.119
Context: *[hl7:patientCareProvision[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:patientCareProvision
Item: (A_OntvangenZorg-universal)
-->

<rule context="*[hl7:patientCareProvision[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:patientCareProvision"
         id="tmp-23b8cbc9-f4f5-4b7a-be2a-6b4b5c1ba087">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.119.html"
              test="@classCode='PCPR' or not(@classCode)">(A_OntvangenZorg-universal): de waarde van @classCode MOET 'PCPR' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.119.html"
              test="@moodCode='EVN' or not(@moodCode)">(A_OntvangenZorg-universal): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.119.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.119'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.119']/@nullFlavor)">(A_OntvangenZorg-universal): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.119'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.119.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.119'])&lt;=1">(A_OntvangenZorg-universal): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.119'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.119.html"
              test="count(hl7:code)&gt;=1 ">(A_OntvangenZorg-universal): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.119.html"
              test="count(hl7:code)&lt;=1">(A_OntvangenZorg-universal): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.119.html"
              test="count(hl7:text)&lt;=1">(A_OntvangenZorg-universal): element hl7:text komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.119.html"
              test="count(hl7:statusCode)&gt;=1 ">(A_OntvangenZorg-universal): element hl7:statusCode is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.119.html"
              test="count(hl7:statusCode)&lt;=1">(A_OntvangenZorg-universal): element hl7:statusCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.119.html"
              test="count(hl7:effectiveTime)&gt;=1 and not(hl7:effectiveTime/@nullFlavor)">(A_OntvangenZorg-universal): element hl7:effectiveTime is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.119.html"
              test="count(hl7:effectiveTime)&lt;=1">(A_OntvangenZorg-universal): element hl7:effectiveTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.119.html"
              test="count(hl7:subject)&gt;=1 and not(hl7:subject/@nullFlavor)">(A_OntvangenZorg-universal): element hl7:subject is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.119.html"
              test="count(hl7:subject)&lt;=1">(A_OntvangenZorg-universal): element hl7:subject komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.119.html"
              test="count(hl7:goal)&lt;=1">(A_OntvangenZorg-universal): element hl7:goal komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.119.html"
              test="count(hl7:reasonOf)&lt;=1">(A_OntvangenZorg-universal): element hl7:reasonOf komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.119
Context: *[hl7:patientCareProvision[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:patientCareProvision/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.119']
Item: (A_OntvangenZorg-universal)
-->

<rule context="*[hl7:patientCareProvision[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:patientCareProvision/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.119']"
         id="tmp-a392b548-5104-416b-9f1b-4c48829a814c">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.119.html"
              test="@root='2.16.840.1.113883.2.4.6.10.100.119'">(A_OntvangenZorg-universal): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.119' hebben.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.119.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(A_OntvangenZorg-universal): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.119
Context: *[hl7:patientCareProvision[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:patientCareProvision/hl7:code
Item: (A_OntvangenZorg-universal)
-->

<rule context="*[hl7:patientCareProvision[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:patientCareProvision/hl7:code"
         id="tmp-cfef0398-aac6-4512-afcd-227e5c6b354a">
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-W0305_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-W0305_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.119.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(A_OntvangenZorg-universal): de waarde van @code MOET worden gekozen uit waardenlijst W0305_HL7 W0305 Type zorg (HL7) DYNAMIC.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.119.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(A_OntvangenZorg-universal): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0305_HL7 W0305 Type zorg (HL7) DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.119
Context: *[hl7:patientCareProvision[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:patientCareProvision/hl7:text
Item: (A_OntvangenZorg-universal)
-->

<rule context="*[hl7:patientCareProvision[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:patientCareProvision/hl7:text"
         id="tmp-48ad8ce5-e2f9-40bf-8508-a42db02cec5e">
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.119
Context: *[hl7:patientCareProvision[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:patientCareProvision/hl7:statusCode
Item: (A_OntvangenZorg-universal)
-->

<rule context="*[hl7:patientCareProvision[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:patientCareProvision/hl7:statusCode"
         id="tmp-13d63557-ee45-4cd2-8274-23e150ff33ea">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.119.html"
              test="@nullFlavor or (@code='active') or (@code='completed')">(A_OntvangenZorg-universal): de waarde van @code MOET één van de volgende codes bevatten: 'active' of 'completed'.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.119.html"
              test="@nullFlavor='ASKU' or not(@nullFlavor)">(A_OntvangenZorg-universal): de waarde van @nullFlavor MOET 'ASKU' zijn.</assert>
   </rule>


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.119
Context: *[hl7:patientCareProvision[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:patientCareProvision/hl7:effectiveTime
Item: (A_OntvangenZorg-universal)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.119
Context: *[hl7:patientCareProvision[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:patientCareProvision
Item: (Periode-M-Start-M-Eind-M)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.119
Context: *[hl7:patientCareProvision[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:patientCareProvision/hl7:effectiveTime
Item: (Periode-M-Start-M-Eind-M)
-->
<rule context="*[hl7:patientCareProvision[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:patientCareProvision/hl7:effectiveTime"
         id="tmp-3125bac5-98ed-44ae-bafd-7fb2ed2f2880">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.119.html"
              test="count(hl7:low)&gt;=1 and not(hl7:low/@nullFlavor)">(Periode-M-Start-M-Eind-M): element hl7:low is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.119.html"
              test="count(hl7:low)&lt;=1">(Periode-M-Start-M-Eind-M): element hl7:low komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.119.html"
              test="count(hl7:high)&gt;=1 and not(hl7:high/@nullFlavor)">(Periode-M-Start-M-Eind-M): element hl7:high is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.119.html"
              test="count(hl7:high)&lt;=1">(Periode-M-Start-M-Eind-M): element hl7:high komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.119.html"
              test="count(hl7:width)=0">(Periode-M-Start-M-Eind-M): element hl7:width MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.119.html"
              test="count(hl7:center)=0">(Periode-M-Start-M-Eind-M): element hl7:center MAG NIET voorkomen.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.119
Context: *[hl7:patientCareProvision[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:patientCareProvision/hl7:effectiveTime/hl7:low
Item: (Periode-M-Start-M-Eind-M)
-->
<rule context="*[hl7:patientCareProvision[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:patientCareProvision/hl7:effectiveTime/hl7:low"
         id="tmp-e3fcc0c3-823e-454f-aa10-a244f9609461">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.119
Context: *[hl7:patientCareProvision[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:patientCareProvision/hl7:effectiveTime/hl7:high
Item: (Periode-M-Start-M-Eind-M)
-->
<rule context="*[hl7:patientCareProvision[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:patientCareProvision/hl7:effectiveTime/hl7:high"
         id="tmp-b95065f3-fa8d-44a3-808a-dae4f02fcb00">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.119
Context: *[hl7:patientCareProvision[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:patientCareProvision/hl7:effectiveTime/hl7:width
Item: (Periode-M-Start-M-Eind-M)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.119
Context: *[hl7:patientCareProvision[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:patientCareProvision/hl7:effectiveTime/hl7:center
Item: (Periode-M-Start-M-Eind-M)
-->
<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.119
Context: *[hl7:patientCareProvision[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:patientCareProvision/hl7:subject
Item: (A_OntvangenZorg-universal)
-->

<rule context="*[hl7:patientCareProvision[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:patientCareProvision/hl7:subject"
         id="tmp-74757ce6-24a6-4b38-924e-572943f11f87">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.119.html"
              test="@typeCode='SBJ' or not(@typeCode)">(A_OntvangenZorg-universal): de waarde van @typeCode MOET 'SBJ' zijn.</assert>
      <let name="elmcount"
           value="count(hl7:patient|hl7:personalRelationship[hl7:code[(@code='CHILD' and @codeSystem='2.16.840.1.113883.5.111') or (@code='FTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='MTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='SIB' and @codeSystem='2.16.840.1.113883.5.111') or @nullFlavor='OTH']])"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.119.html"
              test="$elmcount&gt;=1">(A_OntvangenZorg-universal): keuze (hl7:patient of hl7:personalRelationship[hl7:code[(@code='CHILD' and @codeSystem='2.16.840.1.113883.5.111') or (@code='FTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='MTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='SIB' and @codeSystem='2.16.840.1.113883.5.111') or @nullFlavor='OTH']]) bevat te weinig elementen [min 1x]</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.119.html"
              test="$elmcount&lt;=1">(A_OntvangenZorg-universal): keuze (hl7:patient of hl7:personalRelationship[hl7:code[(@code='CHILD' and @codeSystem='2.16.840.1.113883.5.111') or (@code='FTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='MTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='SIB' and @codeSystem='2.16.840.1.113883.5.111') or @nullFlavor='OTH']]) bevat te veel elementen [max 1x]</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.119
Context: *[hl7:patientCareProvision[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:patientCareProvision/hl7:subject
Item: (A_OntvangenZorg-universal)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.119
Context: *[hl7:patientCareProvision[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:patientCareProvision/hl7:subject/hl7:patient
Item: (A_OntvangenZorg-universal)
-->

<rule context="*[hl7:patientCareProvision[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:patientCareProvision/hl7:subject/hl7:patient"
         id="tmp-07936f41-1b53-413e-b5f7-46b0acfd0cc6">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.119.html"
              test="@classCode='PAT' or not(@classCode)">(A_OntvangenZorg-universal): de waarde van @classCode MOET 'PAT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.119
Context: *[hl7:patientCareProvision[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:patientCareProvision/hl7:subject/hl7:personalRelationship
Item: (A_OntvangenZorg-universal)
-->

<rule context="*[hl7:patientCareProvision[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:patientCareProvision/hl7:subject/hl7:personalRelationship"
         id="tmp-dcef1364-be3b-4693-b081-9937273df4a8">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.119.html"
              test="@classCode='PRS' or not(@classCode)">(A_OntvangenZorg-universal): de waarde van @classCode MOET 'PRS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.119.html"
              test="count(hl7:code)&gt;=1 ">(A_OntvangenZorg-universal): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.119.html"
              test="count(hl7:code)&lt;=1">(A_OntvangenZorg-universal): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.119.html"
              test="count(hl7:relationshipHolder)&gt;=1 ">(A_OntvangenZorg-universal): element hl7:relationshipHolder is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.119.html"
              test="count(hl7:relationshipHolder)&lt;=1">(A_OntvangenZorg-universal): element hl7:relationshipHolder komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.119
Context: *[hl7:patientCareProvision[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:patientCareProvision/hl7:subject/hl7:personalRelationship/hl7:code
Item: (A_OntvangenZorg-universal)
-->

<rule context="*[hl7:patientCareProvision[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:patientCareProvision/hl7:subject/hl7:personalRelationship/hl7:code"
         id="tmp-fb34c869-155c-49db-8e96-42bf8e1fa2d3">
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-W0307_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-W0307_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.119.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(A_OntvangenZorg-universal): de waarde van @code MOET worden gekozen uit waardenlijst W0307_HL7 W0307 Zorg voor (HL7) DYNAMIC.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.119.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(A_OntvangenZorg-universal): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0307_HL7 W0307 Zorg voor (HL7) DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.119
Context: *[hl7:patientCareProvision[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:patientCareProvision/hl7:subject/hl7:personalRelationship/hl7:relationshipHolder
Item: (A_OntvangenZorg-universal)
-->

<rule context="*[hl7:patientCareProvision[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:patientCareProvision/hl7:subject/hl7:personalRelationship/hl7:relationshipHolder"
         id="tmp-b9d28797-eeb4-4639-8ccf-e3514f142566">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.119.html"
              test="@nullFlavor='NI'">(A_OntvangenZorg-universal): de waarde van @nullFlavor MOET 'NI' zijn.</assert>
      <assert role="error" test="@xsi:nil='true'">(A_OntvangenZorg-universal): 
                                    <name/>/@xsi:nil MOET 'true' bevatten.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.119
Context: *[hl7:patientCareProvision[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:patientCareProvision/hl7:goal
Item: (A_OntvangenZorg-universal)
-->

<rule context="*[hl7:patientCareProvision[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:patientCareProvision/hl7:goal"
         id="tmp-b0494b27-9833-4bb1-9b56-aed2f56e56ef">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.119.html"
              test="@typeCode='COMP' or not(@typeCode)">(A_OntvangenZorg-universal): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.119.html"
              test="count(hl7:observationGoal)&gt;=1 and not(hl7:observationGoal/@nullFlavor)">(A_OntvangenZorg-universal): element hl7:observationGoal is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.119.html"
              test="count(hl7:observationGoal)&lt;=1">(A_OntvangenZorg-universal): element hl7:observationGoal komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.119
Context: *[hl7:patientCareProvision[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:patientCareProvision/hl7:goal/hl7:observationGoal
Item: (A_OntvangenZorg-universal)
-->

<rule context="*[hl7:patientCareProvision[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:patientCareProvision/hl7:goal/hl7:observationGoal"
         id="tmp-80e44dfa-b406-4190-a7c8-1e564e74d9bd">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.119.html"
              test="@classCode='PCPR' or not(@classCode)">(A_OntvangenZorg-universal): de waarde van @classCode MOET 'PCPR' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.119.html"
              test="@moodCode='INT' or not(@moodCode)">(A_OntvangenZorg-universal): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.119.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(A_OntvangenZorg-universal): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.119.html"
              test="count(hl7:code)&lt;=1">(A_OntvangenZorg-universal): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.119.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(A_OntvangenZorg-universal): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.119.html"
              test="count(hl7:text)&lt;=1">(A_OntvangenZorg-universal): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.119
Context: *[hl7:patientCareProvision[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:patientCareProvision/hl7:goal/hl7:observationGoal/hl7:code
Item: (A_OntvangenZorg-universal)
-->

<rule context="*[hl7:patientCareProvision[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:patientCareProvision/hl7:goal/hl7:observationGoal/hl7:code"
         id="tmp-51a3b55e-324b-42f1-a503-5d37c93c2beb">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.119.html"
              test="@nullFlavor or (@code='829' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(A_OntvangenZorg-universal): de waarde van @code/@codeSystem MOET ''829' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.119
Context: *[hl7:patientCareProvision[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:patientCareProvision/hl7:goal/hl7:observationGoal/hl7:text
Item: (A_OntvangenZorg-universal)
-->

<rule context="*[hl7:patientCareProvision[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:patientCareProvision/hl7:goal/hl7:observationGoal/hl7:text"
         id="tmp-8e084520-a378-4171-98db-2e5ced0c6021">
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.119
Context: *[hl7:patientCareProvision[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:patientCareProvision/hl7:reasonOf
Item: (A_OntvangenZorg-universal)
-->

<rule context="*[hl7:patientCareProvision[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:patientCareProvision/hl7:reasonOf"
         id="tmp-f51ea0f6-4b8e-408c-a922-79f817c93800">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.119.html"
              test="@typeCode='COMP' or not(@typeCode)">(A_OntvangenZorg-universal): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.119.html"
              test="count(hl7:patientCareObservation)&gt;=1 and not(hl7:patientCareObservation/@nullFlavor)">(A_OntvangenZorg-universal): element hl7:patientCareObservation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.119.html"
              test="count(hl7:patientCareObservation)&lt;=1">(A_OntvangenZorg-universal): element hl7:patientCareObservation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.119
Context: *[hl7:patientCareProvision[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:patientCareProvision/hl7:reasonOf/hl7:patientCareObservation
Item: (A_OntvangenZorg-universal)
-->

<rule context="*[hl7:patientCareProvision[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:patientCareProvision/hl7:reasonOf/hl7:patientCareObservation"
         id="tmp-1883d893-f00a-48fd-8760-3617f9b0a2f9">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.119.html"
              test="@classCode='OBS' or not(@classCode)">(A_OntvangenZorg-universal): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.119.html"
              test="@moodCode='EVN' or not(@moodCode)">(A_OntvangenZorg-universal): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.119.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(A_OntvangenZorg-universal): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.119.html"
              test="count(hl7:code)&lt;=1">(A_OntvangenZorg-universal): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.119.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(A_OntvangenZorg-universal): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.119.html"
              test="count(hl7:value)&lt;=1">(A_OntvangenZorg-universal): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.119
Context: *[hl7:patientCareProvision[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:patientCareProvision/hl7:reasonOf/hl7:patientCareObservation/hl7:code
Item: (A_OntvangenZorg-universal)
-->

<rule context="*[hl7:patientCareProvision[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:patientCareProvision/hl7:reasonOf/hl7:patientCareObservation/hl7:code"
         id="tmp-08043c08-1df4-43e0-9181-d1c7d90f6c8c">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.119.html"
              test="@nullFlavor or (@code='365' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(A_OntvangenZorg-universal): de waarde van @code/@codeSystem MOET ''365' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.119
Context: *[hl7:patientCareProvision[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:patientCareProvision/hl7:reasonOf/hl7:patientCareObservation/hl7:value
Item: (A_OntvangenZorg-universal)
-->

<rule context="*[hl7:patientCareProvision[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:patientCareProvision/hl7:reasonOf/hl7:patientCareObservation/hl7:value"
         id="tmp-49659fc9-2f27-43ea-9aed-8509fd6e67a9">
      <let name="theValue" value="text()"/>
   </rule>
</pattern>
