<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.100.120
Description: COCT_RM900918NL: Gegevens over een zorgplan
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.100.120">
   <title>A_ZorgPlan [universal]</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.120
Context: *[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]
Item: (A_ZorgPlan-universal)
-->

<rule context="*[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]"
         id="tmp-6c3df817-6808-4c8e-8a20-8cfd430d13ad">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.120.html"
              test="count(hl7:carePlan)&gt;=1 and not(hl7:carePlan/@nullFlavor)">(A_ZorgPlan-universal): element hl7:carePlan is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.120.html"
              test="count(hl7:carePlan)&lt;=1">(A_ZorgPlan-universal): element hl7:carePlan komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.120
Context: *[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan
Item: (A_ZorgPlan-universal)
-->

<rule context="*[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan"
         id="tmp-f3062f33-4edb-4ce1-8f63-bb371e868b26">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.120.html"
              test="@classCode='PCPR' or not(@classCode)">(A_ZorgPlan-universal): de waarde van @classCode MOET 'PCPR' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.120.html"
              test="@moodCode='INT' or not(@moodCode)">(A_ZorgPlan-universal): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.120.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.120'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.120']/@nullFlavor)">(A_ZorgPlan-universal): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.120'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.120.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.120'])&lt;=1">(A_ZorgPlan-universal): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.120'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.120.html"
              test="count(hl7:id)&lt;=1">(A_ZorgPlan-universal): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.120.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(A_ZorgPlan-universal): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.120.html"
              test="count(hl7:code)&lt;=1">(A_ZorgPlan-universal): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.120.html"
              test="count(hl7:effectiveTime)&lt;=1">(A_ZorgPlan-universal): element hl7:effectiveTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.120.html"
              test="count(hl7:component)&lt;=1">(A_ZorgPlan-universal): element hl7:component komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.120.html"
              test="count(hl7:finalGoal)&lt;=1">(A_ZorgPlan-universal): element hl7:finalGoal komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.120.html"
              test="count(hl7:pertinentInformation)&lt;=1">(A_ZorgPlan-universal): element hl7:pertinentInformation komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.120.html"
              test="count(hl7:subject)&gt;=1 and not(hl7:subject/@nullFlavor)">(A_ZorgPlan-universal): element hl7:subject is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.120.html"
              test="count(hl7:subject)&lt;=1">(A_ZorgPlan-universal): element hl7:subject komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.120
Context: *[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.120']
Item: (A_ZorgPlan-universal)
-->

<rule context="*[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.120']"
         id="tmp-a30db1c4-6287-4ef3-99a5-4ed16b94a229">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.120.html"
              test="@root='2.16.840.1.113883.2.4.6.10.100.120'">(A_ZorgPlan-universal): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.120' hebben.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.120.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(A_ZorgPlan-universal): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.120
Context: *[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan/hl7:id
Item: (A_ZorgPlan-universal)
-->

<rule context="*[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan/hl7:id"
         id="tmp-9e60438a-c059-4801-956c-c63720c78512">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.120
Context: *[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan/hl7:code
Item: (A_ZorgPlan-universal)
-->

<rule context="*[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan/hl7:code"
         id="tmp-74c87759-32ea-4abc-ab12-d0f13442ca00">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.120.html"
              test="@nullFlavor or (@code='G081' and @codeSystem='2.16.840.1.113883.2.4.4.40.393')">(A_ZorgPlan-universal): de waarde van @code/@codeSystem MOET ''G081' codeSystem '2.16.840.1.113883.2.4.4.40.393'' zijn.</assert>
   </rule>


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.120
Context: *[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan/hl7:effectiveTime
Item: (A_ZorgPlan-universal)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.120
Context: *[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan
Item: (Periode-O-Start-O-Eind-O)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.120
Context: *[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan/hl7:effectiveTime
Item: (Periode-O-Start-O-Eind-O)
-->
<rule context="*[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan/hl7:effectiveTime"
         id="tmp-905cdca3-5011-448f-a36f-8fa4984f5b14">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.120.html"
              test="@nullFlavor='UNK' or not(@nullFlavor)">(Periode-O-Start-O-Eind-O): de waarde van @nullFlavor MOET 'UNK' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.120.html"
              test="count(hl7:low)&lt;=1">(Periode-O-Start-O-Eind-O): element hl7:low komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.120.html"
              test="count(hl7:high)&lt;=1">(Periode-O-Start-O-Eind-O): element hl7:high komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.120.html"
              test="count(hl7:width)=0">(Periode-O-Start-O-Eind-O): element hl7:width MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.120.html"
              test="count(hl7:center)=0">(Periode-O-Start-O-Eind-O): element hl7:center MAG NIET voorkomen.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.120
Context: *[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan/hl7:effectiveTime/hl7:low
Item: (Periode-O-Start-O-Eind-O)
-->
<rule context="*[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan/hl7:effectiveTime/hl7:low"
         id="tmp-98c31eb5-da35-45a5-8f1b-ce23a25b93b0">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.120.html"
              test="@nullFlavor='UNK' or not(@nullFlavor)">(Periode-O-Start-O-Eind-O): de waarde van @nullFlavor MOET 'UNK' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.120
Context: *[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan/hl7:effectiveTime/hl7:high
Item: (Periode-O-Start-O-Eind-O)
-->
<rule context="*[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan/hl7:effectiveTime/hl7:high"
         id="tmp-ddbe7a2d-944a-48a9-996c-07495fd99bc8">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.120.html"
              test="@nullFlavor='UNK' or not(@nullFlavor)">(Periode-O-Start-O-Eind-O): de waarde van @nullFlavor MOET 'UNK' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.120
Context: *[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan/hl7:effectiveTime/hl7:width
Item: (Periode-O-Start-O-Eind-O)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.120
Context: *[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan/hl7:effectiveTime/hl7:center
Item: (Periode-O-Start-O-Eind-O)
-->
<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.120
Context: *[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan/hl7:component
Item: (A_ZorgPlan-universal)
-->

<rule context="*[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan/hl7:component"
         id="tmp-a69abe78-65c4-4680-9306-0a7e96e67aa9">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.120.html"
              test="@typeCode='COMP' or not(@typeCode)">(A_ZorgPlan-universal): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.120.html"
              test="count(hl7:observationIntent)&gt;=1 and not(hl7:observationIntent/@nullFlavor)">(A_ZorgPlan-universal): element hl7:observationIntent is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.120.html"
              test="count(hl7:observationIntent)&lt;=1">(A_ZorgPlan-universal): element hl7:observationIntent komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.120
Context: *[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan/hl7:component/hl7:observationIntent
Item: (A_ZorgPlan-universal)
-->

<rule context="*[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan/hl7:component/hl7:observationIntent"
         id="tmp-5a43a793-d1fe-4138-af0d-71de5a8af9e7">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.120.html"
              test="@classCode='OBS' or not(@classCode)">(A_ZorgPlan-universal): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.120.html"
              test="@moodCode='INT' or not(@moodCode)">(A_ZorgPlan-universal): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.120.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(A_ZorgPlan-universal): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.120.html"
              test="count(hl7:code)&lt;=1">(A_ZorgPlan-universal): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.120.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(A_ZorgPlan-universal): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.120.html"
              test="count(hl7:value)&lt;=1">(A_ZorgPlan-universal): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.120
Context: *[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan/hl7:component/hl7:observationIntent/hl7:code
Item: (A_ZorgPlan-universal)
-->

<rule context="*[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan/hl7:component/hl7:observationIntent/hl7:code"
         id="tmp-de78c612-5040-40ba-bc31-c14861188877">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.120.html"
              test="@nullFlavor or (@code='1155' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(A_ZorgPlan-universal): de waarde van @code/@codeSystem MOET ''1155' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.120
Context: *[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan/hl7:component/hl7:observationIntent/hl7:value
Item: (A_ZorgPlan-universal)
-->

<rule context="*[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan/hl7:component/hl7:observationIntent/hl7:value"
         id="tmp-ebd948cd-2ca9-4f63-ba9c-e083933a1f8b">
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.120.html"
              test="(@nullFlavor or (string-length(string($theValue))&gt;=1))">(A_ZorgPlan-universal): value MOET een stringlengte in bereik [1..*] hebben </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.120
Context: *[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan/hl7:finalGoal
Item: (A_ZorgPlan-universal)
-->

<rule context="*[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan/hl7:finalGoal"
         id="tmp-6193e5f3-4077-4fe3-b1c6-2876f86b2e70">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.120.html"
              test="@typeCode='OBJF' or not(@typeCode)">(A_ZorgPlan-universal): de waarde van @typeCode MOET 'OBJF' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.120.html"
              test="count(hl7:observationGoal)&gt;=1 and not(hl7:observationGoal/@nullFlavor)">(A_ZorgPlan-universal): element hl7:observationGoal is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.120.html"
              test="count(hl7:observationGoal)&lt;=1">(A_ZorgPlan-universal): element hl7:observationGoal komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.120
Context: *[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan/hl7:finalGoal/hl7:observationGoal
Item: (A_ZorgPlan-universal)
-->

<rule context="*[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan/hl7:finalGoal/hl7:observationGoal"
         id="tmp-1c6870f5-8602-47ad-979d-fb4e1132f226">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.120.html"
              test="@classCode='OBS' or not(@classCode)">(A_ZorgPlan-universal): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.120.html"
              test="@moodCode='GOL' or not(@moodCode)">(A_ZorgPlan-universal): de waarde van @moodCode MOET 'GOL' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.120.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(A_ZorgPlan-universal): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.120.html"
              test="count(hl7:code)&lt;=1">(A_ZorgPlan-universal): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.120.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(A_ZorgPlan-universal): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.120.html"
              test="count(hl7:value)&lt;=1">(A_ZorgPlan-universal): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.120
Context: *[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan/hl7:finalGoal/hl7:observationGoal/hl7:code
Item: (A_ZorgPlan-universal)
-->

<rule context="*[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan/hl7:finalGoal/hl7:observationGoal/hl7:code"
         id="tmp-b594a2f5-7dd2-45e5-b7f0-5309860147df">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.120.html"
              test="@nullFlavor or (@code='1154' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(A_ZorgPlan-universal): de waarde van @code/@codeSystem MOET ''1154' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.120
Context: *[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan/hl7:finalGoal/hl7:observationGoal/hl7:value
Item: (A_ZorgPlan-universal)
-->

<rule context="*[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan/hl7:finalGoal/hl7:observationGoal/hl7:value"
         id="tmp-9c9c4417-56b1-4139-aaad-a64c7e18772d">
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.120.html"
              test="(@nullFlavor or (string-length(string($theValue))&gt;=1))">(A_ZorgPlan-universal): value MOET een stringlengte in bereik [1..*] hebben </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.120
Context: *[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan/hl7:pertinentInformation
Item: (A_ZorgPlan-universal)
-->

<rule context="*[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan/hl7:pertinentInformation"
         id="tmp-06d8c9fb-322f-4eae-a42d-cc6fc759397f">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.120.html"
              test="@typeCode='PERT' or not(@typeCode)">(A_ZorgPlan-universal): de waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.120.html"
              test="count(hl7:evaluationEvent)&gt;=1 and not(hl7:evaluationEvent/@nullFlavor)">(A_ZorgPlan-universal): element hl7:evaluationEvent is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.120.html"
              test="count(hl7:evaluationEvent)&lt;=1">(A_ZorgPlan-universal): element hl7:evaluationEvent komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.120
Context: *[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan/hl7:pertinentInformation/hl7:evaluationEvent
Item: (A_ZorgPlan-universal)
-->

<rule context="*[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan/hl7:pertinentInformation/hl7:evaluationEvent"
         id="tmp-75464d5d-163e-461c-bbc6-20bc2b719c0e">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.120.html"
              test="@classCode='OBS' or not(@classCode)">(A_ZorgPlan-universal): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.120.html"
              test="@moodCode='EVN' or not(@moodCode)">(A_ZorgPlan-universal): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.120.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(A_ZorgPlan-universal): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.120.html"
              test="count(hl7:code)&lt;=1">(A_ZorgPlan-universal): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.120.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(A_ZorgPlan-universal): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.120.html"
              test="count(hl7:value)&lt;=1">(A_ZorgPlan-universal): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.120
Context: *[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan/hl7:pertinentInformation/hl7:evaluationEvent/hl7:code
Item: (A_ZorgPlan-universal)
-->

<rule context="*[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan/hl7:pertinentInformation/hl7:evaluationEvent/hl7:code"
         id="tmp-c1ac4859-c2a1-42d3-86e4-4de4e0c8e595">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.120.html"
              test="@nullFlavor or (@code='1156' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(A_ZorgPlan-universal): de waarde van @code/@codeSystem MOET ''1156' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.120
Context: *[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan/hl7:pertinentInformation/hl7:evaluationEvent/hl7:value
Item: (A_ZorgPlan-universal)
-->

<rule context="*[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan/hl7:pertinentInformation/hl7:evaluationEvent/hl7:value"
         id="tmp-a05f5310-4918-4712-a766-52a396d403ba">
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.120.html"
              test="(@nullFlavor or (string-length(string($theValue))&gt;=1))">(A_ZorgPlan-universal): value MOET een stringlengte in bereik [1..*] hebben </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.120
Context: *[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan/hl7:subject
Item: (A_ZorgPlan-universal)
-->

<rule context="*[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan/hl7:subject"
         id="tmp-a4743fd0-fa35-41a2-b865-23cddcfbbae3">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.120.html"
              test="@typeCode='SUBJ' or not(@typeCode)">(A_ZorgPlan-universal): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.120.html"
              test="@contextControlCode='AN' or not(@contextControlCode)">(A_ZorgPlan-universal): de waarde van @contextControlCode MOET 'AN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.120.html"
              test="@contextConductionInd='true' or not(@contextConductionInd)">(A_ZorgPlan-universal): de waarde van @contextConductionInd MOET 'true' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.120.html"
              test="@conjunctionCode='AND' or not(@conjunctionCode)">(A_ZorgPlan-universal): de waarde van @conjunctionCode MOET 'AND' zijn.</assert>
      <let name="theAttValue" value="@conjunctionCode"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.120.html"
              test="count(hl7:problem)&gt;=1 and not(hl7:problem/@nullFlavor)">(A_ZorgPlan-universal): element hl7:problem is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.120.html"
              test="count(hl7:problem)&lt;=1">(A_ZorgPlan-universal): element hl7:problem komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.120
Context: *[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan/hl7:subject/hl7:problem
Item: (A_ZorgPlan-universal)
-->

<rule context="*[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan/hl7:subject/hl7:problem"
         id="tmp-cce368e9-8d2e-4c72-a113-53b48e9711c8">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.120.html"
              test="@classCode='OBS' or not(@classCode)">(A_ZorgPlan-universal): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.120.html"
              test="@moodCode='EVN' or not(@moodCode)">(A_ZorgPlan-universal): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.120.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(A_ZorgPlan-universal): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.120.html"
              test="count(hl7:code)&lt;=1">(A_ZorgPlan-universal): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.120.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(A_ZorgPlan-universal): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.120.html"
              test="count(hl7:text)&lt;=1">(A_ZorgPlan-universal): element hl7:text komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.120.html"
              test="count(hl7:reasonOf)&lt;=1">(A_ZorgPlan-universal): element hl7:reasonOf komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.120.html"
              test="count(hl7:subjectOf)&lt;=1">(A_ZorgPlan-universal): element hl7:subjectOf komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.120
Context: *[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan/hl7:subject/hl7:problem/hl7:code
Item: (A_ZorgPlan-universal)
-->

<rule context="*[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan/hl7:subject/hl7:problem/hl7:code"
         id="tmp-7b74f409-e4f8-46e4-ab57-3d80c39fcc85">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.120.html"
              test="@nullFlavor or (@code='1151' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(A_ZorgPlan-universal): de waarde van @code/@codeSystem MOET ''1151' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.120
Context: *[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan/hl7:subject/hl7:problem/hl7:text
Item: (A_ZorgPlan-universal)
-->

<rule context="*[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan/hl7:subject/hl7:problem/hl7:text"
         id="tmp-c3e0cb65-8e8a-4bb8-96be-d6aa5fcee2d3">
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.120
Context: *[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan/hl7:subject/hl7:problem/hl7:reasonOf
Item: (A_ZorgPlan-universal)
-->

<rule context="*[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan/hl7:subject/hl7:problem/hl7:reasonOf"
         id="tmp-e9fe90ac-2ee7-44e7-8a00-36553fb9d088">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.120.html"
              test="count(hl7:condition)&gt;=1 and not(hl7:condition/@nullFlavor)">(A_ZorgPlan-universal): element hl7:condition is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.120.html"
              test="count(hl7:condition)&lt;=1">(A_ZorgPlan-universal): element hl7:condition komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.120
Context: *[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan/hl7:subject/hl7:problem/hl7:reasonOf/hl7:condition
Item: (A_ZorgPlan-universal)
-->

<rule context="*[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan/hl7:subject/hl7:problem/hl7:reasonOf/hl7:condition"
         id="tmp-6e1c1518-02d3-4fb0-a805-07bc46648ba8">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.120.html"
              test="@classCode='OBS' or not(@classCode)">(A_ZorgPlan-universal): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.120.html"
              test="@moodCode='EVN' or not(@moodCode)">(A_ZorgPlan-universal): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.120.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(A_ZorgPlan-universal): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.120.html"
              test="count(hl7:code)&lt;=1">(A_ZorgPlan-universal): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.120.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(A_ZorgPlan-universal): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.120.html"
              test="count(hl7:text)&lt;=1">(A_ZorgPlan-universal): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.120
Context: *[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan/hl7:subject/hl7:problem/hl7:reasonOf/hl7:condition/hl7:code
Item: (A_ZorgPlan-universal)
-->

<rule context="*[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan/hl7:subject/hl7:problem/hl7:reasonOf/hl7:condition/hl7:code"
         id="tmp-c76ca735-20b9-42b8-967c-94b34c72f5ba">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.120.html"
              test="@nullFlavor or (@code='1152' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(A_ZorgPlan-universal): de waarde van @code/@codeSystem MOET ''1152' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.120
Context: *[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan/hl7:subject/hl7:problem/hl7:reasonOf/hl7:condition/hl7:text
Item: (A_ZorgPlan-universal)
-->

<rule context="*[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan/hl7:subject/hl7:problem/hl7:reasonOf/hl7:condition/hl7:text"
         id="tmp-5c8c83e6-3590-4cd7-a592-e02e80d7f76d">
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.120
Context: *[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan/hl7:subject/hl7:problem/hl7:subjectOf
Item: (A_ZorgPlan-universal)
-->

<rule context="*[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan/hl7:subject/hl7:problem/hl7:subjectOf"
         id="tmp-747abf4f-0e7d-4ba1-b91a-264f31901e12">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.120.html"
              test="@typeCode='SUBJ' or not(@typeCode)">(A_ZorgPlan-universal): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.120.html"
              test="count(hl7:symptom)&gt;=1 and not(hl7:symptom/@nullFlavor)">(A_ZorgPlan-universal): element hl7:symptom is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.120.html"
              test="count(hl7:symptom)&lt;=1">(A_ZorgPlan-universal): element hl7:symptom komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.120
Context: *[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan/hl7:subject/hl7:problem/hl7:subjectOf/hl7:symptom
Item: (A_ZorgPlan-universal)
-->

<rule context="*[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan/hl7:subject/hl7:problem/hl7:subjectOf/hl7:symptom"
         id="tmp-fd328442-c55c-45a1-a5b0-0a009ca482f6">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.120.html"
              test="@classCode='OBS' or not(@classCode)">(A_ZorgPlan-universal): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.120.html"
              test="@moodCode='EVN' or not(@moodCode)">(A_ZorgPlan-universal): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.120.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(A_ZorgPlan-universal): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.120.html"
              test="count(hl7:code)&lt;=1">(A_ZorgPlan-universal): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.120.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(A_ZorgPlan-universal): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.120.html"
              test="count(hl7:text)&lt;=1">(A_ZorgPlan-universal): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.120
Context: *[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan/hl7:subject/hl7:problem/hl7:subjectOf/hl7:symptom/hl7:code
Item: (A_ZorgPlan-universal)
-->

<rule context="*[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan/hl7:subject/hl7:problem/hl7:subjectOf/hl7:symptom/hl7:code"
         id="tmp-f74f3051-397f-4cca-bd45-f4fe91936907">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.120.html"
              test="@nullFlavor or (@code='1153' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(A_ZorgPlan-universal): de waarde van @code/@codeSystem MOET ''1153' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.120
Context: *[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan/hl7:subject/hl7:problem/hl7:subjectOf/hl7:symptom/hl7:text
Item: (A_ZorgPlan-universal)
-->

<rule context="*[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan/hl7:subject/hl7:problem/hl7:subjectOf/hl7:symptom/hl7:text"
         id="tmp-538132c6-8817-48d5-baeb-d1cb538f9ac7">
      <let name="theValue" value="text()"/>
   </rule>
</pattern>
