<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.100.122
Description: Zorgverlenergegevens in R_AssignedEntityNL universal teruggebracht tot een Zorgverlener-id (optioneel) en het Zorgaanbieder-id (verplicht)
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.100.122">
   <title>R_AssignedEntityNL [identified]</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.122
Context: *[hl7:assignedEntity[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.122']]
Item: (R_AssignedEntityNL-identified)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.122
Context: *[hl7:assignedEntity[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.122']]/hl7:assignedEntity
Item: (R_AssignedEntityNL-identified)
-->

<rule context="*[hl7:assignedEntity[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.122']]/hl7:assignedEntity"
         id="tmp-3bb86dc3-9e73-4d53-99bd-f38fb4d9652b">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.122.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']/@nullFlavor)">(R_AssignedEntityNL-identified): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.122.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122'])&lt;=1">(R_AssignedEntityNL-identified): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122'] komt te vaak voor [max 1x].</assert>
      <let name="elmcount"
           value="count(hl7:id[@root='2.16.528.1.1007.3.1']|hl7:id[@root='2.16.528.1.1007.3.3'])"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.122.html"
              test="$elmcount&gt;=1">(R_AssignedEntityNL-identified): keuze (hl7:id[@root='2.16.528.1.1007.3.1'] of hl7:id[@root='2.16.528.1.1007.3.3']) bevat te weinig elementen [min 1x]</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.122.html"
              test="$elmcount&lt;=1">(R_AssignedEntityNL-identified): keuze (hl7:id[@root='2.16.528.1.1007.3.1'] of hl7:id[@root='2.16.528.1.1007.3.3']) bevat te veel elementen [max 1x]</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.122.html"
              test="count(hl7:representedOrganization)&lt;=1">(R_AssignedEntityNL-identified): element hl7:representedOrganization komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.122
Context: *[hl7:assignedEntity[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.122']]/hl7:assignedEntity/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']
Item: (R_AssignedEntityNL-identified)
-->

<rule context="*[hl7:assignedEntity[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.122']]/hl7:assignedEntity/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']"
         id="tmp-76b8d2a6-d43e-4e3f-b1ef-4e78b4bb8f26">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.122.html"
              test="@root='2.16.840.1.113883.2.4.6.10.100.122'">(R_AssignedEntityNL-identified): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.122' hebben.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.122.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(R_AssignedEntityNL-identified): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.122
Context: *[hl7:assignedEntity[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.122']]/hl7:assignedEntity
Item: (R_AssignedEntityNL-identified)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.122
Context: *[hl7:assignedEntity[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.122']]/hl7:assignedEntity/hl7:id[@root='2.16.528.1.1007.3.1']
Item: (R_AssignedEntityNL-identified)
-->

<rule context="*[hl7:assignedEntity[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.122']]/hl7:assignedEntity/hl7:id[@root='2.16.528.1.1007.3.1']"
         id="tmp-0c5a8e87-a30b-4e81-9171-bcee42e44ea5">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.122.html"
              test="@root='2.16.528.1.1007.3.1'">(R_AssignedEntityNL-identified): @root MOET de waarde '2.16.528.1.1007.3.1' hebben.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.122.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(R_AssignedEntityNL-identified): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.122
Context: *[hl7:assignedEntity[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.122']]/hl7:assignedEntity/hl7:id[@root='2.16.528.1.1007.3.3']
Item: (R_AssignedEntityNL-identified)
-->

<rule context="*[hl7:assignedEntity[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.122']]/hl7:assignedEntity/hl7:id[@root='2.16.528.1.1007.3.3']"
         id="tmp-2cff1a96-2a16-4697-a4bc-dca4d55f4011">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.122.html"
              test="@root='2.16.528.1.1007.3.3'">(R_AssignedEntityNL-identified): @root MOET de waarde '2.16.528.1.1007.3.3' hebben.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.122.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(R_AssignedEntityNL-identified): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.122
Context: *[hl7:assignedEntity[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.122']]/hl7:assignedEntity/hl7:representedOrganization
Item: (R_AssignedEntityNL-identified)
-->

<rule context="*[hl7:assignedEntity[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.122']]/hl7:assignedEntity/hl7:representedOrganization"
         id="tmp-4971b658-de06-4810-9c1c-dad7ecf04197">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.122.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(R_AssignedEntityNL-identified): element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.122.html"
              test="count(hl7:id)&lt;=1">(R_AssignedEntityNL-identified): element hl7:id komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.122
Context: *[hl7:assignedEntity[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.122']]/hl7:assignedEntity/hl7:representedOrganization/hl7:id
Item: (R_AssignedEntityNL-identified)
-->

<rule context="*[hl7:assignedEntity[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.122']]/hl7:assignedEntity/hl7:representedOrganization/hl7:id"
         id="tmp-f5028515-0abf-4c68-9ed6-a896b3750b89">
      <let name="theValue" value="@value"/>
   </rule>
</pattern>
