<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.100.134
Description: Hielprikverzoekgegevens
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.100.134">
   <title>Hielprikverzoek (geen patiënt)</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.134
Context: *[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.134']]
Item: (Hielprikverzoek)
-->

<rule context="*[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.134']]"
         id="tmp-257a3afb-2fe3-4831-86eb-5ce62fbb6fa0">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.134.html"
              test="count(hl7:procedureRequest)&gt;=1 and not(hl7:procedureRequest/@nullFlavor)">(Hielprikverzoek): element hl7:procedureRequest is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.134.html"
              test="count(hl7:procedureRequest)&lt;=1">(Hielprikverzoek): element hl7:procedureRequest komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.134
Context: *[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.134']]/hl7:procedureRequest
Item: (Hielprikverzoek)
-->

<rule context="*[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.134']]/hl7:procedureRequest"
         id="tmp-b371f220-8e97-4b73-a9a7-ca393fe779c0">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.134.html"
              test="@classCode='SPECCOLLECT'">(Hielprikverzoek): de waarde van @classCode MOET 'SPECCOLLECT' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.134.html"
              test="@moodCode='RQO'">(Hielprikverzoek): de waarde van @moodCode MOET 'RQO' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.134.html"
              test="count(hl7:realmCode)&gt;=1 and not(hl7:realmCode/@nullFlavor)">(Hielprikverzoek): element hl7:realmCode is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.134.html"
              test="count(hl7:realmCode)&lt;=1">(Hielprikverzoek): element hl7:realmCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.134.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.134'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.134']/@nullFlavor)">(Hielprikverzoek): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.134'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.134.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.134'])&lt;=1">(Hielprikverzoek): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.134'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.134.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(Hielprikverzoek): element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.134.html"
              test="count(hl7:id)&lt;=1">(Hielprikverzoek): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.134.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(Hielprikverzoek): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.134.html"
              test="count(hl7:code)&lt;=1">(Hielprikverzoek): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.134.html"
              test="count(hl7:statusCode)&gt;=1 and not(hl7:statusCode/@nullFlavor)">(Hielprikverzoek): element hl7:statusCode is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.134.html"
              test="count(hl7:statusCode)&lt;=1">(Hielprikverzoek): element hl7:statusCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.134.html"
              test="count(hl7:reason)&lt;=1">(Hielprikverzoek): element hl7:reason komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.134.html"
              test="count(hl7:pertinentInformation)&lt;=1">(Hielprikverzoek): element hl7:pertinentInformation komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.134.html"
              test="count(hl7:subjectOf6)&lt;=1">(Hielprikverzoek): element hl7:subjectOf6 komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.134
Context: *[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.134']]/hl7:procedureRequest/hl7:realmCode
Item: (Hielprikverzoek)
-->

<rule context="*[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.134']]/hl7:procedureRequest/hl7:realmCode"
         id="tmp-08901b2e-51b4-4cc5-a7e4-04321cba9367">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.134.html"
              test="@nullFlavor or (@code='NL')">(Hielprikverzoek): de waarde van @code MOET ''NL'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.134
Context: *[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.134']]/hl7:procedureRequest/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.134']
Item: (Hielprikverzoek)
-->

<rule context="*[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.134']]/hl7:procedureRequest/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.134']"
         id="tmp-ecb87548-1a02-4014-a839-d03221fd891b">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.134.html"
              test="@root='2.16.840.1.113883.2.4.6.10.100.134'">(Hielprikverzoek): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.134' hebben.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.134.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(Hielprikverzoek): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.134
Context: *[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.134']]/hl7:procedureRequest/hl7:id
Item: (Hielprikverzoek)
-->

<rule context="*[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.134']]/hl7:procedureRequest/hl7:id"
         id="tmp-bfd67acc-e082-41cc-8d0a-00c052263a3d">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.134
Context: *[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.134']]/hl7:procedureRequest/hl7:code
Item: (Hielprikverzoek)
-->

<rule context="*[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.134']]/hl7:procedureRequest/hl7:code"
         id="tmp-32332d47-7a6d-44bd-9b4d-9574b29cb33c">
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-W0316_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-W0316_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.134.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(Hielprikverzoek): de waarde van @code MOET worden gekozen uit waardenlijst W0316_HL7 W0316 Type hielprik (HL7) DYNAMIC.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.134.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(Hielprikverzoek): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0316_HL7 W0316 Type hielprik (HL7) DYNAMIC.</assert>
      <assert role="error"
              test="not((@code='01' or @code='02') and @codeSystem='2.16.840.1.113883.2.4.4.40.66' and ../hl7:reason)">(Hielprikverzoek): reason kan niet aanwezig aanwezig zijn bij een verzoek voor de eerste hielprik</assert>
      <assert role="error"
              test="(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or ../hl7:reason">(Hielprikverzoek): reason moet de reden bevatten bij een verzoek voor een herhaalde of tweede hielprik</assert>
      <assert role="error"
              test="not((@code='01' or @code='02') and @codeSystem='2.16.840.1.113883.2.4.4.40.66' and ../hl7:pertinentInformation)">(Hielprikverzoek): pertinentInformation kan niet aanwezig aanwezig zijn bij een verzoek voor de eerste hielprik</assert>
      <assert role="error"
              test="not(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or ../hl7:pertinentInformation">(Hielprikverzoek): pertinentInformation moet het setnummer vorige hielprik bevatten bij een verzoek voor een herhaalde of tweede hielprik</assert>
      <assert role="error"
              test="not((@code='01' or @code='02') and @codeSystem='2.16.840.1.113883.2.4.4.40.66' and ../hl7:subjectOf6)">(Hielprikverzoek): subjectOf6 kan niet aanwezig aanwezig zijn bij een verzoek voor de eerste hielprik</assert>
      <assert role="error"
              test="not((@code='03' or @code='04') and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or ../hl7:subjectOf6">(Hielprikverzoek): subjectOf6 moet de aanvullende informatie bevatten bij een verzoek voor een (herhaalde) tweede hielprik</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.134
Context: *[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.134']]/hl7:procedureRequest/hl7:statusCode
Item: (Hielprikverzoek)
-->

<rule context="*[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.134']]/hl7:procedureRequest/hl7:statusCode"
         id="tmp-a84eea2a-e95c-4309-a434-430c700ff210">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.134.html"
              test="@nullFlavor or (@code='active')">(Hielprikverzoek): de waarde van @code MOET ''active'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.134
Context: *[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.134']]/hl7:procedureRequest/hl7:reason
Item: (Hielprikverzoek)
-->

<rule context="*[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.134']]/hl7:procedureRequest/hl7:reason"
         id="tmp-9e554782-cdca-42ae-8069-714e5395038d">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.134.html"
              test="@typeCode='RSON' or not(@typeCode)">(Hielprikverzoek): de waarde van @typeCode MOET 'RSON' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.134.html"
              test="@contextConductionInd='false'">(Hielprikverzoek): de waarde van @contextConductionInd MOET 'false' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.134.html"
              test="count(hl7:act)&gt;=1 and not(hl7:act/@nullFlavor)">(Hielprikverzoek): element hl7:act is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.134.html"
              test="count(hl7:act)&lt;=1">(Hielprikverzoek): element hl7:act komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.134
Context: *[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.134']]/hl7:procedureRequest/hl7:reason/hl7:act
Item: (Hielprikverzoek)
-->

<rule context="*[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.134']]/hl7:procedureRequest/hl7:reason/hl7:act"
         id="tmp-37e7fdd3-660d-4546-818c-a3e09a7fd481">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.134.html"
              test="@classCode='ALRT'">(Hielprikverzoek): de waarde van @classCode MOET 'ALRT' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.134.html"
              test="@moodCode='EVN'">(Hielprikverzoek): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.134.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(Hielprikverzoek): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.134.html"
              test="count(hl7:code)&lt;=1">(Hielprikverzoek): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.134
Context: *[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.134']]/hl7:procedureRequest/hl7:reason/hl7:act/hl7:code
Item: (Hielprikverzoek)
-->

<rule context="*[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.134']]/hl7:procedureRequest/hl7:reason/hl7:act/hl7:code"
         id="tmp-f1a13b71-226c-4829-898d-99b9aa4c626f">
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-W0647_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-W0647_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.134.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(Hielprikverzoek): de waarde van @code MOET worden gekozen uit waardenlijst W0647_HL7 W0647 BDS Elementen DYNAMIC.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.134.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(Hielprikverzoek): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0647_HL7 W0647 BDS Elementen DYNAMIC.</assert>
      <assert role="error" test="@displayName or not(@code)">(Hielprikverzoek): @displayName is verplicht</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.134
Context: *[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.134']]/hl7:procedureRequest/hl7:pertinentInformation
Item: (Hielprikverzoek)
-->

<rule context="*[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.134']]/hl7:procedureRequest/hl7:pertinentInformation"
         id="tmp-d4c61476-6948-4fe1-83cd-cff5fe1c0b23">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.134.html"
              test="@typeCode='REFR'">(Hielprikverzoek): de waarde van @typeCode MOET 'REFR' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.134.html"
              test="@contextConductionInd='false'">(Hielprikverzoek): de waarde van @contextConductionInd MOET 'false' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.134.html"
              test="count(hl7:act)&gt;=1 and not(hl7:act/@nullFlavor)">(Hielprikverzoek): element hl7:act is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.134.html"
              test="count(hl7:act)&lt;=1">(Hielprikverzoek): element hl7:act komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.134
Context: *[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.134']]/hl7:procedureRequest/hl7:pertinentInformation/hl7:act
Item: (Hielprikverzoek)
-->

<rule context="*[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.134']]/hl7:procedureRequest/hl7:pertinentInformation/hl7:act"
         id="tmp-c7d424ef-cd8a-46ba-bcaf-6f55120e4d2f">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.134.html"
              test="@classCode='DOC'">(Hielprikverzoek): de waarde van @classCode MOET 'DOC' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.134.html"
              test="@moodCode='EVN'">(Hielprikverzoek): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.134.html"
              test="count(hl7:id)&gt;=1 ">(Hielprikverzoek): element hl7:id is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.134.html"
              test="count(hl7:id)&lt;=1">(Hielprikverzoek): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.134.html"
              test="count(hl7:code)&gt;=1 ">(Hielprikverzoek): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.134.html"
              test="count(hl7:code)&lt;=1">(Hielprikverzoek): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.134
Context: *[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.134']]/hl7:procedureRequest/hl7:pertinentInformation/hl7:act/hl7:id
Item: (Hielprikverzoek)
-->

<rule context="*[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.134']]/hl7:procedureRequest/hl7:pertinentInformation/hl7:act/hl7:id"
         id="tmp-3fb66c25-c72d-4217-b2a3-9fc4aa83ee95">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.134
Context: *[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.134']]/hl7:procedureRequest/hl7:pertinentInformation/hl7:act/hl7:code
Item: (Hielprikverzoek)
-->

<rule context="*[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.134']]/hl7:procedureRequest/hl7:pertinentInformation/hl7:act/hl7:code"
         id="tmp-6afdea05-3b80-4b01-b93f-a6e8973e6cd7">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.134.html"
              test="@nullFlavor or (@code='1432' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(Hielprikverzoek): de waarde van @code/@codeSystem MOET ''1432' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.134
Context: *[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.134']]/hl7:procedureRequest/hl7:subjectOf6
Item: (Hielprikverzoek)
-->

<rule context="*[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.134']]/hl7:procedureRequest/hl7:subjectOf6"
         id="tmp-351bedc0-c093-4d9a-8606-a4c1c1622040">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.134.html"
              test="@typeCode='SUBJ' or not(@typeCode)">(Hielprikverzoek): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.134.html"
              test="@contextConductionInd='false'">(Hielprikverzoek): de waarde van @contextConductionInd MOET 'false' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.134.html"
              test="count(hl7:seperatableInd)&gt;=1 and not(hl7:seperatableInd/@nullFlavor)">(Hielprikverzoek): element hl7:seperatableInd is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.134.html"
              test="count(hl7:seperatableInd)&lt;=1">(Hielprikverzoek): element hl7:seperatableInd komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.134.html"
              test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)">(Hielprikverzoek): element hl7:annotation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.134.html"
              test="count(hl7:annotation)&lt;=1">(Hielprikverzoek): element hl7:annotation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.134
Context: *[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.134']]/hl7:procedureRequest/hl7:subjectOf6/hl7:seperatableInd
Item: (Hielprikverzoek)
-->

<rule context="*[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.134']]/hl7:procedureRequest/hl7:subjectOf6/hl7:seperatableInd"
         id="tmp-bf0829de-cf3b-451f-81f8-58eb18a8ca74">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.134.html"
              test="@value='false'">(Hielprikverzoek): de waarde van @value MOET 'false' zijn.</assert>
      <let name="theAttValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.134
Context: *[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.134']]/hl7:procedureRequest/hl7:subjectOf6/hl7:annotation
Item: (Hielprikverzoek)
-->

<rule context="*[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.134']]/hl7:procedureRequest/hl7:subjectOf6/hl7:annotation"
         id="tmp-7a8de772-5a3b-4940-8216-2db371c6e2d8">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.134.html"
              test="@classCode='ACT'">(Hielprikverzoek): de waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.134.html"
              test="@moodCode='EVN'">(Hielprikverzoek): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.134.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(Hielprikverzoek): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.134.html"
              test="count(hl7:text)&lt;=1">(Hielprikverzoek): element hl7:text komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.134.html"
              test="count(hl7:statusCode)&gt;=1 and not(hl7:statusCode/@nullFlavor)">(Hielprikverzoek): element hl7:statusCode is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.134.html"
              test="count(hl7:statusCode)&lt;=1">(Hielprikverzoek): element hl7:statusCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.134.html"
              test="count(hl7:author)&gt;=1 and not(hl7:author/@nullFlavor)">(Hielprikverzoek): element hl7:author is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.134.html"
              test="count(hl7:author)&lt;=1">(Hielprikverzoek): element hl7:author komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.134
Context: *[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.134']]/hl7:procedureRequest/hl7:subjectOf6/hl7:annotation/hl7:text
Item: (Hielprikverzoek)
-->

<rule context="*[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.134']]/hl7:procedureRequest/hl7:subjectOf6/hl7:annotation/hl7:text"
         id="tmp-fd875b9b-7f90-4990-a0cd-a7546135bf51">
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.134
Context: *[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.134']]/hl7:procedureRequest/hl7:subjectOf6/hl7:annotation/hl7:statusCode
Item: (Hielprikverzoek)
-->

<rule context="*[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.134']]/hl7:procedureRequest/hl7:subjectOf6/hl7:annotation/hl7:statusCode"
         id="tmp-31f1dbf0-433c-4119-b148-daf676b00681">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.134.html"
              test="@nullFlavor or (@code='completed')">(Hielprikverzoek): de waarde van @code MOET ''completed'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.134
Context: *[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.134']]/hl7:procedureRequest/hl7:subjectOf6/hl7:annotation/hl7:author
Item: (Hielprikverzoek)
-->

<rule context="*[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.134']]/hl7:procedureRequest/hl7:subjectOf6/hl7:annotation/hl7:author"
         id="tmp-5df05044-d62b-4a29-8f1f-bb302f346638">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.134.html"
              test="@typeCode='AUT' or not(@typeCode)">(Hielprikverzoek): de waarde van @typeCode MOET 'AUT' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.134.html"
              test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)">(Hielprikverzoek): element hl7:assignedEntity is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.134.html"
              test="count(hl7:assignedEntity)&lt;=1">(Hielprikverzoek): element hl7:assignedEntity komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.134
Context: *[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.134']]/hl7:procedureRequest/hl7:subjectOf6/hl7:annotation/hl7:author/hl7:assignedEntity
Item: (Hielprikverzoek)
-->

<rule context="*[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.134']]/hl7:procedureRequest/hl7:subjectOf6/hl7:annotation/hl7:author/hl7:assignedEntity"
         id="tmp-68919b92-c82d-4786-bc5b-60ff3bdd63d8">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.134.html"
              test="@typeCode='ASSIGNED'">(Hielprikverzoek): de waarde van @typeCode MOET 'ASSIGNED' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.134.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(Hielprikverzoek): element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.134.html"
              test="count(hl7:id)&lt;=1">(Hielprikverzoek): element hl7:id komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.134
Context: *[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.134']]/hl7:procedureRequest/hl7:subjectOf6/hl7:annotation/hl7:author/hl7:assignedEntity/hl7:id
Item: (Hielprikverzoek)
-->

<rule context="*[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.134']]/hl7:procedureRequest/hl7:subjectOf6/hl7:annotation/hl7:author/hl7:assignedEntity/hl7:id"
         id="tmp-f679d1b4-6345-4c36-ad03-ccc93c20a3b1">
      <let name="theValue" value="@value"/>
   </rule>
</pattern>
