<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.100.14
Description: Versturen vaccinatie
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.100.14">
   <title>Versturen vaccinaties (interactie)</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.14
Context: hl7:REPC_IN002140NL
Item: (VersturenVaccinaties)
-->

<rule context="hl7:REPC_IN002140NL"
         id="tmp-8433f2f9-0c5f-45da-8284-eb1dc61b7a7a">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(VersturenVaccinaties): element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="count(hl7:id)&lt;=1">(VersturenVaccinaties): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="count(hl7:creationTime)&gt;=1 and not(hl7:creationTime/@nullFlavor)">(VersturenVaccinaties): element hl7:creationTime is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="count(hl7:creationTime)&lt;=1">(VersturenVaccinaties): element hl7:creationTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="count(hl7:versionCode)&gt;=1 and not(hl7:versionCode/@nullFlavor)">(VersturenVaccinaties): element hl7:versionCode is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="count(hl7:versionCode)&lt;=1">(VersturenVaccinaties): element hl7:versionCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="count(hl7:interactionId[@root='2.16.840.1.113883.1.6'])&gt;=1 and not(hl7:interactionId[@root='2.16.840.1.113883.1.6']/@nullFlavor)">(VersturenVaccinaties): element hl7:interactionId[@root='2.16.840.1.113883.1.6'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="count(hl7:interactionId[@root='2.16.840.1.113883.1.6'])&lt;=1">(VersturenVaccinaties): element hl7:interactionId[@root='2.16.840.1.113883.1.6'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="count(hl7:profileId[@root='2.16.840.1.113883.2.4.3.11.1'])&gt;=1 and not(hl7:profileId[@root='2.16.840.1.113883.2.4.3.11.1']/@nullFlavor)">(VersturenVaccinaties): element hl7:profileId[@root='2.16.840.1.113883.2.4.3.11.1'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="count(hl7:profileId[@root='2.16.840.1.113883.2.4.3.11.1'])&lt;=1">(VersturenVaccinaties): element hl7:profileId[@root='2.16.840.1.113883.2.4.3.11.1'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="count(hl7:processingCode)&gt;=1 and not(hl7:processingCode/@nullFlavor)">(VersturenVaccinaties): element hl7:processingCode is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="count(hl7:processingCode)&lt;=1">(VersturenVaccinaties): element hl7:processingCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="count(hl7:processingModeCode)&gt;=1 and not(hl7:processingModeCode/@nullFlavor)">(VersturenVaccinaties): element hl7:processingModeCode is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="count(hl7:processingModeCode)&lt;=1">(VersturenVaccinaties): element hl7:processingModeCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="count(hl7:acceptAckCode)&gt;=1 and not(hl7:acceptAckCode/@nullFlavor)">(VersturenVaccinaties): element hl7:acceptAckCode is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="count(hl7:acceptAckCode)&lt;=1">(VersturenVaccinaties): element hl7:acceptAckCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="count(hl7:attentionLine)&gt;=1 and not(hl7:attentionLine/@nullFlavor)">(VersturenVaccinaties): element hl7:attentionLine is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="count(hl7:attentionLine)&lt;=1">(VersturenVaccinaties): element hl7:attentionLine komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="count(hl7:ControlActProcess)&gt;=1 and not(hl7:ControlActProcess/@nullFlavor)">(VersturenVaccinaties): element hl7:ControlActProcess is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="count(hl7:ControlActProcess)&lt;=1">(VersturenVaccinaties): element hl7:ControlActProcess komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.14
Context: hl7:REPC_IN002140NL
Item: (TransmissionWrapperMCCI_MT000100)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.14
Context: hl7:REPC_IN002140NL
Item: (TransmissionWrapperMCCI_MT000100)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.14
Context: hl7:REPC_IN002140NL/hl7:id
Item: (TransmissionWrapperMCCI_MT000100)
-->

<rule context="hl7:REPC_IN002140NL/hl7:id"
         id="tmp-080d5a68-d0b6-4f8c-bacf-9e4e7ad17c69">
      <let name="theValue" value="@value"/>
      <assert role="error" test="@root and @extension">(TransmissionWrapperMCCI_MT000100): Transmission: id element mist root of extension</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.14
Context: hl7:REPC_IN002140NL/hl7:creationTime
Item: (TransmissionWrapperMCCI_MT000100)
-->

<rule context="hl7:REPC_IN002140NL/hl7:creationTime"
         id="tmp-b7bcb290-a1eb-4221-827b-05eddbd4aec6">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.14
Context: hl7:REPC_IN002140NL/hl7:versionCode
Item: (TransmissionWrapperMCCI_MT000100)
-->

<rule context="hl7:REPC_IN002140NL/hl7:versionCode"
         id="tmp-addc3990-1e17-409f-83d3-e01d8a7abeb3">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="@nullFlavor or (@code='NICTIZEd2005-Okt')">(TransmissionWrapperMCCI_MT000100): de waarde van @code MOET ''NICTIZEd2005-Okt'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.14
Context: hl7:REPC_IN002140NL/hl7:interactionId[@root='2.16.840.1.113883.1.6']
Item: (TransmissionWrapperMCCI_MT000100)
-->

<rule context="hl7:REPC_IN002140NL/hl7:interactionId[@root='2.16.840.1.113883.1.6']"
         id="tmp-5e39256a-ca93-477c-9ae1-bc87f11253ed">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="@root='2.16.840.1.113883.1.6'">(TransmissionWrapperMCCI_MT000100): @root MOET de waarde '2.16.840.1.113883.1.6' hebben.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TransmissionWrapperMCCI_MT000100): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
      <let name="interactionId"
           value="self::node()[@root='2.16.840.1.113883.1.6']/@extension"/>
      <assert role="error"
              test="not(@root='2.16.840.1.113883.1.6') or local-name(..)=@extension">(TransmissionWrapperMCCI_MT000100): Transmission: @extension moet overeenkomen met het startelement van het bericht</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.14
Context: hl7:REPC_IN002140NL/hl7:profileId[@root='2.16.840.1.113883.2.4.3.11.1']
Item: (TransmissionWrapperMCCI_MT000100)
-->

<rule context="hl7:REPC_IN002140NL/hl7:profileId[@root='2.16.840.1.113883.2.4.3.11.1']"
         id="tmp-0d5078bd-fc67-4f3f-96eb-497993805c90">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="@root='2.16.840.1.113883.2.4.3.11.1'">(TransmissionWrapperMCCI_MT000100): @root MOET de waarde '2.16.840.1.113883.2.4.3.11.1' hebben.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TransmissionWrapperMCCI_MT000100): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="@extension='810'">(TransmissionWrapperMCCI_MT000100): de waarde van @extension MOET '810' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.14
Context: hl7:REPC_IN002140NL/hl7:processingCode
Item: (TransmissionWrapperMCCI_MT000100)
-->

<rule context="hl7:REPC_IN002140NL/hl7:processingCode"
         id="tmp-ec789d46-39ec-4227-8aac-a413d0d19836">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="@nullFlavor or (@code='P')">(TransmissionWrapperMCCI_MT000100): de waarde van @code MOET ''P'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.14
Context: hl7:REPC_IN002140NL/hl7:processingModeCode
Item: (TransmissionWrapperMCCI_MT000100)
-->

<rule context="hl7:REPC_IN002140NL/hl7:processingModeCode"
         id="tmp-e8ad6d46-df78-49b7-8807-84a3646c10d5">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="@nullFlavor or (@code='T')">(TransmissionWrapperMCCI_MT000100): de waarde van @code MOET ''T'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.14
Context: hl7:REPC_IN002140NL/hl7:acceptAckCode
Item: (TransmissionWrapperMCCI_MT000100)
-->

<rule context="hl7:REPC_IN002140NL/hl7:acceptAckCode"
         id="tmp-cdb8d95d-9633-4902-977b-bdcfd38b58bf">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="@nullFlavor or (@code='AL')">(TransmissionWrapperMCCI_MT000100): de waarde van @code MOET ''AL'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.14
Context: hl7:REPC_IN002140NL
Item: (TransmissionWrapperAttentionLineAORTA)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.14
Context: hl7:REPC_IN002140NL
Item: (TransmissionWrapperAttentionLineAORTA)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.14
Context: hl7:REPC_IN002140NL/hl7:attentionLine
Item: (TransmissionWrapperAttentionLineAORTA)
-->

<rule context="hl7:REPC_IN002140NL/hl7:attentionLine"
         id="tmp-6e89b164-28ad-4faf-b9e7-e6d0ef9a68b8">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="count(hl7:keyWordText)&gt;=1 and not(hl7:keyWordText/@nullFlavor)">(TransmissionWrapperAttentionLineAORTA): element hl7:keyWordText is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="count(hl7:keyWordText)&lt;=1">(TransmissionWrapperAttentionLineAORTA): element hl7:keyWordText komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(TransmissionWrapperAttentionLineAORTA): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="count(hl7:value)&lt;=1">(TransmissionWrapperAttentionLineAORTA): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.14
Context: hl7:REPC_IN002140NL/hl7:attentionLine/hl7:keyWordText
Item: (TransmissionWrapperAttentionLineAORTA)
-->

<rule context="hl7:REPC_IN002140NL/hl7:attentionLine/hl7:keyWordText"
         id="tmp-d1757271-b1bd-46b3-b402-897e9c3d879e">
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="@nullFlavor or (@code='PATID' and @codeSystem='2.16.840.1.113883.2.4.15.1')">(TransmissionWrapperAttentionLineAORTA): de waarde van @code/@codeSystem MOET ''PATID' codeSystem '2.16.840.1.113883.2.4.15.1'' zijn.</assert>
      <assert role="error" test="text()='Patient.id'">(TransmissionWrapperAttentionLineAORTA): De waarde in text() MOET 'PATID' zijn</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.14
Context: hl7:REPC_IN002140NL/hl7:attentionLine/hl7:value
Item: (TransmissionWrapperAttentionLineAORTA)
-->

<rule context="hl7:REPC_IN002140NL/hl7:attentionLine/hl7:value"
         id="tmp-410a64a6-b634-40a8-aa7f-8332d5b94d86">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.14
Context: hl7:REPC_IN002140NL/hl7:receiver
Item: (TransmissionWrapperReceiverNotZIM)
-->

<rule context="hl7:REPC_IN002140NL/hl7:receiver"
         id="tmp-ed398fba-1038-41d5-a66c-0abb6b246c12">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="@typeCode='RCV' or not(@typeCode)">(TransmissionWrapperReceiverNotZIM): de waarde van @typeCode MOET 'RCV' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="count(hl7:device)&gt;=1 and not(hl7:device/@nullFlavor)">(TransmissionWrapperReceiverNotZIM): element hl7:device is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="count(hl7:device)&lt;=1">(TransmissionWrapperReceiverNotZIM): element hl7:device komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.14
Context: hl7:REPC_IN002140NL/hl7:receiver/hl7:device
Item: (TransmissionWrapperReceiverNotZIM)
-->

<rule context="hl7:REPC_IN002140NL/hl7:receiver/hl7:device"
         id="tmp-0926afdc-47c6-40c9-8d33-1c31ea7e3ad7">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="count(hl7:id[@root='2.16.840.1.113883.2.4.6.6'])&gt;=1 and not(hl7:id[@root='2.16.840.1.113883.2.4.6.6']/@nullFlavor)">(TransmissionWrapperReceiverNotZIM): element hl7:id[@root='2.16.840.1.113883.2.4.6.6'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="count(hl7:id[@root='2.16.840.1.113883.2.4.6.6'])&lt;=1">(TransmissionWrapperReceiverNotZIM): element hl7:id[@root='2.16.840.1.113883.2.4.6.6'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="count(hl7:name)&lt;=1">(TransmissionWrapperReceiverNotZIM): element hl7:name komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.14
Context: hl7:REPC_IN002140NL/hl7:receiver/hl7:device/hl7:id[@root='2.16.840.1.113883.2.4.6.6']
Item: (TransmissionWrapperReceiverNotZIM)
-->

<rule context="hl7:REPC_IN002140NL/hl7:receiver/hl7:device/hl7:id[@root='2.16.840.1.113883.2.4.6.6']"
         id="tmp-36a8ff6d-5939-433d-aa92-a0bb57eea30d">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="@root='2.16.840.1.113883.2.4.6.6'">(TransmissionWrapperReceiverNotZIM): @root MOET de waarde '2.16.840.1.113883.2.4.6.6' hebben.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TransmissionWrapperReceiverNotZIM): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
      <assert role="error"
              test="@root='2.16.840.1.113883.2.4.6.6' and not(@extension='1')">(TransmissionWrapperReceiverNotZIM): Transmission: receiver/device/id mag niet de AORTA ZIM zijn</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.14
Context: hl7:REPC_IN002140NL/hl7:receiver/hl7:device/hl7:name
Item: (TransmissionWrapperReceiverNotZIM)
-->

<rule context="hl7:REPC_IN002140NL/hl7:receiver/hl7:device/hl7:name"
         id="tmp-15624efa-4d3e-4878-9c83-55b863b27d7f">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.14
Context: hl7:REPC_IN002140NL/hl7:sender
Item: (TransmissionWrapperSenderNotZIM)
-->

<rule context="hl7:REPC_IN002140NL/hl7:sender"
         id="tmp-ff7ef024-f8d0-41b5-b895-70ccdca97f63">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="@typeCode='SND' or not(@typeCode)">(TransmissionWrapperSenderNotZIM): de waarde van @typeCode MOET 'SND' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="count(hl7:device)&gt;=1 and not(hl7:device/@nullFlavor)">(TransmissionWrapperSenderNotZIM): element hl7:device is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="count(hl7:device)&lt;=1">(TransmissionWrapperSenderNotZIM): element hl7:device komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.14
Context: hl7:REPC_IN002140NL/hl7:sender/hl7:device
Item: (TransmissionWrapperSenderNotZIM)
-->

<rule context="hl7:REPC_IN002140NL/hl7:sender/hl7:device"
         id="tmp-1f9928b6-738a-4f37-a499-44093afbf66e">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="count(hl7:id[@root='2.16.840.1.113883.2.4.6.6'])&gt;=1 and not(hl7:id[@root='2.16.840.1.113883.2.4.6.6']/@nullFlavor)">(TransmissionWrapperSenderNotZIM): element hl7:id[@root='2.16.840.1.113883.2.4.6.6'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="count(hl7:id[@root='2.16.840.1.113883.2.4.6.6'])&lt;=1">(TransmissionWrapperSenderNotZIM): element hl7:id[@root='2.16.840.1.113883.2.4.6.6'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="count(hl7:name)&lt;=1">(TransmissionWrapperSenderNotZIM): element hl7:name komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.14
Context: hl7:REPC_IN002140NL/hl7:sender/hl7:device/hl7:id[@root='2.16.840.1.113883.2.4.6.6']
Item: (TransmissionWrapperSenderNotZIM)
-->

<rule context="hl7:REPC_IN002140NL/hl7:sender/hl7:device/hl7:id[@root='2.16.840.1.113883.2.4.6.6']"
         id="tmp-f2975f19-6861-4b27-ab41-37168e8a3b4f">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="@root='2.16.840.1.113883.2.4.6.6'">(TransmissionWrapperSenderNotZIM): @root MOET de waarde '2.16.840.1.113883.2.4.6.6' hebben.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TransmissionWrapperSenderNotZIM): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
      <assert role="error"
              test="@root='2.16.840.1.113883.2.4.6.6' and not(@extension='1')">(TransmissionWrapperSenderNotZIM): Transmission: sender/device/id mag niet de AORTA ZIM zijn</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.14
Context: hl7:REPC_IN002140NL/hl7:sender/hl7:device/hl7:name
Item: (TransmissionWrapperSenderNotZIM)
-->

<rule context="hl7:REPC_IN002140NL/hl7:sender/hl7:device/hl7:name"
         id="tmp-9ad1aabd-a1c7-428e-9ee3-58486109f320">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.14
Context: hl7:REPC_IN002140NL/hl7:ControlActProcess
Item: (VersturenVaccinaties)
-->

<rule context="hl7:REPC_IN002140NL/hl7:ControlActProcess"
         id="tmp-d47fe456-42fe-4bad-aafe-60e8f01fa10d">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="count(hl7:id)&lt;=1">(VersturenVaccinaties): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="count(hl7:code)&lt;=1">(VersturenVaccinaties): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="count(hl7:text)=0">(VersturenVaccinaties): element hl7:text MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="count(hl7:effectiveTime)&lt;=1">(VersturenVaccinaties): element hl7:effectiveTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="count(hl7:reasonCode)=0">(VersturenVaccinaties): element hl7:reasonCode MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="count(hl7:languageCode)=0">(VersturenVaccinaties): element hl7:languageCode MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="count(hl7:informationRecipient)=0">(VersturenVaccinaties): element hl7:informationRecipient MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="count(hl7:dataEnterer)=0">(VersturenVaccinaties): element hl7:dataEnterer MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="count(hl7:authorOrPerformer[*/hl7:AssignedPerson])&lt;=1">(VersturenVaccinaties): element hl7:authorOrPerformer[*/hl7:AssignedPerson] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="count(hl7:overseer)&gt;=1 and not(hl7:overseer/@nullFlavor)">(VersturenVaccinaties): element hl7:overseer is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="count(hl7:overseer)&lt;=1">(VersturenVaccinaties): element hl7:overseer komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="count(hl7:subject[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.180']]])&gt;=1 and not(hl7:subject[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.180']]]/@nullFlavor)">(VersturenVaccinaties): element hl7:subject[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.180']]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="count(hl7:subject[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.180']]])&lt;=1">(VersturenVaccinaties): element hl7:subject[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.180']]] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.14
Context: hl7:REPC_IN002140NL/hl7:ControlActProcess
Item: (ControlActWrapperMCAI_MT700201)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.14
Context: hl7:REPC_IN002140NL/hl7:ControlActProcess
Item: (ControlActWrapperMCAI_MT700201)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.14
Context: hl7:REPC_IN002140NL/hl7:ControlActProcess
Item: (ControlActWrapperMCAI_MT700201)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.14
Context: hl7:REPC_IN002140NL/hl7:ControlActProcess
Item: (ControlActWrapperMCAI_MT700201)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.14
Context: hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:id
Item: (ControlActWrapperMCAI_MT700201)
-->

<rule context="hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:id"
         id="tmp-4d412b11-7d5c-48ad-986d-5995b8996eec">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.14
Context: hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:code
Item: (ControlActWrapperMCAI_MT700201)
-->

<rule context="hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:code"
         id="tmp-d43dbeaf-605e-420f-895e-8768428188d3">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.1.18')">(ControlActWrapperMCAI_MT700201): de waarde van @codeSystem MOET ''2.16.840.1.113883.1.18'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.14
Context: hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:text
Item: (ControlActWrapperMCAI_MT700201)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.14
Context: hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:effectiveTime
Item: (ControlActWrapperMCAI_MT700201)
-->

<rule context="hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:effectiveTime"
         id="tmp-04cf004e-4569-4d65-b9a2-0fca171524ca">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.14
Context: hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:reasonCode
Item: (ControlActWrapperMCAI_MT700201)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.14
Context: hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:languageCode
Item: (ControlActWrapperMCAI_MT700201)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.14
Context: hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:informationRecipient
Item: (ControlActWrapperMCAI_MT700201)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.14
Context: hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:dataEnterer
Item: (ControlActWrapperMCAI_MT700201)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.14
Context: hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedPerson]
Item: (ControlActAuthorOrPerformerPerson)
-->

<rule context="hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedPerson]"
         id="tmp-6bface65-3493-4234-b3b9-976d60be001d">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="@typeCode='AUT' or not(@typeCode)">(ControlActAuthorOrPerformerPerson): de waarde van @typeCode MOET 'AUT' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="count(hl7:participant)&gt;=1 and not(hl7:participant/@nullFlavor)">(ControlActAuthorOrPerformerPerson): element hl7:participant is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="count(hl7:participant)&lt;=1">(ControlActAuthorOrPerformerPerson): element hl7:participant komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.14
Context: hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedPerson]/hl7:participant
Item: (ControlActAuthorOrPerformerPerson)
-->

<rule context="hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedPerson]/hl7:participant"
         id="tmp-e0ac6866-7cdd-4d7e-8e63-d145c3928acb">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="count(hl7:AssignedPerson)&gt;=1 and not(hl7:AssignedPerson/@nullFlavor)">(ControlActAuthorOrPerformerPerson): element hl7:AssignedPerson is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="count(hl7:AssignedPerson)&lt;=1">(ControlActAuthorOrPerformerPerson): element hl7:AssignedPerson komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.14
Context: hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedPerson]/hl7:participant/hl7:AssignedPerson
Item: (ControlActAuthorOrPerformerPerson)
-->

<rule context="hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedPerson]/hl7:participant/hl7:AssignedPerson"
         id="tmp-7b485843-98d1-4bd1-b7c2-a4165fbaf0ef">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(ControlActAuthorOrPerformerPerson): element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="count(hl7:id)&lt;=1">(ControlActAuthorOrPerformerPerson): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="count(hl7:code)&lt;=1">(ControlActAuthorOrPerformerPerson): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="count(hl7:telecom)&lt;=1">(ControlActAuthorOrPerformerPerson): element hl7:telecom komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="count(hl7:name)&lt;=1">(ControlActAuthorOrPerformerPerson): element hl7:name komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="count(hl7:noteText)=0">(ControlActAuthorOrPerformerPerson): element hl7:noteText MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="count(hl7:time)=0">(ControlActAuthorOrPerformerPerson): element hl7:time MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="count(hl7:modeCode)=0">(ControlActAuthorOrPerformerPerson): element hl7:modeCode MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="count(hl7:signatureCode)=0">(ControlActAuthorOrPerformerPerson): element hl7:signatureCode MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="count(hl7:signatureText)=0">(ControlActAuthorOrPerformerPerson): element hl7:signatureText MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="count(hl7:Organization)&gt;=1 and not(hl7:Organization/@nullFlavor)">(ControlActAuthorOrPerformerPerson): element hl7:Organization is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="count(hl7:Organization)&lt;=1">(ControlActAuthorOrPerformerPerson): element hl7:Organization komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.14
Context: hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedPerson]/hl7:participant/hl7:AssignedPerson/hl7:id
Item: (ControlActAuthorOrPerformerPerson)
-->

<rule context="hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedPerson]/hl7:participant/hl7:AssignedPerson/hl7:id"
         id="tmp-632e3157-9d2b-4e89-8cfb-51b40e58dbdd">
      <let name="theValue" value="@value"/>
      <assert role="error" test="@root='2.16.528.1.1007.3.1' and @extension">(ControlActAuthorOrPerformerPerson): Control Act: <name path=".."/>/<name/> moet een UZI-nummer bevatten</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.14
Context: hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedPerson]/hl7:participant/hl7:AssignedPerson/hl7:code
Item: (ControlActAuthorOrPerformerPerson)
-->

<rule context="hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedPerson]/hl7:participant/hl7:AssignedPerson/hl7:code"
         id="tmp-7b1a36fa-5e8c-4b59-8170-26fe55b31c84">
      <let name="theValue" value="@value"/>
      <assert role="error"
              test="@codeSystem='2.16.840.1.113883.2.4.15.111' and not(@code='00.000')">(ControlActAuthorOrPerformerPerson): Control Act: <name path=".."/>/<name/> moet een UZI-rolcode bevatten en deze mag niet 00.000 zijn</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.14
Context: hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedPerson]/hl7:participant/hl7:AssignedPerson/hl7:telecom
Item: (ControlActAuthorOrPerformerPerson)
-->

<rule context="hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedPerson]/hl7:participant/hl7:AssignedPerson/hl7:telecom"
         id="tmp-4599f8a2-3a3e-4559-9e53-e58b83004ad3">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.14
Context: hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedPerson]/hl7:participant/hl7:AssignedPerson/hl7:name
Item: (ControlActAuthorOrPerformerPerson)
-->

<rule context="hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedPerson]/hl7:participant/hl7:AssignedPerson/hl7:name"
         id="tmp-0b66af39-9521-493d-b951-0cdd1cbbde51">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.14
Context: hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedPerson]/hl7:participant/hl7:AssignedPerson/hl7:noteText
Item: (ControlActAuthorOrPerformerPerson)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.14
Context: hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedPerson]/hl7:participant/hl7:AssignedPerson/hl7:time
Item: (ControlActAuthorOrPerformerPerson)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.14
Context: hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedPerson]/hl7:participant/hl7:AssignedPerson/hl7:modeCode
Item: (ControlActAuthorOrPerformerPerson)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.14
Context: hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedPerson]/hl7:participant/hl7:AssignedPerson/hl7:signatureCode
Item: (ControlActAuthorOrPerformerPerson)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.14
Context: hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedPerson]/hl7:participant/hl7:AssignedPerson/hl7:signatureText
Item: (ControlActAuthorOrPerformerPerson)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.14
Context: hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedPerson]/hl7:participant/hl7:AssignedPerson/hl7:Organization
Item: (ControlActAuthorOrPerformerPerson)
-->

<rule context="hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedPerson]/hl7:participant/hl7:AssignedPerson/hl7:Organization"
         id="tmp-2fd36403-424b-4ad5-9781-455bbed70e9d">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(ControlActAuthorOrPerformerPerson): element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="count(hl7:id)&lt;=1">(ControlActAuthorOrPerformerPerson): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="count(hl7:code)&lt;=1">(ControlActAuthorOrPerformerPerson): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)">(ControlActAuthorOrPerformerPerson): element hl7:name is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="count(hl7:name)&lt;=1">(ControlActAuthorOrPerformerPerson): element hl7:name komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="count(hl7:addr)&lt;=1">(ControlActAuthorOrPerformerPerson): element hl7:addr komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.14
Context: hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedPerson]/hl7:participant/hl7:AssignedPerson/hl7:Organization/hl7:id
Item: (ControlActAuthorOrPerformerPerson)
-->

<rule context="hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedPerson]/hl7:participant/hl7:AssignedPerson/hl7:Organization/hl7:id"
         id="tmp-94f66d17-d057-43ac-ae0a-db1abbef86f7">
      <let name="theValue" value="@value"/>
      <assert role="error" test="@root='2.16.528.1.1007.3.3' and @extension">(ControlActAuthorOrPerformerPerson): &gt;Control Act: <name path=".."/>/<name/> moet een URA bevatten</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.14
Context: hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedPerson]/hl7:participant/hl7:AssignedPerson/hl7:Organization/hl7:code
Item: (ControlActAuthorOrPerformerPerson)
-->

<rule context="hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedPerson]/hl7:participant/hl7:AssignedPerson/hl7:Organization/hl7:code"
         id="tmp-854937b3-ec42-4c88-9a55-e1382aebb3fb">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.15.1060')">(ControlActAuthorOrPerformerPerson): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.15.1060'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.14
Context: hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedPerson]/hl7:participant/hl7:AssignedPerson/hl7:Organization/hl7:telecom
Item: (ControlActAuthorOrPerformerPerson)
-->

<rule context="hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedPerson]/hl7:participant/hl7:AssignedPerson/hl7:Organization/hl7:telecom"
         id="tmp-96440bff-a585-4929-b42e-625b02518e4f">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.14
Context: hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedPerson]/hl7:participant/hl7:AssignedPerson/hl7:Organization/hl7:name
Item: (ControlActAuthorOrPerformerPerson)
-->

<rule context="hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedPerson]/hl7:participant/hl7:AssignedPerson/hl7:Organization/hl7:name"
         id="tmp-d9398969-ffc9-4fe6-a33c-7cf8f5443292">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.14
Context: hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedPerson]/hl7:participant/hl7:AssignedPerson/hl7:Organization/hl7:addr
Item: (ControlActAuthorOrPerformerPerson)
-->

<rule context="hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedPerson]/hl7:participant/hl7:AssignedPerson/hl7:Organization/hl7:addr"
         id="tmp-095e3b4d-db6c-4150-84f7-c8e8d7c25111">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.14
Context: hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:overseer
Item: (ControlActOverseerPerson)
-->

<rule context="hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:overseer"
         id="tmp-ada00f14-a684-4cbd-bce1-06dd4ff8dbd9">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="@typeCode='RESP' or not(@typeCode)">(ControlActOverseerPerson): de waarde van @typeCode MOET 'RESP' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="count(hl7:AssignedPerson)&gt;=1 and not(hl7:AssignedPerson/@nullFlavor)">(ControlActOverseerPerson): element hl7:AssignedPerson is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="count(hl7:AssignedPerson)&lt;=1">(ControlActOverseerPerson): element hl7:AssignedPerson komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.14
Context: hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:overseer/hl7:AssignedPerson
Item: (ControlActOverseerPerson)
-->

<rule context="hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:overseer/hl7:AssignedPerson"
         id="tmp-cf2679e5-8b6c-40ea-b3d6-7a6a8dc6ff45">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(ControlActOverseerPerson): element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="count(hl7:id)&lt;=1">(ControlActOverseerPerson): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(ControlActOverseerPerson): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="count(hl7:code)&lt;=1">(ControlActOverseerPerson): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="count(hl7:assignedPrincipalChoiceList)&gt;=1 and not(hl7:assignedPrincipalChoiceList/@nullFlavor)">(ControlActOverseerPerson): element hl7:assignedPrincipalChoiceList is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="count(hl7:assignedPrincipalChoiceList)&lt;=1">(ControlActOverseerPerson): element hl7:assignedPrincipalChoiceList komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="count(hl7:Organization)&gt;=1 and not(hl7:Organization/@nullFlavor)">(ControlActOverseerPerson): element hl7:Organization is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="count(hl7:Organization)&lt;=1">(ControlActOverseerPerson): element hl7:Organization komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.14
Context: hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:overseer/hl7:AssignedPerson/hl7:id
Item: (ControlActOverseerPerson)
-->

<rule context="hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:overseer/hl7:AssignedPerson/hl7:id"
         id="tmp-5f6257b0-e573-41b7-b718-438b44253493">
      <let name="theValue" value="@value"/>
      <assert role="error" test="@root='2.16.528.1.1007.3.1' and @extension">(ControlActOverseerPerson): Control Act: <name path=".."/>/<name/> moet een UZI-nummer bevatten</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.14
Context: hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:overseer/hl7:AssignedPerson/hl7:code
Item: (ControlActOverseerPerson)
-->

<rule context="hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:overseer/hl7:AssignedPerson/hl7:code"
         id="tmp-8313f524-0583-4892-ae5a-9ce8bf82cf3b">
      <let name="theValue" value="@value"/>
      <assert role="error"
              test="@codeSystem='2.16.840.1.113883.2.4.15.111' and not(@code='00.000')">(ControlActOverseerPerson): Control Act: <name path=".."/>/<name/> moet een UZI-register rolcode bevatten en deze mag niet 00.000 zijn</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.14
Context: hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:overseer/hl7:AssignedPerson/hl7:assignedPrincipalChoiceList
Item: (ControlActOverseerPerson)
-->

<rule context="hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:overseer/hl7:AssignedPerson/hl7:assignedPrincipalChoiceList"
         id="tmp-ba0797f7-41d0-44d7-a76f-598f3430f46d">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="count(hl7:assignedPerson)&gt;=1 and not(hl7:assignedPerson/@nullFlavor)">(ControlActOverseerPerson): element hl7:assignedPerson is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="count(hl7:assignedPerson)&lt;=1">(ControlActOverseerPerson): element hl7:assignedPerson komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.14
Context: hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:overseer/hl7:AssignedPerson/hl7:assignedPrincipalChoiceList/hl7:assignedPerson
Item: (ControlActOverseerPerson)
-->

<rule context="hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:overseer/hl7:AssignedPerson/hl7:assignedPrincipalChoiceList/hl7:assignedPerson"
         id="tmp-69d88a41-0018-4f9d-90e6-f47f1aab0422">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)">(ControlActOverseerPerson): element hl7:name is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="count(hl7:name)&lt;=1">(ControlActOverseerPerson): element hl7:name komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.14
Context: hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:overseer/hl7:AssignedPerson/hl7:assignedPrincipalChoiceList/hl7:assignedPerson/hl7:name
Item: (ControlActOverseerPerson)
-->

<rule context="hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:overseer/hl7:AssignedPerson/hl7:assignedPrincipalChoiceList/hl7:assignedPerson/hl7:name"
         id="tmp-5248592b-0236-45de-9430-ca7a3b12d646">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.14
Context: hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:overseer/hl7:AssignedPerson/hl7:Organization
Item: (ControlActOverseerPerson)
-->

<rule context="hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:overseer/hl7:AssignedPerson/hl7:Organization"
         id="tmp-a3b33e3d-58b8-48ac-91c1-323fab8da4bb">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(ControlActOverseerPerson): element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="count(hl7:id)&lt;=1">(ControlActOverseerPerson): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="count(hl7:code)&lt;=1">(ControlActOverseerPerson): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)">(ControlActOverseerPerson): element hl7:name is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="count(hl7:name)&lt;=1">(ControlActOverseerPerson): element hl7:name komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="count(hl7:addr)&gt;=1 and not(hl7:addr/@nullFlavor)">(ControlActOverseerPerson): element hl7:addr is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="count(hl7:addr)&lt;=1">(ControlActOverseerPerson): element hl7:addr komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.14
Context: hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:overseer/hl7:AssignedPerson/hl7:Organization/hl7:id
Item: (ControlActOverseerPerson)
-->

<rule context="hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:overseer/hl7:AssignedPerson/hl7:Organization/hl7:id"
         id="tmp-eb75a2f0-3f54-4fb2-bec6-bbdc69a5954e">
      <let name="theValue" value="@value"/>
      <assert role="error" test="@root='2.16.528.1.1007.3.3' and @extension">(ControlActOverseerPerson): Control Act: <name path=".."/>/<name/> moet een URA bevatten</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.14
Context: hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:overseer/hl7:AssignedPerson/hl7:Organization/hl7:code
Item: (ControlActOverseerPerson)
-->

<rule context="hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:overseer/hl7:AssignedPerson/hl7:Organization/hl7:code"
         id="tmp-86dda8db-e6b5-4b3e-9092-b0ba812012f8">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.15.1060')">(ControlActOverseerPerson): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.15.1060'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.14
Context: hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:overseer/hl7:AssignedPerson/hl7:Organization/hl7:name
Item: (ControlActOverseerPerson)
-->

<rule context="hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:overseer/hl7:AssignedPerson/hl7:Organization/hl7:name"
         id="tmp-a37060b9-0702-4e4e-98dd-1693f9a63044">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.14
Context: hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:overseer/hl7:AssignedPerson/hl7:Organization/hl7:addr
Item: (ControlActOverseerPerson)
-->

<rule context="hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:overseer/hl7:AssignedPerson/hl7:Organization/hl7:addr"
         id="tmp-de29fb20-3b6e-4db3-af67-5b93cc183557">
      <let name="theValue" value="@value"/>
      <assert role="error" test="hl7:city">(ControlActOverseerPerson): Control Act: <name path=".."/>/<name/> moet tenminste de vestigingsplaats bevatten</assert>
   </rule>


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.14
Context: hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.180']]]
Item: (VersturenVaccinaties)
--></pattern>
