<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.100.140
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.100.140">
   <title>Bericht 3 Geldige partijnummers (payload)</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.140
Context: *[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]
Item: (VersturenGeldigePartijnummers-payload)
-->

<rule context="*[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]"
         id="tmp-201d286d-fdcc-477e-aec3-f76c42da2415">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.140.html"
              test="count(hl7:ProductList)&gt;=1 and not(hl7:ProductList/@nullFlavor)">(VersturenGeldigePartijnummers-payload): element hl7:ProductList is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.140.html"
              test="count(hl7:ProductList)&lt;=1">(VersturenGeldigePartijnummers-payload): element hl7:ProductList komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.140
Context: *[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList
Item: (VersturenGeldigePartijnummers-payload)
-->

<rule context="*[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList"
         id="tmp-68d000c6-c0dc-46e7-9193-641456ee3a05">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.140.html"
              test="@classCode='LIST' or not(@classCode)">(VersturenGeldigePartijnummers-payload): de waarde van @classCode MOET 'LIST' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.140.html"
              test="@moodCode='EVN' or not(@moodCode)">(VersturenGeldigePartijnummers-payload): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.140.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.140'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.140']/@nullFlavor)">(VersturenGeldigePartijnummers-payload): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.140'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.140.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.140'])&lt;=1">(VersturenGeldigePartijnummers-payload): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.140'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.140.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(VersturenGeldigePartijnummers-payload): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.140.html"
              test="count(hl7:code)&lt;=1">(VersturenGeldigePartijnummers-payload): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.140.html"
              test="count(hl7:effectiveTime)&gt;=1 and not(hl7:effectiveTime/@nullFlavor)">(VersturenGeldigePartijnummers-payload): element hl7:effectiveTime is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.140.html"
              test="count(hl7:effectiveTime)&lt;=1">(VersturenGeldigePartijnummers-payload): element hl7:effectiveTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.140.html"
              test="count(hl7:product)&gt;=1 and not(hl7:product/@nullFlavor)">(VersturenGeldigePartijnummers-payload): element hl7:product is mandatory [min 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.140
Context: *[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.140']
Item: (VersturenGeldigePartijnummers-payload)
-->

<rule context="*[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.140']"
         id="tmp-b900b2ec-f5b0-42f8-917a-35f5ab904ea4">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.140.html"
              test="@root='2.16.840.1.113883.2.4.6.10.100.140'">(VersturenGeldigePartijnummers-payload): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.140' hebben.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.140.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(VersturenGeldigePartijnummers-payload): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.140
Context: *[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList/hl7:code
Item: (VersturenGeldigePartijnummers-payload)
-->

<rule context="*[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList/hl7:code"
         id="tmp-aff1b8a3-6755-4623-8297-82c9dce5483b">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.140.html"
              test="@nullFlavor or (@code='373873005' and @codeSystem='2.16.840.1.113883.6.96' and @displayName='Pharmaceutical / biologic product')">(VersturenGeldigePartijnummers-payload): de waarde van @code/@codeSystem MOET ''373873005' codeSystem '2.16.840.1.113883.6.96' displayName='Pharmaceutical / biologic product'' zijn.</assert>
   </rule>


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.140
Context: *[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList/hl7:effectiveTime
Item: (VersturenGeldigePartijnummers-payload)
-->
<rule context="*[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList/hl7:effectiveTime"
         id="tmp-dd890673-4295-4dfc-80eb-f8a073fc1e8d">
      <extends rule="tmp-a628200b-c3d7-4dc1-b1c3-91291b954c11"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.140.html"
              test="count(hl7:low)&gt;=1 and not(hl7:low/@nullFlavor)">(VersturenGeldigePartijnummers-payload): element hl7:low is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.140.html"
              test="count(hl7:low)&lt;=1">(VersturenGeldigePartijnummers-payload): element hl7:low komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.140.html"
              test="count(hl7:high)&gt;=1 and not(hl7:high/@nullFlavor)">(VersturenGeldigePartijnummers-payload): element hl7:high is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.140.html"
              test="count(hl7:high)&lt;=1">(VersturenGeldigePartijnummers-payload): element hl7:high komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.140.html"
              test="count(hl7:center)=0">(VersturenGeldigePartijnummers-payload): element hl7:center MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.140.html"
              test="count(hl7:width)=0">(VersturenGeldigePartijnummers-payload): element hl7:width MAG NIET voorkomen.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.140
Context: *[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList/hl7:effectiveTime/hl7:low
Item: (VersturenGeldigePartijnummers-payload)
-->
<rule context="*[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList/hl7:effectiveTime/hl7:low"
         id="tmp-9a91e6f9-e54c-41cf-a1c4-c9b67d26c946">
      <extends rule="tmp-313cec08-3fbd-4968-ac70-942f2cefefae"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.140.html"
              test="(@nullFlavor or (string-length(string($theValue))&gt;=14))">(VersturenGeldigePartijnummers-payload): value MOET een stringlengte in bereik [14..*] hebben </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.140
Context: *[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList/hl7:effectiveTime/hl7:high
Item: (VersturenGeldigePartijnummers-payload)
-->
<rule context="*[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList/hl7:effectiveTime/hl7:high"
         id="tmp-6283e514-5c7c-42c5-b2f6-4a6e49f96b3e">
      <extends rule="tmp-2091d650-efd6-481a-a7e9-291aa1c64c89"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.140.html"
              test="(@nullFlavor or (string-length(string($theValue))&gt;=14))">(VersturenGeldigePartijnummers-payload): value MOET een stringlengte in bereik [14..*] hebben </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.140
Context: *[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList/hl7:effectiveTime/hl7:center
Item: (VersturenGeldigePartijnummers-payload)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.140
Context: *[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList/hl7:effectiveTime/hl7:width
Item: (VersturenGeldigePartijnummers-payload)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.140
Context: *[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList
Item: (Periode-M-Start-M-Eind-M)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.140
Context: *[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList/hl7:effectiveTime
Item: (Periode-M-Start-M-Eind-M)
-->
<rule id="tmp-a628200b-c3d7-4dc1-b1c3-91291b954c11" abstract="true">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.140.html"
              test="count(hl7:low)&gt;=1 and not(hl7:low/@nullFlavor)">(Periode-M-Start-M-Eind-M): element hl7:low is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.140.html"
              test="count(hl7:low)&lt;=1">(Periode-M-Start-M-Eind-M): element hl7:low komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.140.html"
              test="count(hl7:high)&gt;=1 and not(hl7:high/@nullFlavor)">(Periode-M-Start-M-Eind-M): element hl7:high is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.140.html"
              test="count(hl7:high)&lt;=1">(Periode-M-Start-M-Eind-M): element hl7:high komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.140.html"
              test="count(hl7:width)=0">(Periode-M-Start-M-Eind-M): element hl7:width MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.140.html"
              test="count(hl7:center)=0">(Periode-M-Start-M-Eind-M): element hl7:center MAG NIET voorkomen.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.140
Context: *[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList/hl7:effectiveTime/hl7:low
Item: (Periode-M-Start-M-Eind-M)
-->
<rule id="tmp-313cec08-3fbd-4968-ac70-942f2cefefae" abstract="true">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.140
Context: *[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList/hl7:effectiveTime/hl7:high
Item: (Periode-M-Start-M-Eind-M)
-->
<rule id="tmp-2091d650-efd6-481a-a7e9-291aa1c64c89" abstract="true">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.140
Context: *[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList/hl7:effectiveTime/hl7:width
Item: (Periode-M-Start-M-Eind-M)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.140
Context: *[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList/hl7:effectiveTime/hl7:center
Item: (Periode-M-Start-M-Eind-M)
-->
<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.140
Context: *[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList/hl7:product
Item: (VersturenGeldigePartijnummers-payload)
-->

<rule context="*[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList/hl7:product"
         id="tmp-59214f50-5613-4560-b6b3-7b5acbcb074c">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.140.html"
              test="@typeCode='PRD'">(VersturenGeldigePartijnummers-payload): de waarde van @typeCode MOET 'PRD' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.140.html"
              test="count(hl7:instanceOfKind)&gt;=1 and not(hl7:instanceOfKind/@nullFlavor)">(VersturenGeldigePartijnummers-payload): element hl7:instanceOfKind is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.140.html"
              test="count(hl7:instanceOfKind)&lt;=1">(VersturenGeldigePartijnummers-payload): element hl7:instanceOfKind komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.140
Context: *[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList/hl7:product/hl7:instanceOfKind
Item: (VersturenGeldigePartijnummers-payload)
-->

<rule context="*[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList/hl7:product/hl7:instanceOfKind"
         id="tmp-02ba010b-15ac-457a-b858-e64c54cf5b5b">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.140.html"
              test="@classCode='INST'">(VersturenGeldigePartijnummers-payload): de waarde van @classCode MOET 'INST' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.140.html"
              test="count(hl7:productInstanceInstance)&gt;=1 and not(hl7:productInstanceInstance/@nullFlavor)">(VersturenGeldigePartijnummers-payload): element hl7:productInstanceInstance is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.140.html"
              test="count(hl7:productInstanceInstance)&lt;=1">(VersturenGeldigePartijnummers-payload): element hl7:productInstanceInstance komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.140.html"
              test="count(hl7:kindOfProduct)&lt;=1">(VersturenGeldigePartijnummers-payload): element hl7:kindOfProduct komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.140
Context: *[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList/hl7:product/hl7:instanceOfKind/hl7:productInstanceInstance
Item: (VersturenGeldigePartijnummers-payload)
-->

<rule context="*[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList/hl7:product/hl7:instanceOfKind/hl7:productInstanceInstance"
         id="tmp-19d13686-3657-4255-8e63-9e19983b1d6a">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.140.html"
              test="@classCode='MMAT'">(VersturenGeldigePartijnummers-payload): de waarde van @classCode MOET 'MMAT' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.140.html"
              test="@determinerCode='INSTANCE'">(VersturenGeldigePartijnummers-payload): de waarde van @determinerCode MOET 'INSTANCE' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.140.html"
              test="count(hl7:id)&gt;=1 ">(VersturenGeldigePartijnummers-payload): element hl7:id is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.140.html"
              test="count(hl7:id)&lt;=1">(VersturenGeldigePartijnummers-payload): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.140.html"
              test="count(hl7:expirationTime)&lt;=1">(VersturenGeldigePartijnummers-payload): element hl7:expirationTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.140.html"
              test="count(hl7:asInstanceOfKind)&gt;=1 and not(hl7:asInstanceOfKind/@nullFlavor)">(VersturenGeldigePartijnummers-payload): element hl7:asInstanceOfKind is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.140.html"
              test="count(hl7:asInstanceOfKind)&lt;=1">(VersturenGeldigePartijnummers-payload): element hl7:asInstanceOfKind komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.140
Context: *[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList/hl7:product/hl7:instanceOfKind/hl7:productInstanceInstance/hl7:id
Item: (VersturenGeldigePartijnummers-payload)
-->

<rule context="*[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList/hl7:product/hl7:instanceOfKind/hl7:productInstanceInstance/hl7:id"
         id="tmp-20119098-be0c-4ae7-be31-7dd5cd534dd4">
      <let name="theValue" value="@value"/>
      <assert role="error" test="@extension and (@root or @nullFlavor='UNC')">(VersturenGeldigePartijnummers-payload): Er MOET tenminste een partijnummer in @extension staan. Het attribuut @root MOET een waarde bevatten of @nullFlavor='UNC'.</assert>
   </rule>


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.140
Context: *[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList/hl7:product/hl7:instanceOfKind/hl7:productInstanceInstance/hl7:expirationTime
Item: (VersturenGeldigePartijnummers-payload)
-->
<rule context="*[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList/hl7:product/hl7:instanceOfKind/hl7:productInstanceInstance/hl7:expirationTime"
         id="tmp-f94162ae-602f-4deb-837c-90d6d9294625">
      <extends rule="tmp-b575fb53-73b2-41bb-b5e9-3e4fe8aa70af"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.140.html"
              test="count(hl7:low)=0">(VersturenGeldigePartijnummers-payload): element hl7:low MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.140.html"
              test="count(hl7:high)&gt;=1 and not(hl7:high/@nullFlavor)">(VersturenGeldigePartijnummers-payload): element hl7:high is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.140.html"
              test="count(hl7:high)&lt;=1">(VersturenGeldigePartijnummers-payload): element hl7:high komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.140
Context: *[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList/hl7:product/hl7:instanceOfKind/hl7:productInstanceInstance/hl7:expirationTime/hl7:low
Item: (VersturenGeldigePartijnummers-payload)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.140
Context: *[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList/hl7:product/hl7:instanceOfKind/hl7:productInstanceInstance/hl7:expirationTime/hl7:high
Item: (VersturenGeldigePartijnummers-payload)
-->
<rule context="*[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList/hl7:product/hl7:instanceOfKind/hl7:productInstanceInstance/hl7:expirationTime/hl7:high"
         id="tmp-71f6b387-ac74-4e93-a7e0-1f5c65426499">
      <extends rule="tmp-df3886a1-c1b9-488e-a028-b954cdda892a"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.140
Context: *[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList/hl7:product/hl7:instanceOfKind/hl7:productInstanceInstance
Item: (Periode-O-Start-O-Eind-O)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.140
Context: *[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList/hl7:product/hl7:instanceOfKind/hl7:productInstanceInstance/hl7:expirationTime
Item: (Periode-O-Start-O-Eind-O)
-->
<rule id="tmp-b575fb53-73b2-41bb-b5e9-3e4fe8aa70af" abstract="true">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.140.html"
              test="@nullFlavor='UNK' or not(@nullFlavor)">(Periode-O-Start-O-Eind-O): de waarde van @nullFlavor MOET 'UNK' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.140.html"
              test="count(hl7:low)&lt;=1">(Periode-O-Start-O-Eind-O): element hl7:low komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.140.html"
              test="count(hl7:high)&lt;=1">(Periode-O-Start-O-Eind-O): element hl7:high komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.140.html"
              test="count(hl7:width)=0">(Periode-O-Start-O-Eind-O): element hl7:width MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.140.html"
              test="count(hl7:center)=0">(Periode-O-Start-O-Eind-O): element hl7:center MAG NIET voorkomen.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.140
Context: *[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList/hl7:product/hl7:instanceOfKind/hl7:productInstanceInstance/hl7:expirationTime/hl7:low
Item: (Periode-O-Start-O-Eind-O)
-->
<rule context="*[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList/hl7:product/hl7:instanceOfKind/hl7:productInstanceInstance/hl7:expirationTime/hl7:low"
         id="tmp-9558b064-55a6-42c5-b803-be47cefa32ff">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.140.html"
              test="@nullFlavor='UNK' or not(@nullFlavor)">(Periode-O-Start-O-Eind-O): de waarde van @nullFlavor MOET 'UNK' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.140
Context: *[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList/hl7:product/hl7:instanceOfKind/hl7:productInstanceInstance/hl7:expirationTime/hl7:high
Item: (Periode-O-Start-O-Eind-O)
-->
<rule id="tmp-df3886a1-c1b9-488e-a028-b954cdda892a" abstract="true">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.140.html"
              test="@nullFlavor='UNK' or not(@nullFlavor)">(Periode-O-Start-O-Eind-O): de waarde van @nullFlavor MOET 'UNK' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.140
Context: *[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList/hl7:product/hl7:instanceOfKind/hl7:productInstanceInstance/hl7:expirationTime/hl7:width
Item: (Periode-O-Start-O-Eind-O)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.140
Context: *[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList/hl7:product/hl7:instanceOfKind/hl7:productInstanceInstance/hl7:expirationTime/hl7:center
Item: (Periode-O-Start-O-Eind-O)
-->
<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.140
Context: *[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList/hl7:product/hl7:instanceOfKind/hl7:productInstanceInstance/hl7:asInstanceOfKind
Item: (VersturenGeldigePartijnummers-payload)
-->

<rule context="*[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList/hl7:product/hl7:instanceOfKind/hl7:productInstanceInstance/hl7:asInstanceOfKind"
         id="tmp-a4872b89-c0e9-491a-a20f-9a0e2288b852">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.140.html"
              test="@classCode='INST'">(VersturenGeldigePartijnummers-payload): de waarde van @classCode MOET 'INST' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.140.html"
              test="count(hl7:kindOfMaterialKind)&gt;=1 and not(hl7:kindOfMaterialKind/@nullFlavor)">(VersturenGeldigePartijnummers-payload): element hl7:kindOfMaterialKind is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.140.html"
              test="count(hl7:kindOfMaterialKind)&lt;=1">(VersturenGeldigePartijnummers-payload): element hl7:kindOfMaterialKind komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.140
Context: *[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList/hl7:product/hl7:instanceOfKind/hl7:productInstanceInstance/hl7:asInstanceOfKind/hl7:kindOfMaterialKind
Item: (VersturenGeldigePartijnummers-payload)
-->

<rule context="*[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList/hl7:product/hl7:instanceOfKind/hl7:productInstanceInstance/hl7:asInstanceOfKind/hl7:kindOfMaterialKind"
         id="tmp-b0e0c626-f123-45b9-b678-7a99158723cb">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.140.html"
              test="@classCode='MAT'">(VersturenGeldigePartijnummers-payload): de waarde van @classCode MOET 'MAT' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.140.html"
              test="@determinerCode='KIND'">(VersturenGeldigePartijnummers-payload): de waarde van @determinerCode MOET 'KIND' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.140.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(VersturenGeldigePartijnummers-payload): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.140.html"
              test="count(hl7:code)&lt;=1">(VersturenGeldigePartijnummers-payload): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.140
Context: *[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList/hl7:product/hl7:instanceOfKind/hl7:productInstanceInstance/hl7:asInstanceOfKind/hl7:kindOfMaterialKind/hl7:code
Item: (VersturenGeldigePartijnummers-payload)
-->

<rule context="*[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList/hl7:product/hl7:instanceOfKind/hl7:productInstanceInstance/hl7:asInstanceOfKind/hl7:kindOfMaterialKind/hl7:code"
         id="tmp-9fc2c3ba-f66d-4c59-ba35-11969dfb1710">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.140.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.76')">(VersturenGeldigePartijnummers-payload): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.76'' zijn.</assert>
      <assert role="error" test="@displayName">(VersturenGeldigePartijnummers-payload): 
                                            <name path=".."/>/<name/>/@displayName MOET de weergavenaam bevatten</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.140
Context: *[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList/hl7:product/hl7:instanceOfKind/hl7:kindOfProduct
Item: (VersturenGeldigePartijnummers-payload)
-->

<rule context="*[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList/hl7:product/hl7:instanceOfKind/hl7:kindOfProduct"
         id="tmp-19e2f708-35e1-472c-a576-7997a08f9e0b">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.140.html"
              test="@classCode='MAT'">(VersturenGeldigePartijnummers-payload): de waarde van @classCode MOET 'MAT' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.140.html"
              test="@determinerCode='KIND'">(VersturenGeldigePartijnummers-payload): de waarde van @determinerCode MOET 'KIND' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.140.html"
              test="count(hl7:code)&gt;=1 ">(VersturenGeldigePartijnummers-payload): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.140.html"
              test="count(hl7:code)&lt;=1">(VersturenGeldigePartijnummers-payload): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.140
Context: *[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList/hl7:product/hl7:instanceOfKind/hl7:kindOfProduct/hl7:code
Item: (VersturenGeldigePartijnummers-payload)
-->

<rule context="*[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList/hl7:product/hl7:instanceOfKind/hl7:kindOfProduct/hl7:code"
         id="tmp-c1f844db-a47b-4427-9076-5baeafd333fe">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.140.html"
              test="@nullFlavor='OTH' or not(@nullFlavor)">(VersturenGeldigePartijnummers-payload): de waarde van @nullFlavor MOET 'OTH' zijn.</assert>
      <assert role="error"
              test="@nullFlavor or (@code and @codeSystem and @displayName)">(VersturenGeldigePartijnummers-payload): Als er geen @nullFlavor is, dan MOETEN @code, @codeSystem én @displayName een waarde bevatten.</assert>
      <assert role="error"
              test="not(@nullFlavor) or (@nullFlavor='OTH' and hl7:originalText)">(VersturenGeldigePartijnummers-payload): Als er een @nullFlavor is dan MOET de waarde 'OTH' zijn en MOET originalText de omschrijving bevatten.</assert>
   </rule>
</pattern>
