<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.100.200
Description: Dit is het template voor een control act wrapper in een agerend bericht. AuthorOrPerformer en Overseer worden hierin niet gecontroleerd. Deze worden in separate templates gedefinieerd
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.100.200">
   <title>ControlAct Initiating</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.200
Context: hl7:ControlActProcess
Item: (ControlActWrapperMCAI_MT700201)
-->

<rule context="hl7:ControlActProcess"
         id="tmp-817c7c22-dd28-4e05-817d-faea6a065de7">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.200.html"
              test="@moodCode='EVN'">(ControlActWrapperMCAI_MT700201): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.200.html"
              test="count(hl7:id)&lt;=1">(ControlActWrapperMCAI_MT700201): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.200.html"
              test="count(hl7:code)&lt;=1">(ControlActWrapperMCAI_MT700201): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.200.html"
              test="count(hl7:text)=0">(ControlActWrapperMCAI_MT700201): element hl7:text MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.200.html"
              test="count(hl7:effectiveTime)&lt;=1">(ControlActWrapperMCAI_MT700201): element hl7:effectiveTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.200.html"
              test="count(hl7:reasonCode)=0">(ControlActWrapperMCAI_MT700201): element hl7:reasonCode MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.200.html"
              test="count(hl7:languageCode)=0">(ControlActWrapperMCAI_MT700201): element hl7:languageCode MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.200.html"
              test="count(hl7:informationRecipient)=0">(ControlActWrapperMCAI_MT700201): element hl7:informationRecipient MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.200.html"
              test="count(hl7:dataEnterer)=0">(ControlActWrapperMCAI_MT700201): element hl7:dataEnterer MAG NIET voorkomen.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.200
Context: hl7:ControlActProcess/hl7:id
Item: (ControlActWrapperMCAI_MT700201)
-->

<rule context="hl7:ControlActProcess/hl7:id"
         id="tmp-e57913ef-59e1-44c9-9e71-9743e596bd84">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.200
Context: hl7:ControlActProcess/hl7:code
Item: (ControlActWrapperMCAI_MT700201)
-->

<rule context="hl7:ControlActProcess/hl7:code"
         id="tmp-50029edc-d88b-4cef-ad35-b9d0eaed6fa8">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.200.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.1.18')">(ControlActWrapperMCAI_MT700201): de waarde van @codeSystem MOET ''2.16.840.1.113883.1.18'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.200
Context: hl7:ControlActProcess/hl7:text
Item: (ControlActWrapperMCAI_MT700201)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.200
Context: hl7:ControlActProcess/hl7:effectiveTime
Item: (ControlActWrapperMCAI_MT700201)
-->

<rule context="hl7:ControlActProcess/hl7:effectiveTime"
         id="tmp-ccc12cd7-ad6f-4f6f-9d00-acb21b8fb184">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.200
Context: hl7:ControlActProcess/hl7:reasonCode
Item: (ControlActWrapperMCAI_MT700201)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.200
Context: hl7:ControlActProcess/hl7:languageCode
Item: (ControlActWrapperMCAI_MT700201)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.200
Context: hl7:ControlActProcess/hl7:informationRecipient
Item: (ControlActWrapperMCAI_MT700201)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.200
Context: hl7:ControlActProcess/hl7:dataEnterer
Item: (ControlActWrapperMCAI_MT700201)
-->
</pattern>
