<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.90.1
Description: Template voor CDA document Jonge zwangerschapsecho (JZE)
-->
<pattern xmlns:xs="http://www.w3.org/2001/XMLSchema"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xmlns:hl7="urn:hl7-org:v3"
         xmlns="http://purl.oclc.org/dsdl/schematron"
         xmlns:sch="http://www.ascc.net/xml/schematron"
         xmlns:uuid="java:java.util.UUID"
         id="template-2.16.840.1.113883.2.4.6.10.90.1">
   <title>Jonge zwangerschapsecho (JZE)</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.1
Context: //
Item: (TMP cdajze1b)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.1
Context: //hl7:ClinicalDocument
Item: (TMP cdajze1b)
-->

<rule context="//hl7:ClinicalDocument" id="tmp-f1c57b4a-436a-48e8-a953-e685e9e92704">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.1.html"
              test="count(hl7:realmCode)&gt;=1 and not(hl7:realmCode/@nullFlavor)">(TMP cdajze1b): element hl7:realmCode is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.1.html"
              test="count(hl7:realmCode)&lt;=1">(TMP cdajze1b): element hl7:realmCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.1.html"
              test="count(hl7:typeId[@root='2.16.840.1.113883.1.3'])&gt;=1 and not(hl7:typeId[@root='2.16.840.1.113883.1.3']/@nullFlavor)">(TMP cdajze1b): element hl7:typeId[@root='2.16.840.1.113883.1.3'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.1.html"
              test="count(hl7:typeId[@root='2.16.840.1.113883.1.3'])&lt;=1">(TMP cdajze1b): element hl7:typeId[@root='2.16.840.1.113883.1.3'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.1.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.1'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.1']/@nullFlavor)">(TMP cdajze1b): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.1'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.1.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.1'])&lt;=1">(TMP cdajze1b): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.1'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.1.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(TMP cdajze1b): element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.1.html"
              test="count(hl7:id)&lt;=1">(TMP cdajze1b): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.1.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(TMP cdajze1b): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.1.html"
              test="count(hl7:code)&lt;=1">(TMP cdajze1b): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.1.html"
              test="count(hl7:title)&lt;=1">(TMP cdajze1b): element hl7:title komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.1.html"
              test="count(hl7:effectiveTime)&gt;=1 and not(hl7:effectiveTime/@nullFlavor)">(TMP cdajze1b): element hl7:effectiveTime is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.1.html"
              test="count(hl7:effectiveTime)&lt;=1">(TMP cdajze1b): element hl7:effectiveTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.1.html"
              test="count(hl7:confidentialityCode)&gt;=1 and not(hl7:confidentialityCode/@nullFlavor)">(TMP cdajze1b): element hl7:confidentialityCode is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.1.html"
              test="count(hl7:confidentialityCode)&lt;=1">(TMP cdajze1b): element hl7:confidentialityCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.1.html"
              test="count(hl7:languageCode)&gt;=1 and not(hl7:languageCode/@nullFlavor)">(TMP cdajze1b): element hl7:languageCode is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.1.html"
              test="count(hl7:languageCode)&lt;=1">(TMP cdajze1b): element hl7:languageCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.1.html"
              test="count(hl7:setId)&lt;=1">(TMP cdajze1b): element hl7:setId komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.1.html"
              test="count(hl7:versionNumber)&lt;=1">(TMP cdajze1b): element hl7:versionNumber komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.1.html"
              test="count(hl7:recordTarget)&gt;=1 and not(hl7:recordTarget/@nullFlavor)">(TMP cdajze1b): element hl7:recordTarget is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.1.html"
              test="count(hl7:recordTarget)&lt;=1">(TMP cdajze1b): element hl7:recordTarget komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.1.html"
              test="count(hl7:author)&gt;=1 and not(hl7:author/@nullFlavor)">(TMP cdajze1b): element hl7:author is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.1.html"
              test="count(hl7:custodian)&gt;=1 and not(hl7:custodian/@nullFlavor)">(TMP cdajze1b): element hl7:custodian is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.1.html"
              test="count(hl7:custodian)&lt;=1">(TMP cdajze1b): element hl7:custodian komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.1.html"
              test="count(hl7:legalAuthenticator)&lt;=1">(TMP cdajze1b): element hl7:legalAuthenticator komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.1.html"
              test="count(hl7:relatedDocument)&lt;=1">(TMP cdajze1b): element hl7:relatedDocument komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.1.html"
              test="count(hl7:documentationOf)&gt;=1 and not(hl7:documentationOf/@nullFlavor)">(TMP cdajze1b): element hl7:documentationOf is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.1.html"
              test="count(hl7:documentationOf)&lt;=1">(TMP cdajze1b): element hl7:documentationOf komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.1
Context: //hl7:ClinicalDocument/hl7:realmCode
Item: (TMP cdajze1b)
-->

<rule context="//hl7:ClinicalDocument/hl7:realmCode"
         id="tmp-f4367da3-a1cb-4b90-9bdb-b349e281b462">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.1.html"
              test="@nullFlavor or @xsi:type='CS' or not(@xsi:type)">(TMP cdajze1b): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CS" bevatten</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.1.html"
              test="@nullFlavor or (@code='NL')">(TMP cdajze1b): De waarde van @code MOET 'NL' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.1
Context: //hl7:ClinicalDocument/hl7:typeId[@root='2.16.840.1.113883.1.3']
Item: (TMP cdajze1b)
-->

<rule context="//hl7:ClinicalDocument/hl7:typeId[@root='2.16.840.1.113883.1.3']"
         id="tmp-f38a9e4a-f481-47ea-ad5f-5a130c879dba">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.1.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(TMP cdajze1b): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.1.html"
              test="@extension='POCD_HD000040'">(TMP cdajze1b): De waarde van @extension MOET 'POCD_HD000040' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.1.html"
              test="@root='2.16.840.1.113883.1.3'">(TMP cdajze1b): @root MOET de waarde '2.16.840.1.113883.1.3' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.1.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TMP cdajze1b): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.1
Context: //hl7:ClinicalDocument/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.1']
Item: (TMP cdajze1b)
-->

<rule context="//hl7:ClinicalDocument/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.1']"
         id="tmp-804d2271-38b7-43fa-9907-233effe2bd2f">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.1.html"
              test="@root='2.16.840.1.113883.2.4.6.10.90.1'">(TMP cdajze1b): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.90.1' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.1.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TMP cdajze1b): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.1
Context: //hl7:ClinicalDocument/hl7:id
Item: (TMP cdajze1b)
-->

<rule context="//hl7:ClinicalDocument/hl7:id"
         id="tmp-f9c0a208-efe1-4734-8eb9-5b4ea4b7e638">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.1.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(TMP cdajze1b): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.1
Context: //hl7:ClinicalDocument/hl7:code
Item: (TMP cdajze1b)
-->

<rule context="//hl7:ClinicalDocument/hl7:code"
         id="tmp-57d1ec57-f4e7-493b-8261-1dfb149410fd">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.1.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(TMP cdajze1b): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.1.html"
              test="@nullFlavor or (@code='11525-3' and @codeSystem='2.16.840.1.113883.6.1')">(TMP cdajze1b): De waarde van @code/@codeSystem MOET '11525-3' codeSystem '2.16.840.1.113883.6.1' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.1
Context: //hl7:ClinicalDocument/hl7:title
Item: (TMP cdajze1b)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.1
Context: //hl7:ClinicalDocument/hl7:effectiveTime
Item: (TMP cdajze1b)
-->

<rule context="//hl7:ClinicalDocument/hl7:effectiveTime"
         id="tmp-043fb4bd-d930-406e-929d-825c5010656b">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.1.html"
              test="@nullFlavor or @xsi:type='TS' or not(@xsi:type)">(TMP cdajze1b): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten</assert>
      <extends rule="TS.DATETIME.MIN"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.1
Context: //hl7:ClinicalDocument/hl7:confidentialityCode
Item: (TMP cdajze1b)
-->

<rule context="//hl7:ClinicalDocument/hl7:confidentialityCode"
         id="tmp-8a9b2625-bde6-4de0-902a-30a9dcd47ff0">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.1.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(TMP cdajze1b): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-Confidentiality-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-Confidentiality-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.1.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0 or string-length($validNullFlavorsFound)&gt;0">(TMP cdajze1b): De waarde van @code MOET worden gekozen uit Value Set Confidentiality DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.1
Context: //hl7:ClinicalDocument/hl7:languageCode
Item: (TMP cdajze1b)
-->

<rule context="//hl7:ClinicalDocument/hl7:languageCode"
         id="tmp-47a079a7-d7d8-430e-8dbb-226f9cb29eec">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.1.html"
              test="@nullFlavor or @xsi:type='CS' or not(@xsi:type)">(TMP cdajze1b): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CS" bevatten</assert>
        <extends rule="CS"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.1
Context: //hl7:ClinicalDocument/hl7:setId
Item: (TMP cdajze1b)
-->

<rule context="//hl7:ClinicalDocument/hl7:setId"
         id="tmp-1197955b-3902-45e6-b198-b37413c20c5e">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.1.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(TMP cdajze1b): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.1
Context: //hl7:ClinicalDocument/hl7:versionNumber
Item: (TMP cdajze1b)
-->

<rule context="//hl7:ClinicalDocument/hl7:versionNumber"
         id="tmp-1ebacf58-abc1-470a-8089-8b12d29aecc4">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.1.html"
              test="@nullFlavor or @xsi:type='INT' or not(@xsi:type)">(TMP cdajze1b): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "INT" bevatten</assert>
      <extends rule="INT.NONNEG"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.1.html"
              test="(@nullFlavor or (number($theValue)&gt;=1))">(TMP cdajze1b): value MOET in bereik [1..] liggen  </assert>
      <let name="digitok" value="matches($theValue, '^-?[1-9][0-9]*$|^+?[0-9]*$')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.1.html"
              test="$digitok">(TMP cdajze1b): @value is not a valid INT number <value-of select="$theValue"/>
      </assert>
      <assert role="error"
              test="(../hl7:setId and ../hl7:versionNumber) or not (../hl7:setId or ../hl7:versionNumber)">(TMP cdajze1b): Clinical Document setId and versionNumber must be both present or
                        both absent</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.1
Context: //hl7:ClinicalDocument/hl7:recordTarget
Item: (TMP cdajze1b)
-->

<rule context="//hl7:ClinicalDocument/hl7:recordTarget"
         id="tmp-817f3f6d-570f-4e60-b509-59c223fa195e">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.1.html"
              test="@contextControlCode='OP' ">(TMP cdajze1b): De waarde van @contextControlCode MOET 'OP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.1.html"
              test="@typeCode='RCT' ">(TMP cdajze1b): De waarde van @typeCode MOET 'RCT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.1.html"
              test="count(hl7:patientRole)&gt;=1 and not(hl7:patientRole/@nullFlavor)">(TMP cdajze1b): element hl7:patientRole is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.1.html"
              test="count(hl7:patientRole)&lt;=1">(TMP cdajze1b): element hl7:patientRole komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.1
Context: //hl7:ClinicalDocument/hl7:recordTarget/hl7:patientRole
Item: (TMP cdajze1b)
-->

<rule context="//hl7:ClinicalDocument/hl7:recordTarget/hl7:patientRole"
         id="tmp-c2bc8eef-e59b-4b71-b4c2-e5035b675511">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.1.html"
              test="@classCode='PAT' ">(TMP cdajze1b): De waarde van @classCode MOET 'PAT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.1.html"
              test="count(hl7:id[@root='2.16.840.1.113883.2.4.6.3'])&gt;=1 and not(hl7:id[@root='2.16.840.1.113883.2.4.6.3']/@nullFlavor)">(TMP cdajze1b): element hl7:id[@root='2.16.840.1.113883.2.4.6.3'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.1.html"
              test="count(hl7:addr)&lt;=2">(TMP cdajze1b): element hl7:addr komt te vaak voor [max 2x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.1.html"
              test="count(hl7:patient)&gt;=1 and not(hl7:patient/@nullFlavor)">(TMP cdajze1b): element hl7:patient is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.1.html"
              test="count(hl7:patient)&lt;=1">(TMP cdajze1b): element hl7:patient komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.1
Context: //hl7:ClinicalDocument/hl7:recordTarget/hl7:patientRole/hl7:id[@root='2.16.840.1.113883.2.4.6.3']
Item: (TMP cdajze1b)
-->

<rule context="//hl7:ClinicalDocument/hl7:recordTarget/hl7:patientRole/hl7:id[@root='2.16.840.1.113883.2.4.6.3']"
         id="tmp-1d44990b-01d2-42f9-91d6-a795a118a4ea">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.1.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(TMP cdajze1b): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.1.html"
              test="@root='2.16.840.1.113883.2.4.6.3'">(TMP cdajze1b): @root MOET de waarde '2.16.840.1.113883.2.4.6.3' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.1.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TMP cdajze1b): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.1
Context: //hl7:ClinicalDocument/hl7:recordTarget/hl7:patientRole/hl7:addr
Item: (TMP cdajze1b)
-->

<rule context="//hl7:ClinicalDocument/hl7:recordTarget/hl7:patientRole/hl7:addr"
         id="tmp-b4b44b9c-940a-4578-a1ef-9eaf5c40ecba">
      <assert role="error"
              test="not(@use) or string-length(normalize-space(replace (@use, 'HP|PHYS|TMP', '')))=0">(TMP cdajze1b): Attribute @use of addr SHALL contain codes HP PHYS PST or TMP
                                only</assert>
      <assert role="error" test="../hl7:addr[@use='HP' or @use='TMP PHYS']">(TMP cdajze1b): Addr SHALL be present with @use HP or TMP PHYS or both</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.1
Context: //hl7:ClinicalDocument/hl7:recordTarget/hl7:patientRole/hl7:telecom
Item: (TMP cdajze1b)
-->

<rule context="//hl7:ClinicalDocument/hl7:recordTarget/hl7:patientRole/hl7:telecom"
         id="tmp-2fe301a0-5ad3-46d4-a388-18b5d5da4862">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.1.html"
              test="@nullFlavor or @xsi:type='TEL' or not(@xsi:type)">(TMP cdajze1b): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TEL" bevatten</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.1
Context: //hl7:ClinicalDocument/hl7:recordTarget/hl7:patientRole/hl7:patient
Item: (TMP cdajze1b)
-->

<rule context="//hl7:ClinicalDocument/hl7:recordTarget/hl7:patientRole/hl7:patient"
         id="tmp-e1798753-4cf4-46c1-aaaf-cc9bd2f6305d">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.1.html"
              test="@classCode='PSN' ">(TMP cdajze1b): De waarde van @classCode MOET 'PSN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.1.html"
              test="count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)">(TMP cdajze1b): element hl7:name is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.1.html"
              test="count(hl7:name)&lt;=2">(TMP cdajze1b): element hl7:name komt te vaak voor [max 2x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.1.html"
              test="count(hl7:administrativeGenderCode)&lt;=1">(TMP cdajze1b): element hl7:administrativeGenderCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.1.html"
              test="count(hl7:birthTime)&gt;=1 and not(hl7:birthTime/@nullFlavor)">(TMP cdajze1b): element hl7:birthTime is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.1.html"
              test="count(hl7:birthTime)&lt;=1">(TMP cdajze1b): element hl7:birthTime komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.1
Context: //hl7:ClinicalDocument/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:name
Item: (TMP cdajze1b)
-->

<rule context="//hl7:ClinicalDocument/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:name"
         id="tmp-dca71423-07ee-4842-9a94-0f2433090e71">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.1.html"
              test="@nullFlavor or @xsi:type='PN' or not(@xsi:type)">(TMP cdajze1b): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "PN" bevatten</assert>
      <extends rule="PN"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.1
Context: //hl7:ClinicalDocument/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:administrativeGenderCode
Item: (TMP cdajze1b)
-->

<rule context="//hl7:ClinicalDocument/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:administrativeGenderCode"
         id="tmp-aa2b9fe9-ecdb-4865-bad0-7175285746d1">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.1.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(TMP cdajze1b): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-AdministrativeGender-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-AdministrativeGender-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.1.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0 or string-length($validNullFlavorsFound)&gt;0">(TMP cdajze1b): De waarde van @code MOET worden gekozen uit Value Set AdministrativeGender DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.1
Context: //hl7:ClinicalDocument/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:birthTime
Item: (TMP cdajze1b)
-->

<rule context="//hl7:ClinicalDocument/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:birthTime"
         id="tmp-a78e06cb-9ea8-495f-96db-4c78478b6b34">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.1.html"
              test="@nullFlavor or @xsi:type='TS' or not(@xsi:type)">(TMP cdajze1b): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.1
Context: //hl7:ClinicalDocument/hl7:author
Item: (TMP cdajze1b)
-->

<rule context="//hl7:ClinicalDocument/hl7:author"
         id="tmp-b55b8a3d-7b13-4a05-957a-95392123656d">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.1.html"
              test="@contextControlCode='OP' ">(TMP cdajze1b): De waarde van @contextControlCode MOET 'OP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.1.html"
              test="@typeCode='AUT' ">(TMP cdajze1b): De waarde van @typeCode MOET 'AUT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.1.html"
              test="count(hl7:time)&gt;=1 and not(hl7:time/@nullFlavor)">(TMP cdajze1b): element hl7:time is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.1.html"
              test="count(hl7:time)&lt;=1">(TMP cdajze1b): element hl7:time komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.1.html"
              test="count(hl7:assignedAuthor)&gt;=1 and not(hl7:assignedAuthor/@nullFlavor)">(TMP cdajze1b): element hl7:assignedAuthor is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.1.html"
              test="count(hl7:assignedAuthor)&lt;=1">(TMP cdajze1b): element hl7:assignedAuthor komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.1
Context: //hl7:ClinicalDocument/hl7:author/hl7:time
Item: (TMP cdajze1b)
-->

<rule context="//hl7:ClinicalDocument/hl7:author/hl7:time"
         id="tmp-e9ef1828-05f5-4def-9796-5141596e1cec">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.1.html"
              test="@nullFlavor or @xsi:type='TS' or not(@xsi:type)">(TMP cdajze1b): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten</assert>
      <extends rule="TS.DATE.MIN"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.1
Context: //hl7:ClinicalDocument/hl7:author/hl7:assignedAuthor
Item: (TMP cdajze1b)
-->

<rule context="//hl7:ClinicalDocument/hl7:author/hl7:assignedAuthor"
         id="tmp-dce99e30-f8ef-4d85-adbf-223c3e1b6a24">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.1.html"
              test="@classCode='ASSIGNED' ">(TMP cdajze1b): De waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.1.html"
              test="count(hl7:id[@root='2.16.528.1.1007.3.1'])&gt;=1 and not(hl7:id[@root='2.16.528.1.1007.3.1']/@nullFlavor)">(TMP cdajze1b): element hl7:id[@root='2.16.528.1.1007.3.1'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.1.html"
              test="count(hl7:id[@root='2.16.528.1.1007.3.1'])&lt;=1">(TMP cdajze1b): element hl7:id[@root='2.16.528.1.1007.3.1'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.1.html"
              test="count(hl7:code)&lt;=1">(TMP cdajze1b): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.1.html"
              test="count(hl7:assignedPerson)&lt;=1">(TMP cdajze1b): element hl7:assignedPerson komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.1.html"
              test="count(hl7:representedOrganization)&lt;=1">(TMP cdajze1b): element hl7:representedOrganization komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.1
Context: //hl7:ClinicalDocument/hl7:author/hl7:assignedAuthor/hl7:id[@root='2.16.528.1.1007.3.1']
Item: (TMP cdajze1b)
-->

<rule context="//hl7:ClinicalDocument/hl7:author/hl7:assignedAuthor/hl7:id[@root='2.16.528.1.1007.3.1']"
         id="tmp-338b9719-e012-4799-9275-c36bdad3b898">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.1.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(TMP cdajze1b): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.1.html"
              test="@root='2.16.528.1.1007.3.1'">(TMP cdajze1b): @root MOET de waarde '2.16.528.1.1007.3.1' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.1.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TMP cdajze1b): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.1
Context: //hl7:ClinicalDocument/hl7:author/hl7:assignedAuthor/hl7:code
Item: (TMP cdajze1b)
-->

<rule context="//hl7:ClinicalDocument/hl7:author/hl7:assignedAuthor/hl7:code"
         id="tmp-9544f147-1afe-4562-9991-6c74ab9d76d6">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.1.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(TMP cdajze1b): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-ZorgverlenerType-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-ZorgverlenerType-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.1.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0 or string-length($validNullFlavorsFound)&gt;0">(TMP cdajze1b): De waarde van @code MOET worden gekozen uit Value Set ZorgverlenerType DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.1
Context: //hl7:ClinicalDocument/hl7:author/hl7:assignedAuthor/hl7:assignedPerson
Item: (TMP cdajze1b)
-->

<rule context="//hl7:ClinicalDocument/hl7:author/hl7:assignedAuthor/hl7:assignedPerson"
         id="tmp-084fc768-33ee-4f8f-a30f-2fc71e47adc1">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.1.html"
              test="@classCode='PSN' ">(TMP cdajze1b): De waarde van @classCode MOET 'PSN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.1.html"
              test="@determinerCode='INSTANCE' ">(TMP cdajze1b): @determinerCode SHALL have value 'INSTANCE' STATIC </assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.1.html"
              test="count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)">(TMP cdajze1b): element hl7:name is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.1.html"
              test="count(hl7:name)&lt;=1">(TMP cdajze1b): element hl7:name komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.1
Context: //hl7:ClinicalDocument/hl7:author/hl7:assignedAuthor/hl7:assignedPerson/hl7:name
Item: (TMP cdajze1b)
-->

<rule context="//hl7:ClinicalDocument/hl7:author/hl7:assignedAuthor/hl7:assignedPerson/hl7:name"
         id="tmp-81048dbf-4887-4957-88d0-086a29a6d936">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.1.html"
              test="@nullFlavor or @xsi:type='PN' or not(@xsi:type)">(TMP cdajze1b): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "PN" bevatten</assert>
      <extends rule="PN"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.1
Context: //hl7:ClinicalDocument/hl7:author/hl7:assignedAuthor/hl7:representedOrganization
Item: (TMP cdajze1b)
-->

<rule context="//hl7:ClinicalDocument/hl7:author/hl7:assignedAuthor/hl7:representedOrganization"
         id="tmp-2996a5cd-bf32-443e-ba17-7dd3d7cd7022">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.1.html"
              test="@classCode='ORG' ">(TMP cdajze1b): De waarde van @classCode MOET 'ORG' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.1.html"
              test="@determinerCode='INSTANCE' ">(TMP cdajze1b): @determinerCode SHALL have value 'INSTANCE' STATIC </assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.1.html"
              test="count(hl7:id[@root='2.16.528.1.1007.3.3'])&gt;=1 and not(hl7:id[@root='2.16.528.1.1007.3.3']/@nullFlavor)">(TMP cdajze1b): element hl7:id[@root='2.16.528.1.1007.3.3'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.1.html"
              test="count(hl7:id[@root='2.16.528.1.1007.3.3'])&lt;=1">(TMP cdajze1b): element hl7:id[@root='2.16.528.1.1007.3.3'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.1.html"
              test="count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)">(TMP cdajze1b): element hl7:name is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.1.html"
              test="count(hl7:name)&lt;=1">(TMP cdajze1b): element hl7:name komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.1.html"
              test="count(hl7:addr)&gt;=1 and not(hl7:addr/@nullFlavor)">(TMP cdajze1b): element hl7:addr is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.1.html"
              test="count(hl7:addr)&lt;=1">(TMP cdajze1b): element hl7:addr komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.1
Context: //hl7:ClinicalDocument/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:id[@root='2.16.528.1.1007.3.3']
Item: (TMP cdajze1b)
-->

<rule context="//hl7:ClinicalDocument/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:id[@root='2.16.528.1.1007.3.3']"
         id="tmp-b4d429eb-6acd-4b58-9118-428c7e9fcf41">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.1.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(TMP cdajze1b): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.1.html"
              test="@root='2.16.528.1.1007.3.3'">(TMP cdajze1b): @root MOET de waarde '2.16.528.1.1007.3.3' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.1.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TMP cdajze1b): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.1
Context: //hl7:ClinicalDocument/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:name
Item: (TMP cdajze1b)
-->

<rule context="//hl7:ClinicalDocument/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:name"
         id="tmp-710d04e9-4197-42d1-a416-8206ca5e65e4">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.1.html"
              test="@nullFlavor or @xsi:type='ON' or not(@xsi:type)">(TMP cdajze1b): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ON" bevatten</assert>
      <extends rule="ON"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.1
Context: //hl7:ClinicalDocument/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:addr
Item: (TMP cdajze1b)
-->

<rule context="//hl7:ClinicalDocument/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:addr"
         id="tmp-e0ffe056-7a78-4da4-85d2-48a777ac028b">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.1.html"
              test="@nullFlavor or @xsi:type='AD' or not(@xsi:type)">(TMP cdajze1b): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "AD" bevatten</assert>
      <extends rule="AD"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.1
Context: //hl7:ClinicalDocument/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:telecom
Item: (TMP cdajze1b)
-->

<rule context="//hl7:ClinicalDocument/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:telecom"
         id="tmp-b208a1e7-71b9-4d66-9d8e-91a52ef9c4ee">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.1.html"
              test="@nullFlavor or @xsi:type='TEL' or not(@xsi:type)">(TMP cdajze1b): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TEL" bevatten</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.1
Context: //hl7:ClinicalDocument/hl7:custodian
Item: (TMP cdajze1b)
-->

<rule context="//hl7:ClinicalDocument/hl7:custodian"
         id="tmp-38861ee9-602a-4421-bbfa-90eb5b432ae2">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.1.html"
              test="@typeCode='CST' ">(TMP cdajze1b): De waarde van @typeCode MOET 'CST' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.1.html"
              test="count(hl7:assignedCustodian)&gt;=1 and not(hl7:assignedCustodian/@nullFlavor)">(TMP cdajze1b): element hl7:assignedCustodian is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.1.html"
              test="count(hl7:assignedCustodian)&lt;=1">(TMP cdajze1b): element hl7:assignedCustodian komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.1
Context: //hl7:ClinicalDocument/hl7:custodian/hl7:assignedCustodian
Item: (TMP cdajze1b)
-->

<rule context="//hl7:ClinicalDocument/hl7:custodian/hl7:assignedCustodian"
         id="tmp-70c6676d-88b8-4a09-998a-42bff42cabd7">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.1.html"
              test="@classCode='ASSIGNED' ">(TMP cdajze1b): De waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.1.html"
              test="count(hl7:representedCustodianOrganization)&gt;=1 and not(hl7:representedCustodianOrganization/@nullFlavor)">(TMP cdajze1b): element hl7:representedCustodianOrganization is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.1.html"
              test="count(hl7:representedCustodianOrganization)&lt;=1">(TMP cdajze1b): element hl7:representedCustodianOrganization komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.1
Context: //hl7:ClinicalDocument/hl7:custodian/hl7:assignedCustodian/hl7:representedCustodianOrganization
Item: (TMP cdajze1b)
-->

<rule context="//hl7:ClinicalDocument/hl7:custodian/hl7:assignedCustodian/hl7:representedCustodianOrganization"
         id="tmp-7fd3da48-06c0-452d-bf2d-d83be68cbc60">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.1.html"
              test="@classCode='ORG' ">(TMP cdajze1b): De waarde van @classCode MOET 'ORG' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.1.html"
              test="@determinerCode='INSTANCE' ">(TMP cdajze1b): @determinerCode SHALL have value 'INSTANCE' STATIC </assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.1.html"
              test="count(hl7:id[@root='2.16.528.1.1007.3.3'])&gt;=1 and not(hl7:id[@root='2.16.528.1.1007.3.3']/@nullFlavor)">(TMP cdajze1b): element hl7:id[@root='2.16.528.1.1007.3.3'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.1.html"
              test="count(hl7:id[@root='2.16.528.1.1007.3.3'])&lt;=1">(TMP cdajze1b): element hl7:id[@root='2.16.528.1.1007.3.3'] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.1
Context: //hl7:ClinicalDocument/hl7:custodian/hl7:assignedCustodian/hl7:representedCustodianOrganization/hl7:id[@root='2.16.528.1.1007.3.3']
Item: (TMP cdajze1b)
-->

<rule context="//hl7:ClinicalDocument/hl7:custodian/hl7:assignedCustodian/hl7:representedCustodianOrganization/hl7:id[@root='2.16.528.1.1007.3.3']"
         id="tmp-a3a5fabd-db9b-4811-a9d7-45adaa8ef6df">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.1.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(TMP cdajze1b): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.1.html"
              test="@root='2.16.528.1.1007.3.3'">(TMP cdajze1b): @root MOET de waarde '2.16.528.1.1007.3.3' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.1.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TMP cdajze1b): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.1
Context: //hl7:ClinicalDocument/hl7:informationRecipient
Item: (TMP cdajze1b)
-->

<rule context="//hl7:ClinicalDocument/hl7:informationRecipient"
         id="tmp-3446c774-9efc-45fb-97bb-f7cdfaa154a5">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.1.html"
              test="@typeCode='PRCP' or @typeCode='TRC' ">(TMP cdajze1b): De waarde van @typeCode MOET één van de volgende codes bevatten: 'PRCP', 'TRC'.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.1.html"
              test="count(hl7:intendedRecipient)&gt;=1 and not(hl7:intendedRecipient/@nullFlavor)">(TMP cdajze1b): element hl7:intendedRecipient is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.1.html"
              test="count(hl7:intendedRecipient)&lt;=1">(TMP cdajze1b): element hl7:intendedRecipient komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.1
Context: //hl7:ClinicalDocument/hl7:informationRecipient/hl7:intendedRecipient
Item: (TMP cdajze1b)
-->

<rule context="//hl7:ClinicalDocument/hl7:informationRecipient/hl7:intendedRecipient"
         id="tmp-71673f19-6a0a-4890-bf9e-675691d7a934">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.1.html"
              test="@classCode='ASSIGNED' ">(TMP cdajze1b): De waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.1.html"
              test="count(hl7:informationRecipient)&lt;=1">(TMP cdajze1b): element hl7:informationRecipient komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.1.html"
              test="count(hl7:receivedOrganization)&lt;=1">(TMP cdajze1b): element hl7:receivedOrganization komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.1
Context: //hl7:ClinicalDocument/hl7:informationRecipient/hl7:intendedRecipient/hl7:informationRecipient
Item: (TMP cdajze1b)
-->

<rule context="//hl7:ClinicalDocument/hl7:informationRecipient/hl7:intendedRecipient/hl7:informationRecipient"
         id="tmp-2c598fd4-360d-43b2-9165-964280e2b03e">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.1.html"
              test="@classCode='PSN' ">(TMP cdajze1b): De waarde van @classCode MOET 'PSN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.1.html"
              test="@determinerCode='INSTANCE' ">(TMP cdajze1b): @determinerCode SHALL have value 'INSTANCE' STATIC </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.1
Context: //hl7:ClinicalDocument/hl7:informationRecipient/hl7:intendedRecipient/hl7:receivedOrganization
Item: (TMP cdajze1b)
-->

<rule context="//hl7:ClinicalDocument/hl7:informationRecipient/hl7:intendedRecipient/hl7:receivedOrganization"
         id="tmp-2ad7407d-cc90-4c35-a8e0-db7fc2669bf6">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.1.html"
              test="@classCode='ORG' ">(TMP cdajze1b): De waarde van @classCode MOET 'ORG' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.1.html"
              test="@determinerCode='INSTANCE' ">(TMP cdajze1b): @determinerCode SHALL have value 'INSTANCE' STATIC </assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.1.html"
              test="count(hl7:id[@root='2.16.528.1.1007.3.3'])&lt;=1">(TMP cdajze1b): element hl7:id[@root='2.16.528.1.1007.3.3'] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.1
Context: //hl7:ClinicalDocument/hl7:informationRecipient/hl7:intendedRecipient/hl7:receivedOrganization/hl7:id[@root='2.16.528.1.1007.3.3']
Item: (TMP cdajze1b)
-->

<rule context="//hl7:ClinicalDocument/hl7:informationRecipient/hl7:intendedRecipient/hl7:receivedOrganization/hl7:id[@root='2.16.528.1.1007.3.3']"
         id="tmp-8de77ef1-6c37-4ff3-8520-dcd2f8e54960">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.1.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(TMP cdajze1b): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.1.html"
              test="@root='2.16.528.1.1007.3.3'">(TMP cdajze1b): @root MOET de waarde '2.16.528.1.1007.3.3' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.1.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TMP cdajze1b): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.1
Context: //hl7:ClinicalDocument/hl7:authenticator
Item: (TMP cdajze1b)
-->

<rule context="//hl7:ClinicalDocument/hl7:authenticator"
         id="tmp-16160d14-ee23-4e8b-a22e-c78732cdc957">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.1.html"
              test="@typeCode='AUTHEN' ">(TMP cdajze1b): De waarde van @typeCode MOET 'AUTHEN' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.1
Context: //hl7:ClinicalDocument/hl7:legalAuthenticator
Item: (TMP cdajze1b)
-->

<rule context="//hl7:ClinicalDocument/hl7:legalAuthenticator"
         id="tmp-35496b40-b95a-4e27-bb8d-4fd12974df33">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.1.html"
              test="@contextControlCode='OP' ">(TMP cdajze1b): De waarde van @contextControlCode MOET 'OP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.1.html"
              test="@typeCode='LA' ">(TMP cdajze1b): De waarde van @typeCode MOET 'LA' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.1
Context: //hl7:ClinicalDocument/hl7:relatedDocument
Item: (TMP cdajze1b)
-->

<rule context="//hl7:ClinicalDocument/hl7:relatedDocument"
         id="tmp-e206d21f-8062-4da5-8906-04b504a00f5f">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.1.html"
              test="@typeCode='RPLC' ">(TMP cdajze1b): De waarde van @typeCode MOET 'RPLC' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.1
Context: //hl7:ClinicalDocument/hl7:documentationOf
Item: (TMP cdajze1b)
-->

<rule context="//hl7:ClinicalDocument/hl7:documentationOf"
         id="tmp-17e6b033-949e-4942-a321-e5d8e589458b">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.1.html"
              test="@typeCode='DOC' ">(TMP cdajze1b): De waarde van @typeCode MOET 'DOC' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.1.html"
              test="count(hl7:serviceEvent)&gt;=1 and not(hl7:serviceEvent/@nullFlavor)">(TMP cdajze1b): element hl7:serviceEvent is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.1.html"
              test="count(hl7:serviceEvent)&lt;=1">(TMP cdajze1b): element hl7:serviceEvent komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.1
Context: //hl7:ClinicalDocument/hl7:documentationOf/hl7:serviceEvent
Item: (TMP cdajze1b)
-->

<rule context="//hl7:ClinicalDocument/hl7:documentationOf/hl7:serviceEvent"
         id="tmp-f07d8b64-2961-4d69-af05-64ef2de616ab">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.1.html"
              test="@classCode='OBS' ">(TMP cdajze1b): De waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.1.html"
              test="@moodCode='EVN' ">(TMP cdajze1b): De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.1.html"
              test="count(hl7:id)&lt;=1">(TMP cdajze1b): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.1.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(TMP cdajze1b): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.1.html"
              test="count(hl7:code)&lt;=1">(TMP cdajze1b): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.1.html"
              test="count(hl7:effectiveTime)&lt;=1">(TMP cdajze1b): element hl7:effectiveTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.1.html"
              test="count(hl7:performer)&gt;=1 ">(TMP cdajze1b): element hl7:performer is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.1.html"
              test="count(hl7:performer)&lt;=1">(TMP cdajze1b): element hl7:performer komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.1
Context: //hl7:ClinicalDocument/hl7:documentationOf/hl7:serviceEvent/hl7:id
Item: (TMP cdajze1b)
-->

<rule context="//hl7:ClinicalDocument/hl7:documentationOf/hl7:serviceEvent/hl7:id"
         id="tmp-e133ebe3-5a19-4ef4-a644-a32b947ace47">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.1.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(TMP cdajze1b): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.1
Context: //hl7:ClinicalDocument/hl7:documentationOf/hl7:serviceEvent/hl7:code
Item: (TMP cdajze1b)
-->

<rule context="//hl7:ClinicalDocument/hl7:documentationOf/hl7:serviceEvent/hl7:code"
         id="tmp-40d71493-8a64-4603-86fd-c4c484079bd3">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.1.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(TMP cdajze1b): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-TypeExam-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-TypeExam-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.1.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0 or string-length($validNullFlavorsFound)&gt;0">(TMP cdajze1b): De waarde van @code MOET worden gekozen uit Value Set TypeExam DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.1
Context: //hl7:ClinicalDocument/hl7:documentationOf/hl7:serviceEvent/hl7:effectiveTime
Item: (TMP cdajze1b)
-->

<rule context="//hl7:ClinicalDocument/hl7:documentationOf/hl7:serviceEvent/hl7:effectiveTime"
         id="tmp-44949941-534e-4dd5-9483-8a6aba600e28">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.1.html"
              test="@nullFlavor or @xsi:type='TS' or not(@xsi:type)">(TMP cdajze1b): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.1
Context: //hl7:ClinicalDocument/hl7:documentationOf/hl7:serviceEvent/hl7:performer
Item: (TMP cdajze1b)
-->

<rule context="//hl7:ClinicalDocument/hl7:documentationOf/hl7:serviceEvent/hl7:performer"
         id="tmp-0bdcd59c-b1ae-439d-99ac-986cf6b9b9d1">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.1.html"
              test="@typeCode='PRF' ">(TMP cdajze1b): De waarde van @typeCode MOET 'PRF' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.1.html"
              test="count(hl7:assignedEntity)&gt;=1 ">(TMP cdajze1b): element hl7:assignedEntity is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.1.html"
              test="count(hl7:assignedEntity)&lt;=1">(TMP cdajze1b): element hl7:assignedEntity komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.1
Context: //hl7:ClinicalDocument/hl7:documentationOf/hl7:serviceEvent/hl7:performer/hl7:assignedEntity
Item: (TMP cdajze1b)
-->

<rule context="//hl7:ClinicalDocument/hl7:documentationOf/hl7:serviceEvent/hl7:performer/hl7:assignedEntity"
         id="tmp-a31ea9d8-d733-4c83-b974-51a73d196b79">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.1.html"
              test="@classCode='ASSIGNED' ">(TMP cdajze1b): De waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.1.html"
              test="count(hl7:code)&gt;=1 ">(TMP cdajze1b): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.1.html"
              test="count(hl7:code)&lt;=1">(TMP cdajze1b): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.1.html"
              test="count(hl7:assignedPerson)&gt;=1 ">(TMP cdajze1b): element hl7:assignedPerson is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.1.html"
              test="count(hl7:assignedPerson)&lt;=1">(TMP cdajze1b): element hl7:assignedPerson komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.1.html"
              test="count(hl7:representedOrganization)&gt;=1 ">(TMP cdajze1b): element hl7:representedOrganization is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.1.html"
              test="count(hl7:representedOrganization)&lt;=1">(TMP cdajze1b): element hl7:representedOrganization komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.1
Context: //hl7:ClinicalDocument/hl7:documentationOf/hl7:serviceEvent/hl7:performer/hl7:assignedEntity/hl7:id[@root='2.16.528.1.1007.3.1']
Item: (TMP cdajze1b)
-->

<rule context="//hl7:ClinicalDocument/hl7:documentationOf/hl7:serviceEvent/hl7:performer/hl7:assignedEntity/hl7:id[@root='2.16.528.1.1007.3.1']"
         id="tmp-691c3048-163b-464a-ac98-76cfc53d727f">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.1.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(TMP cdajze1b): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.1.html"
              test="@root='2.16.528.1.1007.3.1'">(TMP cdajze1b): @root MOET de waarde '2.16.528.1.1007.3.1' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.1.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TMP cdajze1b): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.1
Context: //hl7:ClinicalDocument/hl7:documentationOf/hl7:serviceEvent/hl7:performer/hl7:assignedEntity/hl7:id[@root='2.16.840.1.113883.2.4.6.1']
Item: (TMP cdajze1b)
-->

<rule context="//hl7:ClinicalDocument/hl7:documentationOf/hl7:serviceEvent/hl7:performer/hl7:assignedEntity/hl7:id[@root='2.16.840.1.113883.2.4.6.1']"
         id="tmp-4186efaa-7c19-4c0c-a0e5-ab0332fbee58">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.1.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(TMP cdajze1b): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.1.html"
              test="@root='2.16.840.1.113883.2.4.6.1'">(TMP cdajze1b): @root MOET de waarde '2.16.840.1.113883.2.4.6.1' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.1.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TMP cdajze1b): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.1
Context: //hl7:ClinicalDocument/hl7:documentationOf/hl7:serviceEvent/hl7:performer/hl7:assignedEntity/hl7:code
Item: (TMP cdajze1b)
-->

<rule context="//hl7:ClinicalDocument/hl7:documentationOf/hl7:serviceEvent/hl7:performer/hl7:assignedEntity/hl7:code"
         id="tmp-7796f77e-efff-4edc-b987-247f493803a4">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.1.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(TMP cdajze1b): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-ZorgverlenerType-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-ZorgverlenerType-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.1.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0 or string-length($validNullFlavorsFound)&gt;0">(TMP cdajze1b): De waarde van @code MOET worden gekozen uit Value Set ZorgverlenerType DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.1
Context: //hl7:ClinicalDocument/hl7:documentationOf/hl7:serviceEvent/hl7:performer/hl7:assignedEntity/hl7:addr
Item: (TMP cdajze1b)
-->

<rule context="//hl7:ClinicalDocument/hl7:documentationOf/hl7:serviceEvent/hl7:performer/hl7:assignedEntity/hl7:addr"
         id="tmp-bb993e96-d63b-4638-a66e-48b361b65048">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.1.html"
              test="@nullFlavor or @xsi:type='AD' or not(@xsi:type)">(TMP cdajze1b): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "AD" bevatten</assert>
      <extends rule="AD"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.1
Context: //hl7:ClinicalDocument/hl7:documentationOf/hl7:serviceEvent/hl7:performer/hl7:assignedEntity/hl7:telecom
Item: (TMP cdajze1b)
-->

<rule context="//hl7:ClinicalDocument/hl7:documentationOf/hl7:serviceEvent/hl7:performer/hl7:assignedEntity/hl7:telecom"
         id="tmp-705e4bbb-b9a5-44e5-8e20-755411528d1c">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.1.html"
              test="@nullFlavor or @xsi:type='TEL' or not(@xsi:type)">(TMP cdajze1b): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TEL" bevatten</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.1
Context: //hl7:ClinicalDocument/hl7:documentationOf/hl7:serviceEvent/hl7:performer/hl7:assignedEntity/hl7:assignedPerson
Item: (TMP cdajze1b)
-->

<rule context="//hl7:ClinicalDocument/hl7:documentationOf/hl7:serviceEvent/hl7:performer/hl7:assignedEntity/hl7:assignedPerson"
         id="tmp-940f18d6-5137-4200-896b-767d36259776">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.1.html"
              test="@classCode='PSN' ">(TMP cdajze1b): De waarde van @classCode MOET 'PSN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.1.html"
              test="@determinerCode='INSTANCE' ">(TMP cdajze1b): @determinerCode SHALL have value 'INSTANCE' STATIC </assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.1.html"
              test="count(hl7:name)&gt;=1 ">(TMP cdajze1b): element hl7:name is required [min 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.1
Context: //hl7:ClinicalDocument/hl7:documentationOf/hl7:serviceEvent/hl7:performer/hl7:assignedEntity/hl7:assignedPerson/hl7:name
Item: (TMP cdajze1b)
-->

<rule context="//hl7:ClinicalDocument/hl7:documentationOf/hl7:serviceEvent/hl7:performer/hl7:assignedEntity/hl7:assignedPerson/hl7:name"
         id="tmp-0255986c-8e3b-4170-ae6e-92dd6824298d">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.1.html"
              test="@nullFlavor or @xsi:type='PN' or not(@xsi:type)">(TMP cdajze1b): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "PN" bevatten</assert>
      <extends rule="PN"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.1
Context: //hl7:ClinicalDocument/hl7:documentationOf/hl7:serviceEvent/hl7:performer/hl7:assignedEntity/hl7:representedOrganization
Item: (TMP cdajze1b)
-->

<rule context="//hl7:ClinicalDocument/hl7:documentationOf/hl7:serviceEvent/hl7:performer/hl7:assignedEntity/hl7:representedOrganization"
         id="tmp-617c6594-d2ef-47ce-84df-0731a9ec46e6">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.1.html"
              test="@classCode='ORG' ">(TMP cdajze1b): De waarde van @classCode MOET 'ORG' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.1.html"
              test="@determinerCode='INSTANCE' ">(TMP cdajze1b): @determinerCode SHALL have value 'INSTANCE' STATIC </assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.1.html"
              test="count(hl7:id[@root='2.16.840.1.113883.2.4.6.1'])&gt;=1 ">(TMP cdajze1b): element hl7:id[@root='2.16.840.1.113883.2.4.6.1'] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.1.html"
              test="count(hl7:name)&gt;=1 ">(TMP cdajze1b): element hl7:name is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.1.html"
              test="count(hl7:addr)&gt;=1 ">(TMP cdajze1b): element hl7:addr is required [min 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.1
Context: //hl7:ClinicalDocument/hl7:documentationOf/hl7:serviceEvent/hl7:performer/hl7:assignedEntity/hl7:representedOrganization/hl7:id[@root='2.16.840.1.113883.2.4.6.1']
Item: (TMP cdajze1b)
-->

<rule context="//hl7:ClinicalDocument/hl7:documentationOf/hl7:serviceEvent/hl7:performer/hl7:assignedEntity/hl7:representedOrganization/hl7:id[@root='2.16.840.1.113883.2.4.6.1']"
         id="tmp-0712e3f9-64f4-439a-90ff-11f5b0ecf109">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.1.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(TMP cdajze1b): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.1.html"
              test="@root='2.16.840.1.113883.2.4.6.1'">(TMP cdajze1b): @root MOET de waarde '2.16.840.1.113883.2.4.6.1' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.1.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TMP cdajze1b): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.1
Context: //hl7:ClinicalDocument/hl7:documentationOf/hl7:serviceEvent/hl7:performer/hl7:assignedEntity/hl7:representedOrganization/hl7:name
Item: (TMP cdajze1b)
-->

<rule context="//hl7:ClinicalDocument/hl7:documentationOf/hl7:serviceEvent/hl7:performer/hl7:assignedEntity/hl7:representedOrganization/hl7:name"
         id="tmp-00a6e7a5-97e9-4551-8345-d85027f304eb">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.1.html"
              test="@nullFlavor or @xsi:type='ON' or not(@xsi:type)">(TMP cdajze1b): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ON" bevatten</assert>
      <extends rule="ON"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.1
Context: //hl7:ClinicalDocument/hl7:documentationOf/hl7:serviceEvent/hl7:performer/hl7:assignedEntity/hl7:representedOrganization/hl7:addr
Item: (TMP cdajze1b)
-->

<rule context="//hl7:ClinicalDocument/hl7:documentationOf/hl7:serviceEvent/hl7:performer/hl7:assignedEntity/hl7:representedOrganization/hl7:addr"
         id="tmp-a1f4f5c0-7dd7-435f-91d9-81367c884dbe">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.1.html"
              test="@nullFlavor or @xsi:type='AD' or not(@xsi:type)">(TMP cdajze1b): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "AD" bevatten</assert>
      <extends rule="AD"/>
      <let name="theValue" value="@value"/>
   </rule>
</pattern>