<?xml version="1.0" encoding="UTF-8"?>
<schema xmlns:xs="http://www.w3.org/2001/XMLSchema"
        xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
        xmlns:hl7="urn:hl7-org:v3"
        xmlns="http://purl.oclc.org/dsdl/schematron"
        xmlns:sch="http://www.ascc.net/xml/schematron"
        xmlns:uuid="java:java.util.UUID"
        queryBinding="xslt2">
   <ns uri="urn:hl7-org:v3" prefix="hl7"/>
   <ns uri="http://www.w3.org/2001/XMLSchema-instance" prefix="xsi"/>
   <!-- Add extra namespaces --><ns uri="http://www.w3.org/XML/1998/namespace" prefix="xml"/>
   <!--
==================================
Schematron schema for Opvragen Labuitslag Medicatiebewaking (QueryLabuitslagMedicatiebewaking)

Project: 

Copyright 2012 by Nictiz


Author: Gerda Meijboom
Author: Gerrit Boers

Version information:
  2012-05-03T00:00:00 GM 
  2011-05-08T00:00:00 GM 
  2011-05-24T00:00:00 GM 

DISCLAIMER:
Hoewel deze publicatie met de uiterste zorg is samengesteld, kan Nictiz geen aansprakelijkheid aanvaarden voor directe of indirecte schade ontstaan door de inhoud van de – al
            dan niet door derden aangeboden – informatie.

WARNING:
THIS FILE HAS BEEN GENERATED AUTOMAGICALLY. DON'T EDIT IT.

Creation date: 2012-05-24T15:06:58.394+02:00
==================================

--><!--Include realm specific schematron-->
<!-- none --><!--Include datatype abstract schematrons-->
<include href="include/DTr1_ANY.sch"/>
   <include href="include/DTr1_AD.sch"/>
   <include href="include/DTr1_BIN.sch"/>
   <include href="include/DTr1_BL.sch"/>
   <include href="include/DTr1_CD.sch"/>
   <include href="include/DTr1_CE.sch"/>
   <include href="include/DTr1_CS.sch"/>
   <include href="include/DTr1_CV.sch"/>
   <include href="include/DTr1_EN.sch"/>
   <include href="include/DTr1_II.sch"/>
   <include href="include/DTr1_INT.sch"/>
   <include href="include/DTr1_INT.NONNEG.sch"/>
   <include href="include/DTr1_INT.POS.sch"/>
   <include href="include/DTr1_IVL.sch"/>
   <include href="include/DTr1_IVL_PQ.sch"/>
   <include href="include/DTr1_IVL_TS.sch"/>
   <include href="include/DTr1_PN.sch"/>
   <include href="include/DTr1_PQ.sch"/>
   <include href="include/DTr1_QTY.sch"/>
   <include href="include/DTr1_SXCM.sch"/>
   <include href="include/DTr1_TS.sch"/>
   <include href="include/DTr1_TS.DATE.sch"/>
   <include href="include/DTr1_TS.DATE.FULL.sch"/>
   <include href="include/DTr1_TS.DATE.MIN.sch"/>
   <include href="include/DTr1_TS.DATETIME.MIN.sch"/>
   <include href="include/DTr1_ST.sch"/>
   <include href="include/DTr1_ON.sch"/>
   <include href="include/DTr1_ED.sch"/>
   <include href="include/DTr1_TEL.sch"/>
   <include href="include/DTr1_URL.sch"/>
   <include href="include/DTr1_RTO.sch"/>
   <include href="include/DTr1_AD.NL.sch"/>
   <include href="include/DTr1_II.NL.BSN.sch"/>
   <include href="include/DTr1_II.NL.URA.sch"/>
   <include href="include/DTr1_II.NL.UZI.sch"/>
   <include href="include/DTr1_II.NL.AGB.sch"/>
   <include href="include/DTr1_II.AT.DVR.sch"/>
   <include href="include/DTr1_II.AT.ATU.sch"/>
   <include href="include/DTr1_II.AT.BLZ.sch"/>
   <include href="include/DTr1_II.AT.KTONR.sch"/>

  <!-- Include wrapper schematrons -->
  <include href="include/DTr1_XML.NL.sch"/>
  
  <include href="include/transmission-wrapper.NL.sch"/>
  <include href="include/controlAct-wrapper.NL.sch"/>
  
  <pattern is-a="transmission-wrapper" id="POLB_IN364000NL-wrapper">
    <param name="element" value="hl7:POLB_IN364000NL"/>
  </pattern>
  
  <pattern is-a="controlAct-wrapper" id="POLB_IN364000NL-controlAct">
    <param name="element" value="hl7:POLB_IN364000NL/hl7:ControlActProcess"/>
  </pattern>
  
  <pattern>
    <!-- profileId -->
    <rule context="hl7:POLB_IN364000NL/hl7:profileId">
      <extends rule="II"/>
      <assert role="error" test="@root='2.16.840.1.113883.2.4.3.11.1' and @extension='810'"
        >In de transmission wrapper moet het element profileId worden gevuld met de waarde '810'</assert>
    </rule>
    <rule context="hl7:POLB_IN364000NL/hl7:acceptAckCode">
      <extends rule="CS"/>
      <assert role="error" test="@code='NE'"
        >In de transmission wrapper moet het veld acceptAckCode worden gevuld met waarde 'NE'.</assert>
    </rule>
    <rule context="hl7:POLB_IN364000NL/hl7:attentionLine">
      <assert role="warning" test="not(.)"
        >Het gebruik van attentionLine wordt nog niet gespecificeerd in deze interactie.</assert>
    </rule>
  </pattern>
  
   <!--Include the project schematrons related to scenarioQueryLabuitslagMedicatiebewaking-->

<include href="include/2.16.840.1.113883.2.4.6.10.35.900100.sch"/>


   <!--Include schematrons from templates with explicit * or ** context (but no representing templates)-->


</schema>