<?xml version="1.0" encoding="utf-8" standalone="yes"?>
<axsl:stylesheet xmlns:axsl="http://www.w3.org/1999/XSL/Transform" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:saxon="http://saxon.sf.net/" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:iso="http://purl.oclc.org/dsdl/schematron" xmlns:xhtml="http://www.w3.org/1999/xhtml" xmlns:hl7="urn:hl7-org:v3" xmlns:cda="urn:hl7-org:v3" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="2.0"><!--Implementers: please note that overriding process-prolog or process-root is 
    the preferred method for meta-stylesheets to use where possible. -->

   <axsl:param name="archiveDirParameter"/>
   <axsl:param name="archiveNameParameter"/>
   <axsl:param name="fileNameParameter"/>
   <axsl:param name="fileDirParameter"/>
   <axsl:variable name="document-uri">
      <axsl:value-of select="document-uri(/)"/>
   </axsl:variable>

<!--PHASES-->


<!--PROLOG-->

   <axsl:output method="text"/>

<!--XSD TYPES FOR XSLT2-->


<!--KEYS AND FUNCTIONS-->


<!--DEFAULT RULES-->


<!--MODE: SCHEMATRON-SELECT-FULL-PATH-->
<!--This mode can be used to generate an ugly though full XPath for locators-->

   <axsl:template match="*" mode="schematron-select-full-path">
      <axsl:apply-templates select="." mode="schematron-get-full-path"/>
   </axsl:template>

<!--MODE: SCHEMATRON-FULL-PATH-->
<!--This mode can be used to generate an ugly though full XPath for locators-->

   <axsl:template match="*" mode="schematron-get-full-path">
      <axsl:apply-templates select="parent::*" mode="schematron-get-full-path"/>
      <axsl:text>/</axsl:text>
      <axsl:choose>
         <axsl:when test="namespace-uri()=''">
            <axsl:value-of select="name()"/>
         </axsl:when>
         <axsl:otherwise>
            <axsl:text>*:</axsl:text>
            <axsl:value-of select="local-name()"/>
            <axsl:text>[namespace-uri()='</axsl:text>
            <axsl:value-of select="namespace-uri()"/>
            <axsl:text>']</axsl:text>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="preceding" select="count(preceding-sibling::*[local-name()=local-name(current())                                   and namespace-uri() = namespace-uri(current())])"/>
      <axsl:text>[</axsl:text>
      <axsl:value-of select="1+ $preceding"/>
      <axsl:text>]</axsl:text>
   </axsl:template>
   <axsl:template match="@*" mode="schematron-get-full-path">
      <axsl:apply-templates select="parent::*" mode="schematron-get-full-path"/>
      <axsl:text>/</axsl:text>
      <axsl:choose>
         <axsl:when test="namespace-uri()=''">@<axsl:value-of select="name()"/>
         </axsl:when>
         <axsl:otherwise>
            <axsl:text>@*[local-name()='</axsl:text>
            <axsl:value-of select="local-name()"/>
            <axsl:text>' and namespace-uri()='</axsl:text>
            <axsl:value-of select="namespace-uri()"/>
            <axsl:text>']</axsl:text>
         </axsl:otherwise>
      </axsl:choose>
   </axsl:template>

<!--MODE: SCHEMATRON-FULL-PATH-2-->
<!--This mode can be used to generate prefixed XPath for humans-->

   <axsl:template match="node() | @*" mode="schematron-get-full-path-2">
      <axsl:for-each select="ancestor-or-self::*">
         <axsl:text>/</axsl:text>
         <axsl:value-of select="name(.)"/>
         <axsl:if test="preceding-sibling::*[name(.)=name(current())]">
            <axsl:text>[</axsl:text>
            <axsl:value-of select="count(preceding-sibling::*[name(.)=name(current())])+1"/>
            <axsl:text>]</axsl:text>
         </axsl:if>
      </axsl:for-each>
      <axsl:if test="not(self::*)">
         <axsl:text/>/@<axsl:value-of select="name(.)"/>
      </axsl:if>
   </axsl:template><!--MODE: SCHEMATRON-FULL-PATH-3-->
<!--This mode can be used to generate prefixed XPath for humans 
	(Top-level element has index)-->

   <axsl:template match="node() | @*" mode="schematron-get-full-path-3">
      <axsl:for-each select="ancestor-or-self::*">
         <axsl:text>/</axsl:text>
         <axsl:value-of select="name(.)"/>
         <axsl:if test="parent::*">
            <axsl:text>[</axsl:text>
            <axsl:value-of select="count(preceding-sibling::*[name(.)=name(current())])+1"/>
            <axsl:text>]</axsl:text>
         </axsl:if>
      </axsl:for-each>
      <axsl:if test="not(self::*)">
         <axsl:text/>/@<axsl:value-of select="name(.)"/>
      </axsl:if>
   </axsl:template>

<!--MODE: GENERATE-ID-FROM-PATH -->

   <axsl:template match="/" mode="generate-id-from-path"/>
   <axsl:template match="text()" mode="generate-id-from-path">
      <axsl:apply-templates select="parent::*" mode="generate-id-from-path"/>
      <axsl:value-of select="concat('.text-', 1+count(preceding-sibling::text()), '-')"/>
   </axsl:template>
   <axsl:template match="comment()" mode="generate-id-from-path">
      <axsl:apply-templates select="parent::*" mode="generate-id-from-path"/>
      <axsl:value-of select="concat('.comment-', 1+count(preceding-sibling::comment()), '-')"/>
   </axsl:template>
   <axsl:template match="processing-instruction()" mode="generate-id-from-path">
      <axsl:apply-templates select="parent::*" mode="generate-id-from-path"/>
      <axsl:value-of select="concat('.processing-instruction-', 1+count(preceding-sibling::processing-instruction()), '-')"/>
   </axsl:template>
   <axsl:template match="@*" mode="generate-id-from-path">
      <axsl:apply-templates select="parent::*" mode="generate-id-from-path"/>
      <axsl:value-of select="concat('.@', name())"/>
   </axsl:template>
   <axsl:template match="*" mode="generate-id-from-path" priority="-0.5">
      <axsl:apply-templates select="parent::*" mode="generate-id-from-path"/>
      <axsl:text>.</axsl:text>
      <axsl:value-of select="concat('.',name(),'-',1+count(preceding-sibling::*[name()=name(current())]),'-')"/>
   </axsl:template>

<!--MODE: GENERATE-ID-2 -->

   <axsl:template match="/" mode="generate-id-2">U</axsl:template>
   <axsl:template match="*" mode="generate-id-2" priority="2">
      <axsl:text>U</axsl:text>
      <axsl:number level="multiple" count="*"/>
   </axsl:template>
   <axsl:template match="node()" mode="generate-id-2">
      <axsl:text>U.</axsl:text>
      <axsl:number level="multiple" count="*"/>
      <axsl:text>n</axsl:text>
      <axsl:number count="node()"/>
   </axsl:template>
   <axsl:template match="@*" mode="generate-id-2">
      <axsl:text>U.</axsl:text>
      <axsl:number level="multiple" count="*"/>
      <axsl:text>_</axsl:text>
      <axsl:value-of select="string-length(local-name(.))"/>
      <axsl:text>_</axsl:text>
      <axsl:value-of select="translate(name(),':','.')"/>
   </axsl:template><!--Strip characters-->
   <axsl:template match="text()" priority="-1"/>

<!--SCHEMA SETUP-->

   <axsl:template match="/">
      <axsl:apply-templates select="/" mode="M5"/>
      <axsl:apply-templates select="/" mode="M6"/>
   </axsl:template>

<!--SCHEMATRON PATTERNS-->


<!--PATTERN -->

   <axsl:template match="text()" priority="-1" mode="M5"/>
   <axsl:template match="@*|node()" priority="-2" mode="M5">
      <axsl:apply-templates select="*|comment()|processing-instruction()" mode="M5"/>
   </axsl:template>

<!--PATTERN template-2.16.840.1.113883.2.4.6.10.100.1Ontvangstbevestiging-->


	<!--RULE tmp-1538b034-fc34-429e-95ea-7ddace6cc42b-->

   <axsl:template match="hl7:MCCI_IN000002" priority="1023" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>(Ontvangstbevestiging): element hl7:id is mandatory [min 1x]. (count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>(Ontvangstbevestiging): element hl7:id komt te vaak voor [max 1x]. (count(hl7:id)&lt;=1 / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:creationTime)&gt;=1 and not(hl7:creationTime/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>(Ontvangstbevestiging): element hl7:creationTime is mandatory [min 1x]. (count(hl7:creationTime)&gt;=1 and not(hl7:creationTime/@nullFlavor) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:creationTime)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>(Ontvangstbevestiging): element hl7:creationTime komt te vaak voor [max 1x]. (count(hl7:creationTime)&lt;=1 / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:versionCode)&gt;=1 and not(hl7:versionCode/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>(Ontvangstbevestiging): element hl7:versionCode is mandatory [min 1x]. (count(hl7:versionCode)&gt;=1 and not(hl7:versionCode/@nullFlavor) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:versionCode)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>(Ontvangstbevestiging): element hl7:versionCode komt te vaak voor [max 1x]. (count(hl7:versionCode)&lt;=1 / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:interactionId[@root='2.16.840.1.113883.1.6'])&gt;=1 and not(hl7:interactionId[@root='2.16.840.1.113883.1.6']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>(Ontvangstbevestiging): element hl7:interactionId[@root='2.16.840.1.113883.1.6'] is mandatory [min 1x]. (count(hl7:interactionId[@root='2.16.840.1.113883.1.6'])&gt;=1 and not(hl7:interactionId[@root='2.16.840.1.113883.1.6']/@nullFlavor) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:interactionId[@root='2.16.840.1.113883.1.6'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>(Ontvangstbevestiging): element hl7:interactionId[@root='2.16.840.1.113883.1.6'] komt te vaak voor [max 1x]. (count(hl7:interactionId[@root='2.16.840.1.113883.1.6'])&lt;=1 / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:profileId[@root='2.16.840.1.113883.2.4.3.11.1'])&gt;=1 and not(hl7:profileId[@root='2.16.840.1.113883.2.4.3.11.1']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>(Ontvangstbevestiging): element hl7:profileId[@root='2.16.840.1.113883.2.4.3.11.1'] is mandatory [min 1x]. (count(hl7:profileId[@root='2.16.840.1.113883.2.4.3.11.1'])&gt;=1 and not(hl7:profileId[@root='2.16.840.1.113883.2.4.3.11.1']/@nullFlavor) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:profileId[@root='2.16.840.1.113883.2.4.3.11.1'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>(Ontvangstbevestiging): element hl7:profileId[@root='2.16.840.1.113883.2.4.3.11.1'] komt te vaak voor [max 1x]. (count(hl7:profileId[@root='2.16.840.1.113883.2.4.3.11.1'])&lt;=1 / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:processingCode)&gt;=1 and not(hl7:processingCode/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>(Ontvangstbevestiging): element hl7:processingCode is mandatory [min 1x]. (count(hl7:processingCode)&gt;=1 and not(hl7:processingCode/@nullFlavor) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:processingCode)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>(Ontvangstbevestiging): element hl7:processingCode komt te vaak voor [max 1x]. (count(hl7:processingCode)&lt;=1 / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:processingModeCode)&gt;=1 and not(hl7:processingModeCode/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>(Ontvangstbevestiging): element hl7:processingModeCode is mandatory [min 1x]. (count(hl7:processingModeCode)&gt;=1 and not(hl7:processingModeCode/@nullFlavor) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:processingModeCode)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>(Ontvangstbevestiging): element hl7:processingModeCode komt te vaak voor [max 1x]. (count(hl7:processingModeCode)&lt;=1 / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:acceptAckCode)&gt;=1 and not(hl7:acceptAckCode/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>(Ontvangstbevestiging): element hl7:acceptAckCode is mandatory [min 1x]. (count(hl7:acceptAckCode)&gt;=1 and not(hl7:acceptAckCode/@nullFlavor) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:acceptAckCode)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>(Ontvangstbevestiging): element hl7:acceptAckCode komt te vaak voor [max 1x]. (count(hl7:acceptAckCode)&lt;=1 / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:acknowledgement)&gt;=1 and not(hl7:acknowledgement/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>(Ontvangstbevestiging): element hl7:acknowledgement is mandatory [min 1x]. (count(hl7:acknowledgement)&gt;=1 and not(hl7:acknowledgement/@nullFlavor) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:acknowledgement)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>(Ontvangstbevestiging): element hl7:acknowledgement komt te vaak voor [max 1x]. (count(hl7:acknowledgement)&lt;=1 / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-9595d4ef-a4e7-4d2d-8a78-38dd43cbd608-->

   <axsl:template match="hl7:MCCI_IN000002/hl7:id" priority="1022" mode="M6">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root and @extension"/>
         <axsl:otherwise>
            <axsl:message>(TransmissionWrapperMCCI_MT000200): Transmission: id element mist root of extension (@root and @extension / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-3d1ed87c-7ca0-4490-883a-8efa992adf20-->

   <axsl:template match="hl7:MCCI_IN000002/hl7:creationTime" priority="1021" mode="M6">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-3bf31125-b2d0-418f-b648-e17dff61a278-->

   <axsl:template match="hl7:MCCI_IN000002/hl7:versionCode" priority="1020" mode="M6">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='NICTIZEd2005-Okt')"/>
         <axsl:otherwise>
            <axsl:message>(TransmissionWrapperMCCI_MT000200): de waarde van @code MOET ''NICTIZEd2005-Okt'' zijn. (@nullFlavor or (@code='NICTIZEd2005-Okt') / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-06160fb8-a0ad-4238-94b2-158cfc196382-->

   <axsl:template match="hl7:MCCI_IN000002/hl7:interactionId[@root='2.16.840.1.113883.1.6']" priority="1019" mode="M6">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.1.6'"/>
         <axsl:otherwise>
            <axsl:message>(TransmissionWrapperMCCI_MT000200): @root MOET de waarde '2.16.840.1.113883.1.6' hebben. (@root='2.16.840.1.113883.1.6' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>(TransmissionWrapperMCCI_MT000200): @root attribuut MOET een syntactisch correcte UUID of OID zijn. (matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$') / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="interactionId" select="self::node()[@root='2.16.840.1.113883.1.6']/@extension"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@root='2.16.840.1.113883.1.6') or local-name(..)=@extension"/>
         <axsl:otherwise>
            <axsl:message>(TransmissionWrapperMCCI_MT000200): Transmission: @extension moet overeenkomen met het startelement van het bericht (not(@root='2.16.840.1.113883.1.6') or local-name(..)=@extension / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-182afdf4-badb-4152-9a1d-9701da3aec9e-->

   <axsl:template match="hl7:MCCI_IN000002/hl7:profileId[@root='2.16.840.1.113883.2.4.3.11.1']" priority="1018" mode="M6">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.3.11.1'"/>
         <axsl:otherwise>
            <axsl:message>(TransmissionWrapperMCCI_MT000200): @root MOET de waarde '2.16.840.1.113883.2.4.3.11.1' hebben. (@root='2.16.840.1.113883.2.4.3.11.1' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>(TransmissionWrapperMCCI_MT000200): @root attribuut MOET een syntactisch correcte UUID of OID zijn. (matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$') / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@extension='810'"/>
         <axsl:otherwise>
            <axsl:message>(TransmissionWrapperMCCI_MT000200): de waarde van @extension MOET '810' zijn. (@extension='810' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-6b74d3bd-41b4-4b40-b5a7-bf8d121bbb5b-->

   <axsl:template match="hl7:MCCI_IN000002/hl7:processingCode" priority="1017" mode="M6">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='P')"/>
         <axsl:otherwise>
            <axsl:message>(TransmissionWrapperMCCI_MT000200): de waarde van @code MOET ''P'' zijn. (@nullFlavor or (@code='P') / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-bdb855d5-a35c-4e12-a374-5b3e772e328c-->

   <axsl:template match="hl7:MCCI_IN000002/hl7:processingModeCode" priority="1016" mode="M6">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='T')"/>
         <axsl:otherwise>
            <axsl:message>(TransmissionWrapperMCCI_MT000200): de waarde van @code MOET ''T'' zijn. (@nullFlavor or (@code='T') / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-76c773c0-12c2-4a26-8e8a-18cf55dd3f12-->

   <axsl:template match="hl7:MCCI_IN000002/hl7:acceptAckCode" priority="1015" mode="M6">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='NE')"/>
         <axsl:otherwise>
            <axsl:message>(TransmissionWrapperMCCI_MT000200): de waarde van @code MOET ''NE'' zijn. (@nullFlavor or (@code='NE') / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-edfe8acd-efc9-4409-b847-0e46f0cf7ea7-->

   <axsl:template match="hl7:MCCI_IN000002/hl7:acknowledgement" priority="1014" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='CA' or @typeCode='CE' or @typeCode='CR' or @typeCode='AA' or @typeCode='AE' or @typeCode='AR'"/>
         <axsl:otherwise>
            <axsl:message>(TransmissionWrapperMCCI_MT000200): de waarde van @typeCode MOET één van de volgende codes bevatten: CA', 'CE', 'CR', 'AA', 'AE', 'AR. (@typeCode='CA' or @typeCode='CE' or @typeCode='CR' or @typeCode='AA' or @typeCode='AE' or @typeCode='AR' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT warning-->

      <axsl:choose>
         <axsl:when test="@typeCode='CA' or @typeCode='CE' or @typeCode='CR'"/>
         <axsl:otherwise>
            <axsl:message>(TransmissionWrapperMCCI_MT000200): Transmission: ontvangstbevestigingen moeten acknowledgement/@typeCode CA, CE of CR hebben. In slechts sommige gevallen worden toch inhoudelijke antwoorden toegestaan (@typeCode is 'AA', 'AE' or 'AR'). (@typeCode='CA' or @typeCode='CE' or @typeCode='CR' / warning)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT warning-->

      <axsl:choose>
         <axsl:when test="@typeCode='AA' or @typeCode='CA' or hl7:acknowledgementDetail"/>
         <axsl:otherwise>
            <axsl:message>(TransmissionWrapperMCCI_MT000200): Transmission: negatieve antwoordberichten moeten ook een reden hebben waarom (@typeCode='AA' or @typeCode='CA' or hl7:acknowledgementDetail / warning)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:targetMessage)&gt;=1 and not(hl7:targetMessage/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>(TransmissionWrapperMCCI_MT000200): element hl7:targetMessage is mandatory [min 1x]. (count(hl7:targetMessage)&gt;=1 and not(hl7:targetMessage/@nullFlavor) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:targetMessage)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>(TransmissionWrapperMCCI_MT000200): element hl7:targetMessage komt te vaak voor [max 1x]. (count(hl7:targetMessage)&lt;=1 / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-2f786d3c-1df0-4218-9ddf-0ade05eb96f9-->

   <axsl:template match="hl7:MCCI_IN000002/hl7:acknowledgement/hl7:acknowledgementDetail" priority="1013" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='E' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>(TransmissionWrapperMCCI_MT000200): de waarde van @typeCode MOET 'E' zijn. (@typeCode='E' or not(@typeCode) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code[@code and @displayName] or hl7:text"/>
         <axsl:otherwise>
            <axsl:message>(TransmissionWrapperMCCI_MT000200): Transmission: er moet een toelichting op de fout/waarschuwing zijn in hl7:code/@displayName of text (hl7:code[@code and @displayName] or hl7:text / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>(TransmissionWrapperMCCI_MT000200): element hl7:code is mandatory [min 1x]. (count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>(TransmissionWrapperMCCI_MT000200): element hl7:code komt te vaak voor [max 1x]. (count(hl7:code)&lt;=1 / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>(TransmissionWrapperMCCI_MT000200): element hl7:text komt te vaak voor [max 1x]. (count(hl7:text)&lt;=1 / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-7bb1526d-a284-4431-bc16-f88626ffe847-->

   <axsl:template match="hl7:MCCI_IN000002/hl7:acknowledgement/hl7:acknowledgementDetail/hl7:code" priority="1012" mode="M6">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT warning-->

      <axsl:choose>
         <axsl:when test="@displayName or @codeSystem='2.16.840.1.113883.5.1100' or @codeSystem='2.16.840.1.113883.2.4.6.6.1.1000' or @codeSystem='2.16.840.1.113883.5.4'"/>
         <axsl:otherwise>
            <axsl:message>(TransmissionWrapperMCCI_MT000200): Transmission: als de code niet uit een van de standaardcodesystemen '2.16.840.1.113883.5.1100', '2.16.840.1.113883.2.4.6.6.1.1000', of '2.16.840.1.113883.5.4' komt is het @displayName attribuut verplicht (@displayName or @codeSystem='2.16.840.1.113883.5.1100' or @codeSystem='2.16.840.1.113883.2.4.6.6.1.1000' or @codeSystem='2.16.840.1.113883.5.4' / warning)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-11e0dc6c-8838-4e46-8154-49e32c8ab7e7-->

   <axsl:template match="hl7:MCCI_IN000002/hl7:acknowledgement/hl7:acknowledgementDetail/hl7:text" priority="1011" mode="M6">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-1e6c4881-1ab6-4ba9-84a7-0ebba26feb0c-->

   <axsl:template match="hl7:MCCI_IN000002/hl7:acknowledgement/hl7:acknowledgementDetail/hl7:location" priority="1010" mode="M6">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-d3d539bd-8275-41cb-80e6-d2196f65a312-->

   <axsl:template match="hl7:MCCI_IN000002/hl7:acknowledgement/hl7:targetMessage" priority="1009" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>(TransmissionWrapperMCCI_MT000200): element hl7:id is mandatory [min 1x]. (count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>(TransmissionWrapperMCCI_MT000200): element hl7:id komt te vaak voor [max 1x]. (count(hl7:id)&lt;=1 / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-55d7652e-3ec7-4163-b565-79457db1ebae-->

   <axsl:template match="hl7:MCCI_IN000002/hl7:acknowledgement/hl7:targetMessage/hl7:id" priority="1008" mode="M6">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-2d7f1b5c-7650-41c6-b149-05c6ce13d2b6-->

   <axsl:template match="hl7:MCCI_IN000002/hl7:receiver" priority="1007" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RCV' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>(TransmissionWrapperReceiverNotZIM): de waarde van @typeCode MOET 'RCV' zijn. (@typeCode='RCV' or not(@typeCode) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:device)&gt;=1 and not(hl7:device/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>(TransmissionWrapperReceiverNotZIM): element hl7:device is mandatory [min 1x]. (count(hl7:device)&gt;=1 and not(hl7:device/@nullFlavor) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:device)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>(TransmissionWrapperReceiverNotZIM): element hl7:device komt te vaak voor [max 1x]. (count(hl7:device)&lt;=1 / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-61381048-717a-459a-9ef4-4d52dbecb8e7-->

   <axsl:template match="hl7:MCCI_IN000002/hl7:receiver/hl7:device" priority="1006" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id[@root='2.16.840.1.113883.2.4.6.6'])&gt;=1 and not(hl7:id[@root='2.16.840.1.113883.2.4.6.6']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>(TransmissionWrapperReceiverNotZIM): element hl7:id[@root='2.16.840.1.113883.2.4.6.6'] is mandatory [min 1x]. (count(hl7:id[@root='2.16.840.1.113883.2.4.6.6'])&gt;=1 and not(hl7:id[@root='2.16.840.1.113883.2.4.6.6']/@nullFlavor) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id[@root='2.16.840.1.113883.2.4.6.6'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>(TransmissionWrapperReceiverNotZIM): element hl7:id[@root='2.16.840.1.113883.2.4.6.6'] komt te vaak voor [max 1x]. (count(hl7:id[@root='2.16.840.1.113883.2.4.6.6'])&lt;=1 / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:name)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>(TransmissionWrapperReceiverNotZIM): element hl7:name komt te vaak voor [max 1x]. (count(hl7:name)&lt;=1 / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-61ca6e7d-6073-4272-9729-eeebf4d04e15-->

   <axsl:template match="hl7:MCCI_IN000002/hl7:receiver/hl7:device/hl7:id[@root='2.16.840.1.113883.2.4.6.6']" priority="1005" mode="M6">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.6'"/>
         <axsl:otherwise>
            <axsl:message>(TransmissionWrapperReceiverNotZIM): @root MOET de waarde '2.16.840.1.113883.2.4.6.6' hebben. (@root='2.16.840.1.113883.2.4.6.6' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>(TransmissionWrapperReceiverNotZIM): @root attribuut MOET een syntactisch correcte UUID of OID zijn. (matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$') / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.6' and not(@extension='1')"/>
         <axsl:otherwise>
            <axsl:message>(TransmissionWrapperReceiverNotZIM): Transmission: receiver/device/id mag niet de AORTA ZIM zijn (@root='2.16.840.1.113883.2.4.6.6' and not(@extension='1') / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-3ce98622-2f80-4a3c-9064-6271e97dfc67-->

   <axsl:template match="hl7:MCCI_IN000002/hl7:receiver/hl7:device/hl7:name" priority="1004" mode="M6">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-96494ab3-400e-4809-a67c-81267dd6f32f-->

   <axsl:template match="hl7:MCCI_IN000002/hl7:sender" priority="1003" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SND' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>(TransmissionWrapperSenderAORTADevice): de waarde van @typeCode MOET 'SND' zijn. (@typeCode='SND' or not(@typeCode) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:device)&gt;=1 and not(hl7:device/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>(TransmissionWrapperSenderAORTADevice): element hl7:device is mandatory [min 1x]. (count(hl7:device)&gt;=1 and not(hl7:device/@nullFlavor) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:device)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>(TransmissionWrapperSenderAORTADevice): element hl7:device komt te vaak voor [max 1x]. (count(hl7:device)&lt;=1 / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-8ba4dd1a-7ef7-4bfb-bdcb-6813650af84f-->

   <axsl:template match="hl7:MCCI_IN000002/hl7:sender/hl7:device" priority="1002" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id[@root='2.16.840.1.113883.2.4.6.6'])&gt;=1 and not(hl7:id[@root='2.16.840.1.113883.2.4.6.6']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>(TransmissionWrapperSenderAORTADevice): element hl7:id[@root='2.16.840.1.113883.2.4.6.6'] is mandatory [min 1x]. (count(hl7:id[@root='2.16.840.1.113883.2.4.6.6'])&gt;=1 and not(hl7:id[@root='2.16.840.1.113883.2.4.6.6']/@nullFlavor) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id[@root='2.16.840.1.113883.2.4.6.6'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>(TransmissionWrapperSenderAORTADevice): element hl7:id[@root='2.16.840.1.113883.2.4.6.6'] komt te vaak voor [max 1x]. (count(hl7:id[@root='2.16.840.1.113883.2.4.6.6'])&lt;=1 / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:name)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>(TransmissionWrapperSenderAORTADevice): element hl7:name komt te vaak voor [max 1x]. (count(hl7:name)&lt;=1 / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-0c53658c-f241-422f-8307-190f3a3a401b-->

   <axsl:template match="hl7:MCCI_IN000002/hl7:sender/hl7:device/hl7:id[@root='2.16.840.1.113883.2.4.6.6']" priority="1001" mode="M6">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.6'"/>
         <axsl:otherwise>
            <axsl:message>(TransmissionWrapperSenderAORTADevice): @root MOET de waarde '2.16.840.1.113883.2.4.6.6' hebben. (@root='2.16.840.1.113883.2.4.6.6' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>(TransmissionWrapperSenderAORTADevice): @root attribuut MOET een syntactisch correcte UUID of OID zijn. (matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$') / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-2387e369-0803-476d-8cd2-258bfabf689e-->

   <axsl:template match="hl7:MCCI_IN000002/hl7:sender/hl7:device/hl7:name" priority="1000" mode="M6">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>
   <axsl:template match="text()" priority="-1" mode="M6"/>
   <axsl:template match="@*|node()" priority="-2" mode="M6">
      <axsl:apply-templates select="*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>
</axsl:stylesheet>