<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="2.0" xmlns:hl7="urn:hl7-org:v3"
    exclude-result-prefixes="#all" xmlns:File="java:java.io.File" xmlns:xsd="http://www.w3.org/2001/XMLSchema"
    xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/">
    <xsl:output method="text"/>
    <xsl:variable name="path" select="'../../'"/>
    <xsl:template match="/">
        <xsl:apply-templates/>
    </xsl:template>
    <xsl:template match="zorgToepassing">
        <!-- per zorgtoepassing een script met de naam van de toepassing -->
        <xsl:variable name="dirName" select="./naam"/>
        <xsl:result-document method="text" href="{concat($dirName,'.sh')}">
            <xsl:text>#!/bin/sh</xsl:text>
            <xsl:text>&#xa;</xsl:text>
            <xsl:value-of select="concat('mkdir ',$path,$dirName)"/>
            <xsl:text>&#xa;</xsl:text>
            <xsl:value-of select="concat('mkdir ',$path,$dirName,'/Documentatie')"/>
            <xsl:text>&#xa;</xsl:text>
            <xsl:value-of select="concat('mkdir ',$path,$dirName,'/XML')"/>
            <xsl:text>&#xa;</xsl:text>
            <xsl:value-of select="concat('mkdir ',$path,$dirName,'/XML/schemas')"/>
            <xsl:text>&#xa;</xsl:text>
            <xsl:value-of select="concat('cp ',./documentatie/@directory,'/*.* ',$path,$dirName,'/Documentatie/')"/>
            <xsl:text>&#xa;</xsl:text>
            <xsl:variable name="schemas">
                <xsl:for-each select="./wsdl/@file">
                    <xsl:variable name="includes"
                        select="document(concat(.,'.wsdl'))/*/wsdl:types/xsd:schema/xsd:include"/>
                    <xsl:for-each select="$includes">
                        <xsl:element name="schema">
                            <xsl:value-of select="substring-after(./@schemaLocation,'schemas/')"/>
                        </xsl:element>
                        <xsl:call-template name="resolveIncludes">
                            <xsl:with-param name="schema" select="./@schemaLocation"/>
                        </xsl:call-template>
                    </xsl:for-each>
                </xsl:for-each>
            </xsl:variable>
            <xsl:for-each select="distinct-values($schemas/schema)">
                <xsl:value-of select="concat('cp ','../schemas_codeGen/',.,' ',$path,$dirName,'/schemas/')"/>
                <xsl:text>&#xa;</xsl:text>
            </xsl:for-each>
        </xsl:result-document>
    </xsl:template>
    <xsl:template name="resolveIncludes">
        <xsl:param name="schema"/>
        <xsl:variable name="includes" select="document($schema)/*/xsd:include"/>
        <xsl:for-each select="$includes">
            <xsl:if test="not(contains(@schemaLocation,'coreschemas'))">
                <xsl:element name="schema">
                    <xsl:value-of select="@schemaLocation"/>
                </xsl:element>
                <xsl:call-template name="resolveIncludes">
                    <xsl:with-param name="schema" select="concat('../schemas_codeGen/',@schemaLocation)"/>
                </xsl:call-template>
            </xsl:if>
        </xsl:for-each>
    </xsl:template>
</xsl:stylesheet>
