<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  xmlns:aorta="http://www.aortarelease.nl/805/"
  xmlns:xmlsig="http://www.w3.org/2000/09/xmldsig#"
  xmlns:wss="http://docs.oasis-open.org/wss/2004/01/oasis-200401-wss-wssecurity-secext-1.0.xsd"
  xmlns:ds="http://www.w3.org/2000/09/xmldsig#"
  xmlns:soap="http://schemas.xmlsoap.org/soap/envelope/"
  exclude-result-prefixes="aorta xmlsig wss"
  version="1.0">

  <xsl:output method="xml"/>

  <xsl:template match="/">
    <soap:Envelope xmlns:soap="http://schemas.xmlsoap.org/soap/envelope/">
    <soap:Header>
        <xsl:apply-templates select="/wrapper/aorta:signedData"/>
        <xsl:apply-templates select="/wrapper/aorta:signedDataPrescription"/>
        <wss:Security xmlns:wss="http://docs.oasis-open.org/wss/2004/01/oasis-200401-wss-wssecurity-secext-1.0.xsd" xmlns:wsu="http://docs.oasis-open.org/wss/2004/01/oasis-200401-wss-wssecurity-utility-1.0.xsd" soap:mustUnderstand="1" soap:actor="http://www.aortarelease.nl/actor/gbx">
          <wss:BinarySecurityToken wsu:Id="signing-cert" ValueType="http://docs.oasis-open.org/wss/2004/01/oasis-200401-wss-x509-token-profile-1.0#X509v3" EncodingType="http://docs.oasis-open.org/wss/2004/01/oasis-200401-wss-soap-message-security-1.0#Base64Binary">
          	<xsl:value-of select="/wrapper/xmlsig:Signature/xmlsig:KeyInfo/ds:X509Data/ds:X509Certificate/text()"/>
          </wss:BinarySecurityToken>
          <xsl:apply-templates select="/wrapper/xmlsig:Signature"/>
        </wss:Security>
    </soap:Header>
    <soap:Body>
    	<!--  place your correlated HL7 message here -->
    </soap:Body>
    </soap:Envelope>
  </xsl:template>

  <xsl:template match="/wrapper/aorta:signedData">
      <ao:authenticationTokens xmlns:ao="http://www.aortarelease.nl/805/" soap:mustUnderstand="1" soap:actor="http://www.aortarelease.nl/actor/zim">
          <xsl:copy>
            <xsl:apply-templates select="*|@*"/>
          </xsl:copy>
      </ao:authenticationTokens>
  </xsl:template>

  <xsl:template match="/wrapper/aorta:signedDataPrescription">
      <ao:signatureTokens xmlns:ao="http://www.aortarelease.nl/805/" soap:mustUnderstand="1" soap:actor="http://www.aortarelease.nl/actor/gbx">
          <xsl:copy>
            <xsl:apply-templates select="*|@*"/>
          </xsl:copy>
      </ao:signatureTokens>
  </xsl:template>

  <xsl:template match="xmlsig:KeyInfo">
    <KeyInfo xmlns="http://www.w3.org/2000/09/xmldsig#">
      <wss:SecurityTokenReference>
        <wss:Reference URI="#signing-cert" ValueType="http://docs.oasis-open.org/wss/2004/01/oasis-200401-wss-x509-token-profile-1.0#X509v3"/>
      </wss:SecurityTokenReference>
    </KeyInfo>
  </xsl:template>

  <xsl:template match="*|@*|text()">
    <xsl:copy>
      <xsl:apply-templates select="*|@*|text()"/>
    </xsl:copy>
  </xsl:template>

</xsl:stylesheet>
