<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.100.11
Description: Dossieroverdrachtverzoek REPC_IN002120NL_JGZ
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.100.11">
   <title>Versturen JGZ-dossieroverdrachtverzoek (interactie)</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ
Item: (VersturenDossieroverdrachtverzoek)
-->

<rule context="hl7:REPC_IN002120NL_JGZ"
         id="tmp-bed54e81-18a7-4c49-b69f-0837d4a86da4">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(VersturenDossieroverdrachtverzoek): element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:id)&lt;=1">(VersturenDossieroverdrachtverzoek): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:creationTime)&gt;=1 and not(hl7:creationTime/@nullFlavor)">(VersturenDossieroverdrachtverzoek): element hl7:creationTime is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:creationTime)&lt;=1">(VersturenDossieroverdrachtverzoek): element hl7:creationTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:versionCode)&gt;=1 and not(hl7:versionCode/@nullFlavor)">(VersturenDossieroverdrachtverzoek): element hl7:versionCode is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:versionCode)&lt;=1">(VersturenDossieroverdrachtverzoek): element hl7:versionCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:interactionId[@root='2.16.840.1.113883.1.6'])&gt;=1 and not(hl7:interactionId[@root='2.16.840.1.113883.1.6']/@nullFlavor)">(VersturenDossieroverdrachtverzoek): element hl7:interactionId[@root='2.16.840.1.113883.1.6'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:interactionId[@root='2.16.840.1.113883.1.6'])&lt;=1">(VersturenDossieroverdrachtverzoek): element hl7:interactionId[@root='2.16.840.1.113883.1.6'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:profileId[@root='2.16.840.1.113883.2.4.3.11.1'])&gt;=1 and not(hl7:profileId[@root='2.16.840.1.113883.2.4.3.11.1']/@nullFlavor)">(VersturenDossieroverdrachtverzoek): element hl7:profileId[@root='2.16.840.1.113883.2.4.3.11.1'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:profileId[@root='2.16.840.1.113883.2.4.3.11.1'])&lt;=1">(VersturenDossieroverdrachtverzoek): element hl7:profileId[@root='2.16.840.1.113883.2.4.3.11.1'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:processingCode)&gt;=1 and not(hl7:processingCode/@nullFlavor)">(VersturenDossieroverdrachtverzoek): element hl7:processingCode is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:processingCode)&lt;=1">(VersturenDossieroverdrachtverzoek): element hl7:processingCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:processingModeCode)&gt;=1 and not(hl7:processingModeCode/@nullFlavor)">(VersturenDossieroverdrachtverzoek): element hl7:processingModeCode is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:processingModeCode)&lt;=1">(VersturenDossieroverdrachtverzoek): element hl7:processingModeCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:acceptAckCode)&gt;=1 and not(hl7:acceptAckCode/@nullFlavor)">(VersturenDossieroverdrachtverzoek): element hl7:acceptAckCode is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:acceptAckCode)&lt;=1">(VersturenDossieroverdrachtverzoek): element hl7:acceptAckCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:attentionLine)&gt;=1 and not(hl7:attentionLine/@nullFlavor)">(VersturenDossieroverdrachtverzoek): element hl7:attentionLine is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:attentionLine)&lt;=1">(VersturenDossieroverdrachtverzoek): element hl7:attentionLine komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:ControlActProcess)&gt;=1 and not(hl7:ControlActProcess/@nullFlavor)">(VersturenDossieroverdrachtverzoek): element hl7:ControlActProcess is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:ControlActProcess)&lt;=1">(VersturenDossieroverdrachtverzoek): element hl7:ControlActProcess komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ
Item: (TransmissionWrapperMCCI_MT000100)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ
Item: (TransmissionWrapperMCCI_MT000100)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:id
Item: (TransmissionWrapperMCCI_MT000100)
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:id"
         id="tmp-ef8ebcd2-8e08-4f51-b08a-5ff45eca3a8b">
      <let name="theValue" value="@value"/>
      <assert role="error" test="@root and @extension">(TransmissionWrapperMCCI_MT000100): Transmission: id element mist root of extension</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:creationTime
Item: (TransmissionWrapperMCCI_MT000100)
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:creationTime"
         id="tmp-4405b28d-f814-4fe2-b24a-4f6d354bc10b">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:versionCode
Item: (TransmissionWrapperMCCI_MT000100)
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:versionCode"
         id="tmp-cf74551e-5061-494f-a782-3bc27e2fec2d">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or (@code='NICTIZEd2005-Okt')">(TransmissionWrapperMCCI_MT000100): de waarde van @code MOET ''NICTIZEd2005-Okt'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:interactionId[@root='2.16.840.1.113883.1.6']
Item: (TransmissionWrapperMCCI_MT000100)
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:interactionId[@root='2.16.840.1.113883.1.6']"
         id="tmp-eeb1f864-69c3-497c-81d2-239ab2bd14c3">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@root='2.16.840.1.113883.1.6'">(TransmissionWrapperMCCI_MT000100): @root MOET de waarde '2.16.840.1.113883.1.6' hebben.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TransmissionWrapperMCCI_MT000100): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
      <let name="interactionId"
           value="self::node()[@root='2.16.840.1.113883.1.6']/@extension"/>
      <assert role="error"
              test="not(@root='2.16.840.1.113883.1.6') or local-name(..)=@extension">(TransmissionWrapperMCCI_MT000100): Transmission: @extension moet overeenkomen met het startelement van het bericht</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:profileId[@root='2.16.840.1.113883.2.4.3.11.1']
Item: (TransmissionWrapperMCCI_MT000100)
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:profileId[@root='2.16.840.1.113883.2.4.3.11.1']"
         id="tmp-4e05c2b2-092a-4c9d-9900-9a13d71c5cd2">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@root='2.16.840.1.113883.2.4.3.11.1'">(TransmissionWrapperMCCI_MT000100): @root MOET de waarde '2.16.840.1.113883.2.4.3.11.1' hebben.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TransmissionWrapperMCCI_MT000100): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@extension='810'">(TransmissionWrapperMCCI_MT000100): de waarde van @extension MOET '810' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:processingCode
Item: (TransmissionWrapperMCCI_MT000100)
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:processingCode"
         id="tmp-c271b770-a2c1-4fab-9bea-5312d88faded">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or (@code='P')">(TransmissionWrapperMCCI_MT000100): de waarde van @code MOET ''P'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:processingModeCode
Item: (TransmissionWrapperMCCI_MT000100)
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:processingModeCode"
         id="tmp-a709e6e8-fae3-4bf3-9ae6-3e68f464fad6">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or (@code='T')">(TransmissionWrapperMCCI_MT000100): de waarde van @code MOET ''T'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:acceptAckCode
Item: (TransmissionWrapperMCCI_MT000100)
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:acceptAckCode"
         id="tmp-51760041-3fe7-4570-b86d-025a74419ad1">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or (@code='AL')">(TransmissionWrapperMCCI_MT000100): de waarde van @code MOET ''AL'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ
Item: (TransmissionWrapperAttentionLineAORTA)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ
Item: (TransmissionWrapperAttentionLineAORTA)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:attentionLine
Item: (TransmissionWrapperAttentionLineAORTA)
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:attentionLine"
         id="tmp-8a816a25-8e3a-4f73-8966-a2e19cbbf1f3">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:keyWordText)&gt;=1 and not(hl7:keyWordText/@nullFlavor)">(TransmissionWrapperAttentionLineAORTA): element hl7:keyWordText is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:keyWordText)&lt;=1">(TransmissionWrapperAttentionLineAORTA): element hl7:keyWordText komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(TransmissionWrapperAttentionLineAORTA): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:value)&lt;=1">(TransmissionWrapperAttentionLineAORTA): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:attentionLine/hl7:keyWordText
Item: (TransmissionWrapperAttentionLineAORTA)
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:attentionLine/hl7:keyWordText"
         id="tmp-962fbacf-7153-4ad6-b2ee-ea29ba62ae62">
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or (@code='PATID' and @codeSystem='2.16.840.1.113883.2.4.15.1')">(TransmissionWrapperAttentionLineAORTA): de waarde van @code/@codeSystem MOET ''PATID' codeSystem '2.16.840.1.113883.2.4.15.1'' zijn.</assert>
      <assert role="error" test="text()='Patient.id'">(TransmissionWrapperAttentionLineAORTA): De waarde in text() MOET 'PATID' zijn</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:attentionLine/hl7:value
Item: (TransmissionWrapperAttentionLineAORTA)
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:attentionLine/hl7:value"
         id="tmp-530476df-9150-4bae-8632-61d371944aca">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:receiver
Item: (TransmissionWrapperReceiverNotZIM)
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:receiver"
         id="tmp-fc05462a-ea2b-402b-b911-6132b96ec4f2">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='RCV' or not(@typeCode)">(TransmissionWrapperReceiverNotZIM): de waarde van @typeCode MOET 'RCV' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:device)&gt;=1 and not(hl7:device/@nullFlavor)">(TransmissionWrapperReceiverNotZIM): element hl7:device is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:device)&lt;=1">(TransmissionWrapperReceiverNotZIM): element hl7:device komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:receiver/hl7:device
Item: (TransmissionWrapperReceiverNotZIM)
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:receiver/hl7:device"
         id="tmp-aad95e0a-3781-4d13-937d-a74bf2e7ee08">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:id[@root='2.16.840.1.113883.2.4.6.6'])&gt;=1 and not(hl7:id[@root='2.16.840.1.113883.2.4.6.6']/@nullFlavor)">(TransmissionWrapperReceiverNotZIM): element hl7:id[@root='2.16.840.1.113883.2.4.6.6'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:id[@root='2.16.840.1.113883.2.4.6.6'])&lt;=1">(TransmissionWrapperReceiverNotZIM): element hl7:id[@root='2.16.840.1.113883.2.4.6.6'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:name)&lt;=1">(TransmissionWrapperReceiverNotZIM): element hl7:name komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:receiver/hl7:device/hl7:id[@root='2.16.840.1.113883.2.4.6.6']
Item: (TransmissionWrapperReceiverNotZIM)
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:receiver/hl7:device/hl7:id[@root='2.16.840.1.113883.2.4.6.6']"
         id="tmp-6ee42f16-93e1-49de-8cfa-443ac6996b7c">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@root='2.16.840.1.113883.2.4.6.6'">(TransmissionWrapperReceiverNotZIM): @root MOET de waarde '2.16.840.1.113883.2.4.6.6' hebben.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TransmissionWrapperReceiverNotZIM): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
      <assert role="error"
              test="@root='2.16.840.1.113883.2.4.6.6' and not(@extension='1')">(TransmissionWrapperReceiverNotZIM): Transmission: receiver/device/id mag niet de AORTA ZIM zijn</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:receiver/hl7:device/hl7:name
Item: (TransmissionWrapperReceiverNotZIM)
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:receiver/hl7:device/hl7:name"
         id="tmp-0bac5b98-ccb9-4d95-86a5-ee216b8e4e02">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:sender
Item: (TransmissionWrapperSenderNotZIM)
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:sender"
         id="tmp-89e45333-af73-4907-a563-fb8a44da03ac">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='SND' or not(@typeCode)">(TransmissionWrapperSenderNotZIM): de waarde van @typeCode MOET 'SND' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:device)&gt;=1 and not(hl7:device/@nullFlavor)">(TransmissionWrapperSenderNotZIM): element hl7:device is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:device)&lt;=1">(TransmissionWrapperSenderNotZIM): element hl7:device komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:sender/hl7:device
Item: (TransmissionWrapperSenderNotZIM)
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:sender/hl7:device"
         id="tmp-b4fca143-2112-4b6a-9d88-5b372ba79751">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:id[@root='2.16.840.1.113883.2.4.6.6'])&gt;=1 and not(hl7:id[@root='2.16.840.1.113883.2.4.6.6']/@nullFlavor)">(TransmissionWrapperSenderNotZIM): element hl7:id[@root='2.16.840.1.113883.2.4.6.6'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:id[@root='2.16.840.1.113883.2.4.6.6'])&lt;=1">(TransmissionWrapperSenderNotZIM): element hl7:id[@root='2.16.840.1.113883.2.4.6.6'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:name)&lt;=1">(TransmissionWrapperSenderNotZIM): element hl7:name komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:sender/hl7:device/hl7:id[@root='2.16.840.1.113883.2.4.6.6']
Item: (TransmissionWrapperSenderNotZIM)
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:sender/hl7:device/hl7:id[@root='2.16.840.1.113883.2.4.6.6']"
         id="tmp-22c9863c-e950-4a25-929a-6073706be54a">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@root='2.16.840.1.113883.2.4.6.6'">(TransmissionWrapperSenderNotZIM): @root MOET de waarde '2.16.840.1.113883.2.4.6.6' hebben.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TransmissionWrapperSenderNotZIM): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
      <assert role="error"
              test="@root='2.16.840.1.113883.2.4.6.6' and not(@extension='1')">(TransmissionWrapperSenderNotZIM): Transmission: sender/device/id mag niet de AORTA ZIM zijn</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:sender/hl7:device/hl7:name
Item: (TransmissionWrapperSenderNotZIM)
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:sender/hl7:device/hl7:name"
         id="tmp-a0193f61-2bb9-4253-b2b5-74f7e1dee8b6">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess
Item: (VersturenDossieroverdrachtverzoek)
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess"
         id="tmp-43ed1e74-a7d8-4ee7-b7c4-315aeb249513">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:id)&lt;=1">(VersturenDossieroverdrachtverzoek): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">(VersturenDossieroverdrachtverzoek): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:text)=0">(VersturenDossieroverdrachtverzoek): element hl7:text MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:effectiveTime)&lt;=1">(VersturenDossieroverdrachtverzoek): element hl7:effectiveTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:reasonCode)=0">(VersturenDossieroverdrachtverzoek): element hl7:reasonCode MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:languageCode)=0">(VersturenDossieroverdrachtverzoek): element hl7:languageCode MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:informationRecipient)=0">(VersturenDossieroverdrachtverzoek): element hl7:informationRecipient MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:dataEnterer)=0">(VersturenDossieroverdrachtverzoek): element hl7:dataEnterer MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:authorOrPerformer[*/hl7:AssignedPerson])&gt;=1 and not(hl7:authorOrPerformer[*/hl7:AssignedPerson]/@nullFlavor)">(VersturenDossieroverdrachtverzoek): element hl7:authorOrPerformer[*/hl7:AssignedPerson] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:authorOrPerformer[*/hl7:AssignedPerson])&lt;=1">(VersturenDossieroverdrachtverzoek): element hl7:authorOrPerformer[*/hl7:AssignedPerson] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:overseer)&gt;=1 and not(hl7:overseer/@nullFlavor)">(VersturenDossieroverdrachtverzoek): element hl7:overseer is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:overseer)&lt;=1">(VersturenDossieroverdrachtverzoek): element hl7:overseer komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]])&gt;=1 and not(hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/@nullFlavor)">(VersturenDossieroverdrachtverzoek): element hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]])&lt;=1">(VersturenDossieroverdrachtverzoek): element hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess
Item: (ControlActWrapperMCAI_MT700201)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess
Item: (ControlActWrapperMCAI_MT700201)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess
Item: (ControlActWrapperMCAI_MT700201)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess
Item: (ControlActWrapperMCAI_MT700201)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:id
Item: (ControlActWrapperMCAI_MT700201)
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:id"
         id="tmp-1b370e63-169e-4218-a804-d6d080320d27">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:code
Item: (ControlActWrapperMCAI_MT700201)
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:code"
         id="tmp-3d91435e-2e32-466b-861c-c6d7ad09a9ab">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.1.18')">(ControlActWrapperMCAI_MT700201): de waarde van @codeSystem MOET ''2.16.840.1.113883.1.18'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:text
Item: (ControlActWrapperMCAI_MT700201)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:effectiveTime
Item: (ControlActWrapperMCAI_MT700201)
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:effectiveTime"
         id="tmp-bb02afc5-c581-4509-9005-2e3094754011">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:reasonCode
Item: (ControlActWrapperMCAI_MT700201)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:languageCode
Item: (ControlActWrapperMCAI_MT700201)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:informationRecipient
Item: (ControlActWrapperMCAI_MT700201)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:dataEnterer
Item: (ControlActWrapperMCAI_MT700201)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedPerson]
Item: (ControlActAuthorOrPerformerPerson)
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedPerson]"
         id="tmp-45f319f2-af89-48c5-ba3c-2b1b8f79a7ef">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='AUT' or not(@typeCode)">(ControlActAuthorOrPerformerPerson): de waarde van @typeCode MOET 'AUT' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:participant)&gt;=1 and not(hl7:participant/@nullFlavor)">(ControlActAuthorOrPerformerPerson): element hl7:participant is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:participant)&lt;=1">(ControlActAuthorOrPerformerPerson): element hl7:participant komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedPerson]/hl7:participant
Item: (ControlActAuthorOrPerformerPerson)
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedPerson]/hl7:participant"
         id="tmp-3e95e4f0-ebce-45be-82dd-4e91d28e35e9">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:AssignedPerson)&gt;=1 and not(hl7:AssignedPerson/@nullFlavor)">(ControlActAuthorOrPerformerPerson): element hl7:AssignedPerson is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:AssignedPerson)&lt;=1">(ControlActAuthorOrPerformerPerson): element hl7:AssignedPerson komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedPerson]/hl7:participant/hl7:AssignedPerson
Item: (ControlActAuthorOrPerformerPerson)
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedPerson]/hl7:participant/hl7:AssignedPerson"
         id="tmp-52801555-cb29-40f8-8838-55e806abd2ef">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(ControlActAuthorOrPerformerPerson): element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:id)&lt;=1">(ControlActAuthorOrPerformerPerson): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">(ControlActAuthorOrPerformerPerson): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:telecom)&lt;=1">(ControlActAuthorOrPerformerPerson): element hl7:telecom komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:name)&lt;=1">(ControlActAuthorOrPerformerPerson): element hl7:name komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:noteText)=0">(ControlActAuthorOrPerformerPerson): element hl7:noteText MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:time)=0">(ControlActAuthorOrPerformerPerson): element hl7:time MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:modeCode)=0">(ControlActAuthorOrPerformerPerson): element hl7:modeCode MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:signatureCode)=0">(ControlActAuthorOrPerformerPerson): element hl7:signatureCode MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:signatureText)=0">(ControlActAuthorOrPerformerPerson): element hl7:signatureText MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:Organization)&gt;=1 and not(hl7:Organization/@nullFlavor)">(ControlActAuthorOrPerformerPerson): element hl7:Organization is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:Organization)&lt;=1">(ControlActAuthorOrPerformerPerson): element hl7:Organization komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedPerson]/hl7:participant/hl7:AssignedPerson/hl7:id
Item: (ControlActAuthorOrPerformerPerson)
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedPerson]/hl7:participant/hl7:AssignedPerson/hl7:id"
         id="tmp-2905aa41-cf84-4404-9eb3-e76155b23773">
      <let name="theValue" value="@value"/>
      <assert role="error" test="@root='2.16.528.1.1007.3.1' and @extension">(ControlActAuthorOrPerformerPerson): Control Act: <name path=".."/>/<name/> moet een UZI-nummer bevatten</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedPerson]/hl7:participant/hl7:AssignedPerson/hl7:code
Item: (ControlActAuthorOrPerformerPerson)
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedPerson]/hl7:participant/hl7:AssignedPerson/hl7:code"
         id="tmp-ccf98b84-7259-4d53-8ced-86e0beb0a21e">
      <let name="theValue" value="@value"/>
      <assert role="error"
              test="@codeSystem='2.16.840.1.113883.2.4.15.111' and not(@code='00.000')">(ControlActAuthorOrPerformerPerson): Control Act: <name path=".."/>/<name/> moet een UZI-rolcode bevatten en deze mag niet 00.000 zijn</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedPerson]/hl7:participant/hl7:AssignedPerson/hl7:telecom
Item: (ControlActAuthorOrPerformerPerson)
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedPerson]/hl7:participant/hl7:AssignedPerson/hl7:telecom"
         id="tmp-3f9ac102-71af-4f40-b887-f23ae9c12670">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedPerson]/hl7:participant/hl7:AssignedPerson/hl7:name
Item: (ControlActAuthorOrPerformerPerson)
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedPerson]/hl7:participant/hl7:AssignedPerson/hl7:name"
         id="tmp-eec0b68b-1e30-4898-8834-ba41a145540e">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedPerson]/hl7:participant/hl7:AssignedPerson/hl7:noteText
Item: (ControlActAuthorOrPerformerPerson)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedPerson]/hl7:participant/hl7:AssignedPerson/hl7:time
Item: (ControlActAuthorOrPerformerPerson)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedPerson]/hl7:participant/hl7:AssignedPerson/hl7:modeCode
Item: (ControlActAuthorOrPerformerPerson)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedPerson]/hl7:participant/hl7:AssignedPerson/hl7:signatureCode
Item: (ControlActAuthorOrPerformerPerson)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedPerson]/hl7:participant/hl7:AssignedPerson/hl7:signatureText
Item: (ControlActAuthorOrPerformerPerson)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedPerson]/hl7:participant/hl7:AssignedPerson/hl7:Organization
Item: (ControlActAuthorOrPerformerPerson)
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedPerson]/hl7:participant/hl7:AssignedPerson/hl7:Organization"
         id="tmp-618fddfd-ad01-4925-8c60-d7608d878d09">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(ControlActAuthorOrPerformerPerson): element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:id)&lt;=1">(ControlActAuthorOrPerformerPerson): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">(ControlActAuthorOrPerformerPerson): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)">(ControlActAuthorOrPerformerPerson): element hl7:name is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:name)&lt;=1">(ControlActAuthorOrPerformerPerson): element hl7:name komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:addr)&lt;=1">(ControlActAuthorOrPerformerPerson): element hl7:addr komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedPerson]/hl7:participant/hl7:AssignedPerson/hl7:Organization/hl7:id
Item: (ControlActAuthorOrPerformerPerson)
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedPerson]/hl7:participant/hl7:AssignedPerson/hl7:Organization/hl7:id"
         id="tmp-4f92ed0d-56e0-422c-b70b-17b267581fa5">
      <let name="theValue" value="@value"/>
      <assert role="error" test="@root='2.16.528.1.1007.3.3' and @extension">(ControlActAuthorOrPerformerPerson): &gt;Control Act: <name path=".."/>/<name/> moet een URA bevatten</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedPerson]/hl7:participant/hl7:AssignedPerson/hl7:Organization/hl7:code
Item: (ControlActAuthorOrPerformerPerson)
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedPerson]/hl7:participant/hl7:AssignedPerson/hl7:Organization/hl7:code"
         id="tmp-175fc759-37e2-4dec-9313-3a8c89622fb3">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.15.1060')">(ControlActAuthorOrPerformerPerson): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.15.1060'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedPerson]/hl7:participant/hl7:AssignedPerson/hl7:Organization/hl7:telecom
Item: (ControlActAuthorOrPerformerPerson)
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedPerson]/hl7:participant/hl7:AssignedPerson/hl7:Organization/hl7:telecom"
         id="tmp-e7371924-a94a-40bb-80d2-3c8ab93eb0b8">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedPerson]/hl7:participant/hl7:AssignedPerson/hl7:Organization/hl7:name
Item: (ControlActAuthorOrPerformerPerson)
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedPerson]/hl7:participant/hl7:AssignedPerson/hl7:Organization/hl7:name"
         id="tmp-2ec034f3-a7e3-44f6-ac84-01d1ef20b8e8">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedPerson]/hl7:participant/hl7:AssignedPerson/hl7:Organization/hl7:addr
Item: (ControlActAuthorOrPerformerPerson)
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedPerson]/hl7:participant/hl7:AssignedPerson/hl7:Organization/hl7:addr"
         id="tmp-73c02df1-3b1d-4ae6-bed5-417c71ce6693">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:overseer
Item: (ControlActOverseerPerson)
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:overseer"
         id="tmp-7e3bce66-e34d-49d9-a4b6-357b4c82d587">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='RESP' or not(@typeCode)">(ControlActOverseerPerson): de waarde van @typeCode MOET 'RESP' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:AssignedPerson)&gt;=1 and not(hl7:AssignedPerson/@nullFlavor)">(ControlActOverseerPerson): element hl7:AssignedPerson is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:AssignedPerson)&lt;=1">(ControlActOverseerPerson): element hl7:AssignedPerson komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:overseer/hl7:AssignedPerson
Item: (ControlActOverseerPerson)
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:overseer/hl7:AssignedPerson"
         id="tmp-6f9c99af-b006-41ad-9ecb-41e6c973e680">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(ControlActOverseerPerson): element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:id)&lt;=1">(ControlActOverseerPerson): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(ControlActOverseerPerson): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">(ControlActOverseerPerson): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:assignedPrincipalChoiceList)&gt;=1 and not(hl7:assignedPrincipalChoiceList/@nullFlavor)">(ControlActOverseerPerson): element hl7:assignedPrincipalChoiceList is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:assignedPrincipalChoiceList)&lt;=1">(ControlActOverseerPerson): element hl7:assignedPrincipalChoiceList komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:Organization)&gt;=1 and not(hl7:Organization/@nullFlavor)">(ControlActOverseerPerson): element hl7:Organization is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:Organization)&lt;=1">(ControlActOverseerPerson): element hl7:Organization komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:overseer/hl7:AssignedPerson/hl7:id
Item: (ControlActOverseerPerson)
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:overseer/hl7:AssignedPerson/hl7:id"
         id="tmp-4bc807c2-baa8-44e5-8d75-0fc0eb14adae">
      <let name="theValue" value="@value"/>
      <assert role="error" test="@root='2.16.528.1.1007.3.1' and @extension">(ControlActOverseerPerson): Control Act: <name path=".."/>/<name/> moet een UZI-nummer bevatten</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:overseer/hl7:AssignedPerson/hl7:code
Item: (ControlActOverseerPerson)
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:overseer/hl7:AssignedPerson/hl7:code"
         id="tmp-f3c3e46e-1901-44f7-a9d4-8c2478be51ea">
      <let name="theValue" value="@value"/>
      <assert role="error"
              test="@codeSystem='2.16.840.1.113883.2.4.15.111' and not(@code='00.000')">(ControlActOverseerPerson): Control Act: <name path=".."/>/<name/> moet een UZI-register rolcode bevatten en deze mag niet 00.000 zijn</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:overseer/hl7:AssignedPerson/hl7:assignedPrincipalChoiceList
Item: (ControlActOverseerPerson)
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:overseer/hl7:AssignedPerson/hl7:assignedPrincipalChoiceList"
         id="tmp-896f74dc-2669-4852-89d4-1440cd2f16d3">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:assignedPerson)&gt;=1 and not(hl7:assignedPerson/@nullFlavor)">(ControlActOverseerPerson): element hl7:assignedPerson is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:assignedPerson)&lt;=1">(ControlActOverseerPerson): element hl7:assignedPerson komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:overseer/hl7:AssignedPerson/hl7:assignedPrincipalChoiceList/hl7:assignedPerson
Item: (ControlActOverseerPerson)
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:overseer/hl7:AssignedPerson/hl7:assignedPrincipalChoiceList/hl7:assignedPerson"
         id="tmp-b14cec97-acaa-41a0-9e46-446e2498922b">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)">(ControlActOverseerPerson): element hl7:name is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:name)&lt;=1">(ControlActOverseerPerson): element hl7:name komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:overseer/hl7:AssignedPerson/hl7:assignedPrincipalChoiceList/hl7:assignedPerson/hl7:name
Item: (ControlActOverseerPerson)
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:overseer/hl7:AssignedPerson/hl7:assignedPrincipalChoiceList/hl7:assignedPerson/hl7:name"
         id="tmp-466d5a8b-64f2-44a5-b290-e1db375b23e1">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:overseer/hl7:AssignedPerson/hl7:Organization
Item: (ControlActOverseerPerson)
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:overseer/hl7:AssignedPerson/hl7:Organization"
         id="tmp-37db3b2f-00ab-437b-9007-ba362b848658">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(ControlActOverseerPerson): element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:id)&lt;=1">(ControlActOverseerPerson): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">(ControlActOverseerPerson): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)">(ControlActOverseerPerson): element hl7:name is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:name)&lt;=1">(ControlActOverseerPerson): element hl7:name komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:addr)&gt;=1 and not(hl7:addr/@nullFlavor)">(ControlActOverseerPerson): element hl7:addr is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:addr)&lt;=1">(ControlActOverseerPerson): element hl7:addr komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:overseer/hl7:AssignedPerson/hl7:Organization/hl7:id
Item: (ControlActOverseerPerson)
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:overseer/hl7:AssignedPerson/hl7:Organization/hl7:id"
         id="tmp-82593f43-fef9-4c99-8713-026400aec2a8">
      <let name="theValue" value="@value"/>
      <assert role="error" test="@root='2.16.528.1.1007.3.3' and @extension">(ControlActOverseerPerson): Control Act: <name path=".."/>/<name/> moet een URA bevatten</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:overseer/hl7:AssignedPerson/hl7:Organization/hl7:code
Item: (ControlActOverseerPerson)
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:overseer/hl7:AssignedPerson/hl7:Organization/hl7:code"
         id="tmp-84ea4dd5-a32f-4a7d-91ad-79c6b17b75a6">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.15.1060')">(ControlActOverseerPerson): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.15.1060'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:overseer/hl7:AssignedPerson/hl7:Organization/hl7:name
Item: (ControlActOverseerPerson)
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:overseer/hl7:AssignedPerson/hl7:Organization/hl7:name"
         id="tmp-dfca9c4b-f269-4ea6-8673-9726d4e9a527">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:overseer/hl7:AssignedPerson/hl7:Organization/hl7:addr
Item: (ControlActOverseerPerson)
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:overseer/hl7:AssignedPerson/hl7:Organization/hl7:addr"
         id="tmp-5f49cb31-a604-45f8-9dcd-f4fea3e0f62b">
      <let name="theValue" value="@value"/>
      <assert role="error" test="hl7:city">(ControlActOverseerPerson): Control Act: <name path=".."/>/<name/> moet tenminste de vestigingsplaats bevatten</assert>
   </rule>


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]
Item: (VersturenDossieroverdrachtverzoek)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess
Item: (VersturenDossieroverdrachtverzoek-payload)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]
Item: (VersturenDossieroverdrachtverzoek-payload)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]"
         id="tmp-96265b78-b2f3-4bbc-8fec-06dddf8f9312">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:CareProvisionRequest)&gt;=1 and not(hl7:CareProvisionRequest/@nullFlavor)">(VersturenDossieroverdrachtverzoek-payload): element hl7:CareProvisionRequest is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:CareProvisionRequest)&lt;=1">(VersturenDossieroverdrachtverzoek-payload): element hl7:CareProvisionRequest komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest
Item: (VersturenDossieroverdrachtverzoek-payload)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest"
         id="tmp-70ed70c0-b21e-4c6f-95f6-9f411a092079">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='PCPR' or not(@classCode)">(VersturenDossieroverdrachtverzoek-payload): de waarde van @classCode MOET 'PCPR' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@moodCode='RQO' or not(@moodCode)">(VersturenDossieroverdrachtverzoek-payload): de waarde van @moodCode MOET 'RQO' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']/@nullFlavor)">(VersturenDossieroverdrachtverzoek-payload): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000'])&lt;=1">(VersturenDossieroverdrachtverzoek-payload): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:id)&lt;=1">(VersturenDossieroverdrachtverzoek-payload): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(VersturenDossieroverdrachtverzoek-payload): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">(VersturenDossieroverdrachtverzoek-payload): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:statusCode)&gt;=1 and not(hl7:statusCode/@nullFlavor)">(VersturenDossieroverdrachtverzoek-payload): element hl7:statusCode is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:statusCode)&lt;=1">(VersturenDossieroverdrachtverzoek-payload): element hl7:statusCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:author[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']]])&gt;=1 and not(hl7:author[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']]]/@nullFlavor)">(VersturenDossieroverdrachtverzoek-payload): element hl7:author[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:author[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']]])&lt;=1">(VersturenDossieroverdrachtverzoek-payload): element hl7:author[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]])&gt;=1 and not(hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/@nullFlavor)">(VersturenDossieroverdrachtverzoek-payload): element hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]])&lt;=1">(VersturenDossieroverdrachtverzoek-payload): element hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']
Item: (VersturenDossieroverdrachtverzoek-payload)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']"
         id="tmp-1fdffc3e-0e50-4e76-9c5d-86507d3017c1">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@root='2.16.840.1.113883.2.4.6.10.100.10000'">(VersturenDossieroverdrachtverzoek-payload): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.10000' hebben.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(VersturenDossieroverdrachtverzoek-payload): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:id
Item: (VersturenDossieroverdrachtverzoek-payload)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:id"
         id="tmp-601754dd-96d2-4349-8aa9-a6aeb1033d84">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:code
Item: (VersturenDossieroverdrachtverzoek-payload)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:code"
         id="tmp-c361ca46-06db-4ea7-807c-4e3501c2cf22">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or (@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')">(VersturenDossieroverdrachtverzoek-payload): de waarde van @code/@codeSystem MOET ''CPHC' codeSystem '2.16.840.1.113883.5.4'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:statusCode
Item: (VersturenDossieroverdrachtverzoek-payload)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:statusCode"
         id="tmp-4d9014f4-e490-4692-9a3b-0a2cb8d2f880">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or (@code='active')">(VersturenDossieroverdrachtverzoek-payload): de waarde van @code MOET ''active'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:author[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']]]
Item: (VersturenDossieroverdrachtverzoek-payload)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:author[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']]]"
         id="tmp-f894e8dd-b036-4e9c-9fb6-b29f4ef00c29">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='AUT' or not(@typeCode)">(VersturenDossieroverdrachtverzoek-payload): de waarde van @typeCode MOET 'AUT' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:time)&gt;=1 and not(hl7:time/@nullFlavor)">(VersturenDossieroverdrachtverzoek-payload): element hl7:time is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:time)&lt;=1">(VersturenDossieroverdrachtverzoek-payload): element hl7:time komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:author[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']]]/hl7:time
Item: (VersturenDossieroverdrachtverzoek-payload)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:author[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']]]/hl7:time"
         id="tmp-bc1d1edb-5690-4585-9d78-e580ca8c6b65">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]
Item: (VersturenDossieroverdrachtverzoek-payload)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]"
         id="tmp-6f1226c3-2024-4f67-8eb9-e127315d9282">
      <extends rule="tmp-8bac5892-4fef-4b20-8ff4-615639e4344d"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='SEQL' or not(@typeCode)">(VersturenDossieroverdrachtverzoek-payload): de waarde van @typeCode MOET 'SEQL' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@contextConductionInd='true' or not(@contextConductionInd)">(VersturenDossieroverdrachtverzoek-payload): de waarde van @contextConductionInd MOET 'true' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest
Item: (careProvisionDossier)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]
Item: (careProvisionDossier)
-->
<rule id="tmp-8bac5892-4fef-4b20-8ff4-615639e4344d" abstract="true">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:careProvisionEvent)&gt;=1 and not(hl7:careProvisionEvent/@nullFlavor)">(careProvisionDossier): element hl7:careProvisionEvent is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:careProvisionEvent)&lt;=1">(careProvisionDossier): element hl7:careProvisionEvent komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent
Item: (careProvisionDossier)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent"
         id="tmp-c87e0229-6960-4f77-a7cf-77951638e0cb">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='PCPR' or not(@classCode)">(careProvisionDossier): de waarde van @classCode MOET 'PCPR' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@moodCode='EVN' or not(@moodCode)">(careProvisionDossier): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(careProvisionDossier): element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:id)&lt;=1">(careProvisionDossier): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(careProvisionDossier): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">(careProvisionDossier): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:statusCode)&gt;=1 and not(hl7:statusCode/@nullFlavor)">(careProvisionDossier): element hl7:statusCode is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:statusCode)&lt;=1">(careProvisionDossier): element hl7:statusCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:effectiveTime)&gt;=1 and not(hl7:effectiveTime/@nullFlavor)">(careProvisionDossier): element hl7:effectiveTime is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:effectiveTime)&lt;=1">(careProvisionDossier): element hl7:effectiveTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:subject[hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.131']]])&gt;=1 and not(hl7:subject[hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.131']]]/@nullFlavor)">(careProvisionDossier): element hl7:subject[hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.131']]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:subject[hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.131']]])&lt;=1">(careProvisionDossier): element hl7:subject[hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.131']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:responsibleParty[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']]])&gt;=1 and not(hl7:responsibleParty[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']]]/@nullFlavor)">(careProvisionDossier): element hl7:responsibleParty[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:author[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']]])&gt;=1 and not(hl7:author[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']]]/@nullFlavor)">(careProvisionDossier): element hl7:author[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:summary)&lt;=1">(careProvisionDossier): element hl7:summary komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:pertinentInformation[hl7:pregnancyCondition[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.121']]])&lt;=1">(careProvisionDossier): element hl7:pertinentInformation[hl7:pregnancyCondition[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.121']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:subjectOf)&gt;=2 ">(careProvisionDossier): element hl7:subjectOf is required [min 2x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:id
Item: (careProvisionDossier)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:id"
         id="tmp-df1c11a0-eead-4947-bf3c-4925ec823ec5">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:code
Item: (careProvisionDossier)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:code"
         id="tmp-06fede3c-c92f-462e-8c7d-02632d5bfd28">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or (@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')">(careProvisionDossier): de waarde van @code/@codeSystem MOET ''CPHC' codeSystem '2.16.840.1.113883.5.4'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:statusCode
Item: (careProvisionDossier)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:statusCode"
         id="tmp-00197345-9a53-4062-9723-50f4deaf199a">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or (@code='active') or (@code='completed') or (@code='aborted')">(careProvisionDossier): de waarde van @code MOET één van de volgende codes bevatten: 'active' of 'completed' of 'aborted'.</assert>
      <assert role="warning" test="@code='completed'">(careProvisionDossier): Alleen in uitzonderlijke gevallen kan een dossierstatus bij overdracht iets anders dan 'completed' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:effectiveTime
Item: (careProvisionDossier)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:effectiveTime"
         id="tmp-04d59ee8-b18d-4be2-818b-e85a6628c098">
      <extends rule="tmp-9a9151ff-7bb5-4afc-9520-b5880ae0d8e6"/>
      <assert role="error"
              test="not(../hl7:statusCode[@code='aborted' or @code='completed']) or hl7:high">(careProvisionDossier): Als statusCode='aborted' of statusCode='completed' dan moet high/@value de datum en indien bekend de tijd bevatten van de afsluiting van de zorg.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent
Item: (Periode-M-Start-O-Eind-M)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:effectiveTime
Item: (Periode-M-Start-O-Eind-M)
-->
<rule id="tmp-9a9151ff-7bb5-4afc-9520-b5880ae0d8e6" abstract="true">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:low)&lt;=1">(Periode-M-Start-O-Eind-M): element hl7:low komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:high)&gt;=1 and not(hl7:high/@nullFlavor)">(Periode-M-Start-O-Eind-M): element hl7:high is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:high)&lt;=1">(Periode-M-Start-O-Eind-M): element hl7:high komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:width)=0">(Periode-M-Start-O-Eind-M): element hl7:width MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:center)=0">(Periode-M-Start-O-Eind-M): element hl7:center MAG NIET voorkomen.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:effectiveTime/hl7:low
Item: (Periode-M-Start-O-Eind-M)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:effectiveTime/hl7:low"
         id="tmp-fa6c890f-0da6-428d-aff8-f61176e8a0d7">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor='UNK' or not(@nullFlavor)">(Periode-M-Start-O-Eind-M): de waarde van @nullFlavor MOET 'UNK' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:effectiveTime/hl7:high
Item: (Periode-M-Start-O-Eind-M)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:effectiveTime/hl7:high"
         id="tmp-591b440d-c686-4df4-8e7c-62aa3ffe3ecb">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:effectiveTime/hl7:width
Item: (Periode-M-Start-O-Eind-M)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:effectiveTime/hl7:center
Item: (Periode-M-Start-O-Eind-M)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:subject[hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.131']]]
Item: (careProvisionDossier)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:subject[hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.131']]]"
         id="tmp-b6668c50-528f-466f-a3b1-e2cbf1ac2841">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='SBJ' or not(@typeCode)">(careProvisionDossier): de waarde van @typeCode MOET 'SBJ' zijn.</assert>
      <let name="patRoot" value="hl7:patient/@root"/>
      <let name="patExt" value="hl7:patient/@extension"/>
      <assert role="error"
              test="not(ancestor::*/hl7:attentionLine) or ancestor::*/hl7:attentionLine/hl7:value[@extension=$patExt and @root=$patRoot]">(careProvisionDossier): De patiënt in de Payload (BSN '<value-of select="$patExt"/>') moet overeen komen met de patient in de attentionLine (BSN '<value-of select="ancestor::*/hl7:attentionLine/hl7:value/@extension"/>')</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:responsibleParty[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']]]
Item: (careProvisionDossier)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:responsibleParty[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']]]"
         id="tmp-c069a0b4-b76d-4e53-8c79-4530a5c4f10b">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='RESP' or not(@typeCode)">(careProvisionDossier): de waarde van @typeCode MOET 'RESP' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:time)&gt;=1 ">(careProvisionDossier): element hl7:time is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:time)&lt;=1">(careProvisionDossier): element hl7:time komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:responsibleParty[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']]]/hl7:time
Item: (careProvisionDossier)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:responsibleParty[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']]]/hl7:time"
         id="tmp-6a0b57e1-5ce6-447e-ba4b-69ca4d023409">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor='UNK' or not(@nullFlavor)">(careProvisionDossier): de waarde van @nullFlavor MOET 'UNK' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:low)&lt;=1">(careProvisionDossier): element hl7:low komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:high)&lt;=1">(careProvisionDossier): element hl7:high komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:center)=0">(careProvisionDossier): element hl7:center MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:width)=0">(careProvisionDossier): element hl7:width MAG NIET voorkomen.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:responsibleParty[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']]]/hl7:time/hl7:low
Item: (careProvisionDossier)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:responsibleParty[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']]]/hl7:time/hl7:low"
         id="tmp-c455fc2e-62ee-4753-8086-89521c1b8688">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor='UNK' or not(@nullFlavor)">(careProvisionDossier): de waarde van @nullFlavor MOET 'UNK' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:responsibleParty[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']]]/hl7:time/hl7:high
Item: (careProvisionDossier)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:responsibleParty[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']]]/hl7:time/hl7:high"
         id="tmp-928f9ed6-059b-4a1e-a242-5eacd7201bc6">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor='UNK' or not(@nullFlavor)">(careProvisionDossier): de waarde van @nullFlavor MOET 'UNK' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:responsibleParty[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']]]/hl7:time/hl7:center
Item: (careProvisionDossier)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:responsibleParty[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']]]/hl7:time/hl7:width
Item: (careProvisionDossier)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:author[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']]]
Item: (careProvisionDossier)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:author[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']]]"
         id="tmp-56174929-655e-46eb-816f-2593c5105ee6">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='AUT' or not(@typeCode)">(careProvisionDossier): de waarde van @typeCode MOET 'AUT' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:time)&gt;=1 ">(careProvisionDossier): element hl7:time is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:time)&lt;=1">(careProvisionDossier): element hl7:time komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:author[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']]]/hl7:time
Item: (careProvisionDossier)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:author[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']]]/hl7:time"
         id="tmp-c67d172e-42d8-406c-b29a-91e7470689a1">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor='UNK' or not(@nullFlavor)">(careProvisionDossier): de waarde van @nullFlavor MOET 'UNK' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:low)&lt;=1">(careProvisionDossier): element hl7:low komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:high)&lt;=1">(careProvisionDossier): element hl7:high komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:center)=0">(careProvisionDossier): element hl7:center MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:width)=0">(careProvisionDossier): element hl7:width MAG NIET voorkomen.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:author[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']]]/hl7:time/hl7:low
Item: (careProvisionDossier)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:author[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']]]/hl7:time/hl7:low"
         id="tmp-772d5b4b-a418-47b6-94d8-07fce1e5e2bc">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor='UNK' or not(@nullFlavor)">(careProvisionDossier): de waarde van @nullFlavor MOET 'UNK' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:author[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']]]/hl7:time/hl7:high
Item: (careProvisionDossier)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:author[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']]]/hl7:time/hl7:high"
         id="tmp-f5d8ff0f-9686-4210-8755-e9c9e22697dd">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor='UNK' or not(@nullFlavor)">(careProvisionDossier): de waarde van @nullFlavor MOET 'UNK' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:author[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']]]/hl7:time/hl7:center
Item: (careProvisionDossier)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:author[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']]]/hl7:time/hl7:width
Item: (careProvisionDossier)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:appendage
Item: (careProvisionEventAppendage)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:appendage"
         id="tmp-0b26812f-614d-46f5-a7c2-5912a5b4695b">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='APND' or not(@typeCode)">(careProvisionEventAppendage): de waarde van @typeCode MOET 'APND' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:document)&gt;=1 and not(hl7:document/@nullFlavor)">(careProvisionEventAppendage): element hl7:document is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:document)&lt;=1">(careProvisionEventAppendage): element hl7:document komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:appendage/hl7:document
Item: (careProvisionEventAppendage)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:appendage/hl7:document"
         id="tmp-f6fb34d0-8821-42db-9657-7b20489d6a97">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='DOC' or not(@classCode)">(careProvisionEventAppendage): de waarde van @classCode MOET 'DOC' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@moodCode='EVN' or not(@moodCode)">(careProvisionEventAppendage): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              test="hl7:effectiveTime/@value or hl7:code[@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.303']">(careProvisionEventAppendage): effectiveTime is verplicht als het bestand geen JGZ-dossier betreft</assert>
      <assert role="error"
              test="hl7:author or hl7:code[@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.303']">(careProvisionEventAppendage): author is verplicht als het bestand geen JGZ-dossier betreft</assert>
      <assert role="error"
              test="hl7:location or not(hl7:code[@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.303'])">(careProvisionEventAppendage): location is verplicht als het bestand een JGZ-dossier betreft</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 ">(careProvisionEventAppendage): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">(careProvisionEventAppendage): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:text)&lt;=1">(careProvisionEventAppendage): element hl7:text komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:effectiveTime)&lt;=1">(careProvisionEventAppendage): element hl7:effectiveTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:author)&lt;=1">(careProvisionEventAppendage): element hl7:author komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:location)&lt;=1">(careProvisionEventAppendage): element hl7:location komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:appendage/hl7:document/hl7:code
Item: (careProvisionEventAppendage)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:appendage/hl7:document/hl7:code"
         id="tmp-ded689be-2869-440d-95dc-b07902ad32ff">
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-W0084_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-W0084_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(careProvisionEventAppendage): de waarde van @code MOET worden gekozen uit waardenlijst W0084_HL7 W0084 Onderwerp document (HL7) DYNAMIC.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(careProvisionEventAppendage): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0084_HL7 W0084 Onderwerp document (HL7) DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:appendage/hl7:document/hl7:text
Item: (careProvisionEventAppendage)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:appendage/hl7:document/hl7:text"
         id="tmp-090d5c93-ea7c-47e2-a2a0-5dfb20baa97b">
      <extends rule="tmp-3e6ccaab-950e-4775-b26d-fd6d66af5a22"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:appendage/hl7:document
Item: (DatatypeEDTextOrBase64)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:appendage/hl7:document"
         id="tmp-7464e1fa-014a-4313-9b33-61fc3407780c">
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:appendage/hl7:document/hl7:text
Item: (DatatypeEDTextOrBase64)
-->
<rule id="tmp-3e6ccaab-950e-4775-b26d-fd6d66af5a22" abstract="true">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:reference)=0">(DatatypeEDTextOrBase64): element hl7:reference MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:thumbnail)=0">(DatatypeEDTextOrBase64): element hl7:thumbnail MAG NIET voorkomen.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:appendage/hl7:document/hl7:text/hl7:reference
Item: (DatatypeEDTextOrBase64)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:appendage/hl7:document/hl7:text/hl7:thumbnail
Item: (DatatypeEDTextOrBase64)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:appendage/hl7:document/hl7:effectiveTime
Item: (careProvisionEventAppendage)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:appendage/hl7:document/hl7:effectiveTime"
         id="tmp-1ec75a35-a5aa-4029-a601-ec0a0f97dcb3">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:appendage/hl7:document/hl7:author
Item: (careProvisionEventAppendage)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:appendage/hl7:document/hl7:author"
         id="tmp-02d5368d-c6ad-4519-a74b-4d87af595703">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='AUT' or not(@typeCode)">(careProvisionEventAppendage): de waarde van @typeCode MOET 'AUT' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)">(careProvisionEventAppendage): element hl7:assignedEntity is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:assignedEntity)&lt;=1">(careProvisionEventAppendage): element hl7:assignedEntity komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:appendage/hl7:document/hl7:author/hl7:assignedEntity
Item: (careProvisionEventAppendage)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:appendage/hl7:document/hl7:author/hl7:assignedEntity"
         id="tmp-f7c29e8c-c1dd-4e7e-9c1c-8de790a4bce3">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='ASSIGNED' or not(@classCode)">(careProvisionEventAppendage): de waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:assignedPerson)&gt;=1 and not(hl7:assignedPerson/@nullFlavor)">(careProvisionEventAppendage): element hl7:assignedPerson is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:assignedPerson)&lt;=1">(careProvisionEventAppendage): element hl7:assignedPerson komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:appendage/hl7:document/hl7:author/hl7:assignedEntity/hl7:assignedPerson
Item: (careProvisionEventAppendage)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:appendage/hl7:document/hl7:author/hl7:assignedEntity/hl7:assignedPerson"
         id="tmp-3c587117-2915-4ceb-9a3b-4a9a3942ae3b">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='PSN' or not(@classCode)">(careProvisionEventAppendage): de waarde van @classCode MOET 'PSN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@determinerCode='INSTANCE' or not(@determinerCode)">(careProvisionEventAppendage): de waarde van @determinerCode MOET 'INSTANCE' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)">(careProvisionEventAppendage): element hl7:name is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:name)&lt;=1">(careProvisionEventAppendage): element hl7:name komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:appendage/hl7:document/hl7:author/hl7:assignedEntity/hl7:assignedPerson/hl7:name
Item: (careProvisionEventAppendage)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:appendage/hl7:document/hl7:author/hl7:assignedEntity/hl7:assignedPerson/hl7:name"
         id="tmp-d0612f58-356b-4830-9e71-a611ba071fa2">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:appendage/hl7:document/hl7:location
Item: (careProvisionEventAppendage)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:appendage/hl7:document/hl7:location"
         id="tmp-3b579d2b-b49f-4c2f-8995-d1c40a81efd2">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='LOC' or not(@typeCode)">(careProvisionEventAppendage): de waarde van @typeCode MOET 'LOC' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:archivalLocation)&gt;=1 and not(hl7:archivalLocation/@nullFlavor)">(careProvisionEventAppendage): element hl7:archivalLocation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:archivalLocation)&lt;=1">(careProvisionEventAppendage): element hl7:archivalLocation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:appendage/hl7:document/hl7:location/hl7:archivalLocation
Item: (careProvisionEventAppendage)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:appendage/hl7:document/hl7:location/hl7:archivalLocation"
         id="tmp-be5bc70a-4e5b-440c-8b4b-ce949f71c065">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='LOCE' or not(@typeCode)">(careProvisionEventAppendage): de waarde van @typeCode MOET 'LOCE' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)">(careProvisionEventAppendage): element hl7:name is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:name)&lt;=1">(careProvisionEventAppendage): element hl7:name komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:appendage/hl7:document/hl7:location/hl7:archivalLocation/hl7:name
Item: (careProvisionEventAppendage)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:appendage/hl7:document/hl7:location/hl7:archivalLocation/hl7:name"
         id="tmp-a7326dc7-cc4d-489e-8c06-00433ff8ab4c">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:authorization
Item: (careProvisionEventAuthorization)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:authorization"
         id="tmp-70407588-bee5-43bb-bb79-9de3d22e0434">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='AUTH' or not(@typeCode)">(careProvisionEventAuthorization): de waarde van @typeCode MOET 'AUTH' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@contextConductionInd='false' or not(@contextConductionInd)">(careProvisionEventAuthorization): de waarde van @contextConductionInd MOET 'false' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:consentEvent)&gt;=1 and not(hl7:consentEvent/@nullFlavor)">(careProvisionEventAuthorization): element hl7:consentEvent is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:consentEvent)&lt;=1">(careProvisionEventAuthorization): element hl7:consentEvent komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:authorization/hl7:consentEvent
Item: (careProvisionEventAuthorization)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:authorization/hl7:consentEvent"
         id="tmp-38e3ada0-cedd-4d9d-8ac9-0cf9a5da8a45">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='CONS' or not(@classCode)">(careProvisionEventAuthorization): de waarde van @classCode MOET 'CONS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@moodCode='EVN' or not(@moodCode)">(careProvisionEventAuthorization): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              test="(not(@negationInd) or @negationInd='false') or not(hl7:code[@code='469' and @codeSystem='2.16.840.1.113883.2.4.4.40.267'])">(careProvisionEventAuthorization): 
                        <name/>/@negationInd MOET 'false' zijn bij een toestemming</assert>
      <assert role="error"
              test="(not(@negationInd) or @negationInd='false') or not(hl7:code[@code='1163' and @codeSystem='2.16.840.1.113883.2.4.4.40.267'])">(careProvisionEventAuthorization): 
                        <name/>/@negationInd MOET 'false' zijn bij een toestemming</assert>
      <assert role="error"
              test="(not(@negationInd) or @negationInd='false') or not(hl7:code[@code='1398' and @codeSystem='2.16.840.1.113883.2.4.4.40.267'])">(careProvisionEventAuthorization): 
                        <name/>/@negationInd MOET 'false' zijn bij een toestemming</assert>
      <assert role="error"
              test="(not(@negationInd) or @negationInd='false') or not(hl7:code[@code='1165' and @codeSystem='2.16.840.1.113883.2.4.4.40.267'])">(careProvisionEventAuthorization): 
                        <name/>/@negationInd MOET 'false' zijn bij een toestemming</assert>
      <assert role="error"
              test="@negationInd='true' or not(hl7:code[@code='1395' and @codeSystem='2.16.840.1.113883.2.4.4.40.267'])">(careProvisionEventAuthorization): 
                        <name/>/@negationInd MOET 'true' zijn bij een bezwaar</assert>
      <assert role="error"
              test="@negationInd='true' or not(hl7:code[@code='1404' and @codeSystem='2.16.840.1.113883.2.4.4.40.267'])">(careProvisionEventAuthorization): 
                        <name/>/@negationInd MOET 'true' zijn bij een bezwaar</assert>
      <assert role="error"
              test="hl7:author/hl7:assignedEntity1 or not(hl7:code[@code='469' and @codeSystem='2.16.840.1.113883.2.4.4.40.267'])">(careProvisionEventAuthorization): assignedEntity1 is verplicht bij toestemming aan verpleegkundige vaccinaties</assert>
      <assert role="error"
              test="not(hl7:subjectOf) or hl7:code[@code='1165' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']">(careProvisionEventAuthorization): subjectOf/annotation is alleen mogelijk bij toestemming verstrekking informatie aan derden</assert>
      <let name="elmcount"
           value="count(hl7:code[@codeSystem='2.16.840.1.113883.2.4.4.40.267']|hl7:code[@codeSystem='2.16.840.1.113883.2.4.2.70.10'])"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="$elmcount&gt;=1">(careProvisionEventAuthorization): keuze (hl7:code[@codeSystem='2.16.840.1.113883.2.4.4.40.267'] of hl7:code[@codeSystem='2.16.840.1.113883.2.4.2.70.10']) bevat te weinig elementen [min 1x]</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="$elmcount&lt;=1">(careProvisionEventAuthorization): keuze (hl7:code[@codeSystem='2.16.840.1.113883.2.4.4.40.267'] of hl7:code[@codeSystem='2.16.840.1.113883.2.4.2.70.10']) bevat te veel elementen [max 1x]</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:author)&lt;=1">(careProvisionEventAuthorization): element hl7:author komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:subjectOf)&lt;=1">(careProvisionEventAuthorization): element hl7:subjectOf komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:authorization/hl7:consentEvent
Item: (careProvisionEventAuthorization)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:authorization/hl7:consentEvent/hl7:code[@codeSystem='2.16.840.1.113883.2.4.4.40.267']
Item: (careProvisionEventAuthorization)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:authorization/hl7:consentEvent/hl7:code[@codeSystem='2.16.840.1.113883.2.4.4.40.267']"
         id="tmp-eb64e513-287f-455a-988c-cf6e970352e9">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or (@code='469' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1163' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1398' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1165' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1395' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1404' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(careProvisionEventAuthorization): de waarde van @code MOET één van de volgende codes bevatten: '469' codeSystem '2.16.840.1.113883.2.4.4.40.267' of '1163' codeSystem '2.16.840.1.113883.2.4.4.40.267' of '1398' codeSystem '2.16.840.1.113883.2.4.4.40.267' of '1165' codeSystem '2.16.840.1.113883.2.4.4.40.267' of '1395' codeSystem '2.16.840.1.113883.2.4.4.40.267' of '1404' codeSystem '2.16.840.1.113883.2.4.4.40.267'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:authorization/hl7:consentEvent/hl7:code[@codeSystem='2.16.840.1.113883.2.4.2.70.10']
Item: (careProvisionEventAuthorization)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:authorization/hl7:consentEvent/hl7:code[@codeSystem='2.16.840.1.113883.2.4.2.70.10']"
         id="tmp-ba92aad2-394f-4b13-b80c-19e3998ab0f0">
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-W0032_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-W0032_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(careProvisionEventAuthorization): de waarde van @code MOET worden gekozen uit waardenlijst W0032_HL7 W0032 Indicatie geheim (HL7) DYNAMIC.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(careProvisionEventAuthorization): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0032_HL7 W0032 Indicatie geheim (HL7) DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:authorization/hl7:consentEvent/hl7:author
Item: (careProvisionEventAuthorization)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:authorization/hl7:consentEvent/hl7:author"
         id="tmp-361393f3-c41c-4b0f-8151-f8536c877f40">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='AUT' or not(@typeCode)">(careProvisionEventAuthorization): de waarde van @typeCode MOET 'AUT' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:time)&gt;=1 ">(careProvisionEventAuthorization): element hl7:time is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:time)&lt;=1">(careProvisionEventAuthorization): element hl7:time komt te vaak voor [max 1x].</assert>
      <let name="elmcount"
           value="count(hl7:patient1|hl7:personalRelationship[hl7:code[(@code='CHILD' and @codeSystem='2.16.840.1.113883.5.111') or (@code='PRN' and @codeSystem='2.16.840.1.113883.5.111') or @nullFlavor='OTH']]|hl7:assignedEntity1)"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="$elmcount&gt;=1">(careProvisionEventAuthorization): keuze (hl7:patient1 of hl7:personalRelationship[hl7:code[(@code='CHILD' and @codeSystem='2.16.840.1.113883.5.111') or (@code='PRN' and @codeSystem='2.16.840.1.113883.5.111') or @nullFlavor='OTH']] of hl7:assignedEntity1) bevat te weinig elementen [min 1x]</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="$elmcount&lt;=1">(careProvisionEventAuthorization): keuze (hl7:patient1 of hl7:personalRelationship[hl7:code[(@code='CHILD' and @codeSystem='2.16.840.1.113883.5.111') or (@code='PRN' and @codeSystem='2.16.840.1.113883.5.111') or @nullFlavor='OTH']] of hl7:assignedEntity1) bevat te veel elementen [max 1x]</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:authorization/hl7:consentEvent/hl7:author/hl7:time
Item: (careProvisionEventAuthorization)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:authorization/hl7:consentEvent/hl7:author/hl7:time"
         id="tmp-ce271219-0966-45ac-a155-fac7855fe51b">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:authorization/hl7:consentEvent/hl7:author
Item: (careProvisionEventAuthorization)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:authorization/hl7:consentEvent/hl7:author/hl7:patient1
Item: (careProvisionEventAuthorization)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:authorization/hl7:consentEvent/hl7:author/hl7:patient1"
         id="tmp-55fdb9e8-206c-4b80-aa93-6439740eb856">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='PAT' or not(@classCode)">(careProvisionEventAuthorization): de waarde van @classCode MOET 'PAT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:authorization/hl7:consentEvent/hl7:author/hl7:personalRelationship
Item: (careProvisionEventAuthorization)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:authorization/hl7:consentEvent/hl7:author/hl7:personalRelationship"
         id="tmp-d9aab595-1630-43b9-914f-58b3268f3a19">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='PRS' or not(@classCode)">(careProvisionEventAuthorization): de waarde van @classCode MOET 'PRS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 ">(careProvisionEventAuthorization): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">(careProvisionEventAuthorization): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:relationshipHolder)&gt;=1 ">(careProvisionEventAuthorization): element hl7:relationshipHolder is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:relationshipHolder)&lt;=1">(careProvisionEventAuthorization): element hl7:relationshipHolder komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:authorization/hl7:consentEvent/hl7:author/hl7:personalRelationship/hl7:code
Item: (careProvisionEventAuthorization)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:authorization/hl7:consentEvent/hl7:author/hl7:personalRelationship/hl7:code"
         id="tmp-7e7e2f89-a67f-4551-8e07-d2a80229fa16">
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-W0088_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-W0088_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(careProvisionEventAuthorization): de waarde van @code MOET worden gekozen uit waardenlijst W0088_HL7 W0088 Bron kind/ouder (HL7) DYNAMIC.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(careProvisionEventAuthorization): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0088_HL7 W0088 Bron kind/ouder (HL7) DYNAMIC.</assert>
      <assert role="error" test="@code='PRN' or @nullFlavor">(careProvisionEventAuthorization): 
                                        <name path=".."/>/<name/> MOET de "Ouder" of "Anders" zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:authorization/hl7:consentEvent/hl7:author/hl7:personalRelationship/hl7:relationshipHolder
Item: (careProvisionEventAuthorization)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:authorization/hl7:consentEvent/hl7:author/hl7:personalRelationship/hl7:relationshipHolder"
         id="tmp-4702abca-e897-4758-af28-fa9e1223726a">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor='NI'">(careProvisionEventAuthorization): de waarde van @nullFlavor MOET 'NI' zijn.</assert>
      <assert role="error" test="@xsi:nil='true'">(careProvisionEventAuthorization): 
                                        <name/>/@xsi:nil MOET 'true' bevatten.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:authorization/hl7:consentEvent/hl7:author/hl7:assignedEntity1
Item: (careProvisionEventAuthorization)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:authorization/hl7:consentEvent/hl7:author/hl7:assignedEntity1"
         id="tmp-2acd4a22-3518-4a3c-8998-2b7f2183238e">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='ASSIGNED' or not(@classCode)">(careProvisionEventAuthorization): de waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(careProvisionEventAuthorization): element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:id)&lt;=1">(careProvisionEventAuthorization): element hl7:id komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:authorization/hl7:consentEvent/hl7:author/hl7:assignedEntity1/hl7:id
Item: (careProvisionEventAuthorization)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:authorization/hl7:consentEvent/hl7:author/hl7:assignedEntity1/hl7:id"
         id="tmp-d539e9c3-cc12-4232-ae9b-c16ebc5596c9">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:authorization/hl7:consentEvent/hl7:subjectOf
Item: (careProvisionEventAuthorization)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:authorization/hl7:consentEvent/hl7:subjectOf"
         id="tmp-18ff53e8-ffab-46fd-8086-7f6aa4e9aa95">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='SUBJ' or not(@typeCode)">(careProvisionEventAuthorization): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)">(careProvisionEventAuthorization): element hl7:annotation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:annotation)&lt;=1">(careProvisionEventAuthorization): element hl7:annotation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:authorization/hl7:consentEvent/hl7:subjectOf/hl7:annotation
Item: (careProvisionEventAuthorization)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:authorization/hl7:consentEvent/hl7:subjectOf/hl7:annotation"
         id="tmp-f8d956d4-477d-4ece-ba9e-ed83c1b16718">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(careProvisionEventAuthorization): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">(careProvisionEventAuthorization): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(careProvisionEventAuthorization): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:text)&lt;=1">(careProvisionEventAuthorization): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:authorization/hl7:consentEvent/hl7:subjectOf/hl7:annotation/hl7:code
Item: (careProvisionEventAuthorization)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:authorization/hl7:consentEvent/hl7:subjectOf/hl7:annotation/hl7:code"
         id="tmp-ccbae54b-ac0d-43bb-9795-dfd5543cf5db">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or (@code='1407' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(careProvisionEventAuthorization): de waarde van @code/@codeSystem MOET ''1407' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:authorization/hl7:consentEvent/hl7:subjectOf/hl7:annotation/hl7:text
Item: (careProvisionEventAuthorization)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:authorization/hl7:consentEvent/hl7:subjectOf/hl7:annotation/hl7:text"
         id="tmp-e75567eb-34a2-43f3-a568-cb367beeb217">
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:summary
Item: (careProvisionEventSummary)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:summary"
         id="tmp-a46633a7-783f-431f-851a-600dba66b4ac">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:observationEvent)&gt;=1 and not(hl7:observationEvent/@nullFlavor)">(careProvisionEventSummary): element hl7:observationEvent is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:observationEvent)&lt;=1">(careProvisionEventSummary): element hl7:observationEvent komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:summary/hl7:observationEvent
Item: (careProvisionEventSummary)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:summary/hl7:observationEvent"
         id="tmp-928677a4-4820-4793-b000-dce470576ef1">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='OBS' or not(@classCode)">(careProvisionEventSummary): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@moodCode='EVN' or not(@moodCode)">(careProvisionEventSummary): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(careProvisionEventSummary): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">(careProvisionEventSummary): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(careProvisionEventSummary): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:value)&lt;=1">(careProvisionEventSummary): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:summary/hl7:observationEvent/hl7:code
Item: (careProvisionEventSummary)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:summary/hl7:observationEvent/hl7:code"
         id="tmp-7314f925-2932-46ce-9c56-9b26443feb14">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or (@code='492' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(careProvisionEventSummary): de waarde van @code/@codeSystem MOET ''492' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:summary/hl7:observationEvent/hl7:value
Item: (careProvisionEventSummary)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:summary/hl7:observationEvent/hl7:value"
         id="tmp-e0ca8e28-7161-4766-a274-8500cb87b461">
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:pertinentInformation[hl7:pregnancyCondition[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.121']]]
Item: (careProvisionDossier)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:pertinentInformation[hl7:pregnancyCondition[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.121']]]"
         id="tmp-c84f4a6b-2748-4b1a-9c92-38dc7a9efe56">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='PERT' or not(@typeCode)">(careProvisionDossier): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component1
Item: (careProvisionEventComponent1NonBDSData)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component1"
         id="tmp-c4a38cfc-e62e-4050-9b30-4ff434f8fcc4">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='COMP' or not(@typeCode)">(careProvisionEventComponent1NonBDSData): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:nonBDSData)&gt;=1 and not(hl7:nonBDSData/@nullFlavor)">(careProvisionEventComponent1NonBDSData): element hl7:nonBDSData is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:nonBDSData)&lt;=1">(careProvisionEventComponent1NonBDSData): element hl7:nonBDSData komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component1/hl7:nonBDSData
Item: (careProvisionEventComponent1NonBDSData)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component1/hl7:nonBDSData"
         id="tmp-9317fe0b-7b05-4e08-91b3-cc50410a817d">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='OBS' or not(@classCode)">(careProvisionEventComponent1NonBDSData): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@moodCode='EVN' or not(@moodCode)">(careProvisionEventComponent1NonBDSData): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 ">(careProvisionEventComponent1NonBDSData): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">(careProvisionEventComponent1NonBDSData): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(careProvisionEventComponent1NonBDSData): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:value)&lt;=1">(careProvisionEventComponent1NonBDSData): element hl7:value komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:pertainsTo)&lt;=1">(careProvisionEventComponent1NonBDSData): element hl7:pertainsTo komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component1/hl7:nonBDSData/hl7:code
Item: (careProvisionEventComponent1NonBDSData)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component1/hl7:nonBDSData/hl7:code"
         id="tmp-7d9125a9-d436-4868-8efb-7dc51d4c5f72">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor='OTH' or not(@nullFlavor)">(careProvisionEventComponent1NonBDSData): de waarde van @nullFlavor MOET 'OTH' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:originalText)&lt;=1">(careProvisionEventComponent1NonBDSData): element hl7:originalText komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component1/hl7:nonBDSData/hl7:code/hl7:originalText
Item: (careProvisionEventComponent1NonBDSData)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component1/hl7:nonBDSData/hl7:code/hl7:originalText"
         id="tmp-7f3fa222-117e-4a35-b35b-9bb711501a48">
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component1/hl7:nonBDSData/hl7:value
Item: (careProvisionEventComponent1NonBDSData)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component1/hl7:nonBDSData/hl7:value"
         id="tmp-86468810-959a-4c1d-840a-f8b66b974815">
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component1/hl7:nonBDSData/hl7:pertainsTo
Item: (careProvisionEventComponent1NonBDSData)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component1/hl7:nonBDSData/hl7:pertainsTo"
         id="tmp-57315585-3372-46c0-9fb9-6b1c48814b04">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='COMP' or not(@typeCode)">(careProvisionEventComponent1NonBDSData): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:categoryInBDS)&gt;=1 and not(hl7:categoryInBDS/@nullFlavor)">(careProvisionEventComponent1NonBDSData): element hl7:categoryInBDS is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:categoryInBDS)&lt;=1">(careProvisionEventComponent1NonBDSData): element hl7:categoryInBDS komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component1/hl7:nonBDSData/hl7:pertainsTo/hl7:categoryInBDS
Item: (careProvisionEventComponent1NonBDSData)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component1/hl7:nonBDSData/hl7:pertainsTo/hl7:categoryInBDS"
         id="tmp-b591eca6-de3a-4e59-b1cd-0a423b131b68">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='CATEGORY' or not(@classCode)">(careProvisionEventComponent1NonBDSData): de waarde van @classCode MOET 'CATEGORY' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@moodCode='EVN' or not(@moodCode)">(careProvisionEventComponent1NonBDSData): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(careProvisionEventComponent1NonBDSData): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">(careProvisionEventComponent1NonBDSData): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component1/hl7:nonBDSData/hl7:pertainsTo/hl7:categoryInBDS/hl7:code
Item: (careProvisionEventComponent1NonBDSData)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component1/hl7:nonBDSData/hl7:pertainsTo/hl7:categoryInBDS/hl7:code"
         id="tmp-851190cf-3c46-48c1-8564-c3a6b6fd0be6">
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-W0639_HL7_ConstanteGegevens-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-W0639_HL7_ConstanteGegevens-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(careProvisionEventComponent1NonBDSData): de waarde van @code MOET worden gekozen uit waardenlijst W0639_HL7_ConstanteGegevens W0639 RubriekID constante gegevens DYNAMIC.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(careProvisionEventComponent1NonBDSData): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0639_HL7_ConstanteGegevens W0639 RubriekID constante gegevens DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component2
Item: (careProvisionEventComponent2MetaData)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component2"
         id="tmp-3fbcdd46-3c57-4ad1-ac03-41ba0d39bbe6">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='COMP' or not(@typeCode)">(careProvisionEventComponent2MetaData): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:metaData)&gt;=1 and not(hl7:metaData/@nullFlavor)">(careProvisionEventComponent2MetaData): element hl7:metaData is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:metaData)&lt;=1">(careProvisionEventComponent2MetaData): element hl7:metaData komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component2/hl7:metaData
Item: (careProvisionEventComponent2MetaData)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component2/hl7:metaData"
         id="tmp-29102b56-206e-47ef-b8a3-a6bfe9855c78">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='OBS' or not(@classCode)">(careProvisionEventComponent2MetaData): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@moodCode='EVN' or not(@moodCode)">(careProvisionEventComponent2MetaData): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(careProvisionEventComponent2MetaData): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">(careProvisionEventComponent2MetaData): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:value)&gt;=1 ">(careProvisionEventComponent2MetaData): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:value)&lt;=1">(careProvisionEventComponent2MetaData): element hl7:value komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:pertainsTo)&lt;=1">(careProvisionEventComponent2MetaData): element hl7:pertainsTo komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component2/hl7:metaData/hl7:code
Item: (careProvisionEventComponent2MetaData)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component2/hl7:metaData/hl7:code"
         id="tmp-9471dae0-faa0-47c4-836b-a6359cc21e7f">
      <let name="theValue" value="@value"/>
      <assert role="error" test="@displayName or not(@code)">(careProvisionEventComponent2MetaData): 
                            <name path=".."/>/<name/>/@displayName MOET een waarde bevatten</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component2/hl7:metaData/hl7:value
Item: (careProvisionEventComponent2MetaData)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component2/hl7:metaData/hl7:value"
         id="tmp-6d7732e2-6ed9-4130-b235-bf3d194c5f9e">
      <assert role="error" test="@displayName or not(@code)">(careProvisionEventComponent2MetaData): 
                            <name path=".."/>/<name/>/@displayName MOET een waarde bevatten als het gecodeerde gegevens betreft</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component2/hl7:metaData/hl7:pertainsTo
Item: (careProvisionEventComponent2MetaData)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component2/hl7:metaData/hl7:pertainsTo"
         id="tmp-20e3463f-2a98-4a01-b04f-d806e8f496ed">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='COMP' or not(@typeCode)">(careProvisionEventComponent2MetaData): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:categoryInBDS)&gt;=1 and not(hl7:categoryInBDS/@nullFlavor)">(careProvisionEventComponent2MetaData): element hl7:categoryInBDS is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:categoryInBDS)&lt;=1">(careProvisionEventComponent2MetaData): element hl7:categoryInBDS komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component2/hl7:metaData/hl7:pertainsTo/hl7:categoryInBDS
Item: (careProvisionEventComponent2MetaData)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component2/hl7:metaData/hl7:pertainsTo/hl7:categoryInBDS"
         id="tmp-1b219775-0d0e-4553-9051-731c6437d97c">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='CATEGORY' or not(@classCode)">(careProvisionEventComponent2MetaData): de waarde van @classCode MOET 'CATEGORY' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@moodCode='EVN' or not(@moodCode)">(careProvisionEventComponent2MetaData): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(careProvisionEventComponent2MetaData): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">(careProvisionEventComponent2MetaData): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component2/hl7:metaData/hl7:pertainsTo/hl7:categoryInBDS/hl7:code
Item: (careProvisionEventComponent2MetaData)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component2/hl7:metaData/hl7:pertainsTo/hl7:categoryInBDS/hl7:code"
         id="tmp-2a9de056-2eb3-4384-9a40-c13eaff27d28">
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-W0639_HL7_ConstanteGegevens-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), (document('include/voc-W0646_HL7_ConstanteGegevens-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), (document('include/voc-W0647_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-W0639_HL7_ConstanteGegevens-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), (document('include/voc-W0646_HL7_ConstanteGegevens-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), (document('include/voc-W0647_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(careProvisionEventComponent2MetaData): de waarde van @code MOET worden gekozen uit waardenlijst W0639_HL7_ConstanteGegevens W0639 RubriekID constante gegevens of W0646_HL7_ConstanteGegevens W0646 GroepID constante gegevens of W0647_HL7 W0647 BDS Elementen DYNAMIC.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(careProvisionEventComponent2MetaData): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0639_HL7_ConstanteGegevens W0639 RubriekID constante gegevens of W0646_HL7_ConstanteGegevens W0646 GroepID constante gegevens of W0647_HL7 W0647 BDS Elementen DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component3[hl7:patientCareProvision[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.119']]]
Item: (careProvisionDossier)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component3[hl7:patientCareProvision[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.119']]]"
         id="tmp-33d21cd3-9c8c-4092-9a8f-ab9b34d56617">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='COMP' or not(@typeCode)">(careProvisionDossier): de waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component4[hl7:carePlan[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.120']]]
Item: (careProvisionDossier)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component4[hl7:carePlan[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.120']]]"
         id="tmp-dfb42db8-b9f4-4578-852e-0769ac2c82c7">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='COMP' or not(@typeCode)">(careProvisionDossier): de waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component5[hl7:neonateData[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.118']]]
Item: (careProvisionDossier)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component5[hl7:neonateData[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.118']]]"
         id="tmp-aee7cae4-0797-4773-af15-d442b588a919">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='COMP' or not(@typeCode)">(careProvisionDossier): de waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component6
Item: (careProvisionEventComponent6InformationControlAct)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component6"
         id="tmp-5dfd0c30-3b8c-4c15-bd7b-db234c2851f9">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='COMP' or not(@typeCode)">(careProvisionEventComponent6InformationControlAct): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:informationControlActEvent)&gt;=1 and not(hl7:informationControlActEvent/@nullFlavor)">(careProvisionEventComponent6InformationControlAct): element hl7:informationControlActEvent is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:informationControlActEvent)&lt;=1">(careProvisionEventComponent6InformationControlAct): element hl7:informationControlActEvent komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component6/hl7:informationControlActEvent
Item: (careProvisionEventComponent6InformationControlAct)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component6/hl7:informationControlActEvent"
         id="tmp-928c77ae-d678-42cb-9dc4-60fdc7d521ba">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='INFO' or not(@classCode)">(careProvisionEventComponent6InformationControlAct): de waarde van @classCode MOET 'INFO' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@moodCode='EVN' or not(@moodCode)">(careProvisionEventComponent6InformationControlAct): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(careProvisionEventComponent6InformationControlAct): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">(careProvisionEventComponent6InformationControlAct): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:text)&lt;=1">(careProvisionEventComponent6InformationControlAct): element hl7:text komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:effectiveTime)&gt;=1 and not(hl7:effectiveTime/@nullFlavor)">(careProvisionEventComponent6InformationControlAct): element hl7:effectiveTime is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:effectiveTime)&lt;=1">(careProvisionEventComponent6InformationControlAct): element hl7:effectiveTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:informationRecipient)&gt;=1 and not(hl7:informationRecipient/@nullFlavor)">(careProvisionEventComponent6InformationControlAct): element hl7:informationRecipient is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:informationRecipient)&lt;=1">(careProvisionEventComponent6InformationControlAct): element hl7:informationRecipient komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component6/hl7:informationControlActEvent/hl7:code
Item: (careProvisionEventComponent6InformationControlAct)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component6/hl7:informationControlActEvent/hl7:code"
         id="tmp-9c5ce45c-4652-41c0-8ac1-ef0e75db8e3f">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or (@code='476' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(careProvisionEventComponent6InformationControlAct): de waarde van @code/@codeSystem MOET ''476' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component6/hl7:informationControlActEvent/hl7:text
Item: (careProvisionEventComponent6InformationControlAct)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component6/hl7:informationControlActEvent/hl7:text"
         id="tmp-ad541372-634b-42d4-acf9-f3c90784f325">
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component6/hl7:informationControlActEvent/hl7:effectiveTime
Item: (careProvisionEventComponent6InformationControlAct)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component6/hl7:informationControlActEvent/hl7:effectiveTime"
         id="tmp-c783864a-2c43-402f-884d-b2c8a5604014">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component6/hl7:informationControlActEvent/hl7:informationRecipient
Item: (careProvisionEventComponent6InformationControlAct)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component6/hl7:informationControlActEvent/hl7:informationRecipient"
         id="tmp-1187200c-02cb-4704-afe5-d89ae6b04719">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='IRCP' or not(@typeCode)">(careProvisionEventComponent6InformationControlAct): de waarde van @typeCode MOET 'IRCP' zijn.</assert>
      <let name="elmcount"
           value="count(hl7:patient|hl7:personalRelationship[hl7:code[(@code='CHILD' and @codeSystem='2.16.840.1.113883.5.111') or (@code='PRN' and @codeSystem='2.16.840.1.113883.5.111') or @nullFlavor='OTH']])"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="$elmcount&gt;=1">(careProvisionEventComponent6InformationControlAct): keuze (hl7:patient of hl7:personalRelationship[hl7:code[(@code='CHILD' and @codeSystem='2.16.840.1.113883.5.111') or (@code='PRN' and @codeSystem='2.16.840.1.113883.5.111') or @nullFlavor='OTH']]) bevat te weinig elementen [min 1x]</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="$elmcount&lt;=1">(careProvisionEventComponent6InformationControlAct): keuze (hl7:patient of hl7:personalRelationship[hl7:code[(@code='CHILD' and @codeSystem='2.16.840.1.113883.5.111') or (@code='PRN' and @codeSystem='2.16.840.1.113883.5.111') or @nullFlavor='OTH']]) bevat te veel elementen [max 1x]</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component6/hl7:informationControlActEvent/hl7:informationRecipient
Item: (careProvisionEventComponent6InformationControlAct)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component6/hl7:informationControlActEvent/hl7:informationRecipient/hl7:patient
Item: (careProvisionEventComponent6InformationControlAct)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component6/hl7:informationControlActEvent/hl7:informationRecipient/hl7:patient"
         id="tmp-eafbafd5-c329-4323-a5f6-571968145b02">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='PAT' or not(@classCode)">(careProvisionEventComponent6InformationControlAct): de waarde van @classCode MOET 'PAT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component6/hl7:informationControlActEvent/hl7:informationRecipient/hl7:personalRelationship
Item: (careProvisionEventComponent6InformationControlAct)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component6/hl7:informationControlActEvent/hl7:informationRecipient/hl7:personalRelationship"
         id="tmp-5135be03-9fc4-4349-ac8d-c78d0db343ca">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='PRS' or not(@classCode)">(careProvisionEventComponent6InformationControlAct): de waarde van @classCode MOET 'PRS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 ">(careProvisionEventComponent6InformationControlAct): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">(careProvisionEventComponent6InformationControlAct): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:relationshipHolder)&gt;=1 ">(careProvisionEventComponent6InformationControlAct): element hl7:relationshipHolder is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:relationshipHolder)&lt;=1">(careProvisionEventComponent6InformationControlAct): element hl7:relationshipHolder komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component6/hl7:informationControlActEvent/hl7:informationRecipient/hl7:personalRelationship/hl7:code
Item: (careProvisionEventComponent6InformationControlAct)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component6/hl7:informationControlActEvent/hl7:informationRecipient/hl7:personalRelationship/hl7:code"
         id="tmp-584ce2b9-3bdf-4644-ae23-ccea517c7d50">
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-W0088_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-W0088_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(careProvisionEventComponent6InformationControlAct): de waarde van @code MOET worden gekozen uit waardenlijst W0088_HL7 W0088 Bron kind/ouder (HL7) DYNAMIC.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(careProvisionEventComponent6InformationControlAct): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0088_HL7 W0088 Bron kind/ouder (HL7) DYNAMIC.</assert>
      <assert role="error" test="@code='PRN' or @nullFlavor">(careProvisionEventComponent6InformationControlAct): 
                                        <name path=".."/>/<name/> MOET de "Ouder" of "Anders" zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component6/hl7:informationControlActEvent/hl7:informationRecipient/hl7:personalRelationship/hl7:relationshipHolder
Item: (careProvisionEventComponent6InformationControlAct)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component6/hl7:informationControlActEvent/hl7:informationRecipient/hl7:personalRelationship/hl7:relationshipHolder"
         id="tmp-095d2c41-da5e-4be7-8edd-dff63220775d">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor='NI'">(careProvisionEventComponent6InformationControlAct): de waarde van @nullFlavor MOET 'NI' zijn.</assert>
      <assert role="error" test="@xsi:nil='true'">(careProvisionEventComponent6InformationControlAct): 
                                        <name/>/@xsi:nil MOET 'true' bevatten.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7
Item: (careProvisionEventComponent7Activity)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7"
         id="tmp-dd96c135-246c-4f15-93e2-c877bd944447">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='COMP' or not(@typeCode)">(careProvisionEventComponent7Activity): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <let name="elmcount"
           value="count(hl7:encounter[@moodCode='EVN']|hl7:encounter[@moodCode='INT']|hl7:nonEncounterCareActivity[hl7:code[(@code='29' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='34' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or @nullFlavor='OTH']]|hl7:registrationEvent[hl7:code[(@code='30' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='33' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]])"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="$elmcount&gt;=1">(careProvisionEventComponent7Activity): keuze (hl7:encounter[@moodCode='EVN'] of hl7:encounter[@moodCode='INT'] of hl7:nonEncounterCareActivity[hl7:code[(@code='29' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='34' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or @nullFlavor='OTH']] of hl7:registrationEvent[hl7:code[(@code='30' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='33' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]]) bevat te weinig elementen [min 1x]</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="$elmcount&lt;=1">(careProvisionEventComponent7Activity): keuze (hl7:encounter[@moodCode='EVN'] of hl7:encounter[@moodCode='INT'] of hl7:nonEncounterCareActivity[hl7:code[(@code='29' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='34' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or @nullFlavor='OTH']] of hl7:registrationEvent[hl7:code[(@code='30' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='33' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]]) bevat te veel elementen [max 1x]</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7
Item: (careProvisionEventComponent7Activity)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']
Item: (activityEncounterEVN)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']"
         id="tmp-6597e25f-0b58-47a9-be9c-3e232c15ef18">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='ENC' or not(@classCode)">(activityEncounterEVN): de waarde van @classCode MOET 'ENC' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@moodCode='EVN'">(activityEncounterEVN): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(activityEncounterEVN): element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:id)&lt;=1">(activityEncounterEVN): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 ">(activityEncounterEVN): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">(activityEncounterEVN): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:statusCode)&gt;=1 and not(hl7:statusCode/@nullFlavor)">(activityEncounterEVN): element hl7:statusCode is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:statusCode)&lt;=1">(activityEncounterEVN): element hl7:statusCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:effectiveTime)&gt;=1 and not(hl7:effectiveTime/@nullFlavor)">(activityEncounterEVN): element hl7:effectiveTime is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:effectiveTime)&lt;=1">(activityEncounterEVN): element hl7:effectiveTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:performer)&lt;=1">(activityEncounterEVN): element hl7:performer komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:author)=0">(activityEncounterEVN): element hl7:author MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:consultant)&lt;=1">(activityEncounterEVN): element hl7:consultant komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:inFulfillmentOf)&lt;=1">(activityEncounterEVN): element hl7:inFulfillmentOf komt te vaak voor [max 1x].</assert>
      <let name="elmcount"
           value="count(hl7:pertinentInformation|hl7:pertinentInformation|hl7:pertinentInformation|hl7:pertinentInformation|hl7:pertinentInformation|hl7:pertinentInformation|hl7:pertinentInformation|hl7:pertinentInformation|hl7:pertinentInformation|hl7:pertinentInformation|hl7:pertinentInformation|hl7:pertinentInformation|hl7:pertinentInformation|hl7:pertinentInformation|hl7:pertinentInformation|hl7:pertinentInformation|hl7:pertinentInformation|hl7:pertinentInformation|hl7:pertinentInformation|hl7:pertinentInformation|hl7:pertinentInformation|hl7:pertinentInformation|hl7:pertinentInformation|hl7:pertinentInformation)"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:subjectOf)&lt;=1">(activityEncounterEVN): element hl7:subjectOf komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1">(activityEncounterEVN): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:id
Item: (activityEncounterEVN)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:id"
         id="tmp-ed91280c-72c5-4328-9c6c-1dafccdb2d98">
      <let name="theValue" value="@value"/>
      <assert role="error" test="@root and @extension">(activityEncounterEVN): 
                        <name path=".."/>/<name/> MOET een waarde in @root en @extension hebben.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:code
Item: (activityEncounterEVN)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:code"
         id="tmp-265a9cf9-a62d-42b4-867e-5db92db67efb">
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-W0188_HL7_Contactmomenten-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-W0188_HL7_Contactmomenten-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(activityEncounterEVN): de waarde van @code MOET worden gekozen uit waardenlijst W0188_HL7_Contactmomenten W0188 Soort contactmoment (HL7) DYNAMIC.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(activityEncounterEVN): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0188_HL7_Contactmomenten W0188 Soort contactmoment (HL7) DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:statusCode
Item: (activityEncounterEVN)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:statusCode"
         id="tmp-75c8a85f-70b9-47a2-8247-50532d0c726e">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or (@code='completed') or (@code='aborted')">(activityEncounterEVN): de waarde van @code MOET één van de volgende codes bevatten: 'completed' of 'aborted'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:effectiveTime
Item: (activityEncounterEVN)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:effectiveTime"
         id="tmp-9a138598-5d2d-44dc-9dbf-3241d7ac4499">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:reasonCode
Item: (activityEncounterEVN)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:reasonCode"
         id="tmp-19989954-0103-43ca-b0ad-f070795d24f0">
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(activityEncounterEVN): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(activityEncounterEVN): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:performer
Item: (activitiesPerformer)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:performer"
         id="tmp-0205297f-4981-49c1-8439-3093330d5367">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='PRF' or not(@typeCode)">(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)">(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:assignedEntity)&lt;=1">(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:performer/hl7:assignedEntity
Item: (activitiesPerformer)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:performer/hl7:assignedEntity"
         id="tmp-842b3934-0dbb-4bea-8059-88849770a6af">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(activitiesPerformer): element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:id)&lt;=1">(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:performer/hl7:assignedEntity/hl7:id
Item: (activitiesPerformer)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:performer/hl7:assignedEntity/hl7:id"
         id="tmp-438ee1b4-4415-4113-bd9a-323074484ae3">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:author
Item: (activityEncounterEVN)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:consultant
Item: (activitiesConsultant)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:consultant"
         id="tmp-9a950e7f-6f26-41a0-ab05-37cb33002bcf">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='CON' or not(@typeCode)">(activitiesConsultant): de waarde van @typeCode MOET 'CON' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)">(activitiesConsultant): element hl7:assignedEntity is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:assignedEntity)&lt;=1">(activitiesConsultant): element hl7:assignedEntity komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:consultant/hl7:assignedEntity
Item: (activitiesConsultant)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:consultant/hl7:assignedEntity"
         id="tmp-f7dd67b7-8be2-4c7a-8f39-59b2da1e6e6e">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='ASSIGNED' or not(@classCode)">(activitiesConsultant): de waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 ">(activitiesConsultant): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">(activitiesConsultant): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:consultant/hl7:assignedEntity/hl7:code
Item: (activitiesConsultant)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:consultant/hl7:assignedEntity/hl7:code"
         id="tmp-62940760-d936-4bf9-8349-c54f7a8191e7">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor='OTH'">(activitiesConsultant): de waarde van @nullFlavor MOET 'OTH' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:originalText)&gt;=1 and not(hl7:originalText/@nullFlavor)">(activitiesConsultant): element hl7:originalText is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:originalText)&lt;=1">(activitiesConsultant): element hl7:originalText komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:consultant/hl7:assignedEntity/hl7:code/hl7:originalText
Item: (activitiesConsultant)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:consultant/hl7:assignedEntity/hl7:code/hl7:originalText"
         id="tmp-b81a7ed5-058d-42fc-a67c-db9b96209c14">
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:escort
Item: (activitiesEscort)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:escort"
         id="tmp-447657c7-22f6-4c6c-b6b4-f8e7a47d7cf7">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='ESC' or not(@typeCode)">(activitiesEscort): de waarde van @typeCode MOET 'ESC' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:responsibleParty)&gt;=1 and not(hl7:responsibleParty/@nullFlavor)">(activitiesEscort): element hl7:responsibleParty is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:responsibleParty)&lt;=1">(activitiesEscort): element hl7:responsibleParty komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:escort/hl7:responsibleParty
Item: (activitiesEscort)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:escort/hl7:responsibleParty"
         id="tmp-e48ced46-086a-4723-8e57-3963bec62c5b">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='ASSIGNED' or not(@classCode)">(activitiesEscort): de waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 ">(activitiesEscort): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">(activitiesEscort): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:agentPerson)&gt;=1 ">(activitiesEscort): element hl7:agentPerson is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:agentPerson)&lt;=1">(activitiesEscort): element hl7:agentPerson komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:escort/hl7:responsibleParty/hl7:code
Item: (activitiesEscort)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:escort/hl7:responsibleParty/hl7:code"
         id="tmp-582a87e3-b27c-44a2-9b6e-6348bcb45f3d">
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-W0193_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-W0193_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(activitiesEscort): de waarde van @code MOET worden gekozen uit waardenlijst W0193_HL7 W0193 Begeleider (HL7) DYNAMIC.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(activitiesEscort): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0193_HL7 W0193 Begeleider (HL7) DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:escort/hl7:responsibleParty/hl7:agentPerson
Item: (activitiesEscort)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:escort/hl7:responsibleParty/hl7:agentPerson"
         id="tmp-6a183153-50bb-4cf0-ac09-dcb27a1b1fcb">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor='NI'">(activitiesEscort): de waarde van @nullFlavor MOET 'NI' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@xsi:nil='true'">(activitiesEscort): de waarde van @xsi:nil MOET 'true' zijn.</assert>
      <let name="theAttValue" value="@xsi:nil"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:inFulfillmentOf
Item: (activityEncounterEVN)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:inFulfillmentOf"
         id="tmp-af2dcc72-65a3-46db-ab09-3a638ccd4d40">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='FLFS' or not(@typeCode)">(activityEncounterEVN): de waarde van @typeCode MOET 'FLFS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:encounter)&gt;=1 and not(hl7:encounter/@nullFlavor)">(activityEncounterEVN): element hl7:encounter is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:encounter)&lt;=1">(activityEncounterEVN): element hl7:encounter komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:inFulfillmentOf/hl7:encounter
Item: (activityEncounterEVN)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:inFulfillmentOf/hl7:encounter"
         id="tmp-66132ce6-a890-4b91-beb9-fcb9e683adee">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='ENC' or not(@classCode)">(activityEncounterEVN): de waarde van @classCode MOET 'ENC' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@moodCode='INT'">(activityEncounterEVN): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:id)=0">(activityEncounterEVN): element hl7:id MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 ">(activityEncounterEVN): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">(activityEncounterEVN): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:statusCode)&gt;=1 and not(hl7:statusCode/@nullFlavor)">(activityEncounterEVN): element hl7:statusCode is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:statusCode)&lt;=1">(activityEncounterEVN): element hl7:statusCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:effectiveTime)=0">(activityEncounterEVN): element hl7:effectiveTime MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:reasonCode)=0">(activityEncounterEVN): element hl7:reasonCode MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:performer)=0">(activityEncounterEVN): element hl7:performer MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:author)&lt;=1">(activityEncounterEVN): element hl7:author komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:consultant)=0">(activityEncounterEVN): element hl7:consultant MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:escort)=0">(activityEncounterEVN): element hl7:escort MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:inFulFillmentOf)=0">(activityEncounterEVN): element hl7:inFulFillmentOf MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:pertinentInformation)=0">(activityEncounterEVN): element hl7:pertinentInformation MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:component1)=0">(activityEncounterEVN): element hl7:component1 MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:component2)=0">(activityEncounterEVN): element hl7:component2 MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:substanceAdministration)=0">(activityEncounterEVN): element hl7:substanceAdministration MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:component4)=0">(activityEncounterEVN): element hl7:component4 MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:component5)=0">(activityEncounterEVN): element hl7:component5 MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:subjectOf)=0">(activityEncounterEVN): element hl7:subjectOf MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:subjectOf1)=0">(activityEncounterEVN): element hl7:subjectOf1 MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:subjectOf2)=0">(activityEncounterEVN): element hl7:subjectOf2 MAG NIET voorkomen.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:inFulfillmentOf/hl7:encounter/hl7:id
Item: (activityEncounterEVN)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:inFulfillmentOf/hl7:encounter/hl7:code
Item: (activityEncounterEVN)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:inFulfillmentOf/hl7:encounter/hl7:code"
         id="tmp-0a7c34a6-735d-45b7-827d-5292e9678e8e">
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-W0188_HL7_Contactmomenten-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-W0188_HL7_Contactmomenten-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(activityEncounterEVN): de waarde van @code MOET worden gekozen uit waardenlijst W0188_HL7_Contactmomenten W0188 Soort contactmoment (HL7) DYNAMIC.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(activityEncounterEVN): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0188_HL7_Contactmomenten W0188 Soort contactmoment (HL7) DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:inFulfillmentOf/hl7:encounter/hl7:statusCode
Item: (activityEncounterEVN)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:inFulfillmentOf/hl7:encounter/hl7:statusCode"
         id="tmp-1ef09038-f7dd-4b0d-9644-16522cc1ab68">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or (@code='completed') or (@code='cancelled')">(activityEncounterEVN): de waarde van @code MOET één van de volgende codes bevatten: 'completed' of 'cancelled'.</assert>
      <assert role="warning" test="not(@code='cancelled') or ../hl7:subjectOf">(activityEncounterEVN): 
                                <name path=".."/>/<name/>/@code='cancelled', maar er is geen reden waarom</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:inFulfillmentOf/hl7:encounter/hl7:effectiveTime
Item: (activityEncounterEVN)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:inFulfillmentOf/hl7:encounter/hl7:reasonCode
Item: (activityEncounterEVN)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:inFulfillmentOf/hl7:encounter/hl7:performer
Item: (activityEncounterEVN)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:inFulfillmentOf/hl7:encounter/hl7:author
Item: (activitiesEncounterINTAuthor)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:inFulfillmentOf/hl7:encounter/hl7:author"
         id="tmp-e054f746-d288-4bb9-a1d9-de5c8ae34d10">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='AUT' or not(@typeCode)">(activitiesEncounterINTAuthor): de waarde van @typeCode MOET 'AUT' zijn.</assert>
      <let name="elmcount"
           value="count(hl7:patient|hl7:personalRelationship[hl7:code[@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.411']]|hl7:assignedEntity1[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.411') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.411') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.411') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.411') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.411') or @nullFlavor='OTH']])"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="$elmcount&gt;=1">(activitiesEncounterINTAuthor): keuze (hl7:patient of hl7:personalRelationship[hl7:code[@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.411']] of hl7:assignedEntity1[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.411') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.411') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.411') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.411') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.411') or @nullFlavor='OTH']]) bevat te weinig elementen [min 1x]</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="$elmcount&lt;=1">(activitiesEncounterINTAuthor): keuze (hl7:patient of hl7:personalRelationship[hl7:code[@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.411']] of hl7:assignedEntity1[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.411') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.411') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.411') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.411') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.411') or @nullFlavor='OTH']]) bevat te veel elementen [max 1x]</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:inFulfillmentOf/hl7:encounter/hl7:author
Item: (activitiesEncounterINTAuthor)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:inFulfillmentOf/hl7:encounter/hl7:author/hl7:patient
Item: (activitiesEncounterINTAuthor)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:inFulfillmentOf/hl7:encounter/hl7:author/hl7:patient"
         id="tmp-0e66f8a7-720e-4f45-9154-5adb7cf0219e">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='PAT' or not(@classCode)">(activitiesEncounterINTAuthor): de waarde van @classCode MOET 'PAT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:inFulfillmentOf/hl7:encounter/hl7:author/hl7:personalRelationship
Item: (activitiesEncounterINTAuthor)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:inFulfillmentOf/hl7:encounter/hl7:author/hl7:personalRelationship"
         id="tmp-279cd646-c1f5-4317-a777-eda89442ae3d">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='PRS' or not(@classCode)">(activitiesEncounterINTAuthor): de waarde van @classCode MOET 'PRS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesEncounterINTAuthor): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">(activitiesEncounterINTAuthor): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:relationshipHolder)&gt;=1 ">(activitiesEncounterINTAuthor): element hl7:relationshipHolder is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:relationshipHolder)&lt;=1">(activitiesEncounterINTAuthor): element hl7:relationshipHolder komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:inFulfillmentOf/hl7:encounter/hl7:author/hl7:personalRelationship/hl7:code
Item: (activitiesEncounterINTAuthor)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:inFulfillmentOf/hl7:encounter/hl7:author/hl7:personalRelationship/hl7:code"
         id="tmp-0c2a4ca4-5e20-42dd-a11b-8fb59bce36b3">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.411')">(activitiesEncounterINTAuthor): de waarde van @code/@codeSystem MOET ''02' codeSystem '2.16.840.1.113883.2.4.4.40.411'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:inFulfillmentOf/hl7:encounter/hl7:author/hl7:personalRelationship/hl7:relationshipHolder
Item: (activitiesEncounterINTAuthor)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:inFulfillmentOf/hl7:encounter/hl7:author/hl7:personalRelationship/hl7:relationshipHolder"
         id="tmp-fc7c7c25-a420-48c8-ba35-b49cb9f1129b">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor='NI'">(activitiesEncounterINTAuthor): de waarde van @nullFlavor MOET 'NI' zijn.</assert>
      <assert role="error" test="@xsi:nil='true'">(activitiesEncounterINTAuthor): 
                                <name/>/@xsi:nil MOET 'true' bevatten.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:inFulfillmentOf/hl7:encounter/hl7:author/hl7:assignedEntity1
Item: (activitiesEncounterINTAuthor)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:inFulfillmentOf/hl7:encounter/hl7:author/hl7:assignedEntity1"
         id="tmp-a756ae1f-c58d-4cb8-ad76-391dae9a6b63">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='ASSIGNED' or not(@classCode)">(activitiesEncounterINTAuthor): de waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 ">(activitiesEncounterINTAuthor): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">(activitiesEncounterINTAuthor): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:inFulfillmentOf/hl7:encounter/hl7:author/hl7:assignedEntity1/hl7:code
Item: (activitiesEncounterINTAuthor)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:inFulfillmentOf/hl7:encounter/hl7:author/hl7:assignedEntity1/hl7:code"
         id="tmp-f3f925dc-c9fe-4cb8-80ef-d3c254b46039">
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-W0659_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-W0659_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(activitiesEncounterINTAuthor): de waarde van @code MOET worden gekozen uit waardenlijst W0659_HL7 W0659 Verzoeker contactmoment (HL7) DYNAMIC.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(activitiesEncounterINTAuthor): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0659_HL7 W0659 Verzoeker contactmoment (HL7) DYNAMIC.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor='OTH' or not(@nullFlavor)">(activitiesEncounterINTAuthor): de waarde van @nullFlavor MOET 'OTH' zijn.</assert>
      <assert role="error" test="not(@code='02')">(activitiesEncounterINTAuthor): 
                                <name path=".."/>/<name/>/@code '02' moet in element personalRelationship</assert>
      <assert role="error" test="not(@code='03')">(activitiesEncounterINTAuthor): 
                                <name path=".."/>/<name/>/@code '03' moet in element patient</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:inFulfillmentOf/hl7:encounter/hl7:consultant
Item: (activityEncounterEVN)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:inFulfillmentOf/hl7:encounter/hl7:escort
Item: (activityEncounterEVN)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:inFulfillmentOf/hl7:encounter/hl7:inFulFillmentOf
Item: (activityEncounterEVN)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:inFulfillmentOf/hl7:encounter/hl7:pertinentInformation
Item: (activityEncounterEVN)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:inFulfillmentOf/hl7:encounter/hl7:component1
Item: (activityEncounterEVN)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:inFulfillmentOf/hl7:encounter/hl7:component2
Item: (activityEncounterEVN)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:inFulfillmentOf/hl7:encounter/hl7:substanceAdministration
Item: (activityEncounterEVN)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:inFulfillmentOf/hl7:encounter/hl7:component4
Item: (activityEncounterEVN)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:inFulfillmentOf/hl7:encounter/hl7:component5
Item: (activityEncounterEVN)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:inFulfillmentOf/hl7:encounter/hl7:subjectOf
Item: (activityEncounterEVN)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:inFulfillmentOf/hl7:encounter/hl7:subjectOf1
Item: (activityEncounterEVN)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:inFulfillmentOf/hl7:encounter/hl7:subjectOf2
Item: (activityEncounterEVN)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']
Item: (activityEncounterEVN)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11012']]]
Item: (activityEncounterEVN)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11012']]]"
         id="tmp-107f893a-946d-4b42-8d3e-80e3c7a94794">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='PERT' or not(@typeCode)">(activityEncounterEVN): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11013']]]
Item: (activityEncounterEVN)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11013']]]"
         id="tmp-9820df29-f2cf-49d3-ba84-2f1ca3e51eae">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='PERT' or not(@typeCode)">(activityEncounterEVN): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11052']]]
Item: (activityEncounterEVN)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11052']]]"
         id="tmp-11312426-b722-4494-8097-1e4d19bf18b8">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='PERT' or not(@typeCode)">(activityEncounterEVN): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11019']]]
Item: (activityEncounterEVN)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11019']]]"
         id="tmp-303adae1-a5ec-4004-9ea7-a9fdc4350dd2">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='PERT' or not(@typeCode)">(activityEncounterEVN): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11020']]]
Item: (activityEncounterEVN)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11020']]]"
         id="tmp-f023312e-4880-4d2d-b883-05f1d8a6f2af">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='PERT' or not(@typeCode)">(activityEncounterEVN): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11021']]]
Item: (activityEncounterEVN)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11021']]]"
         id="tmp-71f6a2e3-4bac-47f9-a886-7ecc7c92deee">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='PERT' or not(@typeCode)">(activityEncounterEVN): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11022']]]
Item: (activityEncounterEVN)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11022']]]"
         id="tmp-571ca13b-6271-43be-a59e-f0b3685fa1fb">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='PERT' or not(@typeCode)">(activityEncounterEVN): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11023']]]
Item: (activityEncounterEVN)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11023']]]"
         id="tmp-30182c44-3b90-48cb-a97d-21dd30fdabb5">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='PERT' or not(@typeCode)">(activityEncounterEVN): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11024']]]
Item: (activityEncounterEVN)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11024']]]"
         id="tmp-0b7e4c83-d54b-4757-8c5c-7c82e6476b88">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='PERT' or not(@typeCode)">(activityEncounterEVN): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11025']]]
Item: (activityEncounterEVN)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11025']]]"
         id="tmp-91952f71-a5de-4e81-8be6-7f82017e3b40">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='PERT' or not(@typeCode)">(activityEncounterEVN): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11026']]]
Item: (activityEncounterEVN)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11026']]]"
         id="tmp-9950e925-f59f-4558-aba9-1a5624c96b14">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='PERT' or not(@typeCode)">(activityEncounterEVN): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11027']]]
Item: (activityEncounterEVN)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11027']]]"
         id="tmp-1610a9ab-837b-4694-a09d-b172862408fd">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='PERT' or not(@typeCode)">(activityEncounterEVN): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11030']]]
Item: (activityEncounterEVN)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11030']]]"
         id="tmp-08a6d920-0afd-493f-a0c6-12708d850b37">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='PERT' or not(@typeCode)">(activityEncounterEVN): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11031']]]
Item: (activityEncounterEVN)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11031']]]"
         id="tmp-faf8651d-69d9-4e39-be7e-4b6fa3dccf75">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='PERT' or not(@typeCode)">(activityEncounterEVN): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11032']]]
Item: (activityEncounterEVN)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11032']]]"
         id="tmp-89c77002-c5a8-4b8e-bd0c-43db0f0c12ef">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='PERT' or not(@typeCode)">(activityEncounterEVN): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11034']]]
Item: (activityEncounterEVN)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11034']]]"
         id="tmp-614a1a5b-9bbf-499c-9bb1-8eee2f4fbad2">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='PERT' or not(@typeCode)">(activityEncounterEVN): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11038']]]
Item: (activityEncounterEVN)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11038']]]"
         id="tmp-bd6c8dcb-e367-4129-9fab-7aa115c0809e">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='PERT' or not(@typeCode)">(activityEncounterEVN): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11039']]]
Item: (activityEncounterEVN)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11039']]]"
         id="tmp-84fb7333-2d13-4403-ab2c-d6e213f0c50d">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='PERT' or not(@typeCode)">(activityEncounterEVN): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11040']]]
Item: (activityEncounterEVN)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11040']]]"
         id="tmp-67793e23-627c-420e-b989-2dc5c39af8e6">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='PERT' or not(@typeCode)">(activityEncounterEVN): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11042']]]
Item: (activityEncounterEVN)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11042']]]"
         id="tmp-2a54ec59-7a19-49aa-ba8e-7cb131592b26">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='PERT' or not(@typeCode)">(activityEncounterEVN): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11043']]]
Item: (activityEncounterEVN)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11043']]]"
         id="tmp-2ff8ec1d-0fa8-43fb-9819-a63ad0eaf9ce">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='PERT' or not(@typeCode)">(activityEncounterEVN): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11054']]]
Item: (activityEncounterEVN)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11054']]]"
         id="tmp-1ed1e21f-8691-49d9-8377-fb64da92a7d0">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='PERT' or not(@typeCode)">(activityEncounterEVN): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11045']]]
Item: (activityEncounterEVN)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11045']]]"
         id="tmp-b553a1a4-7d2b-4e90-90a0-77edf9d575a8">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='PERT' or not(@typeCode)">(activityEncounterEVN): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11049']]]
Item: (activityEncounterEVN)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11049']]]"
         id="tmp-b8c6d79c-985a-4c5b-b398-2df1f7b32415">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='PERT' or not(@typeCode)">(activityEncounterEVN): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:component1
Item: (activityEncounterEVN)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:component1"
         id="tmp-6df2327e-6a91-4d7e-8f27-1477d89e365e">
      <extends rule="tmp-04fddb57-dca9-4ea1-8f0b-da28a18d1fd5"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='COMP' or not(@typeCode)">(activityEncounterEVN): de waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']
Item: (activitiesComponent1NonBDSData)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:component1
Item: (activitiesComponent1NonBDSData)
-->
<rule id="tmp-04fddb57-dca9-4ea1-8f0b-da28a18d1fd5" abstract="true">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:nonBDSData)&gt;=1 and not(hl7:nonBDSData/@nullFlavor)">(activitiesComponent1NonBDSData): element hl7:nonBDSData is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:nonBDSData)&lt;=1">(activitiesComponent1NonBDSData): element hl7:nonBDSData komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:component1/hl7:nonBDSData
Item: (activitiesComponent1NonBDSData)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:component1/hl7:nonBDSData"
         id="tmp-04b9a9da-6b79-4468-9a54-4f4494c1d81c">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='OBS' or not(@classCode)">(activitiesComponent1NonBDSData): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@moodCode='EVN' or not(@moodCode)">(activitiesComponent1NonBDSData): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 ">(activitiesComponent1NonBDSData): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">(activitiesComponent1NonBDSData): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(activitiesComponent1NonBDSData): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:value)&lt;=1">(activitiesComponent1NonBDSData): element hl7:value komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:pertainsTo)&lt;=1">(activitiesComponent1NonBDSData): element hl7:pertainsTo komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:component1/hl7:nonBDSData/hl7:code
Item: (activitiesComponent1NonBDSData)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:component1/hl7:nonBDSData/hl7:code"
         id="tmp-41d33c20-eeff-4b4e-aa26-77495a78628f">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor='OTH' or not(@nullFlavor)">(activitiesComponent1NonBDSData): de waarde van @nullFlavor MOET 'OTH' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:originalText)&lt;=1">(activitiesComponent1NonBDSData): element hl7:originalText komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:component1/hl7:nonBDSData/hl7:code/hl7:originalText
Item: (activitiesComponent1NonBDSData)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:component1/hl7:nonBDSData/hl7:code/hl7:originalText"
         id="tmp-371892a5-27cd-4c57-b3d3-941b672ee477">
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:component1/hl7:nonBDSData/hl7:value
Item: (activitiesComponent1NonBDSData)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:component1/hl7:nonBDSData/hl7:value"
         id="tmp-5b91de45-bda9-4c17-a37f-a28514be860a">
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:component1/hl7:nonBDSData/hl7:pertainsTo
Item: (activitiesComponent1NonBDSData)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:component1/hl7:nonBDSData/hl7:pertainsTo"
         id="tmp-47088f14-d919-4421-a755-a4089e680a91">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='COMP' or not(@typeCode)">(activitiesComponent1NonBDSData): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:categoryInBDS)&gt;=1 and not(hl7:categoryInBDS/@nullFlavor)">(activitiesComponent1NonBDSData): element hl7:categoryInBDS is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:categoryInBDS)&lt;=1">(activitiesComponent1NonBDSData): element hl7:categoryInBDS komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:component1/hl7:nonBDSData/hl7:pertainsTo/hl7:categoryInBDS
Item: (activitiesComponent1NonBDSData)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:component1/hl7:nonBDSData/hl7:pertainsTo/hl7:categoryInBDS"
         id="tmp-266833d7-904a-4a8f-8202-c9c4f8e4544f">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='CATEGORY' or not(@classCode)">(activitiesComponent1NonBDSData): de waarde van @classCode MOET 'CATEGORY' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@moodCode='EVN' or not(@moodCode)">(activitiesComponent1NonBDSData): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesComponent1NonBDSData): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">(activitiesComponent1NonBDSData): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:component1/hl7:nonBDSData/hl7:pertainsTo/hl7:categoryInBDS/hl7:code
Item: (activitiesComponent1NonBDSData)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:component1/hl7:nonBDSData/hl7:pertainsTo/hl7:categoryInBDS/hl7:code"
         id="tmp-33b14250-39fe-4533-ab59-2bc49c709793">
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-W0639_HL7_LongitudinaleGegevens-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-W0639_HL7_LongitudinaleGegevens-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(activitiesComponent1NonBDSData): de waarde van @code MOET worden gekozen uit waardenlijst W0639_HL7_LongitudinaleGegevens W0639 RubriekID longitudinale gegevens DYNAMIC.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(activitiesComponent1NonBDSData): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0639_HL7_LongitudinaleGegevens W0639 RubriekID longitudinale gegevens DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:component2
Item: (activityEncounterEVN)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:component2"
         id="tmp-37cc4952-f0a1-4558-b928-1445b60211c7">
      <extends rule="tmp-8d172043-eab7-452b-b2b2-c83c1602ab94"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='COMP' or not(@typeCode)">(activityEncounterEVN): de waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']
Item: (activitiesComponent2MetaData)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:component2
Item: (activitiesComponent2MetaData)
-->
<rule id="tmp-8d172043-eab7-452b-b2b2-c83c1602ab94" abstract="true">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:metaData)&gt;=1 and not(hl7:metaData/@nullFlavor)">(activitiesComponent2MetaData): element hl7:metaData is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:metaData)&lt;=1">(activitiesComponent2MetaData): element hl7:metaData komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:component2/hl7:metaData
Item: (activitiesComponent2MetaData)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:component2/hl7:metaData"
         id="tmp-e495dc9b-27ba-4d3f-8270-12ff43f38dcf">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='OBS' or not(@classCode)">(activitiesComponent2MetaData): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@moodCode='EVN' or not(@moodCode)">(activitiesComponent2MetaData): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesComponent2MetaData): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">(activitiesComponent2MetaData): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:value)&gt;=1 ">(activitiesComponent2MetaData): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:value)&lt;=1">(activitiesComponent2MetaData): element hl7:value komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:pertainsTo)&lt;=1">(activitiesComponent2MetaData): element hl7:pertainsTo komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:component2/hl7:metaData/hl7:code
Item: (activitiesComponent2MetaData)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:component2/hl7:metaData/hl7:code"
         id="tmp-6a9b36c7-5af5-4f5b-9cfe-7a92170978ec">
      <let name="theValue" value="@value"/>
      <assert role="error" test="@displayName or not(@code)">(activitiesComponent2MetaData): 
                        <name path=".."/>/<name/>/@displayName MOET een waarde bevatten</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:component2/hl7:metaData/hl7:value
Item: (activitiesComponent2MetaData)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:component2/hl7:metaData/hl7:value"
         id="tmp-02177fec-8924-452f-90d2-76e8de2af48d">
      <assert role="error" test="@displayName or not(@code)">(activitiesComponent2MetaData): 
                        <name path=".."/>/<name/>/@displayName MOET een waarde bevatten als het gecodeerde gegevens betreft</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:component2/hl7:metaData/hl7:pertainsTo
Item: (activitiesComponent2MetaData)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:component2/hl7:metaData/hl7:pertainsTo"
         id="tmp-92daaa9c-4ab9-4857-abd0-8a8133f444d5">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='COMP' or not(@typeCode)">(activitiesComponent2MetaData): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:categoryInBDS)&gt;=1 and not(hl7:categoryInBDS/@nullFlavor)">(activitiesComponent2MetaData): element hl7:categoryInBDS is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:categoryInBDS)&lt;=1">(activitiesComponent2MetaData): element hl7:categoryInBDS komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:component2/hl7:metaData/hl7:pertainsTo/hl7:categoryInBDS
Item: (activitiesComponent2MetaData)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:component2/hl7:metaData/hl7:pertainsTo/hl7:categoryInBDS"
         id="tmp-2fbcbbd5-5097-464b-bb0d-650d61622968">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='CATEGORY' or not(@classCode)">(activitiesComponent2MetaData): de waarde van @classCode MOET 'CATEGORY' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@moodCode='EVN' or not(@moodCode)">(activitiesComponent2MetaData): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesComponent2MetaData): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">(activitiesComponent2MetaData): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:component2/hl7:metaData/hl7:pertainsTo/hl7:categoryInBDS/hl7:code
Item: (activitiesComponent2MetaData)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:component2/hl7:metaData/hl7:pertainsTo/hl7:categoryInBDS/hl7:code"
         id="tmp-a81ba2cc-fb6e-453a-b224-9f673f5a3f66">
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-W0639_HL7_LongitudinaleGegevens-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), (document('include/voc-W0646_HL7_LongitudinaleGegevens-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), (document('include/voc-W0647_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-W0639_HL7_LongitudinaleGegevens-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), (document('include/voc-W0646_HL7_LongitudinaleGegevens-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), (document('include/voc-W0647_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(activitiesComponent2MetaData): de waarde van @code MOET worden gekozen uit waardenlijst W0639_HL7_LongitudinaleGegevens W0639 RubriekID longitudinale gegevens of W0646_HL7_LongitudinaleGegevens W0646 GroepID longitudinale gegevens of W0647_HL7 W0647 BDS Elementen DYNAMIC.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(activitiesComponent2MetaData): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0639_HL7_LongitudinaleGegevens W0639 RubriekID longitudinale gegevens of W0646_HL7_LongitudinaleGegevens W0646 GroepID longitudinale gegevens of W0647_HL7 W0647 BDS Elementen DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:component3[hl7:substanceAdministrationEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.116']]]
Item: (activityEncounterEVN)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:component3[hl7:substanceAdministrationEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.116']]]"
         id="tmp-d03628d3-a4bc-402b-a883-a22749d095b1">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='COMP' or not(@typeCode)">(activityEncounterEVN): de waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:component4[hl7:heelPrick[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.133']]]
Item: (activityEncounterEVN)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:component4[hl7:heelPrick[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.133']]]"
         id="tmp-d44aea5b-742c-4d58-8ec2-0e2f5cb6ba86">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='COMP' or not(@typeCode)">(activityEncounterEVN): de waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:component5[hl7:advice[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or @nullFlavor='OTH']]]
Item: (activityEncounterEVN)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:component5[hl7:advice[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or @nullFlavor='OTH']]]"
         id="tmp-07671010-c28f-4a42-8570-2613c9230454">
      <extends rule="tmp-0f2e8425-bf72-4146-8836-a8be82c60744"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='COMP' or not(@typeCode)">(activityEncounterEVN): de waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']
Item: (activitiesComponent5Advice)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:component5[hl7:advice[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or @nullFlavor='OTH']]]
Item: (activitiesComponent5Advice)
-->
<rule id="tmp-0f2e8425-bf72-4146-8836-a8be82c60744" abstract="true">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:advice)&gt;=1 and not(hl7:advice/@nullFlavor)">(activitiesComponent5Advice): element hl7:advice is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:advice)&lt;=1">(activitiesComponent5Advice): element hl7:advice komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:component5[hl7:advice[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or @nullFlavor='OTH']]]/hl7:advice
Item: (activitiesComponent5Advice)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:component5[hl7:advice[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or @nullFlavor='OTH']]]/hl7:advice"
         id="tmp-18c3ec70-f54f-47fb-83f4-b4336740d956">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='INFRM' or not(@classCode)">(activitiesComponent5Advice): de waarde van @classCode MOET 'INFRM' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@moodCode='EVN' or not(@moodCode)">(activitiesComponent5Advice): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 ">(activitiesComponent5Advice): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">(activitiesComponent5Advice): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:component5[hl7:advice[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or @nullFlavor='OTH']]]/hl7:advice/hl7:code
Item: (activitiesComponent5Advice)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:component5[hl7:advice[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or @nullFlavor='OTH']]]/hl7:advice/hl7:code"
         id="tmp-dac9abbe-8316-4162-a79a-c1e3fdce8dfe">
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-W0308_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-W0308_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(activitiesComponent5Advice): de waarde van @code MOET worden gekozen uit waardenlijst W0308_HL7 W0308 Gegeven voorlichting (HL7) DYNAMIC.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(activitiesComponent5Advice): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0308_HL7 W0308 Gegeven voorlichting (HL7) DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:component5[hl7:advice[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or @nullFlavor='OTH']]]/hl7:advice/hl7:component
Item: (activitiesComponent5Advice)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:component5[hl7:advice[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or @nullFlavor='OTH']]]/hl7:advice/hl7:component"
         id="tmp-bdfebc37-e50b-4f35-a2e6-7c23bd2776de">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='COMP' or not(@typeCode)">(activitiesComponent5Advice): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:act)&gt;=1 and not(hl7:act/@nullFlavor)">(activitiesComponent5Advice): element hl7:act is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:act)&lt;=1">(activitiesComponent5Advice): element hl7:act komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:component5[hl7:advice[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or @nullFlavor='OTH']]]/hl7:advice/hl7:component/hl7:act
Item: (activitiesComponent5Advice)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:component5[hl7:advice[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or @nullFlavor='OTH']]]/hl7:advice/hl7:component/hl7:act"
         id="tmp-8c67e7a7-af61-49de-98ca-4842ebb707b3">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='ACT' or not(@classCode)">(activitiesComponent5Advice): de waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@moodCode='EVN' or not(@moodCode)">(activitiesComponent5Advice): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesComponent5Advice): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">(activitiesComponent5Advice): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(activitiesComponent5Advice): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:text)&lt;=1">(activitiesComponent5Advice): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:component5[hl7:advice[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or @nullFlavor='OTH']]]/hl7:advice/hl7:component/hl7:act/hl7:code
Item: (activitiesComponent5Advice)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:component5[hl7:advice[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or @nullFlavor='OTH']]]/hl7:advice/hl7:component/hl7:act/hl7:code"
         id="tmp-784ee7cb-dd73-4c71-b9d3-5c30f6795ee0">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or (@code='1157' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesComponent5Advice): de waarde van @code/@codeSystem MOET ''1157' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:component5[hl7:advice[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or @nullFlavor='OTH']]]/hl7:advice/hl7:component/hl7:act/hl7:text
Item: (activitiesComponent5Advice)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:component5[hl7:advice[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or @nullFlavor='OTH']]]/hl7:advice/hl7:component/hl7:act/hl7:text"
         id="tmp-0596fa0c-29dc-44db-90f0-e7a8bbdf6eed">
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:subjectOf
Item: (activityEncounterEVN)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:subjectOf"
         id="tmp-e5253689-8e83-4aa3-9632-fd0a2fa01043">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='SUBJ' or not(@typeCode)">(activityEncounterEVN): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:abortedEvent)&gt;=1 and not(hl7:abortedEvent/@nullFlavor)">(activityEncounterEVN): element hl7:abortedEvent is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:abortedEvent)&lt;=1">(activityEncounterEVN): element hl7:abortedEvent komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:subjectOf/hl7:abortedEvent
Item: (activityEncounterEVN)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:subjectOf/hl7:abortedEvent"
         id="tmp-43a81e95-445f-4cf0-a618-e1430e3bd116">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='STC' or not(@classCode)">(activityEncounterEVN): de waarde van @classCode MOET 'STC' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@moodCode='EVN' or not(@moodCode)">(activityEncounterEVN): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 ">(activityEncounterEVN): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">(activityEncounterEVN): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:reasonCode)&gt;=1 and not(hl7:reasonCode/@nullFlavor)">(activityEncounterEVN): element hl7:reasonCode is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:reasonCode)&lt;=1">(activityEncounterEVN): element hl7:reasonCode komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:subjectOf/hl7:abortedEvent/hl7:code
Item: (activityEncounterEVN)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:subjectOf/hl7:abortedEvent/hl7:code"
         id="tmp-41c4c5ab-0d18-46cd-a16e-342cb405a771">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or (@code='495' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activityEncounterEVN): de waarde van @code/@codeSystem MOET ''495' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:subjectOf/hl7:abortedEvent/hl7:reasonCode
Item: (activityEncounterEVN)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:subjectOf/hl7:abortedEvent/hl7:reasonCode"
         id="tmp-e0a087fb-30e2-4eeb-8a2d-b802ae845888">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.309')">(activityEncounterEVN): de waarde van @code/@codeSystem MOET ''02' codeSystem '2.16.840.1.113883.2.4.4.40.309'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (activityEncounterEVN)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]"
         id="tmp-721e5493-42cc-4b8d-ace6-6e8d802562b0">
      <extends rule="tmp-f0fa0c2d-febc-4425-9814-4cbaa267ab19"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='SUBJ' or not(@typeCode)">(activityEncounterEVN): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']
Item: (activitiesSubjectOfConclusion)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (activitiesSubjectOfConclusion)
-->
<rule id="tmp-f0fa0c2d-febc-4425-9814-4cbaa267ab19" abstract="true">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:conclusion)&lt;=1">(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion
Item: (activitiesSubjectOfConclusion)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion"
         id="tmp-2be135c4-710d-400b-9b59-86216a448dea">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@moodCode='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:text)&lt;=1">(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code"
         id="tmp-c315e7e1-44ba-43ce-ae77-3bb5537f8511">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text
Item: (activitiesSubjectOfConclusion)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text"
         id="tmp-321fe6bd-962f-4721-bfd4-c1742d30072f">
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component
Item: (activitiesSubjectOfConclusion)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component"
         id="tmp-b031defd-edc7-43f5-89b3-a4e43d9c1b78">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='COMP' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:indication)&lt;=1">(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication
Item: (activitiesSubjectOfConclusion)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication"
         id="tmp-255cd36d-fc9c-4dfd-86aa-f5cd067edd41">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@moodCode='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:value)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:value)&lt;=1">(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:reasonOf)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code"
         id="tmp-92418e58-4715-49f0-9d56-0ec0010ee511">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value
Item: (activitiesSubjectOfConclusion)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value"
         id="tmp-7cc30b8e-1e94-4856-b875-d4b1ef558cc5">
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf
Item: (activitiesSubjectOfConclusion)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf"
         id="tmp-57423c80-288c-45dc-a366-0b8d5474afaf">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='RSON' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.</assert>
      <let name="elmcount"
           value="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="$elmcount&gt;=1">(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="$elmcount&lt;=1">(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf
Item: (activitiesSubjectOfConclusion)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-55ee061a-7251-4f02-a547-1ddad7dfc7fb">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@moodCode='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-545f0d8f-83ef-4216-9667-ff2eee007e99">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-c46ee052-8e16-4c56-b07a-0fa6c831be2b">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='REG' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@moodCode='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-daabea47-312f-47cd-ac83-c6f9c8f7293f">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-a216823e-a398-4656-bf12-bcb2ed0efba9">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@moodCode='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-0960d640-10c0-494e-a6ff-3d9cf14603b2">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-9a27cfe7-567b-468d-b3b1-a535e78ae023">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='PCPR' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@moodCode='RQO' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:performer)&lt;=1">(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-96469fa4-98cf-456e-b216-e5d2209a1c43">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer
Item: (activitiesSubjectOfConclusion)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer"
         id="tmp-88308d92-8819-490d-b113-8a17a40d8203">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='PRF' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:assignedEntity)&lt;=1">(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity
Item: (activitiesSubjectOfConclusion)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity"
         id="tmp-117c9eeb-5428-41cf-9bc9-e96809c34b8d">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='ASSIGNED' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code"
         id="tmp-e0e88e1e-56aa-414c-abcd-6dae14320fc4">
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]"
         id="tmp-643c3416-c741-4e94-a737-2768c2c96b20">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='ACT' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@moodCode='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code"
         id="tmp-aa81acae-39c2-48a4-b712-cd292db60c64">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor='OTH'">(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:originalText)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:originalText)&lt;=1">(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText
Item: (activitiesSubjectOfConclusion)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText"
         id="tmp-b99263a8-2318-4500-adb2-9c8a2ee7508e">
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf
Item: (activitiesSubjectOfConclusion)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf"
         id="tmp-99c5e289-8fdc-4afc-bf74-9e660cf15495">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='SUBJ' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:annotation)&lt;=1">(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation
Item: (activitiesSubjectOfConclusion)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation"
         id="tmp-23f6510f-79da-479d-9ab4-dd67f0d5c621">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='ACT' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@moodCode='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:text)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:text)&lt;=1">(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code"
         id="tmp-efd632ad-ff5c-4f3b-afce-43c2812383c3">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text
Item: (activitiesSubjectOfConclusion)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text"
         id="tmp-6972aa0e-fed0-498a-a8e5-91b0c0a886ee">
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:subjectOf2
Item: (activityEncounterEVN)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:subjectOf2"
         id="tmp-394e101f-2c6a-4444-bbe4-961ea968957b">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='SUBJ' or not(@typeCode)">(activityEncounterEVN): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)">(activityEncounterEVN): element hl7:annotation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:annotation)&lt;=1">(activityEncounterEVN): element hl7:annotation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:subjectOf2/hl7:annotation
Item: (activityEncounterEVN)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:subjectOf2/hl7:annotation"
         id="tmp-fe2712c1-0c20-484f-b4ce-7cf69db7da3a">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 ">(activityEncounterEVN): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">(activityEncounterEVN): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(activityEncounterEVN): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:text)&lt;=1">(activityEncounterEVN): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:subjectOf2/hl7:annotation/hl7:code
Item: (activityEncounterEVN)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:subjectOf2/hl7:annotation/hl7:code"
         id="tmp-411c928e-a04b-416b-9832-bd7833d3b3fd">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activityEncounterEVN): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:subjectOf2/hl7:annotation/hl7:text
Item: (activityEncounterEVN)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:subjectOf2/hl7:annotation/hl7:text"
         id="tmp-a85e08d0-1861-401c-99ed-a0b3b66b1459">
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']
Item: (activityEncounterINT)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']"
         id="tmp-8f4f4c5b-a674-4a73-a8aa-23137be68f85">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='ENC' or not(@classCode)">(activityEncounterINT): de waarde van @classCode MOET 'ENC' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@moodCode='INT'">(activityEncounterINT): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:id)&lt;=1">(activityEncounterINT): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 ">(activityEncounterINT): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">(activityEncounterINT): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:statusCode)&gt;=1 and not(hl7:statusCode/@nullFlavor)">(activityEncounterINT): element hl7:statusCode is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:statusCode)&lt;=1">(activityEncounterINT): element hl7:statusCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:effectiveTime)&gt;=1 and not(hl7:effectiveTime/@nullFlavor)">(activityEncounterINT): element hl7:effectiveTime is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:effectiveTime)&lt;=1">(activityEncounterINT): element hl7:effectiveTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:performer)&lt;=1">(activityEncounterINT): element hl7:performer komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:author)&lt;=1">(activityEncounterINT): element hl7:author komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:consultant)&lt;=1">(activityEncounterINT): element hl7:consultant komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:inFulfillmentOf)=0">(activityEncounterINT): element hl7:inFulfillmentOf MAG NIET voorkomen.</assert>
      <let name="elmcount"
           value="count(hl7:pertinentInformation|hl7:pertinentInformation|hl7:pertinentInformation|hl7:pertinentInformation|hl7:pertinentInformation|hl7:pertinentInformation|hl7:pertinentInformation|hl7:pertinentInformation|hl7:pertinentInformation|hl7:pertinentInformation|hl7:pertinentInformation|hl7:pertinentInformation|hl7:pertinentInformation|hl7:pertinentInformation|hl7:pertinentInformation|hl7:pertinentInformation|hl7:pertinentInformation|hl7:pertinentInformation|hl7:pertinentInformation|hl7:pertinentInformation|hl7:pertinentInformation|hl7:pertinentInformation|hl7:pertinentInformation|hl7:pertinentInformation)"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:subjectOf)&lt;=1">(activityEncounterINT): element hl7:subjectOf komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1">(activityEncounterINT): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:id
Item: (activityEncounterINT)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:id"
         id="tmp-a91d634a-f8f2-4975-a527-d163f7a29718">
      <let name="theValue" value="@value"/>
      <assert role="error" test="@root and @extension">(activityEncounterINT): 
                        <name path=".."/>/<name/> MOET een waarde in @root en @extension hebben.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:code
Item: (activityEncounterINT)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:code"
         id="tmp-2c56a7a3-77a3-4a09-9812-b3cf6a53a483">
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-W0188_HL7_Contactmomenten-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-W0188_HL7_Contactmomenten-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(activityEncounterINT): de waarde van @code MOET worden gekozen uit waardenlijst W0188_HL7_Contactmomenten W0188 Soort contactmoment (HL7) DYNAMIC.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(activityEncounterINT): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0188_HL7_Contactmomenten W0188 Soort contactmoment (HL7) DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:statusCode
Item: (activityEncounterINT)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:statusCode"
         id="tmp-e5e774ba-ad72-4d10-b27e-628db6b3fa07">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or (@code='cancelled')">(activityEncounterINT): de waarde van @code MOET ''cancelled'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:effectiveTime
Item: (activityEncounterINT)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:effectiveTime"
         id="tmp-d447a7e3-9215-4215-95bb-cd95096ce53b">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:reasonCode
Item: (activityEncounterINT)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:reasonCode"
         id="tmp-2c7daca7-76c8-4cbf-9cd5-28eb7a0b5179">
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(activityEncounterINT): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(activityEncounterINT): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:performer
Item: (activitiesPerformer)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:performer"
         id="tmp-4b0303d4-0483-4667-9a46-30b868cdc32d">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='PRF' or not(@typeCode)">(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)">(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:assignedEntity)&lt;=1">(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:performer/hl7:assignedEntity
Item: (activitiesPerformer)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:performer/hl7:assignedEntity"
         id="tmp-e71fd04f-bf3c-491d-a42a-0f75fb4d5e5c">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(activitiesPerformer): element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:id)&lt;=1">(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:performer/hl7:assignedEntity/hl7:id
Item: (activitiesPerformer)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:performer/hl7:assignedEntity/hl7:id"
         id="tmp-5431303e-35c8-48d4-8379-35cc692c8b6c">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:author
Item: (activitiesEncounterINTAuthor)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:author"
         id="tmp-35c11c26-b837-4c07-abff-348918d3b2ad">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='AUT' or not(@typeCode)">(activitiesEncounterINTAuthor): de waarde van @typeCode MOET 'AUT' zijn.</assert>
      <let name="elmcount"
           value="count(hl7:patient|hl7:personalRelationship[hl7:code[@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.411']]|hl7:assignedEntity1[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.411') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.411') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.411') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.411') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.411') or @nullFlavor='OTH']])"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="$elmcount&gt;=1">(activitiesEncounterINTAuthor): keuze (hl7:patient of hl7:personalRelationship[hl7:code[@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.411']] of hl7:assignedEntity1[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.411') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.411') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.411') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.411') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.411') or @nullFlavor='OTH']]) bevat te weinig elementen [min 1x]</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="$elmcount&lt;=1">(activitiesEncounterINTAuthor): keuze (hl7:patient of hl7:personalRelationship[hl7:code[@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.411']] of hl7:assignedEntity1[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.411') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.411') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.411') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.411') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.411') or @nullFlavor='OTH']]) bevat te veel elementen [max 1x]</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:author
Item: (activitiesEncounterINTAuthor)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:author/hl7:patient
Item: (activitiesEncounterINTAuthor)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:author/hl7:patient"
         id="tmp-93f3f37e-77f3-41b9-bf93-f1e599cdf87e">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='PAT' or not(@classCode)">(activitiesEncounterINTAuthor): de waarde van @classCode MOET 'PAT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:author/hl7:personalRelationship
Item: (activitiesEncounterINTAuthor)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:author/hl7:personalRelationship"
         id="tmp-02ac55f6-c57e-4ac2-a587-5f46cf480936">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='PRS' or not(@classCode)">(activitiesEncounterINTAuthor): de waarde van @classCode MOET 'PRS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesEncounterINTAuthor): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">(activitiesEncounterINTAuthor): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:relationshipHolder)&gt;=1 ">(activitiesEncounterINTAuthor): element hl7:relationshipHolder is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:relationshipHolder)&lt;=1">(activitiesEncounterINTAuthor): element hl7:relationshipHolder komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:author/hl7:personalRelationship/hl7:code
Item: (activitiesEncounterINTAuthor)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:author/hl7:personalRelationship/hl7:code"
         id="tmp-d2c76c4e-1320-4b6e-9c13-ca33e96e17f1">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.411')">(activitiesEncounterINTAuthor): de waarde van @code/@codeSystem MOET ''02' codeSystem '2.16.840.1.113883.2.4.4.40.411'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:author/hl7:personalRelationship/hl7:relationshipHolder
Item: (activitiesEncounterINTAuthor)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:author/hl7:personalRelationship/hl7:relationshipHolder"
         id="tmp-c13768cc-f0a4-4a65-a9b3-4e214eecae9a">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor='NI'">(activitiesEncounterINTAuthor): de waarde van @nullFlavor MOET 'NI' zijn.</assert>
      <assert role="error" test="@xsi:nil='true'">(activitiesEncounterINTAuthor): 
                                <name/>/@xsi:nil MOET 'true' bevatten.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:author/hl7:assignedEntity1
Item: (activitiesEncounterINTAuthor)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:author/hl7:assignedEntity1"
         id="tmp-4f140d1f-93a6-4088-91cc-3fc9852079f6">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='ASSIGNED' or not(@classCode)">(activitiesEncounterINTAuthor): de waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 ">(activitiesEncounterINTAuthor): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">(activitiesEncounterINTAuthor): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:author/hl7:assignedEntity1/hl7:code
Item: (activitiesEncounterINTAuthor)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:author/hl7:assignedEntity1/hl7:code"
         id="tmp-ab8e3834-eebb-4e6f-959d-795081d08ceb">
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-W0659_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-W0659_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(activitiesEncounterINTAuthor): de waarde van @code MOET worden gekozen uit waardenlijst W0659_HL7 W0659 Verzoeker contactmoment (HL7) DYNAMIC.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(activitiesEncounterINTAuthor): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0659_HL7 W0659 Verzoeker contactmoment (HL7) DYNAMIC.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor='OTH' or not(@nullFlavor)">(activitiesEncounterINTAuthor): de waarde van @nullFlavor MOET 'OTH' zijn.</assert>
      <assert role="error" test="not(@code='02')">(activitiesEncounterINTAuthor): 
                                <name path=".."/>/<name/>/@code '02' moet in element personalRelationship</assert>
      <assert role="error" test="not(@code='03')">(activitiesEncounterINTAuthor): 
                                <name path=".."/>/<name/>/@code '03' moet in element patient</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:consultant
Item: (activitiesConsultant)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:consultant"
         id="tmp-d4faa167-4d6b-4974-afaa-82796724df8f">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='CON' or not(@typeCode)">(activitiesConsultant): de waarde van @typeCode MOET 'CON' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)">(activitiesConsultant): element hl7:assignedEntity is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:assignedEntity)&lt;=1">(activitiesConsultant): element hl7:assignedEntity komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:consultant/hl7:assignedEntity
Item: (activitiesConsultant)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:consultant/hl7:assignedEntity"
         id="tmp-6e16a98e-600f-4838-9d09-ffa6b4d6840a">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='ASSIGNED' or not(@classCode)">(activitiesConsultant): de waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 ">(activitiesConsultant): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">(activitiesConsultant): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:consultant/hl7:assignedEntity/hl7:code
Item: (activitiesConsultant)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:consultant/hl7:assignedEntity/hl7:code"
         id="tmp-a07fd26d-6b1d-44f4-a19f-f62ff30af78a">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor='OTH'">(activitiesConsultant): de waarde van @nullFlavor MOET 'OTH' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:originalText)&gt;=1 and not(hl7:originalText/@nullFlavor)">(activitiesConsultant): element hl7:originalText is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:originalText)&lt;=1">(activitiesConsultant): element hl7:originalText komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:consultant/hl7:assignedEntity/hl7:code/hl7:originalText
Item: (activitiesConsultant)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:consultant/hl7:assignedEntity/hl7:code/hl7:originalText"
         id="tmp-23db1b64-7ce4-4f98-a841-cc8f270533ee">
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:escort
Item: (activitiesEscort)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:escort"
         id="tmp-d0ad0f3b-7012-4c49-8389-2593df5c1537">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='ESC' or not(@typeCode)">(activitiesEscort): de waarde van @typeCode MOET 'ESC' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:responsibleParty)&gt;=1 and not(hl7:responsibleParty/@nullFlavor)">(activitiesEscort): element hl7:responsibleParty is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:responsibleParty)&lt;=1">(activitiesEscort): element hl7:responsibleParty komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:escort/hl7:responsibleParty
Item: (activitiesEscort)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:escort/hl7:responsibleParty"
         id="tmp-70af472b-74e7-4a0c-b2d8-70c5742e8d17">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='ASSIGNED' or not(@classCode)">(activitiesEscort): de waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 ">(activitiesEscort): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">(activitiesEscort): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:agentPerson)&gt;=1 ">(activitiesEscort): element hl7:agentPerson is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:agentPerson)&lt;=1">(activitiesEscort): element hl7:agentPerson komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:escort/hl7:responsibleParty/hl7:code
Item: (activitiesEscort)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:escort/hl7:responsibleParty/hl7:code"
         id="tmp-2754dff1-9e8f-4cd7-9234-ddc52bf1bd5a">
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-W0193_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-W0193_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(activitiesEscort): de waarde van @code MOET worden gekozen uit waardenlijst W0193_HL7 W0193 Begeleider (HL7) DYNAMIC.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(activitiesEscort): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0193_HL7 W0193 Begeleider (HL7) DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:escort/hl7:responsibleParty/hl7:agentPerson
Item: (activitiesEscort)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:escort/hl7:responsibleParty/hl7:agentPerson"
         id="tmp-7fc5fb0e-1b25-4882-b19a-811fdec40e60">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor='NI'">(activitiesEscort): de waarde van @nullFlavor MOET 'NI' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@xsi:nil='true'">(activitiesEscort): de waarde van @xsi:nil MOET 'true' zijn.</assert>
      <let name="theAttValue" value="@xsi:nil"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:inFulfillmentOf
Item: (activityEncounterINT)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']
Item: (activityEncounterINT)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11012']]]
Item: (activityEncounterINT)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11012']]]"
         id="tmp-2e154534-3562-4851-8709-c1ea4e56ebe5">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='PERT' or not(@typeCode)">(activityEncounterINT): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11013']]]
Item: (activityEncounterINT)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11013']]]"
         id="tmp-3bd8e8da-277f-4570-8a01-7058a442f597">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='PERT' or not(@typeCode)">(activityEncounterINT): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11052']]]
Item: (activityEncounterINT)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11052']]]"
         id="tmp-b4219b67-bdb5-4edb-bfb6-454d6dd92d7f">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='PERT' or not(@typeCode)">(activityEncounterINT): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11019']]]
Item: (activityEncounterINT)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11019']]]"
         id="tmp-cbe3b02c-ede1-47f8-901d-4a9434eabdfc">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='PERT' or not(@typeCode)">(activityEncounterINT): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11020']]]
Item: (activityEncounterINT)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11020']]]"
         id="tmp-f665613a-adbe-43a3-861c-47a1c4e11873">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='PERT' or not(@typeCode)">(activityEncounterINT): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11021']]]
Item: (activityEncounterINT)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11021']]]"
         id="tmp-5bbdf82c-3d7a-4e98-aa6a-973bd3d78ebc">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='PERT' or not(@typeCode)">(activityEncounterINT): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11022']]]
Item: (activityEncounterINT)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11022']]]"
         id="tmp-7fb477f6-8e72-4b2a-8c92-5770fc7dee2e">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='PERT' or not(@typeCode)">(activityEncounterINT): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11023']]]
Item: (activityEncounterINT)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11023']]]"
         id="tmp-40f7ff3f-904a-461b-a68f-c89cf8aa9f1b">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='PERT' or not(@typeCode)">(activityEncounterINT): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11024']]]
Item: (activityEncounterINT)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11024']]]"
         id="tmp-5f455784-871c-4d35-8912-878fd89d16ee">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='PERT' or not(@typeCode)">(activityEncounterINT): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11025']]]
Item: (activityEncounterINT)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11025']]]"
         id="tmp-05e5765e-d51c-4e34-9f5a-2953d310f8dd">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='PERT' or not(@typeCode)">(activityEncounterINT): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11026']]]
Item: (activityEncounterINT)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11026']]]"
         id="tmp-4f444238-80f8-4f30-8a60-005c69fc516f">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='PERT' or not(@typeCode)">(activityEncounterINT): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11027']]]
Item: (activityEncounterINT)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11027']]]"
         id="tmp-6f2f37f3-77c2-468b-8c0d-f2b371ed4ad1">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='PERT' or not(@typeCode)">(activityEncounterINT): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11030']]]
Item: (activityEncounterINT)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11030']]]"
         id="tmp-fed70b9b-986b-48d6-99d4-5bc666764a39">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='PERT' or not(@typeCode)">(activityEncounterINT): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11031']]]
Item: (activityEncounterINT)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11031']]]"
         id="tmp-5180b8f3-5950-466a-b34c-1db3ddf154e9">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='PERT' or not(@typeCode)">(activityEncounterINT): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11032']]]
Item: (activityEncounterINT)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11032']]]"
         id="tmp-8cda3f30-103c-41d4-b45a-c6ee05770146">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='PERT' or not(@typeCode)">(activityEncounterINT): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11034']]]
Item: (activityEncounterINT)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11034']]]"
         id="tmp-ea804599-11ec-42bc-a2fc-ce4daa70c14b">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='PERT' or not(@typeCode)">(activityEncounterINT): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11038']]]
Item: (activityEncounterINT)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11038']]]"
         id="tmp-c637206d-6eb0-4ac7-ab17-832dd2c825b1">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='PERT' or not(@typeCode)">(activityEncounterINT): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11039']]]
Item: (activityEncounterINT)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11039']]]"
         id="tmp-b077ce75-2a99-44b5-b9d3-26ceaa2bf8ab">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='PERT' or not(@typeCode)">(activityEncounterINT): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11040']]]
Item: (activityEncounterINT)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11040']]]"
         id="tmp-e45482d9-855d-4d50-bd0a-ad92b97d43d3">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='PERT' or not(@typeCode)">(activityEncounterINT): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11042']]]
Item: (activityEncounterINT)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11042']]]"
         id="tmp-ae8567fe-397b-4e83-bbe4-2b57dc7b9374">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='PERT' or not(@typeCode)">(activityEncounterINT): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11043']]]
Item: (activityEncounterINT)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11043']]]"
         id="tmp-1e9c69e0-f3b5-412a-b2b0-d88afa554968">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='PERT' or not(@typeCode)">(activityEncounterINT): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11054']]]
Item: (activityEncounterINT)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11054']]]"
         id="tmp-fc5e33e0-4fc4-4a31-aa2f-f56f0f4d275b">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='PERT' or not(@typeCode)">(activityEncounterINT): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11045']]]
Item: (activityEncounterINT)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11045']]]"
         id="tmp-ee01c18e-9a33-4fc4-848f-2b6127b6f5a7">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='PERT' or not(@typeCode)">(activityEncounterINT): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11049']]]
Item: (activityEncounterINT)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11049']]]"
         id="tmp-7eb0c54e-414d-4cb6-9705-8177d3a469a4">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='PERT' or not(@typeCode)">(activityEncounterINT): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:component1
Item: (activityEncounterINT)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:component1"
         id="tmp-c9592609-2d3b-4c16-9d83-2be6b7295acc">
      <extends rule="tmp-cda2c802-7716-4bb8-b9f7-099a324f02f4"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='COMP' or not(@typeCode)">(activityEncounterINT): de waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']
Item: (activitiesComponent1NonBDSData)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:component1
Item: (activitiesComponent1NonBDSData)
-->
<rule id="tmp-cda2c802-7716-4bb8-b9f7-099a324f02f4" abstract="true">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:nonBDSData)&gt;=1 and not(hl7:nonBDSData/@nullFlavor)">(activitiesComponent1NonBDSData): element hl7:nonBDSData is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:nonBDSData)&lt;=1">(activitiesComponent1NonBDSData): element hl7:nonBDSData komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:component1/hl7:nonBDSData
Item: (activitiesComponent1NonBDSData)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:component1/hl7:nonBDSData"
         id="tmp-82ff62fd-9625-4fce-9063-d13142eda980">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='OBS' or not(@classCode)">(activitiesComponent1NonBDSData): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@moodCode='EVN' or not(@moodCode)">(activitiesComponent1NonBDSData): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 ">(activitiesComponent1NonBDSData): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">(activitiesComponent1NonBDSData): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(activitiesComponent1NonBDSData): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:value)&lt;=1">(activitiesComponent1NonBDSData): element hl7:value komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:pertainsTo)&lt;=1">(activitiesComponent1NonBDSData): element hl7:pertainsTo komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:component1/hl7:nonBDSData/hl7:code
Item: (activitiesComponent1NonBDSData)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:component1/hl7:nonBDSData/hl7:code"
         id="tmp-36b4d1ca-ba46-4d69-aabb-47ec34e33807">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor='OTH' or not(@nullFlavor)">(activitiesComponent1NonBDSData): de waarde van @nullFlavor MOET 'OTH' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:originalText)&lt;=1">(activitiesComponent1NonBDSData): element hl7:originalText komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:component1/hl7:nonBDSData/hl7:code/hl7:originalText
Item: (activitiesComponent1NonBDSData)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:component1/hl7:nonBDSData/hl7:code/hl7:originalText"
         id="tmp-dc73b3e9-8c6d-4eb1-9919-640e92d8da02">
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:component1/hl7:nonBDSData/hl7:value
Item: (activitiesComponent1NonBDSData)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:component1/hl7:nonBDSData/hl7:value"
         id="tmp-7dcc09a8-8477-48f5-af68-84662b48cb54">
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:component1/hl7:nonBDSData/hl7:pertainsTo
Item: (activitiesComponent1NonBDSData)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:component1/hl7:nonBDSData/hl7:pertainsTo"
         id="tmp-9f381c64-1e21-43ea-bca2-f319d80d4601">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='COMP' or not(@typeCode)">(activitiesComponent1NonBDSData): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:categoryInBDS)&gt;=1 and not(hl7:categoryInBDS/@nullFlavor)">(activitiesComponent1NonBDSData): element hl7:categoryInBDS is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:categoryInBDS)&lt;=1">(activitiesComponent1NonBDSData): element hl7:categoryInBDS komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:component1/hl7:nonBDSData/hl7:pertainsTo/hl7:categoryInBDS
Item: (activitiesComponent1NonBDSData)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:component1/hl7:nonBDSData/hl7:pertainsTo/hl7:categoryInBDS"
         id="tmp-eecaec48-37ef-42c0-ad4d-4d5305dd372e">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='CATEGORY' or not(@classCode)">(activitiesComponent1NonBDSData): de waarde van @classCode MOET 'CATEGORY' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@moodCode='EVN' or not(@moodCode)">(activitiesComponent1NonBDSData): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesComponent1NonBDSData): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">(activitiesComponent1NonBDSData): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:component1/hl7:nonBDSData/hl7:pertainsTo/hl7:categoryInBDS/hl7:code
Item: (activitiesComponent1NonBDSData)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:component1/hl7:nonBDSData/hl7:pertainsTo/hl7:categoryInBDS/hl7:code"
         id="tmp-882f8942-f06a-4e0b-b9fa-eb0d912439ef">
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-W0639_HL7_LongitudinaleGegevens-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-W0639_HL7_LongitudinaleGegevens-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(activitiesComponent1NonBDSData): de waarde van @code MOET worden gekozen uit waardenlijst W0639_HL7_LongitudinaleGegevens W0639 RubriekID longitudinale gegevens DYNAMIC.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(activitiesComponent1NonBDSData): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0639_HL7_LongitudinaleGegevens W0639 RubriekID longitudinale gegevens DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:component2
Item: (activityEncounterINT)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:component2"
         id="tmp-643045a1-731c-4f61-b6c9-864f0326c934">
      <extends rule="tmp-111471ba-4c5a-4f5d-a03a-a701d9a27761"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='COMP' or not(@typeCode)">(activityEncounterINT): de waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']
Item: (activitiesComponent2MetaData)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:component2
Item: (activitiesComponent2MetaData)
-->
<rule id="tmp-111471ba-4c5a-4f5d-a03a-a701d9a27761" abstract="true">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:metaData)&gt;=1 and not(hl7:metaData/@nullFlavor)">(activitiesComponent2MetaData): element hl7:metaData is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:metaData)&lt;=1">(activitiesComponent2MetaData): element hl7:metaData komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:component2/hl7:metaData
Item: (activitiesComponent2MetaData)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:component2/hl7:metaData"
         id="tmp-97aef9fb-aadd-46cc-99ea-7e37a9807fc6">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='OBS' or not(@classCode)">(activitiesComponent2MetaData): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@moodCode='EVN' or not(@moodCode)">(activitiesComponent2MetaData): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesComponent2MetaData): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">(activitiesComponent2MetaData): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:value)&gt;=1 ">(activitiesComponent2MetaData): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:value)&lt;=1">(activitiesComponent2MetaData): element hl7:value komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:pertainsTo)&lt;=1">(activitiesComponent2MetaData): element hl7:pertainsTo komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:component2/hl7:metaData/hl7:code
Item: (activitiesComponent2MetaData)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:component2/hl7:metaData/hl7:code"
         id="tmp-e9836902-77a0-46f5-93b5-5fb5de970666">
      <let name="theValue" value="@value"/>
      <assert role="error" test="@displayName or not(@code)">(activitiesComponent2MetaData): 
                        <name path=".."/>/<name/>/@displayName MOET een waarde bevatten</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:component2/hl7:metaData/hl7:value
Item: (activitiesComponent2MetaData)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:component2/hl7:metaData/hl7:value"
         id="tmp-1c202843-c284-41d9-9ec8-1082c145ce7f">
      <assert role="error" test="@displayName or not(@code)">(activitiesComponent2MetaData): 
                        <name path=".."/>/<name/>/@displayName MOET een waarde bevatten als het gecodeerde gegevens betreft</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:component2/hl7:metaData/hl7:pertainsTo
Item: (activitiesComponent2MetaData)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:component2/hl7:metaData/hl7:pertainsTo"
         id="tmp-99efc196-e8c6-4c7f-955c-566f8fe59ba0">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='COMP' or not(@typeCode)">(activitiesComponent2MetaData): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:categoryInBDS)&gt;=1 and not(hl7:categoryInBDS/@nullFlavor)">(activitiesComponent2MetaData): element hl7:categoryInBDS is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:categoryInBDS)&lt;=1">(activitiesComponent2MetaData): element hl7:categoryInBDS komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:component2/hl7:metaData/hl7:pertainsTo/hl7:categoryInBDS
Item: (activitiesComponent2MetaData)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:component2/hl7:metaData/hl7:pertainsTo/hl7:categoryInBDS"
         id="tmp-159a622e-161e-440c-acfd-27e730f15973">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='CATEGORY' or not(@classCode)">(activitiesComponent2MetaData): de waarde van @classCode MOET 'CATEGORY' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@moodCode='EVN' or not(@moodCode)">(activitiesComponent2MetaData): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesComponent2MetaData): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">(activitiesComponent2MetaData): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:component2/hl7:metaData/hl7:pertainsTo/hl7:categoryInBDS/hl7:code
Item: (activitiesComponent2MetaData)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:component2/hl7:metaData/hl7:pertainsTo/hl7:categoryInBDS/hl7:code"
         id="tmp-d0c83ab1-c5ba-44a3-b051-0e1883b44254">
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-W0639_HL7_LongitudinaleGegevens-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), (document('include/voc-W0646_HL7_LongitudinaleGegevens-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), (document('include/voc-W0647_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-W0639_HL7_LongitudinaleGegevens-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), (document('include/voc-W0646_HL7_LongitudinaleGegevens-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), (document('include/voc-W0647_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(activitiesComponent2MetaData): de waarde van @code MOET worden gekozen uit waardenlijst W0639_HL7_LongitudinaleGegevens W0639 RubriekID longitudinale gegevens of W0646_HL7_LongitudinaleGegevens W0646 GroepID longitudinale gegevens of W0647_HL7 W0647 BDS Elementen DYNAMIC.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(activitiesComponent2MetaData): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0639_HL7_LongitudinaleGegevens W0639 RubriekID longitudinale gegevens of W0646_HL7_LongitudinaleGegevens W0646 GroepID longitudinale gegevens of W0647_HL7 W0647 BDS Elementen DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:component3[hl7:substanceAdministrationEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.116']]]
Item: (activityEncounterINT)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:component3[hl7:substanceAdministrationEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.116']]]"
         id="tmp-03408e5a-5b9d-4156-ba21-59ef8708a6a0">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='COMP' or not(@typeCode)">(activityEncounterINT): de waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:component4[hl7:heelPrick[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.133']]]
Item: (activityEncounterINT)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:component4[hl7:heelPrick[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.133']]]"
         id="tmp-b882c037-1dc0-462b-aacd-d151b98fa218">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='COMP' or not(@typeCode)">(activityEncounterINT): de waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:component5[hl7:advice[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or @nullFlavor='OTH']]]
Item: (activityEncounterINT)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:component5[hl7:advice[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or @nullFlavor='OTH']]]"
         id="tmp-66278265-669c-465c-b9aa-ff749f801591">
      <extends rule="tmp-e1e04153-a23e-4e8a-af1a-9b64a2777000"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='COMP' or not(@typeCode)">(activityEncounterINT): de waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']
Item: (activitiesComponent5Advice)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:component5[hl7:advice[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or @nullFlavor='OTH']]]
Item: (activitiesComponent5Advice)
-->
<rule id="tmp-e1e04153-a23e-4e8a-af1a-9b64a2777000" abstract="true">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:advice)&gt;=1 and not(hl7:advice/@nullFlavor)">(activitiesComponent5Advice): element hl7:advice is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:advice)&lt;=1">(activitiesComponent5Advice): element hl7:advice komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:component5[hl7:advice[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or @nullFlavor='OTH']]]/hl7:advice
Item: (activitiesComponent5Advice)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:component5[hl7:advice[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or @nullFlavor='OTH']]]/hl7:advice"
         id="tmp-b9a54ead-b263-4765-94d7-2e13c5d64b1c">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='INFRM' or not(@classCode)">(activitiesComponent5Advice): de waarde van @classCode MOET 'INFRM' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@moodCode='EVN' or not(@moodCode)">(activitiesComponent5Advice): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 ">(activitiesComponent5Advice): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">(activitiesComponent5Advice): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:component5[hl7:advice[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or @nullFlavor='OTH']]]/hl7:advice/hl7:code
Item: (activitiesComponent5Advice)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:component5[hl7:advice[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or @nullFlavor='OTH']]]/hl7:advice/hl7:code"
         id="tmp-96a2469d-dd85-4cc1-b1b4-59a608448d49">
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-W0308_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-W0308_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(activitiesComponent5Advice): de waarde van @code MOET worden gekozen uit waardenlijst W0308_HL7 W0308 Gegeven voorlichting (HL7) DYNAMIC.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(activitiesComponent5Advice): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0308_HL7 W0308 Gegeven voorlichting (HL7) DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:component5[hl7:advice[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or @nullFlavor='OTH']]]/hl7:advice/hl7:component
Item: (activitiesComponent5Advice)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:component5[hl7:advice[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or @nullFlavor='OTH']]]/hl7:advice/hl7:component"
         id="tmp-fafa8ef7-732e-4b82-99b8-7c17c918bba5">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='COMP' or not(@typeCode)">(activitiesComponent5Advice): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:act)&gt;=1 and not(hl7:act/@nullFlavor)">(activitiesComponent5Advice): element hl7:act is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:act)&lt;=1">(activitiesComponent5Advice): element hl7:act komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:component5[hl7:advice[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or @nullFlavor='OTH']]]/hl7:advice/hl7:component/hl7:act
Item: (activitiesComponent5Advice)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:component5[hl7:advice[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or @nullFlavor='OTH']]]/hl7:advice/hl7:component/hl7:act"
         id="tmp-51677833-0b67-42a7-83b7-dc92dda1695e">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='ACT' or not(@classCode)">(activitiesComponent5Advice): de waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@moodCode='EVN' or not(@moodCode)">(activitiesComponent5Advice): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesComponent5Advice): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">(activitiesComponent5Advice): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(activitiesComponent5Advice): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:text)&lt;=1">(activitiesComponent5Advice): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:component5[hl7:advice[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or @nullFlavor='OTH']]]/hl7:advice/hl7:component/hl7:act/hl7:code
Item: (activitiesComponent5Advice)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:component5[hl7:advice[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or @nullFlavor='OTH']]]/hl7:advice/hl7:component/hl7:act/hl7:code"
         id="tmp-8fa7b5d6-13ec-4762-8df0-abaf5ca74ec6">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or (@code='1157' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesComponent5Advice): de waarde van @code/@codeSystem MOET ''1157' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:component5[hl7:advice[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or @nullFlavor='OTH']]]/hl7:advice/hl7:component/hl7:act/hl7:text
Item: (activitiesComponent5Advice)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:component5[hl7:advice[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or @nullFlavor='OTH']]]/hl7:advice/hl7:component/hl7:act/hl7:text"
         id="tmp-add0b984-3ff0-4d82-9444-d6ce27918bde">
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:subjectOf
Item: (activityEncounterINT)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:subjectOf"
         id="tmp-fa673c61-404f-4fad-988a-f2862d07d8ec">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='SUBJ' or not(@typeCode)">(activityEncounterINT): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:abortedEvent)&gt;=1 and not(hl7:abortedEvent/@nullFlavor)">(activityEncounterINT): element hl7:abortedEvent is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:abortedEvent)&lt;=1">(activityEncounterINT): element hl7:abortedEvent komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:subjectOf/hl7:abortedEvent
Item: (activityEncounterINT)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:subjectOf/hl7:abortedEvent"
         id="tmp-fe8d788e-2623-4348-855a-d47f6148ed12">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='STC' or not(@classCode)">(activityEncounterINT): de waarde van @classCode MOET 'STC' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@moodCode='EVN' or not(@moodCode)">(activityEncounterINT): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 ">(activityEncounterINT): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">(activityEncounterINT): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:reasonCode)&gt;=1 and not(hl7:reasonCode/@nullFlavor)">(activityEncounterINT): element hl7:reasonCode is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:reasonCode)&lt;=1">(activityEncounterINT): element hl7:reasonCode komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:subjectOf/hl7:abortedEvent/hl7:code
Item: (activityEncounterINT)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:subjectOf/hl7:abortedEvent/hl7:code"
         id="tmp-636dff4d-b41f-43ec-8723-ce46d65df7d9">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or (@code='495' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activityEncounterINT): de waarde van @code/@codeSystem MOET ''495' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:subjectOf/hl7:abortedEvent/hl7:reasonCode
Item: (activityEncounterINT)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:subjectOf/hl7:abortedEvent/hl7:reasonCode"
         id="tmp-b802bc29-eaf2-40c7-a896-b2c53deb8638">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or (@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.309') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.309')">(activityEncounterINT): de waarde van @code MOET één van de volgende codes bevatten: '01' codeSystem '2.16.840.1.113883.2.4.4.40.309' of '03' codeSystem '2.16.840.1.113883.2.4.4.40.309'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (activityEncounterINT)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]"
         id="tmp-a5642da1-7876-4451-8b28-8a4c6206f4d3">
      <extends rule="tmp-84d4fd81-0378-4e87-b8a3-655d708be347"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='SUBJ' or not(@typeCode)">(activityEncounterINT): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']
Item: (activitiesSubjectOfConclusion)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (activitiesSubjectOfConclusion)
-->
<rule id="tmp-84d4fd81-0378-4e87-b8a3-655d708be347" abstract="true">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:conclusion)&lt;=1">(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion
Item: (activitiesSubjectOfConclusion)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion"
         id="tmp-af71ed4e-3b7d-48f7-ac0a-fdb7ce165a03">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@moodCode='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:text)&lt;=1">(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code"
         id="tmp-ff680c9c-b417-4d71-af92-99f10dbfd9a7">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text
Item: (activitiesSubjectOfConclusion)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text"
         id="tmp-80eaf479-db46-448e-850e-f0acdbc0bb32">
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component
Item: (activitiesSubjectOfConclusion)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component"
         id="tmp-71934229-d553-428a-8928-50ac049f2602">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='COMP' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:indication)&lt;=1">(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication
Item: (activitiesSubjectOfConclusion)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication"
         id="tmp-430edc71-4c6a-42f4-95d7-4d7b3bd29902">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@moodCode='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:value)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:value)&lt;=1">(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:reasonOf)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code"
         id="tmp-9f793d4b-2380-460b-9120-4890bb320358">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value
Item: (activitiesSubjectOfConclusion)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value"
         id="tmp-aca1ea0c-8264-4227-aa59-5de5b88b73b4">
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf
Item: (activitiesSubjectOfConclusion)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf"
         id="tmp-56c4bfb1-efdb-42ff-aa06-16527c2e67de">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='RSON' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.</assert>
      <let name="elmcount"
           value="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="$elmcount&gt;=1">(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="$elmcount&lt;=1">(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf
Item: (activitiesSubjectOfConclusion)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-0e8bc203-2a93-495b-8031-e26bce9e0e83">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@moodCode='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-3aed8ef2-011b-43b5-8fe5-6b8378cc69f0">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-3350b149-8ce5-4d02-9bc4-ad776b2f92b1">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='REG' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@moodCode='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-8edf8533-923c-44e8-8d39-68b0275bcbda">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-5d7a15b1-b855-416f-a767-6fe5f4434738">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@moodCode='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-66f710b8-aa5c-481d-a33f-4851ef2b5145">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-b5d536ce-ddf1-4da5-95ad-8b96f9e50268">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='PCPR' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@moodCode='RQO' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:performer)&lt;=1">(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-cde4915b-0e9c-4313-ad92-c8ca64b52895">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer
Item: (activitiesSubjectOfConclusion)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer"
         id="tmp-83b1df65-bf92-4b4c-b4e8-578737f562d9">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='PRF' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:assignedEntity)&lt;=1">(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity
Item: (activitiesSubjectOfConclusion)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity"
         id="tmp-f8a093c7-cc53-47eb-8d3c-f0ef728c2d40">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='ASSIGNED' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code"
         id="tmp-3bdcf311-a150-439a-969c-6e34f742d2b6">
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]"
         id="tmp-80fcd197-34c6-4b8d-8cc1-44072a7a7a3c">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='ACT' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@moodCode='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code"
         id="tmp-6e23b9fc-7e50-48e2-858e-b4c082222e10">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor='OTH'">(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:originalText)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:originalText)&lt;=1">(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText
Item: (activitiesSubjectOfConclusion)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText"
         id="tmp-49c645d9-5d5d-4be5-afb6-04d388dec72e">
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf
Item: (activitiesSubjectOfConclusion)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf"
         id="tmp-031d8793-8681-4aee-a16b-99b15074100c">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='SUBJ' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:annotation)&lt;=1">(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation
Item: (activitiesSubjectOfConclusion)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation"
         id="tmp-5fac2b8d-9813-44e8-a12e-da04f5b3dd5f">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='ACT' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@moodCode='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:text)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:text)&lt;=1">(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code"
         id="tmp-15759f0d-f061-4bff-afe6-3f5884734147">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text
Item: (activitiesSubjectOfConclusion)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text"
         id="tmp-891a1c75-202d-4570-9a72-253184e04a75">
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:subjectOf2
Item: (activityEncounterINT)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:subjectOf2"
         id="tmp-671c71ab-b859-41bf-aeee-1b73d2e50ead">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='SUBJ' or not(@typeCode)">(activityEncounterINT): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)">(activityEncounterINT): element hl7:annotation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:annotation)&lt;=1">(activityEncounterINT): element hl7:annotation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:subjectOf2/hl7:annotation
Item: (activityEncounterINT)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:subjectOf2/hl7:annotation"
         id="tmp-df7f7bcc-df8e-4359-a8ff-42584bff77b5">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 ">(activityEncounterINT): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">(activityEncounterINT): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(activityEncounterINT): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:text)&lt;=1">(activityEncounterINT): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:subjectOf2/hl7:annotation/hl7:code
Item: (activityEncounterINT)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:subjectOf2/hl7:annotation/hl7:code"
         id="tmp-2e06d014-70ee-479c-95af-1bb8dc3f102f">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activityEncounterINT): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:subjectOf2/hl7:annotation/hl7:text
Item: (activityEncounterINT)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:subjectOf2/hl7:annotation/hl7:text"
         id="tmp-5daa91f6-0a83-4a96-b083-1dc81de6c52e">
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity
Item: (activityNonEncounterCareActivity)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity"
         id="tmp-b74ea8d6-b9f1-4634-9475-9d542caf37d1">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='PCPR' or not(@classCode)">(activityNonEncounterCareActivity): de waarde van @classCode MOET 'PCPR' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@moodCode='EVN' or not(@moodCode)">(activityNonEncounterCareActivity): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:id)&lt;=1">(activityNonEncounterCareActivity): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 ">(activityNonEncounterCareActivity): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">(activityNonEncounterCareActivity): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:effectiveTime)&gt;=1 and not(hl7:effectiveTime/@nullFlavor)">(activityNonEncounterCareActivity): element hl7:effectiveTime is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:effectiveTime)&lt;=1">(activityNonEncounterCareActivity): element hl7:effectiveTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:performer)&lt;=1">(activityNonEncounterCareActivity): element hl7:performer komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:author)=0">(activityNonEncounterCareActivity): element hl7:author MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:consultant)&lt;=1">(activityNonEncounterCareActivity): element hl7:consultant komt te vaak voor [max 1x].</assert>
      <let name="elmcount"
           value="count(hl7:pertinentInformation|hl7:pertinentInformation|hl7:pertinentInformation|hl7:pertinentInformation|hl7:pertinentInformation|hl7:pertinentInformation|hl7:pertinentInformation|hl7:pertinentInformation|hl7:pertinentInformation|hl7:pertinentInformation|hl7:pertinentInformation|hl7:pertinentInformation|hl7:pertinentInformation|hl7:pertinentInformation|hl7:pertinentInformation|hl7:pertinentInformation|hl7:pertinentInformation|hl7:pertinentInformation|hl7:pertinentInformation|hl7:pertinentInformation|hl7:pertinentInformation|hl7:pertinentInformation|hl7:pertinentInformation|hl7:pertinentInformation)"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1">(activityNonEncounterCareActivity): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:id
Item: (activityNonEncounterCareActivity)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:id"
         id="tmp-56a4947b-e0c6-43f3-9625-8d59965c9314">
      <let name="theValue" value="@value"/>
      <assert role="error" test="@root and @extension">(activityNonEncounterCareActivity): 
                        <name path=".."/>/<name/> MOET een waarde in @root en @extension hebben.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:code
Item: (activityNonEncounterCareActivity)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:code"
         id="tmp-fd869368-ad4a-4491-97bd-8b427baa2b61">
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-W0188_HL7_Activiteiten-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-W0188_HL7_Activiteiten-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(activityNonEncounterCareActivity): de waarde van @code MOET worden gekozen uit waardenlijst W0188_HL7_Activiteiten W0188 Soort activiteit (HL7) DYNAMIC.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(activityNonEncounterCareActivity): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0188_HL7_Activiteiten W0188 Soort activiteit (HL7) DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:effectiveTime
Item: (activityNonEncounterCareActivity)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:effectiveTime"
         id="tmp-fa970082-d6da-443c-9d4c-66ba43ecf70d">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:performer
Item: (activitiesPerformer)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:performer"
         id="tmp-78ddf6f8-752b-41a1-a3e3-2989c092ab90">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='PRF' or not(@typeCode)">(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)">(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:assignedEntity)&lt;=1">(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:performer/hl7:assignedEntity
Item: (activitiesPerformer)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:performer/hl7:assignedEntity"
         id="tmp-c0bc2a61-0d83-4723-80f5-959e0bb8c3aa">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(activitiesPerformer): element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:id)&lt;=1">(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:performer/hl7:assignedEntity/hl7:id
Item: (activitiesPerformer)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:performer/hl7:assignedEntity/hl7:id"
         id="tmp-a3d5c9ad-2b58-428c-ac85-d3e1d603f2bd">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:author
Item: (activityNonEncounterCareActivity)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:consultant
Item: (activitiesConsultant)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:consultant"
         id="tmp-42d34524-3c01-4533-910a-f9c688541b28">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='CON' or not(@typeCode)">(activitiesConsultant): de waarde van @typeCode MOET 'CON' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)">(activitiesConsultant): element hl7:assignedEntity is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:assignedEntity)&lt;=1">(activitiesConsultant): element hl7:assignedEntity komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:consultant/hl7:assignedEntity
Item: (activitiesConsultant)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:consultant/hl7:assignedEntity"
         id="tmp-4ce65f88-1dd8-48c9-ae0e-a4b269149c58">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='ASSIGNED' or not(@classCode)">(activitiesConsultant): de waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 ">(activitiesConsultant): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">(activitiesConsultant): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:consultant/hl7:assignedEntity/hl7:code
Item: (activitiesConsultant)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:consultant/hl7:assignedEntity/hl7:code"
         id="tmp-fd73fd22-8710-4b5c-9b2f-7e5a4118b906">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor='OTH'">(activitiesConsultant): de waarde van @nullFlavor MOET 'OTH' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:originalText)&gt;=1 and not(hl7:originalText/@nullFlavor)">(activitiesConsultant): element hl7:originalText is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:originalText)&lt;=1">(activitiesConsultant): element hl7:originalText komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:consultant/hl7:assignedEntity/hl7:code/hl7:originalText
Item: (activitiesConsultant)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:consultant/hl7:assignedEntity/hl7:code/hl7:originalText"
         id="tmp-2377b482-d935-485f-8569-fb1dd67f0dbc">
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity
Item: (activityNonEncounterCareActivity)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11012']]]
Item: (activityNonEncounterCareActivity)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11012']]]"
         id="tmp-a86b4a94-fee2-44e6-8368-b3ccb2b9096f">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='PERT' or not(@typeCode)">(activityNonEncounterCareActivity): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11013']]]
Item: (activityNonEncounterCareActivity)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11013']]]"
         id="tmp-1364ca96-e438-4802-9204-a534c9092332">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='PERT' or not(@typeCode)">(activityNonEncounterCareActivity): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11052']]]
Item: (activityNonEncounterCareActivity)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11052']]]"
         id="tmp-b62e8cf5-764d-4a7a-99cc-75a17fc2547d">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='PERT' or not(@typeCode)">(activityNonEncounterCareActivity): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11019']]]
Item: (activityNonEncounterCareActivity)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11019']]]"
         id="tmp-ad9347bf-9429-4b6d-9f41-5abc77c6f1b7">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='PERT' or not(@typeCode)">(activityNonEncounterCareActivity): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11020']]]
Item: (activityNonEncounterCareActivity)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11020']]]"
         id="tmp-2f439865-6168-490f-ba7b-dbf149fc669e">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='PERT' or not(@typeCode)">(activityNonEncounterCareActivity): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11021']]]
Item: (activityNonEncounterCareActivity)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11021']]]"
         id="tmp-4f2ea3af-e9c9-48e5-8cac-83b9c538da1c">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='PERT' or not(@typeCode)">(activityNonEncounterCareActivity): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11022']]]
Item: (activityNonEncounterCareActivity)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11022']]]"
         id="tmp-f3e54225-1ab9-44f7-a3d7-e0920cdac9b5">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='PERT' or not(@typeCode)">(activityNonEncounterCareActivity): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11023']]]
Item: (activityNonEncounterCareActivity)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11023']]]"
         id="tmp-b31034e1-def4-409e-b1ee-f484257bcbd6">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='PERT' or not(@typeCode)">(activityNonEncounterCareActivity): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11024']]]
Item: (activityNonEncounterCareActivity)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11024']]]"
         id="tmp-4562a768-af06-4606-981d-43d09e95ca94">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='PERT' or not(@typeCode)">(activityNonEncounterCareActivity): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11025']]]
Item: (activityNonEncounterCareActivity)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11025']]]"
         id="tmp-070f49fe-ff88-4474-b25c-1ed2d4ea4541">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='PERT' or not(@typeCode)">(activityNonEncounterCareActivity): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11026']]]
Item: (activityNonEncounterCareActivity)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11026']]]"
         id="tmp-8e38d430-0069-45ac-b5e3-1d5b39722698">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='PERT' or not(@typeCode)">(activityNonEncounterCareActivity): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11027']]]
Item: (activityNonEncounterCareActivity)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11027']]]"
         id="tmp-0be7c1ff-605d-4f33-ad25-15930d04d0a3">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='PERT' or not(@typeCode)">(activityNonEncounterCareActivity): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11030']]]
Item: (activityNonEncounterCareActivity)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11030']]]"
         id="tmp-b6970a32-f4bc-48ad-9e53-720e1e471e12">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='PERT' or not(@typeCode)">(activityNonEncounterCareActivity): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11031']]]
Item: (activityNonEncounterCareActivity)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11031']]]"
         id="tmp-d79cfb78-7d9e-47c4-b394-8f9a5e9d0e5c">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='PERT' or not(@typeCode)">(activityNonEncounterCareActivity): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11032']]]
Item: (activityNonEncounterCareActivity)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11032']]]"
         id="tmp-bca6b0c7-6292-440e-8af5-055e7985b8e0">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='PERT' or not(@typeCode)">(activityNonEncounterCareActivity): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11034']]]
Item: (activityNonEncounterCareActivity)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11034']]]"
         id="tmp-7314ea40-5357-4169-b4be-947d22e79191">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='PERT' or not(@typeCode)">(activityNonEncounterCareActivity): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11038']]]
Item: (activityNonEncounterCareActivity)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11038']]]"
         id="tmp-d21ca51a-0c67-4358-9c84-8150962d22b7">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='PERT' or not(@typeCode)">(activityNonEncounterCareActivity): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11039']]]
Item: (activityNonEncounterCareActivity)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11039']]]"
         id="tmp-25d1853a-e1a1-4d98-8dac-3d9908d84668">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='PERT' or not(@typeCode)">(activityNonEncounterCareActivity): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11040']]]
Item: (activityNonEncounterCareActivity)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11040']]]"
         id="tmp-f3e64ad5-ab48-4325-b514-7c97bff8a3fd">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='PERT' or not(@typeCode)">(activityNonEncounterCareActivity): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11042']]]
Item: (activityNonEncounterCareActivity)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11042']]]"
         id="tmp-a6b30bea-b92c-4e90-bab1-74ba78904ec6">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='PERT' or not(@typeCode)">(activityNonEncounterCareActivity): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11043']]]
Item: (activityNonEncounterCareActivity)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11043']]]"
         id="tmp-a609b8ec-cdf3-472c-bcd1-805c70cb16e6">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='PERT' or not(@typeCode)">(activityNonEncounterCareActivity): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11054']]]
Item: (activityNonEncounterCareActivity)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11054']]]"
         id="tmp-12f0aaff-5bed-4db1-bf53-c85b293edac4">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='PERT' or not(@typeCode)">(activityNonEncounterCareActivity): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11045']]]
Item: (activityNonEncounterCareActivity)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11045']]]"
         id="tmp-a75942d2-c00e-4107-b131-1e3ae6c56d0e">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='PERT' or not(@typeCode)">(activityNonEncounterCareActivity): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11049']]]
Item: (activityNonEncounterCareActivity)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11049']]]"
         id="tmp-f948dc07-737a-49e5-9323-aa689aed09f0">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='PERT' or not(@typeCode)">(activityNonEncounterCareActivity): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:component1
Item: (activityNonEncounterCareActivity)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:component1"
         id="tmp-110f70a8-7d83-47e5-9e1b-421d830b5626">
      <extends rule="tmp-873df7f0-ee52-46a3-8aa7-598ebc0379cf"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='COMP' or not(@typeCode)">(activityNonEncounterCareActivity): de waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity
Item: (activitiesComponent1NonBDSData)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:component1
Item: (activitiesComponent1NonBDSData)
-->
<rule id="tmp-873df7f0-ee52-46a3-8aa7-598ebc0379cf" abstract="true">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:nonBDSData)&gt;=1 and not(hl7:nonBDSData/@nullFlavor)">(activitiesComponent1NonBDSData): element hl7:nonBDSData is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:nonBDSData)&lt;=1">(activitiesComponent1NonBDSData): element hl7:nonBDSData komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:component1/hl7:nonBDSData
Item: (activitiesComponent1NonBDSData)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:component1/hl7:nonBDSData"
         id="tmp-66cefa29-2373-4551-92f6-7e617ba68580">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='OBS' or not(@classCode)">(activitiesComponent1NonBDSData): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@moodCode='EVN' or not(@moodCode)">(activitiesComponent1NonBDSData): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 ">(activitiesComponent1NonBDSData): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">(activitiesComponent1NonBDSData): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(activitiesComponent1NonBDSData): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:value)&lt;=1">(activitiesComponent1NonBDSData): element hl7:value komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:pertainsTo)&lt;=1">(activitiesComponent1NonBDSData): element hl7:pertainsTo komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:component1/hl7:nonBDSData/hl7:code
Item: (activitiesComponent1NonBDSData)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:component1/hl7:nonBDSData/hl7:code"
         id="tmp-dba3d1c5-b064-482a-8d73-70f6fda7f94a">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor='OTH' or not(@nullFlavor)">(activitiesComponent1NonBDSData): de waarde van @nullFlavor MOET 'OTH' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:originalText)&lt;=1">(activitiesComponent1NonBDSData): element hl7:originalText komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:component1/hl7:nonBDSData/hl7:code/hl7:originalText
Item: (activitiesComponent1NonBDSData)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:component1/hl7:nonBDSData/hl7:code/hl7:originalText"
         id="tmp-c783b5fb-c80a-4c62-a163-b56218cb4398">
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:component1/hl7:nonBDSData/hl7:value
Item: (activitiesComponent1NonBDSData)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:component1/hl7:nonBDSData/hl7:value"
         id="tmp-f6e65473-519f-4530-b308-82ffe8dbbacb">
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:component1/hl7:nonBDSData/hl7:pertainsTo
Item: (activitiesComponent1NonBDSData)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:component1/hl7:nonBDSData/hl7:pertainsTo"
         id="tmp-d214f30a-02f5-46f6-bdc7-3015a6508d70">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='COMP' or not(@typeCode)">(activitiesComponent1NonBDSData): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:categoryInBDS)&gt;=1 and not(hl7:categoryInBDS/@nullFlavor)">(activitiesComponent1NonBDSData): element hl7:categoryInBDS is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:categoryInBDS)&lt;=1">(activitiesComponent1NonBDSData): element hl7:categoryInBDS komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:component1/hl7:nonBDSData/hl7:pertainsTo/hl7:categoryInBDS
Item: (activitiesComponent1NonBDSData)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:component1/hl7:nonBDSData/hl7:pertainsTo/hl7:categoryInBDS"
         id="tmp-dbdcf4e1-6948-4191-b795-7b406bf97a8c">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='CATEGORY' or not(@classCode)">(activitiesComponent1NonBDSData): de waarde van @classCode MOET 'CATEGORY' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@moodCode='EVN' or not(@moodCode)">(activitiesComponent1NonBDSData): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesComponent1NonBDSData): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">(activitiesComponent1NonBDSData): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:component1/hl7:nonBDSData/hl7:pertainsTo/hl7:categoryInBDS/hl7:code
Item: (activitiesComponent1NonBDSData)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:component1/hl7:nonBDSData/hl7:pertainsTo/hl7:categoryInBDS/hl7:code"
         id="tmp-8bd603af-5f26-44f0-87ab-ac0291dca8c9">
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-W0639_HL7_LongitudinaleGegevens-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-W0639_HL7_LongitudinaleGegevens-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(activitiesComponent1NonBDSData): de waarde van @code MOET worden gekozen uit waardenlijst W0639_HL7_LongitudinaleGegevens W0639 RubriekID longitudinale gegevens DYNAMIC.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(activitiesComponent1NonBDSData): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0639_HL7_LongitudinaleGegevens W0639 RubriekID longitudinale gegevens DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:component2
Item: (activityNonEncounterCareActivity)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:component2"
         id="tmp-e69fcc8e-b107-4b1e-aeb8-484d836f7934">
      <extends rule="tmp-acf4bc2d-dcb2-401e-9bfd-2b2a0011e733"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='COMP' or not(@typeCode)">(activityNonEncounterCareActivity): de waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity
Item: (activitiesComponent2MetaData)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:component2
Item: (activitiesComponent2MetaData)
-->
<rule id="tmp-acf4bc2d-dcb2-401e-9bfd-2b2a0011e733" abstract="true">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:metaData)&gt;=1 and not(hl7:metaData/@nullFlavor)">(activitiesComponent2MetaData): element hl7:metaData is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:metaData)&lt;=1">(activitiesComponent2MetaData): element hl7:metaData komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:component2/hl7:metaData
Item: (activitiesComponent2MetaData)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:component2/hl7:metaData"
         id="tmp-48c27562-4d7b-4e6a-b8cf-c72cedeea9d7">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='OBS' or not(@classCode)">(activitiesComponent2MetaData): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@moodCode='EVN' or not(@moodCode)">(activitiesComponent2MetaData): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesComponent2MetaData): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">(activitiesComponent2MetaData): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:value)&gt;=1 ">(activitiesComponent2MetaData): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:value)&lt;=1">(activitiesComponent2MetaData): element hl7:value komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:pertainsTo)&lt;=1">(activitiesComponent2MetaData): element hl7:pertainsTo komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:component2/hl7:metaData/hl7:code
Item: (activitiesComponent2MetaData)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:component2/hl7:metaData/hl7:code"
         id="tmp-8bfc3b07-79c3-4765-be4c-42e58dc231ee">
      <let name="theValue" value="@value"/>
      <assert role="error" test="@displayName or not(@code)">(activitiesComponent2MetaData): 
                        <name path=".."/>/<name/>/@displayName MOET een waarde bevatten</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:component2/hl7:metaData/hl7:value
Item: (activitiesComponent2MetaData)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:component2/hl7:metaData/hl7:value"
         id="tmp-24e62588-36fa-4b28-85e1-3952f35928ae">
      <assert role="error" test="@displayName or not(@code)">(activitiesComponent2MetaData): 
                        <name path=".."/>/<name/>/@displayName MOET een waarde bevatten als het gecodeerde gegevens betreft</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:component2/hl7:metaData/hl7:pertainsTo
Item: (activitiesComponent2MetaData)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:component2/hl7:metaData/hl7:pertainsTo"
         id="tmp-fdfd0b4d-445e-4202-8624-68fdaec10c61">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='COMP' or not(@typeCode)">(activitiesComponent2MetaData): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:categoryInBDS)&gt;=1 and not(hl7:categoryInBDS/@nullFlavor)">(activitiesComponent2MetaData): element hl7:categoryInBDS is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:categoryInBDS)&lt;=1">(activitiesComponent2MetaData): element hl7:categoryInBDS komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:component2/hl7:metaData/hl7:pertainsTo/hl7:categoryInBDS
Item: (activitiesComponent2MetaData)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:component2/hl7:metaData/hl7:pertainsTo/hl7:categoryInBDS"
         id="tmp-03654bd0-3d31-49e4-8856-880aa68bc9c7">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='CATEGORY' or not(@classCode)">(activitiesComponent2MetaData): de waarde van @classCode MOET 'CATEGORY' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@moodCode='EVN' or not(@moodCode)">(activitiesComponent2MetaData): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesComponent2MetaData): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">(activitiesComponent2MetaData): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:component2/hl7:metaData/hl7:pertainsTo/hl7:categoryInBDS/hl7:code
Item: (activitiesComponent2MetaData)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:component2/hl7:metaData/hl7:pertainsTo/hl7:categoryInBDS/hl7:code"
         id="tmp-6662377b-ba89-463a-8171-75997b732e87">
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-W0639_HL7_LongitudinaleGegevens-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), (document('include/voc-W0646_HL7_LongitudinaleGegevens-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), (document('include/voc-W0647_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-W0639_HL7_LongitudinaleGegevens-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), (document('include/voc-W0646_HL7_LongitudinaleGegevens-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), (document('include/voc-W0647_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(activitiesComponent2MetaData): de waarde van @code MOET worden gekozen uit waardenlijst W0639_HL7_LongitudinaleGegevens W0639 RubriekID longitudinale gegevens of W0646_HL7_LongitudinaleGegevens W0646 GroepID longitudinale gegevens of W0647_HL7 W0647 BDS Elementen DYNAMIC.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(activitiesComponent2MetaData): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0639_HL7_LongitudinaleGegevens W0639 RubriekID longitudinale gegevens of W0646_HL7_LongitudinaleGegevens W0646 GroepID longitudinale gegevens of W0647_HL7 W0647 BDS Elementen DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:component3[hl7:substanceAdministrationEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.116']]]
Item: (activityNonEncounterCareActivity)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:component3[hl7:substanceAdministrationEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.116']]]"
         id="tmp-20f3fee9-53d4-43ab-b379-0426848715ad">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='COMP' or not(@typeCode)">(activityNonEncounterCareActivity): de waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:component4[hl7:heelPrick[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.133']]]
Item: (activityNonEncounterCareActivity)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:component4[hl7:heelPrick[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.133']]]"
         id="tmp-bf7f9162-8579-44ad-b36a-4d97f4ee5c24">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='COMP' or not(@typeCode)">(activityNonEncounterCareActivity): de waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:component5[hl7:advice[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or @nullFlavor='OTH']]]
Item: (activityNonEncounterCareActivity)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:component5[hl7:advice[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or @nullFlavor='OTH']]]"
         id="tmp-0e38c858-e027-45cc-a249-8a4fe967c121">
      <extends rule="tmp-8b74b4aa-481f-4cdc-917a-854d8a0406aa"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='COMP' or not(@typeCode)">(activityNonEncounterCareActivity): de waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity
Item: (activitiesComponent5Advice)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:component5[hl7:advice[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or @nullFlavor='OTH']]]
Item: (activitiesComponent5Advice)
-->
<rule id="tmp-8b74b4aa-481f-4cdc-917a-854d8a0406aa" abstract="true">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:advice)&gt;=1 and not(hl7:advice/@nullFlavor)">(activitiesComponent5Advice): element hl7:advice is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:advice)&lt;=1">(activitiesComponent5Advice): element hl7:advice komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:component5[hl7:advice[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or @nullFlavor='OTH']]]/hl7:advice
Item: (activitiesComponent5Advice)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:component5[hl7:advice[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or @nullFlavor='OTH']]]/hl7:advice"
         id="tmp-455aabbf-306f-4891-8d42-20f5008bc94d">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='INFRM' or not(@classCode)">(activitiesComponent5Advice): de waarde van @classCode MOET 'INFRM' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@moodCode='EVN' or not(@moodCode)">(activitiesComponent5Advice): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 ">(activitiesComponent5Advice): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">(activitiesComponent5Advice): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:component5[hl7:advice[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or @nullFlavor='OTH']]]/hl7:advice/hl7:code
Item: (activitiesComponent5Advice)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:component5[hl7:advice[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or @nullFlavor='OTH']]]/hl7:advice/hl7:code"
         id="tmp-8fddda04-eabb-4174-a63a-e24fd68f2cbd">
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-W0308_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-W0308_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(activitiesComponent5Advice): de waarde van @code MOET worden gekozen uit waardenlijst W0308_HL7 W0308 Gegeven voorlichting (HL7) DYNAMIC.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(activitiesComponent5Advice): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0308_HL7 W0308 Gegeven voorlichting (HL7) DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:component5[hl7:advice[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or @nullFlavor='OTH']]]/hl7:advice/hl7:component
Item: (activitiesComponent5Advice)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:component5[hl7:advice[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or @nullFlavor='OTH']]]/hl7:advice/hl7:component"
         id="tmp-ba55a875-7c72-429a-a835-b1d63b00e0e7">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='COMP' or not(@typeCode)">(activitiesComponent5Advice): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:act)&gt;=1 and not(hl7:act/@nullFlavor)">(activitiesComponent5Advice): element hl7:act is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:act)&lt;=1">(activitiesComponent5Advice): element hl7:act komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:component5[hl7:advice[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or @nullFlavor='OTH']]]/hl7:advice/hl7:component/hl7:act
Item: (activitiesComponent5Advice)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:component5[hl7:advice[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or @nullFlavor='OTH']]]/hl7:advice/hl7:component/hl7:act"
         id="tmp-94846de7-ae24-4c75-af9c-7758d70d3790">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='ACT' or not(@classCode)">(activitiesComponent5Advice): de waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@moodCode='EVN' or not(@moodCode)">(activitiesComponent5Advice): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesComponent5Advice): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">(activitiesComponent5Advice): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(activitiesComponent5Advice): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:text)&lt;=1">(activitiesComponent5Advice): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:component5[hl7:advice[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or @nullFlavor='OTH']]]/hl7:advice/hl7:component/hl7:act/hl7:code
Item: (activitiesComponent5Advice)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:component5[hl7:advice[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or @nullFlavor='OTH']]]/hl7:advice/hl7:component/hl7:act/hl7:code"
         id="tmp-65bf9879-85f1-4905-8e92-6e760c3c48c5">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or (@code='1157' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesComponent5Advice): de waarde van @code/@codeSystem MOET ''1157' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:component5[hl7:advice[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or @nullFlavor='OTH']]]/hl7:advice/hl7:component/hl7:act/hl7:text
Item: (activitiesComponent5Advice)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:component5[hl7:advice[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or @nullFlavor='OTH']]]/hl7:advice/hl7:component/hl7:act/hl7:text"
         id="tmp-db23e03a-ebbe-43b7-98b1-9e0bf748b627">
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (activityNonEncounterCareActivity)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]"
         id="tmp-12adfd4a-d41a-44a0-8388-1b63493b305e">
      <extends rule="tmp-cd0416c8-6504-4663-9a5e-6532d662b7f5"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='SUBJ' or not(@typeCode)">(activityNonEncounterCareActivity): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity
Item: (activitiesSubjectOfConclusion)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (activitiesSubjectOfConclusion)
-->
<rule id="tmp-cd0416c8-6504-4663-9a5e-6532d662b7f5" abstract="true">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:conclusion)&lt;=1">(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion
Item: (activitiesSubjectOfConclusion)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion"
         id="tmp-1ffa1173-31e4-48b4-86c6-24f9efceebd2">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@moodCode='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:text)&lt;=1">(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code"
         id="tmp-a660ded3-783c-46a4-9831-aa781fc1c6a1">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text
Item: (activitiesSubjectOfConclusion)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text"
         id="tmp-afe8d65e-df8c-4fc8-b502-d19afb066819">
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component
Item: (activitiesSubjectOfConclusion)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component"
         id="tmp-08457d27-a611-4b81-a196-952506a9e699">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='COMP' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:indication)&lt;=1">(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication
Item: (activitiesSubjectOfConclusion)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication"
         id="tmp-566bae07-8c8a-4e64-bb82-901d252f6c5a">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@moodCode='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:value)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:value)&lt;=1">(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:reasonOf)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code"
         id="tmp-2f7ce024-4c4f-4026-ada9-8c608f9e4c25">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value
Item: (activitiesSubjectOfConclusion)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value"
         id="tmp-31db61a8-b5e4-4520-996a-15c6d5f1d7dd">
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf
Item: (activitiesSubjectOfConclusion)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf"
         id="tmp-6ff41cfe-b8bd-417d-b57d-77aa815d2fa2">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='RSON' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.</assert>
      <let name="elmcount"
           value="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="$elmcount&gt;=1">(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="$elmcount&lt;=1">(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf
Item: (activitiesSubjectOfConclusion)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-96b91142-c1b2-4b00-9b14-aacf7d717fbb">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@moodCode='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-56136f90-adea-4bf8-bb9e-1e66a7dd85b3">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-8cd23fc7-84d9-46aa-8393-289b78371b28">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='REG' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@moodCode='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-57fd7b09-9359-4b37-8b60-78034bc4ceec">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-d345baec-60d0-4a10-b206-a2e31ed38162">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@moodCode='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-389e8aea-dc4c-415a-bd51-d1a9a5d1f5da">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-d4b4c75a-e6f7-4a48-93b5-e54f9aad6c36">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='PCPR' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@moodCode='RQO' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:performer)&lt;=1">(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-69228116-647a-48fc-8b0d-3e6ffff25a4b">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer
Item: (activitiesSubjectOfConclusion)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer"
         id="tmp-b465b37a-e9f5-486a-af92-e76984ac5b13">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='PRF' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:assignedEntity)&lt;=1">(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity
Item: (activitiesSubjectOfConclusion)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity"
         id="tmp-15aa61f3-a7bb-46b2-9bbd-54cb2b6c08e2">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='ASSIGNED' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code"
         id="tmp-847e970a-b9e5-48c3-82ec-027acd0fdb2d">
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]"
         id="tmp-1ee55f52-63eb-4d7d-a9de-94f634a71332">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='ACT' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@moodCode='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code"
         id="tmp-6366d49e-bd50-47f4-bcff-6fcf0d74a917">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor='OTH'">(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:originalText)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:originalText)&lt;=1">(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText
Item: (activitiesSubjectOfConclusion)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText"
         id="tmp-05048633-b5b6-4732-baed-456f555e38a3">
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf
Item: (activitiesSubjectOfConclusion)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf"
         id="tmp-f30b4539-2180-4c85-a6ec-3e0ac1f8cdba">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='SUBJ' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:annotation)&lt;=1">(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation
Item: (activitiesSubjectOfConclusion)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation"
         id="tmp-b66f3372-1a59-4f5d-a282-25dfbf5a4344">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='ACT' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@moodCode='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:text)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:text)&lt;=1">(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code"
         id="tmp-21a2f5d1-9472-4558-bf3e-ae48c97b2058">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text
Item: (activitiesSubjectOfConclusion)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text"
         id="tmp-65007a01-47cc-4147-ab48-609b6d766b87">
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:subjectOf2
Item: (activityNonEncounterCareActivity)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:subjectOf2"
         id="tmp-b1139818-127e-4458-8b67-61c02592691f">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='SUBJ' or not(@typeCode)">(activityNonEncounterCareActivity): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)">(activityNonEncounterCareActivity): element hl7:annotation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:annotation)&lt;=1">(activityNonEncounterCareActivity): element hl7:annotation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:subjectOf2/hl7:annotation
Item: (activityNonEncounterCareActivity)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:subjectOf2/hl7:annotation"
         id="tmp-27e1a981-2250-4d4f-85b1-20711d200a37">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 ">(activityNonEncounterCareActivity): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">(activityNonEncounterCareActivity): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(activityNonEncounterCareActivity): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:text)&lt;=1">(activityNonEncounterCareActivity): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:subjectOf2/hl7:annotation/hl7:code
Item: (activityNonEncounterCareActivity)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:subjectOf2/hl7:annotation/hl7:code"
         id="tmp-becd458e-60f3-48d6-8540-4c8587372a69">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activityNonEncounterCareActivity): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:subjectOf2/hl7:annotation/hl7:text
Item: (activityNonEncounterCareActivity)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:subjectOf2/hl7:annotation/hl7:text"
         id="tmp-653bfa10-b470-4b3f-8f7a-750a6e7e77b6">
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent
Item: (activityRegistrationEvent)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent"
         id="tmp-135b5546-3e38-4869-bc9c-44c9deea896b">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='PCPR' or not(@classCode)">(activityRegistrationEvent): de waarde van @classCode MOET 'PCPR' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@moodCode='EVN' or not(@moodCode)">(activityRegistrationEvent): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:id)&lt;=1">(activityRegistrationEvent): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 ">(activityRegistrationEvent): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">(activityRegistrationEvent): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:effectiveTime)&gt;=1 and not(hl7:effectiveTime/@nullFlavor)">(activityRegistrationEvent): element hl7:effectiveTime is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:effectiveTime)&lt;=1">(activityRegistrationEvent): element hl7:effectiveTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:performer)&lt;=1">(activityRegistrationEvent): element hl7:performer komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:author)=0">(activityRegistrationEvent): element hl7:author MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:consultant)&lt;=1">(activityRegistrationEvent): element hl7:consultant komt te vaak voor [max 1x].</assert>
      <let name="elmcount"
           value="count(hl7:pertinentInformation|hl7:pertinentInformation|hl7:pertinentInformation|hl7:pertinentInformation|hl7:pertinentInformation|hl7:pertinentInformation|hl7:pertinentInformation|hl7:pertinentInformation|hl7:pertinentInformation|hl7:pertinentInformation|hl7:pertinentInformation|hl7:pertinentInformation|hl7:pertinentInformation|hl7:pertinentInformation|hl7:pertinentInformation|hl7:pertinentInformation|hl7:pertinentInformation|hl7:pertinentInformation|hl7:pertinentInformation|hl7:pertinentInformation|hl7:pertinentInformation|hl7:pertinentInformation|hl7:pertinentInformation|hl7:pertinentInformation)"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1">(activityRegistrationEvent): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:id
Item: (activityRegistrationEvent)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:id"
         id="tmp-aca57878-80cc-4ae9-a406-9c56f5913e01">
      <let name="theValue" value="@value"/>
      <assert role="error" test="@root and @extension">(activityRegistrationEvent): 
                        <name path=".."/>/<name/> MOET een waarde in @root en @extension hebben.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:code
Item: (activityRegistrationEvent)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:code"
         id="tmp-f799b95c-21e3-42ac-a97e-330801e0ee93">
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-W0188_HL7_Registratie-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-W0188_HL7_Registratie-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(activityRegistrationEvent): de waarde van @code MOET worden gekozen uit waardenlijst W0188_HL7_Registratie W0188 Soort registratie (HL7) DYNAMIC.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(activityRegistrationEvent): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0188_HL7_Registratie W0188 Soort registratie (HL7) DYNAMIC.</assert>
      <assert role="error"
              test="not(@code='30' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or ../hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']">(activityRegistrationEvent): Als activiteitcode 30 'Melding' wordt gebruikt dan MOET pertinentInformation/rubricCluster de meldingdetails bevatten (rubriek 52).</assert>
      <assert role="error"
              test="not(@code='30' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or ../hl7:component4">(activityRegistrationEvent): Als activiteitcode 33 'Uitvoering hielprik/vaccinatie buiten organisatie' wordt gebruikt dan MOET component4/heelPrick de hielprikdetails bevatten (rubriek 37)..</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:effectiveTime
Item: (activityRegistrationEvent)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:effectiveTime"
         id="tmp-a3a194fe-19b2-4b1f-a4bd-09300eeac5d0">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:performer
Item: (activitiesPerformer)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:performer"
         id="tmp-9766ec6d-8ef5-44f8-9eb0-e8cd560bbd99">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='PRF' or not(@typeCode)">(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)">(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:assignedEntity)&lt;=1">(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:performer/hl7:assignedEntity
Item: (activitiesPerformer)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:performer/hl7:assignedEntity"
         id="tmp-987ec0db-39dc-45f8-b186-062435f378e6">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(activitiesPerformer): element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:id)&lt;=1">(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:performer/hl7:assignedEntity/hl7:id
Item: (activitiesPerformer)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:performer/hl7:assignedEntity/hl7:id"
         id="tmp-092c2c06-c653-45be-8183-efa5bd5c4cbd">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:author
Item: (activityRegistrationEvent)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:consultant
Item: (activitiesConsultant)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:consultant"
         id="tmp-f3f6830b-1e93-4285-b12c-97f3819fff7f">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='CON' or not(@typeCode)">(activitiesConsultant): de waarde van @typeCode MOET 'CON' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)">(activitiesConsultant): element hl7:assignedEntity is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:assignedEntity)&lt;=1">(activitiesConsultant): element hl7:assignedEntity komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:consultant/hl7:assignedEntity
Item: (activitiesConsultant)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:consultant/hl7:assignedEntity"
         id="tmp-15133196-99fe-49a6-9dbd-4ad5044ebe60">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='ASSIGNED' or not(@classCode)">(activitiesConsultant): de waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 ">(activitiesConsultant): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">(activitiesConsultant): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:consultant/hl7:assignedEntity/hl7:code
Item: (activitiesConsultant)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:consultant/hl7:assignedEntity/hl7:code"
         id="tmp-3d625393-bbfc-497e-a16a-fdd3d1064275">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor='OTH'">(activitiesConsultant): de waarde van @nullFlavor MOET 'OTH' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:originalText)&gt;=1 and not(hl7:originalText/@nullFlavor)">(activitiesConsultant): element hl7:originalText is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:originalText)&lt;=1">(activitiesConsultant): element hl7:originalText komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:consultant/hl7:assignedEntity/hl7:code/hl7:originalText
Item: (activitiesConsultant)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:consultant/hl7:assignedEntity/hl7:code/hl7:originalText"
         id="tmp-7210de1b-6e8a-4b43-8785-1ef3e5ec6437">
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent
Item: (activityRegistrationEvent)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11012']]]
Item: (activityRegistrationEvent)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11012']]]"
         id="tmp-1bb8e78d-8fcb-453e-803f-5256e0dfae5a">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='PERT' or not(@typeCode)">(activityRegistrationEvent): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11013']]]
Item: (activityRegistrationEvent)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11013']]]"
         id="tmp-03bdc105-54c7-4c02-92dc-39983d564831">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='PERT' or not(@typeCode)">(activityRegistrationEvent): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11052']]]
Item: (activityRegistrationEvent)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11052']]]"
         id="tmp-b9a076d6-92df-4ee2-b96d-6308d53b58bc">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='PERT' or not(@typeCode)">(activityRegistrationEvent): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11019']]]
Item: (activityRegistrationEvent)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11019']]]"
         id="tmp-bda01655-fe62-48fc-b5eb-d953f387023a">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='PERT' or not(@typeCode)">(activityRegistrationEvent): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11020']]]
Item: (activityRegistrationEvent)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11020']]]"
         id="tmp-7dc0d601-7c5a-47ea-a622-f331b1016880">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='PERT' or not(@typeCode)">(activityRegistrationEvent): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11021']]]
Item: (activityRegistrationEvent)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11021']]]"
         id="tmp-cb0b5ea1-db8a-45e1-b00f-1e982cefeec3">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='PERT' or not(@typeCode)">(activityRegistrationEvent): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11022']]]
Item: (activityRegistrationEvent)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11022']]]"
         id="tmp-3bfd13a3-8235-4527-b32b-4c200c4c3b4e">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='PERT' or not(@typeCode)">(activityRegistrationEvent): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11023']]]
Item: (activityRegistrationEvent)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11023']]]"
         id="tmp-2d7703d1-4829-4d48-b7b9-6a70397cfd92">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='PERT' or not(@typeCode)">(activityRegistrationEvent): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11024']]]
Item: (activityRegistrationEvent)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11024']]]"
         id="tmp-38bd1e65-9183-487c-9ed8-c120baa62bd9">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='PERT' or not(@typeCode)">(activityRegistrationEvent): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11025']]]
Item: (activityRegistrationEvent)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11025']]]"
         id="tmp-b8d6cf86-3df1-46b3-981f-5fc12cf67c55">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='PERT' or not(@typeCode)">(activityRegistrationEvent): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11026']]]
Item: (activityRegistrationEvent)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11026']]]"
         id="tmp-d310f8dc-3487-421d-bc07-83a3002d30e2">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='PERT' or not(@typeCode)">(activityRegistrationEvent): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11027']]]
Item: (activityRegistrationEvent)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11027']]]"
         id="tmp-61d4ed2d-0a91-4a93-a6b3-9340aa5de6f6">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='PERT' or not(@typeCode)">(activityRegistrationEvent): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11030']]]
Item: (activityRegistrationEvent)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11030']]]"
         id="tmp-b6e83c26-0742-4b60-aeb3-8c2b2d4a51cd">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='PERT' or not(@typeCode)">(activityRegistrationEvent): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11031']]]
Item: (activityRegistrationEvent)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11031']]]"
         id="tmp-6d3f31b9-b6a5-4524-9f2b-f5d8ac6d1c6c">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='PERT' or not(@typeCode)">(activityRegistrationEvent): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11032']]]
Item: (activityRegistrationEvent)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11032']]]"
         id="tmp-bec0ca9d-3feb-4f7c-8ad4-098ead10a2e4">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='PERT' or not(@typeCode)">(activityRegistrationEvent): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11034']]]
Item: (activityRegistrationEvent)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11034']]]"
         id="tmp-528d5125-690e-4b58-8883-9de739e507df">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='PERT' or not(@typeCode)">(activityRegistrationEvent): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11038']]]
Item: (activityRegistrationEvent)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11038']]]"
         id="tmp-17e055fb-55a9-432e-b6bc-bfe3fda040a3">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='PERT' or not(@typeCode)">(activityRegistrationEvent): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11039']]]
Item: (activityRegistrationEvent)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11039']]]"
         id="tmp-6856295f-f019-40a1-a29c-61a8d3d47f5f">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='PERT' or not(@typeCode)">(activityRegistrationEvent): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11040']]]
Item: (activityRegistrationEvent)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11040']]]"
         id="tmp-f1d8b3bd-7e6d-4b95-afdd-1708ee788ac7">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='PERT' or not(@typeCode)">(activityRegistrationEvent): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11042']]]
Item: (activityRegistrationEvent)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11042']]]"
         id="tmp-fab88bc9-46b7-401b-a5f4-d3c3558861fc">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='PERT' or not(@typeCode)">(activityRegistrationEvent): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11043']]]
Item: (activityRegistrationEvent)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11043']]]"
         id="tmp-565f52d0-dfd6-480f-9aee-70a7be0872c0">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='PERT' or not(@typeCode)">(activityRegistrationEvent): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11054']]]
Item: (activityRegistrationEvent)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11054']]]"
         id="tmp-3ea34d44-aff0-4b1f-bf0b-8bb9dcb9283c">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='PERT' or not(@typeCode)">(activityRegistrationEvent): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11045']]]
Item: (activityRegistrationEvent)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11045']]]"
         id="tmp-2cfa48d8-3430-416a-86b8-745db8e662b5">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='PERT' or not(@typeCode)">(activityRegistrationEvent): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11049']]]
Item: (activityRegistrationEvent)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11049']]]"
         id="tmp-f1d60afb-ced7-4744-8e1d-f3ae7d10ff28">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='PERT' or not(@typeCode)">(activityRegistrationEvent): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:component1
Item: (activityRegistrationEvent)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:component1"
         id="tmp-dbaf486a-9f68-44f8-9002-e82ac8506069">
      <extends rule="tmp-de992383-957d-4301-b433-c2b2bd3ba8af"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='COMP' or not(@typeCode)">(activityRegistrationEvent): de waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent
Item: (activitiesComponent1NonBDSData)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:component1
Item: (activitiesComponent1NonBDSData)
-->
<rule id="tmp-de992383-957d-4301-b433-c2b2bd3ba8af" abstract="true">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:nonBDSData)&gt;=1 and not(hl7:nonBDSData/@nullFlavor)">(activitiesComponent1NonBDSData): element hl7:nonBDSData is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:nonBDSData)&lt;=1">(activitiesComponent1NonBDSData): element hl7:nonBDSData komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:component1/hl7:nonBDSData
Item: (activitiesComponent1NonBDSData)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:component1/hl7:nonBDSData"
         id="tmp-98f2085d-43d6-486e-b184-fee4d33d2444">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='OBS' or not(@classCode)">(activitiesComponent1NonBDSData): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@moodCode='EVN' or not(@moodCode)">(activitiesComponent1NonBDSData): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 ">(activitiesComponent1NonBDSData): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">(activitiesComponent1NonBDSData): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(activitiesComponent1NonBDSData): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:value)&lt;=1">(activitiesComponent1NonBDSData): element hl7:value komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:pertainsTo)&lt;=1">(activitiesComponent1NonBDSData): element hl7:pertainsTo komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:component1/hl7:nonBDSData/hl7:code
Item: (activitiesComponent1NonBDSData)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:component1/hl7:nonBDSData/hl7:code"
         id="tmp-d6eb9711-d4b3-4577-aa0b-ea2eb837ff32">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor='OTH' or not(@nullFlavor)">(activitiesComponent1NonBDSData): de waarde van @nullFlavor MOET 'OTH' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:originalText)&lt;=1">(activitiesComponent1NonBDSData): element hl7:originalText komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:component1/hl7:nonBDSData/hl7:code/hl7:originalText
Item: (activitiesComponent1NonBDSData)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:component1/hl7:nonBDSData/hl7:code/hl7:originalText"
         id="tmp-3e47c3a9-206b-44d4-b9a0-de12dbdac9f4">
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:component1/hl7:nonBDSData/hl7:value
Item: (activitiesComponent1NonBDSData)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:component1/hl7:nonBDSData/hl7:value"
         id="tmp-2f59b733-9f4e-4a99-af77-33b639bd43c5">
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:component1/hl7:nonBDSData/hl7:pertainsTo
Item: (activitiesComponent1NonBDSData)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:component1/hl7:nonBDSData/hl7:pertainsTo"
         id="tmp-ac174eb0-80d8-47b9-a908-77cb48e2869d">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='COMP' or not(@typeCode)">(activitiesComponent1NonBDSData): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:categoryInBDS)&gt;=1 and not(hl7:categoryInBDS/@nullFlavor)">(activitiesComponent1NonBDSData): element hl7:categoryInBDS is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:categoryInBDS)&lt;=1">(activitiesComponent1NonBDSData): element hl7:categoryInBDS komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:component1/hl7:nonBDSData/hl7:pertainsTo/hl7:categoryInBDS
Item: (activitiesComponent1NonBDSData)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:component1/hl7:nonBDSData/hl7:pertainsTo/hl7:categoryInBDS"
         id="tmp-f36b92fd-28c2-419f-800e-57f346fee54a">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='CATEGORY' or not(@classCode)">(activitiesComponent1NonBDSData): de waarde van @classCode MOET 'CATEGORY' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@moodCode='EVN' or not(@moodCode)">(activitiesComponent1NonBDSData): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesComponent1NonBDSData): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">(activitiesComponent1NonBDSData): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:component1/hl7:nonBDSData/hl7:pertainsTo/hl7:categoryInBDS/hl7:code
Item: (activitiesComponent1NonBDSData)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:component1/hl7:nonBDSData/hl7:pertainsTo/hl7:categoryInBDS/hl7:code"
         id="tmp-95edd5bd-6572-4f30-8a87-7e00390a0f33">
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-W0639_HL7_LongitudinaleGegevens-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-W0639_HL7_LongitudinaleGegevens-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(activitiesComponent1NonBDSData): de waarde van @code MOET worden gekozen uit waardenlijst W0639_HL7_LongitudinaleGegevens W0639 RubriekID longitudinale gegevens DYNAMIC.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(activitiesComponent1NonBDSData): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0639_HL7_LongitudinaleGegevens W0639 RubriekID longitudinale gegevens DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:component2
Item: (activityRegistrationEvent)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:component2"
         id="tmp-2ca65ea8-19d7-4beb-858a-10461f5f2a1a">
      <extends rule="tmp-aebd321c-23ce-43a7-bf62-77121f6c796f"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='COMP' or not(@typeCode)">(activityRegistrationEvent): de waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent
Item: (activitiesComponent2MetaData)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:component2
Item: (activitiesComponent2MetaData)
-->
<rule id="tmp-aebd321c-23ce-43a7-bf62-77121f6c796f" abstract="true">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:metaData)&gt;=1 and not(hl7:metaData/@nullFlavor)">(activitiesComponent2MetaData): element hl7:metaData is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:metaData)&lt;=1">(activitiesComponent2MetaData): element hl7:metaData komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:component2/hl7:metaData
Item: (activitiesComponent2MetaData)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:component2/hl7:metaData"
         id="tmp-c5ea41c8-790f-493e-9a68-5e2fdae37f46">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='OBS' or not(@classCode)">(activitiesComponent2MetaData): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@moodCode='EVN' or not(@moodCode)">(activitiesComponent2MetaData): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesComponent2MetaData): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">(activitiesComponent2MetaData): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:value)&gt;=1 ">(activitiesComponent2MetaData): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:value)&lt;=1">(activitiesComponent2MetaData): element hl7:value komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:pertainsTo)&lt;=1">(activitiesComponent2MetaData): element hl7:pertainsTo komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:component2/hl7:metaData/hl7:code
Item: (activitiesComponent2MetaData)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:component2/hl7:metaData/hl7:code"
         id="tmp-4e290fe1-357e-4a4a-84ec-5cd8f7666c25">
      <let name="theValue" value="@value"/>
      <assert role="error" test="@displayName or not(@code)">(activitiesComponent2MetaData): 
                        <name path=".."/>/<name/>/@displayName MOET een waarde bevatten</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:component2/hl7:metaData/hl7:value
Item: (activitiesComponent2MetaData)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:component2/hl7:metaData/hl7:value"
         id="tmp-bf4c3607-625f-4845-8906-182ab637e057">
      <assert role="error" test="@displayName or not(@code)">(activitiesComponent2MetaData): 
                        <name path=".."/>/<name/>/@displayName MOET een waarde bevatten als het gecodeerde gegevens betreft</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:component2/hl7:metaData/hl7:pertainsTo
Item: (activitiesComponent2MetaData)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:component2/hl7:metaData/hl7:pertainsTo"
         id="tmp-8ebc9c59-892b-4596-a8df-7a0dc0ccf310">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='COMP' or not(@typeCode)">(activitiesComponent2MetaData): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:categoryInBDS)&gt;=1 and not(hl7:categoryInBDS/@nullFlavor)">(activitiesComponent2MetaData): element hl7:categoryInBDS is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:categoryInBDS)&lt;=1">(activitiesComponent2MetaData): element hl7:categoryInBDS komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:component2/hl7:metaData/hl7:pertainsTo/hl7:categoryInBDS
Item: (activitiesComponent2MetaData)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:component2/hl7:metaData/hl7:pertainsTo/hl7:categoryInBDS"
         id="tmp-7e843e06-6f31-4194-8c06-b61bf0b4acaf">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='CATEGORY' or not(@classCode)">(activitiesComponent2MetaData): de waarde van @classCode MOET 'CATEGORY' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@moodCode='EVN' or not(@moodCode)">(activitiesComponent2MetaData): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesComponent2MetaData): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">(activitiesComponent2MetaData): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:component2/hl7:metaData/hl7:pertainsTo/hl7:categoryInBDS/hl7:code
Item: (activitiesComponent2MetaData)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:component2/hl7:metaData/hl7:pertainsTo/hl7:categoryInBDS/hl7:code"
         id="tmp-fd58fc18-a0d0-49ae-adff-e7bb86dbba13">
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-W0639_HL7_LongitudinaleGegevens-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), (document('include/voc-W0646_HL7_LongitudinaleGegevens-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), (document('include/voc-W0647_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-W0639_HL7_LongitudinaleGegevens-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), (document('include/voc-W0646_HL7_LongitudinaleGegevens-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), (document('include/voc-W0647_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(activitiesComponent2MetaData): de waarde van @code MOET worden gekozen uit waardenlijst W0639_HL7_LongitudinaleGegevens W0639 RubriekID longitudinale gegevens of W0646_HL7_LongitudinaleGegevens W0646 GroepID longitudinale gegevens of W0647_HL7 W0647 BDS Elementen DYNAMIC.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(activitiesComponent2MetaData): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0639_HL7_LongitudinaleGegevens W0639 RubriekID longitudinale gegevens of W0646_HL7_LongitudinaleGegevens W0646 GroepID longitudinale gegevens of W0647_HL7 W0647 BDS Elementen DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:component3[hl7:substanceAdministrationEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.116']]]
Item: (activityRegistrationEvent)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:component3[hl7:substanceAdministrationEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.116']]]"
         id="tmp-ff3678b6-5542-4951-8d19-79e14285b9ea">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='COMP' or not(@typeCode)">(activityRegistrationEvent): de waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:component4[hl7:heelPrick[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.133']]]
Item: (activityRegistrationEvent)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:component4[hl7:heelPrick[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.133']]]"
         id="tmp-18d0e1e3-7ea1-4768-b68a-51d24a8a177a">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='COMP' or not(@typeCode)">(activityRegistrationEvent): de waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:component5[hl7:advice[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or @nullFlavor='OTH']]]
Item: (activityRegistrationEvent)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:component5[hl7:advice[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or @nullFlavor='OTH']]]"
         id="tmp-c518134a-c7bf-44a3-ae9c-1acf04a5779e">
      <extends rule="tmp-43bd4b40-bf2d-4217-9a1c-5b6a0900a575"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='COMP' or not(@typeCode)">(activityRegistrationEvent): de waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent
Item: (activitiesComponent5Advice)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:component5[hl7:advice[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or @nullFlavor='OTH']]]
Item: (activitiesComponent5Advice)
-->
<rule id="tmp-43bd4b40-bf2d-4217-9a1c-5b6a0900a575" abstract="true">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:advice)&gt;=1 and not(hl7:advice/@nullFlavor)">(activitiesComponent5Advice): element hl7:advice is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:advice)&lt;=1">(activitiesComponent5Advice): element hl7:advice komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:component5[hl7:advice[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or @nullFlavor='OTH']]]/hl7:advice
Item: (activitiesComponent5Advice)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:component5[hl7:advice[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or @nullFlavor='OTH']]]/hl7:advice"
         id="tmp-340870c6-3f0c-4fdb-9acb-cbd855d6a688">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='INFRM' or not(@classCode)">(activitiesComponent5Advice): de waarde van @classCode MOET 'INFRM' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@moodCode='EVN' or not(@moodCode)">(activitiesComponent5Advice): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 ">(activitiesComponent5Advice): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">(activitiesComponent5Advice): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:component5[hl7:advice[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or @nullFlavor='OTH']]]/hl7:advice/hl7:code
Item: (activitiesComponent5Advice)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:component5[hl7:advice[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or @nullFlavor='OTH']]]/hl7:advice/hl7:code"
         id="tmp-030f68d3-10be-46f4-bb6c-e203095a8492">
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-W0308_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-W0308_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(activitiesComponent5Advice): de waarde van @code MOET worden gekozen uit waardenlijst W0308_HL7 W0308 Gegeven voorlichting (HL7) DYNAMIC.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(activitiesComponent5Advice): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0308_HL7 W0308 Gegeven voorlichting (HL7) DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:component5[hl7:advice[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or @nullFlavor='OTH']]]/hl7:advice/hl7:component
Item: (activitiesComponent5Advice)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:component5[hl7:advice[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or @nullFlavor='OTH']]]/hl7:advice/hl7:component"
         id="tmp-55933d38-9ff4-49a7-9e08-f4dabe9a44e1">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='COMP' or not(@typeCode)">(activitiesComponent5Advice): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:act)&gt;=1 and not(hl7:act/@nullFlavor)">(activitiesComponent5Advice): element hl7:act is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:act)&lt;=1">(activitiesComponent5Advice): element hl7:act komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:component5[hl7:advice[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or @nullFlavor='OTH']]]/hl7:advice/hl7:component/hl7:act
Item: (activitiesComponent5Advice)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:component5[hl7:advice[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or @nullFlavor='OTH']]]/hl7:advice/hl7:component/hl7:act"
         id="tmp-6fd1aaa7-158a-4170-a9eb-5e9d11b4c945">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='ACT' or not(@classCode)">(activitiesComponent5Advice): de waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@moodCode='EVN' or not(@moodCode)">(activitiesComponent5Advice): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesComponent5Advice): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">(activitiesComponent5Advice): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(activitiesComponent5Advice): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:text)&lt;=1">(activitiesComponent5Advice): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:component5[hl7:advice[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or @nullFlavor='OTH']]]/hl7:advice/hl7:component/hl7:act/hl7:code
Item: (activitiesComponent5Advice)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:component5[hl7:advice[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or @nullFlavor='OTH']]]/hl7:advice/hl7:component/hl7:act/hl7:code"
         id="tmp-b2944af0-6e07-4d9f-8c3f-dda79b6eee02">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or (@code='1157' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesComponent5Advice): de waarde van @code/@codeSystem MOET ''1157' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:component5[hl7:advice[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or @nullFlavor='OTH']]]/hl7:advice/hl7:component/hl7:act/hl7:text
Item: (activitiesComponent5Advice)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:component5[hl7:advice[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or @nullFlavor='OTH']]]/hl7:advice/hl7:component/hl7:act/hl7:text"
         id="tmp-f8a18f30-8bc6-4f39-a02b-8eaecce60ab2">
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (activityRegistrationEvent)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]"
         id="tmp-ee7139e4-7595-461d-80c7-386291794a4e">
      <extends rule="tmp-164e0a2c-14bc-4f6b-a0da-b9c4400eed51"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='SUBJ' or not(@typeCode)">(activityRegistrationEvent): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent
Item: (activitiesSubjectOfConclusion)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (activitiesSubjectOfConclusion)
-->
<rule id="tmp-164e0a2c-14bc-4f6b-a0da-b9c4400eed51" abstract="true">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:conclusion)&lt;=1">(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion
Item: (activitiesSubjectOfConclusion)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion"
         id="tmp-91348290-b725-42a8-8011-ba5ace1d506c">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@moodCode='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:text)&lt;=1">(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code"
         id="tmp-e8b925d0-f61a-4962-a9cd-c0354a549ca3">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text
Item: (activitiesSubjectOfConclusion)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text"
         id="tmp-dfc5c92c-761c-44ae-8614-f20944b4e9f0">
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component
Item: (activitiesSubjectOfConclusion)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component"
         id="tmp-0ed2c32f-ba15-49fc-a99a-e77e6d6cd00b">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='COMP' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:indication)&lt;=1">(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication
Item: (activitiesSubjectOfConclusion)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication"
         id="tmp-a68d8db2-1c74-4c45-95cf-2ff231ab4f28">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@moodCode='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:value)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:value)&lt;=1">(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:reasonOf)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code"
         id="tmp-b117a49d-2abf-482a-a3e9-2fedba2e8922">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value
Item: (activitiesSubjectOfConclusion)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value"
         id="tmp-edb8c6fc-71aa-41fe-b390-bea58519319f">
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf
Item: (activitiesSubjectOfConclusion)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf"
         id="tmp-d545cfb7-13a9-4928-b5c1-eea42a368944">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='RSON' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.</assert>
      <let name="elmcount"
           value="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="$elmcount&gt;=1">(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="$elmcount&lt;=1">(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf
Item: (activitiesSubjectOfConclusion)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-e11fa5b7-4ac9-41c8-b127-33adb70142bc">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@moodCode='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-0fe6217d-f9e8-4a8f-9bfc-83c0cc1e8f74">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-c80976c4-777f-463e-9b8d-8cc022befddb">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='REG' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@moodCode='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-fc29f34b-ec4a-4ab3-a368-62856f54108d">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-1632dafb-02e9-4871-8197-0d9a1a331895">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@moodCode='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-9e77fe1f-e220-4380-af5f-eea8b66eb371">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-fd11cda8-5e9e-4896-a1e7-581a798a42d0">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='PCPR' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@moodCode='RQO' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:performer)&lt;=1">(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-8a597212-23fb-4369-b07a-00a288239a28">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer
Item: (activitiesSubjectOfConclusion)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer"
         id="tmp-18729397-7e6e-4a74-9e65-b434531f8a6d">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='PRF' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:assignedEntity)&lt;=1">(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity
Item: (activitiesSubjectOfConclusion)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity"
         id="tmp-49ca9b18-14f1-4281-b5b0-52330fc463ec">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='ASSIGNED' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code"
         id="tmp-44eb2bb4-4bbc-4f9a-8a6b-3bc2a32aa46f">
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]"
         id="tmp-ef8e7498-d127-4dee-8415-673ba4abece8">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='ACT' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@moodCode='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code"
         id="tmp-d7dc116a-e765-4902-ba53-0b1b0c38eace">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor='OTH'">(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:originalText)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:originalText)&lt;=1">(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText
Item: (activitiesSubjectOfConclusion)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText"
         id="tmp-7c2d7132-a4f9-4ffa-9b64-9617f13f446b">
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf
Item: (activitiesSubjectOfConclusion)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf"
         id="tmp-fbc6c5c8-7f13-467b-8088-662394895ab0">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='SUBJ' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:annotation)&lt;=1">(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation
Item: (activitiesSubjectOfConclusion)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation"
         id="tmp-75741b48-83e5-4e61-b1fb-329097fb8190">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='ACT' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@moodCode='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:text)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:text)&lt;=1">(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code"
         id="tmp-0e5e8087-95af-4980-9891-6c2f43383543">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text
Item: (activitiesSubjectOfConclusion)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text"
         id="tmp-89499e24-d554-4fca-b117-176b06402219">
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:subjectOf2
Item: (activityRegistrationEvent)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:subjectOf2"
         id="tmp-201ff0f2-29cb-4321-9d99-a25fef9ed477">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='SUBJ' or not(@typeCode)">(activityRegistrationEvent): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)">(activityRegistrationEvent): element hl7:annotation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:annotation)&lt;=1">(activityRegistrationEvent): element hl7:annotation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:subjectOf2/hl7:annotation
Item: (activityRegistrationEvent)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:subjectOf2/hl7:annotation"
         id="tmp-0d490d47-b6df-4d76-815c-bcc09abf0f92">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 ">(activityRegistrationEvent): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">(activityRegistrationEvent): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(activityRegistrationEvent): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:text)&lt;=1">(activityRegistrationEvent): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:subjectOf2/hl7:annotation/hl7:code
Item: (activityRegistrationEvent)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:subjectOf2/hl7:annotation/hl7:code"
         id="tmp-b65e69b7-27ce-47c6-b078-09d6e8a3cba9">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activityRegistrationEvent): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:subjectOf2/hl7:annotation/hl7:text
Item: (activityRegistrationEvent)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:subjectOf2/hl7:annotation/hl7:text"
         id="tmp-24eeb72c-e379-481a-b78d-ccb14ee47ba5">
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:subjectOf
Item: (careProvisionEventSubjectOf)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:subjectOf"
         id="tmp-4a3f97b0-4d86-4daf-a711-5a9b85f63265">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='SUBJ' or not(@typeCode)">(careProvisionEventSubjectOf): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@contextConductionInd='false' or not(@contextConductionInd)">(careProvisionEventSubjectOf): de waarde van @contextConductionInd MOET 'false' zijn.</assert>
      <let name="elmcount"
           value="count(hl7:careStatus[hl7:code[@code='1197' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]|hl7:careStatus[hl7:code[@code='487' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']])"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="$elmcount&gt;=1">(careProvisionEventSubjectOf): keuze (hl7:careStatus[hl7:code[@code='1197' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']] of hl7:careStatus[hl7:code[@code='487' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]) bevat te weinig elementen [min 1x]</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="$elmcount&lt;=1">(careProvisionEventSubjectOf): keuze (hl7:careStatus[hl7:code[@code='1197' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']] of hl7:careStatus[hl7:code[@code='487' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]) bevat te veel elementen [max 1x]</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:subjectOf
Item: (careProvisionEventSubjectOf)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:subjectOf/hl7:careStatus[hl7:code[@code='1197' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]
Item: (careProvisionEventSubjectOf)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:subjectOf/hl7:careStatus[hl7:code[@code='1197' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]"
         id="tmp-6b61adfb-8a36-484d-ba30-35362c4248f8">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='STC' or not(@classCode)">(careProvisionEventSubjectOf): de waarde van @classCode MOET 'STC' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@moodCode='EVN' or not(@moodCode)">(careProvisionEventSubjectOf): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(careProvisionEventSubjectOf): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">(careProvisionEventSubjectOf): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:effectiveTime)&gt;=1 and not(hl7:effectiveTime/@nullFlavor)">(careProvisionEventSubjectOf): element hl7:effectiveTime is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:effectiveTime)&lt;=1">(careProvisionEventSubjectOf): element hl7:effectiveTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:reasonCode)&gt;=1 and not(hl7:reasonCode/@nullFlavor)">(careProvisionEventSubjectOf): element hl7:reasonCode is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:reasonCode)&lt;=1">(careProvisionEventSubjectOf): element hl7:reasonCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:author)&gt;=1 and not(hl7:author/@nullFlavor)">(careProvisionEventSubjectOf): element hl7:author is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:author)&lt;=1">(careProvisionEventSubjectOf): element hl7:author komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:subjectOf/hl7:careStatus[hl7:code[@code='1197' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:code
Item: (careProvisionEventSubjectOf)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:subjectOf/hl7:careStatus[hl7:code[@code='1197' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:code"
         id="tmp-594fd5fa-96b4-4890-affe-effb26185c5d">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or (@code='1197' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(careProvisionEventSubjectOf): de waarde van @code/@codeSystem MOET ''1197' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:subjectOf/hl7:careStatus[hl7:code[@code='1197' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:effectiveTime
Item: (careProvisionEventSubjectOf)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:subjectOf/hl7:careStatus[hl7:code[@code='1197' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:effectiveTime"
         id="tmp-8211a812-6f4f-450d-ac7c-ca1a61b88393">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:subjectOf/hl7:careStatus[hl7:code[@code='1197' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:reasonCode
Item: (careProvisionEventSubjectOf)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:subjectOf/hl7:careStatus[hl7:code[@code='1197' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:reasonCode"
         id="tmp-971cc941-4d7c-4ea0-8393-c9ac8a1172f7">
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-W0625_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-W0625_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(careProvisionEventSubjectOf): de waarde van @code MOET worden gekozen uit waardenlijst W0625_HL7 W0625 Status in zorg (HL7) DYNAMIC.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(careProvisionEventSubjectOf): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0625_HL7 W0625 Status in zorg (HL7) DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:subjectOf/hl7:careStatus[hl7:code[@code='1197' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:author
Item: (careProvisionEventSubjectOf)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:subjectOf/hl7:careStatus[hl7:code[@code='1197' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:author"
         id="tmp-9fc9b381-0044-4316-a202-2bc3eda2f4d4">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='AUT' or not(@typeCode)">(careProvisionEventSubjectOf): de waarde van @typeCode MOET 'AUT' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:time)&gt;=1 ">(careProvisionEventSubjectOf): element hl7:time is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:time)&lt;=1">(careProvisionEventSubjectOf): element hl7:time komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)">(careProvisionEventSubjectOf): element hl7:assignedEntity is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:assignedEntity)&lt;=1">(careProvisionEventSubjectOf): element hl7:assignedEntity komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:subjectOf/hl7:careStatus[hl7:code[@code='1197' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:author/hl7:time
Item: (careProvisionEventSubjectOf)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:subjectOf/hl7:careStatus[hl7:code[@code='1197' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:author/hl7:time"
         id="tmp-ce91fe67-5681-437c-95c7-a55eafab73f6">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor='UNK' or not(@nullFlavor)">(careProvisionEventSubjectOf): de waarde van @nullFlavor MOET 'UNK' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:low)&lt;=1">(careProvisionEventSubjectOf): element hl7:low komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:high)&lt;=1">(careProvisionEventSubjectOf): element hl7:high komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:center)=0">(careProvisionEventSubjectOf): element hl7:center MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:width)=0">(careProvisionEventSubjectOf): element hl7:width MAG NIET voorkomen.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:subjectOf/hl7:careStatus[hl7:code[@code='1197' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:author/hl7:time/hl7:low
Item: (careProvisionEventSubjectOf)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:subjectOf/hl7:careStatus[hl7:code[@code='1197' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:author/hl7:time/hl7:low"
         id="tmp-06b0775d-27dc-49af-abc2-5d936658b99d">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor='UNK' or not(@nullFlavor)">(careProvisionEventSubjectOf): de waarde van @nullFlavor MOET 'UNK' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:subjectOf/hl7:careStatus[hl7:code[@code='1197' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:author/hl7:time/hl7:high
Item: (careProvisionEventSubjectOf)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:subjectOf/hl7:careStatus[hl7:code[@code='1197' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:author/hl7:time/hl7:high"
         id="tmp-e96addc9-5160-41f4-9059-9d55b46fcb59">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor='UNK' or not(@nullFlavor)">(careProvisionEventSubjectOf): de waarde van @nullFlavor MOET 'UNK' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:subjectOf/hl7:careStatus[hl7:code[@code='1197' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:author/hl7:time/hl7:center
Item: (careProvisionEventSubjectOf)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:subjectOf/hl7:careStatus[hl7:code[@code='1197' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:author/hl7:time/hl7:width
Item: (careProvisionEventSubjectOf)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:subjectOf/hl7:careStatus[hl7:code[@code='1197' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:author
Item: (R_AssignedEntityNL-identified)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:subjectOf/hl7:careStatus[hl7:code[@code='1197' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:author
Item: (R_AssignedEntityNL-identified)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:subjectOf/hl7:careStatus[hl7:code[@code='1197' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:author/hl7:assignedEntity
Item: (R_AssignedEntityNL-identified)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:subjectOf/hl7:careStatus[hl7:code[@code='1197' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:author/hl7:assignedEntity"
         id="tmp-4aad6fdb-b667-4475-ba67-7dd00e3505a3">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']/@nullFlavor)">(R_AssignedEntityNL-identified): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122'])&lt;=1">(R_AssignedEntityNL-identified): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122'] komt te vaak voor [max 1x].</assert>
      <let name="elmcount"
           value="count(hl7:id[@root='2.16.528.1.1007.3.1']|hl7:id[@root='2.16.528.1.1007.3.3'])"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="$elmcount&gt;=1">(R_AssignedEntityNL-identified): keuze (hl7:id[@root='2.16.528.1.1007.3.1'] of hl7:id[@root='2.16.528.1.1007.3.3']) bevat te weinig elementen [min 1x]</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="$elmcount&lt;=1">(R_AssignedEntityNL-identified): keuze (hl7:id[@root='2.16.528.1.1007.3.1'] of hl7:id[@root='2.16.528.1.1007.3.3']) bevat te veel elementen [max 1x]</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:representedOrganization)&lt;=1">(R_AssignedEntityNL-identified): element hl7:representedOrganization komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:subjectOf/hl7:careStatus[hl7:code[@code='1197' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:author/hl7:assignedEntity/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']
Item: (R_AssignedEntityNL-identified)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:subjectOf/hl7:careStatus[hl7:code[@code='1197' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:author/hl7:assignedEntity/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']"
         id="tmp-3e7bc5ec-428f-4073-9cff-6599ef1397fb">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@root='2.16.840.1.113883.2.4.6.10.100.122'">(R_AssignedEntityNL-identified): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.122' hebben.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(R_AssignedEntityNL-identified): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:subjectOf/hl7:careStatus[hl7:code[@code='1197' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:author/hl7:assignedEntity
Item: (R_AssignedEntityNL-identified)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:subjectOf/hl7:careStatus[hl7:code[@code='1197' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:author/hl7:assignedEntity/hl7:id[@root='2.16.528.1.1007.3.1']
Item: (R_AssignedEntityNL-identified)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:subjectOf/hl7:careStatus[hl7:code[@code='1197' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:author/hl7:assignedEntity/hl7:id[@root='2.16.528.1.1007.3.1']"
         id="tmp-7e55229d-d68b-4097-8828-7ef40dbc3dd8">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@root='2.16.528.1.1007.3.1'">(R_AssignedEntityNL-identified): @root MOET de waarde '2.16.528.1.1007.3.1' hebben.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(R_AssignedEntityNL-identified): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:subjectOf/hl7:careStatus[hl7:code[@code='1197' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:author/hl7:assignedEntity/hl7:id[@root='2.16.528.1.1007.3.3']
Item: (R_AssignedEntityNL-identified)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:subjectOf/hl7:careStatus[hl7:code[@code='1197' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:author/hl7:assignedEntity/hl7:id[@root='2.16.528.1.1007.3.3']"
         id="tmp-65517af4-7bda-4021-a565-8bf800f8a018">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@root='2.16.528.1.1007.3.3'">(R_AssignedEntityNL-identified): @root MOET de waarde '2.16.528.1.1007.3.3' hebben.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(R_AssignedEntityNL-identified): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:subjectOf/hl7:careStatus[hl7:code[@code='1197' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:author/hl7:assignedEntity/hl7:representedOrganization
Item: (R_AssignedEntityNL-identified)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:subjectOf/hl7:careStatus[hl7:code[@code='1197' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:author/hl7:assignedEntity/hl7:representedOrganization"
         id="tmp-6a55dbc8-296b-47a6-b26c-1de8483a14c7">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(R_AssignedEntityNL-identified): element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:id)&lt;=1">(R_AssignedEntityNL-identified): element hl7:id komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:subjectOf/hl7:careStatus[hl7:code[@code='1197' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:author/hl7:assignedEntity/hl7:representedOrganization/hl7:id
Item: (R_AssignedEntityNL-identified)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:subjectOf/hl7:careStatus[hl7:code[@code='1197' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:author/hl7:assignedEntity/hl7:representedOrganization/hl7:id"
         id="tmp-d3a643cc-5be5-436f-b9b7-23be37a7506d">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:subjectOf/hl7:careStatus[hl7:code[@code='487' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]
Item: (careProvisionEventSubjectOf)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:subjectOf/hl7:careStatus[hl7:code[@code='487' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]"
         id="tmp-9606a530-3967-4b78-ad58-b6e9a6f5cef2">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='STC' or not(@classCode)">(careProvisionEventSubjectOf): de waarde van @classCode MOET 'STC' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@moodCode='EVN' or not(@moodCode)">(careProvisionEventSubjectOf): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(careProvisionEventSubjectOf): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">(careProvisionEventSubjectOf): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:effectiveTime)&gt;=1 and not(hl7:effectiveTime/@nullFlavor)">(careProvisionEventSubjectOf): element hl7:effectiveTime is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:effectiveTime)&lt;=1">(careProvisionEventSubjectOf): element hl7:effectiveTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:reasonCode)&gt;=1 and not(hl7:reasonCode/@nullFlavor)">(careProvisionEventSubjectOf): element hl7:reasonCode is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:reasonCode)&lt;=1">(careProvisionEventSubjectOf): element hl7:reasonCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:author)&gt;=1 and not(hl7:author/@nullFlavor)">(careProvisionEventSubjectOf): element hl7:author is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:author)&lt;=1">(careProvisionEventSubjectOf): element hl7:author komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:subjectOf/hl7:careStatus[hl7:code[@code='487' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:code
Item: (careProvisionEventSubjectOf)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:subjectOf/hl7:careStatus[hl7:code[@code='487' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:code"
         id="tmp-e31ef1bb-cb80-4031-b621-18a34dc7778c">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or (@code='487' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(careProvisionEventSubjectOf): de waarde van @code/@codeSystem MOET ''487' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:subjectOf/hl7:careStatus[hl7:code[@code='487' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:effectiveTime
Item: (careProvisionEventSubjectOf)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:subjectOf/hl7:careStatus[hl7:code[@code='487' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:effectiveTime"
         id="tmp-7d87e20e-622a-494a-bb14-bff5e6ec0d25">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:subjectOf/hl7:careStatus[hl7:code[@code='487' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:reasonCode
Item: (careProvisionEventSubjectOf)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:subjectOf/hl7:careStatus[hl7:code[@code='487' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:reasonCode"
         id="tmp-a8c12fe5-3f29-4b06-8622-a00a8c3b159e">
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-W0626_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-W0626_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(careProvisionEventSubjectOf): de waarde van @code MOET worden gekozen uit waardenlijst W0626_HL7 W0626 Zorgbeëindiging (HL7) DYNAMIC.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(careProvisionEventSubjectOf): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0626_HL7 W0626 Zorgbeëindiging (HL7) DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:subjectOf/hl7:careStatus[hl7:code[@code='487' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:author
Item: (careProvisionEventSubjectOf)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:subjectOf/hl7:careStatus[hl7:code[@code='487' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:author"
         id="tmp-09f763cb-c6a9-4d36-a3ea-f4a290043ea3">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='AUT' or not(@typeCode)">(careProvisionEventSubjectOf): de waarde van @typeCode MOET 'AUT' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:time)&gt;=1 ">(careProvisionEventSubjectOf): element hl7:time is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:time)&lt;=1">(careProvisionEventSubjectOf): element hl7:time komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)">(careProvisionEventSubjectOf): element hl7:assignedEntity is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:assignedEntity)&lt;=1">(careProvisionEventSubjectOf): element hl7:assignedEntity komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:subjectOf/hl7:careStatus[hl7:code[@code='487' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:author/hl7:time
Item: (careProvisionEventSubjectOf)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:subjectOf/hl7:careStatus[hl7:code[@code='487' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:author/hl7:time"
         id="tmp-55dc19b5-e8c6-4c1f-bdd8-e6c216f57c97">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor='UNK' or not(@nullFlavor)">(careProvisionEventSubjectOf): de waarde van @nullFlavor MOET 'UNK' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:low)&lt;=1">(careProvisionEventSubjectOf): element hl7:low komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:high)&lt;=1">(careProvisionEventSubjectOf): element hl7:high komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:center)=0">(careProvisionEventSubjectOf): element hl7:center MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:width)=0">(careProvisionEventSubjectOf): element hl7:width MAG NIET voorkomen.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:subjectOf/hl7:careStatus[hl7:code[@code='487' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:author/hl7:time/hl7:low
Item: (careProvisionEventSubjectOf)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:subjectOf/hl7:careStatus[hl7:code[@code='487' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:author/hl7:time/hl7:low"
         id="tmp-07911ec4-4ae8-4ec9-92c3-73099fd18971">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor='UNK' or not(@nullFlavor)">(careProvisionEventSubjectOf): de waarde van @nullFlavor MOET 'UNK' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:subjectOf/hl7:careStatus[hl7:code[@code='487' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:author/hl7:time/hl7:high
Item: (careProvisionEventSubjectOf)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:subjectOf/hl7:careStatus[hl7:code[@code='487' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:author/hl7:time/hl7:high"
         id="tmp-c4b3665f-2801-496f-862e-001f5339e4d3">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor='UNK' or not(@nullFlavor)">(careProvisionEventSubjectOf): de waarde van @nullFlavor MOET 'UNK' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:subjectOf/hl7:careStatus[hl7:code[@code='487' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:author/hl7:time/hl7:center
Item: (careProvisionEventSubjectOf)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:subjectOf/hl7:careStatus[hl7:code[@code='487' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:author/hl7:time/hl7:width
Item: (careProvisionEventSubjectOf)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:subjectOf/hl7:careStatus[hl7:code[@code='487' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:author
Item: (R_AssignedEntityNL-identified)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:subjectOf/hl7:careStatus[hl7:code[@code='487' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:author
Item: (R_AssignedEntityNL-identified)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:subjectOf/hl7:careStatus[hl7:code[@code='487' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:author/hl7:assignedEntity
Item: (R_AssignedEntityNL-identified)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:subjectOf/hl7:careStatus[hl7:code[@code='487' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:author/hl7:assignedEntity"
         id="tmp-08c5e679-e8c1-41c2-82b7-1c71c1dbd97e">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']/@nullFlavor)">(R_AssignedEntityNL-identified): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122'])&lt;=1">(R_AssignedEntityNL-identified): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122'] komt te vaak voor [max 1x].</assert>
      <let name="elmcount"
           value="count(hl7:id[@root='2.16.528.1.1007.3.1']|hl7:id[@root='2.16.528.1.1007.3.3'])"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="$elmcount&gt;=1">(R_AssignedEntityNL-identified): keuze (hl7:id[@root='2.16.528.1.1007.3.1'] of hl7:id[@root='2.16.528.1.1007.3.3']) bevat te weinig elementen [min 1x]</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="$elmcount&lt;=1">(R_AssignedEntityNL-identified): keuze (hl7:id[@root='2.16.528.1.1007.3.1'] of hl7:id[@root='2.16.528.1.1007.3.3']) bevat te veel elementen [max 1x]</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:representedOrganization)&lt;=1">(R_AssignedEntityNL-identified): element hl7:representedOrganization komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:subjectOf/hl7:careStatus[hl7:code[@code='487' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:author/hl7:assignedEntity/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']
Item: (R_AssignedEntityNL-identified)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:subjectOf/hl7:careStatus[hl7:code[@code='487' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:author/hl7:assignedEntity/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']"
         id="tmp-46137925-87f2-4275-bb9a-99a56dbc19ef">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@root='2.16.840.1.113883.2.4.6.10.100.122'">(R_AssignedEntityNL-identified): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.122' hebben.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(R_AssignedEntityNL-identified): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:subjectOf/hl7:careStatus[hl7:code[@code='487' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:author/hl7:assignedEntity
Item: (R_AssignedEntityNL-identified)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:subjectOf/hl7:careStatus[hl7:code[@code='487' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:author/hl7:assignedEntity/hl7:id[@root='2.16.528.1.1007.3.1']
Item: (R_AssignedEntityNL-identified)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:subjectOf/hl7:careStatus[hl7:code[@code='487' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:author/hl7:assignedEntity/hl7:id[@root='2.16.528.1.1007.3.1']"
         id="tmp-99fed1c0-5df6-471d-af67-bca4d9e9713d">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@root='2.16.528.1.1007.3.1'">(R_AssignedEntityNL-identified): @root MOET de waarde '2.16.528.1.1007.3.1' hebben.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(R_AssignedEntityNL-identified): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:subjectOf/hl7:careStatus[hl7:code[@code='487' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:author/hl7:assignedEntity/hl7:id[@root='2.16.528.1.1007.3.3']
Item: (R_AssignedEntityNL-identified)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:subjectOf/hl7:careStatus[hl7:code[@code='487' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:author/hl7:assignedEntity/hl7:id[@root='2.16.528.1.1007.3.3']"
         id="tmp-d6868c08-2403-4cd9-a274-8c91c29adb58">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@root='2.16.528.1.1007.3.3'">(R_AssignedEntityNL-identified): @root MOET de waarde '2.16.528.1.1007.3.3' hebben.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(R_AssignedEntityNL-identified): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:subjectOf/hl7:careStatus[hl7:code[@code='487' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:author/hl7:assignedEntity/hl7:representedOrganization
Item: (R_AssignedEntityNL-identified)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:subjectOf/hl7:careStatus[hl7:code[@code='487' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:author/hl7:assignedEntity/hl7:representedOrganization"
         id="tmp-c790abbe-c433-4d9d-bed7-d48b9cef03b7">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(R_AssignedEntityNL-identified): element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:id)&lt;=1">(R_AssignedEntityNL-identified): element hl7:id komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:subjectOf/hl7:careStatus[hl7:code[@code='487' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:author/hl7:assignedEntity/hl7:representedOrganization/hl7:id
Item: (R_AssignedEntityNL-identified)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:subjectOf/hl7:careStatus[hl7:code[@code='487' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:author/hl7:assignedEntity/hl7:representedOrganization/hl7:id"
         id="tmp-6331d45d-4e59-4a22-b7df-8dc848b87a44">
      <let name="theValue" value="@value"/>
   </rule>
</pattern>
