<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.100.11021
Description: Vastleggen van gegevens over het functioneren van het kind, nagevraagd door de professional.
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
        id="template-2.16.840.1.113883.2.4.6.10.100.11021"
        abstract="true">
   <title>Rubriek 21 Functioneren</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]
Item: (rubricCluster21)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster
Item: (rubricCluster21)
-->

<rule context="$element"
         id="tmp-8ad6195c-f63c-4243-ba1b-882105e75f6f">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@classCode='CLUSTER' or not(@classCode)">(rubricCluster21): de waarde van @classCode MOET 'CLUSTER' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@moodCode='EVN' or not(@moodCode)">(rubricCluster21): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11021'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11021']/@nullFlavor)">(rubricCluster21): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11021'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11021'])&lt;=1">(rubricCluster21): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11021'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(rubricCluster21): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(rubricCluster21): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&gt;=1 and not(hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/@nullFlavor)">(rubricCluster21): element hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1">(rubricCluster21): element hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1">(rubricCluster21): element hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1">(rubricCluster21): element hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&gt;=1 and not(hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/@nullFlavor)">(rubricCluster21): element hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1">(rubricCluster21): element hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1">(rubricCluster21): element hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1">(rubricCluster21): element hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1">(rubricCluster21): element hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1">(rubricCluster21): element hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1">(rubricCluster21): element hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1">(rubricCluster21): element hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1">(rubricCluster21): element hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1">(rubricCluster21): element hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1">(rubricCluster21): element hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1">(rubricCluster21): element hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1">(rubricCluster21): element hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1">(rubricCluster21): element hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1">(rubricCluster21): element hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1">(rubricCluster21): element hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&gt;=1 and not(hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/@nullFlavor)">(rubricCluster21): element hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1">(rubricCluster21): element hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1">(rubricCluster21): element hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1">(rubricCluster21): element hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1">(rubricCluster21): element hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11021']
Item: (rubricCluster21)
-->

<rule context="$element/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11021']"
         id="tmp-6d120799-4e4a-4ed0-b482-9645ec4203c8">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@root='2.16.840.1.113883.2.4.6.10.100.11021'">(rubricCluster21): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.11021' hebben.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(rubricCluster21): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:code
Item: (rubricCluster21)
-->

<rule context="$element/hl7:code"
         id="tmp-a7b79468-97a5-44c6-bbc6-26a3d1173a9d">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or (@code='R021' and @codeSystem='2.16.840.1.113883.2.4.4.40.391')">(rubricCluster21): de waarde van @code/@codeSystem MOET ''R021' codeSystem '2.16.840.1.113883.2.4.4.40.391'' zijn.</assert>
   </rule>


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (rubricCluster21)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster
Item: (obs_Lichamelijk_functioneren_nagevraagd)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (obs_Lichamelijk_functioneren_nagevraagd)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]"
         id="tmp-bcb89613-9997-456c-a38d-8ea872c39d8d">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)">(obs_Lichamelijk_functioneren_nagevraagd): element hl7:observation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:observation)&lt;=1">(obs_Lichamelijk_functioneren_nagevraagd): element hl7:observation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (obs_Lichamelijk_functioneren_nagevraagd)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation"
         id="tmp-5dd75ffb-a556-47ea-a234-d212e4cade26">
      <extends rule="tmp-61099d96-23ae-436c-9c04-733b86f271be"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40321'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40321']/@nullFlavor)">(obs_Lichamelijk_functioneren_nagevraagd): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40321'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40321'])&lt;=1">(obs_Lichamelijk_functioneren_nagevraagd): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40321'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(obs_Lichamelijk_functioneren_nagevraagd): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(obs_Lichamelijk_functioneren_nagevraagd): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(obs_Lichamelijk_functioneren_nagevraagd): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:value)&lt;=1">(obs_Lichamelijk_functioneren_nagevraagd): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40321']
Item: (obs_Lichamelijk_functioneren_nagevraagd)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40321']"
         id="tmp-681bd962-653d-4adc-a629-b13d7ccee216">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@root='2.16.840.1.113883.2.4.6.10.100.40321'">(obs_Lichamelijk_functioneren_nagevraagd): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40321' hebben.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(obs_Lichamelijk_functioneren_nagevraagd): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code
Item: (obs_Lichamelijk_functioneren_nagevraagd)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code"
         id="tmp-f5d84d07-7323-4a92-94bf-595c38cc542a">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or (@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(obs_Lichamelijk_functioneren_nagevraagd): de waarde van @code/@codeSystem MOET ''321' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value
Item: (obs_Lichamelijk_functioneren_nagevraagd)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value"
         id="tmp-abe74d87-88c6-4e88-a868-9cd521a86f03">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (rubricClusterObservation)
-->
<rule id="tmp-61099d96-23ae-436c-9c04-733b86f271be" abstract="true">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@classCode='OBS' or not(@classCode)">(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@moodCode='EVN' or not(@moodCode)">(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1">(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:text
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode"
         id="tmp-dc031b20-12ba-4704-ba3c-e5862fd46d5c">
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:effectiveTime
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode"
         id="tmp-af2b1363-b6ca-4f39-ad8b-b23b8e604290">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode"
         id="tmp-0f4d020d-ed3d-4ef8-aa50-54354efcbed0">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject"
         id="tmp-47836584-a067-4966-a883-9915e02da3e7">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@typeCode='SBJ' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (activitiesPerformer)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer
Item: (activitiesPerformer)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer
Item: (activitiesPerformer)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer"
         id="tmp-54b8d9cc-d67e-4c6a-b1ab-2ad502c78db2">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@typeCode='PRF' or not(@typeCode)">(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)">(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:assignedEntity)&lt;=1">(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity
Item: (activitiesPerformer)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity"
         id="tmp-16dcf5e3-8d3e-4030-aa26-21077d3e0302">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(activitiesPerformer): element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:id)&lt;=1">(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id
Item: (activitiesPerformer)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id"
         id="tmp-c1090029-2ff2-4a85-9041-0b0eb577f8ff">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant"
         id="tmp-518f66ea-5a31-47f4-8351-0714714309f6">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@typeCode='INF' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location"
         id="tmp-ccea4eb9-0408-4311-86db-7cf743e9d3fa">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@typeCode='LOC' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]"
         id="tmp-643ce545-b8aa-4818-b256-c6c736fa10a3">
      <extends rule="tmp-9126a12e-e122-4c38-a7b8-905718334f1f"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@typeCode='SUBJ' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (activitiesSubjectOfConclusion)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (activitiesSubjectOfConclusion)
-->
<rule id="tmp-9126a12e-e122-4c38-a7b8-905718334f1f" abstract="true">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:conclusion)&lt;=1">(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion"
         id="tmp-283db56b-fcbe-46d8-8a03-2619817bc03c">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@classCode='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@moodCode='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:text)&lt;=1">(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code"
         id="tmp-56d29eba-0c96-468c-8af8-29cc4ba633d7">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text"
         id="tmp-bc240b50-3b6c-41a9-acaf-8b7c862ff160">
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component"
         id="tmp-4f90b03f-2259-44cc-a66e-a9d98d4b9939">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@typeCode='COMP' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:indication)&lt;=1">(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication"
         id="tmp-52b056ba-bb28-4dc8-a4aa-7331f4b48f1b">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@classCode='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@moodCode='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:value)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:value)&lt;=1">(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:reasonOf)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code"
         id="tmp-54740790-b545-4c24-bb64-a2f310b5a1d6">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value"
         id="tmp-3a826487-0b04-4eeb-9f01-e5bfedfa71ae">
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf"
         id="tmp-47dfedc6-50f6-470b-87c8-0a17b7456492">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@typeCode='RSON' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.</assert>
      <let name="elmcount"
           value="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="$elmcount&gt;=1">(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="$elmcount&lt;=1">(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf
Item: (activitiesSubjectOfConclusion)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-a20db0c1-edea-40c4-8122-8cbcb0d817ff">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@classCode='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@moodCode='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-b50e5f03-ea6a-4d92-ad55-656ddec95530">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-8518446f-8b2d-480c-81dd-ff5392de3087">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@classCode='REG' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@moodCode='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-f1659ac9-ffde-499f-931e-a76a00f7165b">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-91b0a663-93e6-4486-acee-48c6f974a815">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@classCode='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@moodCode='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-8cbf47fc-9684-43c5-837f-ae896e21128f">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-98fab956-a3b6-49c5-bcbd-d052148fb5de">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@classCode='PCPR' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@moodCode='RQO' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:performer)&lt;=1">(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-ceefe231-8f19-436d-9870-58d4c267a3d4">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer"
         id="tmp-25417e91-7954-43e2-a931-7618300cb612">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@typeCode='PRF' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:assignedEntity)&lt;=1">(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity"
         id="tmp-a363416a-9132-4e77-91ee-af2c200d9be3">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@classCode='ASSIGNED' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code"
         id="tmp-5e341d04-de98-4578-8d6c-e40143be56dc">
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]"
         id="tmp-7cc822d7-55cd-42b8-a778-dd191d5dc649">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@classCode='ACT' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@moodCode='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code"
         id="tmp-6dde3539-59f2-42d7-9d0c-b73b30a45cfe">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor='OTH'">(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:originalText)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:originalText)&lt;=1">(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText"
         id="tmp-a244b6b6-dbff-4362-a6c7-aa07627acc2d">
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf"
         id="tmp-2b5bd0ed-14da-46af-a7ef-7604e6bf8885">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@typeCode='SUBJ' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:annotation)&lt;=1">(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation"
         id="tmp-cd9ddcfe-1c7b-4c80-ba59-31d18594942e">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@classCode='ACT' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@moodCode='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:text)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:text)&lt;=1">(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code"
         id="tmp-b654e013-25f8-47f5-84ed-905666305b22">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text"
         id="tmp-b3d782a2-8696-43ba-9c8a-fdb82cfe9a94">
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2"
         id="tmp-2f0cceed-d39b-4094-bf6f-08a06e6c0555">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@typeCode='SUBJ' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)">(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:annotation)&lt;=1">(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation"
         id="tmp-aabe2387-d31b-4ed9-9ad8-572f3a397fd0">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 ">(rubricClusterObservation): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(rubricClusterObservation): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:text)&lt;=1">(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code"
         id="tmp-a96371e8-55f1-4c68-aecc-7e3af2fd8eaa">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')">(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text"
         id="tmp-419915a6-c644-4434-bb32-34003eee764b">
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (rubricCluster21)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster
Item: (obs_Zindelijkheid)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (obs_Zindelijkheid)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]"
         id="tmp-656902a4-ebab-4e9b-995b-23e598731070">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)">(obs_Zindelijkheid): element hl7:observation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:observation)&lt;=1">(obs_Zindelijkheid): element hl7:observation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (obs_Zindelijkheid)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation"
         id="tmp-bb5ab491-0814-4661-82e4-19339fa8de6b">
      <extends rule="tmp-6e2961b9-1852-4b51-8e33-e3966812affb"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40324'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40324']/@nullFlavor)">(obs_Zindelijkheid): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40324'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40324'])&lt;=1">(obs_Zindelijkheid): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40324'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(obs_Zindelijkheid): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(obs_Zindelijkheid): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:value)&gt;=1 ">(obs_Zindelijkheid): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:value)&lt;=1">(obs_Zindelijkheid): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40324']
Item: (obs_Zindelijkheid)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40324']"
         id="tmp-bd4a59d9-b1c1-4062-9360-0a2d04f7c4f6">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@root='2.16.840.1.113883.2.4.6.10.100.40324'">(obs_Zindelijkheid): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40324' hebben.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(obs_Zindelijkheid): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code
Item: (obs_Zindelijkheid)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code"
         id="tmp-aa1b2134-3aba-46f7-9729-8a0caf3e6a54">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or (@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(obs_Zindelijkheid): de waarde van @code/@codeSystem MOET ''324' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value
Item: (obs_Zindelijkheid)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value"
         id="tmp-9a7ad86f-e636-4133-8e47-1b1732c5b233">
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-W0209_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-W0209_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(obs_Zindelijkheid): de waarde van @code MOET worden gekozen uit waardenlijst W0209_HL7 W0209 Ontlasten/plassen/zindelijkheid (HL7) DYNAMIC.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(obs_Zindelijkheid): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0209_HL7 W0209 Ontlasten/plassen/zindelijkheid (HL7) DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (rubricClusterObservation)
-->
<rule id="tmp-6e2961b9-1852-4b51-8e33-e3966812affb" abstract="true">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@classCode='OBS' or not(@classCode)">(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@moodCode='EVN' or not(@moodCode)">(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1">(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:text
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode"
         id="tmp-c0aa823b-3aa8-48eb-9466-ada56ff2be31">
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:effectiveTime
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode"
         id="tmp-bf24c7ae-e723-40de-9c85-acb227081dad">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode"
         id="tmp-fee0f22b-8190-4e40-b62c-d997b99fecc4">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject"
         id="tmp-0c49905a-fa55-4da5-9563-d6e8ef4f55d9">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@typeCode='SBJ' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (activitiesPerformer)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer
Item: (activitiesPerformer)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer
Item: (activitiesPerformer)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer"
         id="tmp-2b6f700d-70e0-4795-a4af-4a073f1624d9">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@typeCode='PRF' or not(@typeCode)">(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)">(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:assignedEntity)&lt;=1">(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity
Item: (activitiesPerformer)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity"
         id="tmp-c4f644fc-d675-4f43-a89b-53d3599f7c8d">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(activitiesPerformer): element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:id)&lt;=1">(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id
Item: (activitiesPerformer)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id"
         id="tmp-6b58d91e-a966-4c8c-90a2-e06d3399d6f0">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant"
         id="tmp-344a7de2-0966-4fb9-a7ff-073122a8f2a7">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@typeCode='INF' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location"
         id="tmp-123116af-f52d-4c87-bc60-e703b3ae2edc">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@typeCode='LOC' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]"
         id="tmp-96deda60-106c-423f-8a43-d8985221f15a">
      <extends rule="tmp-2e3e087d-717c-468f-a6a7-9f66b9432294"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@typeCode='SUBJ' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (activitiesSubjectOfConclusion)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (activitiesSubjectOfConclusion)
-->
<rule id="tmp-2e3e087d-717c-468f-a6a7-9f66b9432294" abstract="true">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:conclusion)&lt;=1">(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion"
         id="tmp-a44f36c0-3851-4e4b-b097-4e4d64676c53">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@classCode='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@moodCode='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:text)&lt;=1">(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code"
         id="tmp-5e43338d-b258-4234-84db-54618ca1f3b0">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text"
         id="tmp-64b48f7d-7817-4dcc-b7df-3cfc791031ba">
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component"
         id="tmp-55d27149-d22e-4594-8513-1f79e44c795d">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@typeCode='COMP' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:indication)&lt;=1">(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication"
         id="tmp-e25f3807-1535-42b6-960c-d5370eb28772">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@classCode='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@moodCode='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:value)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:value)&lt;=1">(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:reasonOf)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code"
         id="tmp-95adbc35-02fb-4374-9ca7-7670673e76ab">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value"
         id="tmp-91d14578-178a-4b0f-b9ce-4faaa2620af8">
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf"
         id="tmp-08cfd710-7f5f-462a-b73f-911960ca4329">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@typeCode='RSON' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.</assert>
      <let name="elmcount"
           value="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="$elmcount&gt;=1">(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="$elmcount&lt;=1">(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf
Item: (activitiesSubjectOfConclusion)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-25ca5604-ed0e-4a82-ada8-e2da7239c399">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@classCode='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@moodCode='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-69c5ab01-6db6-4338-9826-a66b8e9629d8">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-950f7236-b5fe-40ac-be8d-8ebeeb16a03f">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@classCode='REG' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@moodCode='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-9e21ee61-3c61-47f1-8b78-e8e412d2e7d4">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-9ab7f9b9-3be4-49df-86da-a429ae11adfb">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@classCode='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@moodCode='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-54271de9-6aa8-476d-9033-82a36e7cf2e5">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-c73996fc-083a-47b6-8f7c-e4e96a749298">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@classCode='PCPR' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@moodCode='RQO' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:performer)&lt;=1">(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-ae1212b1-0900-45fe-9672-7b5342c526cd">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer"
         id="tmp-7e46faae-5a92-46b0-9e3a-da3e02cf20c7">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@typeCode='PRF' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:assignedEntity)&lt;=1">(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity"
         id="tmp-d64325fb-f364-4e0a-b283-80010424e871">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@classCode='ASSIGNED' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code"
         id="tmp-9e259f6e-9021-4c9d-98e9-ac08ad82b102">
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]"
         id="tmp-8c0cc15b-3f36-45b6-9c35-48bf17bc4529">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@classCode='ACT' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@moodCode='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code"
         id="tmp-4e4d802d-43b1-451f-b38c-108f0e398b30">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor='OTH'">(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:originalText)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:originalText)&lt;=1">(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText"
         id="tmp-4111452e-c0d9-4dc5-be74-c95bc74ad43f">
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf"
         id="tmp-7d6f2ced-ac3c-4832-b4c2-8059edfaa604">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@typeCode='SUBJ' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:annotation)&lt;=1">(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation"
         id="tmp-4d4cc2cc-a808-4fb9-a989-dad138e7b9b7">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@classCode='ACT' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@moodCode='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:text)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:text)&lt;=1">(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code"
         id="tmp-8134f6c9-3ee8-4a54-82ce-43819dbcc51d">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text"
         id="tmp-0619b939-c9a8-4141-a428-2f6b50a5a960">
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2"
         id="tmp-b0b87730-2194-4b63-a5e5-71ed20d0f655">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@typeCode='SUBJ' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)">(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:annotation)&lt;=1">(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation"
         id="tmp-6ca71b62-fd9c-485e-83c3-ea026163b5f5">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 ">(rubricClusterObservation): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(rubricClusterObservation): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:text)&lt;=1">(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code"
         id="tmp-7eec32e8-788d-40af-bd3d-c340d468120f">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')">(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text"
         id="tmp-2555f0ab-922a-4d75-9471-e9a3e18da69a">
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (rubricCluster21)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster
Item: (obs_Bijzonderheden_ontlastenplassenzindelijkheid)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (obs_Bijzonderheden_ontlastenplassenzindelijkheid)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]"
         id="tmp-566eb08a-d03c-4a45-9362-40ebd7ceb4d4">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)">(obs_Bijzonderheden_ontlastenplassenzindelijkheid): element hl7:observation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:observation)&lt;=1">(obs_Bijzonderheden_ontlastenplassenzindelijkheid): element hl7:observation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (obs_Bijzonderheden_ontlastenplassenzindelijkheid)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation"
         id="tmp-a16c366e-7817-4618-ae25-f5292574b5ae">
      <extends rule="tmp-1f517e7c-a144-48f5-8cf7-4b9fc4118916"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40325'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40325']/@nullFlavor)">(obs_Bijzonderheden_ontlastenplassenzindelijkheid): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40325'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40325'])&lt;=1">(obs_Bijzonderheden_ontlastenplassenzindelijkheid): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40325'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(obs_Bijzonderheden_ontlastenplassenzindelijkheid): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(obs_Bijzonderheden_ontlastenplassenzindelijkheid): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:value)&gt;=1 ">(obs_Bijzonderheden_ontlastenplassenzindelijkheid): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:value)&lt;=1">(obs_Bijzonderheden_ontlastenplassenzindelijkheid): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40325']
Item: (obs_Bijzonderheden_ontlastenplassenzindelijkheid)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40325']"
         id="tmp-d3544f50-9f67-4922-8329-5e6d925c35ee">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@root='2.16.840.1.113883.2.4.6.10.100.40325'">(obs_Bijzonderheden_ontlastenplassenzindelijkheid): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40325' hebben.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(obs_Bijzonderheden_ontlastenplassenzindelijkheid): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code
Item: (obs_Bijzonderheden_ontlastenplassenzindelijkheid)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code"
         id="tmp-c48d8111-cf72-4c49-9615-53a20a40b266">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or (@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(obs_Bijzonderheden_ontlastenplassenzindelijkheid): de waarde van @code/@codeSystem MOET ''325' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value
Item: (obs_Bijzonderheden_ontlastenplassenzindelijkheid)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value"
         id="tmp-65c8e126-8e36-460b-aaae-66378db1e80a">
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (rubricClusterObservation)
-->
<rule id="tmp-1f517e7c-a144-48f5-8cf7-4b9fc4118916" abstract="true">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@classCode='OBS' or not(@classCode)">(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@moodCode='EVN' or not(@moodCode)">(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1">(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:text
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode"
         id="tmp-3aa35789-230f-412d-ad1f-eaa0f55ee14d">
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:effectiveTime
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode"
         id="tmp-5be92e9f-7859-4360-b531-4890aa20ebb7">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode"
         id="tmp-d6b1c070-2100-41cb-999a-aed38dc7fe4b">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject"
         id="tmp-c4129e20-5bc8-4fea-8fca-b074114627e9">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@typeCode='SBJ' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (activitiesPerformer)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer
Item: (activitiesPerformer)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer
Item: (activitiesPerformer)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer"
         id="tmp-825d276a-5e95-4ef4-9550-85cbc70d0974">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@typeCode='PRF' or not(@typeCode)">(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)">(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:assignedEntity)&lt;=1">(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity
Item: (activitiesPerformer)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity"
         id="tmp-21895924-102c-44b7-bda2-7417e352d270">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(activitiesPerformer): element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:id)&lt;=1">(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id
Item: (activitiesPerformer)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id"
         id="tmp-48fad74e-2424-4939-8ea8-018e2ce370a0">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant"
         id="tmp-d0c27ccd-a75d-4f6b-a4ee-b4f883757bbe">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@typeCode='INF' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location"
         id="tmp-d777b9d3-27db-4ed0-a64c-f46ef4b3d11f">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@typeCode='LOC' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]"
         id="tmp-7f92c18b-3557-41f2-a625-c27b72804c65">
      <extends rule="tmp-7c606a58-0a42-44e7-b9d3-cbbe51f2166d"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@typeCode='SUBJ' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (activitiesSubjectOfConclusion)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (activitiesSubjectOfConclusion)
-->
<rule id="tmp-7c606a58-0a42-44e7-b9d3-cbbe51f2166d" abstract="true">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:conclusion)&lt;=1">(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion"
         id="tmp-0331e66f-026c-4a75-ab86-f122b5019dac">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@classCode='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@moodCode='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:text)&lt;=1">(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code"
         id="tmp-49ca621f-7bdd-49c4-9839-4b25533492cf">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text"
         id="tmp-12e9acfe-b2ad-4773-8f96-6ca68aeeea6e">
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component"
         id="tmp-40b679cd-736b-44f8-a47f-3301bc4dcd0e">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@typeCode='COMP' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:indication)&lt;=1">(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication"
         id="tmp-6802dea2-15f6-4a04-a6e6-f6c57da08bea">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@classCode='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@moodCode='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:value)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:value)&lt;=1">(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:reasonOf)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code"
         id="tmp-8f4452f6-4a36-4ba8-8f68-b29592749fcf">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value"
         id="tmp-6be4f2cb-afaa-4f36-889b-479e2b222207">
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf"
         id="tmp-a71921e0-2180-4c40-af12-09f7800c2ffc">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@typeCode='RSON' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.</assert>
      <let name="elmcount"
           value="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="$elmcount&gt;=1">(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="$elmcount&lt;=1">(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf
Item: (activitiesSubjectOfConclusion)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-084df7fd-d777-43e2-ada9-0d36daeeec32">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@classCode='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@moodCode='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-5f42f0d5-d38e-4bc7-af29-a89767b5f009">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-e7e432c0-e4f9-4f8e-a1b2-16c91dad8d63">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@classCode='REG' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@moodCode='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-d1dd23a8-aeb6-49cd-b7b8-fe8493c6aa3e">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-6d3b7900-4fcd-4c11-829d-b99b2293cf0c">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@classCode='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@moodCode='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-bf1e88f5-e889-446b-82e5-85e13c7f147f">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-d3fad586-410a-4c05-b01e-4e270c797405">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@classCode='PCPR' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@moodCode='RQO' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:performer)&lt;=1">(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-37d440df-81f1-47d0-8727-bf114749e71d">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer"
         id="tmp-d4a07518-fff9-43c3-a4a4-bd5fd23c2067">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@typeCode='PRF' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:assignedEntity)&lt;=1">(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity"
         id="tmp-7a21a322-6163-4faf-96d7-c0f8316b221e">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@classCode='ASSIGNED' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code"
         id="tmp-de22cdc5-35b2-428d-9094-37701333a8af">
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]"
         id="tmp-2c9b8bed-3d48-4f5e-b419-c382e6c22269">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@classCode='ACT' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@moodCode='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code"
         id="tmp-ab46c854-749f-4372-b9ba-c4a370814304">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor='OTH'">(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:originalText)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:originalText)&lt;=1">(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText"
         id="tmp-af29405f-ebbe-4efc-a53b-a1bd04fee160">
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf"
         id="tmp-72d3e1ef-24fa-49a9-b0e6-7244dfbc3a88">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@typeCode='SUBJ' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:annotation)&lt;=1">(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation"
         id="tmp-74e3b94d-87d4-47e7-abc0-89ea686e0ed5">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@classCode='ACT' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@moodCode='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:text)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:text)&lt;=1">(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code"
         id="tmp-41e5bd79-7422-4c75-ac08-e27aa2e12974">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text"
         id="tmp-da60873a-bfb6-4e4b-9330-c49fbe97ba91">
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2"
         id="tmp-cb443ac7-9ad0-48d3-b03b-a4e581e1d6ce">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@typeCode='SUBJ' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)">(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:annotation)&lt;=1">(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation"
         id="tmp-81574c1c-2581-4041-ba65-d572009115cf">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 ">(rubricClusterObservation): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(rubricClusterObservation): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:text)&lt;=1">(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code"
         id="tmp-1eb0f676-d9e2-49bf-b4a8-655cdacc4b00">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')">(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text"
         id="tmp-3523c2cd-6a82-4d93-959a-b850810a76f1">
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (rubricCluster21)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster
Item: (obs_Seksueel_actief)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (obs_Seksueel_actief)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]"
         id="tmp-0c7a0bef-ea5e-4196-b466-3b3f02238042">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)">(obs_Seksueel_actief): element hl7:observation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:observation)&lt;=1">(obs_Seksueel_actief): element hl7:observation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (obs_Seksueel_actief)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation"
         id="tmp-acfeb9f1-2797-492e-b87e-c524e7527ed6">
      <extends rule="tmp-baff95ab-19f6-469d-aaea-2afeed16651f"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40770'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40770']/@nullFlavor)">(obs_Seksueel_actief): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40770'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40770'])&lt;=1">(obs_Seksueel_actief): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40770'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(obs_Seksueel_actief): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(obs_Seksueel_actief): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:value)&gt;=1 ">(obs_Seksueel_actief): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:value)&lt;=1">(obs_Seksueel_actief): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40770']
Item: (obs_Seksueel_actief)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40770']"
         id="tmp-4fd029f9-df48-40db-8966-0246d2d412ae">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@root='2.16.840.1.113883.2.4.6.10.100.40770'">(obs_Seksueel_actief): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40770' hebben.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(obs_Seksueel_actief): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code
Item: (obs_Seksueel_actief)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code"
         id="tmp-c0268322-be99-4fd0-b241-9259334c2140">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or (@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(obs_Seksueel_actief): de waarde van @code/@codeSystem MOET ''770' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value
Item: (obs_Seksueel_actief)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value"
         id="tmp-e46cb3dc-45e8-45ae-aaa4-15a0a1077e73">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (rubricClusterObservation)
-->
<rule id="tmp-baff95ab-19f6-469d-aaea-2afeed16651f" abstract="true">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@classCode='OBS' or not(@classCode)">(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@moodCode='EVN' or not(@moodCode)">(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1">(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:text
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode"
         id="tmp-dfc47c3a-d19c-4236-8618-e54a7f8e6714">
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:effectiveTime
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode"
         id="tmp-c7c0bbc4-6bf4-4870-adab-f0ae48f74dde">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode"
         id="tmp-3f99f42f-0ef6-49f5-a89b-4121f74fdd22">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject"
         id="tmp-1fd48ff9-dc2d-4af4-a4b7-72d8ab814262">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@typeCode='SBJ' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (activitiesPerformer)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer
Item: (activitiesPerformer)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer
Item: (activitiesPerformer)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer"
         id="tmp-358c494e-5ffa-40ce-9bda-14142e6b1370">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@typeCode='PRF' or not(@typeCode)">(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)">(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:assignedEntity)&lt;=1">(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity
Item: (activitiesPerformer)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity"
         id="tmp-4fdbb69e-f609-4b1c-86dd-6c217b3827e3">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(activitiesPerformer): element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:id)&lt;=1">(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id
Item: (activitiesPerformer)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id"
         id="tmp-5cdd1ec9-db92-42c9-aa0e-6bd62a610a9a">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant"
         id="tmp-45174e26-ca1b-45a5-93a6-1c4391e91cdc">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@typeCode='INF' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location"
         id="tmp-29ba8281-ae10-4771-b78a-1017e567fc5d">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@typeCode='LOC' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]"
         id="tmp-3aa738e6-4ee9-4060-9f32-46e20481b833">
      <extends rule="tmp-5714594e-38c8-488a-ba1c-ee685514faba"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@typeCode='SUBJ' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (activitiesSubjectOfConclusion)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (activitiesSubjectOfConclusion)
-->
<rule id="tmp-5714594e-38c8-488a-ba1c-ee685514faba" abstract="true">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:conclusion)&lt;=1">(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion"
         id="tmp-31509df4-97c2-44c3-a68d-ff0a492f6002">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@classCode='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@moodCode='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:text)&lt;=1">(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code"
         id="tmp-1d79561e-9fe9-4b79-b459-a873f4f9efc8">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text"
         id="tmp-7c4d3cd5-9934-412b-a419-e227af2ff917">
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component"
         id="tmp-381cdaa6-dd77-4043-b997-923f4432fe4d">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@typeCode='COMP' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:indication)&lt;=1">(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication"
         id="tmp-b6ed5ae3-b5b0-4716-a6d2-eeedd7c75a33">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@classCode='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@moodCode='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:value)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:value)&lt;=1">(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:reasonOf)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code"
         id="tmp-6b67490c-5a93-439d-81e9-2f51af0c1949">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value"
         id="tmp-878e48af-1d8b-4887-987c-97ea9990c25f">
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf"
         id="tmp-44ee9fa7-922a-4500-be34-f541b5374d04">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@typeCode='RSON' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.</assert>
      <let name="elmcount"
           value="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="$elmcount&gt;=1">(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="$elmcount&lt;=1">(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf
Item: (activitiesSubjectOfConclusion)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-cb514355-803c-4969-8712-7662d914766b">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@classCode='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@moodCode='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-4a4141d7-22bc-4124-8c1e-81a2401848f9">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-6bd9b1cb-8a9d-4abd-9004-e09781028809">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@classCode='REG' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@moodCode='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-8f430a0f-482d-4e75-91d6-a8ce8a382871">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-9bc8ac8a-e17f-4e99-9a23-08798d96ca96">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@classCode='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@moodCode='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-ac857bd0-0dfa-49c5-8de0-7fd9eb601e7d">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-3e59fe39-e3c7-42e2-b3d2-8155b1358920">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@classCode='PCPR' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@moodCode='RQO' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:performer)&lt;=1">(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-28c14577-acf8-4cba-a7e3-14d953293e6b">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer"
         id="tmp-8d89d441-47b7-4928-9f9a-2ef493d7fb94">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@typeCode='PRF' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:assignedEntity)&lt;=1">(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity"
         id="tmp-8d0e2c47-e022-4333-9f73-ea80405dc113">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@classCode='ASSIGNED' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code"
         id="tmp-4d7d149c-30ee-4b24-815f-79aa02d7c5cf">
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]"
         id="tmp-b660d3b0-b2d0-4dcb-b075-1b2505656a0a">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@classCode='ACT' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@moodCode='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code"
         id="tmp-eda06e2b-8dab-4ae5-b7d8-1a7da862057f">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor='OTH'">(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:originalText)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:originalText)&lt;=1">(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText"
         id="tmp-e2ea3899-eee2-47bb-8fd0-47bc5a4838f9">
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf"
         id="tmp-0272e4a3-3369-4da7-b279-f72ad604ae7b">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@typeCode='SUBJ' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:annotation)&lt;=1">(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation"
         id="tmp-46880c46-bd35-4047-9818-521001f5f74a">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@classCode='ACT' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@moodCode='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:text)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:text)&lt;=1">(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code"
         id="tmp-2d5709a3-d7cd-48aa-9667-6f52f5e689c9">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text"
         id="tmp-d8c56d90-c5cd-481d-8651-cbec03d16d4b">
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2"
         id="tmp-6aa3b314-0488-4827-94d1-06a08eb04262">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@typeCode='SUBJ' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)">(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:annotation)&lt;=1">(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation"
         id="tmp-032c0a69-dbdd-4899-897f-d817fc4dd6a7">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 ">(rubricClusterObservation): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(rubricClusterObservation): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:text)&lt;=1">(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code"
         id="tmp-d18fdef1-438e-4bee-8751-cbbddd8ce890">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')">(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text"
         id="tmp-c2393d7b-802b-4b2b-8581-914a7680b98d">
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (rubricCluster21)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster
Item: (obs_Anticonceptie)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (obs_Anticonceptie)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]"
         id="tmp-2e2acd7a-593b-4e42-8f92-cc60f2d88028">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)">(obs_Anticonceptie): element hl7:observation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:observation)&lt;=1">(obs_Anticonceptie): element hl7:observation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (obs_Anticonceptie)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation"
         id="tmp-a1de2de7-b5f2-4d61-96ab-ceb22ca2695e">
      <extends rule="tmp-27258c58-dd49-469b-8f4a-c78daa519426"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40771'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40771']/@nullFlavor)">(obs_Anticonceptie): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40771'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40771'])&lt;=1">(obs_Anticonceptie): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40771'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(obs_Anticonceptie): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(obs_Anticonceptie): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:value)&gt;=1 ">(obs_Anticonceptie): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:value)&lt;=1">(obs_Anticonceptie): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40771']
Item: (obs_Anticonceptie)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40771']"
         id="tmp-fab4e0b4-c4ae-4ce5-9898-591aed7e31bd">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@root='2.16.840.1.113883.2.4.6.10.100.40771'">(obs_Anticonceptie): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40771' hebben.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(obs_Anticonceptie): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code
Item: (obs_Anticonceptie)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code"
         id="tmp-9abd9f51-9837-4adc-9eab-44b99b1eed32">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or (@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(obs_Anticonceptie): de waarde van @code/@codeSystem MOET ''771' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value
Item: (obs_Anticonceptie)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value"
         id="tmp-9632bbdd-c2f7-41b2-82cd-40f47630e8b9">
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-W0211_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-W0211_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(obs_Anticonceptie): de waarde van @code MOET worden gekozen uit waardenlijst W0211_HL7 W0211 Anticonceptie (HL7) DYNAMIC.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(obs_Anticonceptie): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0211_HL7 W0211 Anticonceptie (HL7) DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (rubricClusterObservation)
-->
<rule id="tmp-27258c58-dd49-469b-8f4a-c78daa519426" abstract="true">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@classCode='OBS' or not(@classCode)">(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@moodCode='EVN' or not(@moodCode)">(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1">(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:text
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode"
         id="tmp-7f03aa5b-83e7-42a3-8f34-6a78c87022ec">
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:effectiveTime
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode"
         id="tmp-5d9cd4c3-4056-401b-aede-8f36ebbb13e1">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode"
         id="tmp-a0b67946-b134-4a6c-a58e-4694317f221e">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject"
         id="tmp-4d778e9c-8115-451d-a691-0e9044056b74">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@typeCode='SBJ' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (activitiesPerformer)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer
Item: (activitiesPerformer)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer
Item: (activitiesPerformer)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer"
         id="tmp-88fb8a56-aacc-4832-ae63-4dd29c0aa1e5">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@typeCode='PRF' or not(@typeCode)">(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)">(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:assignedEntity)&lt;=1">(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity
Item: (activitiesPerformer)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity"
         id="tmp-5bf85c62-ff43-48f5-927a-e9d14305982c">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(activitiesPerformer): element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:id)&lt;=1">(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id
Item: (activitiesPerformer)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id"
         id="tmp-b60ecee3-6762-4bbd-80b8-2e6450935558">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant"
         id="tmp-c24bee83-d54f-47b2-8f8f-f613ce1b6596">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@typeCode='INF' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location"
         id="tmp-14c74391-45f2-49f9-862e-5eea669bc6a1">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@typeCode='LOC' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]"
         id="tmp-5d081cd4-1f49-4809-bf76-905c9306d91f">
      <extends rule="tmp-302865d0-05aa-49ea-90ed-15ccb5b0e2c9"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@typeCode='SUBJ' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (activitiesSubjectOfConclusion)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (activitiesSubjectOfConclusion)
-->
<rule id="tmp-302865d0-05aa-49ea-90ed-15ccb5b0e2c9" abstract="true">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:conclusion)&lt;=1">(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion"
         id="tmp-567f566e-27e6-49a7-9f41-8308bd24ff6c">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@classCode='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@moodCode='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:text)&lt;=1">(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code"
         id="tmp-717e94d7-5448-4cab-ba84-7483884eaea6">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text"
         id="tmp-633e93c1-737b-4103-b2d8-84a074db360e">
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component"
         id="tmp-c2a7bd13-95c3-4329-9334-8ce3f55dad6a">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@typeCode='COMP' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:indication)&lt;=1">(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication"
         id="tmp-d3955ef6-95b1-4288-a957-1e6795d6e950">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@classCode='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@moodCode='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:value)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:value)&lt;=1">(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:reasonOf)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code"
         id="tmp-13c73e0d-00cf-4f87-b68d-cbd55964a98e">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value"
         id="tmp-4dc7d70b-0ad1-468d-8dc3-e518784a19d8">
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf"
         id="tmp-a00e748f-7837-48b5-b21b-f01c229731ec">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@typeCode='RSON' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.</assert>
      <let name="elmcount"
           value="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="$elmcount&gt;=1">(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="$elmcount&lt;=1">(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf
Item: (activitiesSubjectOfConclusion)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-3404df5e-7295-4c4f-87f2-06034330e245">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@classCode='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@moodCode='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-edb0c040-98a6-4166-83a9-b07dce2c13db">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-5724f6ca-3618-4670-bd28-615747ce0d81">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@classCode='REG' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@moodCode='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-3e3ab248-78cf-46fc-b07c-4d2ec0d5bbc8">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-273cf4da-4705-4066-9a2e-8b4460a71b3c">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@classCode='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@moodCode='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-79f833c8-70d0-4ae7-b87a-398ea463cee5">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-68ced90c-9ba9-4332-a351-af72bb44fe40">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@classCode='PCPR' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@moodCode='RQO' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:performer)&lt;=1">(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-d2aad2b8-09e8-4ce6-950e-4d4a88ae9a6e">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer"
         id="tmp-3f602ea7-42bd-4d3b-aefb-ba80f8c15ba7">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@typeCode='PRF' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:assignedEntity)&lt;=1">(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity"
         id="tmp-27145c1f-4a59-45b0-8b87-39fc24e52fb6">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@classCode='ASSIGNED' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code"
         id="tmp-3b894efb-8610-4e1e-a8a3-f86131f96fe7">
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]"
         id="tmp-851478ce-1ce0-48f3-a8a3-e3efa55d7484">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@classCode='ACT' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@moodCode='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code"
         id="tmp-6ccef224-efa8-428a-a480-962c1bca9790">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor='OTH'">(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:originalText)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:originalText)&lt;=1">(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText"
         id="tmp-b15abbf3-4d59-46c6-948f-2fccbd86c4df">
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf"
         id="tmp-248f63bf-b565-4887-abc8-dc9772484bab">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@typeCode='SUBJ' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:annotation)&lt;=1">(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation"
         id="tmp-c8487b1d-82ea-4dda-8efb-c6287c88085e">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@classCode='ACT' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@moodCode='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:text)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:text)&lt;=1">(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code"
         id="tmp-986839fa-e056-4432-92a1-386f316db812">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text"
         id="tmp-04aa7e41-a06c-4722-ad91-35696783bb47">
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2"
         id="tmp-ef2fefb3-bb68-4d4f-b231-b4d607a4d150">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@typeCode='SUBJ' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)">(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:annotation)&lt;=1">(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation"
         id="tmp-1f6f5343-8d8f-437c-b6e7-cb7ac668fd27">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 ">(rubricClusterObservation): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(rubricClusterObservation): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:text)&lt;=1">(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code"
         id="tmp-e331c468-937f-4d03-b2cb-cc5fc88673a0">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')">(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text"
         id="tmp-67946ebe-add0-4c8f-8ff2-36b22e88a9c0">
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (rubricCluster21)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster
Item: (obs_Adaptatiepersoonlijkheidsociaal_gedrag_nagevra)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (obs_Adaptatiepersoonlijkheidsociaal_gedrag_nagevra)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]"
         id="tmp-682bd128-da1d-4793-bcdf-222cfb5086c9">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)">(obs_Adaptatiepersoonlijkheidsociaal_gedrag_nagevra): element hl7:observation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:observation)&lt;=1">(obs_Adaptatiepersoonlijkheidsociaal_gedrag_nagevra): element hl7:observation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (obs_Adaptatiepersoonlijkheidsociaal_gedrag_nagevra)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation"
         id="tmp-ba03eed9-7693-4eab-b76b-c7753d199c2c">
      <extends rule="tmp-2a6c8043-2f59-439d-a44b-bae5887fab30"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40772'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40772']/@nullFlavor)">(obs_Adaptatiepersoonlijkheidsociaal_gedrag_nagevra): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40772'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40772'])&lt;=1">(obs_Adaptatiepersoonlijkheidsociaal_gedrag_nagevra): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40772'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(obs_Adaptatiepersoonlijkheidsociaal_gedrag_nagevra): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(obs_Adaptatiepersoonlijkheidsociaal_gedrag_nagevra): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(obs_Adaptatiepersoonlijkheidsociaal_gedrag_nagevra): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:value)&lt;=1">(obs_Adaptatiepersoonlijkheidsociaal_gedrag_nagevra): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40772']
Item: (obs_Adaptatiepersoonlijkheidsociaal_gedrag_nagevra)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40772']"
         id="tmp-dae47542-af49-4d9b-b7ca-6fb22b124e30">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@root='2.16.840.1.113883.2.4.6.10.100.40772'">(obs_Adaptatiepersoonlijkheidsociaal_gedrag_nagevra): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40772' hebben.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(obs_Adaptatiepersoonlijkheidsociaal_gedrag_nagevra): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code
Item: (obs_Adaptatiepersoonlijkheidsociaal_gedrag_nagevra)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code"
         id="tmp-26b27f59-6d05-4f0b-83b2-880d5af90560">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or (@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(obs_Adaptatiepersoonlijkheidsociaal_gedrag_nagevra): de waarde van @code/@codeSystem MOET ''772' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value
Item: (obs_Adaptatiepersoonlijkheidsociaal_gedrag_nagevra)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value"
         id="tmp-2a4de26c-31e0-4030-a9c3-c374f0537943">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (rubricClusterObservation)
-->
<rule id="tmp-2a6c8043-2f59-439d-a44b-bae5887fab30" abstract="true">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@classCode='OBS' or not(@classCode)">(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@moodCode='EVN' or not(@moodCode)">(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1">(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:text
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode"
         id="tmp-c7ddeb08-cdc5-43dd-928e-ff50076c7930">
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:effectiveTime
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode"
         id="tmp-afd8467e-ad61-40ee-bf79-90d73e9a83e1">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode"
         id="tmp-4618f2f1-285f-426f-aff1-a62f73214bab">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject"
         id="tmp-5725c032-b462-40dd-8948-14bfac075318">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@typeCode='SBJ' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (activitiesPerformer)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer
Item: (activitiesPerformer)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer
Item: (activitiesPerformer)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer"
         id="tmp-5eecc6cf-557e-44ff-8a72-9bd92bebb32b">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@typeCode='PRF' or not(@typeCode)">(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)">(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:assignedEntity)&lt;=1">(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity
Item: (activitiesPerformer)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity"
         id="tmp-ea7dbb80-2586-4ff3-86be-328b0488e617">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(activitiesPerformer): element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:id)&lt;=1">(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id
Item: (activitiesPerformer)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id"
         id="tmp-f0d5167b-7f75-4399-8dfb-cb2de48780bd">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant"
         id="tmp-aa43ddcf-69de-426c-9340-4bc5ad382e12">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@typeCode='INF' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location"
         id="tmp-2b7a03fd-d952-4ead-955a-dcb09fa0278c">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@typeCode='LOC' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]"
         id="tmp-18921827-8bc2-4f66-9818-912d16f18f77">
      <extends rule="tmp-cace8809-cd1d-43ae-854d-b247016d8865"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@typeCode='SUBJ' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (activitiesSubjectOfConclusion)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (activitiesSubjectOfConclusion)
-->
<rule id="tmp-cace8809-cd1d-43ae-854d-b247016d8865" abstract="true">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:conclusion)&lt;=1">(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion"
         id="tmp-db519019-998f-4b8f-ae95-eb3faab51a48">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@classCode='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@moodCode='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:text)&lt;=1">(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code"
         id="tmp-98758f9a-9439-4bf3-b760-d247aac96c57">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text"
         id="tmp-47e395b3-8430-4962-b443-28a2a342cb3c">
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component"
         id="tmp-1bc82af9-556d-4f6e-b8c2-64d1085d7ddd">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@typeCode='COMP' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:indication)&lt;=1">(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication"
         id="tmp-c0c84e56-f13a-4fc0-9fa2-b0e0fd7cf15e">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@classCode='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@moodCode='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:value)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:value)&lt;=1">(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:reasonOf)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code"
         id="tmp-d582e124-d626-4246-b2bb-e21f5a56bc1e">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value"
         id="tmp-381e424b-8b20-47ae-984f-789166e13b02">
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf"
         id="tmp-c524d402-4d03-4b47-b32c-6b5fe0473bd2">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@typeCode='RSON' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.</assert>
      <let name="elmcount"
           value="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="$elmcount&gt;=1">(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="$elmcount&lt;=1">(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf
Item: (activitiesSubjectOfConclusion)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-a09e3168-e0ca-45e5-8f70-4b9169147792">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@classCode='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@moodCode='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-4141d022-42f0-430b-8d9c-91fc4ef5d1c7">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-77d21527-e62b-4693-8585-1968d83700a3">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@classCode='REG' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@moodCode='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-30da7655-68f3-4669-8c8a-a9bd9abaa10c">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-e42d88c7-0aa4-4733-bde8-857a8230a2a3">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@classCode='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@moodCode='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-4056a540-9c7a-4874-bfaf-09722792b91b">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-a343363f-ee0a-400f-ae8e-b9e1791c4485">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@classCode='PCPR' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@moodCode='RQO' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:performer)&lt;=1">(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-aa1ce5ef-5259-4020-b396-ff33ea474a1b">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer"
         id="tmp-7756bf0e-cda3-4cc4-a08f-0554e0aed773">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@typeCode='PRF' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:assignedEntity)&lt;=1">(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity"
         id="tmp-472a2f1d-0447-4e40-a4b8-f8ea0e2614c3">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@classCode='ASSIGNED' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code"
         id="tmp-ce55f502-cf69-46d7-bfb9-773ae95b200b">
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]"
         id="tmp-e9bb68f7-c275-4e85-bcbc-0677ed0c8a62">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@classCode='ACT' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@moodCode='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code"
         id="tmp-5bc4ff96-677b-4c52-9a94-6bf6c30b687f">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor='OTH'">(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:originalText)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:originalText)&lt;=1">(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText"
         id="tmp-351862d3-4dd7-45a7-a3b1-1bf9502e7b43">
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf"
         id="tmp-f3c062d8-df4e-4666-9e2d-0a1beb1747b3">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@typeCode='SUBJ' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:annotation)&lt;=1">(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation"
         id="tmp-9e2c5566-7cd9-4e10-81a7-5585932ad6fa">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@classCode='ACT' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@moodCode='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:text)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:text)&lt;=1">(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code"
         id="tmp-af4c48d2-a2f3-4ef5-92b5-10d6afb8d11b">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text"
         id="tmp-b613da67-c534-4035-9402-3bffd1baa758">
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2"
         id="tmp-c47213bc-d540-4829-b1eb-12e04dc67918">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@typeCode='SUBJ' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)">(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:annotation)&lt;=1">(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation"
         id="tmp-f20f728a-1257-4f1e-80d7-937e3a56ed14">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 ">(rubricClusterObservation): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(rubricClusterObservation): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:text)&lt;=1">(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code"
         id="tmp-b341e401-e376-4755-95d3-9acfe782f527">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')">(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text"
         id="tmp-da4131c2-4d17-48b0-a382-a43948c80d29">
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (rubricCluster21)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster
Item: (obs_Bijzonderheden_hechting)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (obs_Bijzonderheden_hechting)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]"
         id="tmp-6138dfa6-db43-478e-bf59-6906253d7a9f">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)">(obs_Bijzonderheden_hechting): element hl7:observation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:observation)&lt;=1">(obs_Bijzonderheden_hechting): element hl7:observation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (obs_Bijzonderheden_hechting)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation"
         id="tmp-d1c1e190-425f-4761-9d37-3a88a54b3807">
      <extends rule="tmp-beeb3c5b-3321-4cb4-9cf6-211239ac6228"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40773'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40773']/@nullFlavor)">(obs_Bijzonderheden_hechting): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40773'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40773'])&lt;=1">(obs_Bijzonderheden_hechting): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40773'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(obs_Bijzonderheden_hechting): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(obs_Bijzonderheden_hechting): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:value)&gt;=1 ">(obs_Bijzonderheden_hechting): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:value)&lt;=1">(obs_Bijzonderheden_hechting): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40773']
Item: (obs_Bijzonderheden_hechting)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40773']"
         id="tmp-62329bc1-5c88-46f6-8614-a866ccfeec96">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@root='2.16.840.1.113883.2.4.6.10.100.40773'">(obs_Bijzonderheden_hechting): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40773' hebben.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(obs_Bijzonderheden_hechting): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code
Item: (obs_Bijzonderheden_hechting)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code"
         id="tmp-be98f942-ce07-42bc-8770-a6839a7dc3d1">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or (@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(obs_Bijzonderheden_hechting): de waarde van @code/@codeSystem MOET ''773' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value
Item: (obs_Bijzonderheden_hechting)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value"
         id="tmp-11e20258-76dd-43b5-a9a5-003f8c9cd3cf">
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (rubricClusterObservation)
-->
<rule id="tmp-beeb3c5b-3321-4cb4-9cf6-211239ac6228" abstract="true">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@classCode='OBS' or not(@classCode)">(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@moodCode='EVN' or not(@moodCode)">(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1">(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:text
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode"
         id="tmp-5a4dc2f3-e566-44b4-afb7-aa976cf357fd">
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:effectiveTime
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode"
         id="tmp-f67ec5e3-2546-4fc6-954e-4ab48b33a63e">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode"
         id="tmp-784657bc-29c6-4516-ac3c-6aee8b8a4b66">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject"
         id="tmp-a45012ea-96c5-4cf7-a370-9229a8b8534a">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@typeCode='SBJ' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (activitiesPerformer)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer
Item: (activitiesPerformer)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer
Item: (activitiesPerformer)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer"
         id="tmp-5bfdacfc-22c9-4de1-a3dd-7b5fc8d9b00e">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@typeCode='PRF' or not(@typeCode)">(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)">(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:assignedEntity)&lt;=1">(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity
Item: (activitiesPerformer)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity"
         id="tmp-f2bddc3e-8b19-4c85-9ec2-b09b7411401b">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(activitiesPerformer): element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:id)&lt;=1">(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id
Item: (activitiesPerformer)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id"
         id="tmp-ccf2f81c-1bed-4e4d-a1a9-ed37f9b4fc52">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant"
         id="tmp-29e2cd92-4842-470e-86ea-849c562842ad">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@typeCode='INF' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location"
         id="tmp-9e927b0b-a3bf-45be-9b82-8670a83c96d6">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@typeCode='LOC' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]"
         id="tmp-cdd619b5-f2f4-4451-9bb9-579db79f9e3d">
      <extends rule="tmp-ec54cb15-9bdd-45c1-88a2-caf0e7acca5f"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@typeCode='SUBJ' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (activitiesSubjectOfConclusion)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (activitiesSubjectOfConclusion)
-->
<rule id="tmp-ec54cb15-9bdd-45c1-88a2-caf0e7acca5f" abstract="true">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:conclusion)&lt;=1">(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion"
         id="tmp-c6de3648-5211-40c9-8e6f-ad450223caa9">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@classCode='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@moodCode='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:text)&lt;=1">(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code"
         id="tmp-9f570181-1301-4873-80e2-97de8833b344">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text"
         id="tmp-9f0f682c-8c57-427f-b9d9-09063de4e886">
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component"
         id="tmp-08e7e2e0-8ede-440d-9c43-125427c7d0f9">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@typeCode='COMP' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:indication)&lt;=1">(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication"
         id="tmp-713db5bb-556a-48b8-b22d-324dd3c75520">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@classCode='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@moodCode='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:value)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:value)&lt;=1">(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:reasonOf)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code"
         id="tmp-fb4ac748-9aa8-4aae-b556-c0693f39606c">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value"
         id="tmp-6c04f085-e85b-4adc-9553-9e96a315d5af">
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf"
         id="tmp-4b42cf5d-2b72-4859-b27e-12594e9145b6">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@typeCode='RSON' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.</assert>
      <let name="elmcount"
           value="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="$elmcount&gt;=1">(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="$elmcount&lt;=1">(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf
Item: (activitiesSubjectOfConclusion)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-25dc2e21-f3b4-4d51-8f19-228d59f84183">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@classCode='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@moodCode='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-cd288b53-02a6-40a7-a082-ecfe90ac081e">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-7b301dd8-4e89-4d60-ac87-b07955ab0ac1">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@classCode='REG' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@moodCode='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-a4627e72-f507-4cd4-877a-be4537d18601">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-7c615531-87eb-4c9f-8597-1647932c676e">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@classCode='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@moodCode='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-de9c2a95-e763-45b0-8cbe-c34a0caf3930">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-75776e21-9b64-4b4a-b4da-c44a906e9da0">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@classCode='PCPR' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@moodCode='RQO' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:performer)&lt;=1">(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-4b6c3126-6dd6-45bf-a113-158bf8f76330">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer"
         id="tmp-942e0ce7-0023-4158-b39a-0d8879961186">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@typeCode='PRF' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:assignedEntity)&lt;=1">(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity"
         id="tmp-4f87e3f9-a0ea-4ae7-82f7-86c1c4a09f53">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@classCode='ASSIGNED' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code"
         id="tmp-53a71bc0-3e9e-4d84-9f34-1def7eadbfa7">
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]"
         id="tmp-9b8a9d3c-42cd-4a73-8895-7784443cafe2">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@classCode='ACT' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@moodCode='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code"
         id="tmp-19d7886f-7f55-469e-af2c-0cf84b5f8f14">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor='OTH'">(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:originalText)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:originalText)&lt;=1">(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText"
         id="tmp-c94551fc-f2a4-408a-9b9c-06fc0159cf8a">
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf"
         id="tmp-2ccc7f5c-4cab-4a54-9648-44c210394d3f">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@typeCode='SUBJ' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:annotation)&lt;=1">(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation"
         id="tmp-03809f59-e3c4-4823-8816-6107f8cc686d">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@classCode='ACT' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@moodCode='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:text)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:text)&lt;=1">(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code"
         id="tmp-f79e0bc9-3bd5-473a-8663-371bd9004850">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text"
         id="tmp-9dcf9e20-2596-41cd-b580-fa2f826a4e7b">
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2"
         id="tmp-525ec3ac-3916-42cc-8fef-4c57a31b0c6d">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@typeCode='SUBJ' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)">(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:annotation)&lt;=1">(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation"
         id="tmp-12adf5bd-9a78-44c9-8391-3b268584766a">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 ">(rubricClusterObservation): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(rubricClusterObservation): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:text)&lt;=1">(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code"
         id="tmp-3df52f6b-bed6-4594-a0be-bb7e33128581">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')">(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text"
         id="tmp-886a116f-fd47-4575-8b50-f32695eb5a8a">
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (rubricCluster21)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster
Item: (obs_Bijzonderheden_ouder-kind_relatie)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (obs_Bijzonderheden_ouder-kind_relatie)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]"
         id="tmp-e2a109ac-305b-41e4-9f46-f29073ae6c98">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)">(obs_Bijzonderheden_ouder-kind_relatie): element hl7:observation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:observation)&lt;=1">(obs_Bijzonderheden_ouder-kind_relatie): element hl7:observation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (obs_Bijzonderheden_ouder-kind_relatie)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation"
         id="tmp-a6899137-6344-4212-a7ba-70cf3130dd64">
      <extends rule="tmp-cbd8c041-7e62-4d04-935d-de6540a0a039"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40774'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40774']/@nullFlavor)">(obs_Bijzonderheden_ouder-kind_relatie): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40774'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40774'])&lt;=1">(obs_Bijzonderheden_ouder-kind_relatie): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40774'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(obs_Bijzonderheden_ouder-kind_relatie): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(obs_Bijzonderheden_ouder-kind_relatie): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:value)&gt;=1 ">(obs_Bijzonderheden_ouder-kind_relatie): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:value)&lt;=1">(obs_Bijzonderheden_ouder-kind_relatie): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40774']
Item: (obs_Bijzonderheden_ouder-kind_relatie)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40774']"
         id="tmp-3bdda3a1-16a3-452a-b6c5-3efea6d69af3">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@root='2.16.840.1.113883.2.4.6.10.100.40774'">(obs_Bijzonderheden_ouder-kind_relatie): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40774' hebben.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(obs_Bijzonderheden_ouder-kind_relatie): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code
Item: (obs_Bijzonderheden_ouder-kind_relatie)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code"
         id="tmp-8bc3c2ff-73c9-4f1e-834b-f36dc0eecba8">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or (@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(obs_Bijzonderheden_ouder-kind_relatie): de waarde van @code/@codeSystem MOET ''774' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value
Item: (obs_Bijzonderheden_ouder-kind_relatie)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value"
         id="tmp-7a5184d8-c802-4273-89d1-3f4f09f463de">
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (rubricClusterObservation)
-->
<rule id="tmp-cbd8c041-7e62-4d04-935d-de6540a0a039" abstract="true">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@classCode='OBS' or not(@classCode)">(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@moodCode='EVN' or not(@moodCode)">(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1">(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:text
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode"
         id="tmp-42a31beb-a69b-403c-a87c-5fc978222ec2">
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:effectiveTime
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode"
         id="tmp-fb0a204e-9d08-481d-aa2f-e3f21cccfe41">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode"
         id="tmp-833d95a9-2e25-4b9e-a415-a9420fbf373d">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject"
         id="tmp-76358f16-40a8-412b-841a-d7cb2ff5581a">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@typeCode='SBJ' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (activitiesPerformer)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer
Item: (activitiesPerformer)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer
Item: (activitiesPerformer)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer"
         id="tmp-1bde63b0-1a9b-45ed-b8db-ff0ac75b0fbb">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@typeCode='PRF' or not(@typeCode)">(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)">(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:assignedEntity)&lt;=1">(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity
Item: (activitiesPerformer)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity"
         id="tmp-9feb72bf-9356-4655-9229-97b83e777317">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(activitiesPerformer): element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:id)&lt;=1">(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id
Item: (activitiesPerformer)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id"
         id="tmp-5c1d8df3-ee8e-4c76-8b48-2caa6f5fd4b2">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant"
         id="tmp-eb184c76-5212-4bd1-8881-c6afedb76bc3">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@typeCode='INF' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location"
         id="tmp-59926e9b-19e6-405d-b8eb-35053ffc8e4c">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@typeCode='LOC' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]"
         id="tmp-b937a762-04e3-4e76-be87-89029f98d1d3">
      <extends rule="tmp-03a86395-fa24-41a1-a187-5865d59d5e8f"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@typeCode='SUBJ' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (activitiesSubjectOfConclusion)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (activitiesSubjectOfConclusion)
-->
<rule id="tmp-03a86395-fa24-41a1-a187-5865d59d5e8f" abstract="true">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:conclusion)&lt;=1">(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion"
         id="tmp-49052584-84fa-41ba-a35e-dedad47bfbe3">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@classCode='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@moodCode='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:text)&lt;=1">(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code"
         id="tmp-7728c505-f213-4255-8d2d-10f1b70b856a">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text"
         id="tmp-4a2d40a3-a7a0-4463-a94c-65ee798a0a43">
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component"
         id="tmp-437fe8c6-0b5d-4438-a4c6-a9401ac3fe48">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@typeCode='COMP' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:indication)&lt;=1">(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication"
         id="tmp-32074e52-3691-4f02-a9f6-d7dc3bfa4260">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@classCode='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@moodCode='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:value)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:value)&lt;=1">(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:reasonOf)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code"
         id="tmp-7f59275d-b1e9-4569-9941-5037e9e52f96">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value"
         id="tmp-6a20d6f6-3347-4543-81df-9a276523dea0">
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf"
         id="tmp-556a2bf3-5aa8-4f9d-9a16-ec864bd3f7ce">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@typeCode='RSON' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.</assert>
      <let name="elmcount"
           value="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="$elmcount&gt;=1">(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="$elmcount&lt;=1">(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf
Item: (activitiesSubjectOfConclusion)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-fcb87eae-d84b-48fb-b80f-2c6463b2ce63">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@classCode='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@moodCode='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-d83436fa-e8cb-4655-b22a-8dcc7ed8ba9b">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-14ec75ad-fb81-4306-adfc-9dfc71f0d61d">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@classCode='REG' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@moodCode='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-8d644907-b380-49a1-934a-13f60dc0d4fe">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-15f45f98-a3d1-4617-bf21-50501be48737">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@classCode='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@moodCode='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-81180b53-2994-4840-b270-86cf2c313d5f">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-7aa2b148-32bb-4381-94cc-4f7f46252604">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@classCode='PCPR' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@moodCode='RQO' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:performer)&lt;=1">(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-03be0037-eaf5-4d9a-8cb6-7d6c91265819">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer"
         id="tmp-1bbc522c-f4f3-4ccc-8d71-967e24992baf">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@typeCode='PRF' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:assignedEntity)&lt;=1">(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity"
         id="tmp-07f3e9e2-6a6c-4392-8ba3-c76539c44af2">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@classCode='ASSIGNED' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code"
         id="tmp-c2c0a8b5-3b4a-4dbd-81d4-ea2ca8a839a1">
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]"
         id="tmp-e4ae2368-3dc7-4e7b-b7d5-1d3e2488d8e1">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@classCode='ACT' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@moodCode='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code"
         id="tmp-b9eec125-3e58-4fac-bf0b-5a9d11349b8b">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor='OTH'">(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:originalText)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:originalText)&lt;=1">(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText"
         id="tmp-c194ff92-aa1a-4202-a0d1-782eb5633625">
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf"
         id="tmp-27d912b0-14d7-4885-a72d-322ed3aa1314">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@typeCode='SUBJ' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:annotation)&lt;=1">(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation"
         id="tmp-9e83b037-f7de-4cf0-9de2-8f9454072517">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@classCode='ACT' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@moodCode='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:text)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:text)&lt;=1">(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code"
         id="tmp-3e219ff5-3a01-4685-b4ad-6af633701f82">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text"
         id="tmp-3c53ea8d-c648-466e-9cd3-74a1f96a0a41">
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2"
         id="tmp-4b110a5f-cc16-4459-ab3b-84d1cf41525e">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@typeCode='SUBJ' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)">(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:annotation)&lt;=1">(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation"
         id="tmp-3a21cbe8-587b-47f6-ad96-ecfb3b1c1650">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 ">(rubricClusterObservation): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(rubricClusterObservation): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:text)&lt;=1">(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code"
         id="tmp-7c96fe39-ea8b-45e3-8920-4bf86b0731fe">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')">(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text"
         id="tmp-6920f6d4-eab7-41c2-837f-8532b6a25d2c">
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (rubricCluster21)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster
Item: (obs_Bijzonderheden_gedragtemperament)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (obs_Bijzonderheden_gedragtemperament)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]"
         id="tmp-f089b869-371e-4011-befa-84b09ac4c689">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)">(obs_Bijzonderheden_gedragtemperament): element hl7:observation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:observation)&lt;=1">(obs_Bijzonderheden_gedragtemperament): element hl7:observation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (obs_Bijzonderheden_gedragtemperament)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation"
         id="tmp-18c84bbf-4aa0-4e57-996d-6d204a7d0bf4">
      <extends rule="tmp-93886043-6a48-4935-b466-403a420a79d5"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40328'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40328']/@nullFlavor)">(obs_Bijzonderheden_gedragtemperament): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40328'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40328'])&lt;=1">(obs_Bijzonderheden_gedragtemperament): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40328'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(obs_Bijzonderheden_gedragtemperament): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(obs_Bijzonderheden_gedragtemperament): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:value)&gt;=1 ">(obs_Bijzonderheden_gedragtemperament): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:value)&lt;=1">(obs_Bijzonderheden_gedragtemperament): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40328']
Item: (obs_Bijzonderheden_gedragtemperament)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40328']"
         id="tmp-d42c96a2-2d64-4464-aca6-b819f8698485">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@root='2.16.840.1.113883.2.4.6.10.100.40328'">(obs_Bijzonderheden_gedragtemperament): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40328' hebben.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(obs_Bijzonderheden_gedragtemperament): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code
Item: (obs_Bijzonderheden_gedragtemperament)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code"
         id="tmp-0a84e2e3-df2e-4d30-8a0d-ff20163f42c8">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or (@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(obs_Bijzonderheden_gedragtemperament): de waarde van @code/@codeSystem MOET ''328' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value
Item: (obs_Bijzonderheden_gedragtemperament)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value"
         id="tmp-02fe8fdb-75e6-450d-8d48-2f3fc69b28e6">
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (rubricClusterObservation)
-->
<rule id="tmp-93886043-6a48-4935-b466-403a420a79d5" abstract="true">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@classCode='OBS' or not(@classCode)">(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@moodCode='EVN' or not(@moodCode)">(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1">(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:text
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode"
         id="tmp-9834232a-0213-4edb-b6c8-95302a2c9d30">
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:effectiveTime
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode"
         id="tmp-4aebdd21-3c26-471b-8b6b-76d22d27f974">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode"
         id="tmp-3d896935-3450-46e0-8397-421857454506">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject"
         id="tmp-54eba5d4-0ebe-4bcf-b75b-a6c54d00b979">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@typeCode='SBJ' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (activitiesPerformer)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer
Item: (activitiesPerformer)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer
Item: (activitiesPerformer)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer"
         id="tmp-152d0c20-aad2-432d-b5d9-f01b21ea91ba">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@typeCode='PRF' or not(@typeCode)">(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)">(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:assignedEntity)&lt;=1">(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity
Item: (activitiesPerformer)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity"
         id="tmp-8446c3e9-c110-4450-a3db-fda2a960dd16">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(activitiesPerformer): element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:id)&lt;=1">(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id
Item: (activitiesPerformer)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id"
         id="tmp-20c87d02-d0bf-40ca-849e-e0f602ff375c">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant"
         id="tmp-16e7ae31-4fa4-479e-954b-ed8e7af279b5">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@typeCode='INF' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location"
         id="tmp-47aea9f2-c1e2-4e17-832a-5530af9e49d2">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@typeCode='LOC' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]"
         id="tmp-54fbe22e-0a83-4d74-9942-789002756a69">
      <extends rule="tmp-0e02f953-bcf1-488d-bf9d-a6176b5cd310"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@typeCode='SUBJ' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (activitiesSubjectOfConclusion)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (activitiesSubjectOfConclusion)
-->
<rule id="tmp-0e02f953-bcf1-488d-bf9d-a6176b5cd310" abstract="true">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:conclusion)&lt;=1">(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion"
         id="tmp-772231ee-339d-4a64-af2e-1e9ad3814cb8">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@classCode='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@moodCode='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:text)&lt;=1">(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code"
         id="tmp-45b63a29-e659-4c40-8cd7-2a2f7b31c3f8">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text"
         id="tmp-438ad9bc-ab56-4169-9f04-2bfa167531a2">
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component"
         id="tmp-1e55bfe4-45b5-4451-bd7c-eb7c4a02c4b1">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@typeCode='COMP' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:indication)&lt;=1">(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication"
         id="tmp-0f6478e4-a07b-4bfb-ba2e-450ab6fd342e">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@classCode='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@moodCode='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:value)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:value)&lt;=1">(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:reasonOf)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code"
         id="tmp-14dcc908-cf6f-4e76-8d64-b73423052a78">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value"
         id="tmp-ab1e51c0-41ca-4d87-a68a-a6e4b766d01a">
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf"
         id="tmp-3c432197-d238-4db7-b3bd-9cecde0a2e4a">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@typeCode='RSON' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.</assert>
      <let name="elmcount"
           value="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="$elmcount&gt;=1">(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="$elmcount&lt;=1">(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf
Item: (activitiesSubjectOfConclusion)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-2a243bef-b8f6-492b-8c18-eab49b23de9a">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@classCode='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@moodCode='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-8e232b64-66f8-4c6b-bcd4-3cb3e5af7f4d">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-b0ecebb9-189c-494c-a8cd-a32cf66d6b0b">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@classCode='REG' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@moodCode='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-aaae22c2-6e8d-4353-b84f-97079c0f6a3e">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-dec546eb-96d4-4e1b-8e80-eda1478cb37a">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@classCode='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@moodCode='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-29ec5fc4-edf6-4952-a733-1d50f306a4d8">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-a73d939a-ac76-4ade-aa64-6242f2a54388">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@classCode='PCPR' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@moodCode='RQO' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:performer)&lt;=1">(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-92de5174-49ff-4aa2-b2ec-a5d28dfe7093">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer"
         id="tmp-b4692214-5f35-496b-948a-adc6c6d1fab6">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@typeCode='PRF' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:assignedEntity)&lt;=1">(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity"
         id="tmp-e0a52a69-2082-4865-a4c8-43292d7b591f">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@classCode='ASSIGNED' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code"
         id="tmp-838844b4-19be-4207-85ca-3fe0c2526b4b">
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]"
         id="tmp-aa22d238-3536-419e-b0b1-7417985f1b1a">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@classCode='ACT' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@moodCode='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code"
         id="tmp-ba0b1abb-55d9-480b-a0eb-be1b077851b5">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor='OTH'">(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:originalText)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:originalText)&lt;=1">(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText"
         id="tmp-14856a6e-0ee8-4628-8b8d-9f4f35513df6">
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf"
         id="tmp-dd765818-73f5-4378-b9f8-409b7dfe093c">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@typeCode='SUBJ' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:annotation)&lt;=1">(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation"
         id="tmp-3c74d3ec-74b3-406d-b7e3-b7bf1a37f1fb">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@classCode='ACT' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@moodCode='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:text)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:text)&lt;=1">(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code"
         id="tmp-192d7ea3-b28b-4b69-bea2-e6fd09b5694d">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text"
         id="tmp-685a9ead-0657-475c-8c3a-307adc4854ed">
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2"
         id="tmp-1c4fc7e1-a02b-4b3d-82f7-34f200b07f4a">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@typeCode='SUBJ' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)">(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:annotation)&lt;=1">(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation"
         id="tmp-2861563c-2f5b-4e89-9467-eced07496611">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 ">(rubricClusterObservation): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(rubricClusterObservation): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:text)&lt;=1">(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code"
         id="tmp-3b9355b0-7e75-4d1f-9921-de16d1f3c292">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')">(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text"
         id="tmp-11f9fedc-b2ce-4f2e-9596-b8c058627a94">
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (rubricCluster21)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster
Item: (obs_Bijzonderheden_karakterpersoonlijkheid)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (obs_Bijzonderheden_karakterpersoonlijkheid)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]"
         id="tmp-6648b839-1c6b-4005-9302-6c4edc03e1f2">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)">(obs_Bijzonderheden_karakterpersoonlijkheid): element hl7:observation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:observation)&lt;=1">(obs_Bijzonderheden_karakterpersoonlijkheid): element hl7:observation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (obs_Bijzonderheden_karakterpersoonlijkheid)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation"
         id="tmp-e1c1af73-cbf9-418a-aad9-9f8bcdcef7f8">
      <extends rule="tmp-e4b1a4ff-98d6-4b3a-b18c-cfe3e303d5a8"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40775'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40775']/@nullFlavor)">(obs_Bijzonderheden_karakterpersoonlijkheid): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40775'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40775'])&lt;=1">(obs_Bijzonderheden_karakterpersoonlijkheid): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40775'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(obs_Bijzonderheden_karakterpersoonlijkheid): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(obs_Bijzonderheden_karakterpersoonlijkheid): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:value)&gt;=1 ">(obs_Bijzonderheden_karakterpersoonlijkheid): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:value)&lt;=1">(obs_Bijzonderheden_karakterpersoonlijkheid): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40775']
Item: (obs_Bijzonderheden_karakterpersoonlijkheid)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40775']"
         id="tmp-c5d225ad-7e0d-40c5-9cbf-d86d920c4905">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@root='2.16.840.1.113883.2.4.6.10.100.40775'">(obs_Bijzonderheden_karakterpersoonlijkheid): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40775' hebben.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(obs_Bijzonderheden_karakterpersoonlijkheid): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code
Item: (obs_Bijzonderheden_karakterpersoonlijkheid)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code"
         id="tmp-5f57c60b-b5fc-4ff4-8cb4-d092abefa862">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or (@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(obs_Bijzonderheden_karakterpersoonlijkheid): de waarde van @code/@codeSystem MOET ''775' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value
Item: (obs_Bijzonderheden_karakterpersoonlijkheid)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value"
         id="tmp-a9f0ef9f-f8a4-4032-8745-10ea81011696">
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (rubricClusterObservation)
-->
<rule id="tmp-e4b1a4ff-98d6-4b3a-b18c-cfe3e303d5a8" abstract="true">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@classCode='OBS' or not(@classCode)">(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@moodCode='EVN' or not(@moodCode)">(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1">(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:text
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode"
         id="tmp-3f2d0ee8-d0f1-410c-a8d5-a3be9e5c90e0">
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:effectiveTime
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode"
         id="tmp-42b34d77-d4f2-4f11-8d97-ce627233b643">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode"
         id="tmp-5217e1bd-7c99-474d-ab42-cefc62dae230">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject"
         id="tmp-b19cd179-359c-45e4-9647-a2cc7da95071">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@typeCode='SBJ' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (activitiesPerformer)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer
Item: (activitiesPerformer)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer
Item: (activitiesPerformer)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer"
         id="tmp-21292aa4-619f-4356-90f1-5c2307615eb2">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@typeCode='PRF' or not(@typeCode)">(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)">(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:assignedEntity)&lt;=1">(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity
Item: (activitiesPerformer)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity"
         id="tmp-1870fca0-906c-4795-9066-969d52d185a6">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(activitiesPerformer): element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:id)&lt;=1">(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id
Item: (activitiesPerformer)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id"
         id="tmp-ed717ff4-3672-481b-842e-86de6e52fed0">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant"
         id="tmp-ee7ad814-11bb-4836-af22-d55b33b30f05">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@typeCode='INF' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location"
         id="tmp-7af5e76a-29e9-4f90-a324-bab9643c4ff1">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@typeCode='LOC' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]"
         id="tmp-feea525e-ffd9-44bd-8e96-e06319caae0c">
      <extends rule="tmp-1aacb802-cff9-4c3a-ae38-d18e56a15158"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@typeCode='SUBJ' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (activitiesSubjectOfConclusion)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (activitiesSubjectOfConclusion)
-->
<rule id="tmp-1aacb802-cff9-4c3a-ae38-d18e56a15158" abstract="true">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:conclusion)&lt;=1">(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion"
         id="tmp-a19db275-a5a9-4482-999f-5895dc0667b6">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@classCode='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@moodCode='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:text)&lt;=1">(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code"
         id="tmp-96f34541-00bc-48f3-8530-4293d3ee135a">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text"
         id="tmp-53792182-de83-4670-81cd-86bef06d619e">
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component"
         id="tmp-da65c058-bb98-4db2-a79f-2f560a62999a">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@typeCode='COMP' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:indication)&lt;=1">(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication"
         id="tmp-72d8c2d1-c74c-467f-8c53-4b9943fabf3c">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@classCode='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@moodCode='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:value)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:value)&lt;=1">(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:reasonOf)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code"
         id="tmp-bd5aac24-64fd-49ce-bab0-82dcb30d8564">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value"
         id="tmp-1112797b-aa71-49a6-ba77-66373f2beb83">
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf"
         id="tmp-409255b5-617c-4aac-86b5-7448831c6ebb">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@typeCode='RSON' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.</assert>
      <let name="elmcount"
           value="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="$elmcount&gt;=1">(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="$elmcount&lt;=1">(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf
Item: (activitiesSubjectOfConclusion)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-5353512f-4413-4be9-8f77-5096db5d681e">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@classCode='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@moodCode='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-9a6bc234-a4f6-4980-8c82-27ef7633bddf">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-42f621d0-94cb-4949-973a-4b357defb3cd">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@classCode='REG' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@moodCode='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-8247ae60-e8ed-4532-acf0-92c28ff095d2">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-59b260ec-a693-4262-bc52-fec5d6efe627">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@classCode='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@moodCode='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-d40c88c4-f790-4999-903e-6b88cc56aa22">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-d3193a71-e7d3-4aed-80ee-ccfafadfe8e5">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@classCode='PCPR' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@moodCode='RQO' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:performer)&lt;=1">(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-ac2c3de9-250d-420c-9ecb-64bf501a51e0">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer"
         id="tmp-648559a0-bb05-4f22-9f22-92ed1803e2fd">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@typeCode='PRF' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:assignedEntity)&lt;=1">(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity"
         id="tmp-05f6ca1a-9623-4d24-a536-31cb23d7c2ff">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@classCode='ASSIGNED' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code"
         id="tmp-159fc628-ffc0-48d9-bfc8-747d5cb2ed30">
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]"
         id="tmp-7219c33a-fc15-48a6-b8b0-1091a9772a6a">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@classCode='ACT' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@moodCode='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code"
         id="tmp-268dc0d8-2c52-4ba8-b31e-21dd0e63547d">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor='OTH'">(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:originalText)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:originalText)&lt;=1">(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText"
         id="tmp-0001b779-e5a9-4101-b384-5d00e2da1d50">
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf"
         id="tmp-3779c640-f896-455f-a4f6-ba6f14da7697">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@typeCode='SUBJ' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:annotation)&lt;=1">(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation"
         id="tmp-155b38cb-193e-44de-a746-5ca42e1caf1b">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@classCode='ACT' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@moodCode='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:text)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:text)&lt;=1">(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code"
         id="tmp-a1efcc2f-0f35-42c4-ba4b-947e8ac7ae4a">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text"
         id="tmp-d466527f-6898-4ff2-8ec4-cda71edd6cfb">
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2"
         id="tmp-11bc4081-08bb-4f82-a595-a94230b9a15d">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@typeCode='SUBJ' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)">(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:annotation)&lt;=1">(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation"
         id="tmp-96b0310a-0a87-40fb-be11-a6f02fc7acb2">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 ">(rubricClusterObservation): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(rubricClusterObservation): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:text)&lt;=1">(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code"
         id="tmp-d7c22185-66e9-46dd-b681-fbe3a37d8b5f">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')">(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text"
         id="tmp-f8e93ebf-7901-4db6-974f-51f47a418324">
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (rubricCluster21)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster
Item: (obs_Bijzonderheden_zelfbeeld)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (obs_Bijzonderheden_zelfbeeld)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]"
         id="tmp-ee624245-ad2b-4cd2-80c7-8cc97cd2cb36">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)">(obs_Bijzonderheden_zelfbeeld): element hl7:observation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:observation)&lt;=1">(obs_Bijzonderheden_zelfbeeld): element hl7:observation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (obs_Bijzonderheden_zelfbeeld)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation"
         id="tmp-8d629d32-89c4-434c-9ba3-204bdb4e6bb8">
      <extends rule="tmp-e31f3f4b-a47b-47ee-9bf6-6b796871d8ec"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40776'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40776']/@nullFlavor)">(obs_Bijzonderheden_zelfbeeld): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40776'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40776'])&lt;=1">(obs_Bijzonderheden_zelfbeeld): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40776'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(obs_Bijzonderheden_zelfbeeld): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(obs_Bijzonderheden_zelfbeeld): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:value)&gt;=1 ">(obs_Bijzonderheden_zelfbeeld): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:value)&lt;=1">(obs_Bijzonderheden_zelfbeeld): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40776']
Item: (obs_Bijzonderheden_zelfbeeld)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40776']"
         id="tmp-b23b2118-58b6-414a-b40b-aa6b89d69dec">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@root='2.16.840.1.113883.2.4.6.10.100.40776'">(obs_Bijzonderheden_zelfbeeld): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40776' hebben.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(obs_Bijzonderheden_zelfbeeld): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code
Item: (obs_Bijzonderheden_zelfbeeld)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code"
         id="tmp-240caf42-81a4-41eb-87e7-02344c5d3b2e">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or (@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(obs_Bijzonderheden_zelfbeeld): de waarde van @code/@codeSystem MOET ''776' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value
Item: (obs_Bijzonderheden_zelfbeeld)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value"
         id="tmp-a2ea3171-c5ae-4f49-938c-acd44bed9cc4">
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (rubricClusterObservation)
-->
<rule id="tmp-e31f3f4b-a47b-47ee-9bf6-6b796871d8ec" abstract="true">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@classCode='OBS' or not(@classCode)">(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@moodCode='EVN' or not(@moodCode)">(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1">(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:text
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode"
         id="tmp-21cc6bcb-f5d9-4290-af2c-1c1889914ba1">
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:effectiveTime
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode"
         id="tmp-ed392731-8f94-401f-afd4-3a98d1ed2caf">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode"
         id="tmp-9886ce82-9608-4467-9b80-4ba96f069c60">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject"
         id="tmp-3e01b7d5-b6e1-42a6-8abd-ba9e8dd054ce">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@typeCode='SBJ' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (activitiesPerformer)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer
Item: (activitiesPerformer)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer
Item: (activitiesPerformer)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer"
         id="tmp-d7bdd072-98c0-4c15-9b80-cccba20baeb7">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@typeCode='PRF' or not(@typeCode)">(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)">(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:assignedEntity)&lt;=1">(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity
Item: (activitiesPerformer)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity"
         id="tmp-ede3f108-6c7e-4435-946a-37cdd2e8c5d6">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(activitiesPerformer): element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:id)&lt;=1">(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id
Item: (activitiesPerformer)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id"
         id="tmp-4a2274b0-3e00-4c5f-a299-fd6ace669ce7">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant"
         id="tmp-e159f4e1-d924-4c85-9a8a-3f5825f7648f">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@typeCode='INF' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location"
         id="tmp-f416012e-b644-4128-938e-425e9548c36a">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@typeCode='LOC' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]"
         id="tmp-25acd7ce-1c3e-4352-8f0b-0a3ef9c64081">
      <extends rule="tmp-afa7df50-4e44-4c57-9d0a-b47fbf759915"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@typeCode='SUBJ' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (activitiesSubjectOfConclusion)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (activitiesSubjectOfConclusion)
-->
<rule id="tmp-afa7df50-4e44-4c57-9d0a-b47fbf759915" abstract="true">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:conclusion)&lt;=1">(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion"
         id="tmp-69e7cec4-b171-4d8d-9759-c298996d4ba3">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@classCode='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@moodCode='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:text)&lt;=1">(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code"
         id="tmp-13c69f82-181c-480c-9cc7-917de678a088">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text"
         id="tmp-d8accc9b-438d-4b67-a74c-0fa560a0e562">
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component"
         id="tmp-9ee32e56-35f3-4771-9963-6a1606d0741b">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@typeCode='COMP' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:indication)&lt;=1">(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication"
         id="tmp-4c4ad9af-673e-4c25-9499-096591102fe6">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@classCode='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@moodCode='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:value)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:value)&lt;=1">(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:reasonOf)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code"
         id="tmp-282077e0-b795-4d50-90a6-3e280659748c">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value"
         id="tmp-ba3e4028-7f17-4904-986e-48429495a629">
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf"
         id="tmp-be13d7c2-c113-4c42-b909-512b81c53562">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@typeCode='RSON' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.</assert>
      <let name="elmcount"
           value="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="$elmcount&gt;=1">(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="$elmcount&lt;=1">(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf
Item: (activitiesSubjectOfConclusion)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-7bf37896-854a-4026-93b8-6dbdd8117414">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@classCode='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@moodCode='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-fa1bb9e6-e8e8-4b94-8a20-d04ebe7fbc0e">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-8baa76b3-1289-4a62-862c-28e8d82e3fc6">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@classCode='REG' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@moodCode='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-cdf0859b-9a82-4a59-9067-6252dc43a24d">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-d29f315b-4774-4b8c-9ea7-1deb485ca83b">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@classCode='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@moodCode='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-81259f52-e883-4870-8db4-1acd9d5d37dd">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-7a1d460f-2575-4c3a-a333-e10caaec98a6">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@classCode='PCPR' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@moodCode='RQO' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:performer)&lt;=1">(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-2c0fe13e-64f0-4f35-a0b4-b3ba77a8bb63">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer"
         id="tmp-67fb30f7-dc1d-4865-a7a9-293c20db91a2">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@typeCode='PRF' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:assignedEntity)&lt;=1">(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity"
         id="tmp-b5aa0b9e-d228-4c60-91a8-cf910dd6bec2">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@classCode='ASSIGNED' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code"
         id="tmp-5f0f58c3-3f85-49a7-a491-6eb0165afdf1">
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]"
         id="tmp-53168b26-4a5a-407e-847c-a4b6e49a3fe3">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@classCode='ACT' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@moodCode='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code"
         id="tmp-ab53b4e8-bc4c-402e-835f-29d7745b9c01">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor='OTH'">(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:originalText)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:originalText)&lt;=1">(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText"
         id="tmp-ab329456-807e-4ff3-9a25-e5905032a8aa">
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf"
         id="tmp-e8a24ec9-edf8-47ce-bab4-46d341f9ab04">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@typeCode='SUBJ' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:annotation)&lt;=1">(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation"
         id="tmp-4efe1c65-eea7-4bd2-ac2a-e33e2e7e607a">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@classCode='ACT' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@moodCode='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:text)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:text)&lt;=1">(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code"
         id="tmp-7a4605fa-5b26-44d3-bb16-15ad6052fa82">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text"
         id="tmp-e9db16eb-a7bf-4693-a532-2256ac41b697">
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2"
         id="tmp-a4256ba1-097a-4f6d-aae1-47c8feca7e5d">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@typeCode='SUBJ' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)">(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:annotation)&lt;=1">(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation"
         id="tmp-fa051890-400d-4d6a-b236-427880ca297c">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 ">(rubricClusterObservation): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(rubricClusterObservation): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:text)&lt;=1">(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code"
         id="tmp-e15e6f58-c0df-4605-8d87-dfc65a92530b">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')">(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text"
         id="tmp-5e7ac49f-959b-46db-a10f-f34896849d8d">
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (rubricCluster21)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster
Item: (obs_Bijzonderheden_stemmingangsten)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (obs_Bijzonderheden_stemmingangsten)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]"
         id="tmp-ca381f5a-e31f-420b-9f2d-bf94755e559d">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)">(obs_Bijzonderheden_stemmingangsten): element hl7:observation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:observation)&lt;=1">(obs_Bijzonderheden_stemmingangsten): element hl7:observation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (obs_Bijzonderheden_stemmingangsten)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation"
         id="tmp-7217c8bf-3da5-4ed0-97c6-e85474dff6ff">
      <extends rule="tmp-200ed327-1631-45fb-9ee3-519f921a04a0"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40777'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40777']/@nullFlavor)">(obs_Bijzonderheden_stemmingangsten): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40777'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40777'])&lt;=1">(obs_Bijzonderheden_stemmingangsten): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40777'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(obs_Bijzonderheden_stemmingangsten): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(obs_Bijzonderheden_stemmingangsten): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:value)&gt;=1 ">(obs_Bijzonderheden_stemmingangsten): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:value)&lt;=1">(obs_Bijzonderheden_stemmingangsten): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40777']
Item: (obs_Bijzonderheden_stemmingangsten)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40777']"
         id="tmp-962b5e7a-41b7-4fc6-8ef1-b1bd4c424b91">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@root='2.16.840.1.113883.2.4.6.10.100.40777'">(obs_Bijzonderheden_stemmingangsten): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40777' hebben.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(obs_Bijzonderheden_stemmingangsten): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code
Item: (obs_Bijzonderheden_stemmingangsten)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code"
         id="tmp-989b7df5-dc4a-4113-94dc-7c33a8d69fc4">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or (@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(obs_Bijzonderheden_stemmingangsten): de waarde van @code/@codeSystem MOET ''777' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value
Item: (obs_Bijzonderheden_stemmingangsten)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value"
         id="tmp-4648e8cc-a003-4ede-a197-13d46618ca88">
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (rubricClusterObservation)
-->
<rule id="tmp-200ed327-1631-45fb-9ee3-519f921a04a0" abstract="true">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@classCode='OBS' or not(@classCode)">(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@moodCode='EVN' or not(@moodCode)">(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1">(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:text
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode"
         id="tmp-29b8f6a3-cfac-47ad-ae94-6dc4eed1e1c4">
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:effectiveTime
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode"
         id="tmp-645f6719-7169-496f-8e35-f939e8253617">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode"
         id="tmp-cc32a63d-ca58-4a81-a90b-35129ff5b679">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject"
         id="tmp-91b37074-30ec-4095-97fb-c7682c618736">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@typeCode='SBJ' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (activitiesPerformer)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer
Item: (activitiesPerformer)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer
Item: (activitiesPerformer)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer"
         id="tmp-f862b4d8-d334-479d-a5b0-c5cd0861363a">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@typeCode='PRF' or not(@typeCode)">(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)">(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:assignedEntity)&lt;=1">(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity
Item: (activitiesPerformer)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity"
         id="tmp-cb7fad86-0f89-4e37-b7b9-39b8bfa41bdf">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(activitiesPerformer): element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:id)&lt;=1">(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id
Item: (activitiesPerformer)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id"
         id="tmp-86bb4fc5-c316-4fd4-bb84-9583346feac4">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant"
         id="tmp-6522a41e-4c72-4e25-81d1-8fac0b2120a4">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@typeCode='INF' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location"
         id="tmp-de3adc80-537d-456a-9ca8-b5150b4da0c5">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@typeCode='LOC' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]"
         id="tmp-cae7b46e-015c-447d-b4b4-67490066853e">
      <extends rule="tmp-a263643e-e6b2-4bb1-a871-148689c8b455"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@typeCode='SUBJ' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (activitiesSubjectOfConclusion)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (activitiesSubjectOfConclusion)
-->
<rule id="tmp-a263643e-e6b2-4bb1-a871-148689c8b455" abstract="true">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:conclusion)&lt;=1">(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion"
         id="tmp-eefe4e7e-1f87-4a65-bbfc-f67c657ed652">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@classCode='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@moodCode='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:text)&lt;=1">(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code"
         id="tmp-dcde76eb-2268-4174-89fe-aedd420f1f71">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text"
         id="tmp-27906d69-8dae-47fe-9eda-54f39b0b73c4">
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component"
         id="tmp-bd7014bd-679c-4e4d-b50d-2fbedc076102">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@typeCode='COMP' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:indication)&lt;=1">(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication"
         id="tmp-392d66be-f57e-4725-9aa6-5a08640df252">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@classCode='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@moodCode='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:value)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:value)&lt;=1">(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:reasonOf)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code"
         id="tmp-c3fc1469-cc0d-4403-b722-8c3d948d17a7">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value"
         id="tmp-e04f9665-9f14-403d-97b4-4a7271413c95">
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf"
         id="tmp-d7d6ce96-40ed-4e60-8746-357c80b86b7a">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@typeCode='RSON' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.</assert>
      <let name="elmcount"
           value="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="$elmcount&gt;=1">(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="$elmcount&lt;=1">(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf
Item: (activitiesSubjectOfConclusion)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-a1d9d488-dcfe-40ad-b2f9-e8ad8f57f33b">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@classCode='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@moodCode='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-bd25aae7-2b6e-462c-9785-ea72bd84a45b">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-d492ec7a-caf4-4a0f-8868-9e3517a78750">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@classCode='REG' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@moodCode='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-4ae0147c-2ff1-4ae5-a7f5-bb06a4423972">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-ddf27417-960f-4b5c-85d0-ff444f8a1527">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@classCode='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@moodCode='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-97d468fd-0a57-4da2-a9e3-b5871dcd7d33">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-2cdd01ed-61e5-4dd1-9f28-4dca6529b04e">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@classCode='PCPR' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@moodCode='RQO' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:performer)&lt;=1">(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-1e937036-dad8-4d39-9b2a-afae0490620c">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer"
         id="tmp-d26c38d3-2ebf-4ab8-8e0e-61a7c2bfc7d7">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@typeCode='PRF' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:assignedEntity)&lt;=1">(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity"
         id="tmp-858f2253-23b6-4b5b-b1ed-582d1c2cbf8f">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@classCode='ASSIGNED' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code"
         id="tmp-74e8c3d2-c3b5-4b55-908a-fda6b1e13eae">
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]"
         id="tmp-9406e883-60a9-4889-9841-ebc0504d818c">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@classCode='ACT' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@moodCode='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code"
         id="tmp-b03a044b-a967-45df-91cc-fb6178ff1831">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor='OTH'">(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:originalText)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:originalText)&lt;=1">(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText"
         id="tmp-c1cc3368-6f38-4a91-beb7-a702960f4845">
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf"
         id="tmp-1b009742-d44b-4d55-ab8f-24d5957829d8">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@typeCode='SUBJ' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:annotation)&lt;=1">(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation"
         id="tmp-e32dbc46-6efa-471e-9a88-9be1a25d3243">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@classCode='ACT' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@moodCode='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:text)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:text)&lt;=1">(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code"
         id="tmp-4424c9be-0fe5-4416-b718-cee843a6e91b">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text"
         id="tmp-b3ecb5fc-a229-4afa-9935-8bad5147ac52">
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2"
         id="tmp-a575fa73-9b0a-4860-a27a-219c242f27cf">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@typeCode='SUBJ' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)">(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:annotation)&lt;=1">(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation"
         id="tmp-9f367ca5-c0cf-41fe-86df-3fe31c3ca1c8">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 ">(rubricClusterObservation): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(rubricClusterObservation): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:text)&lt;=1">(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code"
         id="tmp-0eb1228c-690e-44d8-90b9-1024acd9bec6">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')">(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text"
         id="tmp-52236691-6586-46e8-9d1c-43c898ba1b8b">
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (rubricCluster21)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster
Item: (obs_Bijzonderheden_ontdekkingsdrang)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (obs_Bijzonderheden_ontdekkingsdrang)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]"
         id="tmp-e5f8dda5-2b98-4a09-9177-6d3b2da96ba3">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)">(obs_Bijzonderheden_ontdekkingsdrang): element hl7:observation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:observation)&lt;=1">(obs_Bijzonderheden_ontdekkingsdrang): element hl7:observation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (obs_Bijzonderheden_ontdekkingsdrang)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation"
         id="tmp-7e670486-5fd3-49b6-b538-c7c26363ff01">
      <extends rule="tmp-c60aff58-ba78-4141-89c5-6ec4f9491f37"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40778'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40778']/@nullFlavor)">(obs_Bijzonderheden_ontdekkingsdrang): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40778'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40778'])&lt;=1">(obs_Bijzonderheden_ontdekkingsdrang): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40778'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(obs_Bijzonderheden_ontdekkingsdrang): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(obs_Bijzonderheden_ontdekkingsdrang): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:value)&gt;=1 ">(obs_Bijzonderheden_ontdekkingsdrang): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:value)&lt;=1">(obs_Bijzonderheden_ontdekkingsdrang): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40778']
Item: (obs_Bijzonderheden_ontdekkingsdrang)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40778']"
         id="tmp-6452f6fb-998e-449e-91ac-f21d0ade1296">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@root='2.16.840.1.113883.2.4.6.10.100.40778'">(obs_Bijzonderheden_ontdekkingsdrang): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40778' hebben.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(obs_Bijzonderheden_ontdekkingsdrang): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code
Item: (obs_Bijzonderheden_ontdekkingsdrang)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code"
         id="tmp-c0c72186-86c7-4bf5-99f3-727e1059af10">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or (@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(obs_Bijzonderheden_ontdekkingsdrang): de waarde van @code/@codeSystem MOET ''778' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value
Item: (obs_Bijzonderheden_ontdekkingsdrang)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value"
         id="tmp-720b73de-62b6-45d1-a833-e612678b255f">
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (rubricClusterObservation)
-->
<rule id="tmp-c60aff58-ba78-4141-89c5-6ec4f9491f37" abstract="true">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@classCode='OBS' or not(@classCode)">(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@moodCode='EVN' or not(@moodCode)">(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1">(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:text
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode"
         id="tmp-06f98a2a-0f49-4966-9c89-8211dfca2a93">
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:effectiveTime
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode"
         id="tmp-9476a167-3eac-4761-93eb-1d816c37b5a4">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode"
         id="tmp-a70160ac-3864-4b75-a726-a1ed03810893">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject"
         id="tmp-83ebb453-049c-4877-b767-f7ae964cf267">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@typeCode='SBJ' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (activitiesPerformer)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer
Item: (activitiesPerformer)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer
Item: (activitiesPerformer)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer"
         id="tmp-39f38008-6443-4293-be8d-ec6d04bae204">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@typeCode='PRF' or not(@typeCode)">(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)">(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:assignedEntity)&lt;=1">(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity
Item: (activitiesPerformer)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity"
         id="tmp-236b4304-5b2e-4c12-9331-bb7158506521">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(activitiesPerformer): element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:id)&lt;=1">(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id
Item: (activitiesPerformer)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id"
         id="tmp-29aca70d-d5e2-469c-8cc2-5352ec5dbb18">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant"
         id="tmp-162d4259-bf33-474d-bf1d-085b8f130f08">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@typeCode='INF' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location"
         id="tmp-65fc3b77-907c-41ff-bb22-169dab5dccac">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@typeCode='LOC' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]"
         id="tmp-27656662-f0da-48ee-8d23-45b03f5f7689">
      <extends rule="tmp-b47121b8-6ac3-4044-90d6-c7e84c3a990e"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@typeCode='SUBJ' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (activitiesSubjectOfConclusion)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (activitiesSubjectOfConclusion)
-->
<rule id="tmp-b47121b8-6ac3-4044-90d6-c7e84c3a990e" abstract="true">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:conclusion)&lt;=1">(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion"
         id="tmp-19db13e9-842d-408d-b513-ddb895883f00">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@classCode='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@moodCode='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:text)&lt;=1">(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code"
         id="tmp-3fe4ab15-f38c-40e3-8bb5-6e6daa7a46f4">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text"
         id="tmp-43d3fcf9-b53a-4bf3-a444-c753f9ce4322">
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component"
         id="tmp-6df0915b-9bc1-432a-99fb-bf6ab9db87ce">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@typeCode='COMP' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:indication)&lt;=1">(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication"
         id="tmp-cf9cc1f2-e9f7-4291-ab0d-d45518fd1902">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@classCode='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@moodCode='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:value)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:value)&lt;=1">(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:reasonOf)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code"
         id="tmp-34371c9c-276e-42f1-a298-4f3fdec80159">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value"
         id="tmp-c290d68b-0dad-4163-88fd-aa2cf6f81926">
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf"
         id="tmp-690d3be1-1984-44ab-a14d-40dfc7efc822">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@typeCode='RSON' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.</assert>
      <let name="elmcount"
           value="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="$elmcount&gt;=1">(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="$elmcount&lt;=1">(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf
Item: (activitiesSubjectOfConclusion)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-590e2a21-c0b1-458a-9afa-f21d2296b2d3">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@classCode='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@moodCode='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-962c4da8-dca9-4020-b43e-bf0c3cb5b3de">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-1343b433-16d6-404d-b582-8e38e5dbfd42">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@classCode='REG' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@moodCode='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-10822bb1-b44a-4575-bdc0-9b2e884013aa">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-21709f19-49f1-49dd-a6fb-4a40b5c0f54c">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@classCode='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@moodCode='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-2ff7c39e-7a5a-4963-ae19-b52c5d28ab0e">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-15169e18-fc6f-46f4-8c7f-2b4ae5f2e3c6">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@classCode='PCPR' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@moodCode='RQO' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:performer)&lt;=1">(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-d0a85672-7c4f-4e46-bc5a-5d75c0db2dd8">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer"
         id="tmp-5b4c5531-79ce-4889-98e0-b0c54a37bb5c">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@typeCode='PRF' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:assignedEntity)&lt;=1">(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity"
         id="tmp-690bfb57-56d8-4c41-9f11-1c6ecbbacf9b">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@classCode='ASSIGNED' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code"
         id="tmp-0c0e6498-deea-404c-b466-7978bb9618ce">
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]"
         id="tmp-e0be600a-df13-4f4f-aca2-2380a3af8186">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@classCode='ACT' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@moodCode='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code"
         id="tmp-2d1cd5e7-e379-4078-b3e1-bae975420e2e">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor='OTH'">(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:originalText)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:originalText)&lt;=1">(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText"
         id="tmp-a9ce9d08-d669-4cbb-a30d-8425ffff28aa">
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf"
         id="tmp-c0a71d1f-9c6f-4d40-bb88-3ec687af0be0">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@typeCode='SUBJ' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:annotation)&lt;=1">(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation"
         id="tmp-88c3bdc5-c5a4-4f84-943a-ba14e73f4282">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@classCode='ACT' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@moodCode='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:text)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:text)&lt;=1">(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code"
         id="tmp-ca93fb43-2210-4240-8e44-f5e2ce7af3c5">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text"
         id="tmp-dfa69bef-87c5-43a7-a2f2-a842c2c63fcc">
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2"
         id="tmp-2d0481ff-5cd1-4933-a0e8-3fcd19e7f030">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@typeCode='SUBJ' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)">(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:annotation)&lt;=1">(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation"
         id="tmp-ff4d9974-b039-44fd-9d94-e7402702eaf0">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 ">(rubricClusterObservation): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(rubricClusterObservation): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:text)&lt;=1">(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code"
         id="tmp-4ad6216e-5794-40b2-bd71-512ad221d8ea">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')">(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text"
         id="tmp-7da335c7-29be-4a10-9e69-8f337ea89012">
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (rubricCluster21)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster
Item: (obs_Bijzonderheden_zelfstandigheid)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (obs_Bijzonderheden_zelfstandigheid)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]"
         id="tmp-b579887f-43f2-4e61-a420-7ae9e290c3cb">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)">(obs_Bijzonderheden_zelfstandigheid): element hl7:observation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:observation)&lt;=1">(obs_Bijzonderheden_zelfstandigheid): element hl7:observation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (obs_Bijzonderheden_zelfstandigheid)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation"
         id="tmp-05536c9a-ea6f-4703-addd-6c2d564a2d76">
      <extends rule="tmp-11e412a5-f404-438b-8590-4a8eb6c6e0c1"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40779'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40779']/@nullFlavor)">(obs_Bijzonderheden_zelfstandigheid): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40779'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40779'])&lt;=1">(obs_Bijzonderheden_zelfstandigheid): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40779'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(obs_Bijzonderheden_zelfstandigheid): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(obs_Bijzonderheden_zelfstandigheid): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:value)&gt;=1 ">(obs_Bijzonderheden_zelfstandigheid): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:value)&lt;=1">(obs_Bijzonderheden_zelfstandigheid): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40779']
Item: (obs_Bijzonderheden_zelfstandigheid)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40779']"
         id="tmp-943a82f5-c338-4b18-bca2-a01fdb4b5665">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@root='2.16.840.1.113883.2.4.6.10.100.40779'">(obs_Bijzonderheden_zelfstandigheid): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40779' hebben.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(obs_Bijzonderheden_zelfstandigheid): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code
Item: (obs_Bijzonderheden_zelfstandigheid)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code"
         id="tmp-99ac6201-36cf-4fc6-9bfe-8a4ecdc6000c">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or (@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(obs_Bijzonderheden_zelfstandigheid): de waarde van @code/@codeSystem MOET ''779' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value
Item: (obs_Bijzonderheden_zelfstandigheid)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value"
         id="tmp-cab03379-cd1d-4183-9844-bee0657c1325">
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (rubricClusterObservation)
-->
<rule id="tmp-11e412a5-f404-438b-8590-4a8eb6c6e0c1" abstract="true">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@classCode='OBS' or not(@classCode)">(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@moodCode='EVN' or not(@moodCode)">(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1">(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:text
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode"
         id="tmp-fd58392f-d79a-4d14-8a86-33ed1b282376">
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:effectiveTime
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode"
         id="tmp-f4c3cea0-566a-43b0-a640-f7f776f5798c">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode"
         id="tmp-bcd5f33a-dd1b-461f-b4d1-f7ad9da60bb6">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject"
         id="tmp-20052ec9-719f-4f73-a1a9-c90523b6282c">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@typeCode='SBJ' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (activitiesPerformer)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer
Item: (activitiesPerformer)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer
Item: (activitiesPerformer)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer"
         id="tmp-f1f29d92-e331-4411-a413-615a6fd461b0">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@typeCode='PRF' or not(@typeCode)">(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)">(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:assignedEntity)&lt;=1">(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity
Item: (activitiesPerformer)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity"
         id="tmp-3d6665f0-4421-421d-91fb-bc7c10aa3a0c">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(activitiesPerformer): element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:id)&lt;=1">(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id
Item: (activitiesPerformer)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id"
         id="tmp-94eee190-6dba-41f2-b5fe-d9d79f6febed">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant"
         id="tmp-20d26b45-81b9-42d7-9cac-d18d0f0927ba">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@typeCode='INF' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location"
         id="tmp-f7ccf3a8-006e-47c9-ad64-c7841ad0522d">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@typeCode='LOC' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]"
         id="tmp-707014a6-9ddb-4732-9fee-8bc96fae16fd">
      <extends rule="tmp-36b18fb9-0c3e-4a2f-8af9-e4ec2b12889d"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@typeCode='SUBJ' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (activitiesSubjectOfConclusion)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (activitiesSubjectOfConclusion)
-->
<rule id="tmp-36b18fb9-0c3e-4a2f-8af9-e4ec2b12889d" abstract="true">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:conclusion)&lt;=1">(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion"
         id="tmp-fefd2bbe-d7bf-4164-87a7-95c6348671c5">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@classCode='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@moodCode='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:text)&lt;=1">(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code"
         id="tmp-4b3b821a-f31d-49f3-95c3-386ec9de8294">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text"
         id="tmp-0648b1a3-b5d0-457d-8e00-e5913dc8c947">
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component"
         id="tmp-a424b602-2fed-409f-bfa0-36032a9cca83">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@typeCode='COMP' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:indication)&lt;=1">(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication"
         id="tmp-be27358c-939f-4721-a8f3-bf2d8ab1f035">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@classCode='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@moodCode='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:value)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:value)&lt;=1">(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:reasonOf)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code"
         id="tmp-4d54ce6f-7d9c-4c07-8b0c-6a9d8769ad8f">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value"
         id="tmp-1df85536-9b80-4057-ba1a-5bbbc2bf2f59">
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf"
         id="tmp-c6ee3200-e726-4689-91ca-f0671750a6f0">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@typeCode='RSON' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.</assert>
      <let name="elmcount"
           value="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="$elmcount&gt;=1">(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="$elmcount&lt;=1">(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf
Item: (activitiesSubjectOfConclusion)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-6fabc6ce-a0fa-4f7c-859c-0c137c958bc3">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@classCode='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@moodCode='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-763f8fd0-4b97-4d87-a3a1-ebb7475247f4">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-41ee2f11-fc47-40ae-bf75-9a10f96b575f">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@classCode='REG' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@moodCode='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-91d1182d-c34c-4c0e-b5fb-f6a41e48e3a5">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-1f179bb9-ed94-4aec-836f-8635699cc7ae">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@classCode='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@moodCode='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-399547d7-ae1a-4016-b8a7-60a3213c1d73">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-db718ae7-89a1-4b36-967f-5ed5af0c33a4">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@classCode='PCPR' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@moodCode='RQO' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:performer)&lt;=1">(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-d94b240d-c6f1-47dd-a68e-3f0aab956686">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer"
         id="tmp-5a5f4d73-e19f-433f-95ba-c5194882a42d">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@typeCode='PRF' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:assignedEntity)&lt;=1">(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity"
         id="tmp-3ef586f0-9bb5-497b-bd3d-ab7fc0e4c0b6">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@classCode='ASSIGNED' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code"
         id="tmp-c3645dce-1102-4023-b33d-aeff2521fc8b">
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]"
         id="tmp-bece340b-3977-492a-bdea-f5ef760ff373">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@classCode='ACT' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@moodCode='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code"
         id="tmp-abe89927-864e-4248-9a6d-40cd71453025">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor='OTH'">(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:originalText)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:originalText)&lt;=1">(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText"
         id="tmp-55d1f2c0-2181-4463-b3be-7ab8a0af7bd8">
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf"
         id="tmp-a50e3ee3-693d-4b59-adbc-7d125d3e84cf">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@typeCode='SUBJ' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:annotation)&lt;=1">(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation"
         id="tmp-ab76fbf9-f2e4-4e9c-b600-7f06204e53b2">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@classCode='ACT' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@moodCode='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:text)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:text)&lt;=1">(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code"
         id="tmp-8bc075b7-8067-4df2-a9b2-f1f1b7d61a80">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text"
         id="tmp-109014ab-d222-4c76-b2e7-170b57a22b0b">
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2"
         id="tmp-d88a1023-7755-449a-b878-7d453dc0f84a">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@typeCode='SUBJ' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)">(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:annotation)&lt;=1">(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation"
         id="tmp-1d6afab3-5de2-4e52-b1e2-5ec3e1ab1716">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 ">(rubricClusterObservation): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(rubricClusterObservation): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:text)&lt;=1">(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code"
         id="tmp-f6aeca30-da12-408e-8503-fea787711a98">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')">(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text"
         id="tmp-9d427fd7-3870-479a-a135-71d78ed48b0e">
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (rubricCluster21)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster
Item: (obs_Bijzonderheden_begrijpen)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (obs_Bijzonderheden_begrijpen)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]"
         id="tmp-8c14c530-3e39-4f2f-9d67-9b31dc378941">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)">(obs_Bijzonderheden_begrijpen): element hl7:observation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:observation)&lt;=1">(obs_Bijzonderheden_begrijpen): element hl7:observation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (obs_Bijzonderheden_begrijpen)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation"
         id="tmp-2c0eca64-6b37-45b0-8667-24b09469d8b9">
      <extends rule="tmp-1f59ad65-3aa8-423b-b95f-9bbc417ab015"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40780'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40780']/@nullFlavor)">(obs_Bijzonderheden_begrijpen): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40780'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40780'])&lt;=1">(obs_Bijzonderheden_begrijpen): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40780'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(obs_Bijzonderheden_begrijpen): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(obs_Bijzonderheden_begrijpen): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:value)&gt;=1 ">(obs_Bijzonderheden_begrijpen): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:value)&lt;=1">(obs_Bijzonderheden_begrijpen): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40780']
Item: (obs_Bijzonderheden_begrijpen)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40780']"
         id="tmp-e722b714-8e0c-4b51-aae6-1d01c17e80e8">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@root='2.16.840.1.113883.2.4.6.10.100.40780'">(obs_Bijzonderheden_begrijpen): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40780' hebben.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(obs_Bijzonderheden_begrijpen): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code
Item: (obs_Bijzonderheden_begrijpen)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code"
         id="tmp-2d1ffa61-cefe-4a99-90f3-992f47d25229">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or (@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(obs_Bijzonderheden_begrijpen): de waarde van @code/@codeSystem MOET ''780' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value
Item: (obs_Bijzonderheden_begrijpen)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value"
         id="tmp-c0950d8e-2006-4b7a-8e9a-3b981af53dba">
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (rubricClusterObservation)
-->
<rule id="tmp-1f59ad65-3aa8-423b-b95f-9bbc417ab015" abstract="true">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@classCode='OBS' or not(@classCode)">(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@moodCode='EVN' or not(@moodCode)">(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1">(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:text
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode"
         id="tmp-536d8c52-4ee2-4571-9608-fcdde13c0833">
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:effectiveTime
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode"
         id="tmp-7034ed39-9e96-4b00-9d28-2fdfa8bb0716">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode"
         id="tmp-4d74aafe-e63f-43d2-baad-9247ef82d603">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject"
         id="tmp-e6f815bd-07a8-4dbd-854d-7f8a0c1adfd8">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@typeCode='SBJ' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (activitiesPerformer)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer
Item: (activitiesPerformer)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer
Item: (activitiesPerformer)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer"
         id="tmp-db21cb03-96f2-4393-8ce1-fbbc2d4d0bdf">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@typeCode='PRF' or not(@typeCode)">(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)">(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:assignedEntity)&lt;=1">(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity
Item: (activitiesPerformer)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity"
         id="tmp-6a44370f-a2d8-4a58-899a-18659984c977">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(activitiesPerformer): element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:id)&lt;=1">(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id
Item: (activitiesPerformer)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id"
         id="tmp-19223862-88f6-4e9f-b7f7-12c2210f11ad">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant"
         id="tmp-b0751002-5833-450d-a910-0d2ced1e3dbd">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@typeCode='INF' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location"
         id="tmp-7f8618d6-bc75-4631-8ad9-6387fe7e4d09">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@typeCode='LOC' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]"
         id="tmp-7b2721f2-be2a-4ff1-a405-c295dbf92432">
      <extends rule="tmp-285e9597-20c3-4b3c-a050-7af1ca058aa5"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@typeCode='SUBJ' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (activitiesSubjectOfConclusion)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (activitiesSubjectOfConclusion)
-->
<rule id="tmp-285e9597-20c3-4b3c-a050-7af1ca058aa5" abstract="true">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:conclusion)&lt;=1">(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion"
         id="tmp-53db0b47-3309-430c-bacd-80cac133cfb6">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@classCode='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@moodCode='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:text)&lt;=1">(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code"
         id="tmp-edf1235f-d1b9-45d5-a6fe-0cb271a3b347">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text"
         id="tmp-dc215be5-1f9a-489b-926a-9f556d35b4bc">
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component"
         id="tmp-38650343-9f4b-4a82-9cf6-263ef22a8b4f">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@typeCode='COMP' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:indication)&lt;=1">(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication"
         id="tmp-f40b6beb-7c2f-49f0-8728-06636c0e0bf0">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@classCode='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@moodCode='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:value)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:value)&lt;=1">(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:reasonOf)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code"
         id="tmp-18631c30-6d13-4500-b5e5-b1c7d86ae3a5">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value"
         id="tmp-1ed48242-4988-4350-9fbc-5fcf1e3b138b">
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf"
         id="tmp-2915beae-5597-4f9b-aa99-b3e18a55b9a9">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@typeCode='RSON' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.</assert>
      <let name="elmcount"
           value="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="$elmcount&gt;=1">(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="$elmcount&lt;=1">(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf
Item: (activitiesSubjectOfConclusion)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-d1a71a60-5df5-4f2c-b1da-682f001e87d3">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@classCode='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@moodCode='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-01a71116-113d-4321-99c5-b4da69a7dff8">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-f9f95e16-c156-48cb-8976-7c8e552672be">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@classCode='REG' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@moodCode='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-aa146091-ad07-45d6-96b7-867bd12bc75f">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-9d3baf5c-f927-4d48-ad70-6cb5f943c06b">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@classCode='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@moodCode='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-c57fd2ea-d5e6-4e7e-abf1-49de3bd7978e">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-a17ece56-5f5c-4e4c-a2f7-449603f9f1de">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@classCode='PCPR' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@moodCode='RQO' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:performer)&lt;=1">(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-a26d33c9-abef-438a-9780-ced669c8cf91">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer"
         id="tmp-c64600da-9c5a-4132-9f7b-954b6ea63535">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@typeCode='PRF' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:assignedEntity)&lt;=1">(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity"
         id="tmp-fcc9d3a2-6962-4388-a782-195b880e1501">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@classCode='ASSIGNED' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code"
         id="tmp-750d4030-4578-4725-b84e-eabe9e73d821">
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]"
         id="tmp-49d4fa20-a4d6-43b4-9399-317ca8b6fc16">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@classCode='ACT' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@moodCode='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code"
         id="tmp-69844031-538d-4bc9-adc2-258cab40c66e">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor='OTH'">(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:originalText)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:originalText)&lt;=1">(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText"
         id="tmp-b9a13da7-136b-4c81-8092-c3ea893663d6">
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf"
         id="tmp-b14d3d1c-660b-4699-a9cb-457fdaa04dd4">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@typeCode='SUBJ' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:annotation)&lt;=1">(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation"
         id="tmp-7a81e103-4d1d-4b9d-9a0c-a412240bf492">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@classCode='ACT' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@moodCode='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:text)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:text)&lt;=1">(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code"
         id="tmp-51e82de3-065f-4be4-9be8-b9727854589c">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text"
         id="tmp-d0bb874c-a4a8-4f75-abfa-6321a2252cc3">
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2"
         id="tmp-23cc74e0-be19-4fa3-a7e2-0835452c1c92">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@typeCode='SUBJ' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)">(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:annotation)&lt;=1">(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation"
         id="tmp-3c054586-3232-4c95-a59a-c00636987122">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 ">(rubricClusterObservation): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(rubricClusterObservation): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:text)&lt;=1">(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code"
         id="tmp-ffd59076-4570-4df9-ab90-ce16eed0f485">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')">(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text"
         id="tmp-a92241bb-0b97-4ff5-a36d-29ed03eb38c4">
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (rubricCluster21)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster
Item: (obs_Bijzonderheden_wilsontwikkeling)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (obs_Bijzonderheden_wilsontwikkeling)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]"
         id="tmp-ba3e0f1d-515a-4113-9273-21527db38469">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)">(obs_Bijzonderheden_wilsontwikkeling): element hl7:observation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:observation)&lt;=1">(obs_Bijzonderheden_wilsontwikkeling): element hl7:observation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (obs_Bijzonderheden_wilsontwikkeling)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation"
         id="tmp-db919920-d43f-4bc9-bcee-bfab34b49a4a">
      <extends rule="tmp-752c7812-1e98-41af-8083-0972e7622ec5"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40781'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40781']/@nullFlavor)">(obs_Bijzonderheden_wilsontwikkeling): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40781'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40781'])&lt;=1">(obs_Bijzonderheden_wilsontwikkeling): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40781'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(obs_Bijzonderheden_wilsontwikkeling): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(obs_Bijzonderheden_wilsontwikkeling): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:value)&gt;=1 ">(obs_Bijzonderheden_wilsontwikkeling): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:value)&lt;=1">(obs_Bijzonderheden_wilsontwikkeling): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40781']
Item: (obs_Bijzonderheden_wilsontwikkeling)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40781']"
         id="tmp-5a84b96e-91d6-4437-b5b0-d607962b8c49">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@root='2.16.840.1.113883.2.4.6.10.100.40781'">(obs_Bijzonderheden_wilsontwikkeling): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40781' hebben.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(obs_Bijzonderheden_wilsontwikkeling): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code
Item: (obs_Bijzonderheden_wilsontwikkeling)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code"
         id="tmp-8cba81a1-7f0e-47f6-805f-732d66533ba3">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or (@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(obs_Bijzonderheden_wilsontwikkeling): de waarde van @code/@codeSystem MOET ''781' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value
Item: (obs_Bijzonderheden_wilsontwikkeling)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value"
         id="tmp-b263c297-2ed1-4741-a0be-c062292ef92b">
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (rubricClusterObservation)
-->
<rule id="tmp-752c7812-1e98-41af-8083-0972e7622ec5" abstract="true">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@classCode='OBS' or not(@classCode)">(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@moodCode='EVN' or not(@moodCode)">(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1">(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:text
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode"
         id="tmp-6818d558-46e5-4dce-bc7a-7a104a656322">
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:effectiveTime
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode"
         id="tmp-94f362b1-0a20-4128-8e98-578b790749a8">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode"
         id="tmp-095eedec-a88b-4e10-a9e0-c81995a034a6">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject"
         id="tmp-2d9eff44-8b86-4e5a-a53d-2c53628fa7be">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@typeCode='SBJ' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (activitiesPerformer)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer
Item: (activitiesPerformer)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer
Item: (activitiesPerformer)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer"
         id="tmp-9042e642-e9cf-4ec0-a385-20a0932ef8d0">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@typeCode='PRF' or not(@typeCode)">(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)">(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:assignedEntity)&lt;=1">(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity
Item: (activitiesPerformer)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity"
         id="tmp-025a556b-2424-4fac-87ba-6947d42d2896">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(activitiesPerformer): element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:id)&lt;=1">(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id
Item: (activitiesPerformer)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id"
         id="tmp-06946de5-4a76-4cf8-8392-8bbfc43cefbd">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant"
         id="tmp-c1f2482c-b298-46ae-bffc-81eb41df09e8">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@typeCode='INF' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location"
         id="tmp-e66ca34b-21dd-4ba5-acbb-58be971d3ad1">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@typeCode='LOC' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]"
         id="tmp-42670b21-7e1b-443c-991e-229b4af8d003">
      <extends rule="tmp-f82cfa93-3a58-4f74-b1d0-4ab782be0015"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@typeCode='SUBJ' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (activitiesSubjectOfConclusion)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (activitiesSubjectOfConclusion)
-->
<rule id="tmp-f82cfa93-3a58-4f74-b1d0-4ab782be0015" abstract="true">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:conclusion)&lt;=1">(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion"
         id="tmp-d9c4f7c4-4a9d-4c6d-bc27-52013e338448">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@classCode='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@moodCode='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:text)&lt;=1">(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code"
         id="tmp-df1d6b53-5349-4855-b99e-32bab7b1799f">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text"
         id="tmp-b0da795d-1372-4aa2-9c99-4f7335a6d74a">
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component"
         id="tmp-1446d506-a004-457d-b37d-28cb77ddd8f9">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@typeCode='COMP' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:indication)&lt;=1">(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication"
         id="tmp-eda3910f-5864-4cea-b5fc-1577d7953fba">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@classCode='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@moodCode='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:value)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:value)&lt;=1">(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:reasonOf)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code"
         id="tmp-20fdd1e3-cbba-45a2-ae77-259467aff63a">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value"
         id="tmp-8dbd16e8-5fcc-4eca-be36-72e0ec7fc8b2">
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf"
         id="tmp-5995771f-c599-46cd-bed9-8a4bf77c9bea">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@typeCode='RSON' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.</assert>
      <let name="elmcount"
           value="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="$elmcount&gt;=1">(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="$elmcount&lt;=1">(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf
Item: (activitiesSubjectOfConclusion)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-f061d3ac-5f92-4f50-9666-13c426165736">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@classCode='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@moodCode='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-67a79d94-3ba4-4230-b43b-65ade5e09b24">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-5bd585b8-417b-4568-a7cc-f1df98a60b53">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@classCode='REG' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@moodCode='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-58b12b3a-e561-45e5-8d08-7c854720dc3a">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-c5ec84a9-fce3-4131-b816-7de0f38f5f33">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@classCode='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@moodCode='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-323481d4-71cf-4b06-8969-10a3b6847b11">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-a6004bf6-9562-4fcd-ae71-7ff21995ccf5">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@classCode='PCPR' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@moodCode='RQO' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:performer)&lt;=1">(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-bef3337f-80bb-42a0-9bae-ad60e88515fa">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer"
         id="tmp-7d7a7cf4-a22f-40dc-910e-26c45d5ea964">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@typeCode='PRF' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:assignedEntity)&lt;=1">(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity"
         id="tmp-7f9ba0be-8a72-4c1f-9dce-78484a723cd5">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@classCode='ASSIGNED' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code"
         id="tmp-cd80c323-fc63-4e53-a59a-c4a737dd971b">
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]"
         id="tmp-f9584d19-68b9-4e6e-bdd5-ee47d9224142">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@classCode='ACT' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@moodCode='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code"
         id="tmp-2ee077ef-b198-4bd5-89f4-851eae6d3324">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor='OTH'">(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:originalText)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:originalText)&lt;=1">(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText"
         id="tmp-0ae256b5-70b5-45bf-99ea-6572d3b5be77">
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf"
         id="tmp-1e5f09bd-4549-412b-96f5-560608213cc7">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@typeCode='SUBJ' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:annotation)&lt;=1">(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation"
         id="tmp-0a3a2dc3-e1c0-4e20-83f5-4603b773dcbe">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@classCode='ACT' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@moodCode='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:text)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:text)&lt;=1">(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code"
         id="tmp-8cfc9966-9337-4de1-aee5-df54feabe0db">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text"
         id="tmp-9efcd96c-9721-4169-abb8-bc1417525d73">
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2"
         id="tmp-51dc85a3-ff5f-4436-bd3b-135dddde2e15">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@typeCode='SUBJ' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)">(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:annotation)&lt;=1">(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation"
         id="tmp-69f622db-339a-4c16-87dc-c7511e6079f5">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 ">(rubricClusterObservation): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(rubricClusterObservation): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:text)&lt;=1">(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code"
         id="tmp-d1001a05-80c7-46c5-8824-abed400de40f">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')">(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text"
         id="tmp-1a667568-9ad2-482d-8bce-f9edd890b69e">
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (rubricCluster21)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster
Item: (obs_Bijzonderheden_omgaan_met_broerzusleeftijdgeno)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (obs_Bijzonderheden_omgaan_met_broerzusleeftijdgeno)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]"
         id="tmp-031962d5-e0aa-4d4d-9e8f-112296271cc3">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)">(obs_Bijzonderheden_omgaan_met_broerzusleeftijdgeno): element hl7:observation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:observation)&lt;=1">(obs_Bijzonderheden_omgaan_met_broerzusleeftijdgeno): element hl7:observation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (obs_Bijzonderheden_omgaan_met_broerzusleeftijdgeno)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation"
         id="tmp-7de434bf-9e14-4133-9d02-df13d9f1a58d">
      <extends rule="tmp-31b21fcc-3081-420a-abe9-b4365b8ad38d"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41422'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41422']/@nullFlavor)">(obs_Bijzonderheden_omgaan_met_broerzusleeftijdgeno): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41422'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41422'])&lt;=1">(obs_Bijzonderheden_omgaan_met_broerzusleeftijdgeno): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41422'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(obs_Bijzonderheden_omgaan_met_broerzusleeftijdgeno): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(obs_Bijzonderheden_omgaan_met_broerzusleeftijdgeno): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:value)&gt;=1 ">(obs_Bijzonderheden_omgaan_met_broerzusleeftijdgeno): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:value)&lt;=1">(obs_Bijzonderheden_omgaan_met_broerzusleeftijdgeno): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41422']
Item: (obs_Bijzonderheden_omgaan_met_broerzusleeftijdgeno)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41422']"
         id="tmp-4be19c77-b9f6-4ee3-b5ce-eba73d77d5b0">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@root='2.16.840.1.113883.2.4.6.10.100.41422'">(obs_Bijzonderheden_omgaan_met_broerzusleeftijdgeno): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.41422' hebben.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(obs_Bijzonderheden_omgaan_met_broerzusleeftijdgeno): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code
Item: (obs_Bijzonderheden_omgaan_met_broerzusleeftijdgeno)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code"
         id="tmp-588fe1f8-5bb0-4acb-b0c5-db5d7aacfab6">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or (@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(obs_Bijzonderheden_omgaan_met_broerzusleeftijdgeno): de waarde van @code/@codeSystem MOET ''1422' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value
Item: (obs_Bijzonderheden_omgaan_met_broerzusleeftijdgeno)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value"
         id="tmp-8934dce7-094b-46b3-8a06-cb406818f799">
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-W0657_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-W0657_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(obs_Bijzonderheden_omgaan_met_broerzusleeftijdgeno): de waarde van @code MOET worden gekozen uit waardenlijst W0657_HL7 W0657 Bijzonderheden omgaan met broer/zus/leeftijdgenoten (HL7) DYNAMIC.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(obs_Bijzonderheden_omgaan_met_broerzusleeftijdgeno): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0657_HL7 W0657 Bijzonderheden omgaan met broer/zus/leeftijdgenoten (HL7) DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (rubricClusterObservation)
-->
<rule id="tmp-31b21fcc-3081-420a-abe9-b4365b8ad38d" abstract="true">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@classCode='OBS' or not(@classCode)">(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@moodCode='EVN' or not(@moodCode)">(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1">(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:text
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode"
         id="tmp-343f6de1-127e-4456-83a8-4e7037e6e7d9">
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:effectiveTime
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode"
         id="tmp-d6d64723-baa0-4c06-93fe-e01405d6a4df">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode"
         id="tmp-eb0d7934-37da-4ee6-bd59-7283a846db8e">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject"
         id="tmp-b52ae1ef-1b6b-47e2-b944-2b2cd6f5ff2b">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@typeCode='SBJ' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (activitiesPerformer)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer
Item: (activitiesPerformer)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer
Item: (activitiesPerformer)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer"
         id="tmp-65f19c0a-9bfe-42a9-a59d-36522abaa4bf">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@typeCode='PRF' or not(@typeCode)">(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)">(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:assignedEntity)&lt;=1">(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity
Item: (activitiesPerformer)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity"
         id="tmp-5c06cd44-dcc8-4444-972e-a6fc46fd4ef4">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(activitiesPerformer): element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:id)&lt;=1">(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id
Item: (activitiesPerformer)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id"
         id="tmp-be65d4f6-3d7b-4f0e-92d0-85bbdf2de3f5">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant"
         id="tmp-f6d46a84-c3cb-4a1d-a100-81f74a9712ef">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@typeCode='INF' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location"
         id="tmp-2e831b97-1dba-4231-b87e-5dc4d775d241">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@typeCode='LOC' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]"
         id="tmp-038bf3c1-3485-461c-be67-6b0264c13331">
      <extends rule="tmp-1044d263-4faa-420a-a36f-31f995f2d14b"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@typeCode='SUBJ' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (activitiesSubjectOfConclusion)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (activitiesSubjectOfConclusion)
-->
<rule id="tmp-1044d263-4faa-420a-a36f-31f995f2d14b" abstract="true">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:conclusion)&lt;=1">(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion"
         id="tmp-8b4ddc2d-35f7-4e3b-9313-74022cdf8a55">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@classCode='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@moodCode='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:text)&lt;=1">(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code"
         id="tmp-4d64377f-d053-42fe-9625-3d23142b18b3">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text"
         id="tmp-be8882ce-3efa-4098-8c80-bb134e114cd9">
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component"
         id="tmp-d154f042-e344-45ac-9438-b121421ed81f">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@typeCode='COMP' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:indication)&lt;=1">(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication"
         id="tmp-336bd5c7-4728-4044-adc7-30600767e8e2">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@classCode='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@moodCode='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:value)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:value)&lt;=1">(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:reasonOf)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code"
         id="tmp-45e43de9-d061-4c6c-8499-5d2c90041ab9">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value"
         id="tmp-1b91ddd9-731f-4f0d-b6b5-8ad06cdfa6b7">
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf"
         id="tmp-148316a5-63bd-4535-9def-2d098d1c67a4">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@typeCode='RSON' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.</assert>
      <let name="elmcount"
           value="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="$elmcount&gt;=1">(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="$elmcount&lt;=1">(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf
Item: (activitiesSubjectOfConclusion)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-1eeb4178-3636-4581-a297-2b626f40e842">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@classCode='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@moodCode='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-fd2b3121-72ae-413e-804b-2aa078454c74">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-df308f00-1b0c-40ec-b3aa-fd7c73d4ae57">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@classCode='REG' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@moodCode='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-f3407f9f-23b3-4f4e-9c7c-8cfa4a391dec">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-d4edfc7c-0e4f-4901-840a-c328f5e1152f">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@classCode='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@moodCode='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-9022b43e-9b07-4d7a-8fff-8a61dc91996b">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-806785ea-544a-4355-ab1f-398c0907770d">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@classCode='PCPR' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@moodCode='RQO' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:performer)&lt;=1">(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-0d7a32f3-59de-4423-9502-fe77db1ccba0">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer"
         id="tmp-5de8b3ea-67e1-4bc9-b313-8b7dfd2939cf">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@typeCode='PRF' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:assignedEntity)&lt;=1">(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity"
         id="tmp-44839e02-de5f-4274-88ff-3f6c0053b117">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@classCode='ASSIGNED' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code"
         id="tmp-1f90a446-9ab0-4964-9f84-d3b3eea0ab82">
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]"
         id="tmp-9e2b7d2f-6381-4c8d-b205-0bfc06f3ab98">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@classCode='ACT' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@moodCode='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code"
         id="tmp-bca5f427-9707-4c22-bd03-ede8360963b9">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor='OTH'">(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:originalText)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:originalText)&lt;=1">(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText"
         id="tmp-57344b30-4234-4b4a-b094-e76c569c1924">
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf"
         id="tmp-955be079-737d-477d-b534-ddaf938eea8a">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@typeCode='SUBJ' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:annotation)&lt;=1">(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation"
         id="tmp-00980fa8-8136-479a-bd83-91291b42bed6">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@classCode='ACT' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@moodCode='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:text)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:text)&lt;=1">(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code"
         id="tmp-ecc93ced-2083-4049-91cd-9fe800fab5b5">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text"
         id="tmp-3d138c16-a866-4164-95ff-49f5ee8bf147">
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2"
         id="tmp-4b44a110-c931-4676-a8f7-9a469776e31f">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@typeCode='SUBJ' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)">(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:annotation)&lt;=1">(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation"
         id="tmp-6eb1f226-d941-41e5-a364-801e9d0e5a77">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 ">(rubricClusterObservation): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(rubricClusterObservation): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:text)&lt;=1">(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code"
         id="tmp-647bbd60-2b42-4e4d-bd63-a4c101c6b74a">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')">(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text"
         id="tmp-fd00da40-8436-4933-86b8-e6bf731d0308">
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (rubricCluster21)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster
Item: (obs_Bijzonderheden_contact_met_volwassenen)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (obs_Bijzonderheden_contact_met_volwassenen)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]"
         id="tmp-68bd0b00-1842-47e1-9b3c-58c310b54758">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)">(obs_Bijzonderheden_contact_met_volwassenen): element hl7:observation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:observation)&lt;=1">(obs_Bijzonderheden_contact_met_volwassenen): element hl7:observation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (obs_Bijzonderheden_contact_met_volwassenen)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation"
         id="tmp-788b11ae-d914-4459-9dfe-1a09714283a7">
      <extends rule="tmp-301ef4af-0ff7-4572-9f53-8988b87192cd"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40782'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40782']/@nullFlavor)">(obs_Bijzonderheden_contact_met_volwassenen): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40782'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40782'])&lt;=1">(obs_Bijzonderheden_contact_met_volwassenen): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40782'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(obs_Bijzonderheden_contact_met_volwassenen): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(obs_Bijzonderheden_contact_met_volwassenen): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:value)&gt;=1 ">(obs_Bijzonderheden_contact_met_volwassenen): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:value)&lt;=1">(obs_Bijzonderheden_contact_met_volwassenen): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40782']
Item: (obs_Bijzonderheden_contact_met_volwassenen)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40782']"
         id="tmp-01c420f5-217f-47af-8285-e47dac5a2ce5">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@root='2.16.840.1.113883.2.4.6.10.100.40782'">(obs_Bijzonderheden_contact_met_volwassenen): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40782' hebben.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(obs_Bijzonderheden_contact_met_volwassenen): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code
Item: (obs_Bijzonderheden_contact_met_volwassenen)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code"
         id="tmp-abcf18d6-d82f-4a6a-b859-16076b2bbc1a">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or (@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(obs_Bijzonderheden_contact_met_volwassenen): de waarde van @code/@codeSystem MOET ''782' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value
Item: (obs_Bijzonderheden_contact_met_volwassenen)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value"
         id="tmp-6e45664c-0c25-48ce-b5c1-e909642e14cc">
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (rubricClusterObservation)
-->
<rule id="tmp-301ef4af-0ff7-4572-9f53-8988b87192cd" abstract="true">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@classCode='OBS' or not(@classCode)">(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@moodCode='EVN' or not(@moodCode)">(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1">(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:text
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode"
         id="tmp-08296dcc-06ac-48d6-badb-c06d62b55999">
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:effectiveTime
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode"
         id="tmp-d7867b51-3e25-4b07-b037-d091085c953f">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode"
         id="tmp-ff77f3d8-cc41-4eff-abb5-4cff9f728efc">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject"
         id="tmp-027833fb-b040-4169-ae14-87629fac3509">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@typeCode='SBJ' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (activitiesPerformer)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer
Item: (activitiesPerformer)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer
Item: (activitiesPerformer)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer"
         id="tmp-f001d729-ba5b-4796-8852-d94ed851fefa">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@typeCode='PRF' or not(@typeCode)">(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)">(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:assignedEntity)&lt;=1">(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity
Item: (activitiesPerformer)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity"
         id="tmp-e8cdd935-df74-4435-af27-d0c2be36f246">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(activitiesPerformer): element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:id)&lt;=1">(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id
Item: (activitiesPerformer)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id"
         id="tmp-9a8b7450-b2ba-41eb-9447-5dff02d8b4fc">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant"
         id="tmp-1e0fd95e-a073-489e-918e-9d289209efe7">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@typeCode='INF' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location"
         id="tmp-77743e8c-a90a-4052-8b0e-4848e7b9a09d">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@typeCode='LOC' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]"
         id="tmp-95adc7c6-5f4b-442f-8580-58186507e13e">
      <extends rule="tmp-00b0bddd-ea93-432a-9652-cd9e00c0c93a"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@typeCode='SUBJ' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (activitiesSubjectOfConclusion)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (activitiesSubjectOfConclusion)
-->
<rule id="tmp-00b0bddd-ea93-432a-9652-cd9e00c0c93a" abstract="true">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:conclusion)&lt;=1">(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion"
         id="tmp-76569366-72f5-4e54-ae82-a95e942c988c">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@classCode='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@moodCode='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:text)&lt;=1">(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code"
         id="tmp-b205a707-105c-47f6-8461-ff16b8250082">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text"
         id="tmp-271df23d-6817-461e-8440-ba0a75d41358">
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component"
         id="tmp-cc3d6aab-ebce-42bf-9c51-da951beea783">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@typeCode='COMP' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:indication)&lt;=1">(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication"
         id="tmp-876248df-cb27-4d17-b2a1-3d55ca534519">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@classCode='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@moodCode='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:value)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:value)&lt;=1">(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:reasonOf)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code"
         id="tmp-06a39bdf-c4ef-48fa-95c0-b71cb992f1c4">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value"
         id="tmp-b235fca7-05c7-4df5-9fb5-c45819751fac">
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf"
         id="tmp-e04be826-3d41-4db0-bb51-6fbb4153e9bc">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@typeCode='RSON' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.</assert>
      <let name="elmcount"
           value="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="$elmcount&gt;=1">(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="$elmcount&lt;=1">(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf
Item: (activitiesSubjectOfConclusion)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-b23924ea-bf57-437f-9045-fae7c098f8f9">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@classCode='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@moodCode='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-f09b2c56-88c8-4cab-b544-8a2c8c6756a3">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-baab5890-8108-4b8f-b0de-e39f4654488d">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@classCode='REG' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@moodCode='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-12239f70-8f85-4ce0-bd5a-fab2cd193dfc">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-5414dadc-fe1c-47f0-8851-908d0bf0b692">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@classCode='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@moodCode='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-88d59d67-72db-4e83-84b8-4e25fd573897">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-c20a985e-c1a9-46bb-bdf4-978efa302718">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@classCode='PCPR' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@moodCode='RQO' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:performer)&lt;=1">(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-188ec6a0-aee5-4368-bed8-bfcbb0c16825">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer"
         id="tmp-57f2e3ff-2694-4fae-9c74-a83e250ce548">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@typeCode='PRF' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:assignedEntity)&lt;=1">(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity"
         id="tmp-b53a2145-f13f-46c9-8bfe-2a89d3de3409">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@classCode='ASSIGNED' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code"
         id="tmp-1515b3cb-368c-4404-8f1c-b0ab6af72758">
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]"
         id="tmp-de73b911-1656-4002-bad9-1b27ba728f62">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@classCode='ACT' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@moodCode='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code"
         id="tmp-b9a2e53c-28fd-4c5d-9684-9d4590539216">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor='OTH'">(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:originalText)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:originalText)&lt;=1">(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText"
         id="tmp-fbf557ac-4fdb-4f41-8bd0-fc4f66b913ff">
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf"
         id="tmp-b3447db1-8522-495c-b3d1-1f55e3cf0549">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@typeCode='SUBJ' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:annotation)&lt;=1">(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation"
         id="tmp-f36d2eea-cda2-4b78-9f61-7988980a23bd">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@classCode='ACT' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@moodCode='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:text)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:text)&lt;=1">(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code"
         id="tmp-8b5de452-d231-4e86-a60c-1f05110b8a98">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text"
         id="tmp-14568eaa-061a-4283-9c45-1231275b769d">
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2"
         id="tmp-d60763db-caee-41b8-974a-7760f79c7748">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@typeCode='SUBJ' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)">(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:annotation)&lt;=1">(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation"
         id="tmp-49d28fde-0fb8-4583-9ad7-efe0b3370b93">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 ">(rubricClusterObservation): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(rubricClusterObservation): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:text)&lt;=1">(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code"
         id="tmp-3505a272-8900-4d3f-bfc2-519ba9321629">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')">(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text"
         id="tmp-78416132-e781-4d11-ae4c-c8af0a1cf135">
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (rubricCluster21)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster
Item: (obs_Bijzonderheden_omgaan_met_nieuwe_situaties)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (obs_Bijzonderheden_omgaan_met_nieuwe_situaties)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]"
         id="tmp-74b19fa5-dcc0-4862-98bf-e49a4c239316">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)">(obs_Bijzonderheden_omgaan_met_nieuwe_situaties): element hl7:observation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:observation)&lt;=1">(obs_Bijzonderheden_omgaan_met_nieuwe_situaties): element hl7:observation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (obs_Bijzonderheden_omgaan_met_nieuwe_situaties)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation"
         id="tmp-d4cc86ad-04f6-4f94-867c-e95f7b2158ea">
      <extends rule="tmp-3be2105b-4aee-4b5c-b582-25411b863fa6"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40783'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40783']/@nullFlavor)">(obs_Bijzonderheden_omgaan_met_nieuwe_situaties): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40783'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40783'])&lt;=1">(obs_Bijzonderheden_omgaan_met_nieuwe_situaties): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40783'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(obs_Bijzonderheden_omgaan_met_nieuwe_situaties): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(obs_Bijzonderheden_omgaan_met_nieuwe_situaties): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:value)&gt;=1 ">(obs_Bijzonderheden_omgaan_met_nieuwe_situaties): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:value)&lt;=1">(obs_Bijzonderheden_omgaan_met_nieuwe_situaties): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40783']
Item: (obs_Bijzonderheden_omgaan_met_nieuwe_situaties)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40783']"
         id="tmp-a0eb7ed6-d9f8-417c-a031-83b19cbb218a">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@root='2.16.840.1.113883.2.4.6.10.100.40783'">(obs_Bijzonderheden_omgaan_met_nieuwe_situaties): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40783' hebben.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(obs_Bijzonderheden_omgaan_met_nieuwe_situaties): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code
Item: (obs_Bijzonderheden_omgaan_met_nieuwe_situaties)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code"
         id="tmp-3d60c24a-644a-4e9a-9b55-566ca29e59ff">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or (@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(obs_Bijzonderheden_omgaan_met_nieuwe_situaties): de waarde van @code/@codeSystem MOET ''783' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value
Item: (obs_Bijzonderheden_omgaan_met_nieuwe_situaties)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value"
         id="tmp-dc9c9e92-ff0a-44d2-8ce7-e9c2c2842bb9">
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (rubricClusterObservation)
-->
<rule id="tmp-3be2105b-4aee-4b5c-b582-25411b863fa6" abstract="true">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@classCode='OBS' or not(@classCode)">(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@moodCode='EVN' or not(@moodCode)">(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1">(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:text
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode"
         id="tmp-b2999e82-33f5-4a78-8d65-c2b763c03775">
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:effectiveTime
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode"
         id="tmp-878430e4-f23e-4e62-99a4-1559bcadfee3">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode"
         id="tmp-46509e30-6e4b-487e-9f37-4c8febcd588e">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject"
         id="tmp-a3f68242-8c19-4b43-a854-37ed4588145e">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@typeCode='SBJ' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (activitiesPerformer)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer
Item: (activitiesPerformer)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer
Item: (activitiesPerformer)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer"
         id="tmp-c3a9538b-486f-4220-8931-4b7e6c6321b5">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@typeCode='PRF' or not(@typeCode)">(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)">(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:assignedEntity)&lt;=1">(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity
Item: (activitiesPerformer)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity"
         id="tmp-96881f70-51eb-4426-818b-fecd4c21dffb">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(activitiesPerformer): element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:id)&lt;=1">(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id
Item: (activitiesPerformer)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id"
         id="tmp-9015d86f-2737-4d82-89cf-dabbbcb7ba17">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant"
         id="tmp-b743ff36-37fb-4dfb-891a-9695590afa93">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@typeCode='INF' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location"
         id="tmp-5f22b1eb-8454-4a93-876d-6026bc882a81">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@typeCode='LOC' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]"
         id="tmp-176c6b31-0a7b-4407-a39f-b0e3747e7704">
      <extends rule="tmp-4cc8d9ec-7134-4b96-bbbc-b7a432dde725"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@typeCode='SUBJ' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (activitiesSubjectOfConclusion)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (activitiesSubjectOfConclusion)
-->
<rule id="tmp-4cc8d9ec-7134-4b96-bbbc-b7a432dde725" abstract="true">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:conclusion)&lt;=1">(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion"
         id="tmp-fe0dfe2b-b4ed-4db0-9ab6-9fc52ac3c207">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@classCode='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@moodCode='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:text)&lt;=1">(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code"
         id="tmp-fbf29190-cf03-46b9-b642-3e420a6552b1">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text"
         id="tmp-1d3ab49a-ab94-47c2-a26a-dbf32a8aae35">
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component"
         id="tmp-b9c6e7ab-7b5a-47b4-8c10-0fef1b4174d3">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@typeCode='COMP' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:indication)&lt;=1">(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication"
         id="tmp-fee989f8-0166-4023-b708-9a443945cc48">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@classCode='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@moodCode='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:value)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:value)&lt;=1">(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:reasonOf)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code"
         id="tmp-b91ba63f-58c4-4217-8251-052fcc217156">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value"
         id="tmp-e9c6c880-53aa-4ef2-a258-176682bb41ad">
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf"
         id="tmp-6f21ee11-2d6e-413a-854b-5c340f51e9d7">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@typeCode='RSON' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.</assert>
      <let name="elmcount"
           value="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="$elmcount&gt;=1">(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="$elmcount&lt;=1">(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf
Item: (activitiesSubjectOfConclusion)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-b19214eb-f778-4a07-9cb7-8c3233dd043b">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@classCode='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@moodCode='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-65d4b30a-fdfb-48fe-ba47-1a1cc75da525">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-d6539ef5-4878-4ff7-bb04-cfcc2a63d242">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@classCode='REG' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@moodCode='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-db50e68a-4bce-4856-934f-0450e60a1c97">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-c476280c-428f-48eb-953a-de4f66e90b62">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@classCode='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@moodCode='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-c1189af0-d230-4054-8b0c-ee3ed1671164">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-74668e5c-b547-4571-ab4c-b5b6aee4d27a">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@classCode='PCPR' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@moodCode='RQO' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:performer)&lt;=1">(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-1230d661-d4db-47ca-ab01-0ecdc116cc0b">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer"
         id="tmp-b1656fc3-700b-4346-8752-09571d85fcad">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@typeCode='PRF' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:assignedEntity)&lt;=1">(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity"
         id="tmp-a0f80242-21d1-4dae-aa8f-f11cbd5323f8">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@classCode='ASSIGNED' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code"
         id="tmp-5b9eb402-aceb-4f23-9e51-6615ba60f0c5">
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]"
         id="tmp-a6cad2f2-3976-45f5-a4d1-0ce7e61bb262">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@classCode='ACT' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@moodCode='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code"
         id="tmp-223b390a-b989-4dda-947d-61ceaa1b3bab">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor='OTH'">(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:originalText)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:originalText)&lt;=1">(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText"
         id="tmp-3a08e073-9f2e-4445-9fde-4b502299ed66">
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf"
         id="tmp-d48b8cd4-d2f7-4e8f-932a-d34b994cc18d">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@typeCode='SUBJ' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:annotation)&lt;=1">(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation"
         id="tmp-8f6e712e-c60a-4f6a-9fd2-ce66d59652e1">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@classCode='ACT' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@moodCode='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:text)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:text)&lt;=1">(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code"
         id="tmp-9ce7cea3-505d-46f6-8e9b-e88b9d9d3ae5">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text"
         id="tmp-cf6d77ea-12c2-4599-97fa-0e24d2c27262">
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2"
         id="tmp-2d3cf93f-75f8-43c1-b0e8-49faa60bfa4f">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@typeCode='SUBJ' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)">(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:annotation)&lt;=1">(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation"
         id="tmp-6d9297c7-7017-4ba6-bb43-9eebc56287b7">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 ">(rubricClusterObservation): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(rubricClusterObservation): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:text)&lt;=1">(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code"
         id="tmp-45c0b578-3fbd-46d4-8b3d-6d4708ce94b6">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')">(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text"
         id="tmp-0c3699ca-d538-4878-aea9-a7f1260f7d86">
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (rubricCluster21)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster
Item: (obs_Bijzonderheden_gewelddelinquent_gedrag)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (obs_Bijzonderheden_gewelddelinquent_gedrag)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]"
         id="tmp-bf621baa-7833-4ea3-8533-733088b74cd9">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)">(obs_Bijzonderheden_gewelddelinquent_gedrag): element hl7:observation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:observation)&lt;=1">(obs_Bijzonderheden_gewelddelinquent_gedrag): element hl7:observation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (obs_Bijzonderheden_gewelddelinquent_gedrag)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation"
         id="tmp-7985d106-c389-42e8-a2de-3d8de965977f">
      <extends rule="tmp-5c283021-d801-4c92-91d5-8e7988f921c9"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40784'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40784']/@nullFlavor)">(obs_Bijzonderheden_gewelddelinquent_gedrag): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40784'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40784'])&lt;=1">(obs_Bijzonderheden_gewelddelinquent_gedrag): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40784'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(obs_Bijzonderheden_gewelddelinquent_gedrag): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(obs_Bijzonderheden_gewelddelinquent_gedrag): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:value)&gt;=1 ">(obs_Bijzonderheden_gewelddelinquent_gedrag): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:value)&lt;=1">(obs_Bijzonderheden_gewelddelinquent_gedrag): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40784']
Item: (obs_Bijzonderheden_gewelddelinquent_gedrag)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40784']"
         id="tmp-ea352ed2-9ab3-4bf9-85c9-56eca438aa1a">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@root='2.16.840.1.113883.2.4.6.10.100.40784'">(obs_Bijzonderheden_gewelddelinquent_gedrag): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40784' hebben.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(obs_Bijzonderheden_gewelddelinquent_gedrag): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code
Item: (obs_Bijzonderheden_gewelddelinquent_gedrag)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code"
         id="tmp-002ae255-7b61-47c7-bd86-ceeb0dd4e602">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or (@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(obs_Bijzonderheden_gewelddelinquent_gedrag): de waarde van @code/@codeSystem MOET ''784' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value
Item: (obs_Bijzonderheden_gewelddelinquent_gedrag)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value"
         id="tmp-196f4db0-5a70-4e89-9db5-8dfa052d4c97">
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (rubricClusterObservation)
-->
<rule id="tmp-5c283021-d801-4c92-91d5-8e7988f921c9" abstract="true">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@classCode='OBS' or not(@classCode)">(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@moodCode='EVN' or not(@moodCode)">(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1">(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:text
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode"
         id="tmp-ebe8b23c-7dcd-48f8-a0e9-c1015e5ce85b">
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:effectiveTime
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode"
         id="tmp-5ffb4adf-5893-488b-b8eb-625b1c35e261">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode"
         id="tmp-75d2c8c4-e97c-4041-bfb0-f606e6bab9b4">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject"
         id="tmp-48558b32-de07-4459-a7e7-e850f32f7962">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@typeCode='SBJ' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (activitiesPerformer)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer
Item: (activitiesPerformer)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer
Item: (activitiesPerformer)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer"
         id="tmp-d0939daa-9ac8-4200-9778-afb3e25ef461">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@typeCode='PRF' or not(@typeCode)">(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)">(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:assignedEntity)&lt;=1">(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity
Item: (activitiesPerformer)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity"
         id="tmp-03d1f590-0df2-4413-b3f4-6e018ebc19f2">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(activitiesPerformer): element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:id)&lt;=1">(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id
Item: (activitiesPerformer)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id"
         id="tmp-2363a580-645d-4de4-a168-52f9ddbf9ace">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant"
         id="tmp-3039ab61-18c0-4211-9d8f-95342735caa4">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@typeCode='INF' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location"
         id="tmp-958ec52e-e68a-47dd-9492-c6d59f55d168">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@typeCode='LOC' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]"
         id="tmp-8a25c1e9-3831-4900-a48d-8c49f57b29f8">
      <extends rule="tmp-9d50e0da-b422-44b8-bc8c-2aad6a4eb5b2"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@typeCode='SUBJ' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (activitiesSubjectOfConclusion)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (activitiesSubjectOfConclusion)
-->
<rule id="tmp-9d50e0da-b422-44b8-bc8c-2aad6a4eb5b2" abstract="true">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:conclusion)&lt;=1">(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion"
         id="tmp-98deb423-3417-41f9-bbfb-c50479f5090a">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@classCode='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@moodCode='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:text)&lt;=1">(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code"
         id="tmp-d314bb61-5f40-4ef6-98c0-0cebe4b9fb29">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text"
         id="tmp-06c02064-3e96-4d56-89c3-b9a18b9ece2c">
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component"
         id="tmp-0cc550c2-6f09-40a3-be30-9f550d1c3f17">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@typeCode='COMP' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:indication)&lt;=1">(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication"
         id="tmp-33f3d32b-cd24-4ac0-bb80-1ac76a68fe22">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@classCode='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@moodCode='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:value)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:value)&lt;=1">(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:reasonOf)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code"
         id="tmp-5cf77dfe-07cf-4e9a-9ef9-c24171f7ffff">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value"
         id="tmp-4e7ee3b4-8d5c-4597-952f-4ebc11e0bdd5">
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf"
         id="tmp-183e0610-52b6-4d32-b8c1-2a7661d73f00">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@typeCode='RSON' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.</assert>
      <let name="elmcount"
           value="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="$elmcount&gt;=1">(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="$elmcount&lt;=1">(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf
Item: (activitiesSubjectOfConclusion)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-398b0a28-418f-487e-8d5d-6f5b98911c5f">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@classCode='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@moodCode='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-7b62e41e-4796-4f22-979a-a3c4633bc878">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-4b3f87c2-d21e-44dd-af47-dc7f9b5e34ff">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@classCode='REG' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@moodCode='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-e091635e-ff0a-456c-bee8-16da67c3ba7e">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-313340a8-1844-4312-b71a-212c662875f2">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@classCode='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@moodCode='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-ab9c3bdb-5c70-4c24-891f-799034a72877">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-3018deda-1590-4a55-9696-76b87098f135">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@classCode='PCPR' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@moodCode='RQO' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:performer)&lt;=1">(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-f9cfc3f2-270f-483d-9fde-4c1006fd17d9">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer"
         id="tmp-6a8d2911-8ba4-42e7-a85b-016623506ebc">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@typeCode='PRF' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:assignedEntity)&lt;=1">(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity"
         id="tmp-7303fa34-221b-4035-9c14-3e2661cae6cf">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@classCode='ASSIGNED' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code"
         id="tmp-10ca91b6-41c0-4861-be80-6a1e95979b64">
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]"
         id="tmp-a5494725-d4dd-40c2-a5b8-e7084c469a7a">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@classCode='ACT' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@moodCode='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code"
         id="tmp-c51aaa6f-4826-4411-b3a2-22df7923a6d4">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor='OTH'">(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:originalText)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:originalText)&lt;=1">(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText"
         id="tmp-524ae1ac-d64c-4eef-b121-553eb70d9c57">
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf"
         id="tmp-c21bb0d5-3a2e-46e9-bca6-c0f8b08dc600">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@typeCode='SUBJ' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:annotation)&lt;=1">(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation"
         id="tmp-bab0f471-2d6c-427b-8a9f-ef3c648029ec">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@classCode='ACT' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@moodCode='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:text)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:text)&lt;=1">(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code"
         id="tmp-e7808dd2-be21-4f96-9180-dbae5b944ae8">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text"
         id="tmp-8ef1f578-b200-4ca1-9723-07b97930799f">
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2"
         id="tmp-f6dbddc9-2687-4ce7-8694-a83f45d4faca">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@typeCode='SUBJ' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)">(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:annotation)&lt;=1">(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation"
         id="tmp-a03210d9-5c76-4aa2-8395-f396cab55fd1">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 ">(rubricClusterObservation): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(rubricClusterObservation): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:text)&lt;=1">(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code"
         id="tmp-e514b760-30d4-4bee-a188-d3df39254d6d">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')">(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text"
         id="tmp-b1b92808-b759-48c1-acbb-5ad7d93a526b">
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (rubricCluster21)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster
Item: (obs_Bijzonderheden_verslavingsrisico)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (obs_Bijzonderheden_verslavingsrisico)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]"
         id="tmp-9e07516c-6558-462f-9efb-daaedfed8459">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)">(obs_Bijzonderheden_verslavingsrisico): element hl7:observation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:observation)&lt;=1">(obs_Bijzonderheden_verslavingsrisico): element hl7:observation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (obs_Bijzonderheden_verslavingsrisico)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation"
         id="tmp-9073b1b8-4326-4dc9-86cf-0311ecf3765c">
      <extends rule="tmp-adb01796-1811-4516-8267-58c9bf600463"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40785'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40785']/@nullFlavor)">(obs_Bijzonderheden_verslavingsrisico): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40785'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40785'])&lt;=1">(obs_Bijzonderheden_verslavingsrisico): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40785'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(obs_Bijzonderheden_verslavingsrisico): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(obs_Bijzonderheden_verslavingsrisico): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:value)&gt;=1 ">(obs_Bijzonderheden_verslavingsrisico): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:value)&lt;=1">(obs_Bijzonderheden_verslavingsrisico): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40785']
Item: (obs_Bijzonderheden_verslavingsrisico)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40785']"
         id="tmp-2a9e189e-6cba-42c2-9410-7f6a098e60e1">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@root='2.16.840.1.113883.2.4.6.10.100.40785'">(obs_Bijzonderheden_verslavingsrisico): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40785' hebben.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(obs_Bijzonderheden_verslavingsrisico): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code
Item: (obs_Bijzonderheden_verslavingsrisico)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code"
         id="tmp-d7876efb-b98b-4ed1-a572-e28b4cb56684">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or (@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(obs_Bijzonderheden_verslavingsrisico): de waarde van @code/@codeSystem MOET ''785' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value
Item: (obs_Bijzonderheden_verslavingsrisico)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value"
         id="tmp-8e83987a-605f-49dc-8b70-82f5c9cac36c">
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-W0214_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-W0214_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(obs_Bijzonderheden_verslavingsrisico): de waarde van @code MOET worden gekozen uit waardenlijst W0214_HL7 W0214 Bijzonderheden verslavingsrisico (HL7) DYNAMIC.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(obs_Bijzonderheden_verslavingsrisico): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0214_HL7 W0214 Bijzonderheden verslavingsrisico (HL7) DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (rubricClusterObservation)
-->
<rule id="tmp-adb01796-1811-4516-8267-58c9bf600463" abstract="true">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@classCode='OBS' or not(@classCode)">(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@moodCode='EVN' or not(@moodCode)">(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1">(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:text
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode"
         id="tmp-c162fae9-045c-44bc-85a7-c968391015c7">
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:effectiveTime
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode"
         id="tmp-6d2a651e-b92a-4716-967a-a9749135dadc">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode"
         id="tmp-0b0bd70b-5392-475a-a903-dfc761475a90">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject"
         id="tmp-b9cb4eda-cc63-4abc-85e6-9cc385249404">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@typeCode='SBJ' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (activitiesPerformer)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer
Item: (activitiesPerformer)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer
Item: (activitiesPerformer)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer"
         id="tmp-eb358d87-2b4b-47c7-aa52-c9e9805b3909">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@typeCode='PRF' or not(@typeCode)">(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)">(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:assignedEntity)&lt;=1">(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity
Item: (activitiesPerformer)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity"
         id="tmp-ac782298-0dff-481b-9911-947b70d82543">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(activitiesPerformer): element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:id)&lt;=1">(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id
Item: (activitiesPerformer)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id"
         id="tmp-2beacc82-7804-440b-907f-5468ed1b6bcd">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant"
         id="tmp-790c06b5-dd70-4c3b-88ff-33afe094af14">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@typeCode='INF' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location"
         id="tmp-cc2be7a2-2c27-4d7b-8837-75ec31669096">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@typeCode='LOC' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]"
         id="tmp-e6fa21ef-1a06-48e4-9dff-4a3702234b79">
      <extends rule="tmp-c69205a4-9428-473b-a490-1bde2f6a0483"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@typeCode='SUBJ' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (activitiesSubjectOfConclusion)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (activitiesSubjectOfConclusion)
-->
<rule id="tmp-c69205a4-9428-473b-a490-1bde2f6a0483" abstract="true">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:conclusion)&lt;=1">(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion"
         id="tmp-3faa4285-0aba-4277-b418-0d51bbab3428">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@classCode='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@moodCode='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:text)&lt;=1">(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code"
         id="tmp-8ec153cb-3422-43bf-9d14-cf45e49a18e6">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text"
         id="tmp-3f17fef1-1cc2-4263-844e-94b319745160">
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component"
         id="tmp-345897bd-577d-470c-b67a-98002b163f18">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@typeCode='COMP' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:indication)&lt;=1">(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication"
         id="tmp-b4ddbe76-bb09-4ed9-a1eb-bc3a7ac258fd">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@classCode='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@moodCode='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:value)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:value)&lt;=1">(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:reasonOf)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code"
         id="tmp-8cc798d0-cf6b-420b-8a0f-46f33c5678b1">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value"
         id="tmp-76d9e06c-303c-4132-8452-a6e24512ed09">
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf"
         id="tmp-5a2cf80c-a953-4c5f-b370-1527b4fd3cf0">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@typeCode='RSON' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.</assert>
      <let name="elmcount"
           value="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="$elmcount&gt;=1">(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="$elmcount&lt;=1">(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf
Item: (activitiesSubjectOfConclusion)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-2daba286-562c-4697-9ce0-6514847b6c7f">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@classCode='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@moodCode='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-d88b35ce-5644-4044-9242-e155be7e8a9a">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-a1fe16d3-b04b-48b8-af00-9607297671dd">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@classCode='REG' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@moodCode='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-2d2e0936-c88b-40d4-937b-5b5c8ccbe73c">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-ce8ed5bd-2d62-4782-913d-609d076ffdfa">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@classCode='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@moodCode='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-de009be4-62b9-4e26-97f6-8058e459008b">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-8047362b-6d82-42c4-a438-ffafe71ebdba">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@classCode='PCPR' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@moodCode='RQO' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:performer)&lt;=1">(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-6713b455-634a-433a-93c4-4caae669a808">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer"
         id="tmp-984135ba-fb80-4110-bd8e-7e7102ee728f">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@typeCode='PRF' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:assignedEntity)&lt;=1">(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity"
         id="tmp-dfdc72fc-510c-4641-bdd5-742ad4eb304b">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@classCode='ASSIGNED' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code"
         id="tmp-79e69958-c271-41e2-a89c-caf85ea0c3af">
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]"
         id="tmp-e9f44f4b-0dd6-4b64-9f18-41d3986c5028">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@classCode='ACT' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@moodCode='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code"
         id="tmp-bf533723-7483-4123-8f09-798c0fbc860a">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor='OTH'">(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:originalText)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:originalText)&lt;=1">(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText"
         id="tmp-41adaba2-49fa-4003-8680-8934b6a4a4f7">
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf"
         id="tmp-340384ac-8485-4cf2-a696-beac090c17e2">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@typeCode='SUBJ' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:annotation)&lt;=1">(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation"
         id="tmp-5ca4b744-3fba-4857-aeab-6e18450dca58">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@classCode='ACT' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@moodCode='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:text)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:text)&lt;=1">(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code"
         id="tmp-b0562e8e-ba9e-4f68-8fa5-918321dff859">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text"
         id="tmp-4575c9ee-163a-4f28-8e81-34db484a43f8">
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2"
         id="tmp-1b577b55-d176-40d1-8a0e-8fcf4be76789">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@typeCode='SUBJ' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)">(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:annotation)&lt;=1">(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation"
         id="tmp-a1e1baf5-dd4e-4f82-84f9-5503728df3ff">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 ">(rubricClusterObservation): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(rubricClusterObservation): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:text)&lt;=1">(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code"
         id="tmp-17f84a9f-b9e5-462f-a4dc-3af7fe7201de">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')">(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text"
         id="tmp-534987d5-d384-4817-a4e0-013872388adf">
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (rubricCluster21)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster
Item: (obs_Toelichting_verslavingsrisico)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (obs_Toelichting_verslavingsrisico)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]"
         id="tmp-4b5da5ec-d239-4d6e-b360-d7e4a79e3ca9">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)">(obs_Toelichting_verslavingsrisico): element hl7:observation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:observation)&lt;=1">(obs_Toelichting_verslavingsrisico): element hl7:observation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (obs_Toelichting_verslavingsrisico)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation"
         id="tmp-472feeeb-0687-44be-9908-57450f520ff2">
      <extends rule="tmp-9c74b85e-f811-41c3-9d0a-a23189fcd6ac"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40786'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40786']/@nullFlavor)">(obs_Toelichting_verslavingsrisico): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40786'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40786'])&lt;=1">(obs_Toelichting_verslavingsrisico): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40786'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(obs_Toelichting_verslavingsrisico): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(obs_Toelichting_verslavingsrisico): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:value)&gt;=1 ">(obs_Toelichting_verslavingsrisico): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:value)&lt;=1">(obs_Toelichting_verslavingsrisico): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40786']
Item: (obs_Toelichting_verslavingsrisico)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40786']"
         id="tmp-113bd3e6-b257-4cb9-9675-d651e0e49b4a">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@root='2.16.840.1.113883.2.4.6.10.100.40786'">(obs_Toelichting_verslavingsrisico): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40786' hebben.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(obs_Toelichting_verslavingsrisico): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code
Item: (obs_Toelichting_verslavingsrisico)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code"
         id="tmp-9f9c6e94-9ab5-4ac0-b1cf-e0b8bae7267d">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or (@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(obs_Toelichting_verslavingsrisico): de waarde van @code/@codeSystem MOET ''786' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value
Item: (obs_Toelichting_verslavingsrisico)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value"
         id="tmp-191df7dd-f246-412f-b288-34cd18cf0476">
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (rubricClusterObservation)
-->
<rule id="tmp-9c74b85e-f811-41c3-9d0a-a23189fcd6ac" abstract="true">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@classCode='OBS' or not(@classCode)">(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@moodCode='EVN' or not(@moodCode)">(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1">(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:text
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode"
         id="tmp-cbb2309a-983b-4079-af7c-fe772b822be8">
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:effectiveTime
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode"
         id="tmp-721b2821-906b-4932-a7a2-cd188cd734cc">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode"
         id="tmp-daf74daf-4639-4b57-98d3-7f42d459cdbe">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject"
         id="tmp-1c080e04-18b5-485d-a455-b8bdada3ccad">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@typeCode='SBJ' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (activitiesPerformer)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer
Item: (activitiesPerformer)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer
Item: (activitiesPerformer)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer"
         id="tmp-08fe7b93-d684-4fef-bc25-ecadab2f3cc8">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@typeCode='PRF' or not(@typeCode)">(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)">(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:assignedEntity)&lt;=1">(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity
Item: (activitiesPerformer)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity"
         id="tmp-e8ea24dc-e6d4-422c-8acf-a59e20b81bd1">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(activitiesPerformer): element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:id)&lt;=1">(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id
Item: (activitiesPerformer)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id"
         id="tmp-f4ef0204-cad4-471f-91da-da4abe6c8ef8">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant"
         id="tmp-155a9662-5a99-4c95-934c-167a92bfa20c">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@typeCode='INF' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location"
         id="tmp-e829c090-0f9f-4a67-85ee-c1c467b56ccc">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@typeCode='LOC' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]"
         id="tmp-6fc7e791-5b74-4fda-adf1-bdb7a4324ef1">
      <extends rule="tmp-ff075c05-61d3-4e43-bc84-f13baa61997d"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@typeCode='SUBJ' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (activitiesSubjectOfConclusion)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (activitiesSubjectOfConclusion)
-->
<rule id="tmp-ff075c05-61d3-4e43-bc84-f13baa61997d" abstract="true">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:conclusion)&lt;=1">(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion"
         id="tmp-0ea94bfd-1d1c-4272-a6bc-3206dc2f9f55">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@classCode='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@moodCode='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:text)&lt;=1">(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code"
         id="tmp-60fdfa5b-a067-42d3-b073-00605c1a7bda">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text"
         id="tmp-5b40a4de-cb81-4057-a133-9a29fb388e8e">
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component"
         id="tmp-a6f78708-0874-49e6-b571-8f995c4d3ccd">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@typeCode='COMP' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:indication)&lt;=1">(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication"
         id="tmp-08c0cdac-9dd5-433a-af3c-1b6476cddca6">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@classCode='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@moodCode='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:value)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:value)&lt;=1">(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:reasonOf)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code"
         id="tmp-2b9a4edd-7573-41d7-96a7-8767b42b4089">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value"
         id="tmp-48ae8c71-e717-4be5-b697-9c363648ec0d">
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf"
         id="tmp-3e48c211-8373-4708-af6e-4477198d5074">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@typeCode='RSON' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.</assert>
      <let name="elmcount"
           value="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="$elmcount&gt;=1">(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="$elmcount&lt;=1">(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf
Item: (activitiesSubjectOfConclusion)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-99815e36-6a64-49a8-8fbb-8183c2af8607">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@classCode='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@moodCode='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-8e7e9709-84e9-4947-a299-e3783ec7c72f">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-b5efe3fc-9676-4e10-a003-96c60c74947a">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@classCode='REG' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@moodCode='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-cd2c84db-70d4-4de4-8474-d4660e7ccad7">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-52b50378-5824-4dfa-b1f5-aa3826141bc3">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@classCode='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@moodCode='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-ed48cfa9-915a-4faf-b383-3b985be6d555">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-34655440-99a8-474d-8786-de9cb3e58847">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@classCode='PCPR' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@moodCode='RQO' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:performer)&lt;=1">(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-3dff5760-29c6-42ad-b2df-dd94c5c7528b">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer"
         id="tmp-63de00ab-52bc-47e6-9c01-ca0be96e751b">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@typeCode='PRF' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:assignedEntity)&lt;=1">(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity"
         id="tmp-55a4a808-efc4-4bf6-995c-4ee597825ae3">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@classCode='ASSIGNED' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code"
         id="tmp-92efc9f7-1926-496a-8cdd-4ddd14a27228">
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]"
         id="tmp-9312673f-aad8-47d5-a5a4-38400fe106a5">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@classCode='ACT' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@moodCode='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code"
         id="tmp-f117969b-147d-4ff9-9a4a-76ced467f027">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor='OTH'">(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:originalText)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:originalText)&lt;=1">(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText"
         id="tmp-08c60bfc-7d65-4904-8049-626f6a77b8ec">
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf"
         id="tmp-32763c29-3396-4f2e-a6eb-baf96930cd0b">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@typeCode='SUBJ' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:annotation)&lt;=1">(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation"
         id="tmp-902a95d2-22cb-4333-bf1d-7a2d90a4e25e">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@classCode='ACT' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@moodCode='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:text)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:text)&lt;=1">(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code"
         id="tmp-3aa6ea4b-eb52-4beb-9f8d-07328a529157">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text"
         id="tmp-800d2ef3-b065-4b2c-a299-18c20fbc0987">
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2"
         id="tmp-4c517051-2434-4409-8b63-9705b725a53d">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@typeCode='SUBJ' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)">(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:annotation)&lt;=1">(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation"
         id="tmp-4fa2d11c-3bbb-4354-b674-388e38212af8">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 ">(rubricClusterObservation): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(rubricClusterObservation): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:text)&lt;=1">(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code"
         id="tmp-fafa941b-5293-4fce-888d-25889eda954b">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')">(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text"
         id="tmp-fce9f0b3-4e22-41bf-9adc-61265202491f">
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (rubricCluster21)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster
Item: (obs_Functioneren_op_school_nagevraagd)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (obs_Functioneren_op_school_nagevraagd)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]"
         id="tmp-053c0c64-44ac-4a55-88f3-dc2468b84f22">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)">(obs_Functioneren_op_school_nagevraagd): element hl7:observation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:observation)&lt;=1">(obs_Functioneren_op_school_nagevraagd): element hl7:observation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (obs_Functioneren_op_school_nagevraagd)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation"
         id="tmp-2eed37f5-478a-455e-9965-ef9e7f15db70">
      <extends rule="tmp-fe75a8fc-8d36-415b-8f6a-3415769c76e3"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40787'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40787']/@nullFlavor)">(obs_Functioneren_op_school_nagevraagd): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40787'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40787'])&lt;=1">(obs_Functioneren_op_school_nagevraagd): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40787'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(obs_Functioneren_op_school_nagevraagd): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(obs_Functioneren_op_school_nagevraagd): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(obs_Functioneren_op_school_nagevraagd): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:value)&lt;=1">(obs_Functioneren_op_school_nagevraagd): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40787']
Item: (obs_Functioneren_op_school_nagevraagd)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40787']"
         id="tmp-99c87cff-f42f-4aed-86c6-eb5110295555">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@root='2.16.840.1.113883.2.4.6.10.100.40787'">(obs_Functioneren_op_school_nagevraagd): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40787' hebben.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(obs_Functioneren_op_school_nagevraagd): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code
Item: (obs_Functioneren_op_school_nagevraagd)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code"
         id="tmp-dde3111a-6f9b-4330-91c2-2bfa53d39e71">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or (@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(obs_Functioneren_op_school_nagevraagd): de waarde van @code/@codeSystem MOET ''787' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value
Item: (obs_Functioneren_op_school_nagevraagd)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value"
         id="tmp-5c5dcedf-a0e7-49cc-9aad-88a47a9cb261">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (rubricClusterObservation)
-->
<rule id="tmp-fe75a8fc-8d36-415b-8f6a-3415769c76e3" abstract="true">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@classCode='OBS' or not(@classCode)">(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@moodCode='EVN' or not(@moodCode)">(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1">(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:text
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode"
         id="tmp-b0d5ecb5-3b18-4891-9c23-f5b4651fc618">
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:effectiveTime
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode"
         id="tmp-8686b047-bf8a-42f0-a98c-f3472cfec956">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode"
         id="tmp-4a06f7f0-59fd-416d-ba86-90ad330478ff">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject"
         id="tmp-857953e8-6510-49d0-b9c3-773f115b4e3d">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@typeCode='SBJ' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (activitiesPerformer)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer
Item: (activitiesPerformer)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer
Item: (activitiesPerformer)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer"
         id="tmp-a4eb8ec5-050b-482d-b5f8-1a704170110c">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@typeCode='PRF' or not(@typeCode)">(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)">(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:assignedEntity)&lt;=1">(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity
Item: (activitiesPerformer)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity"
         id="tmp-3638a3dc-264b-437f-bab0-5f4c1a0805d2">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(activitiesPerformer): element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:id)&lt;=1">(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id
Item: (activitiesPerformer)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id"
         id="tmp-9a211313-8262-4a74-8e34-e72cc7ca09e6">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant"
         id="tmp-86421f0e-9295-452a-a120-78ff9235e2d8">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@typeCode='INF' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location"
         id="tmp-4f5b41e4-966c-4fb6-b9e5-8644ae848617">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@typeCode='LOC' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]"
         id="tmp-d78759bb-f72a-434d-98e3-076996329dd5">
      <extends rule="tmp-0e6bd7f4-fdcf-4a8c-8991-8aa35a66f134"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@typeCode='SUBJ' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (activitiesSubjectOfConclusion)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (activitiesSubjectOfConclusion)
-->
<rule id="tmp-0e6bd7f4-fdcf-4a8c-8991-8aa35a66f134" abstract="true">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:conclusion)&lt;=1">(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion"
         id="tmp-817bcea1-4f1e-4611-b9c1-cc4833a64924">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@classCode='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@moodCode='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:text)&lt;=1">(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code"
         id="tmp-391ecbe6-ddb6-414e-8391-1a245f05714e">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text"
         id="tmp-b5efd04d-5df4-4d03-9ca4-a77842f0204c">
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component"
         id="tmp-8db58849-add4-4a07-ad8a-0fea096f16a3">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@typeCode='COMP' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:indication)&lt;=1">(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication"
         id="tmp-dc22d30f-679d-41d4-8d23-5023ec92098f">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@classCode='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@moodCode='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:value)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:value)&lt;=1">(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:reasonOf)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code"
         id="tmp-c1f642e8-a6e6-4841-8b4d-2c7fa01f4db8">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value"
         id="tmp-57155bd2-c349-4405-b9d8-b545a27b4993">
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf"
         id="tmp-86b8dff6-b5a4-488a-b6b0-a85e6b0b9b6d">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@typeCode='RSON' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.</assert>
      <let name="elmcount"
           value="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="$elmcount&gt;=1">(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="$elmcount&lt;=1">(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf
Item: (activitiesSubjectOfConclusion)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-2d242927-9eda-42ac-8399-9f631ccc073d">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@classCode='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@moodCode='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-511e588a-a15d-4022-82f3-421b0ac30638">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-e3d76c5c-c3ca-42cb-ba3b-bd416e381d79">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@classCode='REG' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@moodCode='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-99d0fe55-62b1-405a-99cd-650756b43b71">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-baaf6da2-9256-412d-b377-af0ae3aa9147">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@classCode='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@moodCode='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-fd4da802-6fa5-4851-b86b-7113f2bfacd1">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-94dd370c-b703-42fd-bae5-42bd16695045">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@classCode='PCPR' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@moodCode='RQO' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:performer)&lt;=1">(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-d520066a-dffe-4f62-a022-55fe7a05e6a1">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer"
         id="tmp-f66065ec-e3f8-41bd-b43d-73f71d2f6b26">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@typeCode='PRF' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:assignedEntity)&lt;=1">(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity"
         id="tmp-f037a380-00db-4a5e-92a6-45d9b9cdf2a3">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@classCode='ASSIGNED' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code"
         id="tmp-8c6fb73c-f6bf-49a1-b9fb-5667e4daaba2">
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]"
         id="tmp-07ee70e9-76f5-4379-94f4-b65d9e34815a">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@classCode='ACT' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@moodCode='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code"
         id="tmp-2e601d2d-56e5-4363-808c-266600271a99">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor='OTH'">(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:originalText)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:originalText)&lt;=1">(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText"
         id="tmp-7ab7d38f-cd3d-4444-b71a-5a4be676ecd9">
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf"
         id="tmp-c932a0b8-9158-40e4-8414-c6ce0313c518">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@typeCode='SUBJ' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:annotation)&lt;=1">(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation"
         id="tmp-521518a0-48a6-4e78-8e57-731a09436ba3">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@classCode='ACT' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@moodCode='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:text)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:text)&lt;=1">(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code"
         id="tmp-9c11851b-917b-4696-ae4c-aaf49324aea8">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text"
         id="tmp-346cf3ae-ce71-4707-9bcb-8c67d8947ca7">
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2"
         id="tmp-fc00ac5c-b594-4019-9b10-4dc14456884e">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@typeCode='SUBJ' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)">(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:annotation)&lt;=1">(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation"
         id="tmp-a0ef9516-99b2-4fde-be7b-f328a001f646">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 ">(rubricClusterObservation): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(rubricClusterObservation): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:text)&lt;=1">(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code"
         id="tmp-6901ee1a-17db-428b-b8f5-5e0a536e57a9">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')">(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text"
         id="tmp-5518ab39-6a38-4520-9ea4-f557e93684a1">
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (rubricCluster21)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster
Item: (obs_Bijzonderheden_functioneren_in_de_klas)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (obs_Bijzonderheden_functioneren_in_de_klas)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]"
         id="tmp-e9a3eab3-7f4d-451d-95c6-6c872d7a0abe">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)">(obs_Bijzonderheden_functioneren_in_de_klas): element hl7:observation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:observation)&lt;=1">(obs_Bijzonderheden_functioneren_in_de_klas): element hl7:observation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (obs_Bijzonderheden_functioneren_in_de_klas)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation"
         id="tmp-2c38a368-2dc8-4997-9b3c-1c267c5df735">
      <extends rule="tmp-ade6a940-763f-4f14-b789-6343e62bf593"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40790'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40790']/@nullFlavor)">(obs_Bijzonderheden_functioneren_in_de_klas): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40790'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40790'])&lt;=1">(obs_Bijzonderheden_functioneren_in_de_klas): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40790'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(obs_Bijzonderheden_functioneren_in_de_klas): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(obs_Bijzonderheden_functioneren_in_de_klas): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:value)&gt;=1 ">(obs_Bijzonderheden_functioneren_in_de_klas): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:value)&lt;=1">(obs_Bijzonderheden_functioneren_in_de_klas): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40790']
Item: (obs_Bijzonderheden_functioneren_in_de_klas)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40790']"
         id="tmp-e8ca827e-0ecf-494f-b066-2e46475e19b9">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@root='2.16.840.1.113883.2.4.6.10.100.40790'">(obs_Bijzonderheden_functioneren_in_de_klas): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40790' hebben.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(obs_Bijzonderheden_functioneren_in_de_klas): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code
Item: (obs_Bijzonderheden_functioneren_in_de_klas)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code"
         id="tmp-940aaa77-7a70-4761-afbd-1bc969cf3104">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or (@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(obs_Bijzonderheden_functioneren_in_de_klas): de waarde van @code/@codeSystem MOET ''790' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value
Item: (obs_Bijzonderheden_functioneren_in_de_klas)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value"
         id="tmp-161f5282-a914-4f56-910c-fa6c32b6021c">
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (rubricClusterObservation)
-->
<rule id="tmp-ade6a940-763f-4f14-b789-6343e62bf593" abstract="true">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@classCode='OBS' or not(@classCode)">(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@moodCode='EVN' or not(@moodCode)">(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1">(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:text
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode"
         id="tmp-06e53c5c-aeaa-48a2-a950-e8b02a29dd41">
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:effectiveTime
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode"
         id="tmp-402dc910-80b0-4bb5-99e0-364919649e14">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode"
         id="tmp-fbd3f937-254f-482e-909b-199a4cd80edc">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject"
         id="tmp-5cb2ec37-29dc-4dad-b6c9-29bdce06d42e">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@typeCode='SBJ' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (activitiesPerformer)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer
Item: (activitiesPerformer)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer
Item: (activitiesPerformer)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer"
         id="tmp-2fd965de-0d32-4a01-a374-5d58713fb69a">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@typeCode='PRF' or not(@typeCode)">(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)">(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:assignedEntity)&lt;=1">(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity
Item: (activitiesPerformer)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity"
         id="tmp-b068bd01-cb51-4639-b8de-449bbbef80f9">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(activitiesPerformer): element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:id)&lt;=1">(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id
Item: (activitiesPerformer)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id"
         id="tmp-fc2f5bda-4465-49d1-8678-c8bf9a684aff">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant"
         id="tmp-8a713cb7-225b-4fd6-8f57-0528792675cd">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@typeCode='INF' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location"
         id="tmp-520fa6fa-98f9-4df0-8152-3133ce4f187a">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@typeCode='LOC' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]"
         id="tmp-d17cf86f-9a17-43a3-935c-43c1112baf8b">
      <extends rule="tmp-f61d3c4f-a23b-421c-93b6-1810bd353c1c"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@typeCode='SUBJ' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (activitiesSubjectOfConclusion)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (activitiesSubjectOfConclusion)
-->
<rule id="tmp-f61d3c4f-a23b-421c-93b6-1810bd353c1c" abstract="true">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:conclusion)&lt;=1">(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion"
         id="tmp-e8d55cfa-4778-4944-adcb-8b18d8e9747c">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@classCode='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@moodCode='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:text)&lt;=1">(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code"
         id="tmp-a64e6b74-5a74-4398-b891-27af09d5b79f">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text"
         id="tmp-f9148a42-2eb3-4f9d-9228-33f9847c1dd6">
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component"
         id="tmp-250ad007-0630-4194-bad1-a1b90d0ff8cf">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@typeCode='COMP' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:indication)&lt;=1">(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication"
         id="tmp-3842b638-3615-4018-a2d6-56c8bb7ccb97">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@classCode='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@moodCode='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:value)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:value)&lt;=1">(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:reasonOf)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code"
         id="tmp-09ff0a1e-b5f7-4730-8ae2-85d306f68bc0">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value"
         id="tmp-1268987f-a137-4b30-8061-e86f6ccbd738">
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf"
         id="tmp-f0b22581-3927-4775-adb7-b2fc0d696b20">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@typeCode='RSON' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.</assert>
      <let name="elmcount"
           value="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="$elmcount&gt;=1">(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="$elmcount&lt;=1">(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf
Item: (activitiesSubjectOfConclusion)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-642fe100-a222-43ea-b0e2-57c4c17fa1f1">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@classCode='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@moodCode='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-ca7b4f38-ae5c-442e-a21d-fcc1d7772fa6">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-f720c59c-7e62-4b3a-9804-1ad87b8ba24a">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@classCode='REG' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@moodCode='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-1aaa7642-ca81-4855-9eab-01c3ffb806f2">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-ba25b516-2ce3-4b1a-88ae-9710620bdaa0">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@classCode='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@moodCode='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-0af4479a-86bd-422e-bbd1-cff1ccc6cf68">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-35630e4d-aae9-4366-89c0-f1b8b3213883">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@classCode='PCPR' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@moodCode='RQO' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:performer)&lt;=1">(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-321578e4-5a8b-47a8-88ea-fe19a84bf4d4">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer"
         id="tmp-42e40dce-84cb-4900-8d5d-7f34a6b9fe64">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@typeCode='PRF' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:assignedEntity)&lt;=1">(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity"
         id="tmp-f7aea104-55ec-47c2-961a-f8f309134ba3">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@classCode='ASSIGNED' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code"
         id="tmp-74c672b7-4893-4d7d-b9dd-c0f464981478">
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]"
         id="tmp-fa3fc388-8ca4-4b81-89db-5ffca926b752">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@classCode='ACT' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@moodCode='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code"
         id="tmp-5baeb3b3-8835-4c54-85ec-f5aa57e30cdb">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor='OTH'">(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:originalText)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:originalText)&lt;=1">(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText"
         id="tmp-120bea42-8a30-42cb-a2e4-c2c55c7ca7bd">
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf"
         id="tmp-86523a11-5c7d-465c-bbcf-40b9aeeb5f89">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@typeCode='SUBJ' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:annotation)&lt;=1">(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation"
         id="tmp-5e1b0ddc-247b-4d3b-9983-e9d9d630230f">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@classCode='ACT' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@moodCode='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:text)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:text)&lt;=1">(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code"
         id="tmp-9bdfd95b-abab-4c07-ba2d-fa2c108e3d42">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text"
         id="tmp-b1d440b3-97db-41d7-bc2d-ae4fd3244f6d">
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2"
         id="tmp-746768fb-4cc0-4da6-a387-e8c87e87fa3e">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@typeCode='SUBJ' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)">(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:annotation)&lt;=1">(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation"
         id="tmp-1a4f4488-5ebb-48fe-bf6c-1d86b259790b">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 ">(rubricClusterObservation): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(rubricClusterObservation): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:text)&lt;=1">(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code"
         id="tmp-ac4937a3-cf7c-4746-ba3a-174dc95fb3f5">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')">(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text"
         id="tmp-8143d2e5-a5a9-443a-bcab-081ce35a927b">
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (rubricCluster21)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster
Item: (obs_Bijzonderheden_indruk_school)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (obs_Bijzonderheden_indruk_school)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]"
         id="tmp-8cdfcdf5-84c5-4703-a611-e424474ad442">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)">(obs_Bijzonderheden_indruk_school): element hl7:observation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:observation)&lt;=1">(obs_Bijzonderheden_indruk_school): element hl7:observation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (obs_Bijzonderheden_indruk_school)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation"
         id="tmp-f6c96819-cacb-4ba5-a03a-dda414d665d8">
      <extends rule="tmp-75383ba9-2adc-48da-b16e-b6e29480dfe3"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40791'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40791']/@nullFlavor)">(obs_Bijzonderheden_indruk_school): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40791'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40791'])&lt;=1">(obs_Bijzonderheden_indruk_school): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40791'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(obs_Bijzonderheden_indruk_school): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(obs_Bijzonderheden_indruk_school): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:value)&gt;=1 ">(obs_Bijzonderheden_indruk_school): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:value)&lt;=1">(obs_Bijzonderheden_indruk_school): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40791']
Item: (obs_Bijzonderheden_indruk_school)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40791']"
         id="tmp-375d9de4-5173-4e8a-8c8b-c644a4fc3d41">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@root='2.16.840.1.113883.2.4.6.10.100.40791'">(obs_Bijzonderheden_indruk_school): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40791' hebben.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(obs_Bijzonderheden_indruk_school): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code
Item: (obs_Bijzonderheden_indruk_school)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code"
         id="tmp-033b63c5-edb2-4e55-91df-2ef7788e0e30">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or (@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(obs_Bijzonderheden_indruk_school): de waarde van @code/@codeSystem MOET ''791' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value
Item: (obs_Bijzonderheden_indruk_school)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value"
         id="tmp-f8f51175-10a6-4411-a2bc-fc9e315aa970">
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (rubricClusterObservation)
-->
<rule id="tmp-75383ba9-2adc-48da-b16e-b6e29480dfe3" abstract="true">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@classCode='OBS' or not(@classCode)">(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@moodCode='EVN' or not(@moodCode)">(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1">(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:text
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode"
         id="tmp-ed27277d-b793-42cc-815b-4c91f9a3e241">
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:effectiveTime
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode"
         id="tmp-8a728238-dd7d-4d14-b700-fefdabbbf4cd">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode"
         id="tmp-1c4bcb04-7a42-4f80-b514-12d167748630">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject"
         id="tmp-7cd0757e-5599-4d4a-b205-a5c5d5dc1ef1">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@typeCode='SBJ' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (activitiesPerformer)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer
Item: (activitiesPerformer)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer
Item: (activitiesPerformer)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer"
         id="tmp-ff3e2069-484d-4119-add7-40aff9170a61">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@typeCode='PRF' or not(@typeCode)">(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)">(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:assignedEntity)&lt;=1">(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity
Item: (activitiesPerformer)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity"
         id="tmp-7239326d-2ed7-4fe5-a901-85c66475c755">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(activitiesPerformer): element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:id)&lt;=1">(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id
Item: (activitiesPerformer)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id"
         id="tmp-607549b5-f794-49ac-99dc-c1469ab04b2b">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant"
         id="tmp-37f9fbbc-f039-47a7-b375-93be9b28346d">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@typeCode='INF' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location"
         id="tmp-7839fa92-fbde-46a7-9bc4-2390279f7208">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@typeCode='LOC' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]"
         id="tmp-e259e658-11b6-472f-96b3-858f6cab03ef">
      <extends rule="tmp-91a8af07-40e1-4fd0-aa64-a255de31d0de"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@typeCode='SUBJ' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (activitiesSubjectOfConclusion)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (activitiesSubjectOfConclusion)
-->
<rule id="tmp-91a8af07-40e1-4fd0-aa64-a255de31d0de" abstract="true">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:conclusion)&lt;=1">(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion"
         id="tmp-691327a3-6c77-4830-b3d0-93c4a6609580">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@classCode='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@moodCode='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:text)&lt;=1">(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code"
         id="tmp-2ac445c1-0c00-49af-9864-9d2e928bd3b3">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text"
         id="tmp-0af5267a-5ba6-40d0-baf7-da1f63cbbc9f">
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component"
         id="tmp-26f008bf-64d0-4bc4-a00f-bf4d4662cb07">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@typeCode='COMP' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:indication)&lt;=1">(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication"
         id="tmp-e41b64a0-e998-4629-a431-d23341b05bc8">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@classCode='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@moodCode='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:value)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:value)&lt;=1">(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:reasonOf)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code"
         id="tmp-c3fca6e2-75e8-45a4-b711-e93c64b25adb">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value"
         id="tmp-e0855897-68ad-450e-9bde-4cc871ed26e9">
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf"
         id="tmp-1de86c2b-5b7a-45c4-b8d1-b9cff161ff2e">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@typeCode='RSON' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.</assert>
      <let name="elmcount"
           value="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="$elmcount&gt;=1">(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="$elmcount&lt;=1">(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf
Item: (activitiesSubjectOfConclusion)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-005d6372-b7e9-4b90-aeeb-d29e9d453d34">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@classCode='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@moodCode='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-8823c24d-7536-4904-a0d4-8242013c3563">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-4b1dbd32-9a4b-414f-8032-7ffab0f1c085">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@classCode='REG' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@moodCode='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-7f71b05c-1121-4371-a415-f2c60df600f0">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-33c95d09-ccff-4bd8-b86e-2fb44186ca86">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@classCode='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@moodCode='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-c9f1b189-eaf5-4dd1-8b7f-72ca34ab92de">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-c9914fc3-9009-4a9d-aa62-420da941524e">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@classCode='PCPR' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@moodCode='RQO' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:performer)&lt;=1">(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-228d7ce1-ca4c-44f2-87e8-b197c2085f5e">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer"
         id="tmp-887343ed-7a66-4942-96bd-ae794a0a200b">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@typeCode='PRF' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:assignedEntity)&lt;=1">(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity"
         id="tmp-1929847d-7532-44de-bb84-fdfe7ace0525">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@classCode='ASSIGNED' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code"
         id="tmp-9bc7cb5b-910d-4270-8293-eec0e72177a5">
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]"
         id="tmp-b69e8647-bad9-4ae1-be17-edea7e0097bb">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@classCode='ACT' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@moodCode='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code"
         id="tmp-5526f574-7df6-4628-9414-5d8933649054">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor='OTH'">(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:originalText)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:originalText)&lt;=1">(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText"
         id="tmp-33125b87-98ad-4f56-b9d8-c5b377c91f97">
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf"
         id="tmp-1a9ec2c9-a9f6-4305-8e7f-a3aaeb722d4f">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@typeCode='SUBJ' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:annotation)&lt;=1">(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation"
         id="tmp-c8c308b0-776b-469e-b43f-c48b3c6b64ad">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@classCode='ACT' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@moodCode='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:text)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:text)&lt;=1">(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code"
         id="tmp-e12672e9-e3d4-4a6d-bde1-45b7f0e55bc1">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text"
         id="tmp-6f01bac7-e557-4a6b-9c7f-e0afb79e2e8d">
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2"
         id="tmp-019228ba-5549-483f-a274-8b4219ab6bb0">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@typeCode='SUBJ' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)">(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:annotation)&lt;=1">(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation"
         id="tmp-ec3845b4-d497-46c5-b736-5c3fb9f1e6b6">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 ">(rubricClusterObservation): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(rubricClusterObservation): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:text)&lt;=1">(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code"
         id="tmp-b5770646-7c07-46aa-bbbc-8167cdf1ccfc">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')">(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text"
         id="tmp-0791b50d-9e24-47c5-90ae-35de07900883">
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (rubricCluster21)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster
Item: (obs_Bijzonderheden_schoolverzuim)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (obs_Bijzonderheden_schoolverzuim)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]"
         id="tmp-7e43c49d-6726-4356-a4cf-0384776215a5">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)">(obs_Bijzonderheden_schoolverzuim): element hl7:observation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:observation)&lt;=1">(obs_Bijzonderheden_schoolverzuim): element hl7:observation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (obs_Bijzonderheden_schoolverzuim)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation"
         id="tmp-284328d5-9b04-43a3-aa9c-721d6c42d1db">
      <extends rule="tmp-fb02a1a8-eb88-4c92-802e-4144b54dfccb"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40792'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40792']/@nullFlavor)">(obs_Bijzonderheden_schoolverzuim): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40792'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40792'])&lt;=1">(obs_Bijzonderheden_schoolverzuim): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40792'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(obs_Bijzonderheden_schoolverzuim): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(obs_Bijzonderheden_schoolverzuim): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:value)&gt;=1 ">(obs_Bijzonderheden_schoolverzuim): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:value)&lt;=1">(obs_Bijzonderheden_schoolverzuim): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40792']
Item: (obs_Bijzonderheden_schoolverzuim)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40792']"
         id="tmp-3eee9049-b982-4d6f-8ef3-a3874febd6a6">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@root='2.16.840.1.113883.2.4.6.10.100.40792'">(obs_Bijzonderheden_schoolverzuim): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40792' hebben.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(obs_Bijzonderheden_schoolverzuim): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code
Item: (obs_Bijzonderheden_schoolverzuim)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code"
         id="tmp-b55b304d-a25a-471c-8d50-f4811d511db0">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or (@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(obs_Bijzonderheden_schoolverzuim): de waarde van @code/@codeSystem MOET ''792' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value
Item: (obs_Bijzonderheden_schoolverzuim)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value"
         id="tmp-f6a4382e-c87c-4b3c-87ef-31f7855cb5e3">
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (rubricClusterObservation)
-->
<rule id="tmp-fb02a1a8-eb88-4c92-802e-4144b54dfccb" abstract="true">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@classCode='OBS' or not(@classCode)">(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@moodCode='EVN' or not(@moodCode)">(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1">(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:text
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode"
         id="tmp-9990a3dc-d03c-4637-83c9-3d567f580f08">
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:effectiveTime
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode"
         id="tmp-7bb3302c-7f20-4584-8365-46e298b7accd">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode"
         id="tmp-460d33c3-b809-4ffa-af9e-596bc5e7e19b">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject"
         id="tmp-72d1a9ac-e3d9-42dd-844c-0b667c3887f6">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@typeCode='SBJ' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (activitiesPerformer)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer
Item: (activitiesPerformer)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer
Item: (activitiesPerformer)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer"
         id="tmp-ac5a437a-5332-4b68-8a1b-6af1b28316db">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@typeCode='PRF' or not(@typeCode)">(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)">(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:assignedEntity)&lt;=1">(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity
Item: (activitiesPerformer)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity"
         id="tmp-71a75f7f-0190-474e-9f80-0dc1fd1a8318">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(activitiesPerformer): element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:id)&lt;=1">(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id
Item: (activitiesPerformer)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id"
         id="tmp-de655474-ecae-4c62-9eba-57715822aa7b">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant"
         id="tmp-3946ff6a-4566-4be4-8ea5-f84c29bd8c07">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@typeCode='INF' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location"
         id="tmp-3d618ce4-4ff9-42d3-a163-8f52103c9431">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@typeCode='LOC' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]"
         id="tmp-6b3e38c7-2d2d-41a4-bd91-2eb3fa3cf2c1">
      <extends rule="tmp-6cd01647-75c9-46e5-b4af-a5364633ae91"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@typeCode='SUBJ' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (activitiesSubjectOfConclusion)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (activitiesSubjectOfConclusion)
-->
<rule id="tmp-6cd01647-75c9-46e5-b4af-a5364633ae91" abstract="true">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:conclusion)&lt;=1">(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion"
         id="tmp-b5698f47-4e2f-4748-aa15-a32a6397e060">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@classCode='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@moodCode='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:text)&lt;=1">(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code"
         id="tmp-db4bffe9-e7d8-4d5c-85d5-67a385fd290c">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text"
         id="tmp-032d2b39-cd2a-45dd-9937-9455763f2700">
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component"
         id="tmp-8dade83e-febc-4b17-9981-ce4307c2759a">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@typeCode='COMP' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:indication)&lt;=1">(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication"
         id="tmp-f26a63a9-a9fd-4426-b195-5071a44f4d7d">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@classCode='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@moodCode='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:value)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:value)&lt;=1">(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:reasonOf)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code"
         id="tmp-69a34a89-bfbf-4813-bfaf-7ce436888c23">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value"
         id="tmp-0b3347aa-cb9c-4e52-80e4-30425ffa4c71">
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf"
         id="tmp-084b0147-bb33-496c-a0bb-7b1e70c9d00b">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@typeCode='RSON' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.</assert>
      <let name="elmcount"
           value="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="$elmcount&gt;=1">(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="$elmcount&lt;=1">(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf
Item: (activitiesSubjectOfConclusion)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-4a97b48e-e967-45f9-87e8-61ba3391359c">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@classCode='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@moodCode='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-073edb2f-3586-4b2d-80f3-4666c072fdba">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-46ddaa74-ab9e-403e-846c-d8cbb87e50c8">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@classCode='REG' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@moodCode='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-85b5eef2-4e46-4e74-90f5-ca80aa852b38">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-f1bb17f7-d0d6-427a-a4e0-0cbe9c59b807">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@classCode='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@moodCode='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-f522ff3c-6d09-41d1-a2bc-0e3d83494241">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-4e4133c4-14ad-47d6-8152-3042c69da8e5">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@classCode='PCPR' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@moodCode='RQO' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:performer)&lt;=1">(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-b5a4e6ad-3800-4c5c-9347-2e85f1e1d39d">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer"
         id="tmp-c569fb98-d71a-4af7-a67c-bf38135ad9af">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@typeCode='PRF' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:assignedEntity)&lt;=1">(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity"
         id="tmp-3e4250b4-de59-42ff-a28f-6add82d26a36">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@classCode='ASSIGNED' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code"
         id="tmp-109e4c02-c472-4be2-b017-b23809615a44">
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]"
         id="tmp-cefa8b24-e45c-4250-9831-af010ca5b8c2">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@classCode='ACT' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@moodCode='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code"
         id="tmp-0326fe28-dd66-4125-bb3f-baee434e0ef1">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor='OTH'">(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:originalText)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:originalText)&lt;=1">(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText"
         id="tmp-1be5438a-491d-4b1c-a99c-dc63b2b0e749">
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf"
         id="tmp-d4106cf1-fe45-4249-a01e-ddf1bf04d220">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@typeCode='SUBJ' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:annotation)&lt;=1">(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation"
         id="tmp-5448d118-c736-4583-b23f-9b162fe16c0a">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@classCode='ACT' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@moodCode='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:text)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:text)&lt;=1">(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code"
         id="tmp-017ef95b-8474-4793-ac6c-04d63b005331">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text
Item: (activitiesSubjectOfConclusion)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text"
         id="tmp-cd68b296-643c-477c-854e-172e4089fe9e">
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2"
         id="tmp-8acb6dd3-6a6d-4109-a49e-07f79c4076b4">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@typeCode='SUBJ' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)">(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:annotation)&lt;=1">(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation"
         id="tmp-d0ce7474-b830-48b0-a2d0-cc9a95a332d3">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&gt;=1 ">(rubricClusterObservation): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:code)&lt;=1">(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(rubricClusterObservation): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="count(hl7:text)&lt;=1">(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code"
         id="tmp-1e68f1dc-026c-4056-aff7-b004f6146302">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')">(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text
Item: (rubricClusterObservation)
-->
<rule context="$element/hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text"
         id="tmp-ca76d8d3-8f0d-4da0-86e1-242e0682fe14">
      <let name="theValue" value="text()"/>
   </rule>
</pattern>
