<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.100.131
Description: COCT_RM050000NL02: Patiëntkenmerken
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.100.131">
   <title>R_PatientNL_JGZ [universal]</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]
Item: (R_PatientNL-JGZ-universal)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient
Item: (R_PatientNL-JGZ-universal)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient"
         id="tmp-0be84e6d-1b40-422e-a9ef-9500ba7bdd0a">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@classCode='PAT' or not(@classCode)">(R_PatientNL-JGZ-universal): de waarde van @classCode MOET 'PAT' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.131'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.131']/@nullFlavor)">(R_PatientNL-JGZ-universal): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.131'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.131'])&lt;=1">(R_PatientNL-JGZ-universal): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.131'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:id[@root='2.16.840.1.113883.2.4.6.3'])&gt;=1 and not(hl7:id[@root='2.16.840.1.113883.2.4.6.3']/@nullFlavor)">(R_PatientNL-JGZ-universal): element hl7:id[@root='2.16.840.1.113883.2.4.6.3'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:id[@root='2.16.840.1.113883.2.4.6.3'])&lt;=1">(R_PatientNL-JGZ-universal): element hl7:id[@root='2.16.840.1.113883.2.4.6.3'] komt te vaak voor [max 1x].</assert>
      <let name="elmcount"
           value="count(hl7:addr[@use='HP' or @use='PST']|hl7:addr[@use and not(@use='OR')]|hl7:addr[not(@use) and hl7:useablePeriod])"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="$elmcount&lt;=3">(R_PatientNL-JGZ-universal): keuze (hl7:addr[@use='HP' or @use='PST'] of hl7:addr[@use and not(@use='OR')] of hl7:addr[not(@use) and hl7:useablePeriod]) bevat te veel elementen [max 3x]</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:statusCode)&lt;=1">(R_PatientNL-JGZ-universal): element hl7:statusCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:confidentialityCode)&lt;=1">(R_PatientNL-JGZ-universal): element hl7:confidentialityCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:subjectOf1)=0">(R_PatientNL-JGZ-universal): element hl7:subjectOf1 MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:patientPerson)&gt;=1 and not(hl7:patientPerson/@nullFlavor)">(R_PatientNL-JGZ-universal): element hl7:patientPerson is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:patientPerson)&lt;=1">(R_PatientNL-JGZ-universal): element hl7:patientPerson komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.131']
Item: (R_PatientNL-JGZ-universal)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.131']"
         id="tmp-1f8b17ac-8ce6-48ce-90e9-9916fe116d4d">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@root='2.16.840.1.113883.2.4.6.10.100.131'">(R_PatientNL-JGZ-universal): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.131' hebben.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(R_PatientNL-JGZ-universal): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:id[@root='2.16.840.1.113883.2.4.6.3']
Item: (R_PatientNL-JGZ-universal)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:id[@root='2.16.840.1.113883.2.4.6.3']"
         id="tmp-7c7e57f7-0b1e-4ddf-9658-d0bc58adc2ec">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@root='2.16.840.1.113883.2.4.6.3'">(R_PatientNL-JGZ-universal): @root MOET de waarde '2.16.840.1.113883.2.4.6.3' hebben.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(R_PatientNL-JGZ-universal): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient
Item: (R_PatientNL-JGZ-universal)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:addr[@use='HP' or @use='PST']
Item: (AdresOfficieel)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:addr[@use='HP' or @use='PST']"
         id="tmp-39615859-9543-4b18-988f-5a17cae82088">
      <let name="theValue" value="@value"/>
      <assert role="error"
              test="count(index-of(@use,'HP'))=1 or count(index-of(@use,'PST'))=1">(AdresOfficieel): 
                    <name/>/@use MOET waarde 'HP' of 'PST' bevatten</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:streetName)&gt;=1 and not(hl7:streetName/@nullFlavor)">(AdresOfficieel): element hl7:streetName is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:streetName)&lt;=1">(AdresOfficieel): element hl7:streetName komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:houseNumber)&gt;=1 and not(hl7:houseNumber/@nullFlavor)">(AdresOfficieel): element hl7:houseNumber is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:houseNumber)&lt;=2">(AdresOfficieel): element hl7:houseNumber komt te vaak voor [max 2x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:additionalLocator)&lt;=1">(AdresOfficieel): element hl7:additionalLocator komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:postalCode)&gt;=1 and not(hl7:postalCode/@nullFlavor)">(AdresOfficieel): element hl7:postalCode is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:postalCode)&lt;=1">(AdresOfficieel): element hl7:postalCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:county)&gt;=1 and not(hl7:county/@nullFlavor)">(AdresOfficieel): element hl7:county is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:county)&lt;=1">(AdresOfficieel): element hl7:county komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:useablePeriod)&lt;=1">(AdresOfficieel): element hl7:useablePeriod komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:addr[@use='HP' or @use='PST']/hl7:streetName
Item: (AdresOfficieel)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:addr[@use='HP' or @use='PST']/hl7:streetName"
         id="tmp-cc7df455-0e35-40ca-ba05-1811f4186182">
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:addr[@use='HP' or @use='PST']/hl7:houseNumber
Item: (AdresOfficieel)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:addr[@use='HP' or @use='PST']/hl7:houseNumber"
         id="tmp-272f28b2-1a11-4c24-bfdb-6cb04cc0c099">
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:addr[@use='HP' or @use='PST']/hl7:additionalLocator
Item: (AdresOfficieel)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:addr[@use='HP' or @use='PST']/hl7:additionalLocator"
         id="tmp-d6975426-72a0-4528-995b-e4f27b08d848">
      <let name="theValue" value="text()"/>
      <assert role="error" test="text()='to' or text()='by'">(AdresOfficieel): 
                        <name path=".."/>/<name/> MOET 'to' of 'by' bevatten</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:addr[@use='HP' or @use='PST']/hl7:postalCode
Item: (AdresOfficieel)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:addr[@use='HP' or @use='PST']/hl7:postalCode"
         id="tmp-081524ba-5fa8-4a53-a95d-f33f79873280">
      <let name="theValue" value="text()"/>
      <assert role="error" test="string-length(text())=7">(AdresOfficieel): 
                        <name path=".."/>/<name/> MOET formaat 'nnnn AA' zijn (met spatie)</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:addr[@use='HP' or @use='PST']/hl7:county
Item: (AdresOfficieel)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:addr[@use='HP' or @use='PST']/hl7:county"
         id="tmp-35f738e6-7bc5-4efb-9ed1-029dc20db4d8">
      <let name="theValue" value="text()"/>
      <assert role="error"
              test="not(@codeSystem) or @codeSystem='2.16.840.1.113883.2.4.6.14'">(AdresOfficieel): 
                        <name path=".."/>/<name/> MOET, indien deze gecodeerd wordt, worden gecodeerd volgens GBA-tabel 33</assert>
   </rule>


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:addr[@use='HP' or @use='PST']/hl7:useablePeriod
Item: (AdresOfficieel)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:addr[@use='HP' or @use='PST']
Item: (Periode-O-Start-O-Eind-O)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:addr[@use='HP' or @use='PST']/hl7:useablePeriod
Item: (Periode-O-Start-O-Eind-O)
-->
<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:addr[@use='HP' or @use='PST']/hl7:useablePeriod"
         id="tmp-941a8138-59a7-4313-8fa0-139d6d7d4001">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@nullFlavor='UNK' or not(@nullFlavor)">(Periode-O-Start-O-Eind-O): de waarde van @nullFlavor MOET 'UNK' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:low)&lt;=1">(Periode-O-Start-O-Eind-O): element hl7:low komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:high)&lt;=1">(Periode-O-Start-O-Eind-O): element hl7:high komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:width)=0">(Periode-O-Start-O-Eind-O): element hl7:width MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:center)=0">(Periode-O-Start-O-Eind-O): element hl7:center MAG NIET voorkomen.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:addr[@use='HP' or @use='PST']/hl7:useablePeriod/hl7:low
Item: (Periode-O-Start-O-Eind-O)
-->
<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:addr[@use='HP' or @use='PST']/hl7:useablePeriod/hl7:low"
         id="tmp-2cdf55fe-3a39-4d81-bb0b-c2e5cfab713a">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@nullFlavor='UNK' or not(@nullFlavor)">(Periode-O-Start-O-Eind-O): de waarde van @nullFlavor MOET 'UNK' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:addr[@use='HP' or @use='PST']/hl7:useablePeriod/hl7:high
Item: (Periode-O-Start-O-Eind-O)
-->
<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:addr[@use='HP' or @use='PST']/hl7:useablePeriod/hl7:high"
         id="tmp-0b341bfb-79ad-4948-afdf-190e1da5dcd0">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@nullFlavor='UNK' or not(@nullFlavor)">(Periode-O-Start-O-Eind-O): de waarde van @nullFlavor MOET 'UNK' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:addr[@use='HP' or @use='PST']/hl7:useablePeriod/hl7:width
Item: (Periode-O-Start-O-Eind-O)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:addr[@use='HP' or @use='PST']/hl7:useablePeriod/hl7:center
Item: (Periode-O-Start-O-Eind-O)
-->
<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient
Item: (AdresZoalsBekendBijInstelling)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:addr[@use and not(@use='OR')]
Item: (AdresZoalsBekendBijInstelling)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:addr[@use and not(@use='OR')]"
         id="tmp-771c43a9-90fb-41fc-9317-a1bdb1edf5bc">
      <let name="theValue" value="@value"/>
      <assert role="warning" test="@use">(AdresZoalsBekendBijInstelling): Het attribuut @use MOET, indien aanwezig, 'HP' (Primair woonadres) of 'PST' (Postadres), 'PHYS' (Bezoekadres), 'WP' (Werkadres), 'HV' (Vakantieadres), of 'CONF' (Geheim adres) bevatten.</assert>
      <let name="elmcount"
           value="count(hl7:streetName|hl7:houseNumber|hl7:buildingNumberSuffix|hl7:additionalLocator|hl7:postalCode|hl7:city|hl7:county|hl7:country|hl7:delimiter|hl7:desc)"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="$elmcount&gt;=1">(AdresZoalsBekendBijInstelling): keuze (hl7:streetName of hl7:houseNumber of hl7:buildingNumberSuffix of hl7:additionalLocator of hl7:postalCode of hl7:city of hl7:county of hl7:country of hl7:delimiter of hl7:desc) bevat te weinig elementen [min 1x]</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:useablePeriod)&lt;=1">(AdresZoalsBekendBijInstelling): element hl7:useablePeriod komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:addr[@use and not(@use='OR')]
Item: (AdresZoalsBekendBijInstelling)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:addr[@use and not(@use='OR')]/hl7:streetName
Item: (AdresZoalsBekendBijInstelling)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:addr[@use and not(@use='OR')]/hl7:streetName"
         id="tmp-0a05b269-dda0-4eb6-91ea-ae94fb9a1e7f">
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:addr[@use and not(@use='OR')]/hl7:houseNumber
Item: (AdresZoalsBekendBijInstelling)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:addr[@use and not(@use='OR')]/hl7:houseNumber"
         id="tmp-e1af9580-d3e7-49e3-b1d8-a83ec40c3c09">
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:addr[@use and not(@use='OR')]/hl7:buildingNumberSuffix
Item: (AdresZoalsBekendBijInstelling)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:addr[@use and not(@use='OR')]/hl7:buildingNumberSuffix"
         id="tmp-8177308a-b995-4121-bb13-3fa5b13286c4">
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:addr[@use and not(@use='OR')]/hl7:additionalLocator
Item: (AdresZoalsBekendBijInstelling)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:addr[@use and not(@use='OR')]/hl7:additionalLocator"
         id="tmp-08b4ceb2-bfc7-4fb9-9e22-ae2c26426aa0">
      <let name="theValue" value="text()"/>
      <assert role="error" test="text()='to' or text()='by'">(AdresZoalsBekendBijInstelling): 
                            <name path=".."/>/<name/> MOET 'to' of 'by' bevatten</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:addr[@use and not(@use='OR')]/hl7:postalCode
Item: (AdresZoalsBekendBijInstelling)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:addr[@use and not(@use='OR')]/hl7:postalCode"
         id="tmp-8e194d0e-5778-4a91-88d8-930550b4eea2">
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:addr[@use and not(@use='OR')]/hl7:city
Item: (AdresZoalsBekendBijInstelling)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:addr[@use and not(@use='OR')]/hl7:city"
         id="tmp-77d10040-5b32-43d8-bae1-dca4cd98d934">
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:addr[@use and not(@use='OR')]/hl7:county
Item: (AdresZoalsBekendBijInstelling)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:addr[@use and not(@use='OR')]/hl7:county"
         id="tmp-3fc18c91-e06f-4722-ad13-450564a8ef72">
      <let name="theValue" value="text()"/>
      <assert role="error"
              test="not(@codeSystem) or @codeSystem='2.16.840.1.113883.2.4.6.14'">(AdresZoalsBekendBijInstelling): 
                            <name path=".."/>/<name/> MOET, indien deze gecodeerd wordt, worden gecodeerd volgens GBA-tabel 33 (IH Basiscomponenten/Jeugdgezondheidszorg)</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:addr[@use and not(@use='OR')]/hl7:country
Item: (AdresZoalsBekendBijInstelling)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:addr[@use and not(@use='OR')]/hl7:country"
         id="tmp-51123e27-96a0-499d-a14d-507703e71d31">
      <let name="theValue" value="text()"/>
      <assert role="error"
              test="not(@codeSystem) or @codeSystem='2.16.840.1.113883.2.4.4.16.34'">(AdresZoalsBekendBijInstelling): 
                            <name path=".."/>/<name/> MOET, indien deze gecodeerd wordt, worden gecodeerd GBA tabel 34 Landen</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:addr[@use and not(@use='OR')]/hl7:delimiter
Item: (AdresZoalsBekendBijInstelling)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:addr[@use and not(@use='OR')]/hl7:delimiter"
         id="tmp-426812e3-68ba-457f-80c1-915b279cc4fa">
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:addr[@use and not(@use='OR')]/hl7:desc
Item: (AdresZoalsBekendBijInstelling)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:addr[@use and not(@use='OR')]/hl7:desc"
         id="tmp-5c7a493f-ab77-4d80-9344-0a3260351bd7">
      <let name="theValue" value="text()"/>
   </rule>


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:addr[@use and not(@use='OR')]/hl7:useablePeriod
Item: (AdresZoalsBekendBijInstelling)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:addr[@use and not(@use='OR')]
Item: (Periode-O-Start-O-Eind-O)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:addr[@use and not(@use='OR')]/hl7:useablePeriod
Item: (Periode-O-Start-O-Eind-O)
-->
<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:addr[@use and not(@use='OR')]/hl7:useablePeriod"
         id="tmp-f2056c88-0b37-43cb-be96-03946de2cd87">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@nullFlavor='UNK' or not(@nullFlavor)">(Periode-O-Start-O-Eind-O): de waarde van @nullFlavor MOET 'UNK' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:low)&lt;=1">(Periode-O-Start-O-Eind-O): element hl7:low komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:high)&lt;=1">(Periode-O-Start-O-Eind-O): element hl7:high komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:width)=0">(Periode-O-Start-O-Eind-O): element hl7:width MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:center)=0">(Periode-O-Start-O-Eind-O): element hl7:center MAG NIET voorkomen.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:addr[@use and not(@use='OR')]/hl7:useablePeriod/hl7:low
Item: (Periode-O-Start-O-Eind-O)
-->
<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:addr[@use and not(@use='OR')]/hl7:useablePeriod/hl7:low"
         id="tmp-88688c58-db3b-4912-b018-92dc579a96bb">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@nullFlavor='UNK' or not(@nullFlavor)">(Periode-O-Start-O-Eind-O): de waarde van @nullFlavor MOET 'UNK' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:addr[@use and not(@use='OR')]/hl7:useablePeriod/hl7:high
Item: (Periode-O-Start-O-Eind-O)
-->
<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:addr[@use and not(@use='OR')]/hl7:useablePeriod/hl7:high"
         id="tmp-9453d5ac-22ac-46e7-9330-1a2581dcbf93">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@nullFlavor='UNK' or not(@nullFlavor)">(Periode-O-Start-O-Eind-O): de waarde van @nullFlavor MOET 'UNK' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:addr[@use and not(@use='OR')]/hl7:useablePeriod/hl7:width
Item: (Periode-O-Start-O-Eind-O)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:addr[@use and not(@use='OR')]/hl7:useablePeriod/hl7:center
Item: (Periode-O-Start-O-Eind-O)
-->
<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient
Item: (AdresVestigingVertrekNederland)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:addr[not(@use) and hl7:useablePeriod]
Item: (AdresVestigingVertrekNederland)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:addr[not(@use) and hl7:useablePeriod]"
         id="tmp-d098a529-d284-4dd0-949a-dc5d5029a6ec">
      <let name="theValue" value="@value"/>
      <assert role="error" test="not(@use)">(AdresVestigingVertrekNederland): Het attribuut @use MAG NIET worden gebruikt.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:streetName)=0">(AdresVestigingVertrekNederland): element hl7:streetName MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:houseNumber)=0">(AdresVestigingVertrekNederland): element hl7:houseNumber MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:buildingNumberSuffix)=0">(AdresVestigingVertrekNederland): element hl7:buildingNumberSuffix MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:additionalLocator)=0">(AdresVestigingVertrekNederland): element hl7:additionalLocator MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:postalCode)=0">(AdresVestigingVertrekNederland): element hl7:postalCode MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:city)=0">(AdresVestigingVertrekNederland): element hl7:city MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:county)=0">(AdresVestigingVertrekNederland): element hl7:county MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:country)&gt;=1 and not(hl7:country/@nullFlavor)">(AdresVestigingVertrekNederland): element hl7:country is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:country)&lt;=1">(AdresVestigingVertrekNederland): element hl7:country komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:delimiter)=0">(AdresVestigingVertrekNederland): element hl7:delimiter MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:desc)=0">(AdresVestigingVertrekNederland): element hl7:desc MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:useablePeriod)&gt;=1 and not(hl7:useablePeriod/@nullFlavor)">(AdresVestigingVertrekNederland): element hl7:useablePeriod is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:useablePeriod)&lt;=1">(AdresVestigingVertrekNederland): element hl7:useablePeriod komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:addr[not(@use) and hl7:useablePeriod]/hl7:streetName
Item: (AdresVestigingVertrekNederland)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:addr[not(@use) and hl7:useablePeriod]/hl7:houseNumber
Item: (AdresVestigingVertrekNederland)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:addr[not(@use) and hl7:useablePeriod]/hl7:buildingNumberSuffix
Item: (AdresVestigingVertrekNederland)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:addr[not(@use) and hl7:useablePeriod]/hl7:additionalLocator
Item: (AdresVestigingVertrekNederland)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:addr[not(@use) and hl7:useablePeriod]/hl7:postalCode
Item: (AdresVestigingVertrekNederland)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:addr[not(@use) and hl7:useablePeriod]/hl7:city
Item: (AdresVestigingVertrekNederland)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:addr[not(@use) and hl7:useablePeriod]/hl7:county
Item: (AdresVestigingVertrekNederland)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:addr[not(@use) and hl7:useablePeriod]/hl7:country
Item: (AdresVestigingVertrekNederland)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:addr[not(@use) and hl7:useablePeriod]/hl7:country"
         id="tmp-66290d43-2a7f-414b-af5e-728739a6a470">
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@nullFlavor or (@code='6030' and @codeSystem='2.16.840.1.113883.2.4.4.16.34')">(AdresVestigingVertrekNederland): de waarde van @code/@codeSystem MOET ''6030' codeSystem '2.16.840.1.113883.2.4.4.16.34'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:addr[not(@use) and hl7:useablePeriod]/hl7:delimiter
Item: (AdresVestigingVertrekNederland)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:addr[not(@use) and hl7:useablePeriod]/hl7:desc
Item: (AdresVestigingVertrekNederland)
-->


<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:addr[not(@use) and hl7:useablePeriod]/hl7:useablePeriod
Item: (AdresVestigingVertrekNederland)
-->
<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:addr[not(@use) and hl7:useablePeriod]/hl7:useablePeriod"
         id="tmp-5575c6b7-4040-4c1c-9116-b16b9076ca88">
      <extends rule="tmp-9e8a6ac9-c13e-4ce5-9daa-41e0a073b52f"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:low)&lt;=1">(AdresVestigingVertrekNederland): element hl7:low komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:high)&lt;=1">(AdresVestigingVertrekNederland): element hl7:high komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:addr[not(@use) and hl7:useablePeriod]/hl7:useablePeriod/hl7:low
Item: (AdresVestigingVertrekNederland)
-->
<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:addr[not(@use) and hl7:useablePeriod]/hl7:useablePeriod/hl7:low"
         id="tmp-36ab3fdd-e2ab-44b9-84bd-8c6a1e0269c8">
      <extends rule="tmp-36f2ee9a-8152-4e4e-b1ca-7a44560d1eb1"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:addr[not(@use) and hl7:useablePeriod]/hl7:useablePeriod/hl7:high
Item: (AdresVestigingVertrekNederland)
-->
<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:addr[not(@use) and hl7:useablePeriod]/hl7:useablePeriod/hl7:high"
         id="tmp-719617c5-44d5-4477-bb84-14881576fcaf">
      <extends rule="tmp-b42a6f9e-6cb3-4c08-ba06-38299399eef0"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:addr[not(@use) and hl7:useablePeriod]
Item: (Periode-M-Start-O-Eind-O)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:addr[not(@use) and hl7:useablePeriod]/hl7:useablePeriod
Item: (Periode-M-Start-O-Eind-O)
-->
<rule id="tmp-9e8a6ac9-c13e-4ce5-9daa-41e0a073b52f" abstract="true">
      <let name="elmcount" value="count(hl7:low|hl7:high)"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="$elmcount&gt;=1">(Periode-M-Start-O-Eind-O): keuze (hl7:low of hl7:high) bevat te weinig elementen [min 1x]</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="$elmcount&lt;=2">(Periode-M-Start-O-Eind-O): keuze (hl7:low of hl7:high) bevat te veel elementen [max 2x]</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:width)=0">(Periode-M-Start-O-Eind-O): element hl7:width MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:center)=0">(Periode-M-Start-O-Eind-O): element hl7:center MAG NIET voorkomen.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:addr[not(@use) and hl7:useablePeriod]/hl7:useablePeriod
Item: (Periode-M-Start-O-Eind-O)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:addr[not(@use) and hl7:useablePeriod]/hl7:useablePeriod/hl7:low
Item: (Periode-M-Start-O-Eind-O)
-->
<rule id="tmp-36f2ee9a-8152-4e4e-b1ca-7a44560d1eb1" abstract="true">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@nullFlavor='UNK' or not(@nullFlavor)">(Periode-M-Start-O-Eind-O): de waarde van @nullFlavor MOET 'UNK' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:addr[not(@use) and hl7:useablePeriod]/hl7:useablePeriod/hl7:high
Item: (Periode-M-Start-O-Eind-O)
-->
<rule id="tmp-b42a6f9e-6cb3-4c08-ba06-38299399eef0" abstract="true">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@nullFlavor='UNK' or not(@nullFlavor)">(Periode-M-Start-O-Eind-O): de waarde van @nullFlavor MOET 'UNK' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:addr[not(@use) and hl7:useablePeriod]/hl7:useablePeriod/hl7:width
Item: (Periode-M-Start-O-Eind-O)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:addr[not(@use) and hl7:useablePeriod]/hl7:useablePeriod/hl7:center
Item: (Periode-M-Start-O-Eind-O)
-->
<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:telecom
Item: (R_PatientNL-JGZ-universal)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:telecom"
         id="tmp-ff1ee03c-5253-459e-8e0a-b88b0ef13ca9">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:statusCode
Item: (R_PatientNL-JGZ-universal)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:statusCode"
         id="tmp-f8c69457-688a-4164-9fcb-afc7183f3e6e">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@nullFlavor or (@code='active')">(R_PatientNL-JGZ-universal): de waarde van @code MOET ''active'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:confidentialityCode
Item: (R_PatientNL-JGZ-universal)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:confidentialityCode"
         id="tmp-3375d33d-eda8-4e67-9cd5-2c3e6b69b1c8">
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-W0032_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-W0032_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(R_PatientNL-JGZ-universal): de waarde van @code MOET worden gekozen uit waardenlijst W0032_HL7 W0032 Indicatie geheim (HL7) DYNAMIC.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(R_PatientNL-JGZ-universal): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0032_HL7 W0032 Indicatie geheim (HL7) DYNAMIC.</assert>
   </rule>


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:covererdPartyOf
Item: (R_PatientNL-JGZ-universal)
-->
<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:covererdPartyOf"
         id="tmp-a1d6b4cc-2ec6-45cc-adcd-486e0f0abc1a">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@typeCode='COV' or not(@typeCode)">(R_PatientNL-JGZ-universal): de waarde van @typeCode MOET 'COV' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient
Item: (A_CoverageNL-minimal)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:covererdPartyOf
Item: (A_CoverageNL-minimal)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:covererdPartyOf/hl7:coverageRecord
Item: (A_CoverageNL-minimal)
-->
<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:covererdPartyOf/hl7:coverageRecord"
         id="tmp-bce19c35-9292-4dd8-afa0-a768fee23232">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@classCode='COV' or not(@classCode)">(A_CoverageNL-minimal): de waarde van @classCode MOET 'COV' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@moodCode='EVN' or not(@moodCode)">(A_CoverageNL-minimal): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:component)&gt;=1 and not(hl7:component/@nullFlavor)">(A_CoverageNL-minimal): element hl7:component is mandatory [min 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:covererdPartyOf/hl7:coverageRecord/hl7:component
Item: (A_CoverageNL-minimal)
-->
<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:covererdPartyOf/hl7:coverageRecord/hl7:component"
         id="tmp-52ab50ee-1417-460e-9df0-79819e613aaa">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@typeCode='COMP' or not(@typeCode)">(A_CoverageNL-minimal): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:policyOrProgram)&gt;=1 and not(hl7:policyOrProgram/@nullFlavor)">(A_CoverageNL-minimal): element hl7:policyOrProgram is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:policyOrProgram)&lt;=1">(A_CoverageNL-minimal): element hl7:policyOrProgram komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:covererdPartyOf/hl7:coverageRecord/hl7:component/hl7:policyOrProgram
Item: (A_CoverageNL-minimal)
-->
<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:covererdPartyOf/hl7:coverageRecord/hl7:component/hl7:policyOrProgram"
         id="tmp-160da7a4-a43b-4fa2-89de-cc43311d48c4">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@classCode='COV' or not(@classCode)">(A_CoverageNL-minimal): de waarde van @classCode MOET 'COV' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@moodCode='EVN' or not(@moodCode)">(A_CoverageNL-minimal): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(A_CoverageNL-minimal): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:code)&lt;=1">(A_CoverageNL-minimal): element hl7:code komt te vaak voor [max 1x].</assert>
      <let name="elmcount"
           value="count(hl7:coveredParty[@nullFlavor]|hl7:coveredParty[not(@nullFlavor)])"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="$elmcount&gt;=1">(A_CoverageNL-minimal): keuze (hl7:coveredParty[@nullFlavor] of hl7:coveredParty[not(@nullFlavor)]) bevat te weinig elementen [min 1x]</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="$elmcount&lt;=1">(A_CoverageNL-minimal): keuze (hl7:coveredParty[@nullFlavor] of hl7:coveredParty[not(@nullFlavor)]) bevat te veel elementen [max 1x]</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:covererdPartyOf/hl7:coverageRecord/hl7:component/hl7:policyOrProgram/hl7:code
Item: (A_CoverageNL-minimal)
-->
<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:covererdPartyOf/hl7:coverageRecord/hl7:component/hl7:policyOrProgram/hl7:code"
         id="tmp-9a0a84a0-b8fd-4ae4-91cd-1e707e607766">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@nullFlavor or (@code='HIP' and @codeSystem='2.16.840.1.113883.5.4' and @displayName='Health Insurance Policy')">(A_CoverageNL-minimal): de waarde van @code/@codeSystem MOET ''HIP' codeSystem '2.16.840.1.113883.5.4' displayName='Health Insurance Policy'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:covererdPartyOf/hl7:coverageRecord/hl7:component/hl7:policyOrProgram
Item: (A_CoverageNL-minimal)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:covererdPartyOf/hl7:coverageRecord/hl7:component/hl7:policyOrProgram/hl7:coveredParty[@nullFlavor]
Item: (A_CoverageNL-minimal)
-->
<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:covererdPartyOf/hl7:coverageRecord/hl7:component/hl7:policyOrProgram/hl7:coveredParty[@nullFlavor]"
         id="tmp-68bd24ea-9071-437f-8922-787595b7a7ff">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@typeCode='COV' or not(@typeCode)">(A_CoverageNL-minimal): de waarde van @typeCode MOET 'COV' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@nullFlavor='NI'">(A_CoverageNL-minimal): de waarde van @nullFlavor MOET 'NI' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@xsi:type='true'">(A_CoverageNL-minimal): de waarde van @xsi:type MOET 'true' zijn.</assert>
      <let name="theAttValue" value="@xsi:type"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:covererdPartyOf/hl7:coverageRecord/hl7:component/hl7:policyOrProgram/hl7:coveredParty[not(@nullFlavor)]
Item: (A_CoverageNL-minimal)
-->
<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:covererdPartyOf/hl7:coverageRecord/hl7:component/hl7:policyOrProgram/hl7:coveredParty[not(@nullFlavor)]"
         id="tmp-145efd04-56f7-4ab1-a41c-25c27b972283">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@typeCode='COV' or not(@typeCode)">(A_CoverageNL-minimal): de waarde van @typeCode MOET 'COV' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:id)&gt;=1 ">(A_CoverageNL-minimal): element hl7:id is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:id)&lt;=1">(A_CoverageNL-minimal): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:code)&gt;=1 ">(A_CoverageNL-minimal): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:code)&lt;=1">(A_CoverageNL-minimal): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:underwritingOrganization)&gt;=1 and not(hl7:underwritingOrganization/@nullFlavor)">(A_CoverageNL-minimal): element hl7:underwritingOrganization is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:underwritingOrganization)&lt;=1">(A_CoverageNL-minimal): element hl7:underwritingOrganization komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:covererdPartyOf/hl7:coverageRecord/hl7:component/hl7:policyOrProgram/hl7:coveredParty[not(@nullFlavor)]/hl7:id
Item: (A_CoverageNL-minimal)
-->
<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:covererdPartyOf/hl7:coverageRecord/hl7:component/hl7:policyOrProgram/hl7:coveredParty[not(@nullFlavor)]/hl7:id"
         id="tmp-2f81af6f-4f70-4a62-949b-696a5e8eb1da">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@nullFlavor='UNC'">(A_CoverageNL-minimal): de waarde van @nullFlavor MOET 'UNC' zijn.</assert>
      <assert role="error" test="@extension">(A_CoverageNL-minimal): 
                                        <name path=".."/>/<name/>/@extension moet het polisnummer bevatten</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:covererdPartyOf/hl7:coverageRecord/hl7:component/hl7:policyOrProgram/hl7:coveredParty[not(@nullFlavor)]/hl7:code
Item: (A_CoverageNL-minimal)
-->
<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:covererdPartyOf/hl7:coverageRecord/hl7:component/hl7:policyOrProgram/hl7:coveredParty[not(@nullFlavor)]/hl7:code"
         id="tmp-913ce541-c3f9-4e71-aaf7-eaa11bbbc712">
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-CoverageRoleTypeJGZ-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-CoverageRoleTypeJGZ-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(A_CoverageNL-minimal): de waarde van @code MOET worden gekozen uit waardenlijst CoverageRoleTypeJGZ CoverageRoleTypeJGZ (HL7) DYNAMIC.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(A_CoverageNL-minimal): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst CoverageRoleTypeJGZ CoverageRoleTypeJGZ (HL7) DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:covererdPartyOf/hl7:coverageRecord/hl7:component/hl7:policyOrProgram/hl7:coveredParty[not(@nullFlavor)]/hl7:underwritingOrganization
Item: (A_CoverageNL-minimal)
-->
<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:covererdPartyOf/hl7:coverageRecord/hl7:component/hl7:policyOrProgram/hl7:coveredParty[not(@nullFlavor)]/hl7:underwritingOrganization"
         id="tmp-bb867737-4816-4200-8e65-4898d327e169">
      <assert role="error" test="hl7:id or hl7:name">(A_CoverageNL-minimal): 
                                        <name/> MOET tenminste een id of naam bevatten.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:id)&lt;=1">(A_CoverageNL-minimal): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:name)&lt;=1">(A_CoverageNL-minimal): element hl7:name komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:covererdPartyOf/hl7:coverageRecord/hl7:component/hl7:policyOrProgram/hl7:coveredParty[not(@nullFlavor)]/hl7:underwritingOrganization/hl7:id
Item: (A_CoverageNL-minimal)
-->
<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:covererdPartyOf/hl7:coverageRecord/hl7:component/hl7:policyOrProgram/hl7:coveredParty[not(@nullFlavor)]/hl7:underwritingOrganization/hl7:id"
         id="tmp-193341f6-47d1-468e-b0d7-00007555cbf0">
      <let name="theValue" value="@value"/>
      <assert role="warning" test="@root='2.16.840.1.113883.2.4.6.4'">(A_CoverageNL-minimal): 
                                            <name path=".."/>/<name/> bevat geen UZOVI-nummer. Dat kan alleen voor niet-Nederlandse verzekeraars.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:covererdPartyOf/hl7:coverageRecord/hl7:component/hl7:policyOrProgram/hl7:coveredParty[not(@nullFlavor)]/hl7:underwritingOrganization/hl7:name
Item: (A_CoverageNL-minimal)
-->
<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:covererdPartyOf/hl7:coverageRecord/hl7:component/hl7:policyOrProgram/hl7:coveredParty[not(@nullFlavor)]/hl7:underwritingOrganization/hl7:name"
         id="tmp-329f9da5-fa3b-4e8f-98a6-8169fad89cd5">
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:subjectOf1
Item: (R_PatientNL-JGZ-universal)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:subjectOf1"
         id="tmp-192f076c-ed0b-454e-a048-b4eb5281858f">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@typeCode='SBJ' or not(@typeCode)">(R_PatientNL-JGZ-universal): de waarde van @typeCode MOET 'SBJ' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:administrativeObservation)&gt;=1 and not(hl7:administrativeObservation/@nullFlavor)">(R_PatientNL-JGZ-universal): element hl7:administrativeObservation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:administrativeObservation)&lt;=1">(R_PatientNL-JGZ-universal): element hl7:administrativeObservation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:subjectOf1/hl7:administrativeObservation
Item: (R_PatientNL-JGZ-universal)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:subjectOf1/hl7:administrativeObservation"
         id="tmp-3bcdca3b-b755-4aa3-88e2-5bda2e6f6f0f">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@classCode='OBS' or not(@classCode)">(R_PatientNL-JGZ-universal): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@moodCode='EVN' or not(@moodCode)">(R_PatientNL-JGZ-universal): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(R_PatientNL-JGZ-universal): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:code)&lt;=1">(R_PatientNL-JGZ-universal): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(R_PatientNL-JGZ-universal): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:value)&lt;=1">(R_PatientNL-JGZ-universal): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:subjectOf1/hl7:administrativeObservation/hl7:code
Item: (R_PatientNL-JGZ-universal)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:subjectOf1/hl7:administrativeObservation/hl7:code"
         id="tmp-b5ab36d9-39c4-4cd4-9036-d57fbb9ab792">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:subjectOf1/hl7:administrativeObservation/hl7:value
Item: (R_PatientNL-JGZ-universal)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:subjectOf1/hl7:administrativeObservation/hl7:value"
         id="tmp-b8fc9596-2152-4a08-a6a1-f2618894e9b5">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:subjectOf2
Item: (R_PatientNL-JGZ-universal)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:subjectOf2"
         id="tmp-fe0f7c0b-c7b8-4f91-b6be-f74ab738714e">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@typeCode='SBJ' or not(@typeCode)">(R_PatientNL-JGZ-universal): de waarde van @typeCode MOET 'SBJ' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:identityDocument)&gt;=1 and not(hl7:identityDocument/@nullFlavor)">(R_PatientNL-JGZ-universal): element hl7:identityDocument is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:identityDocument)&lt;=1">(R_PatientNL-JGZ-universal): element hl7:identityDocument komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:subjectOf2/hl7:identityDocument
Item: (R_PatientNL-JGZ-universal)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:subjectOf2/hl7:identityDocument"
         id="tmp-7cd1bb46-92d2-4148-a84c-17d6ad63fbce">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@classCode='DOC' or not(@classCode)">(R_PatientNL-JGZ-universal): de waarde van @classCode MOET 'DOC' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(R_PatientNL-JGZ-universal): element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:id)&lt;=1">(R_PatientNL-JGZ-universal): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:code)&gt;=1 ">(R_PatientNL-JGZ-universal): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:code)&lt;=1">(R_PatientNL-JGZ-universal): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:subjectOf2/hl7:identityDocument/hl7:id
Item: (R_PatientNL-JGZ-universal)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:subjectOf2/hl7:identityDocument/hl7:id"
         id="tmp-85118061-626e-484f-8607-07083925a726">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:subjectOf2/hl7:identityDocument/hl7:code
Item: (R_PatientNL-JGZ-universal)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:subjectOf2/hl7:identityDocument/hl7:code"
         id="tmp-2f656f9f-69bd-44ea-91c4-3ac0d63f322e">
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-W0036_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-W0036_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(R_PatientNL-JGZ-universal): de waarde van @code MOET worden gekozen uit waardenlijst W0036_HL7 W0036 WID aard (HL7) DYNAMIC.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(R_PatientNL-JGZ-universal): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0036_HL7 W0036 WID aard (HL7) DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:subjectOf2/hl7:identityDocument/hl7:subjectOf
Item: (R_PatientNL-JGZ-universal)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:subjectOf2/hl7:identityDocument/hl7:subjectOf"
         id="tmp-9564f58c-c742-423f-a09a-b3cc4d8758c0">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@typeCode='SUBJ' or not(@typeCode)">(R_PatientNL-JGZ-universal): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:verification)&gt;=1 and not(hl7:verification/@nullFlavor)">(R_PatientNL-JGZ-universal): element hl7:verification is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:verification)&lt;=1">(R_PatientNL-JGZ-universal): element hl7:verification komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:subjectOf2/hl7:identityDocument/hl7:subjectOf/hl7:verification
Item: (R_PatientNL-JGZ-universal)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:subjectOf2/hl7:identityDocument/hl7:subjectOf/hl7:verification"
         id="tmp-d3f7e2a1-882e-44ab-990b-0c556f8c4a21">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@classCode='VERIF' or not(@classCode)">(R_PatientNL-JGZ-universal): de waarde van @classCode MOET 'VERIF' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@moodCode='EVN' or not(@moodCode)">(R_PatientNL-JGZ-universal): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(R_PatientNL-JGZ-universal): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:code)&lt;=1">(R_PatientNL-JGZ-universal): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:effectiveTime)&lt;=1">(R_PatientNL-JGZ-universal): element hl7:effectiveTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(R_PatientNL-JGZ-universal): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:value)&lt;=1">(R_PatientNL-JGZ-universal): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:subjectOf2/hl7:identityDocument/hl7:subjectOf/hl7:verification/hl7:code
Item: (R_PatientNL-JGZ-universal)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:subjectOf2/hl7:identityDocument/hl7:subjectOf/hl7:verification/hl7:code"
         id="tmp-28fadad4-01d2-499b-bcc7-0c1dead5ccbf">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@nullFlavor or (@code='700' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1394' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(R_PatientNL-JGZ-universal): de waarde van @code MOET één van de volgende codes bevatten: '700' codeSystem '2.16.840.1.113883.2.4.4.40.267' of '1394' codeSystem '2.16.840.1.113883.2.4.4.40.267'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:subjectOf2/hl7:identityDocument/hl7:subjectOf/hl7:verification/hl7:effectiveTime
Item: (R_PatientNL-JGZ-universal)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:subjectOf2/hl7:identityDocument/hl7:subjectOf/hl7:verification/hl7:effectiveTime"
         id="tmp-d351ea72-8419-4527-968e-b4d7d185ab36">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:subjectOf2/hl7:identityDocument/hl7:subjectOf/hl7:verification/hl7:value
Item: (R_PatientNL-JGZ-universal)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:subjectOf2/hl7:identityDocument/hl7:subjectOf/hl7:verification/hl7:value"
         id="tmp-02d46f2f-513e-4584-bce5-e22e42582bcb">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson
Item: (R_PatientNL-JGZ-universal)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson"
         id="tmp-684c1220-fb06-411f-8bed-3a4cb9b0c758">
      <let name="elmcount" value="count(hl7:name[@use='OR']|hl7:name[@use='L'])"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="$elmcount&lt;=2">(R_PatientNL-JGZ-universal): keuze (hl7:name[@use='OR'] of hl7:name[@use='L']) bevat te veel elementen [max 2x]</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:administrativeGenderCode)&lt;=1">(R_PatientNL-JGZ-universal): element hl7:administrativeGenderCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:birthTime)&gt;=1 ">(R_PatientNL-JGZ-universal): element hl7:birthTime is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:birthTime)&lt;=1">(R_PatientNL-JGZ-universal): element hl7:birthTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:multipleBirthInd)&lt;=1">(R_PatientNL-JGZ-universal): element hl7:multipleBirthInd komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:multipleBirthOrderNumber)&lt;=1">(R_PatientNL-JGZ-universal): element hl7:multipleBirthOrderNumber komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:maritalStatusCode)&lt;=1">(R_PatientNL-JGZ-universal): element hl7:maritalStatusCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:asEmployee)=0">(R_PatientNL-JGZ-universal): element hl7:asEmployee MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(asOtherIds)=0">(R_PatientNL-JGZ-universal): element asOtherIds MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(careGiver)=0">(R_PatientNL-JGZ-universal): element careGiver MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(birthPlace)&lt;=1">(R_PatientNL-JGZ-universal): element birthPlace komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(guarantorRole)=0">(R_PatientNL-JGZ-universal): element guarantorRole MAG NIET voorkomen.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson
Item: (R_PatientNL-JGZ-universal)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson
Item: (NaamOfficieel)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:name[@use='OR']
Item: (NaamOfficieel)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:name[@use='OR']"
         id="tmp-6a51db15-41d6-491a-b434-78dfc2c9148e">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@use='OR'">(NaamOfficieel): de waarde van @use MOET 'OR' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:given)&gt;=1 and not(hl7:given/@nullFlavor)">(NaamOfficieel): element hl7:given is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:given)&lt;=1">(NaamOfficieel): element hl7:given komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:family)&gt;=1 and not(hl7:family/@nullFlavor)">(NaamOfficieel): element hl7:family is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:family)&lt;=1">(NaamOfficieel): element hl7:family komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:name[@use='OR']/hl7:given
Item: (NaamOfficieel)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:name[@use='OR']/hl7:given"
         id="tmp-c11f05a2-cf2d-411f-9a37-7a20a7cc0613">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@qualifier='BR' or not(@qualifier)">(NaamOfficieel): de waarde van @qualifier MOET 'BR' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:name[@use='OR']/hl7:prefix
Item: (NaamOfficieel)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:name[@use='OR']/hl7:family
Item: (NaamOfficieel)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:name[@use='OR']/hl7:family"
         id="tmp-7ed4156a-3b85-4904-810b-c1ecb004a0a7">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@qualifier='BR'">(NaamOfficieel): de waarde van @qualifier MOET 'BR' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson
Item: (NaamZoalsBekendBijInstelling)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:name[@use='L']
Item: (NaamZoalsBekendBijInstelling)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:name[@use='L']"
         id="tmp-a2d85482-cbd5-427a-a8c7-dfacf77c3797">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@use='L'">(NaamZoalsBekendBijInstelling): de waarde van @use MOET 'L' zijn.</assert>
      <let name="elmcount"
           value="count(hl7:given|hl7:prefix|hl7:family|hl7:delimiter|hl7:suffix)"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="$elmcount&gt;=1">(NaamZoalsBekendBijInstelling): keuze (hl7:given of hl7:prefix of hl7:family of hl7:delimiter of hl7:suffix) bevat te weinig elementen [min 1x]</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:validTime)&lt;=1">(NaamZoalsBekendBijInstelling): element hl7:validTime komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:name[@use='L']
Item: (NaamZoalsBekendBijInstelling)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:name[@use='L']/hl7:given
Item: (NaamZoalsBekendBijInstelling)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:name[@use='L']/hl7:prefix
Item: (NaamZoalsBekendBijInstelling)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:name[@use='L']/hl7:prefix"
         id="tmp-8e984c98-9f4b-4ea3-b9ba-7e81269a4dcd">
      <assert role="warning" test="@qualifier">(NaamZoalsBekendBijInstelling): 
                            <name path=".."/>/<name/>/@qualifier ontbreekt. Deze prefix zal als titel worden geïnterpreteerd.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:name[@use='L']/hl7:family
Item: (NaamZoalsBekendBijInstelling)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:name[@use='L']/hl7:delimiter
Item: (NaamZoalsBekendBijInstelling)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:name[@use='L']/hl7:suffix
Item: (NaamZoalsBekendBijInstelling)
-->


<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:name[@use='L']/hl7:validTime
Item: (NaamZoalsBekendBijInstelling)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:name[@use='L']
Item: (Periode-O-Start-O-Eind-O)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:name[@use='L']/hl7:validTime
Item: (Periode-O-Start-O-Eind-O)
-->
<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:name[@use='L']/hl7:validTime"
         id="tmp-0f70b2cb-4cc6-496a-bc80-238da36b1978">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@nullFlavor='UNK' or not(@nullFlavor)">(Periode-O-Start-O-Eind-O): de waarde van @nullFlavor MOET 'UNK' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:low)&lt;=1">(Periode-O-Start-O-Eind-O): element hl7:low komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:high)&lt;=1">(Periode-O-Start-O-Eind-O): element hl7:high komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:width)=0">(Periode-O-Start-O-Eind-O): element hl7:width MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:center)=0">(Periode-O-Start-O-Eind-O): element hl7:center MAG NIET voorkomen.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:name[@use='L']/hl7:validTime/hl7:low
Item: (Periode-O-Start-O-Eind-O)
-->
<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:name[@use='L']/hl7:validTime/hl7:low"
         id="tmp-defa6dad-8e44-4a75-b825-99efc8caf9a2">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@nullFlavor='UNK' or not(@nullFlavor)">(Periode-O-Start-O-Eind-O): de waarde van @nullFlavor MOET 'UNK' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:name[@use='L']/hl7:validTime/hl7:high
Item: (Periode-O-Start-O-Eind-O)
-->
<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:name[@use='L']/hl7:validTime/hl7:high"
         id="tmp-a704db7d-9773-4218-9782-dd98eed85401">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@nullFlavor='UNK' or not(@nullFlavor)">(Periode-O-Start-O-Eind-O): de waarde van @nullFlavor MOET 'UNK' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:name[@use='L']/hl7:validTime/hl7:width
Item: (Periode-O-Start-O-Eind-O)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:name[@use='L']/hl7:validTime/hl7:center
Item: (Periode-O-Start-O-Eind-O)
-->
<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:administrativeGenderCode
Item: (R_PatientNL-JGZ-universal)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:administrativeGenderCode"
         id="tmp-fc335876-501e-41c7-ae68-67a348bffbc3">
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-AdministrativeGender-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-AdministrativeGender-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(R_PatientNL-JGZ-universal): de waarde van @code MOET worden gekozen uit waardenlijst AdministrativeGender DYNAMIC.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(R_PatientNL-JGZ-universal): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst AdministrativeGender DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:birthTime
Item: (R_PatientNL-JGZ-universal)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:birthTime"
         id="tmp-750a011a-7189-4621-8544-b6d70a57a811">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@nullFlavor='UNK' or not(@nullFlavor)">(R_PatientNL-JGZ-universal): de waarde van @nullFlavor MOET 'UNK' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:multipleBirthInd
Item: (R_PatientNL-JGZ-universal)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:multipleBirthInd"
         id="tmp-a250d8ec-2ba3-418a-ad2a-d88677daa24e">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:multipleBirthOrderNumber
Item: (R_PatientNL-JGZ-universal)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:multipleBirthOrderNumber"
         id="tmp-94b6a5a9-b3eb-4b0e-b5eb-c60513fe3b0d">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:maritalStatusCode
Item: (R_PatientNL-JGZ-universal)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:maritalStatusCode"
         id="tmp-40915c5b-98eb-4d75-aaad-290468ab427b">
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-MaritalStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-MaritalStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(R_PatientNL-JGZ-universal): de waarde van @code MOET worden gekozen uit waardenlijst MaritalStatus DYNAMIC.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(R_PatientNL-JGZ-universal): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst MaritalStatus DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asPatientOfOtherProvider
Item: (R_PatientNL-JGZ-universal)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asPatientOfOtherProvider"
         id="tmp-266beba0-cedf-4084-9d9a-8fa04735ceaf">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@classCode='PAT' or not(@classCode)">(R_PatientNL-JGZ-universal): de waarde van @classCode MOET 'PAT' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:subjectOf)&gt;=1 and not(hl7:subjectOf/@nullFlavor)">(R_PatientNL-JGZ-universal): element hl7:subjectOf is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:subjectOf)&lt;=1">(R_PatientNL-JGZ-universal): element hl7:subjectOf komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asPatientOfOtherProvider/hl7:subjectOf
Item: (R_PatientNL-JGZ-universal)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asPatientOfOtherProvider/hl7:subjectOf"
         id="tmp-b5154553-a7d6-461f-b25a-a28bf92635d5">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:careProvision)&gt;=1 and not(hl7:careProvision/@nullFlavor)">(R_PatientNL-JGZ-universal): element hl7:careProvision is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:careProvision)&lt;=1">(R_PatientNL-JGZ-universal): element hl7:careProvision komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asPatientOfOtherProvider/hl7:subjectOf/hl7:careProvision
Item: (R_PatientNL-JGZ-universal)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asPatientOfOtherProvider/hl7:subjectOf/hl7:careProvision"
         id="tmp-37cb669f-a327-434b-aaa3-412c3803dd3b">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@classCode='PCPR' or not(@classCode)">(R_PatientNL-JGZ-universal): de waarde van @classCode MOET 'PCPR' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@moodCode='EVN' or not(@moodCode)">(R_PatientNL-JGZ-universal): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:code)&gt;=1 ">(R_PatientNL-JGZ-universal): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:code)&lt;=1">(R_PatientNL-JGZ-universal): element hl7:code komt te vaak voor [max 1x].</assert>
      <let name="elmcount"
           value="count(hl7:effectiveTime[@xsi:type='IVL_TS']|hl7:effectiveTime[@xsi:type='SXPR_TS'])"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="$elmcount&lt;=1">(R_PatientNL-JGZ-universal): keuze (hl7:effectiveTime[@xsi:type='IVL_TS'] of hl7:effectiveTime[@xsi:type='SXPR_TS']) bevat te veel elementen [max 1x]</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:reasonCode)&lt;=1">(R_PatientNL-JGZ-universal): element hl7:reasonCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:performer)&gt;=1 and not(hl7:performer/@nullFlavor)">(R_PatientNL-JGZ-universal): element hl7:performer is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:performer)&lt;=1">(R_PatientNL-JGZ-universal): element hl7:performer komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asPatientOfOtherProvider/hl7:subjectOf/hl7:careProvision/hl7:code
Item: (R_PatientNL-JGZ-universal)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asPatientOfOtherProvider/hl7:subjectOf/hl7:careProvision/hl7:code"
         id="tmp-e8a57c5e-5ba7-40f7-9fa7-c76f027c823f">
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-ActMedicalServiceCode-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), (document('include/voc-W0072_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-ActMedicalServiceCode-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), (document('include/voc-W0072_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(R_PatientNL-JGZ-universal): de waarde van @code MOET worden gekozen uit waardenlijst ActMedicalServiceCode of W0072_HL7 W0072 Soort voorschoolse voorzieningen (HL7) DYNAMIC.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(R_PatientNL-JGZ-universal): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActMedicalServiceCode of W0072_HL7 W0072 Soort voorschoolse voorzieningen (HL7) DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asPatientOfOtherProvider/hl7:subjectOf/hl7:careProvision
Item: (R_PatientNL-JGZ-universal)
-->


<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asPatientOfOtherProvider/hl7:subjectOf/hl7:careProvision/hl7:effectiveTime[@xsi:type='IVL_TS']
Item: (R_PatientNL-JGZ-universal)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asPatientOfOtherProvider/hl7:subjectOf/hl7:careProvision
Item: (Periode-O-Start-O-Eind-O)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asPatientOfOtherProvider/hl7:subjectOf/hl7:careProvision/hl7:effectiveTime[@xsi:type='IVL_TS']
Item: (Periode-O-Start-O-Eind-O)
-->
<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asPatientOfOtherProvider/hl7:subjectOf/hl7:careProvision/hl7:effectiveTime[@xsi:type='IVL_TS']"
         id="tmp-506dd48e-69cb-438c-bada-21a286ab15c2">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@nullFlavor='UNK' or not(@nullFlavor)">(Periode-O-Start-O-Eind-O): de waarde van @nullFlavor MOET 'UNK' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:low)&lt;=1">(Periode-O-Start-O-Eind-O): element hl7:low komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:high)&lt;=1">(Periode-O-Start-O-Eind-O): element hl7:high komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:width)=0">(Periode-O-Start-O-Eind-O): element hl7:width MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:center)=0">(Periode-O-Start-O-Eind-O): element hl7:center MAG NIET voorkomen.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asPatientOfOtherProvider/hl7:subjectOf/hl7:careProvision/hl7:effectiveTime[@xsi:type='IVL_TS']/hl7:low
Item: (Periode-O-Start-O-Eind-O)
-->
<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asPatientOfOtherProvider/hl7:subjectOf/hl7:careProvision/hl7:effectiveTime[@xsi:type='IVL_TS']/hl7:low"
         id="tmp-e8de2e7b-76e3-447b-9229-6a8fff089f24">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@nullFlavor='UNK' or not(@nullFlavor)">(Periode-O-Start-O-Eind-O): de waarde van @nullFlavor MOET 'UNK' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asPatientOfOtherProvider/hl7:subjectOf/hl7:careProvision/hl7:effectiveTime[@xsi:type='IVL_TS']/hl7:high
Item: (Periode-O-Start-O-Eind-O)
-->
<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asPatientOfOtherProvider/hl7:subjectOf/hl7:careProvision/hl7:effectiveTime[@xsi:type='IVL_TS']/hl7:high"
         id="tmp-690a06f9-67ed-43c7-a3f8-388da514dccb">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@nullFlavor='UNK' or not(@nullFlavor)">(Periode-O-Start-O-Eind-O): de waarde van @nullFlavor MOET 'UNK' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asPatientOfOtherProvider/hl7:subjectOf/hl7:careProvision/hl7:effectiveTime[@xsi:type='IVL_TS']/hl7:width
Item: (Periode-O-Start-O-Eind-O)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asPatientOfOtherProvider/hl7:subjectOf/hl7:careProvision/hl7:effectiveTime[@xsi:type='IVL_TS']/hl7:center
Item: (Periode-O-Start-O-Eind-O)
-->
<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asPatientOfOtherProvider/hl7:subjectOf/hl7:careProvision/hl7:effectiveTime[@xsi:type='SXPR_TS']
Item: (R_PatientNL-JGZ-universal)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asPatientOfOtherProvider/hl7:subjectOf/hl7:careProvision/hl7:effectiveTime[@xsi:type='SXPR_TS']"
         id="tmp-a3a960a5-a1ff-4e71-8a99-9a84d00d4dae">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:comp[@xsi:type='IVL_TS'])&gt;=1 and not(hl7:comp[@xsi:type='IVL_TS']/@nullFlavor)">(R_PatientNL-JGZ-universal): element hl7:comp[@xsi:type='IVL_TS'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:comp[@xsi:type='IVL_TS'])&lt;=1">(R_PatientNL-JGZ-universal): element hl7:comp[@xsi:type='IVL_TS'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:comp[@xsi:type='PIVL_TS'])&gt;=1 and not(hl7:comp[@xsi:type='PIVL_TS']/@nullFlavor)">(R_PatientNL-JGZ-universal): element hl7:comp[@xsi:type='PIVL_TS'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:comp[@xsi:type='PIVL_TS'])&lt;=1">(R_PatientNL-JGZ-universal): element hl7:comp[@xsi:type='PIVL_TS'] komt te vaak voor [max 1x].</assert>
   </rule>


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asPatientOfOtherProvider/hl7:subjectOf/hl7:careProvision/hl7:effectiveTime[@xsi:type='SXPR_TS']/hl7:comp[@xsi:type='IVL_TS']
Item: (R_PatientNL-JGZ-universal)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asPatientOfOtherProvider/hl7:subjectOf/hl7:careProvision/hl7:effectiveTime[@xsi:type='SXPR_TS']
Item: (Periode-M-Start-O-Eind-O)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asPatientOfOtherProvider/hl7:subjectOf/hl7:careProvision/hl7:effectiveTime[@xsi:type='SXPR_TS']/hl7:comp[@xsi:type='IVL_TS']
Item: (Periode-M-Start-O-Eind-O)
-->
<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asPatientOfOtherProvider/hl7:subjectOf/hl7:careProvision/hl7:effectiveTime[@xsi:type='SXPR_TS']/hl7:comp[@xsi:type='IVL_TS']"
         id="tmp-5207be95-0c96-4e2d-a73e-5c1d84d88bd9">
      <let name="elmcount" value="count(hl7:low|hl7:high)"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="$elmcount&gt;=1">(Periode-M-Start-O-Eind-O): keuze (hl7:low of hl7:high) bevat te weinig elementen [min 1x]</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="$elmcount&lt;=2">(Periode-M-Start-O-Eind-O): keuze (hl7:low of hl7:high) bevat te veel elementen [max 2x]</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:width)=0">(Periode-M-Start-O-Eind-O): element hl7:width MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:center)=0">(Periode-M-Start-O-Eind-O): element hl7:center MAG NIET voorkomen.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asPatientOfOtherProvider/hl7:subjectOf/hl7:careProvision/hl7:effectiveTime[@xsi:type='SXPR_TS']/hl7:comp[@xsi:type='IVL_TS']
Item: (Periode-M-Start-O-Eind-O)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asPatientOfOtherProvider/hl7:subjectOf/hl7:careProvision/hl7:effectiveTime[@xsi:type='SXPR_TS']/hl7:comp[@xsi:type='IVL_TS']/hl7:low
Item: (Periode-M-Start-O-Eind-O)
-->
<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asPatientOfOtherProvider/hl7:subjectOf/hl7:careProvision/hl7:effectiveTime[@xsi:type='SXPR_TS']/hl7:comp[@xsi:type='IVL_TS']/hl7:low"
         id="tmp-9cd227bc-d7b2-4832-b1e6-6eb20dae8a15">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@nullFlavor='UNK' or not(@nullFlavor)">(Periode-M-Start-O-Eind-O): de waarde van @nullFlavor MOET 'UNK' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asPatientOfOtherProvider/hl7:subjectOf/hl7:careProvision/hl7:effectiveTime[@xsi:type='SXPR_TS']/hl7:comp[@xsi:type='IVL_TS']/hl7:high
Item: (Periode-M-Start-O-Eind-O)
-->
<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asPatientOfOtherProvider/hl7:subjectOf/hl7:careProvision/hl7:effectiveTime[@xsi:type='SXPR_TS']/hl7:comp[@xsi:type='IVL_TS']/hl7:high"
         id="tmp-7e215e55-bb53-4df7-a1ca-a901562c8422">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@nullFlavor='UNK' or not(@nullFlavor)">(Periode-M-Start-O-Eind-O): de waarde van @nullFlavor MOET 'UNK' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asPatientOfOtherProvider/hl7:subjectOf/hl7:careProvision/hl7:effectiveTime[@xsi:type='SXPR_TS']/hl7:comp[@xsi:type='IVL_TS']/hl7:width
Item: (Periode-M-Start-O-Eind-O)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asPatientOfOtherProvider/hl7:subjectOf/hl7:careProvision/hl7:effectiveTime[@xsi:type='SXPR_TS']/hl7:comp[@xsi:type='IVL_TS']/hl7:center
Item: (Periode-M-Start-O-Eind-O)
-->
<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asPatientOfOtherProvider/hl7:subjectOf/hl7:careProvision/hl7:effectiveTime[@xsi:type='SXPR_TS']/hl7:comp[@xsi:type='PIVL_TS']
Item: (R_PatientNL-JGZ-universal)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asPatientOfOtherProvider/hl7:subjectOf/hl7:careProvision/hl7:effectiveTime[@xsi:type='SXPR_TS']/hl7:comp[@xsi:type='PIVL_TS']"
         id="tmp-537f66ff-4894-4b83-b8bc-dd956baf6eee">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:phase)&gt;=1 and not(hl7:phase/@nullFlavor)">(R_PatientNL-JGZ-universal): element hl7:phase is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:phase)&lt;=1">(R_PatientNL-JGZ-universal): element hl7:phase komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:period)&gt;=1 and not(hl7:period/@nullFlavor)">(R_PatientNL-JGZ-universal): element hl7:period is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:period)&lt;=1">(R_PatientNL-JGZ-universal): element hl7:period komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asPatientOfOtherProvider/hl7:subjectOf/hl7:careProvision/hl7:effectiveTime[@xsi:type='SXPR_TS']/hl7:comp[@xsi:type='PIVL_TS']/hl7:phase
Item: (R_PatientNL-JGZ-universal)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asPatientOfOtherProvider/hl7:subjectOf/hl7:careProvision/hl7:effectiveTime[@xsi:type='SXPR_TS']/hl7:comp[@xsi:type='PIVL_TS']/hl7:phase"
         id="tmp-e71e3922-50e1-4997-bfb2-654f17d9846b">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:width)&gt;=1 and not(hl7:width/@nullFlavor)">(R_PatientNL-JGZ-universal): element hl7:width is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:width)&lt;=1">(R_PatientNL-JGZ-universal): element hl7:width komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:low)=0">(R_PatientNL-JGZ-universal): element hl7:low MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:high)=0">(R_PatientNL-JGZ-universal): element hl7:high MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:center)=0">(R_PatientNL-JGZ-universal): element hl7:center MAG NIET voorkomen.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asPatientOfOtherProvider/hl7:subjectOf/hl7:careProvision/hl7:effectiveTime[@xsi:type='SXPR_TS']/hl7:comp[@xsi:type='PIVL_TS']/hl7:phase/hl7:width
Item: (R_PatientNL-JGZ-universal)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asPatientOfOtherProvider/hl7:subjectOf/hl7:careProvision/hl7:effectiveTime[@xsi:type='SXPR_TS']/hl7:comp[@xsi:type='PIVL_TS']/hl7:phase/hl7:width"
         id="tmp-c15e0e17-42d1-4a9a-be3b-aae7238a9813">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="(@nullFlavor or (@unit='h'))">(R_PatientNL-JGZ-universal): value MOET eenheid 'h' gebruiken </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asPatientOfOtherProvider/hl7:subjectOf/hl7:careProvision/hl7:effectiveTime[@xsi:type='SXPR_TS']/hl7:comp[@xsi:type='PIVL_TS']/hl7:phase/hl7:low
Item: (R_PatientNL-JGZ-universal)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asPatientOfOtherProvider/hl7:subjectOf/hl7:careProvision/hl7:effectiveTime[@xsi:type='SXPR_TS']/hl7:comp[@xsi:type='PIVL_TS']/hl7:phase/hl7:high
Item: (R_PatientNL-JGZ-universal)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asPatientOfOtherProvider/hl7:subjectOf/hl7:careProvision/hl7:effectiveTime[@xsi:type='SXPR_TS']/hl7:comp[@xsi:type='PIVL_TS']/hl7:phase/hl7:center
Item: (R_PatientNL-JGZ-universal)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asPatientOfOtherProvider/hl7:subjectOf/hl7:careProvision/hl7:effectiveTime[@xsi:type='SXPR_TS']/hl7:comp[@xsi:type='PIVL_TS']/hl7:period
Item: (R_PatientNL-JGZ-universal)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asPatientOfOtherProvider/hl7:subjectOf/hl7:careProvision/hl7:effectiveTime[@xsi:type='SXPR_TS']/hl7:comp[@xsi:type='PIVL_TS']/hl7:period"
         id="tmp-c996ad50-6e4c-4edf-a3fa-d9c7e7925f66">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="(@nullFlavor or (@unit='wk'))">(R_PatientNL-JGZ-universal): value MOET eenheid 'wk' gebruiken </assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@value='1'">(R_PatientNL-JGZ-universal): de waarde van @value MOET '1' zijn.</assert>
      <let name="theAttValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asPatientOfOtherProvider/hl7:subjectOf/hl7:careProvision/hl7:reasonCode
Item: (R_PatientNL-JGZ-universal)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asPatientOfOtherProvider/hl7:subjectOf/hl7:careProvision/hl7:reasonCode"
         id="tmp-15a9adc4-a9e3-4bc0-83b4-46a1c8eb30b1">
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-W0075_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-W0075_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(R_PatientNL-JGZ-universal): de waarde van @code MOET worden gekozen uit waardenlijst W0075_HL7 W0075 Reden geen psz (HL7) DYNAMIC.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(R_PatientNL-JGZ-universal): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0075_HL7 W0075 Reden geen psz (HL7) DYNAMIC.</assert>
      <assert role="error"
              test="../@negationInd='true' and ../hl7:code[@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.2']">(R_PatientNL-JGZ-universal): 
                                        <name/> mag alleen een waarde bevatten als er géén gebruik wordt gemaakt van de peuterspeelzaal</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asPatientOfOtherProvider/hl7:subjectOf/hl7:careProvision/hl7:performer
Item: (R_PatientNL-JGZ-universal)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asPatientOfOtherProvider/hl7:subjectOf/hl7:careProvision/hl7:performer"
         id="tmp-007fcb80-858c-4c21-b13b-458c08c7ec7b">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@typeCode='PRF' or not(@typeCode)">(R_PatientNL-JGZ-universal): de waarde van @typeCode MOET 'PRF' zijn.</assert>
      <assert role="error"
              test="not(parent::hl7:*/@negation='true') or (@xsi:nil='true' and @nullFlavor='NA')">(R_PatientNL-JGZ-universal): 
                                        <name/> MOET @xsi:nil='true' en @nullFlavor='NA' bevatten als <name path=".."/>/@negationInd='true'.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:assignedProvider)&gt;=1 and not(hl7:assignedProvider/@nullFlavor)">(R_PatientNL-JGZ-universal): element hl7:assignedProvider is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:assignedProvider)&lt;=1">(R_PatientNL-JGZ-universal): element hl7:assignedProvider komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asPatientOfOtherProvider/hl7:subjectOf/hl7:careProvision/hl7:performer/hl7:assignedProvider
Item: (R_PatientNL-JGZ-universal)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asPatientOfOtherProvider/hl7:subjectOf/hl7:careProvision/hl7:performer/hl7:assignedProvider"
         id="tmp-6cfa1e10-4d44-418f-9b96-304e20ad9eb9">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@classCode='ASSIGNED' or not(@classCode)">(R_PatientNL-JGZ-universal): de waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:code)&lt;=1">(R_PatientNL-JGZ-universal): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:effectiveTime)=0">(R_PatientNL-JGZ-universal): element hl7:effectiveTime MAG NIET voorkomen.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asPatientOfOtherProvider/hl7:subjectOf/hl7:careProvision/hl7:performer/hl7:assignedProvider/hl7:id
Item: (R_PatientNL-JGZ-universal)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asPatientOfOtherProvider/hl7:subjectOf/hl7:careProvision/hl7:performer/hl7:assignedProvider/hl7:id"
         id="tmp-d01772e3-dcee-4f0f-bc21-1e8d6b13e136">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asPatientOfOtherProvider/hl7:subjectOf/hl7:careProvision/hl7:performer/hl7:assignedProvider/hl7:code
Item: (R_PatientNL-JGZ-universal)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asPatientOfOtherProvider/hl7:subjectOf/hl7:careProvision/hl7:performer/hl7:assignedProvider/hl7:code"
         id="tmp-709ff29c-a49f-4817-a017-ee8619ad91f2">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asPatientOfOtherProvider/hl7:subjectOf/hl7:careProvision/hl7:performer/hl7:assignedProvider/hl7:effectiveTime
Item: (R_PatientNL-JGZ-universal)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asPatientOfOtherProvider/hl7:subjectOf/hl7:careProvision/hl7:performer/hl7:assignedProvider/hl7:representedOrganization
Item: (R_PatientNL-JGZ-universal)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asPatientOfOtherProvider/hl7:subjectOf/hl7:careProvision/hl7:performer/hl7:assignedProvider/hl7:representedOrganization"
         id="tmp-61bb1f82-0910-47ba-8651-5a5f7cd61384">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:id)&lt;=1">(R_PatientNL-JGZ-universal): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:code)&lt;=1">(R_PatientNL-JGZ-universal): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:name)&lt;=1">(R_PatientNL-JGZ-universal): element hl7:name komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:contactParty)&lt;=1">(R_PatientNL-JGZ-universal): element hl7:contactParty komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asPatientOfOtherProvider/hl7:subjectOf/hl7:careProvision/hl7:performer/hl7:assignedProvider/hl7:representedOrganization/hl7:id
Item: (R_PatientNL-JGZ-universal)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asPatientOfOtherProvider/hl7:subjectOf/hl7:careProvision/hl7:performer/hl7:assignedProvider/hl7:representedOrganization/hl7:id"
         id="tmp-53576202-bf19-4034-bed3-ea4b26cfbec5">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asPatientOfOtherProvider/hl7:subjectOf/hl7:careProvision/hl7:performer/hl7:assignedProvider/hl7:representedOrganization/hl7:code
Item: (R_PatientNL-JGZ-universal)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asPatientOfOtherProvider/hl7:subjectOf/hl7:careProvision/hl7:performer/hl7:assignedProvider/hl7:representedOrganization/hl7:code"
         id="tmp-7e821dbe-e502-446f-9d1b-4087345c2b74">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.15.1060')">(R_PatientNL-JGZ-universal): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.15.1060'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asPatientOfOtherProvider/hl7:subjectOf/hl7:careProvision/hl7:performer/hl7:assignedProvider/hl7:representedOrganization/hl7:name
Item: (R_PatientNL-JGZ-universal)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asPatientOfOtherProvider/hl7:subjectOf/hl7:careProvision/hl7:performer/hl7:assignedProvider/hl7:representedOrganization/hl7:name"
         id="tmp-54bc9754-a220-4eff-b23f-2b7a3e891206">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asPatientOfOtherProvider/hl7:subjectOf/hl7:careProvision/hl7:performer/hl7:assignedProvider/hl7:representedOrganization/hl7:contactParty
Item: (R_PatientNL-JGZ-universal)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asPatientOfOtherProvider/hl7:subjectOf/hl7:careProvision/hl7:performer/hl7:assignedProvider/hl7:representedOrganization/hl7:contactParty"
         id="tmp-5b9f1acb-8c8c-4560-a523-63941340d1ca">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@classCode='ECON' or not(@classCode)">(R_PatientNL-JGZ-universal): de waarde van @classCode MOET 'ECON' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:contactPerson)&gt;=1 and not(hl7:contactPerson/@nullFlavor)">(R_PatientNL-JGZ-universal): element hl7:contactPerson is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:contactPerson)&lt;=1">(R_PatientNL-JGZ-universal): element hl7:contactPerson komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asPatientOfOtherProvider/hl7:subjectOf/hl7:careProvision/hl7:performer/hl7:assignedProvider/hl7:representedOrganization/hl7:contactParty/hl7:contactPerson
Item: (R_PatientNL-JGZ-universal)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asPatientOfOtherProvider/hl7:subjectOf/hl7:careProvision/hl7:performer/hl7:assignedProvider/hl7:representedOrganization/hl7:contactParty/hl7:contactPerson"
         id="tmp-95998f88-bca7-4859-99b8-f98babad0eb1">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@classCode='PSN' or not(@classCode)">(R_PatientNL-JGZ-universal): de waarde van @classCode MOET 'PSN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@determinerCode='INSTANCE' or not(@determinerCode)">(R_PatientNL-JGZ-universal): de waarde van @determinerCode MOET 'INSTANCE' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:code)&lt;=1">(R_PatientNL-JGZ-universal): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)">(R_PatientNL-JGZ-universal): element hl7:name is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:name)&lt;=1">(R_PatientNL-JGZ-universal): element hl7:name komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asPatientOfOtherProvider/hl7:subjectOf/hl7:careProvision/hl7:performer/hl7:assignedProvider/hl7:representedOrganization/hl7:contactParty/hl7:contactPerson/hl7:code
Item: (R_PatientNL-JGZ-universal)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asPatientOfOtherProvider/hl7:subjectOf/hl7:careProvision/hl7:performer/hl7:assignedProvider/hl7:representedOrganization/hl7:contactParty/hl7:contactPerson/hl7:code"
         id="tmp-3013d3d4-c021-45b8-8860-42568cac3183">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@nullFlavor='OTH'">(R_PatientNL-JGZ-universal): de waarde van @nullFlavor MOET 'OTH' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:originalText)&gt;=1 and not(hl7:originalText/@nullFlavor)">(R_PatientNL-JGZ-universal): element hl7:originalText is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:originalText)&lt;=1">(R_PatientNL-JGZ-universal): element hl7:originalText komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asPatientOfOtherProvider/hl7:subjectOf/hl7:careProvision/hl7:performer/hl7:assignedProvider/hl7:representedOrganization/hl7:contactParty/hl7:contactPerson/hl7:code/hl7:originalText
Item: (R_PatientNL-JGZ-universal)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asPatientOfOtherProvider/hl7:subjectOf/hl7:careProvision/hl7:performer/hl7:assignedProvider/hl7:representedOrganization/hl7:contactParty/hl7:contactPerson/hl7:code/hl7:originalText"
         id="tmp-b87b5a29-403c-4264-a854-20844a2aa4cc">
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asPatientOfOtherProvider/hl7:subjectOf/hl7:careProvision/hl7:performer/hl7:assignedProvider/hl7:representedOrganization/hl7:contactParty/hl7:contactPerson/hl7:name
Item: (R_PatientNL-JGZ-universal)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asPatientOfOtherProvider/hl7:subjectOf/hl7:careProvision/hl7:performer/hl7:assignedProvider/hl7:representedOrganization/hl7:contactParty/hl7:contactPerson/hl7:name"
         id="tmp-b472b524-a0d4-4bbe-8813-a019457e5ede">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asPatientOfOtherProvider/hl7:subjectOf/hl7:careProvision/hl7:performer/hl7:assignedProvider/hl7:representedOrganization/hl7:contactParty/hl7:contactPerson/hl7:telecom
Item: (R_PatientNL-JGZ-universal)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asPatientOfOtherProvider/hl7:subjectOf/hl7:careProvision/hl7:performer/hl7:assignedProvider/hl7:representedOrganization/hl7:contactParty/hl7:contactPerson/hl7:telecom"
         id="tmp-75a69b23-e4f8-4346-ab1e-3d264b87285e">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asEmployee
Item: (R_PatientNL-JGZ-universal)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asCitizen
Item: (R_PatientNL-JGZ-universal)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asCitizen"
         id="tmp-e1044b62-f505-4616-8d91-f4d6de8dc51d">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@classCode='CIT' or not(@classCode)">(R_PatientNL-JGZ-universal): de waarde van @classCode MOET 'CIT' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:code)&lt;=1">(R_PatientNL-JGZ-universal): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:effectiveTime)&lt;=1">(R_PatientNL-JGZ-universal): element hl7:effectiveTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:politicalNation)&gt;=1 and not(hl7:politicalNation/@nullFlavor)">(R_PatientNL-JGZ-universal): element hl7:politicalNation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:politicalNation)&lt;=1">(R_PatientNL-JGZ-universal): element hl7:politicalNation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asCitizen/hl7:code
Item: (R_PatientNL-JGZ-universal)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asCitizen/hl7:code"
         id="tmp-798db7b1-f259-44ea-80e2-0e0001f592c0">
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-CitizenRoleType-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-CitizenRoleType-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(R_PatientNL-JGZ-universal): de waarde van @code MOET worden gekozen uit waardenlijst CitizenRoleType DYNAMIC.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(R_PatientNL-JGZ-universal): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst CitizenRoleType DYNAMIC.</assert>
   </rule>


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asCitizen/hl7:effectiveTime
Item: (R_PatientNL-JGZ-universal)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asCitizen
Item: (Periode-O-Start-O-Eind-O)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asCitizen/hl7:effectiveTime
Item: (Periode-O-Start-O-Eind-O)
-->
<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asCitizen/hl7:effectiveTime"
         id="tmp-78e15f67-4e98-4720-8f5a-77e7a2698cf0">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@nullFlavor='UNK' or not(@nullFlavor)">(Periode-O-Start-O-Eind-O): de waarde van @nullFlavor MOET 'UNK' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:low)&lt;=1">(Periode-O-Start-O-Eind-O): element hl7:low komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:high)&lt;=1">(Periode-O-Start-O-Eind-O): element hl7:high komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:width)=0">(Periode-O-Start-O-Eind-O): element hl7:width MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:center)=0">(Periode-O-Start-O-Eind-O): element hl7:center MAG NIET voorkomen.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asCitizen/hl7:effectiveTime/hl7:low
Item: (Periode-O-Start-O-Eind-O)
-->
<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asCitizen/hl7:effectiveTime/hl7:low"
         id="tmp-abc4b4af-fd6a-4e8c-9302-62a53b5a5ba2">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@nullFlavor='UNK' or not(@nullFlavor)">(Periode-O-Start-O-Eind-O): de waarde van @nullFlavor MOET 'UNK' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asCitizen/hl7:effectiveTime/hl7:high
Item: (Periode-O-Start-O-Eind-O)
-->
<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asCitizen/hl7:effectiveTime/hl7:high"
         id="tmp-7b45a773-11cc-4890-baad-7e69da302d49">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@nullFlavor='UNK' or not(@nullFlavor)">(Periode-O-Start-O-Eind-O): de waarde van @nullFlavor MOET 'UNK' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asCitizen/hl7:effectiveTime/hl7:width
Item: (Periode-O-Start-O-Eind-O)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asCitizen/hl7:effectiveTime/hl7:center
Item: (Periode-O-Start-O-Eind-O)
-->
<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asCitizen/hl7:politicalNation
Item: (R_PatientNL-JGZ-universal)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asCitizen/hl7:politicalNation"
         id="tmp-210ec4cc-2f39-44b3-a5c3-897d1a9173ce">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@classCode='NAT' or not(@classCode)">(R_PatientNL-JGZ-universal): de waarde van @classCode MOET 'NAT' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@determinerCode='INSTANCE' or not(@determinerCode)">(R_PatientNL-JGZ-universal): de waarde van @determinerCode MOET 'INSTANCE' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:code)&gt;=1 ">(R_PatientNL-JGZ-universal): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:code)&lt;=1">(R_PatientNL-JGZ-universal): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:name)&lt;=1">(R_PatientNL-JGZ-universal): element hl7:name komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asCitizen/hl7:politicalNation/hl7:code
Item: (R_PatientNL-JGZ-universal)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asCitizen/hl7:politicalNation/hl7:code"
         id="tmp-f114a9bd-0f6d-4107-af33-170e3a72600c">
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-W0029_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-W0029_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(R_PatientNL-JGZ-universal): de waarde van @code MOET worden gekozen uit waardenlijst W0029_HL7 W0029 Nationaliteit (HL7) DYNAMIC.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(R_PatientNL-JGZ-universal): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0029_HL7 W0029 Nationaliteit (HL7) DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asCitizen/hl7:politicalNation/hl7:name
Item: (R_PatientNL-JGZ-universal)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asCitizen/hl7:politicalNation/hl7:name"
         id="tmp-bdf3e3d9-9058-4871-9b03-8b9f529c2305">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asStudent
Item: (R_PatientNL-JGZ-universal)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asStudent"
         id="tmp-bf3fab95-8027-42cc-a63c-f86ec902007b">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@classCode='STD' or not(@classCode)">(R_PatientNL-JGZ-universal): de waarde van @classCode MOET 'STD' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:id)&gt;=1 ">(R_PatientNL-JGZ-universal): element hl7:id is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:id)&lt;=1">(R_PatientNL-JGZ-universal): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:code)&lt;=1">(R_PatientNL-JGZ-universal): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:code)=0">(R_PatientNL-JGZ-universal): element hl7:code MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:addr)=0">(R_PatientNL-JGZ-universal): element hl7:addr MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:telecom)=0">(R_PatientNL-JGZ-universal): element hl7:telecom MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:statusCode)=0">(R_PatientNL-JGZ-universal): element hl7:statusCode MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:effectiveTime)&gt;=1 and not(hl7:effectiveTime/@nullFlavor)">(R_PatientNL-JGZ-universal): element hl7:effectiveTime is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:effectiveTime)&lt;=1">(R_PatientNL-JGZ-universal): element hl7:effectiveTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:quantity)=0">(R_PatientNL-JGZ-universal): element hl7:quantity MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:schoolOrganization)&gt;=1 and not(hl7:schoolOrganization/@nullFlavor)">(R_PatientNL-JGZ-universal): element hl7:schoolOrganization is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:schoolOrganization)&lt;=1">(R_PatientNL-JGZ-universal): element hl7:schoolOrganization komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asStudent/hl7:id
Item: (R_PatientNL-JGZ-universal)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asStudent/hl7:id"
         id="tmp-9e2f17c1-d1d7-4b50-9642-7d67ba89e76c">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@nullFlavor='UNC'">(R_PatientNL-JGZ-universal): de waarde van @nullFlavor MOET 'UNC' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asStudent/hl7:code
Item: (R_PatientNL-JGZ-universal)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asStudent/hl7:code"
         id="tmp-8a0b4f81-ca4a-4c1f-92cd-dabb74b689d0">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asStudent/hl7:addr
Item: (R_PatientNL-JGZ-universal)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asStudent/hl7:telecom
Item: (R_PatientNL-JGZ-universal)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asStudent/hl7:statusCode
Item: (R_PatientNL-JGZ-universal)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asStudent/hl7:effectiveTime
Item: (R_PatientNL-JGZ-universal)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asStudent/hl7:effectiveTime"
         id="tmp-bab1afea-f21a-40d5-be33-c1afee150d9d">
      <assert role="error" test="hl7:low or hl7:high">(R_PatientNL-JGZ-universal): 
                                <name/> MOET low en/of high bevatten.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:low)&lt;=1">(R_PatientNL-JGZ-universal): element hl7:low komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:high)&lt;=1">(R_PatientNL-JGZ-universal): element hl7:high komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:width)=0">(R_PatientNL-JGZ-universal): element hl7:width MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:center)=0">(R_PatientNL-JGZ-universal): element hl7:center MAG NIET voorkomen.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asStudent/hl7:effectiveTime/hl7:low
Item: (R_PatientNL-JGZ-universal)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asStudent/hl7:effectiveTime/hl7:low"
         id="tmp-36e2c54f-10d3-4e68-b54a-3c4fbe0e6376">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@nullFlavor='UNK' or not(@nullFlavor)">(R_PatientNL-JGZ-universal): de waarde van @nullFlavor MOET 'UNK' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asStudent/hl7:effectiveTime/hl7:high
Item: (R_PatientNL-JGZ-universal)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asStudent/hl7:effectiveTime/hl7:high"
         id="tmp-1cea1d6f-65ee-462c-a8e1-7be416e5e77a">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@nullFlavor='UNK' or not(@nullFlavor)">(R_PatientNL-JGZ-universal): de waarde van @nullFlavor MOET 'UNK' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asStudent/hl7:effectiveTime/hl7:width
Item: (R_PatientNL-JGZ-universal)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asStudent/hl7:effectiveTime/hl7:center
Item: (R_PatientNL-JGZ-universal)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asStudent/hl7:quantity
Item: (R_PatientNL-JGZ-universal)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asStudent/hl7:schoolOrganization
Item: (R_PatientNL-JGZ-universal)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asStudent/hl7:schoolOrganization"
         id="tmp-42a6686d-343a-4361-8484-9fad6281a946">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@classCode='ORG' or not(@classCode)">(R_PatientNL-JGZ-universal): de waarde van @classCode MOET 'ORG' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@determinerCode='INSTANCE' or not(@determinerCode)">(R_PatientNL-JGZ-universal): de waarde van @determinerCode MOET 'INSTANCE' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:id[@root='2.16.840.1.113883.2.4.6.15'])&gt;=1 and not(hl7:id[@root='2.16.840.1.113883.2.4.6.15']/@nullFlavor)">(R_PatientNL-JGZ-universal): element hl7:id[@root='2.16.840.1.113883.2.4.6.15'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:id[@root='2.16.840.1.113883.2.4.6.15'])&lt;=1">(R_PatientNL-JGZ-universal): element hl7:id[@root='2.16.840.1.113883.2.4.6.15'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:code)&gt;=1 ">(R_PatientNL-JGZ-universal): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:code)&lt;=1">(R_PatientNL-JGZ-universal): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:contactParty)&gt;=1 and not(hl7:contactParty/@nullFlavor)">(R_PatientNL-JGZ-universal): element hl7:contactParty is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:contactParty)&lt;=1">(R_PatientNL-JGZ-universal): element hl7:contactParty komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:organizationContains)&lt;=1">(R_PatientNL-JGZ-universal): element hl7:organizationContains komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asStudent/hl7:schoolOrganization/hl7:id[@root='2.16.840.1.113883.2.4.6.15']
Item: (R_PatientNL-JGZ-universal)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asStudent/hl7:schoolOrganization/hl7:id[@root='2.16.840.1.113883.2.4.6.15']"
         id="tmp-10624b77-461d-4188-b90a-59d6eacb9f7e">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@root='2.16.840.1.113883.2.4.6.15'">(R_PatientNL-JGZ-universal): @root MOET de waarde '2.16.840.1.113883.2.4.6.15' hebben.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(R_PatientNL-JGZ-universal): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asStudent/hl7:schoolOrganization/hl7:code
Item: (R_PatientNL-JGZ-universal)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asStudent/hl7:schoolOrganization/hl7:code"
         id="tmp-fb28be7b-a8be-4b84-9394-35e4930f117b">
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-W0081_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-W0081_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(R_PatientNL-JGZ-universal): de waarde van @code MOET worden gekozen uit waardenlijst W0081_HL7 W0081 Soort onderwijs (HL7) DYNAMIC.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(R_PatientNL-JGZ-universal): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0081_HL7 W0081 Soort onderwijs (HL7) DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asStudent/hl7:schoolOrganization/hl7:contactParty
Item: (R_PatientNL-JGZ-universal)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asStudent/hl7:schoolOrganization/hl7:contactParty"
         id="tmp-6a679b27-8bd1-4ce0-a2ff-9609e48e7b25">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@classCode='ECON' or not(@classCode)">(R_PatientNL-JGZ-universal): de waarde van @classCode MOET 'ECON' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:code)&lt;=1">(R_PatientNL-JGZ-universal): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:effectiveTime)&lt;=1">(R_PatientNL-JGZ-universal): element hl7:effectiveTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:contactPerson)&gt;=1 and not(hl7:contactPerson/@nullFlavor)">(R_PatientNL-JGZ-universal): element hl7:contactPerson is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:contactPerson)&lt;=1">(R_PatientNL-JGZ-universal): element hl7:contactPerson komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asStudent/hl7:schoolOrganization/hl7:contactParty/hl7:code
Item: (R_PatientNL-JGZ-universal)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asStudent/hl7:schoolOrganization/hl7:contactParty/hl7:code"
         id="tmp-6aea1b1c-a54d-4747-a56d-81d49b888e00">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@nullFlavor='OTH'">(R_PatientNL-JGZ-universal): de waarde van @nullFlavor MOET 'OTH' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:originalText)&gt;=1 and not(hl7:originalText/@nullFlavor)">(R_PatientNL-JGZ-universal): element hl7:originalText is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:originalText)&lt;=1">(R_PatientNL-JGZ-universal): element hl7:originalText komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asStudent/hl7:schoolOrganization/hl7:contactParty/hl7:code/hl7:originalText
Item: (R_PatientNL-JGZ-universal)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asStudent/hl7:schoolOrganization/hl7:contactParty/hl7:code/hl7:originalText"
         id="tmp-5789d429-011f-4332-aacd-c96583b7981f">
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asStudent/hl7:schoolOrganization/hl7:contactParty/hl7:telecom
Item: (R_PatientNL-JGZ-universal)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asStudent/hl7:schoolOrganization/hl7:contactParty/hl7:telecom"
         id="tmp-5d99d947-0a42-4404-8997-b96b0c4be0a9">
      <let name="theValue" value="@value"/>
   </rule>


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asStudent/hl7:schoolOrganization/hl7:contactParty/hl7:effectiveTime
Item: (R_PatientNL-JGZ-universal)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asStudent/hl7:schoolOrganization/hl7:contactParty
Item: (Periode-O-Start-O-Eind-O)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asStudent/hl7:schoolOrganization/hl7:contactParty/hl7:effectiveTime
Item: (Periode-O-Start-O-Eind-O)
-->
<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asStudent/hl7:schoolOrganization/hl7:contactParty/hl7:effectiveTime"
         id="tmp-a394a650-1228-4f72-98fd-6a5fc8b8361d">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@nullFlavor='UNK' or not(@nullFlavor)">(Periode-O-Start-O-Eind-O): de waarde van @nullFlavor MOET 'UNK' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:low)&lt;=1">(Periode-O-Start-O-Eind-O): element hl7:low komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:high)&lt;=1">(Periode-O-Start-O-Eind-O): element hl7:high komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:width)=0">(Periode-O-Start-O-Eind-O): element hl7:width MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:center)=0">(Periode-O-Start-O-Eind-O): element hl7:center MAG NIET voorkomen.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asStudent/hl7:schoolOrganization/hl7:contactParty/hl7:effectiveTime/hl7:low
Item: (Periode-O-Start-O-Eind-O)
-->
<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asStudent/hl7:schoolOrganization/hl7:contactParty/hl7:effectiveTime/hl7:low"
         id="tmp-843a64db-2077-4df1-9386-a912205360a6">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@nullFlavor='UNK' or not(@nullFlavor)">(Periode-O-Start-O-Eind-O): de waarde van @nullFlavor MOET 'UNK' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asStudent/hl7:schoolOrganization/hl7:contactParty/hl7:effectiveTime/hl7:high
Item: (Periode-O-Start-O-Eind-O)
-->
<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asStudent/hl7:schoolOrganization/hl7:contactParty/hl7:effectiveTime/hl7:high"
         id="tmp-754feb03-646a-43a1-99b5-60487f8b1751">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@nullFlavor='UNK' or not(@nullFlavor)">(Periode-O-Start-O-Eind-O): de waarde van @nullFlavor MOET 'UNK' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asStudent/hl7:schoolOrganization/hl7:contactParty/hl7:effectiveTime/hl7:width
Item: (Periode-O-Start-O-Eind-O)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asStudent/hl7:schoolOrganization/hl7:contactParty/hl7:effectiveTime/hl7:center
Item: (Periode-O-Start-O-Eind-O)
-->
<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asStudent/hl7:schoolOrganization/hl7:contactParty/hl7:contactPerson
Item: (R_PatientNL-JGZ-universal)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asStudent/hl7:schoolOrganization/hl7:contactParty/hl7:contactPerson"
         id="tmp-1e939161-a37d-4f2b-b5a6-69031a1810ac">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@classCode='PSN' or not(@classCode)">(R_PatientNL-JGZ-universal): de waarde van @classCode MOET 'PSN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@determinerCode='INSTANCE' or not(@determinerCode)">(R_PatientNL-JGZ-universal): de waarde van @determinerCode MOET 'INSTANCE' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)">(R_PatientNL-JGZ-universal): element hl7:name is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:name)&lt;=1">(R_PatientNL-JGZ-universal): element hl7:name komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asStudent/hl7:schoolOrganization/hl7:contactParty/hl7:contactPerson/hl7:name
Item: (R_PatientNL-JGZ-universal)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asStudent/hl7:schoolOrganization/hl7:contactParty/hl7:contactPerson/hl7:name"
         id="tmp-450a24e6-b3aa-465c-93a3-5791c48c4ab9">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asStudent/hl7:schoolOrganization/hl7:organizationContains
Item: (R_PatientNL-JGZ-universal)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asStudent/hl7:schoolOrganization/hl7:organizationContains"
         id="tmp-ab950161-be9c-44cb-83a3-9821dd6f6e67">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@classCode='PART' or not(@classCode)">(R_PatientNL-JGZ-universal): de waarde van @classCode MOET 'PART' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:partOrganization)&gt;=1 and not(hl7:partOrganization/@nullFlavor)">(R_PatientNL-JGZ-universal): element hl7:partOrganization is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:partOrganization)&lt;=1">(R_PatientNL-JGZ-universal): element hl7:partOrganization komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asStudent/hl7:schoolOrganization/hl7:organizationContains/hl7:partOrganization
Item: (R_PatientNL-JGZ-universal)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asStudent/hl7:schoolOrganization/hl7:organizationContains/hl7:partOrganization"
         id="tmp-332895a9-1ce1-444c-9e1e-fd814741de93">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@classCode='ORG' or not(@classCode)">(R_PatientNL-JGZ-universal): de waarde van @classCode MOET 'ORG' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@determinerCode='INSTANCE' or not(@determinerCode)">(R_PatientNL-JGZ-universal): de waarde van @determinerCode MOET 'INSTANCE' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:id)&gt;=1 ">(R_PatientNL-JGZ-universal): element hl7:id is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:id)&lt;=1">(R_PatientNL-JGZ-universal): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:code)&lt;=1">(R_PatientNL-JGZ-universal): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)">(R_PatientNL-JGZ-universal): element hl7:name is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:name)&lt;=1">(R_PatientNL-JGZ-universal): element hl7:name komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asStudent/hl7:schoolOrganization/hl7:organizationContains/hl7:partOrganization/hl7:id
Item: (R_PatientNL-JGZ-universal)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asStudent/hl7:schoolOrganization/hl7:organizationContains/hl7:partOrganization/hl7:id"
         id="tmp-38289f97-52ad-4443-90c5-17844e4ae435">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@nullFlavor='NI'">(R_PatientNL-JGZ-universal): de waarde van @nullFlavor MOET 'NI' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asStudent/hl7:schoolOrganization/hl7:organizationContains/hl7:partOrganization/hl7:code
Item: (R_PatientNL-JGZ-universal)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asStudent/hl7:schoolOrganization/hl7:organizationContains/hl7:partOrganization/hl7:code"
         id="tmp-3b9a54b1-d0ec-4ff4-8d69-bd1b8179e5de">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@nullFlavor='OTH'">(R_PatientNL-JGZ-universal): de waarde van @nullFlavor MOET 'OTH' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:originalText)&gt;=1 and not(hl7:originalText/@nullFlavor)">(R_PatientNL-JGZ-universal): element hl7:originalText is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:originalText)&lt;=1">(R_PatientNL-JGZ-universal): element hl7:originalText komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asStudent/hl7:schoolOrganization/hl7:organizationContains/hl7:partOrganization/hl7:code/hl7:originalText
Item: (R_PatientNL-JGZ-universal)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asStudent/hl7:schoolOrganization/hl7:organizationContains/hl7:partOrganization/hl7:code/hl7:originalText"
         id="tmp-fb86f9b2-1bbc-4533-8f07-b7d09835b501">
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asStudent/hl7:schoolOrganization/hl7:organizationContains/hl7:partOrganization/hl7:name
Item: (R_PatientNL-JGZ-universal)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asStudent/hl7:schoolOrganization/hl7:organizationContains/hl7:partOrganization/hl7:name"
         id="tmp-da8166a8-1e26-4bac-912a-d41bc5b8e60f">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asMember
Item: (R_PatientNL-JGZ-universal)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asMember"
         id="tmp-6142baa0-6a33-4180-ae76-6400d275248f">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@classCode='MBR' or not(@classCode)">(R_PatientNL-JGZ-universal): de waarde van @classCode MOET 'MBR' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:id)=0">(R_PatientNL-JGZ-universal): element hl7:id MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:code)=0">(R_PatientNL-JGZ-universal): element hl7:code MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:statusCode)=0">(R_PatientNL-JGZ-universal): element hl7:statusCode MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:effectiveTime)=0">(R_PatientNL-JGZ-universal): element hl7:effectiveTime MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:subjectOf)=0">(R_PatientNL-JGZ-universal): element hl7:subjectOf MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:group)&gt;=1 and not(hl7:group/@nullFlavor)">(R_PatientNL-JGZ-universal): element hl7:group is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:group)&lt;=1">(R_PatientNL-JGZ-universal): element hl7:group komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asMember/hl7:id
Item: (R_PatientNL-JGZ-universal)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asMember/hl7:code
Item: (R_PatientNL-JGZ-universal)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asMember/hl7:statusCode
Item: (R_PatientNL-JGZ-universal)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asMember/hl7:effectiveTime
Item: (R_PatientNL-JGZ-universal)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asMember/hl7:subjectOf
Item: (R_PatientNL-JGZ-universal)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asMember/hl7:group
Item: (R_PatientNL-JGZ-universal)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asMember/hl7:group"
         id="tmp-86c821fc-0712-4e37-bf9f-0eb86aedc576">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@classCode='ORG' or not(@classCode)">(R_PatientNL-JGZ-universal): de waarde van @classCode MOET 'ORG' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@determinerCode='INSTANCE' or not(@determinerCode)">(R_PatientNL-JGZ-universal): de waarde van @determinerCode MOET 'INSTANCE' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(R_PatientNL-JGZ-universal): element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:id)&lt;=1">(R_PatientNL-JGZ-universal): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(R_PatientNL-JGZ-universal): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:code)&lt;=1">(R_PatientNL-JGZ-universal): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:desc)&lt;=1">(R_PatientNL-JGZ-universal): element hl7:desc komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:member)=0">(R_PatientNL-JGZ-universal): element hl7:member MAG NIET voorkomen.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asMember/hl7:group/hl7:id
Item: (R_PatientNL-JGZ-universal)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asMember/hl7:group/hl7:id"
         id="tmp-ae70ac32-bca4-4ec4-ab5b-68fa656c00cb">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asMember/hl7:group/hl7:code
Item: (R_PatientNL-JGZ-universal)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asMember/hl7:group/hl7:code"
         id="tmp-de7565f5-3eb5-416f-aa1f-c23258eb1209">
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-W0094_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-W0094_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(R_PatientNL-JGZ-universal): de waarde van @code MOET worden gekozen uit waardenlijst W0094_HL7 W0094 Woonsituatie (HL7) DYNAMIC.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(R_PatientNL-JGZ-universal): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0094_HL7 W0094 Woonsituatie (HL7) DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asMember/hl7:group/hl7:desc
Item: (R_PatientNL-JGZ-universal)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asMember/hl7:group/hl7:desc"
         id="tmp-d175daac-d36e-40c9-baaf-fd4ae8122220">
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asMember/hl7:group/hl7:member
Item: (R_PatientNL-JGZ-universal)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/asOtherIds
Item: (R_PatientNL-JGZ-universal)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:contactParty
Item: (R_PatientNL-JGZ-universal)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:contactParty"
         id="tmp-59d7cd8c-352f-4608-92fe-c83c503ad296">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@classCode='CON' or not(@classCode)">(R_PatientNL-JGZ-universal): de waarde van @classCode MOET 'CON' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:code)&lt;=1">(R_PatientNL-JGZ-universal): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:effectiveTime)&lt;=1">(R_PatientNL-JGZ-universal): element hl7:effectiveTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:contactPerson)&gt;=1 and not(hl7:contactPerson/@nullFlavor)">(R_PatientNL-JGZ-universal): element hl7:contactPerson is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:contactPerson)&lt;=1">(R_PatientNL-JGZ-universal): element hl7:contactPerson komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:contactParty/hl7:code
Item: (R_PatientNL-JGZ-universal)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:contactParty/hl7:code"
         id="tmp-b2cebca8-92a9-495c-87b3-790864b3488b">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@nullFlavor='OTH'">(R_PatientNL-JGZ-universal): de waarde van @nullFlavor MOET 'OTH' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:originalText)&gt;=1 and not(hl7:originalText/@nullFlavor)">(R_PatientNL-JGZ-universal): element hl7:originalText is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:originalText)&lt;=1">(R_PatientNL-JGZ-universal): element hl7:originalText komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:contactParty/hl7:code/hl7:originalText
Item: (R_PatientNL-JGZ-universal)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:contactParty/hl7:code/hl7:originalText"
         id="tmp-e52f93bd-1cf7-4006-b223-1afb751a4497">
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:contactParty/hl7:telecom
Item: (R_PatientNL-JGZ-universal)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:contactParty/hl7:telecom"
         id="tmp-122dcc71-0ab3-4556-9c4d-5f6db7856064">
      <let name="theValue" value="@value"/>
   </rule>


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:contactParty/hl7:effectiveTime
Item: (R_PatientNL-JGZ-universal)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:contactParty
Item: (Periode-O-Start-O-Eind-O)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:contactParty/hl7:effectiveTime
Item: (Periode-O-Start-O-Eind-O)
-->
<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:contactParty/hl7:effectiveTime"
         id="tmp-111ce33a-f5ff-4451-b9be-5ad1240c5c75">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@nullFlavor='UNK' or not(@nullFlavor)">(Periode-O-Start-O-Eind-O): de waarde van @nullFlavor MOET 'UNK' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:low)&lt;=1">(Periode-O-Start-O-Eind-O): element hl7:low komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:high)&lt;=1">(Periode-O-Start-O-Eind-O): element hl7:high komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:width)=0">(Periode-O-Start-O-Eind-O): element hl7:width MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:center)=0">(Periode-O-Start-O-Eind-O): element hl7:center MAG NIET voorkomen.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:contactParty/hl7:effectiveTime/hl7:low
Item: (Periode-O-Start-O-Eind-O)
-->
<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:contactParty/hl7:effectiveTime/hl7:low"
         id="tmp-13d5f86b-38ca-417f-80c2-176ea36985ec">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@nullFlavor='UNK' or not(@nullFlavor)">(Periode-O-Start-O-Eind-O): de waarde van @nullFlavor MOET 'UNK' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:contactParty/hl7:effectiveTime/hl7:high
Item: (Periode-O-Start-O-Eind-O)
-->
<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:contactParty/hl7:effectiveTime/hl7:high"
         id="tmp-1127d6db-0427-4f5b-bb02-4a02ac78cd5b">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@nullFlavor='UNK' or not(@nullFlavor)">(Periode-O-Start-O-Eind-O): de waarde van @nullFlavor MOET 'UNK' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:contactParty/hl7:effectiveTime/hl7:width
Item: (Periode-O-Start-O-Eind-O)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:contactParty/hl7:effectiveTime/hl7:center
Item: (Periode-O-Start-O-Eind-O)
-->
<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:contactParty/hl7:contactPerson
Item: (R_PatientNL-JGZ-universal)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:contactParty/hl7:contactPerson"
         id="tmp-261ba016-ed83-433a-916b-6f8147e9b7bb">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)">(R_PatientNL-JGZ-universal): element hl7:name is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:name)&lt;=1">(R_PatientNL-JGZ-universal): element hl7:name komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:contactParty/hl7:contactPerson/hl7:name
Item: (R_PatientNL-JGZ-universal)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:contactParty/hl7:contactPerson/hl7:name"
         id="tmp-a416e6bd-fdba-4979-9275-5167677a7975">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:guardian
Item: (R_PatientNL-JGZ-universal)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:guardian"
         id="tmp-2a42360a-8947-4e8a-a9a1-a336a5b21f95">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@classCode='GUARD' or not(@classCode)">(R_PatientNL-JGZ-universal): de waarde van @classCode MOET 'GUARD' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:id)=0">(R_PatientNL-JGZ-universal): element hl7:id MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:code)&lt;=1">(R_PatientNL-JGZ-universal): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:addr)=0">(R_PatientNL-JGZ-universal): element hl7:addr MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:telecom)=0">(R_PatientNL-JGZ-universal): element hl7:telecom MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:statusCode)=0">(R_PatientNL-JGZ-universal): element hl7:statusCode MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:effectiveTime)=0">(R_PatientNL-JGZ-universal): element hl7:effectiveTime MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:guardianPerson)&gt;=1 ">(R_PatientNL-JGZ-universal): element hl7:guardianPerson is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:guardianPerson)&lt;=1">(R_PatientNL-JGZ-universal): element hl7:guardianPerson komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:guardianOrganization)=0">(R_PatientNL-JGZ-universal): element hl7:guardianOrganization MAG NIET voorkomen.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:guardian/hl7:id
Item: (R_PatientNL-JGZ-universal)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:guardian/hl7:code
Item: (R_PatientNL-JGZ-universal)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:guardian/hl7:code"
         id="tmp-18e5d7f1-50f2-4f42-8dba-8e6aeb5dd634">
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-W0031_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-W0031_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(R_PatientNL-JGZ-universal): de waarde van @code MOET worden gekozen uit waardenlijst W0031_HL7 W0031 Indicatie gezag minderjarige (HL7) DYNAMIC.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(R_PatientNL-JGZ-universal): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0031_HL7 W0031 Indicatie gezag minderjarige (HL7) DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:guardian/hl7:addr
Item: (R_PatientNL-JGZ-universal)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:guardian/hl7:telecom
Item: (R_PatientNL-JGZ-universal)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:guardian/hl7:statusCode
Item: (R_PatientNL-JGZ-universal)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:guardian/hl7:effectiveTime
Item: (R_PatientNL-JGZ-universal)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:guardian/hl7:guardianPerson
Item: (R_PatientNL-JGZ-universal)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:guardian/hl7:guardianPerson"
         id="tmp-0224b503-14eb-453a-a004-860f29ec3cec">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@nullFlavor='NI'">(R_PatientNL-JGZ-universal): de waarde van @nullFlavor MOET 'NI' zijn.</assert>
      <assert role="error" test="@xsi:nil='true'">(R_PatientNL-JGZ-universal): 
                                <name/>/@xsi:nil MOET 'true' bevatten.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:guardian/hl7:guardianOrganization
Item: (R_PatientNL-JGZ-universal)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship
Item: (R_PatientNL-JGZ-universal)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship"
         id="tmp-d28ec518-4672-464b-9aff-1917a9909c32">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@classCode='PRS' or not(@classCode)">(R_PatientNL-JGZ-universal): de waarde van @classCode MOET 'PRS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:code)&gt;=1 ">(R_PatientNL-JGZ-universal): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:code)&lt;=1">(R_PatientNL-JGZ-universal): element hl7:code komt te vaak voor [max 1x].</assert>
      <let name="elmcount"
           value="count(hl7:addr[@use='HP' or @use='PST']|hl7:addr[@use and not(@use='OR')]|hl7:addr[not(@use) and hl7:useablePeriod])"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:statusCode)&lt;=1">(R_PatientNL-JGZ-universal): element hl7:statusCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:effectiveTime)&lt;=1">(R_PatientNL-JGZ-universal): element hl7:effectiveTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:relationshipHolder1)&gt;=1 and not(hl7:relationshipHolder1/@nullFlavor)">(R_PatientNL-JGZ-universal): element hl7:relationshipHolder1 is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:relationshipHolder1)&lt;=1">(R_PatientNL-JGZ-universal): element hl7:relationshipHolder1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:relationshipHolder2)=0">(R_PatientNL-JGZ-universal): element hl7:relationshipHolder2 MAG NIET voorkomen.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:code
Item: (R_PatientNL-JGZ-universal)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:code"
         id="tmp-5ca3ddd1-e999-4984-bcdb-f62af7354103">
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-W0096_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), (document('include/voc-W0108_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), (document('include/voc-Child-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-W0096_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), (document('include/voc-W0108_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), (document('include/voc-Child-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(R_PatientNL-JGZ-universal): de waarde van @code MOET worden gekozen uit waardenlijst W0096_HL7 W0096 Relatie tot kind ouder/verzorger (HL7) of W0108_HL7 W0108 Relatie tot kind broer/zus (HL7) of Child DYNAMIC.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(R_PatientNL-JGZ-universal): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0096_HL7 W0096 Relatie tot kind ouder/verzorger (HL7) of W0108_HL7 W0108 Relatie tot kind broer/zus (HL7) of Child DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship
Item: (R_PatientNL-JGZ-universal)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:addr[@use='HP' or @use='PST']
Item: (AdresOfficieel)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:addr[@use='HP' or @use='PST']"
         id="tmp-b3b97563-5560-4f5e-9ebf-bf7ca5e92a19">
      <let name="theValue" value="@value"/>
      <assert role="error"
              test="count(index-of(@use,'HP'))=1 or count(index-of(@use,'PST'))=1">(AdresOfficieel): 
                    <name/>/@use MOET waarde 'HP' of 'PST' bevatten</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:streetName)&gt;=1 and not(hl7:streetName/@nullFlavor)">(AdresOfficieel): element hl7:streetName is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:streetName)&lt;=1">(AdresOfficieel): element hl7:streetName komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:houseNumber)&gt;=1 and not(hl7:houseNumber/@nullFlavor)">(AdresOfficieel): element hl7:houseNumber is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:houseNumber)&lt;=2">(AdresOfficieel): element hl7:houseNumber komt te vaak voor [max 2x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:additionalLocator)&lt;=1">(AdresOfficieel): element hl7:additionalLocator komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:postalCode)&gt;=1 and not(hl7:postalCode/@nullFlavor)">(AdresOfficieel): element hl7:postalCode is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:postalCode)&lt;=1">(AdresOfficieel): element hl7:postalCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:county)&gt;=1 and not(hl7:county/@nullFlavor)">(AdresOfficieel): element hl7:county is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:county)&lt;=1">(AdresOfficieel): element hl7:county komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:useablePeriod)&lt;=1">(AdresOfficieel): element hl7:useablePeriod komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:addr[@use='HP' or @use='PST']/hl7:streetName
Item: (AdresOfficieel)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:addr[@use='HP' or @use='PST']/hl7:streetName"
         id="tmp-ccbcfa8e-0981-4be4-8307-c82b7b8f2733">
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:addr[@use='HP' or @use='PST']/hl7:houseNumber
Item: (AdresOfficieel)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:addr[@use='HP' or @use='PST']/hl7:houseNumber"
         id="tmp-19152dc7-8e12-466f-b32f-a6646ec3eee9">
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:addr[@use='HP' or @use='PST']/hl7:additionalLocator
Item: (AdresOfficieel)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:addr[@use='HP' or @use='PST']/hl7:additionalLocator"
         id="tmp-efbf89b6-d0b5-4f8a-8f27-baab9b94e7da">
      <let name="theValue" value="text()"/>
      <assert role="error" test="text()='to' or text()='by'">(AdresOfficieel): 
                        <name path=".."/>/<name/> MOET 'to' of 'by' bevatten</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:addr[@use='HP' or @use='PST']/hl7:postalCode
Item: (AdresOfficieel)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:addr[@use='HP' or @use='PST']/hl7:postalCode"
         id="tmp-18f38fde-1a5c-4b90-8e56-97dfc67a5fa8">
      <let name="theValue" value="text()"/>
      <assert role="error" test="string-length(text())=7">(AdresOfficieel): 
                        <name path=".."/>/<name/> MOET formaat 'nnnn AA' zijn (met spatie)</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:addr[@use='HP' or @use='PST']/hl7:county
Item: (AdresOfficieel)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:addr[@use='HP' or @use='PST']/hl7:county"
         id="tmp-abc7d41c-8c9a-4045-aaea-cedbc8d9653c">
      <let name="theValue" value="text()"/>
      <assert role="error"
              test="not(@codeSystem) or @codeSystem='2.16.840.1.113883.2.4.6.14'">(AdresOfficieel): 
                        <name path=".."/>/<name/> MOET, indien deze gecodeerd wordt, worden gecodeerd volgens GBA-tabel 33</assert>
   </rule>


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:addr[@use='HP' or @use='PST']/hl7:useablePeriod
Item: (AdresOfficieel)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:addr[@use='HP' or @use='PST']
Item: (Periode-O-Start-O-Eind-O)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:addr[@use='HP' or @use='PST']/hl7:useablePeriod
Item: (Periode-O-Start-O-Eind-O)
-->
<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:addr[@use='HP' or @use='PST']/hl7:useablePeriod"
         id="tmp-715e3011-9cf2-464a-b4e5-c88fa0f25c31">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@nullFlavor='UNK' or not(@nullFlavor)">(Periode-O-Start-O-Eind-O): de waarde van @nullFlavor MOET 'UNK' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:low)&lt;=1">(Periode-O-Start-O-Eind-O): element hl7:low komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:high)&lt;=1">(Periode-O-Start-O-Eind-O): element hl7:high komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:width)=0">(Periode-O-Start-O-Eind-O): element hl7:width MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:center)=0">(Periode-O-Start-O-Eind-O): element hl7:center MAG NIET voorkomen.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:addr[@use='HP' or @use='PST']/hl7:useablePeriod/hl7:low
Item: (Periode-O-Start-O-Eind-O)
-->
<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:addr[@use='HP' or @use='PST']/hl7:useablePeriod/hl7:low"
         id="tmp-7c09607d-ddd5-424b-8c65-df950bfdb4f0">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@nullFlavor='UNK' or not(@nullFlavor)">(Periode-O-Start-O-Eind-O): de waarde van @nullFlavor MOET 'UNK' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:addr[@use='HP' or @use='PST']/hl7:useablePeriod/hl7:high
Item: (Periode-O-Start-O-Eind-O)
-->
<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:addr[@use='HP' or @use='PST']/hl7:useablePeriod/hl7:high"
         id="tmp-2f4493be-ea65-4c05-98c7-7766cd42cac3">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@nullFlavor='UNK' or not(@nullFlavor)">(Periode-O-Start-O-Eind-O): de waarde van @nullFlavor MOET 'UNK' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:addr[@use='HP' or @use='PST']/hl7:useablePeriod/hl7:width
Item: (Periode-O-Start-O-Eind-O)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:addr[@use='HP' or @use='PST']/hl7:useablePeriod/hl7:center
Item: (Periode-O-Start-O-Eind-O)
-->
<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship
Item: (AdresZoalsBekendBijInstelling)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:addr[@use and not(@use='OR')]
Item: (AdresZoalsBekendBijInstelling)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:addr[@use and not(@use='OR')]"
         id="tmp-39a6298a-9ded-4458-8024-a7e43b97f2a7">
      <let name="theValue" value="@value"/>
      <assert role="warning" test="@use">(AdresZoalsBekendBijInstelling): Het attribuut @use MOET, indien aanwezig, 'HP' (Primair woonadres) of 'PST' (Postadres), 'PHYS' (Bezoekadres), 'WP' (Werkadres), 'HV' (Vakantieadres), of 'CONF' (Geheim adres) bevatten.</assert>
      <let name="elmcount"
           value="count(hl7:streetName|hl7:houseNumber|hl7:buildingNumberSuffix|hl7:additionalLocator|hl7:postalCode|hl7:city|hl7:county|hl7:country|hl7:delimiter|hl7:desc)"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="$elmcount&gt;=1">(AdresZoalsBekendBijInstelling): keuze (hl7:streetName of hl7:houseNumber of hl7:buildingNumberSuffix of hl7:additionalLocator of hl7:postalCode of hl7:city of hl7:county of hl7:country of hl7:delimiter of hl7:desc) bevat te weinig elementen [min 1x]</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:useablePeriod)&lt;=1">(AdresZoalsBekendBijInstelling): element hl7:useablePeriod komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:addr[@use and not(@use='OR')]
Item: (AdresZoalsBekendBijInstelling)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:addr[@use and not(@use='OR')]/hl7:streetName
Item: (AdresZoalsBekendBijInstelling)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:addr[@use and not(@use='OR')]/hl7:streetName"
         id="tmp-9ca6388b-bb19-4abb-9a12-74d83adcc62c">
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:addr[@use and not(@use='OR')]/hl7:houseNumber
Item: (AdresZoalsBekendBijInstelling)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:addr[@use and not(@use='OR')]/hl7:houseNumber"
         id="tmp-4a3c650a-c744-4ebc-b9a0-7e5fd5c61fbb">
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:addr[@use and not(@use='OR')]/hl7:buildingNumberSuffix
Item: (AdresZoalsBekendBijInstelling)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:addr[@use and not(@use='OR')]/hl7:buildingNumberSuffix"
         id="tmp-513d7e9f-8640-4a05-bda2-37e626817171">
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:addr[@use and not(@use='OR')]/hl7:additionalLocator
Item: (AdresZoalsBekendBijInstelling)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:addr[@use and not(@use='OR')]/hl7:additionalLocator"
         id="tmp-d1764968-b07e-49bc-ab54-239d6aa1a877">
      <let name="theValue" value="text()"/>
      <assert role="error" test="text()='to' or text()='by'">(AdresZoalsBekendBijInstelling): 
                            <name path=".."/>/<name/> MOET 'to' of 'by' bevatten</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:addr[@use and not(@use='OR')]/hl7:postalCode
Item: (AdresZoalsBekendBijInstelling)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:addr[@use and not(@use='OR')]/hl7:postalCode"
         id="tmp-d4a2becf-dab1-40d1-97c2-4608da389900">
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:addr[@use and not(@use='OR')]/hl7:city
Item: (AdresZoalsBekendBijInstelling)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:addr[@use and not(@use='OR')]/hl7:city"
         id="tmp-64a9566f-d2a0-4a1a-9be2-b05657268a91">
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:addr[@use and not(@use='OR')]/hl7:county
Item: (AdresZoalsBekendBijInstelling)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:addr[@use and not(@use='OR')]/hl7:county"
         id="tmp-dab5fc1b-de66-441b-8be8-ee20153d595f">
      <let name="theValue" value="text()"/>
      <assert role="error"
              test="not(@codeSystem) or @codeSystem='2.16.840.1.113883.2.4.6.14'">(AdresZoalsBekendBijInstelling): 
                            <name path=".."/>/<name/> MOET, indien deze gecodeerd wordt, worden gecodeerd volgens GBA-tabel 33 (IH Basiscomponenten/Jeugdgezondheidszorg)</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:addr[@use and not(@use='OR')]/hl7:country
Item: (AdresZoalsBekendBijInstelling)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:addr[@use and not(@use='OR')]/hl7:country"
         id="tmp-86a2e5b0-80ac-403d-b8ac-43a84c418322">
      <let name="theValue" value="text()"/>
      <assert role="error"
              test="not(@codeSystem) or @codeSystem='2.16.840.1.113883.2.4.4.16.34'">(AdresZoalsBekendBijInstelling): 
                            <name path=".."/>/<name/> MOET, indien deze gecodeerd wordt, worden gecodeerd GBA tabel 34 Landen</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:addr[@use and not(@use='OR')]/hl7:delimiter
Item: (AdresZoalsBekendBijInstelling)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:addr[@use and not(@use='OR')]/hl7:delimiter"
         id="tmp-def33f74-adba-4dd9-8f7b-1e7f512870e1">
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:addr[@use and not(@use='OR')]/hl7:desc
Item: (AdresZoalsBekendBijInstelling)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:addr[@use and not(@use='OR')]/hl7:desc"
         id="tmp-d63396de-f5ea-4b2d-845e-9ca45134ab7d">
      <let name="theValue" value="text()"/>
   </rule>


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:addr[@use and not(@use='OR')]/hl7:useablePeriod
Item: (AdresZoalsBekendBijInstelling)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:addr[@use and not(@use='OR')]
Item: (Periode-O-Start-O-Eind-O)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:addr[@use and not(@use='OR')]/hl7:useablePeriod
Item: (Periode-O-Start-O-Eind-O)
-->
<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:addr[@use and not(@use='OR')]/hl7:useablePeriod"
         id="tmp-fcb7751d-74e3-462c-a19b-c0a3a5887489">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@nullFlavor='UNK' or not(@nullFlavor)">(Periode-O-Start-O-Eind-O): de waarde van @nullFlavor MOET 'UNK' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:low)&lt;=1">(Periode-O-Start-O-Eind-O): element hl7:low komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:high)&lt;=1">(Periode-O-Start-O-Eind-O): element hl7:high komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:width)=0">(Periode-O-Start-O-Eind-O): element hl7:width MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:center)=0">(Periode-O-Start-O-Eind-O): element hl7:center MAG NIET voorkomen.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:addr[@use and not(@use='OR')]/hl7:useablePeriod/hl7:low
Item: (Periode-O-Start-O-Eind-O)
-->
<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:addr[@use and not(@use='OR')]/hl7:useablePeriod/hl7:low"
         id="tmp-99625278-da1a-4e0b-ad80-4c3e35e306c0">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@nullFlavor='UNK' or not(@nullFlavor)">(Periode-O-Start-O-Eind-O): de waarde van @nullFlavor MOET 'UNK' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:addr[@use and not(@use='OR')]/hl7:useablePeriod/hl7:high
Item: (Periode-O-Start-O-Eind-O)
-->
<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:addr[@use and not(@use='OR')]/hl7:useablePeriod/hl7:high"
         id="tmp-6fe9dc36-7797-4906-9425-cc9d79edf4df">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@nullFlavor='UNK' or not(@nullFlavor)">(Periode-O-Start-O-Eind-O): de waarde van @nullFlavor MOET 'UNK' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:addr[@use and not(@use='OR')]/hl7:useablePeriod/hl7:width
Item: (Periode-O-Start-O-Eind-O)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:addr[@use and not(@use='OR')]/hl7:useablePeriod/hl7:center
Item: (Periode-O-Start-O-Eind-O)
-->
<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship
Item: (AdresVestigingVertrekNederland)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:addr[not(@use) and hl7:useablePeriod]
Item: (AdresVestigingVertrekNederland)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:addr[not(@use) and hl7:useablePeriod]"
         id="tmp-ed498b31-87b7-4b4a-a0a1-3d0d565c93d0">
      <let name="theValue" value="@value"/>
      <assert role="error" test="not(@use)">(AdresVestigingVertrekNederland): Het attribuut @use MAG NIET worden gebruikt.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:streetName)=0">(AdresVestigingVertrekNederland): element hl7:streetName MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:houseNumber)=0">(AdresVestigingVertrekNederland): element hl7:houseNumber MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:buildingNumberSuffix)=0">(AdresVestigingVertrekNederland): element hl7:buildingNumberSuffix MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:additionalLocator)=0">(AdresVestigingVertrekNederland): element hl7:additionalLocator MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:postalCode)=0">(AdresVestigingVertrekNederland): element hl7:postalCode MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:city)=0">(AdresVestigingVertrekNederland): element hl7:city MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:county)=0">(AdresVestigingVertrekNederland): element hl7:county MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:country)&gt;=1 and not(hl7:country/@nullFlavor)">(AdresVestigingVertrekNederland): element hl7:country is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:country)&lt;=1">(AdresVestigingVertrekNederland): element hl7:country komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:delimiter)=0">(AdresVestigingVertrekNederland): element hl7:delimiter MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:desc)=0">(AdresVestigingVertrekNederland): element hl7:desc MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:useablePeriod)&gt;=1 and not(hl7:useablePeriod/@nullFlavor)">(AdresVestigingVertrekNederland): element hl7:useablePeriod is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:useablePeriod)&lt;=1">(AdresVestigingVertrekNederland): element hl7:useablePeriod komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:addr[not(@use) and hl7:useablePeriod]/hl7:streetName
Item: (AdresVestigingVertrekNederland)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:addr[not(@use) and hl7:useablePeriod]/hl7:houseNumber
Item: (AdresVestigingVertrekNederland)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:addr[not(@use) and hl7:useablePeriod]/hl7:buildingNumberSuffix
Item: (AdresVestigingVertrekNederland)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:addr[not(@use) and hl7:useablePeriod]/hl7:additionalLocator
Item: (AdresVestigingVertrekNederland)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:addr[not(@use) and hl7:useablePeriod]/hl7:postalCode
Item: (AdresVestigingVertrekNederland)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:addr[not(@use) and hl7:useablePeriod]/hl7:city
Item: (AdresVestigingVertrekNederland)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:addr[not(@use) and hl7:useablePeriod]/hl7:county
Item: (AdresVestigingVertrekNederland)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:addr[not(@use) and hl7:useablePeriod]/hl7:country
Item: (AdresVestigingVertrekNederland)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:addr[not(@use) and hl7:useablePeriod]/hl7:country"
         id="tmp-e4676713-c0ce-4888-b867-47a380dabc79">
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@nullFlavor or (@code='6030' and @codeSystem='2.16.840.1.113883.2.4.4.16.34')">(AdresVestigingVertrekNederland): de waarde van @code/@codeSystem MOET ''6030' codeSystem '2.16.840.1.113883.2.4.4.16.34'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:addr[not(@use) and hl7:useablePeriod]/hl7:delimiter
Item: (AdresVestigingVertrekNederland)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:addr[not(@use) and hl7:useablePeriod]/hl7:desc
Item: (AdresVestigingVertrekNederland)
-->


<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:addr[not(@use) and hl7:useablePeriod]/hl7:useablePeriod
Item: (AdresVestigingVertrekNederland)
-->
<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:addr[not(@use) and hl7:useablePeriod]/hl7:useablePeriod"
         id="tmp-9c170ea1-6e89-4535-9213-e8660c961a76">
      <extends rule="tmp-035c4acb-93d2-4112-a80e-e941c5e12e24"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:low)&lt;=1">(AdresVestigingVertrekNederland): element hl7:low komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:high)&lt;=1">(AdresVestigingVertrekNederland): element hl7:high komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:addr[not(@use) and hl7:useablePeriod]/hl7:useablePeriod/hl7:low
Item: (AdresVestigingVertrekNederland)
-->
<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:addr[not(@use) and hl7:useablePeriod]/hl7:useablePeriod/hl7:low"
         id="tmp-4523bede-3b37-4a66-83d4-3f76719c0766">
      <extends rule="tmp-32b0fef7-fe96-40cd-898a-04fd7a5f05c2"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:addr[not(@use) and hl7:useablePeriod]/hl7:useablePeriod/hl7:high
Item: (AdresVestigingVertrekNederland)
-->
<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:addr[not(@use) and hl7:useablePeriod]/hl7:useablePeriod/hl7:high"
         id="tmp-25684141-1906-43d2-b5db-d9bc8b8224d7">
      <extends rule="tmp-c7bc58ce-7ef7-4059-b782-a6d9e89febbf"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:addr[not(@use) and hl7:useablePeriod]
Item: (Periode-M-Start-O-Eind-O)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:addr[not(@use) and hl7:useablePeriod]/hl7:useablePeriod
Item: (Periode-M-Start-O-Eind-O)
-->
<rule id="tmp-035c4acb-93d2-4112-a80e-e941c5e12e24" abstract="true">
      <let name="elmcount" value="count(hl7:low|hl7:high)"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="$elmcount&gt;=1">(Periode-M-Start-O-Eind-O): keuze (hl7:low of hl7:high) bevat te weinig elementen [min 1x]</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="$elmcount&lt;=2">(Periode-M-Start-O-Eind-O): keuze (hl7:low of hl7:high) bevat te veel elementen [max 2x]</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:width)=0">(Periode-M-Start-O-Eind-O): element hl7:width MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:center)=0">(Periode-M-Start-O-Eind-O): element hl7:center MAG NIET voorkomen.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:addr[not(@use) and hl7:useablePeriod]/hl7:useablePeriod
Item: (Periode-M-Start-O-Eind-O)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:addr[not(@use) and hl7:useablePeriod]/hl7:useablePeriod/hl7:low
Item: (Periode-M-Start-O-Eind-O)
-->
<rule id="tmp-32b0fef7-fe96-40cd-898a-04fd7a5f05c2" abstract="true">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@nullFlavor='UNK' or not(@nullFlavor)">(Periode-M-Start-O-Eind-O): de waarde van @nullFlavor MOET 'UNK' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:addr[not(@use) and hl7:useablePeriod]/hl7:useablePeriod/hl7:high
Item: (Periode-M-Start-O-Eind-O)
-->
<rule id="tmp-c7bc58ce-7ef7-4059-b782-a6d9e89febbf" abstract="true">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@nullFlavor='UNK' or not(@nullFlavor)">(Periode-M-Start-O-Eind-O): de waarde van @nullFlavor MOET 'UNK' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:addr[not(@use) and hl7:useablePeriod]/hl7:useablePeriod/hl7:width
Item: (Periode-M-Start-O-Eind-O)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:addr[not(@use) and hl7:useablePeriod]/hl7:useablePeriod/hl7:center
Item: (Periode-M-Start-O-Eind-O)
-->
<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:telecom
Item: (R_PatientNL-JGZ-universal)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:telecom"
         id="tmp-af22f017-a884-4281-afd7-3982b203fc1b">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:statusCode
Item: (R_PatientNL-JGZ-universal)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:effectiveTime
Item: (R_PatientNL-JGZ-universal)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:relationshipHolder1
Item: (R_PatientNL-JGZ-universal)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:relationshipHolder1"
         id="tmp-dcc5f804-2cda-4066-9c60-a48637765a20">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@classCode='PSN' or not(@classCode)">(R_PatientNL-JGZ-universal): de waarde van @classCode MOET 'PSN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@determinerCode='INSTANCE' or not(@determinerCode)">(R_PatientNL-JGZ-universal): de waarde van @determinerCode MOET 'INSTANCE' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:id[@root='2.16.840.1.113883.2.4.6.3'])&lt;=1">(R_PatientNL-JGZ-universal): element hl7:id[@root='2.16.840.1.113883.2.4.6.3'] komt te vaak voor [max 1x].</assert>
      <let name="elmcount" value="count(hl7:name[@use='OR']|hl7:name[@use='L'])"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="$elmcount&gt;=1">(R_PatientNL-JGZ-universal): keuze (hl7:name[@use='OR'] of hl7:name[@use='L']) bevat te weinig elementen [min 1x]</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="$elmcount&lt;=1">(R_PatientNL-JGZ-universal): keuze (hl7:name[@use='OR'] of hl7:name[@use='L']) bevat te veel elementen [max 1x]</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:administrativeGenderCode)&lt;=1">(R_PatientNL-JGZ-universal): element hl7:administrativeGenderCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:birthTime)&gt;=1 ">(R_PatientNL-JGZ-universal): element hl7:birthTime is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:birthTime)&lt;=1">(R_PatientNL-JGZ-universal): element hl7:birthTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:deceasedInd)&lt;=1">(R_PatientNL-JGZ-universal): element hl7:deceasedInd komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:deceasedTime)&lt;=1">(R_PatientNL-JGZ-universal): element hl7:deceasedTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:educationLevelCode)&lt;=1">(R_PatientNL-JGZ-universal): element hl7:educationLevelCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:religiousAffiliationCode)&lt;=1">(R_PatientNL-JGZ-universal): element hl7:religiousAffiliationCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:asEmployee)&lt;=1">(R_PatientNL-JGZ-universal): element hl7:asEmployee komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(birthPlace)&lt;=1">(R_PatientNL-JGZ-universal): element birthPlace komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:relationshipHolder1/hl7:id[@root='2.16.840.1.113883.2.4.6.3']
Item: (R_PatientNL-JGZ-universal)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:relationshipHolder1/hl7:id[@root='2.16.840.1.113883.2.4.6.3']"
         id="tmp-50e40841-f0fe-4252-b4d8-cf886aace35e">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@root='2.16.840.1.113883.2.4.6.3'">(R_PatientNL-JGZ-universal): @root MOET de waarde '2.16.840.1.113883.2.4.6.3' hebben.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(R_PatientNL-JGZ-universal): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:relationshipHolder1
Item: (R_PatientNL-JGZ-universal)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:relationshipHolder1
Item: (NaamOfficieel)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:relationshipHolder1/hl7:name[@use='OR']
Item: (NaamOfficieel)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:relationshipHolder1/hl7:name[@use='OR']"
         id="tmp-2ba2cc36-0be2-4e89-93d4-caf348c4e387">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@use='OR'">(NaamOfficieel): de waarde van @use MOET 'OR' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:given)&gt;=1 and not(hl7:given/@nullFlavor)">(NaamOfficieel): element hl7:given is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:given)&lt;=1">(NaamOfficieel): element hl7:given komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:family)&gt;=1 and not(hl7:family/@nullFlavor)">(NaamOfficieel): element hl7:family is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:family)&lt;=1">(NaamOfficieel): element hl7:family komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:relationshipHolder1/hl7:name[@use='OR']/hl7:given
Item: (NaamOfficieel)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:relationshipHolder1/hl7:name[@use='OR']/hl7:given"
         id="tmp-39f6532e-45dc-4232-a5ec-05de19fc94db">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@qualifier='BR' or not(@qualifier)">(NaamOfficieel): de waarde van @qualifier MOET 'BR' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:relationshipHolder1/hl7:name[@use='OR']/hl7:prefix
Item: (NaamOfficieel)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:relationshipHolder1/hl7:name[@use='OR']/hl7:family
Item: (NaamOfficieel)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:relationshipHolder1/hl7:name[@use='OR']/hl7:family"
         id="tmp-6d8160a6-185f-46fa-9121-782650950706">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@qualifier='BR'">(NaamOfficieel): de waarde van @qualifier MOET 'BR' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:relationshipHolder1
Item: (NaamZoalsBekendBijInstelling)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:relationshipHolder1/hl7:name[@use='L']
Item: (NaamZoalsBekendBijInstelling)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:relationshipHolder1/hl7:name[@use='L']"
         id="tmp-e0833dfe-e561-4136-9a00-3ac721b75e82">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@use='L'">(NaamZoalsBekendBijInstelling): de waarde van @use MOET 'L' zijn.</assert>
      <let name="elmcount"
           value="count(hl7:given|hl7:prefix|hl7:family|hl7:delimiter|hl7:suffix)"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="$elmcount&gt;=1">(NaamZoalsBekendBijInstelling): keuze (hl7:given of hl7:prefix of hl7:family of hl7:delimiter of hl7:suffix) bevat te weinig elementen [min 1x]</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:validTime)&lt;=1">(NaamZoalsBekendBijInstelling): element hl7:validTime komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:relationshipHolder1/hl7:name[@use='L']
Item: (NaamZoalsBekendBijInstelling)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:relationshipHolder1/hl7:name[@use='L']/hl7:given
Item: (NaamZoalsBekendBijInstelling)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:relationshipHolder1/hl7:name[@use='L']/hl7:prefix
Item: (NaamZoalsBekendBijInstelling)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:relationshipHolder1/hl7:name[@use='L']/hl7:prefix"
         id="tmp-a57c5487-b02a-4fde-b85e-3a623514c5a8">
      <assert role="warning" test="@qualifier">(NaamZoalsBekendBijInstelling): 
                            <name path=".."/>/<name/>/@qualifier ontbreekt. Deze prefix zal als titel worden geïnterpreteerd.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:relationshipHolder1/hl7:name[@use='L']/hl7:family
Item: (NaamZoalsBekendBijInstelling)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:relationshipHolder1/hl7:name[@use='L']/hl7:delimiter
Item: (NaamZoalsBekendBijInstelling)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:relationshipHolder1/hl7:name[@use='L']/hl7:suffix
Item: (NaamZoalsBekendBijInstelling)
-->


<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:relationshipHolder1/hl7:name[@use='L']/hl7:validTime
Item: (NaamZoalsBekendBijInstelling)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:relationshipHolder1/hl7:name[@use='L']
Item: (Periode-O-Start-O-Eind-O)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:relationshipHolder1/hl7:name[@use='L']/hl7:validTime
Item: (Periode-O-Start-O-Eind-O)
-->
<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:relationshipHolder1/hl7:name[@use='L']/hl7:validTime"
         id="tmp-fcd88713-f6a4-4cf6-a050-11ef6dd9ce3d">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@nullFlavor='UNK' or not(@nullFlavor)">(Periode-O-Start-O-Eind-O): de waarde van @nullFlavor MOET 'UNK' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:low)&lt;=1">(Periode-O-Start-O-Eind-O): element hl7:low komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:high)&lt;=1">(Periode-O-Start-O-Eind-O): element hl7:high komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:width)=0">(Periode-O-Start-O-Eind-O): element hl7:width MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:center)=0">(Periode-O-Start-O-Eind-O): element hl7:center MAG NIET voorkomen.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:relationshipHolder1/hl7:name[@use='L']/hl7:validTime/hl7:low
Item: (Periode-O-Start-O-Eind-O)
-->
<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:relationshipHolder1/hl7:name[@use='L']/hl7:validTime/hl7:low"
         id="tmp-2e8378e5-cd51-48f4-896b-431734820269">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@nullFlavor='UNK' or not(@nullFlavor)">(Periode-O-Start-O-Eind-O): de waarde van @nullFlavor MOET 'UNK' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:relationshipHolder1/hl7:name[@use='L']/hl7:validTime/hl7:high
Item: (Periode-O-Start-O-Eind-O)
-->
<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:relationshipHolder1/hl7:name[@use='L']/hl7:validTime/hl7:high"
         id="tmp-cc38da99-8a09-4fc3-bf44-f3b54c3cc90f">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@nullFlavor='UNK' or not(@nullFlavor)">(Periode-O-Start-O-Eind-O): de waarde van @nullFlavor MOET 'UNK' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:relationshipHolder1/hl7:name[@use='L']/hl7:validTime/hl7:width
Item: (Periode-O-Start-O-Eind-O)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:relationshipHolder1/hl7:name[@use='L']/hl7:validTime/hl7:center
Item: (Periode-O-Start-O-Eind-O)
-->
<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:relationshipHolder1/hl7:administrativeGenderCode
Item: (R_PatientNL-JGZ-universal)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:relationshipHolder1/hl7:administrativeGenderCode"
         id="tmp-7de1afcc-f39a-4639-8a66-aeb96b8b6dc5">
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-AdministrativeGender-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-AdministrativeGender-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(R_PatientNL-JGZ-universal): de waarde van @code MOET worden gekozen uit waardenlijst AdministrativeGender DYNAMIC.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(R_PatientNL-JGZ-universal): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst AdministrativeGender DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:relationshipHolder1/hl7:birthTime
Item: (R_PatientNL-JGZ-universal)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:relationshipHolder1/hl7:birthTime"
         id="tmp-08f95090-715c-4869-92fd-a8b7262505a9">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@nullFlavor='UNK' or not(@nullFlavor)">(R_PatientNL-JGZ-universal): de waarde van @nullFlavor MOET 'UNK' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:relationshipHolder1/hl7:deceasedInd
Item: (R_PatientNL-JGZ-universal)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:relationshipHolder1/hl7:deceasedInd"
         id="tmp-720b2a46-d89c-404e-a6b6-4240c41ed135">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:relationshipHolder1/hl7:deceasedTime
Item: (R_PatientNL-JGZ-universal)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:relationshipHolder1/hl7:deceasedTime"
         id="tmp-1fdae7a3-98e9-4472-b87c-e8c007bb378a">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:relationshipHolder1/hl7:educationLevelCode
Item: (R_PatientNL-JGZ-universal)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:relationshipHolder1/hl7:educationLevelCode"
         id="tmp-942e534f-197e-4360-8de5-b430f510d0e3">
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-W0658_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-W0658_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(R_PatientNL-JGZ-universal): de waarde van @code MOET worden gekozen uit waardenlijst W0658_HL7 W0658 Opleiding ouder/verzorger (HL7) DYNAMIC.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(R_PatientNL-JGZ-universal): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0658_HL7 W0658 Opleiding ouder/verzorger (HL7) DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:relationshipHolder1/hl7:religiousAffiliationCode
Item: (R_PatientNL-JGZ-universal)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:relationshipHolder1/hl7:religiousAffiliationCode"
         id="tmp-d2450e3e-a6af-4abc-b859-c5ce291e1918">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@nullFlavor='OTH'">(R_PatientNL-JGZ-universal): de waarde van @nullFlavor MOET 'OTH' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:originalText)&gt;=1 and not(hl7:originalText/@nullFlavor)">(R_PatientNL-JGZ-universal): element hl7:originalText is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:originalText)&lt;=1">(R_PatientNL-JGZ-universal): element hl7:originalText komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:relationshipHolder1/hl7:religiousAffiliationCode/hl7:originalText
Item: (R_PatientNL-JGZ-universal)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:relationshipHolder1/hl7:religiousAffiliationCode/hl7:originalText"
         id="tmp-2829ae1f-14f9-4581-9ce3-a0502059e480">
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:relationshipHolder1/hl7:asEmployee
Item: (R_PatientNL-JGZ-universal)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:relationshipHolder1/hl7:asEmployee"
         id="tmp-a659c30b-44b9-40be-acb1-ea9276b5e9f9">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:code)&lt;=1">(R_PatientNL-JGZ-universal): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:relationshipHolder1/hl7:asEmployee/hl7:code
Item: (R_PatientNL-JGZ-universal)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:relationshipHolder1/hl7:asEmployee/hl7:code"
         id="tmp-c3cfc42e-ea01-49f4-a215-feb6bbffc5ce">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@nullFlavor='OTH'">(R_PatientNL-JGZ-universal): de waarde van @nullFlavor MOET 'OTH' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:originalText)&gt;=1 and not(hl7:originalText/@nullFlavor)">(R_PatientNL-JGZ-universal): element hl7:originalText is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:originalText)&lt;=1">(R_PatientNL-JGZ-universal): element hl7:originalText komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:relationshipHolder1/hl7:asEmployee/hl7:code/hl7:originalText
Item: (R_PatientNL-JGZ-universal)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:relationshipHolder1/hl7:asEmployee/hl7:code/hl7:originalText"
         id="tmp-10d9c5e1-2042-4182-94e7-b5c2f210cb7c">
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:relationshipHolder1/hl7:asMember
Item: (R_PatientNL-JGZ-universal)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:relationshipHolder1/hl7:asMember"
         id="tmp-cf9fdf40-73d2-4f0b-ac5d-62b5e8719c30">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@classCode='MBR' or not(@classCode)">(R_PatientNL-JGZ-universal): de waarde van @classCode MOET 'MBR' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:id)=0">(R_PatientNL-JGZ-universal): element hl7:id MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:code)=0">(R_PatientNL-JGZ-universal): element hl7:code MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:statusCode)=0">(R_PatientNL-JGZ-universal): element hl7:statusCode MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:effectiveTime)=0">(R_PatientNL-JGZ-universal): element hl7:effectiveTime MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:subjectOf)=0">(R_PatientNL-JGZ-universal): element hl7:subjectOf MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:group)&gt;=1 and not(hl7:group/@nullFlavor)">(R_PatientNL-JGZ-universal): element hl7:group is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:group)&lt;=1">(R_PatientNL-JGZ-universal): element hl7:group komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:relationshipHolder1/hl7:asMember/hl7:id
Item: (R_PatientNL-JGZ-universal)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:relationshipHolder1/hl7:asMember/hl7:code
Item: (R_PatientNL-JGZ-universal)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:relationshipHolder1/hl7:asMember/hl7:statusCode
Item: (R_PatientNL-JGZ-universal)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:relationshipHolder1/hl7:asMember/hl7:effectiveTime
Item: (R_PatientNL-JGZ-universal)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:relationshipHolder1/hl7:asMember/hl7:subjectOf
Item: (R_PatientNL-JGZ-universal)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:relationshipHolder1/hl7:asMember/hl7:group
Item: (R_PatientNL-JGZ-universal)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:relationshipHolder1/hl7:asMember/hl7:group"
         id="tmp-bafb8b69-9101-47d7-8164-a9330a1faf17">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@classCode='ORG' or not(@classCode)">(R_PatientNL-JGZ-universal): de waarde van @classCode MOET 'ORG' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@determinerCode='INSTANCE' or not(@determinerCode)">(R_PatientNL-JGZ-universal): de waarde van @determinerCode MOET 'INSTANCE' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(R_PatientNL-JGZ-universal): element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:id)&lt;=1">(R_PatientNL-JGZ-universal): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:code)&lt;=1">(R_PatientNL-JGZ-universal): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:desc)&lt;=1">(R_PatientNL-JGZ-universal): element hl7:desc komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:member)=0">(R_PatientNL-JGZ-universal): element hl7:member MAG NIET voorkomen.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:relationshipHolder1/hl7:asMember/hl7:group/hl7:id
Item: (R_PatientNL-JGZ-universal)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:relationshipHolder1/hl7:asMember/hl7:group/hl7:id"
         id="tmp-06d9d324-951f-4e38-aa9e-b28d21f35641">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:relationshipHolder1/hl7:asMember/hl7:group/hl7:code
Item: (R_PatientNL-JGZ-universal)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:relationshipHolder1/hl7:asMember/hl7:group/hl7:code"
         id="tmp-5444d55b-e310-4ec9-b9dd-c8ca9a294751">
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-W0094_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-W0094_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(R_PatientNL-JGZ-universal): de waarde van @code MOET worden gekozen uit waardenlijst W0094_HL7 W0094 Woonsituatie (HL7) DYNAMIC.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(R_PatientNL-JGZ-universal): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0094_HL7 W0094 Woonsituatie (HL7) DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:relationshipHolder1/hl7:asMember/hl7:group/hl7:desc
Item: (R_PatientNL-JGZ-universal)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:relationshipHolder1/hl7:asMember/hl7:group/hl7:desc"
         id="tmp-85e1e8ba-a5cf-4b0e-93ad-73aedb4dbdd0">
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:relationshipHolder1/hl7:asMember/hl7:group/hl7:member
Item: (R_PatientNL-JGZ-universal)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:relationshipHolder1/birthPlace
Item: (R_PatientNL-JGZ-universal)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:relationshipHolder1/birthPlace"
         id="tmp-b433a5a8-5f2b-4796-9228-04d2191fc567">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:addr)&lt;=1">(R_PatientNL-JGZ-universal): element hl7:addr komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:relationshipHolder1/birthPlace/hl7:addr
Item: (R_PatientNL-JGZ-universal)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:relationshipHolder1/birthPlace/hl7:addr"
         id="tmp-681417ed-b9ce-4fbb-8557-77eefe4412dd">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:country)&gt;=1 and not(hl7:country/@nullFlavor)">(R_PatientNL-JGZ-universal): element hl7:country is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:country)&lt;=1">(R_PatientNL-JGZ-universal): element hl7:country komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:relationshipHolder1/birthPlace/hl7:addr/hl7:country
Item: (R_PatientNL-JGZ-universal)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:relationshipHolder1/birthPlace/hl7:addr/hl7:country"
         id="tmp-6181297f-5547-4fd6-b23d-0ac08955b173">
      <let name="theValue" value="text()"/>
      <assert role="error"
              test="not(@codeSystem) or @codeSystem='2.16.840.1.113883.2.4.4.16.34'">(R_PatientNL-JGZ-universal): 
                                            <name path=".."/>/<name/> MOET, indien deze gecodeerd wordt, worden gecodeerd GBA tabel 34 Landen</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:relationshipHolder1/hl7:languageCommunication
Item: (R_PatientNL-JGZ-universal)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:relationshipHolder1/hl7:languageCommunication"
         id="tmp-0a41a454-3ef3-4f8a-be02-189f227a8b16">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:languageCode)&gt;=1 and not(hl7:languageCode/@nullFlavor)">(R_PatientNL-JGZ-universal): element hl7:languageCode is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:languageCode)&lt;=1">(R_PatientNL-JGZ-universal): element hl7:languageCode komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:relationshipHolder1/hl7:languageCommunication/hl7:languageCode
Item: (R_PatientNL-JGZ-universal)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:relationshipHolder1/hl7:languageCommunication/hl7:languageCode"
         id="tmp-f4dffb03-8f15-42d6-bfa2-85d573f67809">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@nullFlavor or (@codeSystem='1.0.639.2')">(R_PatientNL-JGZ-universal): de waarde van @codeSystem MOET ''1.0.639.2'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:relationshipHolder2
Item: (R_PatientNL-JGZ-universal)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:subjectOf
Item: (R_PatientNL-JGZ-universal)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:subjectOf"
         id="tmp-3b4c7b4b-dcd3-40d7-8bf5-189a9185d4ac">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@typeCode='SBJ' or not(@typeCode)">(R_PatientNL-JGZ-universal): de waarde van @typeCode MOET 'SBJ' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:personalRelationshipObservation)&gt;=1 and not(hl7:personalRelationshipObservation/@nullFlavor)">(R_PatientNL-JGZ-universal): element hl7:personalRelationshipObservation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:personalRelationshipObservation)&lt;=1">(R_PatientNL-JGZ-universal): element hl7:personalRelationshipObservation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:subjectOf/hl7:personalRelationshipObservation
Item: (R_PatientNL-JGZ-universal)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:subjectOf/hl7:personalRelationshipObservation"
         id="tmp-eed3a412-9192-4b08-95b2-c243643afa31">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@classCode='OBS' or not(@classCode)">(R_PatientNL-JGZ-universal): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@moodCode='EVN' or not(@moodCode)">(R_PatientNL-JGZ-universal): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(R_PatientNL-JGZ-universal): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:code)&lt;=1">(R_PatientNL-JGZ-universal): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(R_PatientNL-JGZ-universal): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:value)&lt;=1">(R_PatientNL-JGZ-universal): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:subjectOf/hl7:personalRelationshipObservation/hl7:code
Item: (R_PatientNL-JGZ-universal)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:subjectOf/hl7:personalRelationshipObservation/hl7:code"
         id="tmp-832631ef-eaee-42b8-82c6-dfc93eed4a98">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@nullFlavor or (@code='78' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1322' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1367' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1374' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(R_PatientNL-JGZ-universal): de waarde van @code MOET één van de volgende codes bevatten: '78' codeSystem '2.16.840.1.113883.2.4.4.40.267' of '1322' codeSystem '2.16.840.1.113883.2.4.4.40.267' of '1367' codeSystem '2.16.840.1.113883.2.4.4.40.267' of '1374' codeSystem '2.16.840.1.113883.2.4.4.40.267'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:subjectOf/hl7:personalRelationshipObservation/hl7:value
Item: (R_PatientNL-JGZ-universal)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:subjectOf/hl7:personalRelationshipObservation/hl7:value"
         id="tmp-aca4f59a-31d4-4874-a25b-1d34e3955bb7">
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/careGiver
Item: (R_PatientNL-JGZ-universal)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/birthPlace
Item: (R_PatientNL-JGZ-universal)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/birthPlace"
         id="tmp-9a077e09-b464-4cfc-ad4a-fe5df68a062d">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:addr)&gt;=1 and not(hl7:addr/@nullFlavor)">(R_PatientNL-JGZ-universal): element hl7:addr is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:addr)&lt;=1">(R_PatientNL-JGZ-universal): element hl7:addr komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/birthPlace/hl7:addr
Item: (R_PatientNL-JGZ-universal)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/birthPlace/hl7:addr"
         id="tmp-8a6a8c86-12ca-4bd2-a499-4cb392580964">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:county)&gt;=1 and not(hl7:county/@nullFlavor)">(R_PatientNL-JGZ-universal): element hl7:county is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:county)&lt;=1">(R_PatientNL-JGZ-universal): element hl7:county komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:country)&gt;=1 and not(hl7:country/@nullFlavor)">(R_PatientNL-JGZ-universal): element hl7:country is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:country)&lt;=1">(R_PatientNL-JGZ-universal): element hl7:country komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/birthPlace/hl7:addr/hl7:county
Item: (R_PatientNL-JGZ-universal)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/birthPlace/hl7:addr/hl7:county"
         id="tmp-86ec050d-0531-4a21-971e-92bfc965f7e5">
      <let name="theValue" value="text()"/>
      <assert role="error"
              test="not(@codeSystem) or @codeSystem='2.16.840.1.113883.2.4.6.14'">(R_PatientNL-JGZ-universal): 
                                    <name path=".."/>/<name/> MOET, indien deze gecodeerd wordt, worden gecodeerd volgens GBA-tabel 33</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/birthPlace/hl7:addr/hl7:country
Item: (R_PatientNL-JGZ-universal)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/birthPlace/hl7:addr/hl7:country"
         id="tmp-2c184367-1cf3-4c0b-bf2f-e3ca465dd8c8">
      <let name="theValue" value="text()"/>
      <assert role="error"
              test="not(@codeSystem) or @codeSystem='2.16.840.1.113883.2.4.4.16.34'">(R_PatientNL-JGZ-universal): 
                                    <name path=".."/>/<name/> MOET, indien deze gecodeerd wordt, worden gecodeerd GBA tabel 34 Landen</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/guarantorRole
Item: (R_PatientNL-JGZ-universal)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:languageCommunication
Item: (R_PatientNL-JGZ-universal)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:languageCommunication"
         id="tmp-a03c59e8-a016-4ed6-b5a6-0ee97c94597e">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:languageCode)&lt;=1">(R_PatientNL-JGZ-universal): element hl7:languageCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:languageCode)=0">(R_PatientNL-JGZ-universal): element hl7:languageCode MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:modeCode)&lt;=1">(R_PatientNL-JGZ-universal): element hl7:modeCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:proficiencyLevelCode)&gt;=1 and not(hl7:proficiencyLevelCode/@nullFlavor)">(R_PatientNL-JGZ-universal): element hl7:proficiencyLevelCode is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:proficiencyLevelCode)&lt;=1">(R_PatientNL-JGZ-universal): element hl7:proficiencyLevelCode komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:languageCommunication/hl7:languageCode
Item: (R_PatientNL-JGZ-universal)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:languageCommunication/hl7:languageCode"
         id="tmp-f9b786aa-8e67-4eec-a7dc-ef242e646175">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@nullFlavor or (@codeSystem='1.0.639.2')">(R_PatientNL-JGZ-universal): de waarde van @codeSystem MOET ''1.0.639.2'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:languageCommunication/hl7:modeCode
Item: (R_PatientNL-JGZ-universal)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:languageCommunication/hl7:modeCode"
         id="tmp-3a3b33e5-4d6b-49e4-abcd-e62168f229ca">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@nullFlavor or (@code='LTRC' and @codeSystem='2.16.840.1.113883.5.60')">(R_PatientNL-JGZ-universal): de waarde van @code/@codeSystem MOET ''LTRC' codeSystem '2.16.840.1.113883.5.60'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:languageCommunication/hl7:proficiencyLevelCode
Item: (R_PatientNL-JGZ-universal)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:languageCommunication/hl7:proficiencyLevelCode"
         id="tmp-6896c712-ab7d-48cc-a9c6-06f485ca6f4b">
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-W0644_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-W0644_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(R_PatientNL-JGZ-universal): de waarde van @code MOET worden gekozen uit waardenlijst W0644_HL7 W0644 Laag- of niet geletterd (HL7) DYNAMIC.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(R_PatientNL-JGZ-universal): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0644_HL7 W0644 Laag- of niet geletterd (HL7) DYNAMIC.</assert>
   </rule>
</pattern>
