<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.35.5
Description: Template: Labuitslag Medicatiebewaking
-->
<pattern xmlns:xs="http://www.w3.org/2001/XMLSchema"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xmlns:hl7="urn:hl7-org:v3"
         xmlns="http://purl.oclc.org/dsdl/schematron"
         xmlns:sch="http://www.ascc.net/xml/schematron"
         xmlns:uuid="java:java.util.UUID"
         id="template-2.16.840.1.113883.2.4.6.10.35.5">
   <title/>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.5
Context: hl7:ControlActProcess/hl7:subject
Item: Labuitslag Medicatiebewaking
-->

<rule context="hl7:ControlActProcess/hl7:subject"
         id="tmp-818921e9-a61f-4f97-8cf1-de997ce82792">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="count(hl7:observationReport)&gt;=1 and not(hl7:observationReport/@nullFlavor)">Labuitslag Medicatiebewaking: element hl7:observationReport is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="count(hl7:observationReport)&lt;=1">Labuitslag Medicatiebewaking: element hl7:observationReport komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.5
Context: hl7:ControlActProcess/hl7:subject/hl7:observationReport
Item: Labuitslag Medicatiebewaking
-->

<rule context="hl7:ControlActProcess/hl7:subject/hl7:observationReport"
         id="tmp-28fc6dae-24ba-4aff-b568-a7919c37f4e3">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@moodCode='EVN' ">Labuitslag Medicatiebewaking: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@classCode='GROUPER' ">Labuitslag Medicatiebewaking: De waarde van @classCode MOET 'GROUPER' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.35.5'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.35.5']/@nullFlavor)">Labuitslag Medicatiebewaking: element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.35.5'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.35.5'])&lt;=1">Labuitslag Medicatiebewaking: element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.35.5'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">Labuitslag Medicatiebewaking: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="count(hl7:code)&lt;=1">Labuitslag Medicatiebewaking: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="count(hl7:statusCode)&gt;=1 and not(hl7:statusCode/@nullFlavor)">Labuitslag Medicatiebewaking: element hl7:statusCode is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="count(hl7:statusCode)&lt;=1">Labuitslag Medicatiebewaking: element hl7:statusCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="count(hl7:specimen)&lt;=1">Labuitslag Medicatiebewaking: element hl7:specimen komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="count(hl7:recordTarget)&gt;=1 and not(hl7:recordTarget/@nullFlavor)">Labuitslag Medicatiebewaking: element hl7:recordTarget is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="count(hl7:recordTarget)&lt;=1">Labuitslag Medicatiebewaking: element hl7:recordTarget komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="count(hl7:author)&gt;=1 and not(hl7:author/@nullFlavor)">Labuitslag Medicatiebewaking: element hl7:author is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="count(hl7:informationRecipient)&lt;=1">Labuitslag Medicatiebewaking: element hl7:informationRecipient komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="count(hl7:component1)&gt;=1 and not(hl7:component1/@nullFlavor)">Labuitslag Medicatiebewaking: element hl7:component1 is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="count(hl7:component1)&lt;=1">Labuitslag Medicatiebewaking: element hl7:component1 komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.5
Context: hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.35.5']
Item: Labuitslag Medicatiebewaking
-->

<rule context="hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.35.5']"
         id="tmp-e7c26e04-658e-431e-802a-24467147e18b">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">Labuitslag Medicatiebewaking: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@root='2.16.840.1.113883.2.4.6.10.35.5'">Labuitslag Medicatiebewaking: @root MOET de waarde '2.16.840.1.113883.2.4.6.10.35.5' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">Labuitslag Medicatiebewaking: @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.5
Context: hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:id
Item: Labuitslag Medicatiebewaking
-->

<rule context="hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:id"
         id="tmp-9a7e5fc0-e4c7-476e-b38f-2077206eef52">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">Labuitslag Medicatiebewaking: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.5
Context: hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:code
Item: Labuitslag Medicatiebewaking
-->

<rule context="hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:code"
         id="tmp-f145fcb6-b060-4aa2-88c0-b67ea34c4d9b">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">Labuitslag Medicatiebewaking: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-LabSpeciality-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-LabSpeciality-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">Labuitslag Medicatiebewaking: De waarde van @code MOET worden gekozen uit Value Set LabSpeciality DYNAMIC.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0">Labuitslag Medicatiebewaking: De nul waarde voor @code MOET worden gekozen uit de set geldige null flavors gedefinieerd voor dit attribuut of degene geassocieerd met Value Set LabSpeciality DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.5
Context: hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:statusCode
Item: Labuitslag Medicatiebewaking
-->

<rule context="hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:statusCode"
         id="tmp-83a6d39e-2967-4773-9f6b-7f23ed4755ed">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@nullFlavor or @xsi:type='CS' or not(@xsi:type)">Labuitslag Medicatiebewaking: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CS" bevatten</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@nullFlavor or (@code='completed')">Labuitslag Medicatiebewaking: De waarde van @code MOET 'completed' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.5
Context: hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:specimen
Item: Labuitslag Medicatiebewaking
-->

<rule context="hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:specimen"
         id="tmp-5fe0040d-8459-4793-9d9b-413a4c385343">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@typeCode='SPC' ">Labuitslag Medicatiebewaking: De waarde van @typeCode MOET 'SPC' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="count(hl7:specimen)&gt;=1 and not(hl7:specimen/@nullFlavor)">Labuitslag Medicatiebewaking: element hl7:specimen is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="count(hl7:specimen)&lt;=1">Labuitslag Medicatiebewaking: element hl7:specimen komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.5
Context: hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:specimen/hl7:specimen
Item: Labuitslag Medicatiebewaking
-->

<rule context="hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:specimen/hl7:specimen"
         id="tmp-277e385b-0273-4e85-a9af-398f32000809">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@classCode='SPEC' ">Labuitslag Medicatiebewaking: De waarde van @classCode MOET 'SPEC' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="count(hl7:id)&gt;=1 ">Labuitslag Medicatiebewaking: element hl7:id is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="count(hl7:id)&lt;=1">Labuitslag Medicatiebewaking: element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="count(hl7:code)&gt;=1 ">Labuitslag Medicatiebewaking: element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="count(hl7:code)&lt;=1">Labuitslag Medicatiebewaking: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="count(hl7:sourceNatural)&lt;=1">Labuitslag Medicatiebewaking: element hl7:sourceNatural komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="count(hl7:productOf)&lt;=1">Labuitslag Medicatiebewaking: element hl7:productOf komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.5
Context: hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:specimen/hl7:specimen/hl7:id
Item: Labuitslag Medicatiebewaking
-->

<rule context="hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:specimen/hl7:specimen/hl7:id"
         id="tmp-061edbfa-9b6a-4151-b121-dfc92277deed">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">Labuitslag Medicatiebewaking: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.5
Context: hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:specimen/hl7:specimen/hl7:code
Item: Labuitslag Medicatiebewaking
-->

<rule context="hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:specimen/hl7:specimen/hl7:code"
         id="tmp-a6e22489-b366-436f-8b01-3a06616f0c9f">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">Labuitslag Medicatiebewaking: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@nullFlavor='NA'">Labuitslag Medicatiebewaking: De waarde van @nullFlavor MOET 'NA' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.5
Context: hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:specimen/hl7:specimen/hl7:sourceNatural
Item: Labuitslag Medicatiebewaking
-->

<rule context="hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:specimen/hl7:specimen/hl7:sourceNatural"
         id="tmp-ef3c2210-1105-442d-a419-c425e1956deb">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@classCode='ENT' ">Labuitslag Medicatiebewaking: De waarde van @classCode MOET 'ENT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@determinerCode='INSTANCE' ">Labuitslag Medicatiebewaking: @determinerCode SHALL have value 'INSTANCE' STATIC </assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="count(hl7:code)&gt;=1 ">Labuitslag Medicatiebewaking: element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="count(hl7:code)&lt;=1">Labuitslag Medicatiebewaking: element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.5
Context: hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:specimen/hl7:specimen/hl7:sourceNatural/hl7:code
Item: Labuitslag Medicatiebewaking
-->

<rule context="hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:specimen/hl7:specimen/hl7:sourceNatural/hl7:code"
         id="tmp-1b8d5b07-aa31-4c81-bf22-081f148de5af">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">Labuitslag Medicatiebewaking: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-SpecimenType-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-SpecimenType-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">Labuitslag Medicatiebewaking: De waarde van @code MOET worden gekozen uit Value Set SpecimenType DYNAMIC.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0">Labuitslag Medicatiebewaking: De nul waarde voor @code MOET worden gekozen uit de set geldige null flavors gedefinieerd voor dit attribuut of degene geassocieerd met Value Set SpecimenType DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.5
Context: hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:specimen/hl7:specimen/hl7:sourceNatural/hl7:asSpecimenInContainer
Item: Labuitslag Medicatiebewaking
-->

<rule context="hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:specimen/hl7:specimen/hl7:sourceNatural/hl7:asSpecimenInContainer"
         id="tmp-6f8bdbbd-b84e-400f-a42b-d79a820e1c14">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@classCode='CONT' ">Labuitslag Medicatiebewaking: De waarde van @classCode MOET 'CONT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="count(hl7:container)&lt;=1">Labuitslag Medicatiebewaking: element hl7:container komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.5
Context: hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:specimen/hl7:specimen/hl7:sourceNatural/hl7:asSpecimenInContainer/hl7:container
Item: Labuitslag Medicatiebewaking
-->

<rule context="hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:specimen/hl7:specimen/hl7:sourceNatural/hl7:asSpecimenInContainer/hl7:container"
         id="tmp-175c55d9-9e42-461c-a18a-5182c477fb83">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@classCode='CONT' ">Labuitslag Medicatiebewaking: De waarde van @classCode MOET 'CONT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@determinerCode='INSTANCE' ">Labuitslag Medicatiebewaking: @determinerCode SHALL have value 'INSTANCE' STATIC </assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="count(hl7:code)&lt;=1">Labuitslag Medicatiebewaking: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="count(hl7:asEntityInEntity)&lt;=1">Labuitslag Medicatiebewaking: element hl7:asEntityInEntity komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.5
Context: hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:specimen/hl7:specimen/hl7:sourceNatural/hl7:asSpecimenInContainer/hl7:container/hl7:code
Item: Labuitslag Medicatiebewaking
-->

<rule context="hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:specimen/hl7:specimen/hl7:sourceNatural/hl7:asSpecimenInContainer/hl7:container/hl7:code"
         id="tmp-e6754d19-9c96-4080-9e06-27e3c6da7c59">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">Labuitslag Medicatiebewaking: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-ContainerEntityType-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-ContainerEntityType-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">Labuitslag Medicatiebewaking: De waarde van @code MOET worden gekozen uit Value Set ContainerEntityType DYNAMIC.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0">Labuitslag Medicatiebewaking: De nul waarde voor @code MOET worden gekozen uit de set geldige null flavors gedefinieerd voor dit attribuut of degene geassocieerd met Value Set ContainerEntityType DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.5
Context: hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:specimen/hl7:specimen/hl7:sourceNatural/hl7:asSpecimenInContainer/hl7:container/hl7:asEntityInEntity
Item: Labuitslag Medicatiebewaking
-->

<rule context="hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:specimen/hl7:specimen/hl7:sourceNatural/hl7:asSpecimenInContainer/hl7:container/hl7:asEntityInEntity"
         id="tmp-c05c4117-333b-4e96-a2d5-54669db5ae14">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@classCode='CONT' ">Labuitslag Medicatiebewaking: De waarde van @classCode MOET 'CONT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="count(hl7:containerAdditiveMaterial)&lt;=1">Labuitslag Medicatiebewaking: element hl7:containerAdditiveMaterial komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.5
Context: hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:specimen/hl7:specimen/hl7:sourceNatural/hl7:asSpecimenInContainer/hl7:container/hl7:asEntityInEntity/hl7:containerAdditiveMaterial
Item: Labuitslag Medicatiebewaking
-->

<rule context="hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:specimen/hl7:specimen/hl7:sourceNatural/hl7:asSpecimenInContainer/hl7:container/hl7:asEntityInEntity/hl7:containerAdditiveMaterial"
         id="tmp-f0f05e12-7048-4c28-9a71-031ab3c3eb96">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@classCode='MAT' ">Labuitslag Medicatiebewaking: De waarde van @classCode MOET 'MAT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@determinerCode='KIND' ">Labuitslag Medicatiebewaking: @determinerCode SHALL have value 'KIND' STATIC </assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="count(hl7:id)&lt;=1">Labuitslag Medicatiebewaking: element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="count(hl7:code)&lt;=1">Labuitslag Medicatiebewaking: element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.5
Context: hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:specimen/hl7:specimen/hl7:sourceNatural/hl7:asSpecimenInContainer/hl7:container/hl7:asEntityInEntity/hl7:containerAdditiveMaterial/hl7:id
Item: Labuitslag Medicatiebewaking
-->

<rule context="hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:specimen/hl7:specimen/hl7:sourceNatural/hl7:asSpecimenInContainer/hl7:container/hl7:asEntityInEntity/hl7:containerAdditiveMaterial/hl7:id"
         id="tmp-df6c565c-f160-4a7f-857b-102e4042a559">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">Labuitslag Medicatiebewaking: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.5
Context: hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:specimen/hl7:specimen/hl7:sourceNatural/hl7:asSpecimenInContainer/hl7:container/hl7:asEntityInEntity/hl7:containerAdditiveMaterial/hl7:code
Item: Labuitslag Medicatiebewaking
-->

<rule context="hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:specimen/hl7:specimen/hl7:sourceNatural/hl7:asSpecimenInContainer/hl7:container/hl7:asEntityInEntity/hl7:containerAdditiveMaterial/hl7:code"
         id="tmp-98ed579c-f3a1-4b64-88a1-779a69bf7664">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">Labuitslag Medicatiebewaking: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-MaterialEntityAdditive-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-MaterialEntityAdditive-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">Labuitslag Medicatiebewaking: De waarde van @code MOET worden gekozen uit Value Set MaterialEntityAdditive DYNAMIC.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0">Labuitslag Medicatiebewaking: De nul waarde voor @code MOET worden gekozen uit de set geldige null flavors gedefinieerd voor dit attribuut of degene geassocieerd met Value Set MaterialEntityAdditive DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.5
Context: hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:specimen/hl7:specimen/hl7:productOf
Item: Labuitslag Medicatiebewaking
-->

<rule context="hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:specimen/hl7:specimen/hl7:productOf"
         id="tmp-a9f4bfdf-47c2-4032-8835-b7f4e5b71276">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@typeCode='PRD' ">Labuitslag Medicatiebewaking: De waarde van @typeCode MOET 'PRD' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@contextControlCode='OP' ">Labuitslag Medicatiebewaking: De waarde van @contextControlCode MOET 'OP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="count(hl7:specimenCollectionProcess)&gt;=1 ">Labuitslag Medicatiebewaking: element hl7:specimenCollectionProcess is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="count(hl7:specimenCollectionProcess)&lt;=1">Labuitslag Medicatiebewaking: element hl7:specimenCollectionProcess komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.5
Context: hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:specimen/hl7:specimen/hl7:productOf/hl7:specimenCollectionProcess
Item: Labuitslag Medicatiebewaking
-->

<rule context="hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:specimen/hl7:specimen/hl7:productOf/hl7:specimenCollectionProcess"
         id="tmp-a49128e0-37ae-43e9-bae9-d584b6625447">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@classCode='SPECCOLLECT' ">Labuitslag Medicatiebewaking: De waarde van @classCode MOET 'SPECCOLLECT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@moodCode='EVN' ">Labuitslag Medicatiebewaking: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="count(hl7:code)&gt;=1 ">Labuitslag Medicatiebewaking: element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="count(hl7:code)&lt;=1">Labuitslag Medicatiebewaking: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="count(hl7:effectiveTime)&lt;=1">Labuitslag Medicatiebewaking: element hl7:effectiveTime komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.5
Context: hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:specimen/hl7:specimen/hl7:productOf/hl7:specimenCollectionProcess/hl7:code
Item: Labuitslag Medicatiebewaking
-->

<rule context="hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:specimen/hl7:specimen/hl7:productOf/hl7:specimenCollectionProcess/hl7:code"
         id="tmp-467a81ec-aa0c-4c34-80f1-2f08a48bc07e">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">Labuitslag Medicatiebewaking: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-ActSpecimenCollectionProcedureCode-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-ActSpecimenCollectionProcedureCode-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">Labuitslag Medicatiebewaking: De waarde van @code MOET worden gekozen uit Value Set ActSpecimenCollectionProcedureCode DYNAMIC.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0">Labuitslag Medicatiebewaking: De nul waarde voor @code MOET worden gekozen uit de set geldige null flavors gedefinieerd voor dit attribuut of degene geassocieerd met Value Set ActSpecimenCollectionProcedureCode DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.5
Context: hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:specimen/hl7:specimen/hl7:productOf/hl7:specimenCollectionProcess/hl7:effectiveTime
Item: Labuitslag Medicatiebewaking
-->

<rule context="hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:specimen/hl7:specimen/hl7:productOf/hl7:specimenCollectionProcess/hl7:effectiveTime"
         id="tmp-6362f4d0-0195-49c8-9bf6-05174e627aea">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@nullFlavor or @xsi:type='IVL_TS' or not(@xsi:type)">Labuitslag Medicatiebewaking: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "IVL_TS" bevatten</assert>
      <extends rule="IVL_TS"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.5
Context: hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:recordTarget
Item: Labuitslag Medicatiebewaking
-->

<rule context="hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:recordTarget"
         id="tmp-64db3c4d-c890-4f97-b277-f30664f8ad50">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@typeCode='RCT' ">Labuitslag Medicatiebewaking: De waarde van @typeCode MOET 'RCT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@contextControlCode='OP' ">Labuitslag Medicatiebewaking: De waarde van @contextControlCode MOET 'OP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="count(hl7:patient)&gt;=1 and not(hl7:patient/@nullFlavor)">Labuitslag Medicatiebewaking: element hl7:patient is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="count(hl7:patient)&lt;=1">Labuitslag Medicatiebewaking: element hl7:patient komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.5
Context: hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:recordTarget/hl7:patient
Item: Labuitslag Medicatiebewaking
-->

<rule context="hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:recordTarget/hl7:patient"
         id="tmp-92fa19cc-c3d5-488b-9d08-4f5f0c2e227c">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@classCode='PAT' ">Labuitslag Medicatiebewaking: De waarde van @classCode MOET 'PAT' zijn.</assert>
      <assert role="error" test="count(hl7:id[@root='2.16.840.1.113883.2.4.6.3'])&gt;0">Labuitslag Medicatiebewaking: <assert xmlns="" role="error" test="count(hl7:id[@root='2.16.840.1.113883.2.4.6.3'])&gt;0">Identificatie van patient moet minstens een BSN bevatten.</assert>
      </assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="count(hl7:id[@root='2.16.840.1.113883.2.4.6.3'])&gt;=1 and not(hl7:id[@root='2.16.840.1.113883.2.4.6.3']/@nullFlavor)">Labuitslag Medicatiebewaking: element hl7:id[@root='2.16.840.1.113883.2.4.6.3'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="count(hl7:id[@root='2.16.840.1.113883.2.4.6.3'])&lt;=1">Labuitslag Medicatiebewaking: element hl7:id[@root='2.16.840.1.113883.2.4.6.3'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="count(hl7:patientPerson)&gt;=1 and not(hl7:patientPerson/@nullFlavor)">Labuitslag Medicatiebewaking: element hl7:patientPerson is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="count(hl7:patientPerson)&lt;=1">Labuitslag Medicatiebewaking: element hl7:patientPerson komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.5
Context: hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:recordTarget/hl7:patient/hl7:id[@root='2.16.840.1.113883.2.4.6.3']
Item: Labuitslag Medicatiebewaking
-->

<rule context="hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:recordTarget/hl7:patient/hl7:id[@root='2.16.840.1.113883.2.4.6.3']"
         id="tmp-15b67dad-6f50-4b8f-ba6d-522077faa301">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">Labuitslag Medicatiebewaking: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II.NL.BSN"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@root='2.16.840.1.113883.2.4.6.3'">Labuitslag Medicatiebewaking: @root MOET de waarde '2.16.840.1.113883.2.4.6.3' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">Labuitslag Medicatiebewaking: @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="string-length(@extension)&gt;0">Labuitslag Medicatiebewaking: attribute @extension MOET aanwezig zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.5
Context: hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:recordTarget/hl7:patient/hl7:addr
Item: Labuitslag Medicatiebewaking
-->

<rule context="hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:recordTarget/hl7:patient/hl7:addr"
         id="tmp-9d7ba7a7-3ce5-40f4-9149-578ab88be15f">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@nullFlavor or @xsi:type='AD' or not(@xsi:type)">Labuitslag Medicatiebewaking: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "AD" bevatten</assert>
      <extends rule="AD"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.5
Context: hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:recordTarget/hl7:patient/hl7:telecom
Item: Labuitslag Medicatiebewaking
-->

<rule context="hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:recordTarget/hl7:patient/hl7:telecom"
         id="tmp-828fe645-6c2c-4534-9e78-48e27ddf6fb7">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@nullFlavor or @xsi:type='TEL' or not(@xsi:type)">Labuitslag Medicatiebewaking: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TEL" bevatten</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.5
Context: hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:recordTarget/hl7:patient/hl7:patientPerson
Item: Labuitslag Medicatiebewaking
-->

<rule context="hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:recordTarget/hl7:patient/hl7:patientPerson"
         id="tmp-97094f5e-a0b2-4545-b45c-0cd6d580f6e4">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@classCode='PSN' ">Labuitslag Medicatiebewaking: De waarde van @classCode MOET 'PSN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@determinerCode='INSTANCE' ">Labuitslag Medicatiebewaking: @determinerCode SHALL have value 'INSTANCE' STATIC </assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="count(hl7:name)&gt;=1 ">Labuitslag Medicatiebewaking: element hl7:name is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="count(hl7:administrativeGenderCode)&gt;=1 and not(hl7:administrativeGenderCode/@nullFlavor)">Labuitslag Medicatiebewaking: element hl7:administrativeGenderCode is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="count(hl7:administrativeGenderCode)&lt;=1">Labuitslag Medicatiebewaking: element hl7:administrativeGenderCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="count(hl7:birthTime)&gt;=1 and not(hl7:birthTime/@nullFlavor)">Labuitslag Medicatiebewaking: element hl7:birthTime is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="count(hl7:birthTime)&lt;=1">Labuitslag Medicatiebewaking: element hl7:birthTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="count(hl7:multipleBirthInd)&lt;=1">Labuitslag Medicatiebewaking: element hl7:multipleBirthInd komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="count(hl7:multipleBirthOrderNumber)&lt;=1">Labuitslag Medicatiebewaking: element hl7:multipleBirthOrderNumber komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.5
Context: hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:recordTarget/hl7:patient/hl7:patientPerson/hl7:name
Item: Labuitslag Medicatiebewaking
-->

<rule context="hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:recordTarget/hl7:patient/hl7:patientPerson/hl7:name"
         id="tmp-f1665d76-99bd-49aa-81d9-e703f868b259">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@nullFlavor or @xsi:type='PN' or not(@xsi:type)">Labuitslag Medicatiebewaking: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "PN" bevatten</assert>
      <extends rule="PN"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@nullFlavor or @use='L' or @use='OR' or not(@use)">Labuitslag Medicatiebewaking: De waarde van @use MOET één van de volgende codes bevatten: 'L', 'OR'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.5
Context: hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:recordTarget/hl7:patient/hl7:patientPerson/hl7:administrativeGenderCode
Item: Labuitslag Medicatiebewaking
-->

<rule context="hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:recordTarget/hl7:patient/hl7:patientPerson/hl7:administrativeGenderCode"
         id="tmp-64b6e768-d3e8-43ef-84e4-1a9d967197ea">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">Labuitslag Medicatiebewaking: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-AdministrativeGender-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-AdministrativeGender-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">Labuitslag Medicatiebewaking: De waarde van @code MOET worden gekozen uit Value Set AdministrativeGender Administratieve geslachten DYNAMIC.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0">Labuitslag Medicatiebewaking: De nul waarde voor @code MOET worden gekozen uit de set geldige null flavors gedefinieerd voor dit attribuut of degene geassocieerd met Value Set AdministrativeGender Administratieve geslachten DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.5
Context: hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:recordTarget/hl7:patient/hl7:patientPerson/hl7:birthTime
Item: Labuitslag Medicatiebewaking
-->

<rule context="hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:recordTarget/hl7:patient/hl7:patientPerson/hl7:birthTime"
         id="tmp-066fcee3-0235-46e4-8b4f-ce5936558fe9">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@nullFlavor or @xsi:type='TS' or not(@xsi:type)">Labuitslag Medicatiebewaking: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.5
Context: hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:recordTarget/hl7:patient/hl7:patientPerson/hl7:multipleBirthInd
Item: Labuitslag Medicatiebewaking
-->

<rule context="hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:recordTarget/hl7:patient/hl7:patientPerson/hl7:multipleBirthInd"
         id="tmp-2a97022e-18d0-41ce-a9b0-904690dbba2c">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@nullFlavor or @xsi:type='BL' or not(@xsi:type)">Labuitslag Medicatiebewaking: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "BL" bevatten</assert>
      <extends rule="BL"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.5
Context: hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:recordTarget/hl7:patient/hl7:patientPerson/hl7:multipleBirthOrderNumber
Item: Labuitslag Medicatiebewaking
-->

<rule context="hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:recordTarget/hl7:patient/hl7:patientPerson/hl7:multipleBirthOrderNumber"
         id="tmp-fee2dba3-9eb3-4734-bf7e-2c3cc61ddcf3">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@nullFlavor or @xsi:type='INT' or not(@xsi:type)">Labuitslag Medicatiebewaking: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "INT" bevatten</assert>
      <extends rule="INT"/>
      <let name="theValue" value="@value"/>
      <let name="digitok" value="matches($theValue, '^-?[1-9][0-9]*$|^+?[0-9]*$')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="$digitok">Labuitslag Medicatiebewaking: @value is not a valid INT number <value-of select="$theValue"/>
      </assert>
      <assert role="error"
              test="hl7:multipleBirthInd/@value='false' or string-length(hl7:multipleBirthOrderNumber/@value)&gt;0">Labuitslag Medicatiebewaking: <assert xmlns="" role="error"
                 test="hl7:multipleBirthInd/@value='false' or string-length(hl7:multipleBirthOrderNumber/@value)&gt;0">Rangnummer (HL7): als multipleBirthInd=true dan moet het element
                                  multipleBirthOrderNumber aanwezig zijn en een waarde hebben.</assert>
      </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.5
Context: hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:performer
Item: Labuitslag Medicatiebewaking
-->

<rule context="hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:performer"
         id="tmp-e4d43104-b8f2-422a-b0ed-a7be0564ae92">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@typeCode='PRF' ">Labuitslag Medicatiebewaking: De waarde van @typeCode MOET 'PRF' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="count(hl7:assignedPerson)&gt;=1 and not(hl7:assignedPerson/@nullFlavor)">Labuitslag Medicatiebewaking: element hl7:assignedPerson is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="count(hl7:assignedPerson)&lt;=1">Labuitslag Medicatiebewaking: element hl7:assignedPerson komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.5
Context: hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:performer/hl7:assignedPerson
Item: Labuitslag Medicatiebewaking
-->

<rule context="hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:performer/hl7:assignedPerson"
         id="tmp-11dd4c1a-6bac-4231-af10-46ec49d9f1f4">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@classCode='ASSIGNED' ">Labuitslag Medicatiebewaking: De waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="count(hl7:id[@root='2.16.528.1.1007.3.1'])&gt;=1 and not(hl7:id[@root='2.16.528.1.1007.3.1']/@nullFlavor)">Labuitslag Medicatiebewaking: element hl7:id[@root='2.16.528.1.1007.3.1'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">Labuitslag Medicatiebewaking: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="count(hl7:code)&lt;=1">Labuitslag Medicatiebewaking: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="count(hl7:representedOrganization)&lt;=1">Labuitslag Medicatiebewaking: element hl7:representedOrganization komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.5
Context: hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:performer/hl7:assignedPerson/hl7:id[@root='2.16.528.1.1007.3.1']
Item: Labuitslag Medicatiebewaking
-->

<rule context="hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:performer/hl7:assignedPerson/hl7:id[@root='2.16.528.1.1007.3.1']"
         id="tmp-92a4cfe6-bf8a-4cd6-93cf-467340ed681a">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">Labuitslag Medicatiebewaking: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II.NL.UZI"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@root='2.16.528.1.1007.3.1'">Labuitslag Medicatiebewaking: @root MOET de waarde '2.16.528.1.1007.3.1' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">Labuitslag Medicatiebewaking: @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="string-length(@extension)&gt;0">Labuitslag Medicatiebewaking: attribute @extension MOET aanwezig zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.5
Context: hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:performer/hl7:assignedPerson/hl7:code
Item: Labuitslag Medicatiebewaking
-->

<rule context="hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:performer/hl7:assignedPerson/hl7:code"
         id="tmp-0699555b-10d7-44cd-95b5-adfaa2566476">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">Labuitslag Medicatiebewaking: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-ZorgverlenerType-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-ZorgverlenerType-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">Labuitslag Medicatiebewaking: De waarde van @code MOET worden gekozen uit Value Set ZorgverlenerType DYNAMIC.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0">Labuitslag Medicatiebewaking: De nul waarde voor @code MOET worden gekozen uit de set geldige null flavors gedefinieerd voor dit attribuut of degene geassocieerd met Value Set ZorgverlenerType DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.5
Context: hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:performer/hl7:assignedPerson/hl7:addr
Item: Labuitslag Medicatiebewaking
-->

<rule context="hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:performer/hl7:assignedPerson/hl7:addr"
         id="tmp-468b836b-18cc-47ed-aa18-179b8f6d99d6">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@nullFlavor or @xsi:type='AD' or not(@xsi:type)">Labuitslag Medicatiebewaking: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "AD" bevatten</assert>
      <extends rule="AD"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.5
Context: hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:performer/hl7:assignedPerson/hl7:telecom
Item: Labuitslag Medicatiebewaking
-->

<rule context="hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:performer/hl7:assignedPerson/hl7:telecom"
         id="tmp-af48d082-6753-493d-9a68-c6c782056673">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@nullFlavor or @xsi:type='TEL' or not(@xsi:type)">Labuitslag Medicatiebewaking: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TEL" bevatten</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.5
Context: hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:performer/hl7:assignedPerson/hl7:representedOrganization
Item: Labuitslag Medicatiebewaking
-->

<rule context="hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:performer/hl7:assignedPerson/hl7:representedOrganization"
         id="tmp-680cddef-f755-4d25-8eda-8e3dcb67e2c6">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@classCode='ORG' ">Labuitslag Medicatiebewaking: De waarde van @classCode MOET 'ORG' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@determinerCode='INSTANCE' ">Labuitslag Medicatiebewaking: @determinerCode SHALL have value 'INSTANCE' STATIC </assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="count(hl7:id[@root='2.16.528.1.1007.3.3'])&gt;=1 and not(hl7:id[@root='2.16.528.1.1007.3.3']/@nullFlavor)">Labuitslag Medicatiebewaking: element hl7:id[@root='2.16.528.1.1007.3.3'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)">Labuitslag Medicatiebewaking: element hl7:name is mandatory [min 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.5
Context: hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:performer/hl7:assignedPerson/hl7:representedOrganization/hl7:id[@root='2.16.528.1.1007.3.3']
Item: Labuitslag Medicatiebewaking
-->

<rule context="hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:performer/hl7:assignedPerson/hl7:representedOrganization/hl7:id[@root='2.16.528.1.1007.3.3']"
         id="tmp-7f011b33-9f9e-4bc2-bac6-bcd6246b21c4">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">Labuitslag Medicatiebewaking: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II.NL.URA"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@root='2.16.528.1.1007.3.3'">Labuitslag Medicatiebewaking: @root MOET de waarde '2.16.528.1.1007.3.3' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">Labuitslag Medicatiebewaking: @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="string-length(@extension)&gt;0">Labuitslag Medicatiebewaking: attribute @extension MOET aanwezig zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.5
Context: hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:performer/hl7:assignedPerson/hl7:representedOrganization/hl7:name
Item: Labuitslag Medicatiebewaking
-->

<rule context="hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:performer/hl7:assignedPerson/hl7:representedOrganization/hl7:name"
         id="tmp-d6c8db3d-4ab0-47b0-9914-16428c6a7fd2">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@nullFlavor or @xsi:type='PN' or not(@xsi:type)">Labuitslag Medicatiebewaking: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "PN" bevatten</assert>
      <extends rule="PN"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.5
Context: hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:performer/hl7:assignedPerson/hl7:representedOrganization/hl7:addr
Item: Labuitslag Medicatiebewaking
-->

<rule context="hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:performer/hl7:assignedPerson/hl7:representedOrganization/hl7:addr"
         id="tmp-276d09b2-fe61-44f8-bca7-6e83ec12fbf5">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@nullFlavor or @xsi:type='AD' or not(@xsi:type)">Labuitslag Medicatiebewaking: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "AD" bevatten</assert>
      <extends rule="AD"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.5
Context: hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:performer/hl7:assignedPerson/hl7:representedOrganization/hl7:telecom
Item: Labuitslag Medicatiebewaking
-->

<rule context="hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:performer/hl7:assignedPerson/hl7:representedOrganization/hl7:telecom"
         id="tmp-ef7cbe86-a6c2-45f5-ab42-d7a61293bf02">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@nullFlavor or @xsi:type='TEL' or not(@xsi:type)">Labuitslag Medicatiebewaking: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TEL" bevatten</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.5
Context: hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:author
Item: Labuitslag Medicatiebewaking
-->

<rule context="hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:author"
         id="tmp-c533c658-c804-4ee4-a968-be16a8bba84d">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@typeCode='AUT' ">Labuitslag Medicatiebewaking: De waarde van @typeCode MOET 'AUT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@contextControlCode='OP' ">Labuitslag Medicatiebewaking: De waarde van @contextControlCode MOET 'OP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="count(hl7:time)&gt;=1 ">Labuitslag Medicatiebewaking: element hl7:time is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="count(hl7:time)&lt;=1">Labuitslag Medicatiebewaking: element hl7:time komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)">Labuitslag Medicatiebewaking: element hl7:assignedEntity is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="count(hl7:assignedEntity)&lt;=1">Labuitslag Medicatiebewaking: element hl7:assignedEntity komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.5
Context: hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:author/hl7:time
Item: Labuitslag Medicatiebewaking
-->

<rule context="hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:author/hl7:time"
         id="tmp-bd3aa1b5-75df-470c-8d48-a4d83cff03e4">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@nullFlavor or @xsi:type='TS' or not(@xsi:type)">Labuitslag Medicatiebewaking: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.5
Context: hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:author/hl7:assignedEntity
Item: Labuitslag Medicatiebewaking
-->

<rule context="hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:author/hl7:assignedEntity"
         id="tmp-bd686301-5034-4441-94d8-322b5bc43814">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@classCode='ASSIGNED' ">Labuitslag Medicatiebewaking: De waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="count(hl7:id[@root='2.16.528.1.1007.3.1'])&gt;=1 ">Labuitslag Medicatiebewaking: element hl7:id[@root='2.16.528.1.1007.3.1'] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">Labuitslag Medicatiebewaking: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="count(hl7:code)&lt;=1">Labuitslag Medicatiebewaking: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="count(hl7:assignedPerson)&lt;=1">Labuitslag Medicatiebewaking: element hl7:assignedPerson komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="count(hl7:representedOrganization)&lt;=1">Labuitslag Medicatiebewaking: element hl7:representedOrganization komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.5
Context: hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:author/hl7:assignedEntity/hl7:id[@root='2.16.528.1.1007.3.1']
Item: Labuitslag Medicatiebewaking
-->

<rule context="hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:author/hl7:assignedEntity/hl7:id[@root='2.16.528.1.1007.3.1']"
         id="tmp-64414479-fa19-463a-b135-25b6a41c4022">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">Labuitslag Medicatiebewaking: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II.NL.UZI"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@root='2.16.528.1.1007.3.1'">Labuitslag Medicatiebewaking: @root MOET de waarde '2.16.528.1.1007.3.1' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">Labuitslag Medicatiebewaking: @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="string-length(@extension)&gt;0">Labuitslag Medicatiebewaking: attribute @extension MOET aanwezig zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.5
Context: hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:author/hl7:assignedEntity/hl7:code
Item: Labuitslag Medicatiebewaking
-->

<rule context="hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:author/hl7:assignedEntity/hl7:code"
         id="tmp-265706d7-7a39-47ed-8abf-9afd040af18f">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">Labuitslag Medicatiebewaking: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-ZorgverlenerType-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-ZorgverlenerType-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">Labuitslag Medicatiebewaking: De waarde van @code MOET worden gekozen uit Value Set ZorgverlenerType DYNAMIC.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0">Labuitslag Medicatiebewaking: De nul waarde voor @code MOET worden gekozen uit de set geldige null flavors gedefinieerd voor dit attribuut of degene geassocieerd met Value Set ZorgverlenerType DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.5
Context: hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:author/hl7:assignedEntity/hl7:addr
Item: Labuitslag Medicatiebewaking
-->

<rule context="hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:author/hl7:assignedEntity/hl7:addr"
         id="tmp-bc014d80-3609-4ce6-b633-a62e177a977c">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@nullFlavor or @xsi:type='AD' or not(@xsi:type)">Labuitslag Medicatiebewaking: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "AD" bevatten</assert>
      <extends rule="AD"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.5
Context: hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:author/hl7:assignedEntity/hl7:telecom
Item: Labuitslag Medicatiebewaking
-->

<rule context="hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:author/hl7:assignedEntity/hl7:telecom"
         id="tmp-f07e27ff-c358-4c22-adc6-7677e6ae9807">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@nullFlavor or @xsi:type='TEL' or not(@xsi:type)">Labuitslag Medicatiebewaking: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TEL" bevatten</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.5
Context: hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:author/hl7:assignedEntity/hl7:assignedPerson
Item: Labuitslag Medicatiebewaking
-->

<rule context="hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:author/hl7:assignedEntity/hl7:assignedPerson"
         id="tmp-4d44adac-ac3f-4b08-803e-632aa9e39e48">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@classCode='PSN' ">Labuitslag Medicatiebewaking: De waarde van @classCode MOET 'PSN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@determinerCode='INSTANCE' ">Labuitslag Medicatiebewaking: @determinerCode SHALL have value 'INSTANCE' STATIC </assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)">Labuitslag Medicatiebewaking: element hl7:name is mandatory [min 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.5
Context: hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:author/hl7:assignedEntity/hl7:assignedPerson/hl7:name
Item: Labuitslag Medicatiebewaking
-->

<rule context="hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:author/hl7:assignedEntity/hl7:assignedPerson/hl7:name"
         id="tmp-c223b70d-1c3f-4ed3-a9a8-fc90c9543018">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@nullFlavor or @xsi:type='PN' or not(@xsi:type)">Labuitslag Medicatiebewaking: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "PN" bevatten</assert>
      <extends rule="PN"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.5
Context: hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:author/hl7:assignedEntity/hl7:representedOrganization
Item: Labuitslag Medicatiebewaking
-->

<rule context="hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:author/hl7:assignedEntity/hl7:representedOrganization"
         id="tmp-3052a81b-647e-4363-ab16-7b7d5c775f38">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@classCode='ORG' ">Labuitslag Medicatiebewaking: De waarde van @classCode MOET 'ORG' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@determinerCode='INSTANCE' ">Labuitslag Medicatiebewaking: @determinerCode SHALL have value 'INSTANCE' STATIC </assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="count(hl7:id[@root='2.16.528.1.1007.3.3'])&gt;=1 and not(hl7:id[@root='2.16.528.1.1007.3.3']/@nullFlavor)">Labuitslag Medicatiebewaking: element hl7:id[@root='2.16.528.1.1007.3.3'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="count(hl7:code)&lt;=1">Labuitslag Medicatiebewaking: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)">Labuitslag Medicatiebewaking: element hl7:name is mandatory [min 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.5
Context: hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:author/hl7:assignedEntity/hl7:representedOrganization/hl7:id[@root='2.16.528.1.1007.3.3']
Item: Labuitslag Medicatiebewaking
-->

<rule context="hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:author/hl7:assignedEntity/hl7:representedOrganization/hl7:id[@root='2.16.528.1.1007.3.3']"
         id="tmp-0f086ab4-f0a0-4e3d-ac83-b378ee081b92">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">Labuitslag Medicatiebewaking: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II.NL.URA"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@root='2.16.528.1.1007.3.3'">Labuitslag Medicatiebewaking: @root MOET de waarde '2.16.528.1.1007.3.3' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">Labuitslag Medicatiebewaking: @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="string-length(@extension)&gt;0">Labuitslag Medicatiebewaking: attribute @extension MOET aanwezig zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.5
Context: hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:author/hl7:assignedEntity/hl7:representedOrganization/hl7:code
Item: Labuitslag Medicatiebewaking
-->

<rule context="hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:author/hl7:assignedEntity/hl7:representedOrganization/hl7:code"
         id="tmp-20901b60-7c83-4e4e-8809-03b992c2fd0b">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">Labuitslag Medicatiebewaking: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-ZorgaanbiederType-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-ZorgaanbiederType-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">Labuitslag Medicatiebewaking: De waarde van @code MOET worden gekozen uit Value Set ZorgaanbiederType DYNAMIC.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0">Labuitslag Medicatiebewaking: De nul waarde voor @code MOET worden gekozen uit de set geldige null flavors gedefinieerd voor dit attribuut of degene geassocieerd met Value Set ZorgaanbiederType DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.5
Context: hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:author/hl7:assignedEntity/hl7:representedOrganization/hl7:name
Item: Labuitslag Medicatiebewaking
-->

<rule context="hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:author/hl7:assignedEntity/hl7:representedOrganization/hl7:name"
         id="tmp-d2daa003-9c91-4b5f-bf95-9989b2156346">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@nullFlavor or @xsi:type='PN' or not(@xsi:type)">Labuitslag Medicatiebewaking: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "PN" bevatten</assert>
      <extends rule="PN"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.5
Context: hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:author/hl7:assignedEntity/hl7:representedOrganization/hl7:addr
Item: Labuitslag Medicatiebewaking
-->

<rule context="hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:author/hl7:assignedEntity/hl7:representedOrganization/hl7:addr"
         id="tmp-57e7e362-ee4b-4904-9af9-6f49b7e107fd">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@nullFlavor or @xsi:type='AD' or not(@xsi:type)">Labuitslag Medicatiebewaking: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "AD" bevatten</assert>
      <extends rule="AD"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.5
Context: hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:author/hl7:assignedEntity/hl7:representedOrganization/hl7:telecom
Item: Labuitslag Medicatiebewaking
-->

<rule context="hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:author/hl7:assignedEntity/hl7:representedOrganization/hl7:telecom"
         id="tmp-ddae14d4-d46a-4419-a4c2-d26e3e682122">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@nullFlavor or @xsi:type='TEL' or not(@xsi:type)">Labuitslag Medicatiebewaking: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TEL" bevatten</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.5
Context: hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:informationRecipient
Item: Labuitslag Medicatiebewaking
-->

<rule context="hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:informationRecipient"
         id="tmp-095581e9-7626-4b12-923d-371eae4db278">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@typeCode='REFB' ">Labuitslag Medicatiebewaking: De waarde van @typeCode MOET 'REFB' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@contextControlCode='OP' ">Labuitslag Medicatiebewaking: De waarde van @contextControlCode MOET 'OP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="count(hl7:time)&lt;=1">Labuitslag Medicatiebewaking: element hl7:time komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)">Labuitslag Medicatiebewaking: element hl7:assignedEntity is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="count(hl7:assignedEntity)&lt;=1">Labuitslag Medicatiebewaking: element hl7:assignedEntity komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.5
Context: hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:informationRecipient/hl7:time
Item: Labuitslag Medicatiebewaking
-->

<rule context="hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:informationRecipient/hl7:time"
         id="tmp-889be30e-527d-4b1f-a8c1-f8a0816fc2fc">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@nullFlavor or @xsi:type='TS' or not(@xsi:type)">Labuitslag Medicatiebewaking: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.5
Context: hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:informationRecipient/hl7:assignedEntity
Item: Labuitslag Medicatiebewaking
-->

<rule context="hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:informationRecipient/hl7:assignedEntity"
         id="tmp-85d97c30-78e9-4040-9705-2e1ae435b7bd">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@classCode='ASSIGNED' ">Labuitslag Medicatiebewaking: De waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="count(hl7:id[@root='2.16.528.1.1007.3.1'])&gt;=1 and not(hl7:id[@root='2.16.528.1.1007.3.1']/@nullFlavor)">Labuitslag Medicatiebewaking: element hl7:id[@root='2.16.528.1.1007.3.1'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="count(hl7:assignedPerson)&lt;=1">Labuitslag Medicatiebewaking: element hl7:assignedPerson komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="count(hl7:representedOrganization)&lt;=1">Labuitslag Medicatiebewaking: element hl7:representedOrganization komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.5
Context: hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:informationRecipient/hl7:assignedEntity/hl7:id[@root='2.16.528.1.1007.3.1']
Item: Labuitslag Medicatiebewaking
-->

<rule context="hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:informationRecipient/hl7:assignedEntity/hl7:id[@root='2.16.528.1.1007.3.1']"
         id="tmp-81ea597b-d517-419b-8aa4-b81b2db9a1ca">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">Labuitslag Medicatiebewaking: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II.NL.UZI"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@root='2.16.528.1.1007.3.1'">Labuitslag Medicatiebewaking: @root MOET de waarde '2.16.528.1.1007.3.1' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">Labuitslag Medicatiebewaking: @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="string-length(@extension)&gt;0">Labuitslag Medicatiebewaking: attribute @extension MOET aanwezig zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.5
Context: hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:informationRecipient/hl7:assignedEntity/hl7:addr
Item: Labuitslag Medicatiebewaking
-->

<rule context="hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:informationRecipient/hl7:assignedEntity/hl7:addr"
         id="tmp-9143f12c-a8a4-4b9e-b54e-a75e76b4b06e">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@nullFlavor or @xsi:type='AD' or not(@xsi:type)">Labuitslag Medicatiebewaking: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "AD" bevatten</assert>
      <extends rule="AD"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.5
Context: hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:informationRecipient/hl7:assignedEntity/hl7:telecom
Item: Labuitslag Medicatiebewaking
-->

<rule context="hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:informationRecipient/hl7:assignedEntity/hl7:telecom"
         id="tmp-13a9fbeb-6774-4d52-8d74-8027e9009e35">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@nullFlavor or @xsi:type='TEL' or not(@xsi:type)">Labuitslag Medicatiebewaking: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TEL" bevatten</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.5
Context: hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:informationRecipient/hl7:assignedEntity/hl7:assignedPerson
Item: Labuitslag Medicatiebewaking
-->

<rule context="hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:informationRecipient/hl7:assignedEntity/hl7:assignedPerson"
         id="tmp-0b22542f-9fa4-4d43-80f6-826d7fb96391">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@classCode='PSN' ">Labuitslag Medicatiebewaking: De waarde van @classCode MOET 'PSN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@determinerCode='INSTANCE' ">Labuitslag Medicatiebewaking: @determinerCode SHALL have value 'INSTANCE' STATIC </assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)">Labuitslag Medicatiebewaking: element hl7:name is mandatory [min 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.5
Context: hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:informationRecipient/hl7:assignedEntity/hl7:assignedPerson/hl7:name
Item: Labuitslag Medicatiebewaking
-->

<rule context="hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:informationRecipient/hl7:assignedEntity/hl7:assignedPerson/hl7:name"
         id="tmp-651abe4b-6a57-4bb3-a6be-c1334aa931c8">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@nullFlavor or @xsi:type='PN' or not(@xsi:type)">Labuitslag Medicatiebewaking: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "PN" bevatten</assert>
      <extends rule="PN"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.5
Context: hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:informationRecipient/hl7:assignedEntity/hl7:representedOrganization
Item: Labuitslag Medicatiebewaking
-->

<rule context="hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:informationRecipient/hl7:assignedEntity/hl7:representedOrganization"
         id="tmp-1b9ef096-157b-49cf-bfde-3a64f38dcd9e">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@classCode='ORG' ">Labuitslag Medicatiebewaking: De waarde van @classCode MOET 'ORG' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@determinerCode='INSTANCE' ">Labuitslag Medicatiebewaking: @determinerCode SHALL have value 'INSTANCE' STATIC </assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="count(hl7:id[@root='2.16.528.1.1007.3.3'])&gt;=1 and not(hl7:id[@root='2.16.528.1.1007.3.3']/@nullFlavor)">Labuitslag Medicatiebewaking: element hl7:id[@root='2.16.528.1.1007.3.3'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)">Labuitslag Medicatiebewaking: element hl7:name is mandatory [min 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.5
Context: hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:informationRecipient/hl7:assignedEntity/hl7:representedOrganization/hl7:id[@root='2.16.528.1.1007.3.3']
Item: Labuitslag Medicatiebewaking
-->

<rule context="hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:informationRecipient/hl7:assignedEntity/hl7:representedOrganization/hl7:id[@root='2.16.528.1.1007.3.3']"
         id="tmp-d92eaef3-188b-42ed-8312-8614bf43dfc3">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">Labuitslag Medicatiebewaking: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II.NL.URA"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@root='2.16.528.1.1007.3.3'">Labuitslag Medicatiebewaking: @root MOET de waarde '2.16.528.1.1007.3.3' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">Labuitslag Medicatiebewaking: @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="string-length(@extension)&gt;0">Labuitslag Medicatiebewaking: attribute @extension MOET aanwezig zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.5
Context: hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:informationRecipient/hl7:assignedEntity/hl7:representedOrganization/hl7:name
Item: Labuitslag Medicatiebewaking
-->

<rule context="hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:informationRecipient/hl7:assignedEntity/hl7:representedOrganization/hl7:name"
         id="tmp-62872637-5289-4a8f-ac0e-32c24d75afe3">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@nullFlavor or @xsi:type='PN' or not(@xsi:type)">Labuitslag Medicatiebewaking: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "PN" bevatten</assert>
      <extends rule="PN"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.5
Context: hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:informationRecipient/hl7:assignedEntity/hl7:representedOrganization/hl7:addr
Item: Labuitslag Medicatiebewaking
-->

<rule context="hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:informationRecipient/hl7:assignedEntity/hl7:representedOrganization/hl7:addr"
         id="tmp-e91d99f6-819d-4740-ba7c-cabfd8abd381">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@nullFlavor or @xsi:type='AD' or not(@xsi:type)">Labuitslag Medicatiebewaking: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "AD" bevatten</assert>
      <extends rule="AD"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.5
Context: hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:informationRecipient/hl7:assignedEntity/hl7:representedOrganization/hl7:telecom
Item: Labuitslag Medicatiebewaking
-->

<rule context="hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:informationRecipient/hl7:assignedEntity/hl7:representedOrganization/hl7:telecom"
         id="tmp-2ffcacf8-749d-4ef8-9de8-cff4a6639a65">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@nullFlavor or @xsi:type='TEL' or not(@xsi:type)">Labuitslag Medicatiebewaking: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TEL" bevatten</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.5
Context: hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:inFulfillmentOf
Item: Labuitslag Medicatiebewaking
-->

<rule context="hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:inFulfillmentOf"
         id="tmp-b63337b7-8fd3-4e24-a89a-803cd0cdca9e">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@typeCode='FLFS' ">Labuitslag Medicatiebewaking: De waarde van @typeCode MOET 'FLFS' zijn.</assert>
      <let name="elmcount" value="count(hl7:placerOrder|hl7:fulfillerPromise)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="$elmcount&gt;=1">Labuitslag Medicatiebewaking: keuze (hl7:placerOrder of hl7:fulfillerPromise) bevat te weinig elementen [min 1x]</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="$elmcount&lt;=1">Labuitslag Medicatiebewaking: keuze (hl7:placerOrder of hl7:fulfillerPromise) bevat te veel elementen [max 1x]</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.5
Context: hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:inFulfillmentOf
Item: Labuitslag Medicatiebewaking
-->

<rule context="hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:inFulfillmentOf"
         id="tmp-2ef9d1e9-7490-426b-8f48-c4db6a77b41d">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="count(hl7:placerOrder)&lt;=1">Labuitslag Medicatiebewaking: element hl7:placerOrder komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="count(hl7:fulfillerPromise)&lt;=1">Labuitslag Medicatiebewaking: element hl7:fulfillerPromise komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.5
Context: hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:inFulfillmentOf/hl7:placerOrder
Item: Labuitslag Medicatiebewaking
-->

<rule context="hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:inFulfillmentOf/hl7:placerOrder"
         id="tmp-9b2699ea-7ac5-4136-b98f-dabc44463c05">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@classCode='ACT' ">Labuitslag Medicatiebewaking: De waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@moodCode='RQO' ">Labuitslag Medicatiebewaking: De waarde van @moodCode MOET 'RQO' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">Labuitslag Medicatiebewaking: element hl7:id is mandatory [min 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.5
Context: hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:inFulfillmentOf/hl7:placerOrder/hl7:id
Item: Labuitslag Medicatiebewaking
-->

<rule context="hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:inFulfillmentOf/hl7:placerOrder/hl7:id"
         id="tmp-a2c5e081-1fde-4bc8-a24d-6b21d268e71b">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">Labuitslag Medicatiebewaking: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.5
Context: hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:inFulfillmentOf/hl7:fulfillerPromise
Item: Labuitslag Medicatiebewaking
-->

<rule context="hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:inFulfillmentOf/hl7:fulfillerPromise"
         id="tmp-8b95c3de-7672-49cb-9d75-e0dbb143ec72">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@classCode='ACT' ">Labuitslag Medicatiebewaking: De waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@moodCode='PRMS' ">Labuitslag Medicatiebewaking: De waarde van @moodCode MOET 'PRMS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">Labuitslag Medicatiebewaking: element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="count(hl7:statusCode)&gt;=1 and not(hl7:statusCode/@nullFlavor)">Labuitslag Medicatiebewaking: element hl7:statusCode is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="count(hl7:statusCode)&lt;=1">Labuitslag Medicatiebewaking: element hl7:statusCode komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.5
Context: hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:inFulfillmentOf/hl7:fulfillerPromise/hl7:id
Item: Labuitslag Medicatiebewaking
-->

<rule context="hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:inFulfillmentOf/hl7:fulfillerPromise/hl7:id"
         id="tmp-6e3dbfdd-32f3-45e8-a1f6-caf03479f829">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">Labuitslag Medicatiebewaking: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.5
Context: hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:inFulfillmentOf/hl7:fulfillerPromise/hl7:statusCode
Item: Labuitslag Medicatiebewaking
-->

<rule context="hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:inFulfillmentOf/hl7:fulfillerPromise/hl7:statusCode"
         id="tmp-a5045ab1-bbf7-4df9-8c23-45b29a000bc1">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@nullFlavor or @xsi:type='CS' or not(@xsi:type)">Labuitslag Medicatiebewaking: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CS" bevatten</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@nullFlavor or (@code='completed')">Labuitslag Medicatiebewaking: De waarde van @code MOET 'completed' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.5
Context: hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:component1
Item: Labuitslag Medicatiebewaking
-->

<rule context="hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:component1"
         id="tmp-b9e7988b-8da4-41a2-b930-b73b2b9bbeea">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@typeCode='COMP' ">Labuitslag Medicatiebewaking: De waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@contextControlCode='OP' ">Labuitslag Medicatiebewaking: De waarde van @contextControlCode MOET 'OP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="count(hl7:observationReport)&gt;=1 ">Labuitslag Medicatiebewaking: element hl7:observationReport is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="count(hl7:observationReport)&lt;=1">Labuitslag Medicatiebewaking: element hl7:observationReport komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.5
Context: hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:component1/hl7:observationReport
Item: Labuitslag Medicatiebewaking
-->

<rule context="hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:component1/hl7:observationReport"
         id="tmp-6b88387e-5694-40f6-9673-1cff4e7373ab">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@classCode='CLUSTER' ">Labuitslag Medicatiebewaking: De waarde van @classCode MOET 'CLUSTER' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@moodCode='EVN' ">Labuitslag Medicatiebewaking: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="count(hl7:code)&gt;=1 ">Labuitslag Medicatiebewaking: element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="count(hl7:code)&lt;=1">Labuitslag Medicatiebewaking: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="count(hl7:statusCode)&gt;=1 and not(hl7:statusCode/@nullFlavor)">Labuitslag Medicatiebewaking: element hl7:statusCode is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="count(hl7:statusCode)&lt;=1">Labuitslag Medicatiebewaking: element hl7:statusCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="count(hl7:component1)&gt;=1 and not(hl7:component1/@nullFlavor)">Labuitslag Medicatiebewaking: element hl7:component1 is mandatory [min 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.5
Context: hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:component1/hl7:observationReport/hl7:code
Item: Labuitslag Medicatiebewaking
-->

<rule context="hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:component1/hl7:observationReport/hl7:code"
         id="tmp-804a9b6b-b640-4c73-9c87-523d25e33f6d">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">Labuitslag Medicatiebewaking: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-LabBattery-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-LabBattery-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">Labuitslag Medicatiebewaking: De waarde van @code MOET worden gekozen uit Value Set LabBattery DYNAMIC.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0">Labuitslag Medicatiebewaking: De nul waarde voor @code MOET worden gekozen uit de set geldige null flavors gedefinieerd voor dit attribuut of degene geassocieerd met Value Set LabBattery DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.5
Context: hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:component1/hl7:observationReport/hl7:statusCode
Item: Labuitslag Medicatiebewaking
-->

<rule context="hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:component1/hl7:observationReport/hl7:statusCode"
         id="tmp-f49afb96-f7a1-4481-8906-e219c5de2a95">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@nullFlavor or @xsi:type='CS' or not(@xsi:type)">Labuitslag Medicatiebewaking: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CS" bevatten</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@nullFlavor or (@code='completed')">Labuitslag Medicatiebewaking: De waarde van @code MOET 'completed' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.5
Context: hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:component1/hl7:observationReport/hl7:component1
Item: Labuitslag Medicatiebewaking
-->

<rule context="hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:component1/hl7:observationReport/hl7:component1"
         id="tmp-8c0643f5-29c1-4c80-a8ed-6ed12026bb8d">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@typeCode='COMP' ">Labuitslag Medicatiebewaking: De waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@contextControlCode='OP' ">Labuitslag Medicatiebewaking: De waarde van @contextControlCode MOET 'OP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="count(hl7:observationEvent)&gt;=1 and not(hl7:observationEvent/@nullFlavor)">Labuitslag Medicatiebewaking: element hl7:observationEvent is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="count(hl7:observationEvent)&lt;=1">Labuitslag Medicatiebewaking: element hl7:observationEvent komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.5
Context: hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:component1/hl7:observationReport/hl7:component1/hl7:observationEvent
Item: Labuitslag Medicatiebewaking
-->

<rule context="hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:component1/hl7:observationReport/hl7:component1/hl7:observationEvent"
         id="tmp-f58b2d3f-a9bd-4401-ae43-d953ab0d79a2">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@classCode='OBS' ">Labuitslag Medicatiebewaking: De waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@moodCode='EVN' ">Labuitslag Medicatiebewaking: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="count(hl7:id)&gt;=1 ">Labuitslag Medicatiebewaking: element hl7:id is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="count(hl7:id)&lt;=1">Labuitslag Medicatiebewaking: element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">Labuitslag Medicatiebewaking: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="count(hl7:code)&lt;=1">Labuitslag Medicatiebewaking: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="count(hl7:statusCode)&gt;=1 and not(hl7:statusCode/@nullFlavor)">Labuitslag Medicatiebewaking: element hl7:statusCode is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="count(hl7:statusCode)&lt;=1">Labuitslag Medicatiebewaking: element hl7:statusCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="count(hl7:effectiveTime)&lt;=1">Labuitslag Medicatiebewaking: element hl7:effectiveTime komt te vaak voor [max 1x].</assert>
      <let name="elmcount"
           value="count(hl7:value[@xsi:type='PQ']|hl7:value[@xsi:type='IVL_PQ']|hl7:value[@xsi:type='CD']|hl7:value[@xsi:type='CV']|hl7:value[@xsi:type='ST']|hl7:value[@xsi:type='TS']|hl7:value[@xsi:type='BL']|hl7:value[@xsi:type='RTO'])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="$elmcount&gt;=1">Labuitslag Medicatiebewaking: keuze (hl7:value[@xsi:type='PQ'] of hl7:value[@xsi:type='IVL_PQ'] of hl7:value[@xsi:type='CD'] of hl7:value[@xsi:type='CV'] of hl7:value[@xsi:type='ST'] of hl7:value[@xsi:type='TS'] of hl7:value[@xsi:type='BL'] of hl7:value[@xsi:type='RTO']) bevat te weinig elementen [min 1x]</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="$elmcount&lt;=1">Labuitslag Medicatiebewaking: keuze (hl7:value[@xsi:type='PQ'] of hl7:value[@xsi:type='IVL_PQ'] of hl7:value[@xsi:type='CD'] of hl7:value[@xsi:type='CV'] of hl7:value[@xsi:type='ST'] of hl7:value[@xsi:type='TS'] of hl7:value[@xsi:type='BL'] of hl7:value[@xsi:type='RTO']) bevat te veel elementen [max 1x]</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="count(hl7:interpretationCode)&lt;=1">Labuitslag Medicatiebewaking: element hl7:interpretationCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="count(hl7:methodCode)&lt;=1">Labuitslag Medicatiebewaking: element hl7:methodCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="count(hl7:referenceRange)&lt;=1">Labuitslag Medicatiebewaking: element hl7:referenceRange komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.5
Context: hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:component1/hl7:observationReport/hl7:component1/hl7:observationEvent/hl7:id
Item: Labuitslag Medicatiebewaking
-->

<rule context="hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:component1/hl7:observationReport/hl7:component1/hl7:observationEvent/hl7:id"
         id="tmp-7ffe9bf9-3e86-47db-80cf-c464c004a89e">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">Labuitslag Medicatiebewaking: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.5
Context: hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:component1/hl7:observationReport/hl7:component1/hl7:observationEvent/hl7:code
Item: Labuitslag Medicatiebewaking
-->

<rule context="hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:component1/hl7:observationReport/hl7:component1/hl7:observationEvent/hl7:code"
         id="tmp-71a177ed-aba2-46a0-8269-63ba3cafb158">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">Labuitslag Medicatiebewaking: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.6.1') or (@codeSystem='2.16.840.1.113883.6.96')">Labuitslag Medicatiebewaking: De waarde van @code MOET één van de volgende codes bevatten: '2.16.840.1.113883.6.1 of 2.16.840.1.113883.6.96'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.5
Context: hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:component1/hl7:observationReport/hl7:component1/hl7:observationEvent/hl7:statusCode
Item: Labuitslag Medicatiebewaking
-->

<rule context="hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:component1/hl7:observationReport/hl7:component1/hl7:observationEvent/hl7:statusCode"
         id="tmp-9037a44c-3655-424a-af7d-de0a4d723701">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@nullFlavor or @xsi:type='CS' or not(@xsi:type)">Labuitslag Medicatiebewaking: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CS" bevatten</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@nullFlavor or (@code='completed')">Labuitslag Medicatiebewaking: De waarde van @code MOET 'completed' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.5
Context: hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:component1/hl7:observationReport/hl7:component1/hl7:observationEvent/hl7:effectiveTime
Item: Labuitslag Medicatiebewaking
-->

<rule context="hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:component1/hl7:observationReport/hl7:component1/hl7:observationEvent/hl7:effectiveTime"
         id="tmp-ca091b9c-2fa6-479e-b659-f75545db504b">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@nullFlavor or @xsi:type='IVL_TS' or not(@xsi:type)">Labuitslag Medicatiebewaking: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "IVL_TS" bevatten</assert>
      <extends rule="IVL_TS"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.5
Context: hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:component1/hl7:observationReport/hl7:component1/hl7:observationEvent
Item: Labuitslag Medicatiebewaking
-->

<rule context="hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:component1/hl7:observationReport/hl7:component1/hl7:observationEvent"
         id="tmp-5a3b57e1-33f4-4a86-930b-ceab97b50398">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="count(hl7:value[@xsi:type='PQ'])&lt;=1">Labuitslag Medicatiebewaking: element hl7:value[@xsi:type='PQ'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="count(hl7:value[@xsi:type='IVL_PQ'])&lt;=1">Labuitslag Medicatiebewaking: element hl7:value[@xsi:type='IVL_PQ'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="count(hl7:value[@xsi:type='CD'])&lt;=1">Labuitslag Medicatiebewaking: element hl7:value[@xsi:type='CD'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="count(hl7:value[@xsi:type='CV'])&lt;=1">Labuitslag Medicatiebewaking: element hl7:value[@xsi:type='CV'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="count(hl7:value[@xsi:type='ST'])&lt;=1">Labuitslag Medicatiebewaking: element hl7:value[@xsi:type='ST'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="count(hl7:value[@xsi:type='TS'])&lt;=1">Labuitslag Medicatiebewaking: element hl7:value[@xsi:type='TS'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="count(hl7:value[@xsi:type='BL'])&lt;=1">Labuitslag Medicatiebewaking: element hl7:value[@xsi:type='BL'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="count(hl7:value[@xsi:type='RTO'])&lt;=1">Labuitslag Medicatiebewaking: element hl7:value[@xsi:type='RTO'] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.5
Context: hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:component1/hl7:observationReport/hl7:component1/hl7:observationEvent/hl7:value[@xsi:type='PQ']
Item: Labuitslag Medicatiebewaking
-->

<rule context="hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:component1/hl7:observationReport/hl7:component1/hl7:observationEvent/hl7:value[@xsi:type='PQ']"
         id="tmp-6eb3a097-4ec6-41d0-9097-66fca1958b30">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@nullFlavor or @xsi:type='PQ' or not(@xsi:type)">Labuitslag Medicatiebewaking: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "PQ" bevatten</assert>
      <extends rule="PQ"/>
      <let name="theValue" value="@value"/>
      <let name="digitok"
           value="matches($theValue, '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="$digitok">Labuitslag Medicatiebewaking: @value is not a valid PQ number <value-of select="$theValue"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="document('include/voc-ucum.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">Labuitslag Medicatiebewaking: value/@unit (PQ) SHALL be a valid UCUM unit (<value-of select="$UCUMtest"/>).</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.5
Context: hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:component1/hl7:observationReport/hl7:component1/hl7:observationEvent/hl7:value[@xsi:type='IVL_PQ']
Item: Labuitslag Medicatiebewaking
-->

<rule context="hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:component1/hl7:observationReport/hl7:component1/hl7:observationEvent/hl7:value[@xsi:type='IVL_PQ']"
         id="tmp-1d2592c7-5706-42e2-9b06-88101a93ecec">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@nullFlavor or @xsi:type='IVL_PQ' or not(@xsi:type)">Labuitslag Medicatiebewaking: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "IVL_PQ" bevatten</assert>
      <extends rule="IVL_PQ"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="not(hl7:low/@value) or matches(hl7:low/@value, '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')">Labuitslag Medicatiebewaking: value/low @value is not a valid PQ number <value-of select="hl7:low/@value"/>
      </assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="not(hl7:high/@value) or matches(hl7:high/@value, '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')">Labuitslag Medicatiebewaking: value/high @value is not a valid PQ number <value-of select="hl7:high/@value"/>
      </assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="not(hl7:center/@value) or matches(hl7:center/@value, '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')">Labuitslag Medicatiebewaking: value/center @value is not a valid PQ number <value-of select="hl7:center/@value"/>
      </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.5
Context: hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:component1/hl7:observationReport/hl7:component1/hl7:observationEvent/hl7:value[@xsi:type='CD']
Item: Labuitslag Medicatiebewaking
-->

<rule context="hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:component1/hl7:observationReport/hl7:component1/hl7:observationEvent/hl7:value[@xsi:type='CD']"
         id="tmp-0840df82-c1ca-4bc1-a911-c5717d90fc98">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@nullFlavor or @xsi:type='CD' or not(@xsi:type)">Labuitslag Medicatiebewaking: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CD" bevatten</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.5
Context: hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:component1/hl7:observationReport/hl7:component1/hl7:observationEvent/hl7:value[@xsi:type='CV']
Item: Labuitslag Medicatiebewaking
-->

<rule context="hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:component1/hl7:observationReport/hl7:component1/hl7:observationEvent/hl7:value[@xsi:type='CV']"
         id="tmp-8ff254b2-9644-454c-9338-ea552859087f">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">Labuitslag Medicatiebewaking: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.5
Context: hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:component1/hl7:observationReport/hl7:component1/hl7:observationEvent/hl7:value[@xsi:type='ST']
Item: Labuitslag Medicatiebewaking
-->

<rule context="hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:component1/hl7:observationReport/hl7:component1/hl7:observationEvent/hl7:value[@xsi:type='ST']"
         id="tmp-9084f902-0556-426d-9077-bb7edaad8757">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">Labuitslag Medicatiebewaking: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten</assert>
      <extends rule="ST"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.5
Context: hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:component1/hl7:observationReport/hl7:component1/hl7:observationEvent/hl7:value[@xsi:type='TS']
Item: Labuitslag Medicatiebewaking
-->

<rule context="hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:component1/hl7:observationReport/hl7:component1/hl7:observationEvent/hl7:value[@xsi:type='TS']"
         id="tmp-e50b6cd0-b185-4d6f-88ab-d39572ad41cd">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@nullFlavor or @xsi:type='TS' or not(@xsi:type)">Labuitslag Medicatiebewaking: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.5
Context: hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:component1/hl7:observationReport/hl7:component1/hl7:observationEvent/hl7:value[@xsi:type='BL']
Item: Labuitslag Medicatiebewaking
-->

<rule context="hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:component1/hl7:observationReport/hl7:component1/hl7:observationEvent/hl7:value[@xsi:type='BL']"
         id="tmp-b1a66333-1588-4756-88f8-d18ff9fc8320">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@nullFlavor or @xsi:type='BL' or not(@xsi:type)">Labuitslag Medicatiebewaking: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "BL" bevatten</assert>
      <extends rule="BL"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.5
Context: hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:component1/hl7:observationReport/hl7:component1/hl7:observationEvent/hl7:value[@xsi:type='RTO']
Item: Labuitslag Medicatiebewaking
-->

<rule context="hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:component1/hl7:observationReport/hl7:component1/hl7:observationEvent/hl7:value[@xsi:type='RTO']"
         id="tmp-cc8c15ac-26ca-432c-ab70-025e171b12b6">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@nullFlavor or @xsi:type='RTO' or not(@xsi:type)">Labuitslag Medicatiebewaking: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "RTO" bevatten</assert>
      <extends rule="RTO"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.5
Context: hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:component1/hl7:observationReport/hl7:component1/hl7:observationEvent/hl7:interpretationCode
Item: Labuitslag Medicatiebewaking
-->

<rule context="hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:component1/hl7:observationReport/hl7:component1/hl7:observationEvent/hl7:interpretationCode"
         id="tmp-fbb26914-b7c9-4c8d-821f-52ffdb7009ea">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">Labuitslag Medicatiebewaking: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-ObservationInterpretation-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-ObservationInterpretation-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">Labuitslag Medicatiebewaking: De waarde van @code MOET worden gekozen uit Value Set ObservationInterpretation DYNAMIC.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0">Labuitslag Medicatiebewaking: De nul waarde voor @code MOET worden gekozen uit de set geldige null flavors gedefinieerd voor dit attribuut of degene geassocieerd met Value Set ObservationInterpretation DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.5
Context: hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:component1/hl7:observationReport/hl7:component1/hl7:observationEvent/hl7:methodCode
Item: Labuitslag Medicatiebewaking
-->

<rule context="hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:component1/hl7:observationReport/hl7:component1/hl7:observationEvent/hl7:methodCode"
         id="tmp-e52264cf-1a0b-4ed3-9f33-5ff42e1caf73">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">Labuitslag Medicatiebewaking: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-ObservationMethod-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-ObservationMethod-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">Labuitslag Medicatiebewaking: De waarde van @code MOET worden gekozen uit Value Set ObservationMethod DYNAMIC.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0">Labuitslag Medicatiebewaking: De nul waarde voor @code MOET worden gekozen uit de set geldige null flavors gedefinieerd voor dit attribuut of degene geassocieerd met Value Set ObservationMethod DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.5
Context: hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:component1/hl7:observationReport/hl7:component1/hl7:observationEvent/hl7:referenceRange
Item: Labuitslag Medicatiebewaking
-->

<rule context="hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:component1/hl7:observationReport/hl7:component1/hl7:observationEvent/hl7:referenceRange"
         id="tmp-44eb8068-a234-48dc-b673-4117a6353673">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@typeCode='REFV' ">Labuitslag Medicatiebewaking: De waarde van @typeCode MOET 'REFV' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="count(hl7:interpretationRange)&gt;=1 and not(hl7:interpretationRange/@nullFlavor)">Labuitslag Medicatiebewaking: element hl7:interpretationRange is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="count(hl7:interpretationRange)&lt;=1">Labuitslag Medicatiebewaking: element hl7:interpretationRange komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.5
Context: hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:component1/hl7:observationReport/hl7:component1/hl7:observationEvent/hl7:referenceRange/hl7:interpretationRange
Item: Labuitslag Medicatiebewaking
-->

<rule context="hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:component1/hl7:observationReport/hl7:component1/hl7:observationEvent/hl7:referenceRange/hl7:interpretationRange"
         id="tmp-08bc9a8d-d422-436d-b030-4588fde66655">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@classCode='OBS' ">Labuitslag Medicatiebewaking: De waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@moodCode='EVN.CRT' ">Labuitslag Medicatiebewaking: De waarde van @moodCode MOET 'EVN.CRT' zijn.</assert>
      <let name="elmcount"
           value="count(hl7:value[@xsi:type='PQ']|hl7:value[@xsi:type='IVL_PQ']|hl7:value[@xsi:type='CD']|hl7:value[@xsi:type='CV']|hl7:value[@xsi:type='ST']|hl7:value[@xsi:type='TS']|hl7:value[@xsi:type='BL']|hl7:value[@xsi:type='RTO'])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="$elmcount&gt;=1">Labuitslag Medicatiebewaking: keuze (hl7:value[@xsi:type='PQ'] of hl7:value[@xsi:type='IVL_PQ'] of hl7:value[@xsi:type='CD'] of hl7:value[@xsi:type='CV'] of hl7:value[@xsi:type='ST'] of hl7:value[@xsi:type='TS'] of hl7:value[@xsi:type='BL'] of hl7:value[@xsi:type='RTO']) bevat te weinig elementen [min 1x]</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="$elmcount&lt;=1">Labuitslag Medicatiebewaking: keuze (hl7:value[@xsi:type='PQ'] of hl7:value[@xsi:type='IVL_PQ'] of hl7:value[@xsi:type='CD'] of hl7:value[@xsi:type='CV'] of hl7:value[@xsi:type='ST'] of hl7:value[@xsi:type='TS'] of hl7:value[@xsi:type='BL'] of hl7:value[@xsi:type='RTO']) bevat te veel elementen [max 1x]</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="count(hl7:interpretationCode)&gt;=1 and not(hl7:interpretationCode/@nullFlavor)">Labuitslag Medicatiebewaking: element hl7:interpretationCode is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="count(hl7:interpretationCode)&lt;=1">Labuitslag Medicatiebewaking: element hl7:interpretationCode komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.5
Context: hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:component1/hl7:observationReport/hl7:component1/hl7:observationEvent/hl7:referenceRange/hl7:interpretationRange
Item: Labuitslag Medicatiebewaking
-->

<rule context="hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:component1/hl7:observationReport/hl7:component1/hl7:observationEvent/hl7:referenceRange/hl7:interpretationRange"
         id="tmp-bce685a4-4771-4be1-8f70-fb3d1d6d0580">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="count(hl7:value[@xsi:type='PQ'])&lt;=1">Labuitslag Medicatiebewaking: element hl7:value[@xsi:type='PQ'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="count(hl7:value[@xsi:type='IVL_PQ'])&lt;=1">Labuitslag Medicatiebewaking: element hl7:value[@xsi:type='IVL_PQ'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="count(hl7:value[@xsi:type='CD'])&lt;=1">Labuitslag Medicatiebewaking: element hl7:value[@xsi:type='CD'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="count(hl7:value[@xsi:type='CV'])&lt;=1">Labuitslag Medicatiebewaking: element hl7:value[@xsi:type='CV'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="count(hl7:value[@xsi:type='ST'])&lt;=1">Labuitslag Medicatiebewaking: element hl7:value[@xsi:type='ST'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="count(hl7:value[@xsi:type='TS'])&lt;=1">Labuitslag Medicatiebewaking: element hl7:value[@xsi:type='TS'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="count(hl7:value[@xsi:type='BL'])&lt;=1">Labuitslag Medicatiebewaking: element hl7:value[@xsi:type='BL'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="count(hl7:value[@xsi:type='RTO'])&lt;=1">Labuitslag Medicatiebewaking: element hl7:value[@xsi:type='RTO'] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.5
Context: hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:component1/hl7:observationReport/hl7:component1/hl7:observationEvent/hl7:referenceRange/hl7:interpretationRange/hl7:value[@xsi:type='PQ']
Item: Labuitslag Medicatiebewaking
-->

<rule context="hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:component1/hl7:observationReport/hl7:component1/hl7:observationEvent/hl7:referenceRange/hl7:interpretationRange/hl7:value[@xsi:type='PQ']"
         id="tmp-beef7439-5853-497f-81cb-e50c629b49ab">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@nullFlavor or @xsi:type='PQ' or not(@xsi:type)">Labuitslag Medicatiebewaking: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "PQ" bevatten</assert>
      <extends rule="PQ"/>
      <let name="theValue" value="@value"/>
      <let name="digitok"
           value="matches($theValue, '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="$digitok">Labuitslag Medicatiebewaking: @value is not a valid PQ number <value-of select="$theValue"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="document('include/voc-ucum.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">Labuitslag Medicatiebewaking: value/@unit (PQ) SHALL be a valid UCUM unit (<value-of select="$UCUMtest"/>).</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.5
Context: hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:component1/hl7:observationReport/hl7:component1/hl7:observationEvent/hl7:referenceRange/hl7:interpretationRange/hl7:value[@xsi:type='IVL_PQ']
Item: Labuitslag Medicatiebewaking
-->

<rule context="hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:component1/hl7:observationReport/hl7:component1/hl7:observationEvent/hl7:referenceRange/hl7:interpretationRange/hl7:value[@xsi:type='IVL_PQ']"
         id="tmp-12332b29-d8da-4489-bc0d-051afcec2561">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@nullFlavor or @xsi:type='IVL_PQ' or not(@xsi:type)">Labuitslag Medicatiebewaking: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "IVL_PQ" bevatten</assert>
      <extends rule="IVL_PQ"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="not(hl7:low/@value) or matches(hl7:low/@value, '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')">Labuitslag Medicatiebewaking: value/low @value is not a valid PQ number <value-of select="hl7:low/@value"/>
      </assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="not(hl7:high/@value) or matches(hl7:high/@value, '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')">Labuitslag Medicatiebewaking: value/high @value is not a valid PQ number <value-of select="hl7:high/@value"/>
      </assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="not(hl7:center/@value) or matches(hl7:center/@value, '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')">Labuitslag Medicatiebewaking: value/center @value is not a valid PQ number <value-of select="hl7:center/@value"/>
      </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.5
Context: hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:component1/hl7:observationReport/hl7:component1/hl7:observationEvent/hl7:referenceRange/hl7:interpretationRange/hl7:value[@xsi:type='CD']
Item: Labuitslag Medicatiebewaking
-->

<rule context="hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:component1/hl7:observationReport/hl7:component1/hl7:observationEvent/hl7:referenceRange/hl7:interpretationRange/hl7:value[@xsi:type='CD']"
         id="tmp-27cbf955-0b59-4445-b0fe-e3b74c7d8090">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@nullFlavor or @xsi:type='CD' or not(@xsi:type)">Labuitslag Medicatiebewaking: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CD" bevatten</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.5
Context: hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:component1/hl7:observationReport/hl7:component1/hl7:observationEvent/hl7:referenceRange/hl7:interpretationRange/hl7:value[@xsi:type='CV']
Item: Labuitslag Medicatiebewaking
-->

<rule context="hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:component1/hl7:observationReport/hl7:component1/hl7:observationEvent/hl7:referenceRange/hl7:interpretationRange/hl7:value[@xsi:type='CV']"
         id="tmp-5f38998e-e43b-4593-8367-5d9ee3733dd9">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">Labuitslag Medicatiebewaking: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.5
Context: hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:component1/hl7:observationReport/hl7:component1/hl7:observationEvent/hl7:referenceRange/hl7:interpretationRange/hl7:value[@xsi:type='ST']
Item: Labuitslag Medicatiebewaking
-->

<rule context="hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:component1/hl7:observationReport/hl7:component1/hl7:observationEvent/hl7:referenceRange/hl7:interpretationRange/hl7:value[@xsi:type='ST']"
         id="tmp-30f01ed9-74f2-45f9-991b-2a590fcaacd1">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">Labuitslag Medicatiebewaking: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten</assert>
      <extends rule="ST"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.5
Context: hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:component1/hl7:observationReport/hl7:component1/hl7:observationEvent/hl7:referenceRange/hl7:interpretationRange/hl7:value[@xsi:type='TS']
Item: Labuitslag Medicatiebewaking
-->

<rule context="hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:component1/hl7:observationReport/hl7:component1/hl7:observationEvent/hl7:referenceRange/hl7:interpretationRange/hl7:value[@xsi:type='TS']"
         id="tmp-8f11d520-1cd7-4723-915c-c5858485b625">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@nullFlavor or @xsi:type='TS' or not(@xsi:type)">Labuitslag Medicatiebewaking: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.5
Context: hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:component1/hl7:observationReport/hl7:component1/hl7:observationEvent/hl7:referenceRange/hl7:interpretationRange/hl7:value[@xsi:type='BL']
Item: Labuitslag Medicatiebewaking
-->

<rule context="hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:component1/hl7:observationReport/hl7:component1/hl7:observationEvent/hl7:referenceRange/hl7:interpretationRange/hl7:value[@xsi:type='BL']"
         id="tmp-e4c24876-2e2f-4969-9d25-5bd41b6fcf9d">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@nullFlavor or @xsi:type='BL' or not(@xsi:type)">Labuitslag Medicatiebewaking: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "BL" bevatten</assert>
      <extends rule="BL"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.5
Context: hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:component1/hl7:observationReport/hl7:component1/hl7:observationEvent/hl7:referenceRange/hl7:interpretationRange/hl7:value[@xsi:type='RTO']
Item: Labuitslag Medicatiebewaking
-->

<rule context="hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:component1/hl7:observationReport/hl7:component1/hl7:observationEvent/hl7:referenceRange/hl7:interpretationRange/hl7:value[@xsi:type='RTO']"
         id="tmp-e6014902-97fe-44ec-ae43-696b642fbc16">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@nullFlavor or @xsi:type='RTO' or not(@xsi:type)">Labuitslag Medicatiebewaking: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "RTO" bevatten</assert>
      <extends rule="RTO"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.5
Context: hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:component1/hl7:observationReport/hl7:component1/hl7:observationEvent/hl7:referenceRange/hl7:interpretationRange/hl7:interpretationCode
Item: Labuitslag Medicatiebewaking
-->

<rule context="hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:component1/hl7:observationReport/hl7:component1/hl7:observationEvent/hl7:referenceRange/hl7:interpretationRange/hl7:interpretationCode"
         id="tmp-9296273c-64ce-422d-9dac-f7557ea69710">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">Labuitslag Medicatiebewaking: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@nullFlavor or (@code='N')">Labuitslag Medicatiebewaking: De waarde van @code MOET 'N' zijn.</assert>
   </rule>
</pattern>